"
 COPYRIGHT (c) 2014 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libbasic' }"

"{ NameSpace: CharacterEncoderImplementations }"

TwoByteEncoder subclass:#GB2312_1980_0
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Collections-Text-Encodings'
!

!GB2312_1980_0 class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2014 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
! !

!GB2312_1980_0 class methodsFor:'mapping'!

mapFileURL1_relativePathName
    "/ self generateCode

"/ no longer online:
"/    ^ 'OBSOLETE/EASTASIA/GB/GB2312.TXT'

    ^ nil
!

mapping
"
# From: http://cpansearch.perl.org/src/GUS/Unicode-UTF8simple-1.06/gb2312.txt

# gb2312.txt --
#
#       GB2312 to Unicode table (modified)
# from: 
# http://tcl.apache.org/sources/tcl/tools/encoding/gb2312.txt
# ftp://ftp.unicode.org/Public/MAPPINGS/OBSOLETE/EASTASIA/GB/GB2312.TXT
#
# Copyright (c) 1998-1999 by Scriptics Corporation.
#
# See the file 'license.terms' for information on usage and redistribution
# of this file, and for a DISCLAIMER OF ALL WARRANTIES.
#
# RCS: @(#) $Id: CharacterEncoderImplementations__GB2312_1980_0.st,v 1.1 2014-02-15 21:05:57 cg Exp $
#
# NOTE: this table has been modified to include the 7-bit ASCII
# characters that are allowed in GB2312 files.
#
#
#       Name:             GB2312-80 to Unicode table (complete, hex format)
#       Unicode version:  1.1
#       Table version:    0.0d2
#       Table format:     Format A
#       Date:             6 December 1993
#       Author:           Glenn Adams <glenn@metis.com>
#                     John H. Jenkins <John_Jenkins@taligent.com>
#
#       Copyright (c) 1991-1994 Unicode, Inc.  All Rights reserved.
#
#       This file is provided as-is by Unicode, Inc. (The Unicode Consortium).
#       No claims are made as to fitness for any particular purpose.  No
#       warranties of any kind are expressed or implied.  The recipient
#       agrees to determine applicability of information provided.  If this
#       file has been provided on magnetic media by Unicode, Inc., the sole
#       remedy for any claim will be exchange of defective media within 90
#       days of receipt.
#
#       Recipient is granted the right to make copies in any form for
#       internal distribution and to freely use the information supplied
#       in the creation of products supporting Unicode.  Unicode, Inc.
#       specifically excludes the right to re-distribute this file directly
#       to third parties or other organizations whether for profit or not.
#
#       General notes:
#
#       This table contains the data Metis and Taligent currently have on how
#       GB2312-80 characters map into Unicode.
#
#       Format:  Three tab-separated columns
#                Column #1 is the GB2312 code (in hex as 0xXXXX)
#                Column #2 is the Unicode (in hex as 0xXXXX)
#                Column #3 the Unicode name (follows a comment sign, '#')
#                                       The official names for Unicode characters U+4E00
#                                       to U+9FA5, inclusive, is 'CJK UNIFIED IDEOGRAPH-XXXX',
#                                       where XXXX is the code point.  Including all these
#                                       names in this file increases its size substantially
#                                       and needlessly.  The token '<CJK>' is used for the
#                                       name of these characters.  If necessary, it can be
#                                       expanded algorithmically by a parser or editor.
#
#       The entries are in GB2312 order
#
#       The following algorithms can be used to change the hex form
#               of GB2312 to other standard forms:
#
#               To change hex to EUC form, add 0x8080
#               To change hex to kuten form, first subtract 0x2020.  Then
#                       the high and low bytes correspond to the ku and ten of
#                       the kuten form.  For example, 0x2121 -> 0x0101 -> 0101;
#                       0x777E -> 0x575E -> 8794
#
#       Any comments or problems, contact <John_Jenkins@taligent.com>
#
#
0x2121=>0x3000, # IDEOGRAPHIC SPACE
0x2122=>0x3001, # IDEOGRAPHIC COMMA
0x2123=>0x3002, # IDEOGRAPHIC FULL STOP
0x2124=>0x30FB, # KATAKANA MIDDLE DOT
0x2125=>0x02C9, # MODIFIER LETTER MACRON (Mandarin Chinese first tone)
0x2126=>0x02C7, # CARON (Mandarin Chinese third tone)
0x2127=>0x00A8, # DIAERESIS
0x2128=>0x3003, # DITTO MARK
0x2129=>0x3005, # IDEOGRAPHIC ITERATION MARK
0x212A=>0x2015, # HORIZONTAL BAR
0x212B=>0x7E, # FULLWIDTH TILDE           
0x212C=>0x2225, # PARALLEL TO
0x212D=>0x2026, # HORIZONTAL ELLIPSIS
0x212E=>0x2018, # LEFT SINGLE QUOTATION MARK
0x212F=>0x2019, # RIGHT SINGLE QUOTATION MARK
0x2130=>0x201C, # LEFT DOUBLE QUOTATION MARK
0x2131=>0x201D, # RIGHT DOUBLE QUOTATION MARK
0x2132=>0x3014, # LEFT TORTOISE SHELL BRACKET
0x2133=>0x3015, # RIGHT TORTOISE SHELL BRACKET
0x2134=>0x3008, # LEFT ANGLE BRACKET
0x2135=>0x3009, # RIGHT ANGLE BRACKET
0x2136=>0x300A, # LEFT DOUBLE ANGLE BRACKET
0x2137=>0x300B, # RIGHT DOUBLE ANGLE BRACKET
0x2138=>0x300C, # LEFT CORNER BRACKET
0x2139=>0x300D, # RIGHT CORNER BRACKET
0x213A=>0x300E, # LEFT WHITE CORNER BRACKET
0x213B=>0x300F, # RIGHT WHITE CORNER BRACKET
0x213C=>0x3016, # LEFT WHITE LENTICULAR BRACKET
0x213D=>0x3017, # RIGHT WHITE LENTICULAR BRACKET
0x213E=>0x3010, # LEFT BLACK LENTICULAR BRACKET
0x213F=>0x3011, # RIGHT BLACK LENTICULAR BRACKET
0x2140=>0x00B1, # PLUS-MINUS SIGN
0x2141=>0x00D7, # MULTIPLICATION SIGN
0x2142=>0x00F7, # DIVISION SIGN
0x2143=>0x2236, # RATIO
0x2144=>0x2227, # LOGICAL AND
0x2145=>0x2228, # LOGICAL OR
0x2146=>0x2211, # N-ARY SUMMATION
0x2147=>0x220F, # N-ARY PRODUCT
0x2148=>0x222A, # UNION
0x2149=>0x2229, # INTERSECTION
0x214A=>0x2208, # ELEMENT OF
0x214B=>0x2237, # PROPORTION
0x214C=>0x221A, # SQUARE ROOT
0x214D=>0x22A5, # UP TACK
0x214E=>0x2225, # PARALLEL TO
0x214F=>0x2220, # ANGLE
0x2150=>0x2312, # ARC
0x2151=>0x2299, # CIRCLED DOT OPERATOR
0x2152=>0x222B, # INTEGRAL
0x2153=>0x222E, # CONTOUR INTEGRAL
0x2154=>0x2261, # IDENTICAL TO
0x2155=>0x224C, # ALL EQUAL TO
0x2156=>0x2248, # ALMOST EQUAL TO
0x2157=>0x223D, # REVERSED TILDE
0x2158=>0x221D, # PROPORTIONAL TO
0x2159=>0x2260, # NOT EQUAL TO
0x215A=>0x226E, # NOT LESS-THAN
0x215B=>0x226F, # NOT GREATER-THAN
0x215C=>0x2264, # LESS-THAN OR EQUAL TO
0x215D=>0x2265, # GREATER-THAN OR EQUAL TO
0x215E=>0x221E, # INFINITY
0x215F=>0x2235, # BECAUSE
0x2160=>0x2234, # THEREFORE
0x2161=>0x2642, # MALE SIGN
0x2162=>0x2640, # FEMALE SIGN
0x2163=>0x00B0, # DEGREE SIGN
0x2164=>0x2032, # PRIME
0x2165=>0x2033, # DOUBLE PRIME
0x2166=>0x2103, # DEGREE CELSIUS
0x2167=>0x24, # FULLWIDTH DOLLAR SIGN
0x2168=>0x00A4, # CURRENCY SIGN
0x2169=>0xFFE0, # FULLWIDTH CENT SIGN
0x216A=>0xFFE1, # FULLWIDTH POUND SIGN
0x216B=>0x2030, # PER MILLE SIGN
0x216C=>0x00A7, # SECTION SIGN
0x216D=>0x2116, # NUMERO SIGN
0x216E=>0x2606, # WHITE STAR
0x216F=>0x2605, # BLACK STAR
0x2170=>0x25CB, # WHITE CIRCLE
0x2171=>0x25CF, # BLACK CIRCLE
0x2172=>0x25CE, # BULLSEYE
0x2173=>0x25C7, # WHITE DIAMOND
0x2174=>0x25C6, # BLACK DIAMOND
0x2175=>0x25A1, # WHITE SQUARE
0x2176=>0x25A0, # BLACK SQUARE
0x2177=>0x25B3, # WHITE UP-POINTING TRIANGLE
0x2178=>0x25B2, # BLACK UP-POINTING TRIANGLE
0x2179=>0x203B, # REFERENCE MARK
0x217A=>0x2192, # RIGHTWARDS ARROW
0x217B=>0x2190, # LEFTWARDS ARROW
0x217C=>0x2191, # UPWARDS ARROW
0x217D=>0x2193, # DOWNWARDS ARROW
0x217E=>0x3013, # GETA MARK
0x2231=>0x2488, # DIGIT ONE FULL STOP
0x2232=>0x2489, # DIGIT TWO FULL STOP
0x2233=>0x248A, # DIGIT THREE FULL STOP
0x2234=>0x248B, # DIGIT FOUR FULL STOP
0x2235=>0x248C, # DIGIT FIVE FULL STOP
0x2236=>0x248D, # DIGIT SIX FULL STOP
0x2237=>0x248E, # DIGIT SEVEN FULL STOP
0x2238=>0x248F, # DIGIT EIGHT FULL STOP
0x2239=>0x2490, # DIGIT NINE FULL STOP
0x223A=>0x2491, # NUMBER TEN FULL STOP
0x223B=>0x2492, # NUMBER ELEVEN FULL STOP
0x223C=>0x2493, # NUMBER TWELVE FULL STOP
0x223D=>0x2494, # NUMBER THIRTEEN FULL STOP
0x223E=>0x2495, # NUMBER FOURTEEN FULL STOP
0x223F=>0x2496, # NUMBER FIFTEEN FULL STOP
0x2240=>0x2497, # NUMBER SIXTEEN FULL STOP
0x2241=>0x2498, # NUMBER SEVENTEEN FULL STOP
0x2242=>0x2499, # NUMBER EIGHTEEN FULL STOP
0x2243=>0x249A, # NUMBER NINETEEN FULL STOP
0x2244=>0x249B, # NUMBER TWENTY FULL STOP
0x2245=>0x2474, # PARENTHESIZED DIGIT ONE
0x2246=>0x2475, # PARENTHESIZED DIGIT TWO
0x2247=>0x2476, # PARENTHESIZED DIGIT THREE
0x2248=>0x2477, # PARENTHESIZED DIGIT FOUR
0x2249=>0x2478, # PARENTHESIZED DIGIT FIVE
0x224A=>0x2479, # PARENTHESIZED DIGIT SIX
0x224B=>0x247A, # PARENTHESIZED DIGIT SEVEN
0x224C=>0x247B, # PARENTHESIZED DIGIT EIGHT
0x224D=>0x247C, # PARENTHESIZED DIGIT NINE
0x224E=>0x247D, # PARENTHESIZED NUMBER TEN
0x224F=>0x247E, # PARENTHESIZED NUMBER ELEVEN
0x2250=>0x247F, # PARENTHESIZED NUMBER TWELVE
0x2251=>0x2480, # PARENTHESIZED NUMBER THIRTEEN
0x2252=>0x2481, # PARENTHESIZED NUMBER FOURTEEN
0x2253=>0x2482, # PARENTHESIZED NUMBER FIFTEEN
0x2254=>0x2483, # PARENTHESIZED NUMBER SIXTEEN
0x2255=>0x2484, # PARENTHESIZED NUMBER SEVENTEEN
0x2256=>0x2485, # PARENTHESIZED NUMBER EIGHTEEN
0x2257=>0x2486, # PARENTHESIZED NUMBER NINETEEN
0x2258=>0x2487, # PARENTHESIZED NUMBER TWENTY
0x2259=>0x2460, # CIRCLED DIGIT ONE
0x225A=>0x2461, # CIRCLED DIGIT TWO
0x225B=>0x2462, # CIRCLED DIGIT THREE
0x225C=>0x2463, # CIRCLED DIGIT FOUR
0x225D=>0x2464, # CIRCLED DIGIT FIVE
0x225E=>0x2465, # CIRCLED DIGIT SIX
0x225F=>0x2466, # CIRCLED DIGIT SEVEN
0x2260=>0x2467, # CIRCLED DIGIT EIGHT
0x2261=>0x2468, # CIRCLED DIGIT NINE
0x2262=>0x2469, # CIRCLED NUMBER TEN
0x2265=>0x3220, # PARENTHESIZED IDEOGRAPH ONE
0x2266=>0x3221, # PARENTHESIZED IDEOGRAPH TWO
0x2267=>0x3222, # PARENTHESIZED IDEOGRAPH THREE
0x2268=>0x3223, # PARENTHESIZED IDEOGRAPH FOUR
0x2269=>0x3224, # PARENTHESIZED IDEOGRAPH FIVE
0x226A=>0x3225, # PARENTHESIZED IDEOGRAPH SIX
0x226B=>0x3226, # PARENTHESIZED IDEOGRAPH SEVEN
0x226C=>0x3227, # PARENTHESIZED IDEOGRAPH EIGHT
0x226D=>0x3228, # PARENTHESIZED IDEOGRAPH NINE
0x226E=>0x3229, # PARENTHESIZED IDEOGRAPH TEN
0x2271=>0x2160, # ROMAN NUMERAL ONE
0x2272=>0x2161, # ROMAN NUMERAL TWO
0x2273=>0x2162, # ROMAN NUMERAL THREE
0x2274=>0x2163, # ROMAN NUMERAL FOUR
0x2275=>0x2164, # ROMAN NUMERAL FIVE
0x2276=>0x2165, # ROMAN NUMERAL SIX
0x2277=>0x2166, # ROMAN NUMERAL SEVEN
0x2278=>0x2167, # ROMAN NUMERAL EIGHT
0x2279=>0x2168, # ROMAN NUMERAL NINE
0x227A=>0x2169, # ROMAN NUMERAL TEN
0x227B=>0x216A, # ROMAN NUMERAL ELEVEN
0x227C=>0x216B, # ROMAN NUMERAL TWELVE
0x2321=>0x21, # FULLWIDTH EXCLAMATION MARK
0x2322=>0x22, # FULLWIDTH QUOTATION MARK
0x2323=>0x23, # FULLWIDTH NUMBER SIGN    
0x2324=>0xFFE5, # FULLWIDTH YEN SIGN
0x2325=>0x25, # FULLWIDTH PERCENT SIGN
0x2326=>0x26, # FULLWIDTH AMPERSAND
0x2327=>0x27, # FULLWIDTH APOSTROPHE
0x2328=>0x28, # FULLWIDTH LEFT PARENTHESIS
0x2329=>0x29, # FULLWIDTH RIGHT PARENTHESIS
0x232A=>0x2A, # FULLWIDTH ASTERISK
0x232B=>0x2B, # FULLWIDTH PLUS SIGN
0x232C=>0x2C, # FULLWIDTH COMMA
0x232D=>0x2D, # FULLWIDTH HYPHEN-MINUS
0x232E=>0x2E, # FULLWIDTH FULL STOP
0x232F=>0x2F, # FULLWIDTH SOLIDUS            
0x2330=>0x30, # FULLWIDTH DIGIT ZERO
0x2331=>0x31, # FULLWIDTH DIGIT ONE
0x2332=>0x32, # FULLWIDTH DIGIT TWO            
0x2333=>0x33, # FULLWIDTH DIGIT THREE
0x2334=>0x34, # FULLWIDTH DIGIT FOUR
0x2335=>0x35, # FULLWIDTH DIGIT FIVE
0x2336=>0x36, # FULLWIDTH DIGIT SIX
0x2337=>0x37, # FULLWIDTH DIGIT SEVEN
0x2338=>0x38, # FULLWIDTH DIGIT EIGHT
0x2339=>0x39, # FULLWIDTH DIGIT NINE      
0x233A=>0x3A, # FULLWIDTH COLON
0x233B=>0x3B, # FULLWIDTH SEMICOLON
0x233C=>0x3C, # FULLWIDTH LESS-THAN SIGN
0x233D=>0x3D, # FULLWIDTH EQUALS SIGN
0x233E=>0x3E, # FULLWIDTH GREATER-THAN SIGN
0x233F=>0x3F, # FULLWIDTH QUESTION MARK
0x2340=>0x40, # FULLWIDTH COMMERCIAL AT           
0x2341=>0x41, # FULLWIDTH LATIN CAPITAL LETTER A
0x2342=>0x42, # FULLWIDTH LATIN CAPITAL LETTER B
0x2343=>0x43, # FULLWIDTH LATIN CAPITAL LETTER C
0x2344=>0x44, # FULLWIDTH LATIN CAPITAL LETTER D
0x2345=>0x45, # FULLWIDTH LATIN CAPITAL LETTER E
0x2346=>0x46, # FULLWIDTH LATIN CAPITAL LETTER F
0x2347=>0x47, # FULLWIDTH LATIN CAPITAL LETTER G
0x2348=>0x48, # FULLWIDTH LATIN CAPITAL LETTER H
0x2349=>0x49, # FULLWIDTH LATIN CAPITAL LETTER I
0x234A=>0x4A, # FULLWIDTH LATIN CAPITAL LETTER J
0x234B=>0x4B, # FULLWIDTH LATIN CAPITAL LETTER K
0x234C=>0x4C, # FULLWIDTH LATIN CAPITAL LETTER L
0x234D=>0x4D, # FULLWIDTH LATIN CAPITAL LETTER M
0x234E=>0x4E, # FULLWIDTH LATIN CAPITAL LETTER N
0x234F=>0x4F, # FULLWIDTH LATIN CAPITAL LETTER O
0x2350=>0x50, # FULLWIDTH LATIN CAPITAL LETTER P
0x2351=>0x51, # FULLWIDTH LATIN CAPITAL LETTER Q
0x2352=>0x52, # FULLWIDTH LATIN CAPITAL LETTER R
0x2353=>0x53, # FULLWIDTH LATIN CAPITAL LETTER S
0x2354=>0x54, # FULLWIDTH LATIN CAPITAL LETTER T
0x2355=>0x55, # FULLWIDTH LATIN CAPITAL LETTER U
0x2356=>0x56, # FULLWIDTH LATIN CAPITAL LETTER V
0x2357=>0x57, # FULLWIDTH LATIN CAPITAL LETTER W
0x2358=>0x58, # FULLWIDTH LATIN CAPITAL LETTER X
0x2359=>0x59, # FULLWIDTH LATIN CAPITAL LETTER Y              
0x235A=>0x5A, # FULLWIDTH LATIN CAPITAL LETTER Z
0x235B=>0x5B, # FULLWIDTH LEFT SQUARE BRACKET
0x235C=>0x5C, # FULLWIDTH REVERSE SOLIDUS
0x235D=>0x5D, # FULLWIDTH RIGHT SQUARE BRACKET
0x235E=>0x5E, # FULLWIDTH CIRCUMFLEX ACCENT
0x235F=>0x5F, # FULLWIDTH LOW LINE
0x2360=>0x60, # FULLWIDTH GRAVE ACCENT
0x2361=>0x61, # FULLWIDTH LATIN SMALL LETTER A
0x2362=>0x62, # FULLWIDTH LATIN SMALL LETTER B
0x2363=>0x63, # FULLWIDTH LATIN SMALL LETTER C
0x2364=>0x64, # FULLWIDTH LATIN SMALL LETTER D
0x2365=>0x65, # FULLWIDTH LATIN SMALL LETTER E
0x2366=>0x66, # FULLWIDTH LATIN SMALL LETTER F
0x2367=>0x67, # FULLWIDTH LATIN SMALL LETTER G
0x2368=>0x68, # FULLWIDTH LATIN SMALL LETTER H
0x2369=>0x69, # FULLWIDTH LATIN SMALL LETTER I
0x236A=>0x6A, # FULLWIDTH LATIN SMALL LETTER J
0x236B=>0x6B, # FULLWIDTH LATIN SMALL LETTER K
0x236C=>0x6C, # FULLWIDTH LATIN SMALL LETTER L
0x236D=>0x6D, # FULLWIDTH LATIN SMALL LETTER M
0x236E=>0x6E, # FULLWIDTH LATIN SMALL LETTER N
0x236F=>0x6F, # FULLWIDTH LATIN SMALL LETTER O
0x2370=>0x70, # FULLWIDTH LATIN SMALL LETTER P
0x2371=>0x71, # FULLWIDTH LATIN SMALL LETTER Q
0x2372=>0x72, # FULLWIDTH LATIN SMALL LETTER R
0x2373=>0x73, # FULLWIDTH LATIN SMALL LETTER S
0x2374=>0x74, # FULLWIDTH LATIN SMALL LETTER T
0x2375=>0x75, # FULLWIDTH LATIN SMALL LETTER U
0x2376=>0x76, # FULLWIDTH LATIN SMALL LETTER V
0x2377=>0x77, # FULLWIDTH LATIN SMALL LETTER W
0x2378=>0x78, # FULLWIDTH LATIN SMALL LETTER X
0x2379=>0x79, # FULLWIDTH LATIN SMALL LETTER Y
0x237A=>0x7A, # FULLWIDTH LATIN SMALL LETTER Z
0x237B=>0x7B, # FULLWIDTH LEFT CURLY BRACKET
0x237C=>0x7C, # FULLWIDTH VERTICAL LINE
0x237D=>0x7D, # FULLWIDTH RIGHT CURLY BRACKET
0x237E=>0xFFE3, # FULLWIDTH MACRON
0x2421=>0x3041, # HIRAGANA LETTER SMALL A
0x2422=>0x3042, # HIRAGANA LETTER A
0x2423=>0x3043, # HIRAGANA LETTER SMALL I
0x2424=>0x3044, # HIRAGANA LETTER I
0x2425=>0x3045, # HIRAGANA LETTER SMALL U
0x2426=>0x3046, # HIRAGANA LETTER U
0x2427=>0x3047, # HIRAGANA LETTER SMALL E
0x2428=>0x3048, # HIRAGANA LETTER E
0x2429=>0x3049, # HIRAGANA LETTER SMALL O
0x242A=>0x304A, # HIRAGANA LETTER O
0x242B=>0x304B, # HIRAGANA LETTER KA
0x242C=>0x304C, # HIRAGANA LETTER GA
0x242D=>0x304D, # HIRAGANA LETTER KI
0x242E=>0x304E, # HIRAGANA LETTER GI
0x242F=>0x304F, # HIRAGANA LETTER KU
0x2430=>0x3050, # HIRAGANA LETTER GU
0x2431=>0x3051, # HIRAGANA LETTER KE
0x2432=>0x3052, # HIRAGANA LETTER GE
0x2433=>0x3053, # HIRAGANA LETTER KO
0x2434=>0x3054, # HIRAGANA LETTER GO
0x2435=>0x3055, # HIRAGANA LETTER SA
0x2436=>0x3056, # HIRAGANA LETTER ZA
0x2437=>0x3057, # HIRAGANA LETTER SI
0x2438=>0x3058, # HIRAGANA LETTER ZI
0x2439=>0x3059, # HIRAGANA LETTER SU
0x243A=>0x305A, # HIRAGANA LETTER ZU
0x243B=>0x305B, # HIRAGANA LETTER SE
0x243C=>0x305C, # HIRAGANA LETTER ZE
0x243D=>0x305D, # HIRAGANA LETTER SO
0x243E=>0x305E, # HIRAGANA LETTER ZO
0x243F=>0x305F, # HIRAGANA LETTER TA
0x2440=>0x3060, # HIRAGANA LETTER DA
0x2441=>0x3061, # HIRAGANA LETTER TI
0x2442=>0x3062, # HIRAGANA LETTER DI
0x2443=>0x3063, # HIRAGANA LETTER SMALL TU
0x2444=>0x3064, # HIRAGANA LETTER TU
0x2445=>0x3065, # HIRAGANA LETTER DU
0x2446=>0x3066, # HIRAGANA LETTER TE
0x2447=>0x3067, # HIRAGANA LETTER DE
0x2448=>0x3068, # HIRAGANA LETTER TO
0x2449=>0x3069, # HIRAGANA LETTER DO
0x244A=>0x306A, # HIRAGANA LETTER NA
0x244B=>0x306B, # HIRAGANA LETTER NI
0x244C=>0x306C, # HIRAGANA LETTER NU
0x244D=>0x306D, # HIRAGANA LETTER NE
0x244E=>0x306E, # HIRAGANA LETTER NO
0x244F=>0x306F, # HIRAGANA LETTER HA
0x2450=>0x3070, # HIRAGANA LETTER BA
0x2451=>0x3071, # HIRAGANA LETTER PA
0x2452=>0x3072, # HIRAGANA LETTER HI
0x2453=>0x3073, # HIRAGANA LETTER BI
0x2454=>0x3074, # HIRAGANA LETTER PI
0x2455=>0x3075, # HIRAGANA LETTER HU
0x2456=>0x3076, # HIRAGANA LETTER BU
0x2457=>0x3077, # HIRAGANA LETTER PU
0x2458=>0x3078, # HIRAGANA LETTER HE
0x2459=>0x3079, # HIRAGANA LETTER BE
0x245A=>0x307A, # HIRAGANA LETTER PE
0x245B=>0x307B, # HIRAGANA LETTER HO
0x245C=>0x307C, # HIRAGANA LETTER BO
0x245D=>0x307D, # HIRAGANA LETTER PO
0x245E=>0x307E, # HIRAGANA LETTER MA
0x245F=>0x307F, # HIRAGANA LETTER MI
0x2460=>0x3080, # HIRAGANA LETTER MU
0x2461=>0x3081, # HIRAGANA LETTER ME
0x2462=>0x3082, # HIRAGANA LETTER MO
0x2463=>0x3083, # HIRAGANA LETTER SMALL YA
0x2464=>0x3084, # HIRAGANA LETTER YA
0x2465=>0x3085, # HIRAGANA LETTER SMALL YU
0x2466=>0x3086, # HIRAGANA LETTER YU
0x2467=>0x3087, # HIRAGANA LETTER SMALL YO
0x2468=>0x3088, # HIRAGANA LETTER YO
0x2469=>0x3089, # HIRAGANA LETTER RA
0x246A=>0x308A, # HIRAGANA LETTER RI
0x246B=>0x308B, # HIRAGANA LETTER RU
0x246C=>0x308C, # HIRAGANA LETTER RE
0x246D=>0x308D, # HIRAGANA LETTER RO
0x246E=>0x308E, # HIRAGANA LETTER SMALL WA
0x246F=>0x308F, # HIRAGANA LETTER WA
0x2470=>0x3090, # HIRAGANA LETTER WI
0x2471=>0x3091, # HIRAGANA LETTER WE
0x2472=>0x3092, # HIRAGANA LETTER WO
0x2473=>0x3093, # HIRAGANA LETTER N
0x2521=>0x30A1, # KATAKANA LETTER SMALL A
0x2522=>0x30A2, # KATAKANA LETTER A
0x2523=>0x30A3, # KATAKANA LETTER SMALL I
0x2524=>0x30A4, # KATAKANA LETTER I
0x2525=>0x30A5, # KATAKANA LETTER SMALL U
0x2526=>0x30A6, # KATAKANA LETTER U
0x2527=>0x30A7, # KATAKANA LETTER SMALL E
0x2528=>0x30A8, # KATAKANA LETTER E
0x2529=>0x30A9, # KATAKANA LETTER SMALL O
0x252A=>0x30AA, # KATAKANA LETTER O
0x252B=>0x30AB, # KATAKANA LETTER KA
0x252C=>0x30AC, # KATAKANA LETTER GA
0x252D=>0x30AD, # KATAKANA LETTER KI
0x252E=>0x30AE, # KATAKANA LETTER GI
0x252F=>0x30AF, # KATAKANA LETTER KU
0x2530=>0x30B0, # KATAKANA LETTER GU
0x2531=>0x30B1, # KATAKANA LETTER KE
0x2532=>0x30B2, # KATAKANA LETTER GE
0x2533=>0x30B3, # KATAKANA LETTER KO
0x2534=>0x30B4, # KATAKANA LETTER GO
0x2535=>0x30B5, # KATAKANA LETTER SA
0x2536=>0x30B6, # KATAKANA LETTER ZA
0x2537=>0x30B7, # KATAKANA LETTER SI
0x2538=>0x30B8, # KATAKANA LETTER ZI
0x2539=>0x30B9, # KATAKANA LETTER SU
0x253A=>0x30BA, # KATAKANA LETTER ZU
0x253B=>0x30BB, # KATAKANA LETTER SE
0x253C=>0x30BC, # KATAKANA LETTER ZE
0x253D=>0x30BD, # KATAKANA LETTER SO
0x253E=>0x30BE, # KATAKANA LETTER ZO
0x253F=>0x30BF, # KATAKANA LETTER TA
0x2540=>0x30C0, # KATAKANA LETTER DA
0x2541=>0x30C1, # KATAKANA LETTER TI
0x2542=>0x30C2, # KATAKANA LETTER DI
0x2543=>0x30C3, # KATAKANA LETTER SMALL TU
0x2544=>0x30C4, # KATAKANA LETTER TU
0x2545=>0x30C5, # KATAKANA LETTER DU
0x2546=>0x30C6, # KATAKANA LETTER TE
0x2547=>0x30C7, # KATAKANA LETTER DE
0x2548=>0x30C8, # KATAKANA LETTER TO
0x2549=>0x30C9, # KATAKANA LETTER DO
0x254A=>0x30CA, # KATAKANA LETTER NA
0x254B=>0x30CB, # KATAKANA LETTER NI
0x254C=>0x30CC, # KATAKANA LETTER NU
0x254D=>0x30CD, # KATAKANA LETTER NE
0x254E=>0x30CE, # KATAKANA LETTER NO
0x254F=>0x30CF, # KATAKANA LETTER HA
0x2550=>0x30D0, # KATAKANA LETTER BA
0x2551=>0x30D1, # KATAKANA LETTER PA
0x2552=>0x30D2, # KATAKANA LETTER HI
0x2553=>0x30D3, # KATAKANA LETTER BI
0x2554=>0x30D4, # KATAKANA LETTER PI
0x2555=>0x30D5, # KATAKANA LETTER HU
0x2556=>0x30D6, # KATAKANA LETTER BU
0x2557=>0x30D7, # KATAKANA LETTER PU
0x2558=>0x30D8, # KATAKANA LETTER HE
0x2559=>0x30D9, # KATAKANA LETTER BE
0x255A=>0x30DA, # KATAKANA LETTER PE
0x255B=>0x30DB, # KATAKANA LETTER HO
0x255C=>0x30DC, # KATAKANA LETTER BO
0x255D=>0x30DD, # KATAKANA LETTER PO
0x255E=>0x30DE, # KATAKANA LETTER MA
0x255F=>0x30DF, # KATAKANA LETTER MI
0x2560=>0x30E0, # KATAKANA LETTER MU
0x2561=>0x30E1, # KATAKANA LETTER ME
0x2562=>0x30E2, # KATAKANA LETTER MO
0x2563=>0x30E3, # KATAKANA LETTER SMALL YA
0x2564=>0x30E4, # KATAKANA LETTER YA
0x2565=>0x30E5, # KATAKANA LETTER SMALL YU
0x2566=>0x30E6, # KATAKANA LETTER YU
0x2567=>0x30E7, # KATAKANA LETTER SMALL YO
0x2568=>0x30E8, # KATAKANA LETTER YO
0x2569=>0x30E9, # KATAKANA LETTER RA
0x256A=>0x30EA, # KATAKANA LETTER RI
0x256B=>0x30EB, # KATAKANA LETTER RU
0x256C=>0x30EC, # KATAKANA LETTER RE
0x256D=>0x30ED, # KATAKANA LETTER RO
0x256E=>0x30EE, # KATAKANA LETTER SMALL WA
0x256F=>0x30EF, # KATAKANA LETTER WA
0x2570=>0x30F0, # KATAKANA LETTER WI
0x2571=>0x30F1, # KATAKANA LETTER WE
0x2572=>0x30F2, # KATAKANA LETTER WO
0x2573=>0x30F3, # KATAKANA LETTER N
0x2574=>0x30F4, # KATAKANA LETTER VU
0x2575=>0x30F5, # KATAKANA LETTER SMALL KA
0x2576=>0x30F6, # KATAKANA LETTER SMALL KE
0x2621=>0x0391, # GREEK CAPITAL LETTER ALPHA
0x2622=>0x0392, # GREEK CAPITAL LETTER BETA
0x2623=>0x0393, # GREEK CAPITAL LETTER GAMMA
0x2624=>0x0394, # GREEK CAPITAL LETTER DELTA
0x2625=>0x0395, # GREEK CAPITAL LETTER EPSILON
0x2626=>0x0396, # GREEK CAPITAL LETTER ZETA
0x2627=>0x0397, # GREEK CAPITAL LETTER ETA
0x2628=>0x0398, # GREEK CAPITAL LETTER THETA
0x2629=>0x0399, # GREEK CAPITAL LETTER IOTA
0x262A=>0x039A, # GREEK CAPITAL LETTER KAPPA
0x262B=>0x039B, # GREEK CAPITAL LETTER LAMDA
0x262C=>0x039C, # GREEK CAPITAL LETTER MU
0x262D=>0x039D, # GREEK CAPITAL LETTER NU
0x262E=>0x039E, # GREEK CAPITAL LETTER XI
0x262F=>0x039F, # GREEK CAPITAL LETTER OMICRON
0x2630=>0x03A0, # GREEK CAPITAL LETTER PI
0x2631=>0x03A1, # GREEK CAPITAL LETTER RHO
0x2632=>0x03A3, # GREEK CAPITAL LETTER SIGMA
0x2633=>0x03A4, # GREEK CAPITAL LETTER TAU
0x2634=>0x03A5, # GREEK CAPITAL LETTER UPSILON
0x2635=>0x03A6, # GREEK CAPITAL LETTER PHI
0x2636=>0x03A7, # GREEK CAPITAL LETTER CHI
0x2637=>0x03A8, # GREEK CAPITAL LETTER PSI
0x2638=>0x03A9, # GREEK CAPITAL LETTER OMEGA
0x2641=>0x03B1, # GREEK SMALL LETTER ALPHA
0x2642=>0x03B2, # GREEK SMALL LETTER BETA
0x2643=>0x03B3, # GREEK SMALL LETTER GAMMA
0x2644=>0x03B4, # GREEK SMALL LETTER DELTA
0x2645=>0x03B5, # GREEK SMALL LETTER EPSILON
0x2646=>0x03B6, # GREEK SMALL LETTER ZETA
0x2647=>0x03B7, # GREEK SMALL LETTER ETA
0x2648=>0x03B8, # GREEK SMALL LETTER THETA
0x2649=>0x03B9, # GREEK SMALL LETTER IOTA
0x264A=>0x03BA, # GREEK SMALL LETTER KAPPA
0x264B=>0x03BB, # GREEK SMALL LETTER LAMDA
0x264C=>0x03BC, # GREEK SMALL LETTER MU
0x264D=>0x03BD, # GREEK SMALL LETTER NU
0x264E=>0x03BE, # GREEK SMALL LETTER XI
0x264F=>0x03BF, # GREEK SMALL LETTER OMICRON
0x2650=>0x03C0, # GREEK SMALL LETTER PI
0x2651=>0x03C1, # GREEK SMALL LETTER RHO
0x2652=>0x03C3, # GREEK SMALL LETTER SIGMA
0x2653=>0x03C4, # GREEK SMALL LETTER TAU
0x2654=>0x03C5, # GREEK SMALL LETTER UPSILON
0x2655=>0x03C6, # GREEK SMALL LETTER PHI
0x2656=>0x03C7, # GREEK SMALL LETTER CHI
0x2657=>0x03C8, # GREEK SMALL LETTER PSI
0x2658=>0x03C9, # GREEK SMALL LETTER OMEGA
0x2721=>0x0410, # CYRILLIC CAPITAL LETTER A
0x2722=>0x0411, # CYRILLIC CAPITAL LETTER BE
0x2723=>0x0412, # CYRILLIC CAPITAL LETTER VE
0x2724=>0x0413, # CYRILLIC CAPITAL LETTER GHE
0x2725=>0x0414, # CYRILLIC CAPITAL LETTER DE
0x2726=>0x0415, # CYRILLIC CAPITAL LETTER IE
0x2727=>0x0401, # CYRILLIC CAPITAL LETTER IO
0x2728=>0x0416, # CYRILLIC CAPITAL LETTER ZHE
0x2729=>0x0417, # CYRILLIC CAPITAL LETTER ZE
0x272A=>0x0418, # CYRILLIC CAPITAL LETTER I
0x272B=>0x0419, # CYRILLIC CAPITAL LETTER SHORT I
0x272C=>0x041A, # CYRILLIC CAPITAL LETTER KA
0x272D=>0x041B, # CYRILLIC CAPITAL LETTER EL
0x272E=>0x041C, # CYRILLIC CAPITAL LETTER EM
0x272F=>0x041D, # CYRILLIC CAPITAL LETTER EN
0x2730=>0x041E, # CYRILLIC CAPITAL LETTER O
0x2731=>0x041F, # CYRILLIC CAPITAL LETTER PE
0x2732=>0x0420, # CYRILLIC CAPITAL LETTER ER
0x2733=>0x0421, # CYRILLIC CAPITAL LETTER ES
0x2734=>0x0422, # CYRILLIC CAPITAL LETTER TE
0x2735=>0x0423, # CYRILLIC CAPITAL LETTER U
0x2736=>0x0424, # CYRILLIC CAPITAL LETTER EF
0x2737=>0x0425, # CYRILLIC CAPITAL LETTER HA
0x2738=>0x0426, # CYRILLIC CAPITAL LETTER TSE
0x2739=>0x0427, # CYRILLIC CAPITAL LETTER CHE
0x273A=>0x0428, # CYRILLIC CAPITAL LETTER SHA
0x273B=>0x0429, # CYRILLIC CAPITAL LETTER SHCHA
0x273C=>0x042A, # CYRILLIC CAPITAL LETTER HARD SIGN
0x273D=>0x042B, # CYRILLIC CAPITAL LETTER YERU
0x273E=>0x042C, # CYRILLIC CAPITAL LETTER SOFT SIGN
0x273F=>0x042D, # CYRILLIC CAPITAL LETTER E
0x2740=>0x042E, # CYRILLIC CAPITAL LETTER YU
0x2741=>0x042F, # CYRILLIC CAPITAL LETTER YA
0x2751=>0x0430, # CYRILLIC SMALL LETTER A
0x2752=>0x0431, # CYRILLIC SMALL LETTER BE
0x2753=>0x0432, # CYRILLIC SMALL LETTER VE
0x2754=>0x0433, # CYRILLIC SMALL LETTER GHE
0x2755=>0x0434, # CYRILLIC SMALL LETTER DE
0x2756=>0x0435, # CYRILLIC SMALL LETTER IE
0x2757=>0x0451, # CYRILLIC SMALL LETTER IO
0x2758=>0x0436, # CYRILLIC SMALL LETTER ZHE
0x2759=>0x0437, # CYRILLIC SMALL LETTER ZE
0x275A=>0x0438, # CYRILLIC SMALL LETTER I
0x275B=>0x0439, # CYRILLIC SMALL LETTER SHORT I
0x275C=>0x043A, # CYRILLIC SMALL LETTER KA
0x275D=>0x043B, # CYRILLIC SMALL LETTER EL
0x275E=>0x043C, # CYRILLIC SMALL LETTER EM
0x275F=>0x043D, # CYRILLIC SMALL LETTER EN
0x2760=>0x043E, # CYRILLIC SMALL LETTER O
0x2761=>0x043F, # CYRILLIC SMALL LETTER PE
0x2762=>0x0440, # CYRILLIC SMALL LETTER ER
0x2763=>0x0441, # CYRILLIC SMALL LETTER ES
0x2764=>0x0442, # CYRILLIC SMALL LETTER TE
0x2765=>0x0443, # CYRILLIC SMALL LETTER U
0x2766=>0x0444, # CYRILLIC SMALL LETTER EF
0x2767=>0x0445, # CYRILLIC SMALL LETTER HA
0x2768=>0x0446, # CYRILLIC SMALL LETTER TSE
0x2769=>0x0447, # CYRILLIC SMALL LETTER CHE
0x276A=>0x0448, # CYRILLIC SMALL LETTER SHA
0x276B=>0x0449, # CYRILLIC SMALL LETTER SHCHA
0x276C=>0x044A, # CYRILLIC SMALL LETTER HARD SIGN
0x276D=>0x044B, # CYRILLIC SMALL LETTER YERU
0x276E=>0x044C, # CYRILLIC SMALL LETTER SOFT SIGN
0x276F=>0x044D, # CYRILLIC SMALL LETTER E
0x2770=>0x044E, # CYRILLIC SMALL LETTER YU
0x2771=>0x044F, # CYRILLIC SMALL LETTER YA
0x2821=>0x0101, # LATIN SMALL LETTER A WITH MACRON
0x2822=>0x00E1, # LATIN SMALL LETTER A WITH ACUTE
0x2823=>0x01CE, # LATIN SMALL LETTER A WITH CARON
0x2824=>0x00E0, # LATIN SMALL LETTER A WITH GRAVE
0x2825=>0x0113, # LATIN SMALL LETTER E WITH MACRON
0x2826=>0x00E9, # LATIN SMALL LETTER E WITH ACUTE
0x2827=>0x011B, # LATIN SMALL LETTER E WITH CARON
0x2828=>0x00E8, # LATIN SMALL LETTER E WITH GRAVE
0x2829=>0x012B, # LATIN SMALL LETTER I WITH MACRON
0x282A=>0x00ED, # LATIN SMALL LETTER I WITH ACUTE
0x282B=>0x01D0, # LATIN SMALL LETTER I WITH CARON
0x282C=>0x00EC, # LATIN SMALL LETTER I WITH GRAVE
0x282D=>0x014D, # LATIN SMALL LETTER O WITH MACRON
0x282E=>0x00F3, # LATIN SMALL LETTER O WITH ACUTE
0x282F=>0x01D2, # LATIN SMALL LETTER O WITH CARON
0x2830=>0x00F2, # LATIN SMALL LETTER O WITH GRAVE
0x2831=>0x016B, # LATIN SMALL LETTER U WITH MACRON
0x2832=>0x00FA, # LATIN SMALL LETTER U WITH ACUTE
0x2833=>0x01D4, # LATIN SMALL LETTER U WITH CARON
0x2834=>0x00F9, # LATIN SMALL LETTER U WITH GRAVE
0x2835=>0x01D6, # LATIN SMALL LETTER U WITH DIAERESIS AND MACRON
0x2836=>0x01D8, # LATIN SMALL LETTER U WITH DIAERESIS AND ACUTE
0x2837=>0x01DA, # LATIN SMALL LETTER U WITH DIAERESIS AND CARON
0x2838=>0x01DC, # LATIN SMALL LETTER U WITH DIAERESIS AND GRAVE
0x2839=>0x00FC, # LATIN SMALL LETTER U WITH DIAERESIS
0x283A=>0x00EA, # LATIN SMALL LETTER E WITH CIRCUMFLEX
0x2845=>0x3105, # BOPOMOFO LETTER B
0x2846=>0x3106, # BOPOMOFO LETTER P
0x2847=>0x3107, # BOPOMOFO LETTER M
0x2848=>0x3108, # BOPOMOFO LETTER F
0x2849=>0x3109, # BOPOMOFO LETTER D
0x284A=>0x310A, # BOPOMOFO LETTER T
0x284B=>0x310B, # BOPOMOFO LETTER N
0x284C=>0x310C, # BOPOMOFO LETTER L
0x284D=>0x310D, # BOPOMOFO LETTER G
0x284E=>0x310E, # BOPOMOFO LETTER K
0x284F=>0x310F, # BOPOMOFO LETTER H
0x2850=>0x3110, # BOPOMOFO LETTER J
0x2851=>0x3111, # BOPOMOFO LETTER Q
0x2852=>0x3112, # BOPOMOFO LETTER X
0x2853=>0x3113, # BOPOMOFO LETTER ZH
0x2854=>0x3114, # BOPOMOFO LETTER CH
0x2855=>0x3115, # BOPOMOFO LETTER SH
0x2856=>0x3116, # BOPOMOFO LETTER R
0x2857=>0x3117, # BOPOMOFO LETTER Z
0x2858=>0x3118, # BOPOMOFO LETTER C
0x2859=>0x3119, # BOPOMOFO LETTER S
0x285A=>0x311A, # BOPOMOFO LETTER A
0x285B=>0x311B, # BOPOMOFO LETTER O
0x285C=>0x311C, # BOPOMOFO LETTER E
0x285D=>0x311D, # BOPOMOFO LETTER EH
0x285E=>0x311E, # BOPOMOFO LETTER AI
0x285F=>0x311F, # BOPOMOFO LETTER EI
0x2860=>0x3120, # BOPOMOFO LETTER AU
0x2861=>0x3121, # BOPOMOFO LETTER OU
0x2862=>0x3122, # BOPOMOFO LETTER AN
0x2863=>0x3123, # BOPOMOFO LETTER EN
0x2864=>0x3124, # BOPOMOFO LETTER ANG
0x2865=>0x3125, # BOPOMOFO LETTER ENG
0x2866=>0x3126, # BOPOMOFO LETTER ER
0x2867=>0x3127, # BOPOMOFO LETTER I
0x2868=>0x3128, # BOPOMOFO LETTER U
0x2869=>0x3129, # BOPOMOFO LETTER IU
0x2924=>0x2500, # BOX DRAWINGS LIGHT HORIZONTAL
0x2925=>0x2501, # BOX DRAWINGS HEAVY HORIZONTAL
0x2926=>0x2502, # BOX DRAWINGS LIGHT VERTICAL
0x2927=>0x2503, # BOX DRAWINGS HEAVY VERTICAL
0x2928=>0x2504, # BOX DRAWINGS LIGHT TRIPLE DASH HORIZONTAL
0x2929=>0x2505, # BOX DRAWINGS HEAVY TRIPLE DASH HORIZONTAL
0x292A=>0x2506, # BOX DRAWINGS LIGHT TRIPLE DASH VERTICAL
0x292B=>0x2507, # BOX DRAWINGS HEAVY TRIPLE DASH VERTICAL
0x292C=>0x2508, # BOX DRAWINGS LIGHT QUADRUPLE DASH HORIZONTAL
0x292D=>0x2509, # BOX DRAWINGS HEAVY QUADRUPLE DASH HORIZONTAL
0x292E=>0x250A, # BOX DRAWINGS LIGHT QUADRUPLE DASH VERTICAL
0x292F=>0x250B, # BOX DRAWINGS HEAVY QUADRUPLE DASH VERTICAL
0x2930=>0x250C, # BOX DRAWINGS LIGHT DOWN AND RIGHT
0x2931=>0x250D, # BOX DRAWINGS DOWN LIGHT AND RIGHT HEAVY
0x2932=>0x250E, # BOX DRAWINGS DOWN HEAVY AND RIGHT LIGHT
0x2933=>0x250F, # BOX DRAWINGS HEAVY DOWN AND RIGHT
0x2934=>0x2510, # BOX DRAWINGS LIGHT DOWN AND LEFT
0x2935=>0x2511, # BOX DRAWINGS DOWN LIGHT AND LEFT HEAVY
0x2936=>0x2512, # BOX DRAWINGS DOWN HEAVY AND LEFT LIGHT
0x2937=>0x2513, # BOX DRAWINGS HEAVY DOWN AND LEFT
0x2938=>0x2514, # BOX DRAWINGS LIGHT UP AND RIGHT
0x2939=>0x2515, # BOX DRAWINGS UP LIGHT AND RIGHT HEAVY
0x293A=>0x2516, # BOX DRAWINGS UP HEAVY AND RIGHT LIGHT
0x293B=>0x2517, # BOX DRAWINGS HEAVY UP AND RIGHT
0x293C=>0x2518, # BOX DRAWINGS LIGHT UP AND LEFT
0x293D=>0x2519, # BOX DRAWINGS UP LIGHT AND LEFT HEAVY
0x293E=>0x251A, # BOX DRAWINGS UP HEAVY AND LEFT LIGHT
0x293F=>0x251B, # BOX DRAWINGS HEAVY UP AND LEFT
0x2940=>0x251C, # BOX DRAWINGS LIGHT VERTICAL AND RIGHT
0x2941=>0x251D, # BOX DRAWINGS VERTICAL LIGHT AND RIGHT HEAVY
0x2942=>0x251E, # BOX DRAWINGS UP HEAVY AND RIGHT DOWN LIGHT
0x2943=>0x251F, # BOX DRAWINGS DOWN HEAVY AND RIGHT UP LIGHT
0x2944=>0x2520, # BOX DRAWINGS VERTICAL HEAVY AND RIGHT LIGHT
0x2945=>0x2521, # BOX DRAWINGS DOWN LIGHT AND RIGHT UP HEAVY
0x2946=>0x2522, # BOX DRAWINGS UP LIGHT AND RIGHT DOWN HEAVY
0x2947=>0x2523, # BOX DRAWINGS HEAVY VERTICAL AND RIGHT
0x2948=>0x2524, # BOX DRAWINGS LIGHT VERTICAL AND LEFT
0x2949=>0x2525, # BOX DRAWINGS VERTICAL LIGHT AND LEFT HEAVY
0x294A=>0x2526, # BOX DRAWINGS UP HEAVY AND LEFT DOWN LIGHT
0x294B=>0x2527, # BOX DRAWINGS DOWN HEAVY AND LEFT UP LIGHT
0x294C=>0x2528, # BOX DRAWINGS VERTICAL HEAVY AND LEFT LIGHT
0x294D=>0x2529, # BOX DRAWINGS DOWN LIGHT AND LEFT UP HEAVY
0x294E=>0x252A, # BOX DRAWINGS UP LIGHT AND LEFT DOWN HEAVY
0x294F=>0x252B, # BOX DRAWINGS HEAVY VERTICAL AND LEFT
0x2950=>0x252C, # BOX DRAWINGS LIGHT DOWN AND HORIZONTAL
0x2951=>0x252D, # BOX DRAWINGS LEFT HEAVY AND RIGHT DOWN LIGHT
0x2952=>0x252E, # BOX DRAWINGS RIGHT HEAVY AND LEFT DOWN LIGHT
0x2953=>0x252F, # BOX DRAWINGS DOWN LIGHT AND HORIZONTAL HEAVY
0x2954=>0x2530, # BOX DRAWINGS DOWN HEAVY AND HORIZONTAL LIGHT
0x2955=>0x2531, # BOX DRAWINGS RIGHT LIGHT AND LEFT DOWN HEAVY
0x2956=>0x2532, # BOX DRAWINGS LEFT LIGHT AND RIGHT DOWN HEAVY
0x2957=>0x2533, # BOX DRAWINGS HEAVY DOWN AND HORIZONTAL
0x2958=>0x2534, # BOX DRAWINGS LIGHT UP AND HORIZONTAL
0x2959=>0x2535, # BOX DRAWINGS LEFT HEAVY AND RIGHT UP LIGHT
0x295A=>0x2536, # BOX DRAWINGS RIGHT HEAVY AND LEFT UP LIGHT
0x295B=>0x2537, # BOX DRAWINGS UP LIGHT AND HORIZONTAL HEAVY
0x295C=>0x2538, # BOX DRAWINGS UP HEAVY AND HORIZONTAL LIGHT
0x295D=>0x2539, # BOX DRAWINGS RIGHT LIGHT AND LEFT UP HEAVY
0x295E=>0x253A, # BOX DRAWINGS LEFT LIGHT AND RIGHT UP HEAVY
0x295F=>0x253B, # BOX DRAWINGS HEAVY UP AND HORIZONTAL
0x2960=>0x253C, # BOX DRAWINGS LIGHT VERTICAL AND HORIZONTAL
0x2961=>0x253D, # BOX DRAWINGS LEFT HEAVY AND RIGHT VERTICAL LIGHT
0x2962=>0x253E, # BOX DRAWINGS RIGHT HEAVY AND LEFT VERTICAL LIGHT
0x2963=>0x253F, # BOX DRAWINGS VERTICAL LIGHT AND HORIZONTAL HEAVY
0x2964=>0x2540, # BOX DRAWINGS UP HEAVY AND DOWN HORIZONTAL LIGHT
0x2965=>0x2541, # BOX DRAWINGS DOWN HEAVY AND UP HORIZONTAL LIGHT
0x2966=>0x2542, # BOX DRAWINGS VERTICAL HEAVY AND HORIZONTAL LIGHT
0x2967=>0x2543, # BOX DRAWINGS LEFT UP HEAVY AND RIGHT DOWN LIGHT
0x2968=>0x2544, # BOX DRAWINGS RIGHT UP HEAVY AND LEFT DOWN LIGHT
0x2969=>0x2545, # BOX DRAWINGS LEFT DOWN HEAVY AND RIGHT UP LIGHT
0x296A=>0x2546, # BOX DRAWINGS RIGHT DOWN HEAVY AND LEFT UP LIGHT
0x296B=>0x2547, # BOX DRAWINGS DOWN LIGHT AND UP HORIZONTAL HEAVY
0x296C=>0x2548, # BOX DRAWINGS UP LIGHT AND DOWN HORIZONTAL HEAVY
0x296D=>0x2549, # BOX DRAWINGS RIGHT LIGHT AND LEFT VERTICAL HEAVY
0x296E=>0x254A, # BOX DRAWINGS LEFT LIGHT AND RIGHT VERTICAL HEAVY
0x296F=>0x254B, # BOX DRAWINGS HEAVY VERTICAL AND HORIZONTAL
0x3021=>0x554A, # <CJK>
0x3022=>0x963F, # <CJK>
0x3023=>0x57C3, # <CJK>
0x3024=>0x6328, # <CJK>
0x3025=>0x54CE, # <CJK>
0x3026=>0x5509, # <CJK>
0x3027=>0x54C0, # <CJK>
0x3028=>0x7691, # <CJK>
0x3029=>0x764C, # <CJK>
0x302A=>0x853C, # <CJK>
0x302B=>0x77EE, # <CJK>
0x302C=>0x827E, # <CJK>
0x302D=>0x788D, # <CJK>
0x302E=>0x7231, # <CJK>
0x302F=>0x9698, # <CJK>
0x3030=>0x978D, # <CJK>
0x3031=>0x6C28, # <CJK>
0x3032=>0x5B89, # <CJK>
0x3033=>0x4FFA, # <CJK>
0x3034=>0x6309, # <CJK>
0x3035=>0x6697, # <CJK>
0x3036=>0x5CB8, # <CJK>
0x3037=>0x80FA, # <CJK>
0x3038=>0x6848, # <CJK>
0x3039=>0x80AE, # <CJK>
0x303A=>0x6602, # <CJK>
0x303B=>0x76CE, # <CJK>
0x303C=>0x51F9, # <CJK>
0x303D=>0x6556, # <CJK>
0x303E=>0x71AC, # <CJK>
0x303F=>0x7FF1, # <CJK>
0x3040=>0x8884, # <CJK>
0x3041=>0x50B2, # <CJK>
0x3042=>0x5965, # <CJK>
0x3043=>0x61CA, # <CJK>
0x3044=>0x6FB3, # <CJK>
0x3045=>0x82AD, # <CJK>
0x3046=>0x634C, # <CJK>
0x3047=>0x6252, # <CJK>
0x3048=>0x53ED, # <CJK>
0x3049=>0x5427, # <CJK>
0x304A=>0x7B06, # <CJK>
0x304B=>0x516B, # <CJK>
0x304C=>0x75A4, # <CJK>
0x304D=>0x5DF4, # <CJK>
0x304E=>0x62D4, # <CJK>
0x304F=>0x8DCB, # <CJK>
0x3050=>0x9776, # <CJK>
0x3051=>0x628A, # <CJK>
0x3052=>0x8019, # <CJK>
0x3053=>0x575D, # <CJK>
0x3054=>0x9738, # <CJK>
0x3055=>0x7F62, # <CJK>
0x3056=>0x7238, # <CJK>
0x3057=>0x767D, # <CJK>
0x3058=>0x67CF, # <CJK>
0x3059=>0x767E, # <CJK>
0x305A=>0x6446, # <CJK>
0x305B=>0x4F70, # <CJK>
0x305C=>0x8D25, # <CJK>
0x305D=>0x62DC, # <CJK>
0x305E=>0x7A17, # <CJK>
0x305F=>0x6591, # <CJK>
0x3060=>0x73ED, # <CJK>
0x3061=>0x642C, # <CJK>
0x3062=>0x6273, # <CJK>
0x3063=>0x822C, # <CJK>
0x3064=>0x9881, # <CJK>
0x3065=>0x677F, # <CJK>
0x3066=>0x7248, # <CJK>
0x3067=>0x626E, # <CJK>
0x3068=>0x62CC, # <CJK>
0x3069=>0x4F34, # <CJK>
0x306A=>0x74E3, # <CJK>
0x306B=>0x534A, # <CJK>
0x306C=>0x529E, # <CJK>
0x306D=>0x7ECA, # <CJK>
0x306E=>0x90A6, # <CJK>
0x306F=>0x5E2E, # <CJK>
0x3070=>0x6886, # <CJK>
0x3071=>0x699C, # <CJK>
0x3072=>0x8180, # <CJK>
0x3073=>0x7ED1, # <CJK>
0x3074=>0x68D2, # <CJK>
0x3075=>0x78C5, # <CJK>
0x3076=>0x868C, # <CJK>
0x3077=>0x9551, # <CJK>
0x3078=>0x508D, # <CJK>
0x3079=>0x8C24, # <CJK>
0x307A=>0x82DE, # <CJK>
0x307B=>0x80DE, # <CJK>
0x307C=>0x5305, # <CJK>
0x307D=>0x8912, # <CJK>
0x307E=>0x5265, # <CJK>
0x3121=>0x8584, # <CJK>
0x3122=>0x96F9, # <CJK>
0x3123=>0x4FDD, # <CJK>
0x3124=>0x5821, # <CJK>
0x3125=>0x9971, # <CJK>
0x3126=>0x5B9D, # <CJK>
0x3127=>0x62B1, # <CJK>
0x3128=>0x62A5, # <CJK>
0x3129=>0x66B4, # <CJK>
0x312A=>0x8C79, # <CJK>
0x312B=>0x9C8D, # <CJK>
0x312C=>0x7206, # <CJK>
0x312D=>0x676F, # <CJK>
0x312E=>0x7891, # <CJK>
0x312F=>0x60B2, # <CJK>
0x3130=>0x5351, # <CJK>
0x3131=>0x5317, # <CJK>
0x3132=>0x8F88, # <CJK>
0x3133=>0x80CC, # <CJK>
0x3134=>0x8D1D, # <CJK>
0x3135=>0x94A1, # <CJK>
0x3136=>0x500D, # <CJK>
0x3137=>0x72C8, # <CJK>
0x3138=>0x5907, # <CJK>
0x3139=>0x60EB, # <CJK>
0x313A=>0x7119, # <CJK>
0x313B=>0x88AB, # <CJK>
0x313C=>0x5954, # <CJK>
0x313D=>0x82EF, # <CJK>
0x313E=>0x672C, # <CJK>
0x313F=>0x7B28, # <CJK>
0x3140=>0x5D29, # <CJK>
0x3141=>0x7EF7, # <CJK>
0x3142=>0x752D, # <CJK>
0x3143=>0x6CF5, # <CJK>
0x3144=>0x8E66, # <CJK>
0x3145=>0x8FF8, # <CJK>
0x3146=>0x903C, # <CJK>
0x3147=>0x9F3B, # <CJK>
0x3148=>0x6BD4, # <CJK>
0x3149=>0x9119, # <CJK>
0x314A=>0x7B14, # <CJK>
0x314B=>0x5F7C, # <CJK>
0x314C=>0x78A7, # <CJK>
0x314D=>0x84D6, # <CJK>
0x314E=>0x853D, # <CJK>
0x314F=>0x6BD5, # <CJK>
0x3150=>0x6BD9, # <CJK>
0x3151=>0x6BD6, # <CJK>
0x3152=>0x5E01, # <CJK>
0x3153=>0x5E87, # <CJK>
0x3154=>0x75F9, # <CJK>
0x3155=>0x95ED, # <CJK>
0x3156=>0x655D, # <CJK>
0x3157=>0x5F0A, # <CJK>
0x3158=>0x5FC5, # <CJK>
0x3159=>0x8F9F, # <CJK>
0x315A=>0x58C1, # <CJK>
0x315B=>0x81C2, # <CJK>
0x315C=>0x907F, # <CJK>
0x315D=>0x965B, # <CJK>
0x315E=>0x97AD, # <CJK>
0x315F=>0x8FB9, # <CJK>
0x3160=>0x7F16, # <CJK>
0x3161=>0x8D2C, # <CJK>
0x3162=>0x6241, # <CJK>
0x3163=>0x4FBF, # <CJK>
0x3164=>0x53D8, # <CJK>
0x3165=>0x535E, # <CJK>
0x3166=>0x8FA8, # <CJK>
0x3167=>0x8FA9, # <CJK>
0x3168=>0x8FAB, # <CJK>
0x3169=>0x904D, # <CJK>
0x316A=>0x6807, # <CJK>
0x316B=>0x5F6A, # <CJK>
0x316C=>0x8198, # <CJK>
0x316D=>0x8868, # <CJK>
0x316E=>0x9CD6, # <CJK>
0x316F=>0x618B, # <CJK>
0x3170=>0x522B, # <CJK>
0x3171=>0x762A, # <CJK>
0x3172=>0x5F6C, # <CJK>
0x3173=>0x658C, # <CJK>
0x3174=>0x6FD2, # <CJK>
0x3175=>0x6EE8, # <CJK>
0x3176=>0x5BBE, # <CJK>
0x3177=>0x6448, # <CJK>
0x3178=>0x5175, # <CJK>
0x3179=>0x51B0, # <CJK>
0x317A=>0x67C4, # <CJK>
0x317B=>0x4E19, # <CJK>
0x317C=>0x79C9, # <CJK>
0x317D=>0x997C, # <CJK>
0x317E=>0x70B3, # <CJK>
0x3221=>0x75C5, # <CJK>
0x3222=>0x5E76, # <CJK>
0x3223=>0x73BB, # <CJK>
0x3224=>0x83E0, # <CJK>
0x3225=>0x64AD, # <CJK>
0x3226=>0x62E8, # <CJK>
0x3227=>0x94B5, # <CJK>
0x3228=>0x6CE2, # <CJK>
0x3229=>0x535A, # <CJK>
0x322A=>0x52C3, # <CJK>
0x322B=>0x640F, # <CJK>
0x322C=>0x94C2, # <CJK>
0x322D=>0x7B94, # <CJK>
0x322E=>0x4F2F, # <CJK>
0x322F=>0x5E1B, # <CJK>
0x3230=>0x8236, # <CJK>
0x3231=>0x8116, # <CJK>
0x3232=>0x818A, # <CJK>
0x3233=>0x6E24, # <CJK>
0x3234=>0x6CCA, # <CJK>
0x3235=>0x9A73, # <CJK>
0x3236=>0x6355, # <CJK>
0x3237=>0x535C, # <CJK>
0x3238=>0x54FA, # <CJK>
0x3239=>0x8865, # <CJK>
0x323A=>0x57E0, # <CJK>
0x323B=>0x4E0D, # <CJK>
0x323C=>0x5E03, # <CJK>
0x323D=>0x6B65, # <CJK>
0x323E=>0x7C3F, # <CJK>
0x323F=>0x90E8, # <CJK>
0x3240=>0x6016, # <CJK>
0x3241=>0x64E6, # <CJK>
0x3242=>0x731C, # <CJK>
0x3243=>0x88C1, # <CJK>
0x3244=>0x6750, # <CJK>
0x3245=>0x624D, # <CJK>
0x3246=>0x8D22, # <CJK>
0x3247=>0x776C, # <CJK>
0x3248=>0x8E29, # <CJK>
0x3249=>0x91C7, # <CJK>
0x324A=>0x5F69, # <CJK>
0x324B=>0x83DC, # <CJK>
0x324C=>0x8521, # <CJK>
0x324D=>0x9910, # <CJK>
0x324E=>0x53C2, # <CJK>
0x324F=>0x8695, # <CJK>
0x3250=>0x6B8B, # <CJK>
0x3251=>0x60ED, # <CJK>
0x3252=>0x60E8, # <CJK>
0x3253=>0x707F, # <CJK>
0x3254=>0x82CD, # <CJK>
0x3255=>0x8231, # <CJK>
0x3256=>0x4ED3, # <CJK>
0x3257=>0x6CA7, # <CJK>
0x3258=>0x85CF, # <CJK>
0x3259=>0x64CD, # <CJK>
0x325A=>0x7CD9, # <CJK>
0x325B=>0x69FD, # <CJK>
0x325C=>0x66F9, # <CJK>
0x325D=>0x8349, # <CJK>
0x325E=>0x5395, # <CJK>
0x325F=>0x7B56, # <CJK>
0x3260=>0x4FA7, # <CJK>
0x3261=>0x518C, # <CJK>
0x3262=>0x6D4B, # <CJK>
0x3263=>0x5C42, # <CJK>
0x3264=>0x8E6D, # <CJK>
0x3265=>0x63D2, # <CJK>
0x3266=>0x53C9, # <CJK>
0x3267=>0x832C, # <CJK>
0x3268=>0x8336, # <CJK>
0x3269=>0x67E5, # <CJK>
0x326A=>0x78B4, # <CJK>
0x326B=>0x643D, # <CJK>
0x326C=>0x5BDF, # <CJK>
0x326D=>0x5C94, # <CJK>
0x326E=>0x5DEE, # <CJK>
0x326F=>0x8BE7, # <CJK>
0x3270=>0x62C6, # <CJK>
0x3271=>0x67F4, # <CJK>
0x3272=>0x8C7A, # <CJK>
0x3273=>0x6400, # <CJK>
0x3274=>0x63BA, # <CJK>
0x3275=>0x8749, # <CJK>
0x3276=>0x998B, # <CJK>
0x3277=>0x8C17, # <CJK>
0x3278=>0x7F20, # <CJK>
0x3279=>0x94F2, # <CJK>
0x327A=>0x4EA7, # <CJK>
0x327B=>0x9610, # <CJK>
0x327C=>0x98A4, # <CJK>
0x327D=>0x660C, # <CJK>
0x327E=>0x7316, # <CJK>
0x3321=>0x573A, # <CJK>
0x3322=>0x5C1D, # <CJK>
0x3323=>0x5E38, # <CJK>
0x3324=>0x957F, # <CJK>
0x3325=>0x507F, # <CJK>
0x3326=>0x80A0, # <CJK>
0x3327=>0x5382, # <CJK>
0x3328=>0x655E, # <CJK>
0x3329=>0x7545, # <CJK>
0x332A=>0x5531, # <CJK>
0x332B=>0x5021, # <CJK>
0x332C=>0x8D85, # <CJK>
0x332D=>0x6284, # <CJK>
0x332E=>0x949E, # <CJK>
0x332F=>0x671D, # <CJK>
0x3330=>0x5632, # <CJK>
0x3331=>0x6F6E, # <CJK>
0x3332=>0x5DE2, # <CJK>
0x3333=>0x5435, # <CJK>
0x3334=>0x7092, # <CJK>
0x3335=>0x8F66, # <CJK>
0x3336=>0x626F, # <CJK>
0x3337=>0x64A4, # <CJK>
0x3338=>0x63A3, # <CJK>
0x3339=>0x5F7B, # <CJK>
0x333A=>0x6F88, # <CJK>
0x333B=>0x90F4, # <CJK>
0x333C=>0x81E3, # <CJK>
0x333D=>0x8FB0, # <CJK>
0x333E=>0x5C18, # <CJK>
0x333F=>0x6668, # <CJK>
0x3340=>0x5FF1, # <CJK>
0x3341=>0x6C89, # <CJK>
0x3342=>0x9648, # <CJK>
0x3343=>0x8D81, # <CJK>
0x3344=>0x886C, # <CJK>
0x3345=>0x6491, # <CJK>
0x3346=>0x79F0, # <CJK>
0x3347=>0x57CE, # <CJK>
0x3348=>0x6A59, # <CJK>
0x3349=>0x6210, # <CJK>
0x334A=>0x5448, # <CJK>
0x334B=>0x4E58, # <CJK>
0x334C=>0x7A0B, # <CJK>
0x334D=>0x60E9, # <CJK>
0x334E=>0x6F84, # <CJK>
0x334F=>0x8BDA, # <CJK>
0x3350=>0x627F, # <CJK>
0x3351=>0x901E, # <CJK>
0x3352=>0x9A8B, # <CJK>
0x3353=>0x79E4, # <CJK>
0x3354=>0x5403, # <CJK>
0x3355=>0x75F4, # <CJK>
0x3356=>0x6301, # <CJK>
0x3357=>0x5319, # <CJK>
0x3358=>0x6C60, # <CJK>
0x3359=>0x8FDF, # <CJK>
0x335A=>0x5F1B, # <CJK>
0x335B=>0x9A70, # <CJK>
0x335C=>0x803B, # <CJK>
0x335D=>0x9F7F, # <CJK>
0x335E=>0x4F88, # <CJK>
0x335F=>0x5C3A, # <CJK>
0x3360=>0x8D64, # <CJK>
0x3361=>0x7FC5, # <CJK>
0x3362=>0x65A5, # <CJK>
0x3363=>0x70BD, # <CJK>
0x3364=>0x5145, # <CJK>
0x3365=>0x51B2, # <CJK>
0x3366=>0x866B, # <CJK>
0x3367=>0x5D07, # <CJK>
0x3368=>0x5BA0, # <CJK>
0x3369=>0x62BD, # <CJK>
0x336A=>0x916C, # <CJK>
0x336B=>0x7574, # <CJK>
0x336C=>0x8E0C, # <CJK>
0x336D=>0x7A20, # <CJK>
0x336E=>0x6101, # <CJK>
0x336F=>0x7B79, # <CJK>
0x3370=>0x4EC7, # <CJK>
0x3371=>0x7EF8, # <CJK>
0x3372=>0x7785, # <CJK>
0x3373=>0x4E11, # <CJK>
0x3374=>0x81ED, # <CJK>
0x3375=>0x521D, # <CJK>
0x3376=>0x51FA, # <CJK>
0x3377=>0x6A71, # <CJK>
0x3378=>0x53A8, # <CJK>
0x3379=>0x8E87, # <CJK>
0x337A=>0x9504, # <CJK>
0x337B=>0x96CF, # <CJK>
0x337C=>0x6EC1, # <CJK>
0x337D=>0x9664, # <CJK>
0x337E=>0x695A, # <CJK>
0x3421=>0x7840, # <CJK>
0x3422=>0x50A8, # <CJK>
0x3423=>0x77D7, # <CJK>
0x3424=>0x6410, # <CJK>
0x3425=>0x89E6, # <CJK>
0x3426=>0x5904, # <CJK>
0x3427=>0x63E3, # <CJK>
0x3428=>0x5DDD, # <CJK>
0x3429=>0x7A7F, # <CJK>
0x342A=>0x693D, # <CJK>
0x342B=>0x4F20, # <CJK>
0x342C=>0x8239, # <CJK>
0x342D=>0x5598, # <CJK>
0x342E=>0x4E32, # <CJK>
0x342F=>0x75AE, # <CJK>
0x3430=>0x7A97, # <CJK>
0x3431=>0x5E62, # <CJK>
0x3432=>0x5E8A, # <CJK>
0x3433=>0x95EF, # <CJK>
0x3434=>0x521B, # <CJK>
0x3435=>0x5439, # <CJK>
0x3436=>0x708A, # <CJK>
0x3437=>0x6376, # <CJK>
0x3438=>0x9524, # <CJK>
0x3439=>0x5782, # <CJK>
0x343A=>0x6625, # <CJK>
0x343B=>0x693F, # <CJK>
0x343C=>0x9187, # <CJK>
0x343D=>0x5507, # <CJK>
0x343E=>0x6DF3, # <CJK>
0x343F=>0x7EAF, # <CJK>
0x3440=>0x8822, # <CJK>
0x3441=>0x6233, # <CJK>
0x3442=>0x7EF0, # <CJK>
0x3443=>0x75B5, # <CJK>
0x3444=>0x8328, # <CJK>
0x3445=>0x78C1, # <CJK>
0x3446=>0x96CC, # <CJK>
0x3447=>0x8F9E, # <CJK>
0x3448=>0x6148, # <CJK>
0x3449=>0x74F7, # <CJK>
0x344A=>0x8BCD, # <CJK>
0x344B=>0x6B64, # <CJK>
0x344C=>0x523A, # <CJK>
0x344D=>0x8D50, # <CJK>
0x344E=>0x6B21, # <CJK>
0x344F=>0x806A, # <CJK>
0x3450=>0x8471, # <CJK>
0x3451=>0x56F1, # <CJK>
0x3452=>0x5306, # <CJK>
0x3453=>0x4ECE, # <CJK>
0x3454=>0x4E1B, # <CJK>
0x3455=>0x51D1, # <CJK>
0x3456=>0x7C97, # <CJK>
0x3457=>0x918B, # <CJK>
0x3458=>0x7C07, # <CJK>
0x3459=>0x4FC3, # <CJK>
0x345A=>0x8E7F, # <CJK>
0x345B=>0x7BE1, # <CJK>
0x345C=>0x7A9C, # <CJK>
0x345D=>0x6467, # <CJK>
0x345E=>0x5D14, # <CJK>
0x345F=>0x50AC, # <CJK>
0x3460=>0x8106, # <CJK>
0x3461=>0x7601, # <CJK>
0x3462=>0x7CB9, # <CJK>
0x3463=>0x6DEC, # <CJK>
0x3464=>0x7FE0, # <CJK>
0x3465=>0x6751, # <CJK>
0x3466=>0x5B58, # <CJK>
0x3467=>0x5BF8, # <CJK>
0x3468=>0x78CB, # <CJK>
0x3469=>0x64AE, # <CJK>
0x346A=>0x6413, # <CJK>
0x346B=>0x63AA, # <CJK>
0x346C=>0x632B, # <CJK>
0x346D=>0x9519, # <CJK>
0x346E=>0x642D, # <CJK>
0x346F=>0x8FBE, # <CJK>
0x3470=>0x7B54, # <CJK>
0x3471=>0x7629, # <CJK>
0x3472=>0x6253, # <CJK>
0x3473=>0x5927, # <CJK>
0x3474=>0x5446, # <CJK>
0x3475=>0x6B79, # <CJK>
0x3476=>0x50A3, # <CJK>
0x3477=>0x6234, # <CJK>
0x3478=>0x5E26, # <CJK>
0x3479=>0x6B86, # <CJK>
0x347A=>0x4EE3, # <CJK>
0x347B=>0x8D37, # <CJK>
0x347C=>0x888B, # <CJK>
0x347D=>0x5F85, # <CJK>
0x347E=>0x902E, # <CJK>
0x3521=>0x6020, # <CJK>
0x3522=>0x803D, # <CJK>
0x3523=>0x62C5, # <CJK>
0x3524=>0x4E39, # <CJK>
0x3525=>0x5355, # <CJK>
0x3526=>0x90F8, # <CJK>
0x3527=>0x63B8, # <CJK>
0x3528=>0x80C6, # <CJK>
0x3529=>0x65E6, # <CJK>
0x352A=>0x6C2E, # <CJK>
0x352B=>0x4F46, # <CJK>
0x352C=>0x60EE, # <CJK>
0x352D=>0x6DE1, # <CJK>
0x352E=>0x8BDE, # <CJK>
0x352F=>0x5F39, # <CJK>
0x3530=>0x86CB, # <CJK>
0x3531=>0x5F53, # <CJK>
0x3532=>0x6321, # <CJK>
0x3533=>0x515A, # <CJK>
0x3534=>0x8361, # <CJK>
0x3535=>0x6863, # <CJK>
0x3536=>0x5200, # <CJK>
0x3537=>0x6363, # <CJK>
0x3538=>0x8E48, # <CJK>
0x3539=>0x5012, # <CJK>
0x353A=>0x5C9B, # <CJK>
0x353B=>0x7977, # <CJK>
0x353C=>0x5BFC, # <CJK>
0x353D=>0x5230, # <CJK>
0x353E=>0x7A3B, # <CJK>
0x353F=>0x60BC, # <CJK>
0x3540=>0x9053, # <CJK>
0x3541=>0x76D7, # <CJK>
0x3542=>0x5FB7, # <CJK>
0x3543=>0x5F97, # <CJK>
0x3544=>0x7684, # <CJK>
0x3545=>0x8E6C, # <CJK>
0x3546=>0x706F, # <CJK>
0x3547=>0x767B, # <CJK>
0x3548=>0x7B49, # <CJK>
0x3549=>0x77AA, # <CJK>
0x354A=>0x51F3, # <CJK>
0x354B=>0x9093, # <CJK>
0x354C=>0x5824, # <CJK>
0x354D=>0x4F4E, # <CJK>
0x354E=>0x6EF4, # <CJK>
0x354F=>0x8FEA, # <CJK>
0x3550=>0x654C, # <CJK>
0x3551=>0x7B1B, # <CJK>
0x3552=>0x72C4, # <CJK>
0x3553=>0x6DA4, # <CJK>
0x3554=>0x7FDF, # <CJK>
0x3555=>0x5AE1, # <CJK>
0x3556=>0x62B5, # <CJK>
0x3557=>0x5E95, # <CJK>
0x3558=>0x5730, # <CJK>
0x3559=>0x8482, # <CJK>
0x355A=>0x7B2C, # <CJK>
0x355B=>0x5E1D, # <CJK>
0x355C=>0x5F1F, # <CJK>
0x355D=>0x9012, # <CJK>
0x355E=>0x7F14, # <CJK>
0x355F=>0x98A0, # <CJK>
0x3560=>0x6382, # <CJK>
0x3561=>0x6EC7, # <CJK>
0x3562=>0x7898, # <CJK>
0x3563=>0x70B9, # <CJK>
0x3564=>0x5178, # <CJK>
0x3565=>0x975B, # <CJK>
0x3566=>0x57AB, # <CJK>
0x3567=>0x7535, # <CJK>
0x3568=>0x4F43, # <CJK>
0x3569=>0x7538, # <CJK>
0x356A=>0x5E97, # <CJK>
0x356B=>0x60E6, # <CJK>
0x356C=>0x5960, # <CJK>
0x356D=>0x6DC0, # <CJK>
0x356E=>0x6BBF, # <CJK>
0x356F=>0x7889, # <CJK>
0x3570=>0x53FC, # <CJK>
0x3571=>0x96D5, # <CJK>
0x3572=>0x51CB, # <CJK>
0x3573=>0x5201, # <CJK>
0x3574=>0x6389, # <CJK>
0x3575=>0x540A, # <CJK>
0x3576=>0x9493, # <CJK>
0x3577=>0x8C03, # <CJK>
0x3578=>0x8DCC, # <CJK>
0x3579=>0x7239, # <CJK>
0x357A=>0x789F, # <CJK>
0x357B=>0x8776, # <CJK>
0x357C=>0x8FED, # <CJK>
0x357D=>0x8C0D, # <CJK>
0x357E=>0x53E0, # <CJK>
0x3621=>0x4E01, # <CJK>
0x3622=>0x76EF, # <CJK>
0x3623=>0x53EE, # <CJK>
0x3624=>0x9489, # <CJK>
0x3625=>0x9876, # <CJK>
0x3626=>0x9F0E, # <CJK>
0x3627=>0x952D, # <CJK>
0x3628=>0x5B9A, # <CJK>
0x3629=>0x8BA2, # <CJK>
0x362A=>0x4E22, # <CJK>
0x362B=>0x4E1C, # <CJK>
0x362C=>0x51AC, # <CJK>
0x362D=>0x8463, # <CJK>
0x362E=>0x61C2, # <CJK>
0x362F=>0x52A8, # <CJK>
0x3630=>0x680B, # <CJK>
0x3631=>0x4F97, # <CJK>
0x3632=>0x606B, # <CJK>
0x3633=>0x51BB, # <CJK>
0x3634=>0x6D1E, # <CJK>
0x3635=>0x515C, # <CJK>
0x3636=>0x6296, # <CJK>
0x3637=>0x6597, # <CJK>
0x3638=>0x9661, # <CJK>
0x3639=>0x8C46, # <CJK>
0x363A=>0x9017, # <CJK>
0x363B=>0x75D8, # <CJK>
0x363C=>0x90FD, # <CJK>
0x363D=>0x7763, # <CJK>
0x363E=>0x6BD2, # <CJK>
0x363F=>0x728A, # <CJK>
0x3640=>0x72EC, # <CJK>
0x3641=>0x8BFB, # <CJK>
0x3642=>0x5835, # <CJK>
0x3643=>0x7779, # <CJK>
0x3644=>0x8D4C, # <CJK>
0x3645=>0x675C, # <CJK>
0x3646=>0x9540, # <CJK>
0x3647=>0x809A, # <CJK>
0x3648=>0x5EA6, # <CJK>
0x3649=>0x6E21, # <CJK>
0x364A=>0x5992, # <CJK>
0x364B=>0x7AEF, # <CJK>
0x364C=>0x77ED, # <CJK>
0x364D=>0x953B, # <CJK>
0x364E=>0x6BB5, # <CJK>
0x364F=>0x65AD, # <CJK>
0x3650=>0x7F0E, # <CJK>
0x3651=>0x5806, # <CJK>
0x3652=>0x5151, # <CJK>
0x3653=>0x961F, # <CJK>
0x3654=>0x5BF9, # <CJK>
0x3655=>0x58A9, # <CJK>
0x3656=>0x5428, # <CJK>
0x3657=>0x8E72, # <CJK>
0x3658=>0x6566, # <CJK>
0x3659=>0x987F, # <CJK>
0x365A=>0x56E4, # <CJK>
0x365B=>0x949D, # <CJK>
0x365C=>0x76FE, # <CJK>
0x365D=>0x9041, # <CJK>
0x365E=>0x6387, # <CJK>
0x365F=>0x54C6, # <CJK>
0x3660=>0x591A, # <CJK>
0x3661=>0x593A, # <CJK>
0x3662=>0x579B, # <CJK>
0x3663=>0x8EB2, # <CJK>
0x3664=>0x6735, # <CJK>
0x3665=>0x8DFA, # <CJK>
0x3666=>0x8235, # <CJK>
0x3667=>0x5241, # <CJK>
0x3668=>0x60F0, # <CJK>
0x3669=>0x5815, # <CJK>
0x366A=>0x86FE, # <CJK>
0x366B=>0x5CE8, # <CJK>
0x366C=>0x9E45, # <CJK>
0x366D=>0x4FC4, # <CJK>
0x366E=>0x989D, # <CJK>
0x366F=>0x8BB9, # <CJK>
0x3670=>0x5A25, # <CJK>
0x3671=>0x6076, # <CJK>
0x3672=>0x5384, # <CJK>
0x3673=>0x627C, # <CJK>
0x3674=>0x904F, # <CJK>
0x3675=>0x9102, # <CJK>
0x3676=>0x997F, # <CJK>
0x3677=>0x6069, # <CJK>
0x3678=>0x800C, # <CJK>
0x3679=>0x513F, # <CJK>
0x367A=>0x8033, # <CJK>
0x367B=>0x5C14, # <CJK>
0x367C=>0x9975, # <CJK>
0x367D=>0x6D31, # <CJK>
0x367E=>0x4E8C, # <CJK>
0x3721=>0x8D30, # <CJK>
0x3722=>0x53D1, # <CJK>
0x3723=>0x7F5A, # <CJK>
0x3724=>0x7B4F, # <CJK>
0x3725=>0x4F10, # <CJK>
0x3726=>0x4E4F, # <CJK>
0x3727=>0x9600, # <CJK>
0x3728=>0x6CD5, # <CJK>
0x3729=>0x73D0, # <CJK>
0x372A=>0x85E9, # <CJK>
0x372B=>0x5E06, # <CJK>
0x372C=>0x756A, # <CJK>
0x372D=>0x7FFB, # <CJK>
0x372E=>0x6A0A, # <CJK>
0x372F=>0x77FE, # <CJK>
0x3730=>0x9492, # <CJK>
0x3731=>0x7E41, # <CJK>
0x3732=>0x51E1, # <CJK>
0x3733=>0x70E6, # <CJK>
0x3734=>0x53CD, # <CJK>
0x3735=>0x8FD4, # <CJK>
0x3736=>0x8303, # <CJK>
0x3737=>0x8D29, # <CJK>
0x3738=>0x72AF, # <CJK>
0x3739=>0x996D, # <CJK>
0x373A=>0x6CDB, # <CJK>
0x373B=>0x574A, # <CJK>
0x373C=>0x82B3, # <CJK>
0x373D=>0x65B9, # <CJK>
0x373E=>0x80AA, # <CJK>
0x373F=>0x623F, # <CJK>
0x3740=>0x9632, # <CJK>
0x3741=>0x59A8, # <CJK>
0x3742=>0x4EFF, # <CJK>
0x3743=>0x8BBF, # <CJK>
0x3744=>0x7EBA, # <CJK>
0x3745=>0x653E, # <CJK>
0x3746=>0x83F2, # <CJK>
0x3747=>0x975E, # <CJK>
0x3748=>0x5561, # <CJK>
0x3749=>0x98DE, # <CJK>
0x374A=>0x80A5, # <CJK>
0x374B=>0x532A, # <CJK>
0x374C=>0x8BFD, # <CJK>
0x374D=>0x5420, # <CJK>
0x374E=>0x80BA, # <CJK>
0x374F=>0x5E9F, # <CJK>
0x3750=>0x6CB8, # <CJK>
0x3751=>0x8D39, # <CJK>
0x3752=>0x82AC, # <CJK>
0x3753=>0x915A, # <CJK>
0x3754=>0x5429, # <CJK>
0x3755=>0x6C1B, # <CJK>
0x3756=>0x5206, # <CJK>
0x3757=>0x7EB7, # <CJK>
0x3758=>0x575F, # <CJK>
0x3759=>0x711A, # <CJK>
0x375A=>0x6C7E, # <CJK>
0x375B=>0x7C89, # <CJK>
0x375C=>0x594B, # <CJK>
0x375D=>0x4EFD, # <CJK>
0x375E=>0x5FFF, # <CJK>
0x375F=>0x6124, # <CJK>
0x3760=>0x7CAA, # <CJK>
0x3761=>0x4E30, # <CJK>
0x3762=>0x5C01, # <CJK>
0x3763=>0x67AB, # <CJK>
0x3764=>0x8702, # <CJK>
0x3765=>0x5CF0, # <CJK>
0x3766=>0x950B, # <CJK>
0x3767=>0x98CE, # <CJK>
0x3768=>0x75AF, # <CJK>
0x3769=>0x70FD, # <CJK>
0x376A=>0x9022, # <CJK>
0x376B=>0x51AF, # <CJK>
0x376C=>0x7F1D, # <CJK>
0x376D=>0x8BBD, # <CJK>
0x376E=>0x5949, # <CJK>
0x376F=>0x51E4, # <CJK>
0x3770=>0x4F5B, # <CJK>
0x3771=>0x5426, # <CJK>
0x3772=>0x592B, # <CJK>
0x3773=>0x6577, # <CJK>
0x3774=>0x80A4, # <CJK>
0x3775=>0x5B75, # <CJK>
0x3776=>0x6276, # <CJK>
0x3777=>0x62C2, # <CJK>
0x3778=>0x8F90, # <CJK>
0x3779=>0x5E45, # <CJK>
0x377A=>0x6C1F, # <CJK>
0x377B=>0x7B26, # <CJK>
0x377C=>0x4F0F, # <CJK>
0x377D=>0x4FD8, # <CJK>
0x377E=>0x670D, # <CJK>
0x3821=>0x6D6E, # <CJK>
0x3822=>0x6DAA, # <CJK>
0x3823=>0x798F, # <CJK>
0x3824=>0x88B1, # <CJK>
0x3825=>0x5F17, # <CJK>
0x3826=>0x752B, # <CJK>
0x3827=>0x629A, # <CJK>
0x3828=>0x8F85, # <CJK>
0x3829=>0x4FEF, # <CJK>
0x382A=>0x91DC, # <CJK>
0x382B=>0x65A7, # <CJK>
0x382C=>0x812F, # <CJK>
0x382D=>0x8151, # <CJK>
0x382E=>0x5E9C, # <CJK>
0x382F=>0x8150, # <CJK>
0x3830=>0x8D74, # <CJK>
0x3831=>0x526F, # <CJK>
0x3832=>0x8986, # <CJK>
0x3833=>0x8D4B, # <CJK>
0x3834=>0x590D, # <CJK>
0x3835=>0x5085, # <CJK>
0x3836=>0x4ED8, # <CJK>
0x3837=>0x961C, # <CJK>
0x3838=>0x7236, # <CJK>
0x3839=>0x8179, # <CJK>
0x383A=>0x8D1F, # <CJK>
0x383B=>0x5BCC, # <CJK>
0x383C=>0x8BA3, # <CJK>
0x383D=>0x9644, # <CJK>
0x383E=>0x5987, # <CJK>
0x383F=>0x7F1A, # <CJK>
0x3840=>0x5490, # <CJK>
0x3841=>0x5676, # <CJK>
0x3842=>0x560E, # <CJK>
0x3843=>0x8BE5, # <CJK>
0x3844=>0x6539, # <CJK>
0x3845=>0x6982, # <CJK>
0x3846=>0x9499, # <CJK>
0x3847=>0x76D6, # <CJK>
0x3848=>0x6E89, # <CJK>
0x3849=>0x5E72, # <CJK>
0x384A=>0x7518, # <CJK>
0x384B=>0x6746, # <CJK>
0x384C=>0x67D1, # <CJK>
0x384D=>0x7AFF, # <CJK>
0x384E=>0x809D, # <CJK>
0x384F=>0x8D76, # <CJK>
0x3850=>0x611F, # <CJK>
0x3851=>0x79C6, # <CJK>
0x3852=>0x6562, # <CJK>
0x3853=>0x8D63, # <CJK>
0x3854=>0x5188, # <CJK>
0x3855=>0x521A, # <CJK>
0x3856=>0x94A2, # <CJK>
0x3857=>0x7F38, # <CJK>
0x3858=>0x809B, # <CJK>
0x3859=>0x7EB2, # <CJK>
0x385A=>0x5C97, # <CJK>
0x385B=>0x6E2F, # <CJK>
0x385C=>0x6760, # <CJK>
0x385D=>0x7BD9, # <CJK>
0x385E=>0x768B, # <CJK>
0x385F=>0x9AD8, # <CJK>
0x3860=>0x818F, # <CJK>
0x3861=>0x7F94, # <CJK>
0x3862=>0x7CD5, # <CJK>
0x3863=>0x641E, # <CJK>
0x3864=>0x9550, # <CJK>
0x3865=>0x7A3F, # <CJK>
0x3866=>0x544A, # <CJK>
0x3867=>0x54E5, # <CJK>
0x3868=>0x6B4C, # <CJK>
0x3869=>0x6401, # <CJK>
0x386A=>0x6208, # <CJK>
0x386B=>0x9E3D, # <CJK>
0x386C=>0x80F3, # <CJK>
0x386D=>0x7599, # <CJK>
0x386E=>0x5272, # <CJK>
0x386F=>0x9769, # <CJK>
0x3870=>0x845B, # <CJK>
0x3871=>0x683C, # <CJK>
0x3872=>0x86E4, # <CJK>
0x3873=>0x9601, # <CJK>
0x3874=>0x9694, # <CJK>
0x3875=>0x94EC, # <CJK>
0x3876=>0x4E2A, # <CJK>
0x3877=>0x5404, # <CJK>
0x3878=>0x7ED9, # <CJK>
0x3879=>0x6839, # <CJK>
0x387A=>0x8DDF, # <CJK>
0x387B=>0x8015, # <CJK>
0x387C=>0x66F4, # <CJK>
0x387D=>0x5E9A, # <CJK>
0x387E=>0x7FB9, # <CJK>
0x3921=>0x57C2, # <CJK>
0x3922=>0x803F, # <CJK>
0x3923=>0x6897, # <CJK>
0x3924=>0x5DE5, # <CJK>
0x3925=>0x653B, # <CJK>
0x3926=>0x529F, # <CJK>
0x3927=>0x606D, # <CJK>
0x3928=>0x9F9A, # <CJK>
0x3929=>0x4F9B, # <CJK>
0x392A=>0x8EAC, # <CJK>
0x392B=>0x516C, # <CJK>
0x392C=>0x5BAB, # <CJK>
0x392D=>0x5F13, # <CJK>
0x392E=>0x5DE9, # <CJK>
0x392F=>0x6C5E, # <CJK>
0x3930=>0x62F1, # <CJK>
0x3931=>0x8D21, # <CJK>
0x3932=>0x5171, # <CJK>
0x3933=>0x94A9, # <CJK>
0x3934=>0x52FE, # <CJK>
0x3935=>0x6C9F, # <CJK>
0x3936=>0x82DF, # <CJK>
0x3937=>0x72D7, # <CJK>
0x3938=>0x57A2, # <CJK>
0x3939=>0x6784, # <CJK>
0x393A=>0x8D2D, # <CJK>
0x393B=>0x591F, # <CJK>
0x393C=>0x8F9C, # <CJK>
0x393D=>0x83C7, # <CJK>
0x393E=>0x5495, # <CJK>
0x393F=>0x7B8D, # <CJK>
0x3940=>0x4F30, # <CJK>
0x3941=>0x6CBD, # <CJK>
0x3942=>0x5B64, # <CJK>
0x3943=>0x59D1, # <CJK>
0x3944=>0x9F13, # <CJK>
0x3945=>0x53E4, # <CJK>
0x3946=>0x86CA, # <CJK>
0x3947=>0x9AA8, # <CJK>
0x3948=>0x8C37, # <CJK>
0x3949=>0x80A1, # <CJK>
0x394A=>0x6545, # <CJK>
0x394B=>0x987E, # <CJK>
0x394C=>0x56FA, # <CJK>
0x394D=>0x96C7, # <CJK>
0x394E=>0x522E, # <CJK>
0x394F=>0x74DC, # <CJK>
0x3950=>0x5250, # <CJK>
0x3951=>0x5BE1, # <CJK>
0x3952=>0x6302, # <CJK>
0x3953=>0x8902, # <CJK>
0x3954=>0x4E56, # <CJK>
0x3955=>0x62D0, # <CJK>
0x3956=>0x602A, # <CJK>
0x3957=>0x68FA, # <CJK>
0x3958=>0x5173, # <CJK>
0x3959=>0x5B98, # <CJK>
0x395A=>0x51A0, # <CJK>
0x395B=>0x89C2, # <CJK>
0x395C=>0x7BA1, # <CJK>
0x395D=>0x9986, # <CJK>
0x395E=>0x7F50, # <CJK>
0x395F=>0x60EF, # <CJK>
0x3960=>0x704C, # <CJK>
0x3961=>0x8D2F, # <CJK>
0x3962=>0x5149, # <CJK>
0x3963=>0x5E7F, # <CJK>
0x3964=>0x901B, # <CJK>
0x3965=>0x7470, # <CJK>
0x3966=>0x89C4, # <CJK>
0x3967=>0x572D, # <CJK>
0x3968=>0x7845, # <CJK>
0x3969=>0x5F52, # <CJK>
0x396A=>0x9F9F, # <CJK>
0x396B=>0x95FA, # <CJK>
0x396C=>0x8F68, # <CJK>
0x396D=>0x9B3C, # <CJK>
0x396E=>0x8BE1, # <CJK>
0x396F=>0x7678, # <CJK>
0x3970=>0x6842, # <CJK>
0x3971=>0x67DC, # <CJK>
0x3972=>0x8DEA, # <CJK>
0x3973=>0x8D35, # <CJK>
0x3974=>0x523D, # <CJK>
0x3975=>0x8F8A, # <CJK>
0x3976=>0x6EDA, # <CJK>
0x3977=>0x68CD, # <CJK>
0x3978=>0x9505, # <CJK>
0x3979=>0x90ED, # <CJK>
0x397A=>0x56FD, # <CJK>
0x397B=>0x679C, # <CJK>
0x397C=>0x88F9, # <CJK>
0x397D=>0x8FC7, # <CJK>
0x397E=>0x54C8, # <CJK>
0x3A21=>0x9AB8, # <CJK>
0x3A22=>0x5B69, # <CJK>
0x3A23=>0x6D77, # <CJK>
0x3A24=>0x6C26, # <CJK>
0x3A25=>0x4EA5, # <CJK>
0x3A26=>0x5BB3, # <CJK>
0x3A27=>0x9A87, # <CJK>
0x3A28=>0x9163, # <CJK>
0x3A29=>0x61A8, # <CJK>
0x3A2A=>0x90AF, # <CJK>
0x3A2B=>0x97E9, # <CJK>
0x3A2C=>0x542B, # <CJK>
0x3A2D=>0x6DB5, # <CJK>
0x3A2E=>0x5BD2, # <CJK>
0x3A2F=>0x51FD, # <CJK>
0x3A30=>0x558A, # <CJK>
0x3A31=>0x7F55, # <CJK>
0x3A32=>0x7FF0, # <CJK>
0x3A33=>0x64BC, # <CJK>
0x3A34=>0x634D, # <CJK>
0x3A35=>0x65F1, # <CJK>
0x3A36=>0x61BE, # <CJK>
0x3A37=>0x608D, # <CJK>
0x3A38=>0x710A, # <CJK>
0x3A39=>0x6C57, # <CJK>
0x3A3A=>0x6C49, # <CJK>
0x3A3B=>0x592F, # <CJK>
0x3A3C=>0x676D, # <CJK>
0x3A3D=>0x822A, # <CJK>
0x3A3E=>0x58D5, # <CJK>
0x3A3F=>0x568E, # <CJK>
0x3A40=>0x8C6A, # <CJK>
0x3A41=>0x6BEB, # <CJK>
0x3A42=>0x90DD, # <CJK>
0x3A43=>0x597D, # <CJK>
0x3A44=>0x8017, # <CJK>
0x3A45=>0x53F7, # <CJK>
0x3A46=>0x6D69, # <CJK>
0x3A47=>0x5475, # <CJK>
0x3A48=>0x559D, # <CJK>
0x3A49=>0x8377, # <CJK>
0x3A4A=>0x83CF, # <CJK>
0x3A4B=>0x6838, # <CJK>
0x3A4C=>0x79BE, # <CJK>
0x3A4D=>0x548C, # <CJK>
0x3A4E=>0x4F55, # <CJK>
0x3A4F=>0x5408, # <CJK>
0x3A50=>0x76D2, # <CJK>
0x3A51=>0x8C89, # <CJK>
0x3A52=>0x9602, # <CJK>
0x3A53=>0x6CB3, # <CJK>
0x3A54=>0x6DB8, # <CJK>
0x3A55=>0x8D6B, # <CJK>
0x3A56=>0x8910, # <CJK>
0x3A57=>0x9E64, # <CJK>
0x3A58=>0x8D3A, # <CJK>
0x3A59=>0x563F, # <CJK>
0x3A5A=>0x9ED1, # <CJK>
0x3A5B=>0x75D5, # <CJK>
0x3A5C=>0x5F88, # <CJK>
0x3A5D=>0x72E0, # <CJK>
0x3A5E=>0x6068, # <CJK>
0x3A5F=>0x54FC, # <CJK>
0x3A60=>0x4EA8, # <CJK>
0x3A61=>0x6A2A, # <CJK>
0x3A62=>0x8861, # <CJK>
0x3A63=>0x6052, # <CJK>
0x3A64=>0x8F70, # <CJK>
0x3A65=>0x54C4, # <CJK>
0x3A66=>0x70D8, # <CJK>
0x3A67=>0x8679, # <CJK>
0x3A68=>0x9E3F, # <CJK>
0x3A69=>0x6D2A, # <CJK>
0x3A6A=>0x5B8F, # <CJK>
0x3A6B=>0x5F18, # <CJK>
0x3A6C=>0x7EA2, # <CJK>
0x3A6D=>0x5589, # <CJK>
0x3A6E=>0x4FAF, # <CJK>
0x3A6F=>0x7334, # <CJK>
0x3A70=>0x543C, # <CJK>
0x3A71=>0x539A, # <CJK>
0x3A72=>0x5019, # <CJK>
0x3A73=>0x540E, # <CJK>
0x3A74=>0x547C, # <CJK>
0x3A75=>0x4E4E, # <CJK>
0x3A76=>0x5FFD, # <CJK>
0x3A77=>0x745A, # <CJK>
0x3A78=>0x58F6, # <CJK>
0x3A79=>0x846B, # <CJK>
0x3A7A=>0x80E1, # <CJK>
0x3A7B=>0x8774, # <CJK>
0x3A7C=>0x72D0, # <CJK>
0x3A7D=>0x7CCA, # <CJK>
0x3A7E=>0x6E56, # <CJK>
0x3B21=>0x5F27, # <CJK>
0x3B22=>0x864E, # <CJK>
0x3B23=>0x552C, # <CJK>
0x3B24=>0x62A4, # <CJK>
0x3B25=>0x4E92, # <CJK>
0x3B26=>0x6CAA, # <CJK>
0x3B27=>0x6237, # <CJK>
0x3B28=>0x82B1, # <CJK>
0x3B29=>0x54D7, # <CJK>
0x3B2A=>0x534E, # <CJK>
0x3B2B=>0x733E, # <CJK>
0x3B2C=>0x6ED1, # <CJK>
0x3B2D=>0x753B, # <CJK>
0x3B2E=>0x5212, # <CJK>
0x3B2F=>0x5316, # <CJK>
0x3B30=>0x8BDD, # <CJK>
0x3B31=>0x69D0, # <CJK>
0x3B32=>0x5F8A, # <CJK>
0x3B33=>0x6000, # <CJK>
0x3B34=>0x6DEE, # <CJK>
0x3B35=>0x574F, # <CJK>
0x3B36=>0x6B22, # <CJK>
0x3B37=>0x73AF, # <CJK>
0x3B38=>0x6853, # <CJK>
0x3B39=>0x8FD8, # <CJK>
0x3B3A=>0x7F13, # <CJK>
0x3B3B=>0x6362, # <CJK>
0x3B3C=>0x60A3, # <CJK>
0x3B3D=>0x5524, # <CJK>
0x3B3E=>0x75EA, # <CJK>
0x3B3F=>0x8C62, # <CJK>
0x3B40=>0x7115, # <CJK>
0x3B41=>0x6DA3, # <CJK>
0x3B42=>0x5BA6, # <CJK>
0x3B43=>0x5E7B, # <CJK>
0x3B44=>0x8352, # <CJK>
0x3B45=>0x614C, # <CJK>
0x3B46=>0x9EC4, # <CJK>
0x3B47=>0x78FA, # <CJK>
0x3B48=>0x8757, # <CJK>
0x3B49=>0x7C27, # <CJK>
0x3B4A=>0x7687, # <CJK>
0x3B4B=>0x51F0, # <CJK>
0x3B4C=>0x60F6, # <CJK>
0x3B4D=>0x714C, # <CJK>
0x3B4E=>0x6643, # <CJK>
0x3B4F=>0x5E4C, # <CJK>
0x3B50=>0x604D, # <CJK>
0x3B51=>0x8C0E, # <CJK>
0x3B52=>0x7070, # <CJK>
0x3B53=>0x6325, # <CJK>
0x3B54=>0x8F89, # <CJK>
0x3B55=>0x5FBD, # <CJK>
0x3B56=>0x6062, # <CJK>
0x3B57=>0x86D4, # <CJK>
0x3B58=>0x56DE, # <CJK>
0x3B59=>0x6BC1, # <CJK>
0x3B5A=>0x6094, # <CJK>
0x3B5B=>0x6167, # <CJK>
0x3B5C=>0x5349, # <CJK>
0x3B5D=>0x60E0, # <CJK>
0x3B5E=>0x6666, # <CJK>
0x3B5F=>0x8D3F, # <CJK>
0x3B60=>0x79FD, # <CJK>
0x3B61=>0x4F1A, # <CJK>
0x3B62=>0x70E9, # <CJK>
0x3B63=>0x6C47, # <CJK>
0x3B64=>0x8BB3, # <CJK>
0x3B65=>0x8BF2, # <CJK>
0x3B66=>0x7ED8, # <CJK>
0x3B67=>0x8364, # <CJK>
0x3B68=>0x660F, # <CJK>
0x3B69=>0x5A5A, # <CJK>
0x3B6A=>0x9B42, # <CJK>
0x3B6B=>0x6D51, # <CJK>
0x3B6C=>0x6DF7, # <CJK>
0x3B6D=>0x8C41, # <CJK>
0x3B6E=>0x6D3B, # <CJK>
0x3B6F=>0x4F19, # <CJK>
0x3B70=>0x706B, # <CJK>
0x3B71=>0x83B7, # <CJK>
0x3B72=>0x6216, # <CJK>
0x3B73=>0x60D1, # <CJK>
0x3B74=>0x970D, # <CJK>
0x3B75=>0x8D27, # <CJK>
0x3B76=>0x7978, # <CJK>
0x3B77=>0x51FB, # <CJK>
0x3B78=>0x573E, # <CJK>
0x3B79=>0x57FA, # <CJK>
0x3B7A=>0x673A, # <CJK>
0x3B7B=>0x7578, # <CJK>
0x3B7C=>0x7A3D, # <CJK>
0x3B7D=>0x79EF, # <CJK>
0x3B7E=>0x7B95, # <CJK>
0x3C21=>0x808C, # <CJK>
0x3C22=>0x9965, # <CJK>
0x3C23=>0x8FF9, # <CJK>
0x3C24=>0x6FC0, # <CJK>
0x3C25=>0x8BA5, # <CJK>
0x3C26=>0x9E21, # <CJK>
0x3C27=>0x59EC, # <CJK>
0x3C28=>0x7EE9, # <CJK>
0x3C29=>0x7F09, # <CJK>
0x3C2A=>0x5409, # <CJK>
0x3C2B=>0x6781, # <CJK>
0x3C2C=>0x68D8, # <CJK>
0x3C2D=>0x8F91, # <CJK>
0x3C2E=>0x7C4D, # <CJK>
0x3C2F=>0x96C6, # <CJK>
0x3C30=>0x53CA, # <CJK>
0x3C31=>0x6025, # <CJK>
0x3C32=>0x75BE, # <CJK>
0x3C33=>0x6C72, # <CJK>
0x3C34=>0x5373, # <CJK>
0x3C35=>0x5AC9, # <CJK>
0x3C36=>0x7EA7, # <CJK>
0x3C37=>0x6324, # <CJK>
0x3C38=>0x51E0, # <CJK>
0x3C39=>0x810A, # <CJK>
0x3C3A=>0x5DF1, # <CJK>
0x3C3B=>0x84DF, # <CJK>
0x3C3C=>0x6280, # <CJK>
0x3C3D=>0x5180, # <CJK>
0x3C3E=>0x5B63, # <CJK>
0x3C3F=>0x4F0E, # <CJK>
0x3C40=>0x796D, # <CJK>
0x3C41=>0x5242, # <CJK>
0x3C42=>0x60B8, # <CJK>
0x3C43=>0x6D4E, # <CJK>
0x3C44=>0x5BC4, # <CJK>
0x3C45=>0x5BC2, # <CJK>
0x3C46=>0x8BA1, # <CJK>
0x3C47=>0x8BB0, # <CJK>
0x3C48=>0x65E2, # <CJK>
0x3C49=>0x5FCC, # <CJK>
0x3C4A=>0x9645, # <CJK>
0x3C4B=>0x5993, # <CJK>
0x3C4C=>0x7EE7, # <CJK>
0x3C4D=>0x7EAA, # <CJK>
0x3C4E=>0x5609, # <CJK>
0x3C4F=>0x67B7, # <CJK>
0x3C50=>0x5939, # <CJK>
0x3C51=>0x4F73, # <CJK>
0x3C52=>0x5BB6, # <CJK>
0x3C53=>0x52A0, # <CJK>
0x3C54=>0x835A, # <CJK>
0x3C55=>0x988A, # <CJK>
0x3C56=>0x8D3E, # <CJK>
0x3C57=>0x7532, # <CJK>
0x3C58=>0x94BE, # <CJK>
0x3C59=>0x5047, # <CJK>
0x3C5A=>0x7A3C, # <CJK>
0x3C5B=>0x4EF7, # <CJK>
0x3C5C=>0x67B6, # <CJK>
0x3C5D=>0x9A7E, # <CJK>
0x3C5E=>0x5AC1, # <CJK>
0x3C5F=>0x6B7C, # <CJK>
0x3C60=>0x76D1, # <CJK>
0x3C61=>0x575A, # <CJK>
0x3C62=>0x5C16, # <CJK>
0x3C63=>0x7B3A, # <CJK>
0x3C64=>0x95F4, # <CJK>
0x3C65=>0x714E, # <CJK>
0x3C66=>0x517C, # <CJK>
0x3C67=>0x80A9, # <CJK>
0x3C68=>0x8270, # <CJK>
0x3C69=>0x5978, # <CJK>
0x3C6A=>0x7F04, # <CJK>
0x3C6B=>0x8327, # <CJK>
0x3C6C=>0x68C0, # <CJK>
0x3C6D=>0x67EC, # <CJK>
0x3C6E=>0x78B1, # <CJK>
0x3C6F=>0x7877, # <CJK>
0x3C70=>0x62E3, # <CJK>
0x3C71=>0x6361, # <CJK>
0x3C72=>0x7B80, # <CJK>
0x3C73=>0x4FED, # <CJK>
0x3C74=>0x526A, # <CJK>
0x3C75=>0x51CF, # <CJK>
0x3C76=>0x8350, # <CJK>
0x3C77=>0x69DB, # <CJK>
0x3C78=>0x9274, # <CJK>
0x3C79=>0x8DF5, # <CJK>
0x3C7A=>0x8D31, # <CJK>
0x3C7B=>0x89C1, # <CJK>
0x3C7C=>0x952E, # <CJK>
0x3C7D=>0x7BAD, # <CJK>
0x3C7E=>0x4EF6, # <CJK>
0x3D21=>0x5065, # <CJK>
0x3D22=>0x8230, # <CJK>
0x3D23=>0x5251, # <CJK>
0x3D24=>0x996F, # <CJK>
0x3D25=>0x6E10, # <CJK>
0x3D26=>0x6E85, # <CJK>
0x3D27=>0x6DA7, # <CJK>
0x3D28=>0x5EFA, # <CJK>
0x3D29=>0x50F5, # <CJK>
0x3D2A=>0x59DC, # <CJK>
0x3D2B=>0x5C06, # <CJK>
0x3D2C=>0x6D46, # <CJK>
0x3D2D=>0x6C5F, # <CJK>
0x3D2E=>0x7586, # <CJK>
0x3D2F=>0x848B, # <CJK>
0x3D30=>0x6868, # <CJK>
0x3D31=>0x5956, # <CJK>
0x3D32=>0x8BB2, # <CJK>
0x3D33=>0x5320, # <CJK>
0x3D34=>0x9171, # <CJK>
0x3D35=>0x964D, # <CJK>
0x3D36=>0x8549, # <CJK>
0x3D37=>0x6912, # <CJK>
0x3D38=>0x7901, # <CJK>
0x3D39=>0x7126, # <CJK>
0x3D3A=>0x80F6, # <CJK>
0x3D3B=>0x4EA4, # <CJK>
0x3D3C=>0x90CA, # <CJK>
0x3D3D=>0x6D47, # <CJK>
0x3D3E=>0x9A84, # <CJK>
0x3D3F=>0x5A07, # <CJK>
0x3D40=>0x56BC, # <CJK>
0x3D41=>0x6405, # <CJK>
0x3D42=>0x94F0, # <CJK>
0x3D43=>0x77EB, # <CJK>
0x3D44=>0x4FA5, # <CJK>
0x3D45=>0x811A, # <CJK>
0x3D46=>0x72E1, # <CJK>
0x3D47=>0x89D2, # <CJK>
0x3D48=>0x997A, # <CJK>
0x3D49=>0x7F34, # <CJK>
0x3D4A=>0x7EDE, # <CJK>
0x3D4B=>0x527F, # <CJK>
0x3D4C=>0x6559, # <CJK>
0x3D4D=>0x9175, # <CJK>
0x3D4E=>0x8F7F, # <CJK>
0x3D4F=>0x8F83, # <CJK>
0x3D50=>0x53EB, # <CJK>
0x3D51=>0x7A96, # <CJK>
0x3D52=>0x63ED, # <CJK>
0x3D53=>0x63A5, # <CJK>
0x3D54=>0x7686, # <CJK>
0x3D55=>0x79F8, # <CJK>
0x3D56=>0x8857, # <CJK>
0x3D57=>0x9636, # <CJK>
0x3D58=>0x622A, # <CJK>
0x3D59=>0x52AB, # <CJK>
0x3D5A=>0x8282, # <CJK>
0x3D5B=>0x6854, # <CJK>
0x3D5C=>0x6770, # <CJK>
0x3D5D=>0x6377, # <CJK>
0x3D5E=>0x776B, # <CJK>
0x3D5F=>0x7AED, # <CJK>
0x3D60=>0x6D01, # <CJK>
0x3D61=>0x7ED3, # <CJK>
0x3D62=>0x89E3, # <CJK>
0x3D63=>0x59D0, # <CJK>
0x3D64=>0x6212, # <CJK>
0x3D65=>0x85C9, # <CJK>
0x3D66=>0x82A5, # <CJK>
0x3D67=>0x754C, # <CJK>
0x3D68=>0x501F, # <CJK>
0x3D69=>0x4ECB, # <CJK>
0x3D6A=>0x75A5, # <CJK>
0x3D6B=>0x8BEB, # <CJK>
0x3D6C=>0x5C4A, # <CJK>
0x3D6D=>0x5DFE, # <CJK>
0x3D6E=>0x7B4B, # <CJK>
0x3D6F=>0x65A4, # <CJK>
0x3D70=>0x91D1, # <CJK>
0x3D71=>0x4ECA, # <CJK>
0x3D72=>0x6D25, # <CJK>
0x3D73=>0x895F, # <CJK>
0x3D74=>0x7D27, # <CJK>
0x3D75=>0x9526, # <CJK>
0x3D76=>0x4EC5, # <CJK>
0x3D77=>0x8C28, # <CJK>
0x3D78=>0x8FDB, # <CJK>
0x3D79=>0x9773, # <CJK>
0x3D7A=>0x664B, # <CJK>
0x3D7B=>0x7981, # <CJK>
0x3D7C=>0x8FD1, # <CJK>
0x3D7D=>0x70EC, # <CJK>
0x3D7E=>0x6D78, # <CJK>
0x3E21=>0x5C3D, # <CJK>
0x3E22=>0x52B2, # <CJK>
0x3E23=>0x8346, # <CJK>
0x3E24=>0x5162, # <CJK>
0x3E25=>0x830E, # <CJK>
0x3E26=>0x775B, # <CJK>
0x3E27=>0x6676, # <CJK>
0x3E28=>0x9CB8, # <CJK>
0x3E29=>0x4EAC, # <CJK>
0x3E2A=>0x60CA, # <CJK>
0x3E2B=>0x7CBE, # <CJK>
0x3E2C=>0x7CB3, # <CJK>
0x3E2D=>0x7ECF, # <CJK>
0x3E2E=>0x4E95, # <CJK>
0x3E2F=>0x8B66, # <CJK>
0x3E30=>0x666F, # <CJK>
0x3E31=>0x9888, # <CJK>
0x3E32=>0x9759, # <CJK>
0x3E33=>0x5883, # <CJK>
0x3E34=>0x656C, # <CJK>
0x3E35=>0x955C, # <CJK>
0x3E36=>0x5F84, # <CJK>
0x3E37=>0x75C9, # <CJK>
0x3E38=>0x9756, # <CJK>
0x3E39=>0x7ADF, # <CJK>
0x3E3A=>0x7ADE, # <CJK>
0x3E3B=>0x51C0, # <CJK>
0x3E3C=>0x70AF, # <CJK>
0x3E3D=>0x7A98, # <CJK>
0x3E3E=>0x63EA, # <CJK>
0x3E3F=>0x7A76, # <CJK>
0x3E40=>0x7EA0, # <CJK>
0x3E41=>0x7396, # <CJK>
0x3E42=>0x97ED, # <CJK>
0x3E43=>0x4E45, # <CJK>
0x3E44=>0x7078, # <CJK>
0x3E45=>0x4E5D, # <CJK>
0x3E46=>0x9152, # <CJK>
0x3E47=>0x53A9, # <CJK>
0x3E48=>0x6551, # <CJK>
0x3E49=>0x65E7, # <CJK>
0x3E4A=>0x81FC, # <CJK>
0x3E4B=>0x8205, # <CJK>
0x3E4C=>0x548E, # <CJK>
0x3E4D=>0x5C31, # <CJK>
0x3E4E=>0x759A, # <CJK>
0x3E4F=>0x97A0, # <CJK>
0x3E50=>0x62D8, # <CJK>
0x3E51=>0x72D9, # <CJK>
0x3E52=>0x75BD, # <CJK>
0x3E53=>0x5C45, # <CJK>
0x3E54=>0x9A79, # <CJK>
0x3E55=>0x83CA, # <CJK>
0x3E56=>0x5C40, # <CJK>
0x3E57=>0x5480, # <CJK>
0x3E58=>0x77E9, # <CJK>
0x3E59=>0x4E3E, # <CJK>
0x3E5A=>0x6CAE, # <CJK>
0x3E5B=>0x805A, # <CJK>
0x3E5C=>0x62D2, # <CJK>
0x3E5D=>0x636E, # <CJK>
0x3E5E=>0x5DE8, # <CJK>
0x3E5F=>0x5177, # <CJK>
0x3E60=>0x8DDD, # <CJK>
0x3E61=>0x8E1E, # <CJK>
0x3E62=>0x952F, # <CJK>
0x3E63=>0x4FF1, # <CJK>
0x3E64=>0x53E5, # <CJK>
0x3E65=>0x60E7, # <CJK>
0x3E66=>0x70AC, # <CJK>
0x3E67=>0x5267, # <CJK>
0x3E68=>0x6350, # <CJK>
0x3E69=>0x9E43, # <CJK>
0x3E6A=>0x5A1F, # <CJK>
0x3E6B=>0x5026, # <CJK>
0x3E6C=>0x7737, # <CJK>
0x3E6D=>0x5377, # <CJK>
0x3E6E=>0x7EE2, # <CJK>
0x3E6F=>0x6485, # <CJK>
0x3E70=>0x652B, # <CJK>
0x3E71=>0x6289, # <CJK>
0x3E72=>0x6398, # <CJK>
0x3E73=>0x5014, # <CJK>
0x3E74=>0x7235, # <CJK>
0x3E75=>0x89C9, # <CJK>
0x3E76=>0x51B3, # <CJK>
0x3E77=>0x8BC0, # <CJK>
0x3E78=>0x7EDD, # <CJK>
0x3E79=>0x5747, # <CJK>
0x3E7A=>0x83CC, # <CJK>
0x3E7B=>0x94A7, # <CJK>
0x3E7C=>0x519B, # <CJK>
0x3E7D=>0x541B, # <CJK>
0x3E7E=>0x5CFB, # <CJK>
0x3F21=>0x4FCA, # <CJK>
0x3F22=>0x7AE3, # <CJK>
0x3F23=>0x6D5A, # <CJK>
0x3F24=>0x90E1, # <CJK>
0x3F25=>0x9A8F, # <CJK>
0x3F26=>0x5580, # <CJK>
0x3F27=>0x5496, # <CJK>
0x3F28=>0x5361, # <CJK>
0x3F29=>0x54AF, # <CJK>
0x3F2A=>0x5F00, # <CJK>
0x3F2B=>0x63E9, # <CJK>
0x3F2C=>0x6977, # <CJK>
0x3F2D=>0x51EF, # <CJK>
0x3F2E=>0x6168, # <CJK>
0x3F2F=>0x520A, # <CJK>
0x3F30=>0x582A, # <CJK>
0x3F31=>0x52D8, # <CJK>
0x3F32=>0x574E, # <CJK>
0x3F33=>0x780D, # <CJK>
0x3F34=>0x770B, # <CJK>
0x3F35=>0x5EB7, # <CJK>
0x3F36=>0x6177, # <CJK>
0x3F37=>0x7CE0, # <CJK>
0x3F38=>0x625B, # <CJK>
0x3F39=>0x6297, # <CJK>
0x3F3A=>0x4EA2, # <CJK>
0x3F3B=>0x7095, # <CJK>
0x3F3C=>0x8003, # <CJK>
0x3F3D=>0x62F7, # <CJK>
0x3F3E=>0x70E4, # <CJK>
0x3F3F=>0x9760, # <CJK>
0x3F40=>0x5777, # <CJK>
0x3F41=>0x82DB, # <CJK>
0x3F42=>0x67EF, # <CJK>
0x3F43=>0x68F5, # <CJK>
0x3F44=>0x78D5, # <CJK>
0x3F45=>0x9897, # <CJK>
0x3F46=>0x79D1, # <CJK>
0x3F47=>0x58F3, # <CJK>
0x3F48=>0x54B3, # <CJK>
0x3F49=>0x53EF, # <CJK>
0x3F4A=>0x6E34, # <CJK>
0x3F4B=>0x514B, # <CJK>
0x3F4C=>0x523B, # <CJK>
0x3F4D=>0x5BA2, # <CJK>
0x3F4E=>0x8BFE, # <CJK>
0x3F4F=>0x80AF, # <CJK>
0x3F50=>0x5543, # <CJK>
0x3F51=>0x57A6, # <CJK>
0x3F52=>0x6073, # <CJK>
0x3F53=>0x5751, # <CJK>
0x3F54=>0x542D, # <CJK>
0x3F55=>0x7A7A, # <CJK>
0x3F56=>0x6050, # <CJK>
0x3F57=>0x5B54, # <CJK>
0x3F58=>0x63A7, # <CJK>
0x3F59=>0x62A0, # <CJK>
0x3F5A=>0x53E3, # <CJK>
0x3F5B=>0x6263, # <CJK>
0x3F5C=>0x5BC7, # <CJK>
0x3F5D=>0x67AF, # <CJK>
0x3F5E=>0x54ED, # <CJK>
0x3F5F=>0x7A9F, # <CJK>
0x3F60=>0x82E6, # <CJK>
0x3F61=>0x9177, # <CJK>
0x3F62=>0x5E93, # <CJK>
0x3F63=>0x88E4, # <CJK>
0x3F64=>0x5938, # <CJK>
0x3F65=>0x57AE, # <CJK>
0x3F66=>0x630E, # <CJK>
0x3F67=>0x8DE8, # <CJK>
0x3F68=>0x80EF, # <CJK>
0x3F69=>0x5757, # <CJK>
0x3F6A=>0x7B77, # <CJK>
0x3F6B=>0x4FA9, # <CJK>
0x3F6C=>0x5FEB, # <CJK>
0x3F6D=>0x5BBD, # <CJK>
0x3F6E=>0x6B3E, # <CJK>
0x3F6F=>0x5321, # <CJK>
0x3F70=>0x7B50, # <CJK>
0x3F71=>0x72C2, # <CJK>
0x3F72=>0x6846, # <CJK>
0x3F73=>0x77FF, # <CJK>
0x3F74=>0x7736, # <CJK>
0x3F75=>0x65F7, # <CJK>
0x3F76=>0x51B5, # <CJK>
0x3F77=>0x4E8F, # <CJK>
0x3F78=>0x76D4, # <CJK>
0x3F79=>0x5CBF, # <CJK>
0x3F7A=>0x7AA5, # <CJK>
0x3F7B=>0x8475, # <CJK>
0x3F7C=>0x594E, # <CJK>
0x3F7D=>0x9B41, # <CJK>
0x3F7E=>0x5080, # <CJK>
0x4021=>0x9988, # <CJK>
0x4022=>0x6127, # <CJK>
0x4023=>0x6E83, # <CJK>
0x4024=>0x5764, # <CJK>
0x4025=>0x6606, # <CJK>
0x4026=>0x6346, # <CJK>
0x4027=>0x56F0, # <CJK>
0x4028=>0x62EC, # <CJK>
0x4029=>0x6269, # <CJK>
0x402A=>0x5ED3, # <CJK>
0x402B=>0x9614, # <CJK>
0x402C=>0x5783, # <CJK>
0x402D=>0x62C9, # <CJK>
0x402E=>0x5587, # <CJK>
0x402F=>0x8721, # <CJK>
0x4030=>0x814A, # <CJK>
0x4031=>0x8FA3, # <CJK>
0x4032=>0x5566, # <CJK>
0x4033=>0x83B1, # <CJK>
0x4034=>0x6765, # <CJK>
0x4035=>0x8D56, # <CJK>
0x4036=>0x84DD, # <CJK>
0x4037=>0x5A6A, # <CJK>
0x4038=>0x680F, # <CJK>
0x4039=>0x62E6, # <CJK>
0x403A=>0x7BEE, # <CJK>
0x403B=>0x9611, # <CJK>
0x403C=>0x5170, # <CJK>
0x403D=>0x6F9C, # <CJK>
0x403E=>0x8C30, # <CJK>
0x403F=>0x63FD, # <CJK>
0x4040=>0x89C8, # <CJK>
0x4041=>0x61D2, # <CJK>
0x4042=>0x7F06, # <CJK>
0x4043=>0x70C2, # <CJK>
0x4044=>0x6EE5, # <CJK>
0x4045=>0x7405, # <CJK>
0x4046=>0x6994, # <CJK>
0x4047=>0x72FC, # <CJK>
0x4048=>0x5ECA, # <CJK>
0x4049=>0x90CE, # <CJK>
0x404A=>0x6717, # <CJK>
0x404B=>0x6D6A, # <CJK>
0x404C=>0x635E, # <CJK>
0x404D=>0x52B3, # <CJK>
0x404E=>0x7262, # <CJK>
0x404F=>0x8001, # <CJK>
0x4050=>0x4F6C, # <CJK>
0x4051=>0x59E5, # <CJK>
0x4052=>0x916A, # <CJK>
0x4053=>0x70D9, # <CJK>
0x4054=>0x6D9D, # <CJK>
0x4055=>0x52D2, # <CJK>
0x4056=>0x4E50, # <CJK>
0x4057=>0x96F7, # <CJK>
0x4058=>0x956D, # <CJK>
0x4059=>0x857E, # <CJK>
0x405A=>0x78CA, # <CJK>
0x405B=>0x7D2F, # <CJK>
0x405C=>0x5121, # <CJK>
0x405D=>0x5792, # <CJK>
0x405E=>0x64C2, # <CJK>
0x405F=>0x808B, # <CJK>
0x4060=>0x7C7B, # <CJK>
0x4061=>0x6CEA, # <CJK>
0x4062=>0x68F1, # <CJK>
0x4063=>0x695E, # <CJK>
0x4064=>0x51B7, # <CJK>
0x4065=>0x5398, # <CJK>
0x4066=>0x68A8, # <CJK>
0x4067=>0x7281, # <CJK>
0x4068=>0x9ECE, # <CJK>
0x4069=>0x7BF1, # <CJK>
0x406A=>0x72F8, # <CJK>
0x406B=>0x79BB, # <CJK>
0x406C=>0x6F13, # <CJK>
0x406D=>0x7406, # <CJK>
0x406E=>0x674E, # <CJK>
0x406F=>0x91CC, # <CJK>
0x4070=>0x9CA4, # <CJK>
0x4071=>0x793C, # <CJK>
0x4072=>0x8389, # <CJK>
0x4073=>0x8354, # <CJK>
0x4074=>0x540F, # <CJK>
0x4075=>0x6817, # <CJK>
0x4076=>0x4E3D, # <CJK>
0x4077=>0x5389, # <CJK>
0x4078=>0x52B1, # <CJK>
0x4079=>0x783E, # <CJK>
0x407A=>0x5386, # <CJK>
0x407B=>0x5229, # <CJK>
0x407C=>0x5088, # <CJK>
0x407D=>0x4F8B, # <CJK>
0x407E=>0x4FD0, # <CJK>
0x4121=>0x75E2, # <CJK>
0x4122=>0x7ACB, # <CJK>
0x4123=>0x7C92, # <CJK>
0x4124=>0x6CA5, # <CJK>
0x4125=>0x96B6, # <CJK>
0x4126=>0x529B, # <CJK>
0x4127=>0x7483, # <CJK>
0x4128=>0x54E9, # <CJK>
0x4129=>0x4FE9, # <CJK>
0x412A=>0x8054, # <CJK>
0x412B=>0x83B2, # <CJK>
0x412C=>0x8FDE, # <CJK>
0x412D=>0x9570, # <CJK>
0x412E=>0x5EC9, # <CJK>
0x412F=>0x601C, # <CJK>
0x4130=>0x6D9F, # <CJK>
0x4131=>0x5E18, # <CJK>
0x4132=>0x655B, # <CJK>
0x4133=>0x8138, # <CJK>
0x4134=>0x94FE, # <CJK>
0x4135=>0x604B, # <CJK>
0x4136=>0x70BC, # <CJK>
0x4137=>0x7EC3, # <CJK>
0x4138=>0x7CAE, # <CJK>
0x4139=>0x51C9, # <CJK>
0x413A=>0x6881, # <CJK>
0x413B=>0x7CB1, # <CJK>
0x413C=>0x826F, # <CJK>
0x413D=>0x4E24, # <CJK>
0x413E=>0x8F86, # <CJK>
0x413F=>0x91CF, # <CJK>
0x4140=>0x667E, # <CJK>
0x4141=>0x4EAE, # <CJK>
0x4142=>0x8C05, # <CJK>
0x4143=>0x64A9, # <CJK>
0x4144=>0x804A, # <CJK>
0x4145=>0x50DA, # <CJK>
0x4146=>0x7597, # <CJK>
0x4147=>0x71CE, # <CJK>
0x4148=>0x5BE5, # <CJK>
0x4149=>0x8FBD, # <CJK>
0x414A=>0x6F66, # <CJK>
0x414B=>0x4E86, # <CJK>
0x414C=>0x6482, # <CJK>
0x414D=>0x9563, # <CJK>
0x414E=>0x5ED6, # <CJK>
0x414F=>0x6599, # <CJK>
0x4150=>0x5217, # <CJK>
0x4151=>0x88C2, # <CJK>
0x4152=>0x70C8, # <CJK>
0x4153=>0x52A3, # <CJK>
0x4154=>0x730E, # <CJK>
0x4155=>0x7433, # <CJK>
0x4156=>0x6797, # <CJK>
0x4157=>0x78F7, # <CJK>
0x4158=>0x9716, # <CJK>
0x4159=>0x4E34, # <CJK>
0x415A=>0x90BB, # <CJK>
0x415B=>0x9CDE, # <CJK>
0x415C=>0x6DCB, # <CJK>
0x415D=>0x51DB, # <CJK>
0x415E=>0x8D41, # <CJK>
0x415F=>0x541D, # <CJK>
0x4160=>0x62CE, # <CJK>
0x4161=>0x73B2, # <CJK>
0x4162=>0x83F1, # <CJK>
0x4163=>0x96F6, # <CJK>
0x4164=>0x9F84, # <CJK>
0x4165=>0x94C3, # <CJK>
0x4166=>0x4F36, # <CJK>
0x4167=>0x7F9A, # <CJK>
0x4168=>0x51CC, # <CJK>
0x4169=>0x7075, # <CJK>
0x416A=>0x9675, # <CJK>
0x416B=>0x5CAD, # <CJK>
0x416C=>0x9886, # <CJK>
0x416D=>0x53E6, # <CJK>
0x416E=>0x4EE4, # <CJK>
0x416F=>0x6E9C, # <CJK>
0x4170=>0x7409, # <CJK>
0x4171=>0x69B4, # <CJK>
0x4172=>0x786B, # <CJK>
0x4173=>0x998F, # <CJK>
0x4174=>0x7559, # <CJK>
0x4175=>0x5218, # <CJK>
0x4176=>0x7624, # <CJK>
0x4177=>0x6D41, # <CJK>
0x4178=>0x67F3, # <CJK>
0x4179=>0x516D, # <CJK>
0x417A=>0x9F99, # <CJK>
0x417B=>0x804B, # <CJK>
0x417C=>0x5499, # <CJK>
0x417D=>0x7B3C, # <CJK>
0x417E=>0x7ABF, # <CJK>
0x4221=>0x9686, # <CJK>
0x4222=>0x5784, # <CJK>
0x4223=>0x62E2, # <CJK>
0x4224=>0x9647, # <CJK>
0x4225=>0x697C, # <CJK>
0x4226=>0x5A04, # <CJK>
0x4227=>0x6402, # <CJK>
0x4228=>0x7BD3, # <CJK>
0x4229=>0x6F0F, # <CJK>
0x422A=>0x964B, # <CJK>
0x422B=>0x82A6, # <CJK>
0x422C=>0x5362, # <CJK>
0x422D=>0x9885, # <CJK>
0x422E=>0x5E90, # <CJK>
0x422F=>0x7089, # <CJK>
0x4230=>0x63B3, # <CJK>
0x4231=>0x5364, # <CJK>
0x4232=>0x864F, # <CJK>
0x4233=>0x9C81, # <CJK>
0x4234=>0x9E93, # <CJK>
0x4235=>0x788C, # <CJK>
0x4236=>0x9732, # <CJK>
0x4237=>0x8DEF, # <CJK>
0x4238=>0x8D42, # <CJK>
0x4239=>0x9E7F, # <CJK>
0x423A=>0x6F5E, # <CJK>
0x423B=>0x7984, # <CJK>
0x423C=>0x5F55, # <CJK>
0x423D=>0x9646, # <CJK>
0x423E=>0x622E, # <CJK>
0x423F=>0x9A74, # <CJK>
0x4240=>0x5415, # <CJK>
0x4241=>0x94DD, # <CJK>
0x4242=>0x4FA3, # <CJK>
0x4243=>0x65C5, # <CJK>
0x4244=>0x5C65, # <CJK>
0x4245=>0x5C61, # <CJK>
0x4246=>0x7F15, # <CJK>
0x4247=>0x8651, # <CJK>
0x4248=>0x6C2F, # <CJK>
0x4249=>0x5F8B, # <CJK>
0x424A=>0x7387, # <CJK>
0x424B=>0x6EE4, # <CJK>
0x424C=>0x7EFF, # <CJK>
0x424D=>0x5CE6, # <CJK>
0x424E=>0x631B, # <CJK>
0x424F=>0x5B6A, # <CJK>
0x4250=>0x6EE6, # <CJK>
0x4251=>0x5375, # <CJK>
0x4252=>0x4E71, # <CJK>
0x4253=>0x63A0, # <CJK>
0x4254=>0x7565, # <CJK>
0x4255=>0x62A1, # <CJK>
0x4256=>0x8F6E, # <CJK>
0x4257=>0x4F26, # <CJK>
0x4258=>0x4ED1, # <CJK>
0x4259=>0x6CA6, # <CJK>
0x425A=>0x7EB6, # <CJK>
0x425B=>0x8BBA, # <CJK>
0x425C=>0x841D, # <CJK>
0x425D=>0x87BA, # <CJK>
0x425E=>0x7F57, # <CJK>
0x425F=>0x903B, # <CJK>
0x4260=>0x9523, # <CJK>
0x4261=>0x7BA9, # <CJK>
0x4262=>0x9AA1, # <CJK>
0x4263=>0x88F8, # <CJK>
0x4264=>0x843D, # <CJK>
0x4265=>0x6D1B, # <CJK>
0x4266=>0x9A86, # <CJK>
0x4267=>0x7EDC, # <CJK>
0x4268=>0x5988, # <CJK>
0x4269=>0x9EBB, # <CJK>
0x426A=>0x739B, # <CJK>
0x426B=>0x7801, # <CJK>
0x426C=>0x8682, # <CJK>
0x426D=>0x9A6C, # <CJK>
0x426E=>0x9A82, # <CJK>
0x426F=>0x561B, # <CJK>
0x4270=>0x5417, # <CJK>
0x4271=>0x57CB, # <CJK>
0x4272=>0x4E70, # <CJK>
0x4273=>0x9EA6, # <CJK>
0x4274=>0x5356, # <CJK>
0x4275=>0x8FC8, # <CJK>
0x4276=>0x8109, # <CJK>
0x4277=>0x7792, # <CJK>
0x4278=>0x9992, # <CJK>
0x4279=>0x86EE, # <CJK>
0x427A=>0x6EE1, # <CJK>
0x427B=>0x8513, # <CJK>
0x427C=>0x66FC, # <CJK>
0x427D=>0x6162, # <CJK>
0x427E=>0x6F2B, # <CJK>
0x4321=>0x8C29, # <CJK>
0x4322=>0x8292, # <CJK>
0x4323=>0x832B, # <CJK>
0x4324=>0x76F2, # <CJK>
0x4325=>0x6C13, # <CJK>
0x4326=>0x5FD9, # <CJK>
0x4327=>0x83BD, # <CJK>
0x4328=>0x732B, # <CJK>
0x4329=>0x8305, # <CJK>
0x432A=>0x951A, # <CJK>
0x432B=>0x6BDB, # <CJK>
0x432C=>0x77DB, # <CJK>
0x432D=>0x94C6, # <CJK>
0x432E=>0x536F, # <CJK>
0x432F=>0x8302, # <CJK>
0x4330=>0x5192, # <CJK>
0x4331=>0x5E3D, # <CJK>
0x4332=>0x8C8C, # <CJK>
0x4333=>0x8D38, # <CJK>
0x4334=>0x4E48, # <CJK>
0x4335=>0x73AB, # <CJK>
0x4336=>0x679A, # <CJK>
0x4337=>0x6885, # <CJK>
0x4338=>0x9176, # <CJK>
0x4339=>0x9709, # <CJK>
0x433A=>0x7164, # <CJK>
0x433B=>0x6CA1, # <CJK>
0x433C=>0x7709, # <CJK>
0x433D=>0x5A92, # <CJK>
0x433E=>0x9541, # <CJK>
0x433F=>0x6BCF, # <CJK>
0x4340=>0x7F8E, # <CJK>
0x4341=>0x6627, # <CJK>
0x4342=>0x5BD0, # <CJK>
0x4343=>0x59B9, # <CJK>
0x4344=>0x5A9A, # <CJK>
0x4345=>0x95E8, # <CJK>
0x4346=>0x95F7, # <CJK>
0x4347=>0x4EEC, # <CJK>
0x4348=>0x840C, # <CJK>
0x4349=>0x8499, # <CJK>
0x434A=>0x6AAC, # <CJK>
0x434B=>0x76DF, # <CJK>
0x434C=>0x9530, # <CJK>
0x434D=>0x731B, # <CJK>
0x434E=>0x68A6, # <CJK>
0x434F=>0x5B5F, # <CJK>
0x4350=>0x772F, # <CJK>
0x4351=>0x919A, # <CJK>
0x4352=>0x9761, # <CJK>
0x4353=>0x7CDC, # <CJK>
0x4354=>0x8FF7, # <CJK>
0x4355=>0x8C1C, # <CJK>
0x4356=>0x5F25, # <CJK>
0x4357=>0x7C73, # <CJK>
0x4358=>0x79D8, # <CJK>
0x4359=>0x89C5, # <CJK>
0x435A=>0x6CCC, # <CJK>
0x435B=>0x871C, # <CJK>
0x435C=>0x5BC6, # <CJK>
0x435D=>0x5E42, # <CJK>
0x435E=>0x68C9, # <CJK>
0x435F=>0x7720, # <CJK>
0x4360=>0x7EF5, # <CJK>
0x4361=>0x5195, # <CJK>
0x4362=>0x514D, # <CJK>
0x4363=>0x52C9, # <CJK>
0x4364=>0x5A29, # <CJK>
0x4365=>0x7F05, # <CJK>
0x4366=>0x9762, # <CJK>
0x4367=>0x82D7, # <CJK>
0x4368=>0x63CF, # <CJK>
0x4369=>0x7784, # <CJK>
0x436A=>0x85D0, # <CJK>
0x436B=>0x79D2, # <CJK>
0x436C=>0x6E3A, # <CJK>
0x436D=>0x5E99, # <CJK>
0x436E=>0x5999, # <CJK>
0x436F=>0x8511, # <CJK>
0x4370=>0x706D, # <CJK>
0x4371=>0x6C11, # <CJK>
0x4372=>0x62BF, # <CJK>
0x4373=>0x76BF, # <CJK>
0x4374=>0x654F, # <CJK>
0x4375=>0x60AF, # <CJK>
0x4376=>0x95FD, # <CJK>
0x4377=>0x660E, # <CJK>
0x4378=>0x879F, # <CJK>
0x4379=>0x9E23, # <CJK>
0x437A=>0x94ED, # <CJK>
0x437B=>0x540D, # <CJK>
0x437C=>0x547D, # <CJK>
0x437D=>0x8C2C, # <CJK>
0x437E=>0x6478, # <CJK>
0x4421=>0x6479, # <CJK>
0x4422=>0x8611, # <CJK>
0x4423=>0x6A21, # <CJK>
0x4424=>0x819C, # <CJK>
0x4425=>0x78E8, # <CJK>
0x4426=>0x6469, # <CJK>
0x4427=>0x9B54, # <CJK>
0x4428=>0x62B9, # <CJK>
0x4429=>0x672B, # <CJK>
0x442A=>0x83AB, # <CJK>
0x442B=>0x58A8, # <CJK>
0x442C=>0x9ED8, # <CJK>
0x442D=>0x6CAB, # <CJK>
0x442E=>0x6F20, # <CJK>
0x442F=>0x5BDE, # <CJK>
0x4430=>0x964C, # <CJK>
0x4431=>0x8C0B, # <CJK>
0x4432=>0x725F, # <CJK>
0x4433=>0x67D0, # <CJK>
0x4434=>0x62C7, # <CJK>
0x4435=>0x7261, # <CJK>
0x4436=>0x4EA9, # <CJK>
0x4437=>0x59C6, # <CJK>
0x4438=>0x6BCD, # <CJK>
0x4439=>0x5893, # <CJK>
0x443A=>0x66AE, # <CJK>
0x443B=>0x5E55, # <CJK>
0x443C=>0x52DF, # <CJK>
0x443D=>0x6155, # <CJK>
0x443E=>0x6728, # <CJK>
0x443F=>0x76EE, # <CJK>
0x4440=>0x7766, # <CJK>
0x4441=>0x7267, # <CJK>
0x4442=>0x7A46, # <CJK>
0x4443=>0x62FF, # <CJK>
0x4444=>0x54EA, # <CJK>
0x4445=>0x5450, # <CJK>
0x4446=>0x94A0, # <CJK>
0x4447=>0x90A3, # <CJK>
0x4448=>0x5A1C, # <CJK>
0x4449=>0x7EB3, # <CJK>
0x444A=>0x6C16, # <CJK>
0x444B=>0x4E43, # <CJK>
0x444C=>0x5976, # <CJK>
0x444D=>0x8010, # <CJK>
0x444E=>0x5948, # <CJK>
0x444F=>0x5357, # <CJK>
0x4450=>0x7537, # <CJK>
0x4451=>0x96BE, # <CJK>
0x4452=>0x56CA, # <CJK>
0x4453=>0x6320, # <CJK>
0x4454=>0x8111, # <CJK>
0x4455=>0x607C, # <CJK>
0x4456=>0x95F9, # <CJK>
0x4457=>0x6DD6, # <CJK>
0x4458=>0x5462, # <CJK>
0x4459=>0x9981, # <CJK>
0x445A=>0x5185, # <CJK>
0x445B=>0x5AE9, # <CJK>
0x445C=>0x80FD, # <CJK>
0x445D=>0x59AE, # <CJK>
0x445E=>0x9713, # <CJK>
0x445F=>0x502A, # <CJK>
0x4460=>0x6CE5, # <CJK>
0x4461=>0x5C3C, # <CJK>
0x4462=>0x62DF, # <CJK>
0x4463=>0x4F60, # <CJK>
0x4464=>0x533F, # <CJK>
0x4465=>0x817B, # <CJK>
0x4466=>0x9006, # <CJK>
0x4467=>0x6EBA, # <CJK>
0x4468=>0x852B, # <CJK>
0x4469=>0x62C8, # <CJK>
0x446A=>0x5E74, # <CJK>
0x446B=>0x78BE, # <CJK>
0x446C=>0x64B5, # <CJK>
0x446D=>0x637B, # <CJK>
0x446E=>0x5FF5, # <CJK>
0x446F=>0x5A18, # <CJK>
0x4470=>0x917F, # <CJK>
0x4471=>0x9E1F, # <CJK>
0x4472=>0x5C3F, # <CJK>
0x4473=>0x634F, # <CJK>
0x4474=>0x8042, # <CJK>
0x4475=>0x5B7D, # <CJK>
0x4476=>0x556E, # <CJK>
0x4477=>0x954A, # <CJK>
0x4478=>0x954D, # <CJK>
0x4479=>0x6D85, # <CJK>
0x447A=>0x60A8, # <CJK>
0x447B=>0x67E0, # <CJK>
0x447C=>0x72DE, # <CJK>
0x447D=>0x51DD, # <CJK>
0x447E=>0x5B81, # <CJK>
0x4521=>0x62E7, # <CJK>
0x4522=>0x6CDE, # <CJK>
0x4523=>0x725B, # <CJK>
0x4524=>0x626D, # <CJK>
0x4525=>0x94AE, # <CJK>
0x4526=>0x7EBD, # <CJK>
0x4527=>0x8113, # <CJK>
0x4528=>0x6D53, # <CJK>
0x4529=>0x519C, # <CJK>
0x452A=>0x5F04, # <CJK>
0x452B=>0x5974, # <CJK>
0x452C=>0x52AA, # <CJK>
0x452D=>0x6012, # <CJK>
0x452E=>0x5973, # <CJK>
0x452F=>0x6696, # <CJK>
0x4530=>0x8650, # <CJK>
0x4531=>0x759F, # <CJK>
0x4532=>0x632A, # <CJK>
0x4533=>0x61E6, # <CJK>
0x4534=>0x7CEF, # <CJK>
0x4535=>0x8BFA, # <CJK>
0x4536=>0x54E6, # <CJK>
0x4537=>0x6B27, # <CJK>
0x4538=>0x9E25, # <CJK>
0x4539=>0x6BB4, # <CJK>
0x453A=>0x85D5, # <CJK>
0x453B=>0x5455, # <CJK>
0x453C=>0x5076, # <CJK>
0x453D=>0x6CA4, # <CJK>
0x453E=>0x556A, # <CJK>
0x453F=>0x8DB4, # <CJK>
0x4540=>0x722C, # <CJK>
0x4541=>0x5E15, # <CJK>
0x4542=>0x6015, # <CJK>
0x4543=>0x7436, # <CJK>
0x4544=>0x62CD, # <CJK>
0x4545=>0x6392, # <CJK>
0x4546=>0x724C, # <CJK>
0x4547=>0x5F98, # <CJK>
0x4548=>0x6E43, # <CJK>
0x4549=>0x6D3E, # <CJK>
0x454A=>0x6500, # <CJK>
0x454B=>0x6F58, # <CJK>
0x454C=>0x76D8, # <CJK>
0x454D=>0x78D0, # <CJK>
0x454E=>0x76FC, # <CJK>
0x454F=>0x7554, # <CJK>
0x4550=>0x5224, # <CJK>
0x4551=>0x53DB, # <CJK>
0x4552=>0x4E53, # <CJK>
0x4553=>0x5E9E, # <CJK>
0x4554=>0x65C1, # <CJK>
0x4555=>0x802A, # <CJK>
0x4556=>0x80D6, # <CJK>
0x4557=>0x629B, # <CJK>
0x4558=>0x5486, # <CJK>
0x4559=>0x5228, # <CJK>
0x455A=>0x70AE, # <CJK>
0x455B=>0x888D, # <CJK>
0x455C=>0x8DD1, # <CJK>
0x455D=>0x6CE1, # <CJK>
0x455E=>0x5478, # <CJK>
0x455F=>0x80DA, # <CJK>
0x4560=>0x57F9, # <CJK>
0x4561=>0x88F4, # <CJK>
0x4562=>0x8D54, # <CJK>
0x4563=>0x966A, # <CJK>
0x4564=>0x914D, # <CJK>
0x4565=>0x4F69, # <CJK>
0x4566=>0x6C9B, # <CJK>
0x4567=>0x55B7, # <CJK>
0x4568=>0x76C6, # <CJK>
0x4569=>0x7830, # <CJK>
0x456A=>0x62A8, # <CJK>
0x456B=>0x70F9, # <CJK>
0x456C=>0x6F8E, # <CJK>
0x456D=>0x5F6D, # <CJK>
0x456E=>0x84EC, # <CJK>
0x456F=>0x68DA, # <CJK>
0x4570=>0x787C, # <CJK>
0x4571=>0x7BF7, # <CJK>
0x4572=>0x81A8, # <CJK>
0x4573=>0x670B, # <CJK>
0x4574=>0x9E4F, # <CJK>
0x4575=>0x6367, # <CJK>
0x4576=>0x78B0, # <CJK>
0x4577=>0x576F, # <CJK>
0x4578=>0x7812, # <CJK>
0x4579=>0x9739, # <CJK>
0x457A=>0x6279, # <CJK>
0x457B=>0x62AB, # <CJK>
0x457C=>0x5288, # <CJK>
0x457D=>0x7435, # <CJK>
0x457E=>0x6BD7, # <CJK>
0x4621=>0x5564, # <CJK>
0x4622=>0x813E, # <CJK>
0x4623=>0x75B2, # <CJK>
0x4624=>0x76AE, # <CJK>
0x4625=>0x5339, # <CJK>
0x4626=>0x75DE, # <CJK>
0x4627=>0x50FB, # <CJK>
0x4628=>0x5C41, # <CJK>
0x4629=>0x8B6C, # <CJK>
0x462A=>0x7BC7, # <CJK>
0x462B=>0x504F, # <CJK>
0x462C=>0x7247, # <CJK>
0x462D=>0x9A97, # <CJK>
0x462E=>0x98D8, # <CJK>
0x462F=>0x6F02, # <CJK>
0x4630=>0x74E2, # <CJK>
0x4631=>0x7968, # <CJK>
0x4632=>0x6487, # <CJK>
0x4633=>0x77A5, # <CJK>
0x4634=>0x62FC, # <CJK>
0x4635=>0x9891, # <CJK>
0x4636=>0x8D2B, # <CJK>
0x4637=>0x54C1, # <CJK>
0x4638=>0x8058, # <CJK>
0x4639=>0x4E52, # <CJK>
0x463A=>0x576A, # <CJK>
0x463B=>0x82F9, # <CJK>
0x463C=>0x840D, # <CJK>
0x463D=>0x5E73, # <CJK>
0x463E=>0x51ED, # <CJK>
0x463F=>0x74F6, # <CJK>
0x4640=>0x8BC4, # <CJK>
0x4641=>0x5C4F, # <CJK>
0x4642=>0x5761, # <CJK>
0x4643=>0x6CFC, # <CJK>
0x4644=>0x9887, # <CJK>
0x4645=>0x5A46, # <CJK>
0x4646=>0x7834, # <CJK>
0x4647=>0x9B44, # <CJK>
0x4648=>0x8FEB, # <CJK>
0x4649=>0x7C95, # <CJK>
0x464A=>0x5256, # <CJK>
0x464B=>0x6251, # <CJK>
0x464C=>0x94FA, # <CJK>
0x464D=>0x4EC6, # <CJK>
0x464E=>0x8386, # <CJK>
0x464F=>0x8461, # <CJK>
0x4650=>0x83E9, # <CJK>
0x4651=>0x84B2, # <CJK>
0x4652=>0x57D4, # <CJK>
0x4653=>0x6734, # <CJK>
0x4654=>0x5703, # <CJK>
0x4655=>0x666E, # <CJK>
0x4656=>0x6D66, # <CJK>
0x4657=>0x8C31, # <CJK>
0x4658=>0x66DD, # <CJK>
0x4659=>0x7011, # <CJK>
0x465A=>0x671F, # <CJK>
0x465B=>0x6B3A, # <CJK>
0x465C=>0x6816, # <CJK>
0x465D=>0x621A, # <CJK>
0x465E=>0x59BB, # <CJK>
0x465F=>0x4E03, # <CJK>
0x4660=>0x51C4, # <CJK>
0x4661=>0x6F06, # <CJK>
0x4662=>0x67D2, # <CJK>
0x4663=>0x6C8F, # <CJK>
0x4664=>0x5176, # <CJK>
0x4665=>0x68CB, # <CJK>
0x4666=>0x5947, # <CJK>
0x4667=>0x6B67, # <CJK>
0x4668=>0x7566, # <CJK>
0x4669=>0x5D0E, # <CJK>
0x466A=>0x8110, # <CJK>
0x466B=>0x9F50, # <CJK>
0x466C=>0x65D7, # <CJK>
0x466D=>0x7948, # <CJK>
0x466E=>0x7941, # <CJK>
0x466F=>0x9A91, # <CJK>
0x4670=>0x8D77, # <CJK>
0x4671=>0x5C82, # <CJK>
0x4672=>0x4E5E, # <CJK>
0x4673=>0x4F01, # <CJK>
0x4674=>0x542F, # <CJK>
0x4675=>0x5951, # <CJK>
0x4676=>0x780C, # <CJK>
0x4677=>0x5668, # <CJK>
0x4678=>0x6C14, # <CJK>
0x4679=>0x8FC4, # <CJK>
0x467A=>0x5F03, # <CJK>
0x467B=>0x6C7D, # <CJK>
0x467C=>0x6CE3, # <CJK>
0x467D=>0x8BAB, # <CJK>
0x467E=>0x6390, # <CJK>
0x4721=>0x6070, # <CJK>
0x4722=>0x6D3D, # <CJK>
0x4723=>0x7275, # <CJK>
0x4724=>0x6266, # <CJK>
0x4725=>0x948E, # <CJK>
0x4726=>0x94C5, # <CJK>
0x4727=>0x5343, # <CJK>
0x4728=>0x8FC1, # <CJK>
0x4729=>0x7B7E, # <CJK>
0x472A=>0x4EDF, # <CJK>
0x472B=>0x8C26, # <CJK>
0x472C=>0x4E7E, # <CJK>
0x472D=>0x9ED4, # <CJK>
0x472E=>0x94B1, # <CJK>
0x472F=>0x94B3, # <CJK>
0x4730=>0x524D, # <CJK>
0x4731=>0x6F5C, # <CJK>
0x4732=>0x9063, # <CJK>
0x4733=>0x6D45, # <CJK>
0x4734=>0x8C34, # <CJK>
0x4735=>0x5811, # <CJK>
0x4736=>0x5D4C, # <CJK>
0x4737=>0x6B20, # <CJK>
0x4738=>0x6B49, # <CJK>
0x4739=>0x67AA, # <CJK>
0x473A=>0x545B, # <CJK>
0x473B=>0x8154, # <CJK>
0x473C=>0x7F8C, # <CJK>
0x473D=>0x5899, # <CJK>
0x473E=>0x8537, # <CJK>
0x473F=>0x5F3A, # <CJK>
0x4740=>0x62A2, # <CJK>
0x4741=>0x6A47, # <CJK>
0x4742=>0x9539, # <CJK>
0x4743=>0x6572, # <CJK>
0x4744=>0x6084, # <CJK>
0x4745=>0x6865, # <CJK>
0x4746=>0x77A7, # <CJK>
0x4747=>0x4E54, # <CJK>
0x4748=>0x4FA8, # <CJK>
0x4749=>0x5DE7, # <CJK>
0x474A=>0x9798, # <CJK>
0x474B=>0x64AC, # <CJK>
0x474C=>0x7FD8, # <CJK>
0x474D=>0x5CED, # <CJK>
0x474E=>0x4FCF, # <CJK>
0x474F=>0x7A8D, # <CJK>
0x4750=>0x5207, # <CJK>
0x4751=>0x8304, # <CJK>
0x4752=>0x4E14, # <CJK>
0x4753=>0x602F, # <CJK>
0x4754=>0x7A83, # <CJK>
0x4755=>0x94A6, # <CJK>
0x4756=>0x4FB5, # <CJK>
0x4757=>0x4EB2, # <CJK>
0x4758=>0x79E6, # <CJK>
0x4759=>0x7434, # <CJK>
0x475A=>0x52E4, # <CJK>
0x475B=>0x82B9, # <CJK>
0x475C=>0x64D2, # <CJK>
0x475D=>0x79BD, # <CJK>
0x475E=>0x5BDD, # <CJK>
0x475F=>0x6C81, # <CJK>
0x4760=>0x9752, # <CJK>
0x4761=>0x8F7B, # <CJK>
0x4762=>0x6C22, # <CJK>
0x4763=>0x503E, # <CJK>
0x4764=>0x537F, # <CJK>
0x4765=>0x6E05, # <CJK>
0x4766=>0x64CE, # <CJK>
0x4767=>0x6674, # <CJK>
0x4768=>0x6C30, # <CJK>
0x4769=>0x60C5, # <CJK>
0x476A=>0x9877, # <CJK>
0x476B=>0x8BF7, # <CJK>
0x476C=>0x5E86, # <CJK>
0x476D=>0x743C, # <CJK>
0x476E=>0x7A77, # <CJK>
0x476F=>0x79CB, # <CJK>
0x4770=>0x4E18, # <CJK>
0x4771=>0x90B1, # <CJK>
0x4772=>0x7403, # <CJK>
0x4773=>0x6C42, # <CJK>
0x4774=>0x56DA, # <CJK>
0x4775=>0x914B, # <CJK>
0x4776=>0x6CC5, # <CJK>
0x4777=>0x8D8B, # <CJK>
0x4778=>0x533A, # <CJK>
0x4779=>0x86C6, # <CJK>
0x477A=>0x66F2, # <CJK>
0x477B=>0x8EAF, # <CJK>
0x477C=>0x5C48, # <CJK>
0x477D=>0x9A71, # <CJK>
0x477E=>0x6E20, # <CJK>
0x4821=>0x53D6, # <CJK>
0x4822=>0x5A36, # <CJK>
0x4823=>0x9F8B, # <CJK>
0x4824=>0x8DA3, # <CJK>
0x4825=>0x53BB, # <CJK>
0x4826=>0x5708, # <CJK>
0x4827=>0x98A7, # <CJK>
0x4828=>0x6743, # <CJK>
0x4829=>0x919B, # <CJK>
0x482A=>0x6CC9, # <CJK>
0x482B=>0x5168, # <CJK>
0x482C=>0x75CA, # <CJK>
0x482D=>0x62F3, # <CJK>
0x482E=>0x72AC, # <CJK>
0x482F=>0x5238, # <CJK>
0x4830=>0x529D, # <CJK>
0x4831=>0x7F3A, # <CJK>
0x4832=>0x7094, # <CJK>
0x4833=>0x7638, # <CJK>
0x4834=>0x5374, # <CJK>
0x4835=>0x9E4A, # <CJK>
0x4836=>0x69B7, # <CJK>
0x4837=>0x786E, # <CJK>
0x4838=>0x96C0, # <CJK>
0x4839=>0x88D9, # <CJK>
0x483A=>0x7FA4, # <CJK>
0x483B=>0x7136, # <CJK>
0x483C=>0x71C3, # <CJK>
0x483D=>0x5189, # <CJK>
0x483E=>0x67D3, # <CJK>
0x483F=>0x74E4, # <CJK>
0x4840=>0x58E4, # <CJK>
0x4841=>0x6518, # <CJK>
0x4842=>0x56B7, # <CJK>
0x4843=>0x8BA9, # <CJK>
0x4844=>0x9976, # <CJK>
0x4845=>0x6270, # <CJK>
0x4846=>0x7ED5, # <CJK>
0x4847=>0x60F9, # <CJK>
0x4848=>0x70ED, # <CJK>
0x4849=>0x58EC, # <CJK>
0x484A=>0x4EC1, # <CJK>
0x484B=>0x4EBA, # <CJK>
0x484C=>0x5FCD, # <CJK>
0x484D=>0x97E7, # <CJK>
0x484E=>0x4EFB, # <CJK>
0x484F=>0x8BA4, # <CJK>
0x4850=>0x5203, # <CJK>
0x4851=>0x598A, # <CJK>
0x4852=>0x7EAB, # <CJK>
0x4853=>0x6254, # <CJK>
0x4854=>0x4ECD, # <CJK>
0x4855=>0x65E5, # <CJK>
0x4856=>0x620E, # <CJK>
0x4857=>0x8338, # <CJK>
0x4858=>0x84C9, # <CJK>
0x4859=>0x8363, # <CJK>
0x485A=>0x878D, # <CJK>
0x485B=>0x7194, # <CJK>
0x485C=>0x6EB6, # <CJK>
0x485D=>0x5BB9, # <CJK>
0x485E=>0x7ED2, # <CJK>
0x485F=>0x5197, # <CJK>
0x4860=>0x63C9, # <CJK>
0x4861=>0x67D4, # <CJK>
0x4862=>0x8089, # <CJK>
0x4863=>0x8339, # <CJK>
0x4864=>0x8815, # <CJK>
0x4865=>0x5112, # <CJK>
0x4866=>0x5B7A, # <CJK>
0x4867=>0x5982, # <CJK>
0x4868=>0x8FB1, # <CJK>
0x4869=>0x4E73, # <CJK>
0x486A=>0x6C5D, # <CJK>
0x486B=>0x5165, # <CJK>
0x486C=>0x8925, # <CJK>
0x486D=>0x8F6F, # <CJK>
0x486E=>0x962E, # <CJK>
0x486F=>0x854A, # <CJK>
0x4870=>0x745E, # <CJK>
0x4871=>0x9510, # <CJK>
0x4872=>0x95F0, # <CJK>
0x4873=>0x6DA6, # <CJK>
0x4874=>0x82E5, # <CJK>
0x4875=>0x5F31, # <CJK>
0x4876=>0x6492, # <CJK>
0x4877=>0x6D12, # <CJK>
0x4878=>0x8428, # <CJK>
0x4879=>0x816E, # <CJK>
0x487A=>0x9CC3, # <CJK>
0x487B=>0x585E, # <CJK>
0x487C=>0x8D5B, # <CJK>
0x487D=>0x4E09, # <CJK>
0x487E=>0x53C1, # <CJK>
0x4921=>0x4F1E, # <CJK>
0x4922=>0x6563, # <CJK>
0x4923=>0x6851, # <CJK>
0x4924=>0x55D3, # <CJK>
0x4925=>0x4E27, # <CJK>
0x4926=>0x6414, # <CJK>
0x4927=>0x9A9A, # <CJK>
0x4928=>0x626B, # <CJK>
0x4929=>0x5AC2, # <CJK>
0x492A=>0x745F, # <CJK>
0x492B=>0x8272, # <CJK>
0x492C=>0x6DA9, # <CJK>
0x492D=>0x68EE, # <CJK>
0x492E=>0x50E7, # <CJK>
0x492F=>0x838E, # <CJK>
0x4930=>0x7802, # <CJK>
0x4931=>0x6740, # <CJK>
0x4932=>0x5239, # <CJK>
0x4933=>0x6C99, # <CJK>
0x4934=>0x7EB1, # <CJK>
0x4935=>0x50BB, # <CJK>
0x4936=>0x5565, # <CJK>
0x4937=>0x715E, # <CJK>
0x4938=>0x7B5B, # <CJK>
0x4939=>0x6652, # <CJK>
0x493A=>0x73CA, # <CJK>
0x493B=>0x82EB, # <CJK>
0x493C=>0x6749, # <CJK>
0x493D=>0x5C71, # <CJK>
0x493E=>0x5220, # <CJK>
0x493F=>0x717D, # <CJK>
0x4940=>0x886B, # <CJK>
0x4941=>0x95EA, # <CJK>
0x4942=>0x9655, # <CJK>
0x4943=>0x64C5, # <CJK>
0x4944=>0x8D61, # <CJK>
0x4945=>0x81B3, # <CJK>
0x4946=>0x5584, # <CJK>
0x4947=>0x6C55, # <CJK>
0x4948=>0x6247, # <CJK>
0x4949=>0x7F2E, # <CJK>
0x494A=>0x5892, # <CJK>
0x494B=>0x4F24, # <CJK>
0x494C=>0x5546, # <CJK>
0x494D=>0x8D4F, # <CJK>
0x494E=>0x664C, # <CJK>
0x494F=>0x4E0A, # <CJK>
0x4950=>0x5C1A, # <CJK>
0x4951=>0x88F3, # <CJK>
0x4952=>0x68A2, # <CJK>
0x4953=>0x634E, # <CJK>
0x4954=>0x7A0D, # <CJK>
0x4955=>0x70E7, # <CJK>
0x4956=>0x828D, # <CJK>
0x4957=>0x52FA, # <CJK>
0x4958=>0x97F6, # <CJK>
0x4959=>0x5C11, # <CJK>
0x495A=>0x54E8, # <CJK>
0x495B=>0x90B5, # <CJK>
0x495C=>0x7ECD, # <CJK>
0x495D=>0x5962, # <CJK>
0x495E=>0x8D4A, # <CJK>
0x495F=>0x86C7, # <CJK>
0x4960=>0x820C, # <CJK>
0x4961=>0x820D, # <CJK>
0x4962=>0x8D66, # <CJK>
0x4963=>0x6444, # <CJK>
0x4964=>0x5C04, # <CJK>
0x4965=>0x6151, # <CJK>
0x4966=>0x6D89, # <CJK>
0x4967=>0x793E, # <CJK>
0x4968=>0x8BBE, # <CJK>
0x4969=>0x7837, # <CJK>
0x496A=>0x7533, # <CJK>
0x496B=>0x547B, # <CJK>
0x496C=>0x4F38, # <CJK>
0x496D=>0x8EAB, # <CJK>
0x496E=>0x6DF1, # <CJK>
0x496F=>0x5A20, # <CJK>
0x4970=>0x7EC5, # <CJK>
0x4971=>0x795E, # <CJK>
0x4972=>0x6C88, # <CJK>
0x4973=>0x5BA1, # <CJK>
0x4974=>0x5A76, # <CJK>
0x4975=>0x751A, # <CJK>
0x4976=>0x80BE, # <CJK>
0x4977=>0x614E, # <CJK>
0x4978=>0x6E17, # <CJK>
0x4979=>0x58F0, # <CJK>
0x497A=>0x751F, # <CJK>
0x497B=>0x7525, # <CJK>
0x497C=>0x7272, # <CJK>
0x497D=>0x5347, # <CJK>
0x497E=>0x7EF3, # <CJK>
0x4A21=>0x7701, # <CJK>
0x4A22=>0x76DB, # <CJK>
0x4A23=>0x5269, # <CJK>
0x4A24=>0x80DC, # <CJK>
0x4A25=>0x5723, # <CJK>
0x4A26=>0x5E08, # <CJK>
0x4A27=>0x5931, # <CJK>
0x4A28=>0x72EE, # <CJK>
0x4A29=>0x65BD, # <CJK>
0x4A2A=>0x6E7F, # <CJK>
0x4A2B=>0x8BD7, # <CJK>
0x4A2C=>0x5C38, # <CJK>
0x4A2D=>0x8671, # <CJK>
0x4A2E=>0x5341, # <CJK>
0x4A2F=>0x77F3, # <CJK>
0x4A30=>0x62FE, # <CJK>
0x4A31=>0x65F6, # <CJK>
0x4A32=>0x4EC0, # <CJK>
0x4A33=>0x98DF, # <CJK>
0x4A34=>0x8680, # <CJK>
0x4A35=>0x5B9E, # <CJK>
0x4A36=>0x8BC6, # <CJK>
0x4A37=>0x53F2, # <CJK>
0x4A38=>0x77E2, # <CJK>
0x4A39=>0x4F7F, # <CJK>
0x4A3A=>0x5C4E, # <CJK>
0x4A3B=>0x9A76, # <CJK>
0x4A3C=>0x59CB, # <CJK>
0x4A3D=>0x5F0F, # <CJK>
0x4A3E=>0x793A, # <CJK>
0x4A3F=>0x58EB, # <CJK>
0x4A40=>0x4E16, # <CJK>
0x4A41=>0x67FF, # <CJK>
0x4A42=>0x4E8B, # <CJK>
0x4A43=>0x62ED, # <CJK>
0x4A44=>0x8A93, # <CJK>
0x4A45=>0x901D, # <CJK>
0x4A46=>0x52BF, # <CJK>
0x4A47=>0x662F, # <CJK>
0x4A48=>0x55DC, # <CJK>
0x4A49=>0x566C, # <CJK>
0x4A4A=>0x9002, # <CJK>
0x4A4B=>0x4ED5, # <CJK>
0x4A4C=>0x4F8D, # <CJK>
0x4A4D=>0x91CA, # <CJK>
0x4A4E=>0x9970, # <CJK>
0x4A4F=>0x6C0F, # <CJK>
0x4A50=>0x5E02, # <CJK>
0x4A51=>0x6043, # <CJK>
0x4A52=>0x5BA4, # <CJK>
0x4A53=>0x89C6, # <CJK>
0x4A54=>0x8BD5, # <CJK>
0x4A55=>0x6536, # <CJK>
0x4A56=>0x624B, # <CJK>
0x4A57=>0x9996, # <CJK>
0x4A58=>0x5B88, # <CJK>
0x4A59=>0x5BFF, # <CJK>
0x4A5A=>0x6388, # <CJK>
0x4A5B=>0x552E, # <CJK>
0x4A5C=>0x53D7, # <CJK>
0x4A5D=>0x7626, # <CJK>
0x4A5E=>0x517D, # <CJK>
0x4A5F=>0x852C, # <CJK>
0x4A60=>0x67A2, # <CJK>
0x4A61=>0x68B3, # <CJK>
0x4A62=>0x6B8A, # <CJK>
0x4A63=>0x6292, # <CJK>
0x4A64=>0x8F93, # <CJK>
0x4A65=>0x53D4, # <CJK>
0x4A66=>0x8212, # <CJK>
0x4A67=>0x6DD1, # <CJK>
0x4A68=>0x758F, # <CJK>
0x4A69=>0x4E66, # <CJK>
0x4A6A=>0x8D4E, # <CJK>
0x4A6B=>0x5B70, # <CJK>
0x4A6C=>0x719F, # <CJK>
0x4A6D=>0x85AF, # <CJK>
0x4A6E=>0x6691, # <CJK>
0x4A6F=>0x66D9, # <CJK>
0x4A70=>0x7F72, # <CJK>
0x4A71=>0x8700, # <CJK>
0x4A72=>0x9ECD, # <CJK>
0x4A73=>0x9F20, # <CJK>
0x4A74=>0x5C5E, # <CJK>
0x4A75=>0x672F, # <CJK>
0x4A76=>0x8FF0, # <CJK>
0x4A77=>0x6811, # <CJK>
0x4A78=>0x675F, # <CJK>
0x4A79=>0x620D, # <CJK>
0x4A7A=>0x7AD6, # <CJK>
0x4A7B=>0x5885, # <CJK>
0x4A7C=>0x5EB6, # <CJK>
0x4A7D=>0x6570, # <CJK>
0x4A7E=>0x6F31, # <CJK>
0x4B21=>0x6055, # <CJK>
0x4B22=>0x5237, # <CJK>
0x4B23=>0x800D, # <CJK>
0x4B24=>0x6454, # <CJK>
0x4B25=>0x8870, # <CJK>
0x4B26=>0x7529, # <CJK>
0x4B27=>0x5E05, # <CJK>
0x4B28=>0x6813, # <CJK>
0x4B29=>0x62F4, # <CJK>
0x4B2A=>0x971C, # <CJK>
0x4B2B=>0x53CC, # <CJK>
0x4B2C=>0x723D, # <CJK>
0x4B2D=>0x8C01, # <CJK>
0x4B2E=>0x6C34, # <CJK>
0x4B2F=>0x7761, # <CJK>
0x4B30=>0x7A0E, # <CJK>
0x4B31=>0x542E, # <CJK>
0x4B32=>0x77AC, # <CJK>
0x4B33=>0x987A, # <CJK>
0x4B34=>0x821C, # <CJK>
0x4B35=>0x8BF4, # <CJK>
0x4B36=>0x7855, # <CJK>
0x4B37=>0x6714, # <CJK>
0x4B38=>0x70C1, # <CJK>
0x4B39=>0x65AF, # <CJK>
0x4B3A=>0x6495, # <CJK>
0x4B3B=>0x5636, # <CJK>
0x4B3C=>0x601D, # <CJK>
0x4B3D=>0x79C1, # <CJK>
0x4B3E=>0x53F8, # <CJK>
0x4B3F=>0x4E1D, # <CJK>
0x4B40=>0x6B7B, # <CJK>
0x4B41=>0x8086, # <CJK>
0x4B42=>0x5BFA, # <CJK>
0x4B43=>0x55E3, # <CJK>
0x4B44=>0x56DB, # <CJK>
0x4B45=>0x4F3A, # <CJK>
0x4B46=>0x4F3C, # <CJK>
0x4B47=>0x9972, # <CJK>
0x4B48=>0x5DF3, # <CJK>
0x4B49=>0x677E, # <CJK>
0x4B4A=>0x8038, # <CJK>
0x4B4B=>0x6002, # <CJK>
0x4B4C=>0x9882, # <CJK>
0x4B4D=>0x9001, # <CJK>
0x4B4E=>0x5B8B, # <CJK>
0x4B4F=>0x8BBC, # <CJK>
0x4B50=>0x8BF5, # <CJK>
0x4B51=>0x641C, # <CJK>
0x4B52=>0x8258, # <CJK>
0x4B53=>0x64DE, # <CJK>
0x4B54=>0x55FD, # <CJK>
0x4B55=>0x82CF, # <CJK>
0x4B56=>0x9165, # <CJK>
0x4B57=>0x4FD7, # <CJK>
0x4B58=>0x7D20, # <CJK>
0x4B59=>0x901F, # <CJK>
0x4B5A=>0x7C9F, # <CJK>
0x4B5B=>0x50F3, # <CJK>
0x4B5C=>0x5851, # <CJK>
0x4B5D=>0x6EAF, # <CJK>
0x4B5E=>0x5BBF, # <CJK>
0x4B5F=>0x8BC9, # <CJK>
0x4B60=>0x8083, # <CJK>
0x4B61=>0x9178, # <CJK>
0x4B62=>0x849C, # <CJK>
0x4B63=>0x7B97, # <CJK>
0x4B64=>0x867D, # <CJK>
0x4B65=>0x968B, # <CJK>
0x4B66=>0x968F, # <CJK>
0x4B67=>0x7EE5, # <CJK>
0x4B68=>0x9AD3, # <CJK>
0x4B69=>0x788E, # <CJK>
0x4B6A=>0x5C81, # <CJK>
0x4B6B=>0x7A57, # <CJK>
0x4B6C=>0x9042, # <CJK>
0x4B6D=>0x96A7, # <CJK>
0x4B6E=>0x795F, # <CJK>
0x4B6F=>0x5B59, # <CJK>
0x4B70=>0x635F, # <CJK>
0x4B71=>0x7B0B, # <CJK>
0x4B72=>0x84D1, # <CJK>
0x4B73=>0x68AD, # <CJK>
0x4B74=>0x5506, # <CJK>
0x4B75=>0x7F29, # <CJK>
0x4B76=>0x7410, # <CJK>
0x4B77=>0x7D22, # <CJK>
0x4B78=>0x9501, # <CJK>
0x4B79=>0x6240, # <CJK>
0x4B7A=>0x584C, # <CJK>
0x4B7B=>0x4ED6, # <CJK>
0x4B7C=>0x5B83, # <CJK>
0x4B7D=>0x5979, # <CJK>
0x4B7E=>0x5854, # <CJK>
0x4C21=>0x736D, # <CJK>
0x4C22=>0x631E, # <CJK>
0x4C23=>0x8E4B, # <CJK>
0x4C24=>0x8E0F, # <CJK>
0x4C25=>0x80CE, # <CJK>
0x4C26=>0x82D4, # <CJK>
0x4C27=>0x62AC, # <CJK>
0x4C28=>0x53F0, # <CJK>
0x4C29=>0x6CF0, # <CJK>
0x4C2A=>0x915E, # <CJK>
0x4C2B=>0x592A, # <CJK>
0x4C2C=>0x6001, # <CJK>
0x4C2D=>0x6C70, # <CJK>
0x4C2E=>0x574D, # <CJK>
0x4C2F=>0x644A, # <CJK>
0x4C30=>0x8D2A, # <CJK>
0x4C31=>0x762B, # <CJK>
0x4C32=>0x6EE9, # <CJK>
0x4C33=>0x575B, # <CJK>
0x4C34=>0x6A80, # <CJK>
0x4C35=>0x75F0, # <CJK>
0x4C36=>0x6F6D, # <CJK>
0x4C37=>0x8C2D, # <CJK>
0x4C38=>0x8C08, # <CJK>
0x4C39=>0x5766, # <CJK>
0x4C3A=>0x6BEF, # <CJK>
0x4C3B=>0x8892, # <CJK>
0x4C3C=>0x78B3, # <CJK>
0x4C3D=>0x63A2, # <CJK>
0x4C3E=>0x53F9, # <CJK>
0x4C3F=>0x70AD, # <CJK>
0x4C40=>0x6C64, # <CJK>
0x4C41=>0x5858, # <CJK>
0x4C42=>0x642A, # <CJK>
0x4C43=>0x5802, # <CJK>
0x4C44=>0x68E0, # <CJK>
0x4C45=>0x819B, # <CJK>
0x4C46=>0x5510, # <CJK>
0x4C47=>0x7CD6, # <CJK>
0x4C48=>0x5018, # <CJK>
0x4C49=>0x8EBA, # <CJK>
0x4C4A=>0x6DCC, # <CJK>
0x4C4B=>0x8D9F, # <CJK>
0x4C4C=>0x70EB, # <CJK>
0x4C4D=>0x638F, # <CJK>
0x4C4E=>0x6D9B, # <CJK>
0x4C4F=>0x6ED4, # <CJK>
0x4C50=>0x7EE6, # <CJK>
0x4C51=>0x8404, # <CJK>
0x4C52=>0x6843, # <CJK>
0x4C53=>0x9003, # <CJK>
0x4C54=>0x6DD8, # <CJK>
0x4C55=>0x9676, # <CJK>
0x4C56=>0x8BA8, # <CJK>
0x4C57=>0x5957, # <CJK>
0x4C58=>0x7279, # <CJK>
0x4C59=>0x85E4, # <CJK>
0x4C5A=>0x817E, # <CJK>
0x4C5B=>0x75BC, # <CJK>
0x4C5C=>0x8A8A, # <CJK>
0x4C5D=>0x68AF, # <CJK>
0x4C5E=>0x5254, # <CJK>
0x4C5F=>0x8E22, # <CJK>
0x4C60=>0x9511, # <CJK>
0x4C61=>0x63D0, # <CJK>
0x4C62=>0x9898, # <CJK>
0x4C63=>0x8E44, # <CJK>
0x4C64=>0x557C, # <CJK>
0x4C65=>0x4F53, # <CJK>
0x4C66=>0x66FF, # <CJK>
0x4C67=>0x568F, # <CJK>
0x4C68=>0x60D5, # <CJK>
0x4C69=>0x6D95, # <CJK>
0x4C6A=>0x5243, # <CJK>
0x4C6B=>0x5C49, # <CJK>
0x4C6C=>0x5929, # <CJK>
0x4C6D=>0x6DFB, # <CJK>
0x4C6E=>0x586B, # <CJK>
0x4C6F=>0x7530, # <CJK>
0x4C70=>0x751C, # <CJK>
0x4C71=>0x606C, # <CJK>
0x4C72=>0x8214, # <CJK>
0x4C73=>0x8146, # <CJK>
0x4C74=>0x6311, # <CJK>
0x4C75=>0x6761, # <CJK>
0x4C76=>0x8FE2, # <CJK>
0x4C77=>0x773A, # <CJK>
0x4C78=>0x8DF3, # <CJK>
0x4C79=>0x8D34, # <CJK>
0x4C7A=>0x94C1, # <CJK>
0x4C7B=>0x5E16, # <CJK>
0x4C7C=>0x5385, # <CJK>
0x4C7D=>0x542C, # <CJK>
0x4C7E=>0x70C3, # <CJK>
0x4D21=>0x6C40, # <CJK>
0x4D22=>0x5EF7, # <CJK>
0x4D23=>0x505C, # <CJK>
0x4D24=>0x4EAD, # <CJK>
0x4D25=>0x5EAD, # <CJK>
0x4D26=>0x633A, # <CJK>
0x4D27=>0x8247, # <CJK>
0x4D28=>0x901A, # <CJK>
0x4D29=>0x6850, # <CJK>
0x4D2A=>0x916E, # <CJK>
0x4D2B=>0x77B3, # <CJK>
0x4D2C=>0x540C, # <CJK>
0x4D2D=>0x94DC, # <CJK>
0x4D2E=>0x5F64, # <CJK>
0x4D2F=>0x7AE5, # <CJK>
0x4D30=>0x6876, # <CJK>
0x4D31=>0x6345, # <CJK>
0x4D32=>0x7B52, # <CJK>
0x4D33=>0x7EDF, # <CJK>
0x4D34=>0x75DB, # <CJK>
0x4D35=>0x5077, # <CJK>
0x4D36=>0x6295, # <CJK>
0x4D37=>0x5934, # <CJK>
0x4D38=>0x900F, # <CJK>
0x4D39=>0x51F8, # <CJK>
0x4D3A=>0x79C3, # <CJK>
0x4D3B=>0x7A81, # <CJK>
0x4D3C=>0x56FE, # <CJK>
0x4D3D=>0x5F92, # <CJK>
0x4D3E=>0x9014, # <CJK>
0x4D3F=>0x6D82, # <CJK>
0x4D40=>0x5C60, # <CJK>
0x4D41=>0x571F, # <CJK>
0x4D42=>0x5410, # <CJK>
0x4D43=>0x5154, # <CJK>
0x4D44=>0x6E4D, # <CJK>
0x4D45=>0x56E2, # <CJK>
0x4D46=>0x63A8, # <CJK>
0x4D47=>0x9893, # <CJK>
0x4D48=>0x817F, # <CJK>
0x4D49=>0x8715, # <CJK>
0x4D4A=>0x892A, # <CJK>
0x4D4B=>0x9000, # <CJK>
0x4D4C=>0x541E, # <CJK>
0x4D4D=>0x5C6F, # <CJK>
0x4D4E=>0x81C0, # <CJK>
0x4D4F=>0x62D6, # <CJK>
0x4D50=>0x6258, # <CJK>
0x4D51=>0x8131, # <CJK>
0x4D52=>0x9E35, # <CJK>
0x4D53=>0x9640, # <CJK>
0x4D54=>0x9A6E, # <CJK>
0x4D55=>0x9A7C, # <CJK>
0x4D56=>0x692D, # <CJK>
0x4D57=>0x59A5, # <CJK>
0x4D58=>0x62D3, # <CJK>
0x4D59=>0x553E, # <CJK>
0x4D5A=>0x6316, # <CJK>
0x4D5B=>0x54C7, # <CJK>
0x4D5C=>0x86D9, # <CJK>
0x4D5D=>0x6D3C, # <CJK>
0x4D5E=>0x5A03, # <CJK>
0x4D5F=>0x74E6, # <CJK>
0x4D60=>0x889C, # <CJK>
0x4D61=>0x6B6A, # <CJK>
0x4D62=>0x5916, # <CJK>
0x4D63=>0x8C4C, # <CJK>
0x4D64=>0x5F2F, # <CJK>
0x4D65=>0x6E7E, # <CJK>
0x4D66=>0x73A9, # <CJK>
0x4D67=>0x987D, # <CJK>
0x4D68=>0x4E38, # <CJK>
0x4D69=>0x70F7, # <CJK>
0x4D6A=>0x5B8C, # <CJK>
0x4D6B=>0x7897, # <CJK>
0x4D6C=>0x633D, # <CJK>
0x4D6D=>0x665A, # <CJK>
0x4D6E=>0x7696, # <CJK>
0x4D6F=>0x60CB, # <CJK>
0x4D70=>0x5B9B, # <CJK>
0x4D71=>0x5A49, # <CJK>
0x4D72=>0x4E07, # <CJK>
0x4D73=>0x8155, # <CJK>
0x4D74=>0x6C6A, # <CJK>
0x4D75=>0x738B, # <CJK>
0x4D76=>0x4EA1, # <CJK>
0x4D77=>0x6789, # <CJK>
0x4D78=>0x7F51, # <CJK>
0x4D79=>0x5F80, # <CJK>
0x4D7A=>0x65FA, # <CJK>
0x4D7B=>0x671B, # <CJK>
0x4D7C=>0x5FD8, # <CJK>
0x4D7D=>0x5984, # <CJK>
0x4D7E=>0x5A01, # <CJK>
0x4E21=>0x5DCD, # <CJK>
0x4E22=>0x5FAE, # <CJK>
0x4E23=>0x5371, # <CJK>
0x4E24=>0x97E6, # <CJK>
0x4E25=>0x8FDD, # <CJK>
0x4E26=>0x6845, # <CJK>
0x4E27=>0x56F4, # <CJK>
0x4E28=>0x552F, # <CJK>
0x4E29=>0x60DF, # <CJK>
0x4E2A=>0x4E3A, # <CJK>
0x4E2B=>0x6F4D, # <CJK>
0x4E2C=>0x7EF4, # <CJK>
0x4E2D=>0x82C7, # <CJK>
0x4E2E=>0x840E, # <CJK>
0x4E2F=>0x59D4, # <CJK>
0x4E30=>0x4F1F, # <CJK>
0x4E31=>0x4F2A, # <CJK>
0x4E32=>0x5C3E, # <CJK>
0x4E33=>0x7EAC, # <CJK>
0x4E34=>0x672A, # <CJK>
0x4E35=>0x851A, # <CJK>
0x4E36=>0x5473, # <CJK>
0x4E37=>0x754F, # <CJK>
0x4E38=>0x80C3, # <CJK>
0x4E39=>0x5582, # <CJK>
0x4E3A=>0x9B4F, # <CJK>
0x4E3B=>0x4F4D, # <CJK>
0x4E3C=>0x6E2D, # <CJK>
0x4E3D=>0x8C13, # <CJK>
0x4E3E=>0x5C09, # <CJK>
0x4E3F=>0x6170, # <CJK>
0x4E40=>0x536B, # <CJK>
0x4E41=>0x761F, # <CJK>
0x4E42=>0x6E29, # <CJK>
0x4E43=>0x868A, # <CJK>
0x4E44=>0x6587, # <CJK>
0x4E45=>0x95FB, # <CJK>
0x4E46=>0x7EB9, # <CJK>
0x4E47=>0x543B, # <CJK>
0x4E48=>0x7A33, # <CJK>
0x4E49=>0x7D0A, # <CJK>
0x4E4A=>0x95EE, # <CJK>
0x4E4B=>0x55E1, # <CJK>
0x4E4C=>0x7FC1, # <CJK>
0x4E4D=>0x74EE, # <CJK>
0x4E4E=>0x631D, # <CJK>
0x4E4F=>0x8717, # <CJK>
0x4E50=>0x6DA1, # <CJK>
0x4E51=>0x7A9D, # <CJK>
0x4E52=>0x6211, # <CJK>
0x4E53=>0x65A1, # <CJK>
0x4E54=>0x5367, # <CJK>
0x4E55=>0x63E1, # <CJK>
0x4E56=>0x6C83, # <CJK>
0x4E57=>0x5DEB, # <CJK>
0x4E58=>0x545C, # <CJK>
0x4E59=>0x94A8, # <CJK>
0x4E5A=>0x4E4C, # <CJK>
0x4E5B=>0x6C61, # <CJK>
0x4E5C=>0x8BEC, # <CJK>
0x4E5D=>0x5C4B, # <CJK>
0x4E5E=>0x65E0, # <CJK>
0x4E5F=>0x829C, # <CJK>
0x4E60=>0x68A7, # <CJK>
0x4E61=>0x543E, # <CJK>
0x4E62=>0x5434, # <CJK>
0x4E63=>0x6BCB, # <CJK>
0x4E64=>0x6B66, # <CJK>
0x4E65=>0x4E94, # <CJK>
0x4E66=>0x6342, # <CJK>
0x4E67=>0x5348, # <CJK>
0x4E68=>0x821E, # <CJK>
0x4E69=>0x4F0D, # <CJK>
0x4E6A=>0x4FAE, # <CJK>
0x4E6B=>0x575E, # <CJK>
0x4E6C=>0x620A, # <CJK>
0x4E6D=>0x96FE, # <CJK>
0x4E6E=>0x6664, # <CJK>
0x4E6F=>0x7269, # <CJK>
0x4E70=>0x52FF, # <CJK>
0x4E71=>0x52A1, # <CJK>
0x4E72=>0x609F, # <CJK>
0x4E73=>0x8BEF, # <CJK>
0x4E74=>0x6614, # <CJK>
0x4E75=>0x7199, # <CJK>
0x4E76=>0x6790, # <CJK>
0x4E77=>0x897F, # <CJK>
0x4E78=>0x7852, # <CJK>
0x4E79=>0x77FD, # <CJK>
0x4E7A=>0x6670, # <CJK>
0x4E7B=>0x563B, # <CJK>
0x4E7C=>0x5438, # <CJK>
0x4E7D=>0x9521, # <CJK>
0x4E7E=>0x727A, # <CJK>
0x4F21=>0x7A00, # <CJK>
0x4F22=>0x606F, # <CJK>
0x4F23=>0x5E0C, # <CJK>
0x4F24=>0x6089, # <CJK>
0x4F25=>0x819D, # <CJK>
0x4F26=>0x5915, # <CJK>
0x4F27=>0x60DC, # <CJK>
0x4F28=>0x7184, # <CJK>
0x4F29=>0x70EF, # <CJK>
0x4F2A=>0x6EAA, # <CJK>
0x4F2B=>0x6C50, # <CJK>
0x4F2C=>0x7280, # <CJK>
0x4F2D=>0x6A84, # <CJK>
0x4F2E=>0x88AD, # <CJK>
0x4F2F=>0x5E2D, # <CJK>
0x4F30=>0x4E60, # <CJK>
0x4F31=>0x5AB3, # <CJK>
0x4F32=>0x559C, # <CJK>
0x4F33=>0x94E3, # <CJK>
0x4F34=>0x6D17, # <CJK>
0x4F35=>0x7CFB, # <CJK>
0x4F36=>0x9699, # <CJK>
0x4F37=>0x620F, # <CJK>
0x4F38=>0x7EC6, # <CJK>
0x4F39=>0x778E, # <CJK>
0x4F3A=>0x867E, # <CJK>
0x4F3B=>0x5323, # <CJK>
0x4F3C=>0x971E, # <CJK>
0x4F3D=>0x8F96, # <CJK>
0x4F3E=>0x6687, # <CJK>
0x4F3F=>0x5CE1, # <CJK>
0x4F40=>0x4FA0, # <CJK>
0x4F41=>0x72ED, # <CJK>
0x4F42=>0x4E0B, # <CJK>
0x4F43=>0x53A6, # <CJK>
0x4F44=>0x590F, # <CJK>
0x4F45=>0x5413, # <CJK>
0x4F46=>0x6380, # <CJK>
0x4F47=>0x9528, # <CJK>
0x4F48=>0x5148, # <CJK>
0x4F49=>0x4ED9, # <CJK>
0x4F4A=>0x9C9C, # <CJK>
0x4F4B=>0x7EA4, # <CJK>
0x4F4C=>0x54B8, # <CJK>
0x4F4D=>0x8D24, # <CJK>
0x4F4E=>0x8854, # <CJK>
0x4F4F=>0x8237, # <CJK>
0x4F50=>0x95F2, # <CJK>
0x4F51=>0x6D8E, # <CJK>
0x4F52=>0x5F26, # <CJK>
0x4F53=>0x5ACC, # <CJK>
0x4F54=>0x663E, # <CJK>
0x4F55=>0x9669, # <CJK>
0x4F56=>0x73B0, # <CJK>
0x4F57=>0x732E, # <CJK>
0x4F58=>0x53BF, # <CJK>
0x4F59=>0x817A, # <CJK>
0x4F5A=>0x9985, # <CJK>
0x4F5B=>0x7FA1, # <CJK>
0x4F5C=>0x5BAA, # <CJK>
0x4F5D=>0x9677, # <CJK>
0x4F5E=>0x9650, # <CJK>
0x4F5F=>0x7EBF, # <CJK>
0x4F60=>0x76F8, # <CJK>
0x4F61=>0x53A2, # <CJK>
0x4F62=>0x9576, # <CJK>
0x4F63=>0x9999, # <CJK>
0x4F64=>0x7BB1, # <CJK>
0x4F65=>0x8944, # <CJK>
0x4F66=>0x6E58, # <CJK>
0x4F67=>0x4E61, # <CJK>
0x4F68=>0x7FD4, # <CJK>
0x4F69=>0x7965, # <CJK>
0x4F6A=>0x8BE6, # <CJK>
0x4F6B=>0x60F3, # <CJK>
0x4F6C=>0x54CD, # <CJK>
0x4F6D=>0x4EAB, # <CJK>
0x4F6E=>0x9879, # <CJK>
0x4F6F=>0x5DF7, # <CJK>
0x4F70=>0x6A61, # <CJK>
0x4F71=>0x50CF, # <CJK>
0x4F72=>0x5411, # <CJK>
0x4F73=>0x8C61, # <CJK>
0x4F74=>0x8427, # <CJK>
0x4F75=>0x785D, # <CJK>
0x4F76=>0x9704, # <CJK>
0x4F77=>0x524A, # <CJK>
0x4F78=>0x54EE, # <CJK>
0x4F79=>0x56A3, # <CJK>
0x4F7A=>0x9500, # <CJK>
0x4F7B=>0x6D88, # <CJK>
0x4F7C=>0x5BB5, # <CJK>
0x4F7D=>0x6DC6, # <CJK>
0x4F7E=>0x6653, # <CJK>
0x5021=>0x5C0F, # <CJK>
0x5022=>0x5B5D, # <CJK>
0x5023=>0x6821, # <CJK>
0x5024=>0x8096, # <CJK>
0x5025=>0x5578, # <CJK>
0x5026=>0x7B11, # <CJK>
0x5027=>0x6548, # <CJK>
0x5028=>0x6954, # <CJK>
0x5029=>0x4E9B, # <CJK>
0x502A=>0x6B47, # <CJK>
0x502B=>0x874E, # <CJK>
0x502C=>0x978B, # <CJK>
0x502D=>0x534F, # <CJK>
0x502E=>0x631F, # <CJK>
0x502F=>0x643A, # <CJK>
0x5030=>0x90AA, # <CJK>
0x5031=>0x659C, # <CJK>
0x5032=>0x80C1, # <CJK>
0x5033=>0x8C10, # <CJK>
0x5034=>0x5199, # <CJK>
0x5035=>0x68B0, # <CJK>
0x5036=>0x5378, # <CJK>
0x5037=>0x87F9, # <CJK>
0x5038=>0x61C8, # <CJK>
0x5039=>0x6CC4, # <CJK>
0x503A=>0x6CFB, # <CJK>
0x503B=>0x8C22, # <CJK>
0x503C=>0x5C51, # <CJK>
0x503D=>0x85AA, # <CJK>
0x503E=>0x82AF, # <CJK>
0x503F=>0x950C, # <CJK>
0x5040=>0x6B23, # <CJK>
0x5041=>0x8F9B, # <CJK>
0x5042=>0x65B0, # <CJK>
0x5043=>0x5FFB, # <CJK>
0x5044=>0x5FC3, # <CJK>
0x5045=>0x4FE1, # <CJK>
0x5046=>0x8845, # <CJK>
0x5047=>0x661F, # <CJK>
0x5048=>0x8165, # <CJK>
0x5049=>0x7329, # <CJK>
0x504A=>0x60FA, # <CJK>
0x504B=>0x5174, # <CJK>
0x504C=>0x5211, # <CJK>
0x504D=>0x578B, # <CJK>
0x504E=>0x5F62, # <CJK>
0x504F=>0x90A2, # <CJK>
0x5050=>0x884C, # <CJK>
0x5051=>0x9192, # <CJK>
0x5052=>0x5E78, # <CJK>
0x5053=>0x674F, # <CJK>
0x5054=>0x6027, # <CJK>
0x5055=>0x59D3, # <CJK>
0x5056=>0x5144, # <CJK>
0x5057=>0x51F6, # <CJK>
0x5058=>0x80F8, # <CJK>
0x5059=>0x5308, # <CJK>
0x505A=>0x6C79, # <CJK>
0x505B=>0x96C4, # <CJK>
0x505C=>0x718A, # <CJK>
0x505D=>0x4F11, # <CJK>
0x505E=>0x4FEE, # <CJK>
0x505F=>0x7F9E, # <CJK>
0x5060=>0x673D, # <CJK>
0x5061=>0x55C5, # <CJK>
0x5062=>0x9508, # <CJK>
0x5063=>0x79C0, # <CJK>
0x5064=>0x8896, # <CJK>
0x5065=>0x7EE3, # <CJK>
0x5066=>0x589F, # <CJK>
0x5067=>0x620C, # <CJK>
0x5068=>0x9700, # <CJK>
0x5069=>0x865A, # <CJK>
0x506A=>0x5618, # <CJK>
0x506B=>0x987B, # <CJK>
0x506C=>0x5F90, # <CJK>
0x506D=>0x8BB8, # <CJK>
0x506E=>0x84C4, # <CJK>
0x506F=>0x9157, # <CJK>
0x5070=>0x53D9, # <CJK>
0x5071=>0x65ED, # <CJK>
0x5072=>0x5E8F, # <CJK>
0x5073=>0x755C, # <CJK>
0x5074=>0x6064, # <CJK>
0x5075=>0x7D6E, # <CJK>
0x5076=>0x5A7F, # <CJK>
0x5077=>0x7EEA, # <CJK>
0x5078=>0x7EED, # <CJK>
0x5079=>0x8F69, # <CJK>
0x507A=>0x55A7, # <CJK>
0x507B=>0x5BA3, # <CJK>
0x507C=>0x60AC, # <CJK>
0x507D=>0x65CB, # <CJK>
0x507E=>0x7384, # <CJK>
0x5121=>0x9009, # <CJK>
0x5122=>0x7663, # <CJK>
0x5123=>0x7729, # <CJK>
0x5124=>0x7EDA, # <CJK>
0x5125=>0x9774, # <CJK>
0x5126=>0x859B, # <CJK>
0x5127=>0x5B66, # <CJK>
0x5128=>0x7A74, # <CJK>
0x5129=>0x96EA, # <CJK>
0x512A=>0x8840, # <CJK>
0x512B=>0x52CB, # <CJK>
0x512C=>0x718F, # <CJK>
0x512D=>0x5FAA, # <CJK>
0x512E=>0x65EC, # <CJK>
0x512F=>0x8BE2, # <CJK>
0x5130=>0x5BFB, # <CJK>
0x5131=>0x9A6F, # <CJK>
0x5132=>0x5DE1, # <CJK>
0x5133=>0x6B89, # <CJK>
0x5134=>0x6C5B, # <CJK>
0x5135=>0x8BAD, # <CJK>
0x5136=>0x8BAF, # <CJK>
0x5137=>0x900A, # <CJK>
0x5138=>0x8FC5, # <CJK>
0x5139=>0x538B, # <CJK>
0x513A=>0x62BC, # <CJK>
0x513B=>0x9E26, # <CJK>
0x513C=>0x9E2D, # <CJK>
0x513D=>0x5440, # <CJK>
0x513E=>0x4E2B, # <CJK>
0x513F=>0x82BD, # <CJK>
0x5140=>0x7259, # <CJK>
0x5141=>0x869C, # <CJK>
0x5142=>0x5D16, # <CJK>
0x5143=>0x8859, # <CJK>
0x5144=>0x6DAF, # <CJK>
0x5145=>0x96C5, # <CJK>
0x5146=>0x54D1, # <CJK>
0x5147=>0x4E9A, # <CJK>
0x5148=>0x8BB6, # <CJK>
0x5149=>0x7109, # <CJK>
0x514A=>0x54BD, # <CJK>
0x514B=>0x9609, # <CJK>
0x514C=>0x70DF, # <CJK>
0x514D=>0x6DF9, # <CJK>
0x514E=>0x76D0, # <CJK>
0x514F=>0x4E25, # <CJK>
0x5150=>0x7814, # <CJK>
0x5151=>0x8712, # <CJK>
0x5152=>0x5CA9, # <CJK>
0x5153=>0x5EF6, # <CJK>
0x5154=>0x8A00, # <CJK>
0x5155=>0x989C, # <CJK>
0x5156=>0x960E, # <CJK>
0x5157=>0x708E, # <CJK>
0x5158=>0x6CBF, # <CJK>
0x5159=>0x5944, # <CJK>
0x515A=>0x63A9, # <CJK>
0x515B=>0x773C, # <CJK>
0x515C=>0x884D, # <CJK>
0x515D=>0x6F14, # <CJK>
0x515E=>0x8273, # <CJK>
0x515F=>0x5830, # <CJK>
0x5160=>0x71D5, # <CJK>
0x5161=>0x538C, # <CJK>
0x5162=>0x781A, # <CJK>
0x5163=>0x96C1, # <CJK>
0x5164=>0x5501, # <CJK>
0x5165=>0x5F66, # <CJK>
0x5166=>0x7130, # <CJK>
0x5167=>0x5BB4, # <CJK>
0x5168=>0x8C1A, # <CJK>
0x5169=>0x9A8C, # <CJK>
0x516A=>0x6B83, # <CJK>
0x516B=>0x592E, # <CJK>
0x516C=>0x9E2F, # <CJK>
0x516D=>0x79E7, # <CJK>
0x516E=>0x6768, # <CJK>
0x516F=>0x626C, # <CJK>
0x5170=>0x4F6F, # <CJK>
0x5171=>0x75A1, # <CJK>
0x5172=>0x7F8A, # <CJK>
0x5173=>0x6D0B, # <CJK>
0x5174=>0x9633, # <CJK>
0x5175=>0x6C27, # <CJK>
0x5176=>0x4EF0, # <CJK>
0x5177=>0x75D2, # <CJK>
0x5178=>0x517B, # <CJK>
0x5179=>0x6837, # <CJK>
0x517A=>0x6F3E, # <CJK>
0x517B=>0x9080, # <CJK>
0x517C=>0x8170, # <CJK>
0x517D=>0x5996, # <CJK>
0x517E=>0x7476, # <CJK>
0x5221=>0x6447, # <CJK>
0x5222=>0x5C27, # <CJK>
0x5223=>0x9065, # <CJK>
0x5224=>0x7A91, # <CJK>
0x5225=>0x8C23, # <CJK>
0x5226=>0x59DA, # <CJK>
0x5227=>0x54AC, # <CJK>
0x5228=>0x8200, # <CJK>
0x5229=>0x836F, # <CJK>
0x522A=>0x8981, # <CJK>
0x522B=>0x8000, # <CJK>
0x522C=>0x6930, # <CJK>
0x522D=>0x564E, # <CJK>
0x522E=>0x8036, # <CJK>
0x522F=>0x7237, # <CJK>
0x5230=>0x91CE, # <CJK>
0x5231=>0x51B6, # <CJK>
0x5232=>0x4E5F, # <CJK>
0x5233=>0x9875, # <CJK>
0x5234=>0x6396, # <CJK>
0x5235=>0x4E1A, # <CJK>
0x5236=>0x53F6, # <CJK>
0x5237=>0x66F3, # <CJK>
0x5238=>0x814B, # <CJK>
0x5239=>0x591C, # <CJK>
0x523A=>0x6DB2, # <CJK>
0x523B=>0x4E00, # <CJK>
0x523C=>0x58F9, # <CJK>
0x523D=>0x533B, # <CJK>
0x523E=>0x63D6, # <CJK>
0x523F=>0x94F1, # <CJK>
0x5240=>0x4F9D, # <CJK>
0x5241=>0x4F0A, # <CJK>
0x5242=>0x8863, # <CJK>
0x5243=>0x9890, # <CJK>
0x5244=>0x5937, # <CJK>
0x5245=>0x9057, # <CJK>
0x5246=>0x79FB, # <CJK>
0x5247=>0x4EEA, # <CJK>
0x5248=>0x80F0, # <CJK>
0x5249=>0x7591, # <CJK>
0x524A=>0x6C82, # <CJK>
0x524B=>0x5B9C, # <CJK>
0x524C=>0x59E8, # <CJK>
0x524D=>0x5F5D, # <CJK>
0x524E=>0x6905, # <CJK>
0x524F=>0x8681, # <CJK>
0x5250=>0x501A, # <CJK>
0x5251=>0x5DF2, # <CJK>
0x5252=>0x4E59, # <CJK>
0x5253=>0x77E3, # <CJK>
0x5254=>0x4EE5, # <CJK>
0x5255=>0x827A, # <CJK>
0x5256=>0x6291, # <CJK>
0x5257=>0x6613, # <CJK>
0x5258=>0x9091, # <CJK>
0x5259=>0x5C79, # <CJK>
0x525A=>0x4EBF, # <CJK>
0x525B=>0x5F79, # <CJK>
0x525C=>0x81C6, # <CJK>
0x525D=>0x9038, # <CJK>
0x525E=>0x8084, # <CJK>
0x525F=>0x75AB, # <CJK>
0x5260=>0x4EA6, # <CJK>
0x5261=>0x88D4, # <CJK>
0x5262=>0x610F, # <CJK>
0x5263=>0x6BC5, # <CJK>
0x5264=>0x5FC6, # <CJK>
0x5265=>0x4E49, # <CJK>
0x5266=>0x76CA, # <CJK>
0x5267=>0x6EA2, # <CJK>
0x5268=>0x8BE3, # <CJK>
0x5269=>0x8BAE, # <CJK>
0x526A=>0x8C0A, # <CJK>
0x526B=>0x8BD1, # <CJK>
0x526C=>0x5F02, # <CJK>
0x526D=>0x7FFC, # <CJK>
0x526E=>0x7FCC, # <CJK>
0x526F=>0x7ECE, # <CJK>
0x5270=>0x8335, # <CJK>
0x5271=>0x836B, # <CJK>
0x5272=>0x56E0, # <CJK>
0x5273=>0x6BB7, # <CJK>
0x5274=>0x97F3, # <CJK>
0x5275=>0x9634, # <CJK>
0x5276=>0x59FB, # <CJK>
0x5277=>0x541F, # <CJK>
0x5278=>0x94F6, # <CJK>
0x5279=>0x6DEB, # <CJK>
0x527A=>0x5BC5, # <CJK>
0x527B=>0x996E, # <CJK>
0x527C=>0x5C39, # <CJK>
0x527D=>0x5F15, # <CJK>
0x527E=>0x9690, # <CJK>
0x5321=>0x5370, # <CJK>
0x5322=>0x82F1, # <CJK>
0x5323=>0x6A31, # <CJK>
0x5324=>0x5A74, # <CJK>
0x5325=>0x9E70, # <CJK>
0x5326=>0x5E94, # <CJK>
0x5327=>0x7F28, # <CJK>
0x5328=>0x83B9, # <CJK>
0x5329=>0x8424, # <CJK>
0x532A=>0x8425, # <CJK>
0x532B=>0x8367, # <CJK>
0x532C=>0x8747, # <CJK>
0x532D=>0x8FCE, # <CJK>
0x532E=>0x8D62, # <CJK>
0x532F=>0x76C8, # <CJK>
0x5330=>0x5F71, # <CJK>
0x5331=>0x9896, # <CJK>
0x5332=>0x786C, # <CJK>
0x5333=>0x6620, # <CJK>
0x5334=>0x54DF, # <CJK>
0x5335=>0x62E5, # <CJK>
0x5336=>0x4F63, # <CJK>
0x5337=>0x81C3, # <CJK>
0x5338=>0x75C8, # <CJK>
0x5339=>0x5EB8, # <CJK>
0x533A=>0x96CD, # <CJK>
0x533B=>0x8E0A, # <CJK>
0x533C=>0x86F9, # <CJK>
0x533D=>0x548F, # <CJK>
0x533E=>0x6CF3, # <CJK>
0x533F=>0x6D8C, # <CJK>
0x5340=>0x6C38, # <CJK>
0x5341=>0x607F, # <CJK>
0x5342=>0x52C7, # <CJK>
0x5343=>0x7528, # <CJK>
0x5344=>0x5E7D, # <CJK>
0x5345=>0x4F18, # <CJK>
0x5346=>0x60A0, # <CJK>
0x5347=>0x5FE7, # <CJK>
0x5348=>0x5C24, # <CJK>
0x5349=>0x7531, # <CJK>
0x534A=>0x90AE, # <CJK>
0x534B=>0x94C0, # <CJK>
0x534C=>0x72B9, # <CJK>
0x534D=>0x6CB9, # <CJK>
0x534E=>0x6E38, # <CJK>
0x534F=>0x9149, # <CJK>
0x5350=>0x6709, # <CJK>
0x5351=>0x53CB, # <CJK>
0x5352=>0x53F3, # <CJK>
0x5353=>0x4F51, # <CJK>
0x5354=>0x91C9, # <CJK>
0x5355=>0x8BF1, # <CJK>
0x5356=>0x53C8, # <CJK>
0x5357=>0x5E7C, # <CJK>
0x5358=>0x8FC2, # <CJK>
0x5359=>0x6DE4, # <CJK>
0x535A=>0x4E8E, # <CJK>
0x535B=>0x76C2, # <CJK>
0x535C=>0x6986, # <CJK>
0x535D=>0x865E, # <CJK>
0x535E=>0x611A, # <CJK>
0x535F=>0x8206, # <CJK>
0x5360=>0x4F59, # <CJK>
0x5361=>0x4FDE, # <CJK>
0x5362=>0x903E, # <CJK>
0x5363=>0x9C7C, # <CJK>
0x5364=>0x6109, # <CJK>
0x5365=>0x6E1D, # <CJK>
0x5366=>0x6E14, # <CJK>
0x5367=>0x9685, # <CJK>
0x5368=>0x4E88, # <CJK>
0x5369=>0x5A31, # <CJK>
0x536A=>0x96E8, # <CJK>
0x536B=>0x4E0E, # <CJK>
0x536C=>0x5C7F, # <CJK>
0x536D=>0x79B9, # <CJK>
0x536E=>0x5B87, # <CJK>
0x536F=>0x8BED, # <CJK>
0x5370=>0x7FBD, # <CJK>
0x5371=>0x7389, # <CJK>
0x5372=>0x57DF, # <CJK>
0x5373=>0x828B, # <CJK>
0x5374=>0x90C1, # <CJK>
0x5375=>0x5401, # <CJK>
0x5376=>0x9047, # <CJK>
0x5377=>0x55BB, # <CJK>
0x5378=>0x5CEA, # <CJK>
0x5379=>0x5FA1, # <CJK>
0x537A=>0x6108, # <CJK>
0x537B=>0x6B32, # <CJK>
0x537C=>0x72F1, # <CJK>
0x537D=>0x80B2, # <CJK>
0x537E=>0x8A89, # <CJK>
0x5421=>0x6D74, # <CJK>
0x5422=>0x5BD3, # <CJK>
0x5423=>0x88D5, # <CJK>
0x5424=>0x9884, # <CJK>
0x5425=>0x8C6B, # <CJK>
0x5426=>0x9A6D, # <CJK>
0x5427=>0x9E33, # <CJK>
0x5428=>0x6E0A, # <CJK>
0x5429=>0x51A4, # <CJK>
0x542A=>0x5143, # <CJK>
0x542B=>0x57A3, # <CJK>
0x542C=>0x8881, # <CJK>
0x542D=>0x539F, # <CJK>
0x542E=>0x63F4, # <CJK>
0x542F=>0x8F95, # <CJK>
0x5430=>0x56ED, # <CJK>
0x5431=>0x5458, # <CJK>
0x5432=>0x5706, # <CJK>
0x5433=>0x733F, # <CJK>
0x5434=>0x6E90, # <CJK>
0x5435=>0x7F18, # <CJK>
0x5436=>0x8FDC, # <CJK>
0x5437=>0x82D1, # <CJK>
0x5438=>0x613F, # <CJK>
0x5439=>0x6028, # <CJK>
0x543A=>0x9662, # <CJK>
0x543B=>0x66F0, # <CJK>
0x543C=>0x7EA6, # <CJK>
0x543D=>0x8D8A, # <CJK>
0x543E=>0x8DC3, # <CJK>
0x543F=>0x94A5, # <CJK>
0x5440=>0x5CB3, # <CJK>
0x5441=>0x7CA4, # <CJK>
0x5442=>0x6708, # <CJK>
0x5443=>0x60A6, # <CJK>
0x5444=>0x9605, # <CJK>
0x5445=>0x8018, # <CJK>
0x5446=>0x4E91, # <CJK>
0x5447=>0x90E7, # <CJK>
0x5448=>0x5300, # <CJK>
0x5449=>0x9668, # <CJK>
0x544A=>0x5141, # <CJK>
0x544B=>0x8FD0, # <CJK>
0x544C=>0x8574, # <CJK>
0x544D=>0x915D, # <CJK>
0x544E=>0x6655, # <CJK>
0x544F=>0x97F5, # <CJK>
0x5450=>0x5B55, # <CJK>
0x5451=>0x531D, # <CJK>
0x5452=>0x7838, # <CJK>
0x5453=>0x6742, # <CJK>
0x5454=>0x683D, # <CJK>
0x5455=>0x54C9, # <CJK>
0x5456=>0x707E, # <CJK>
0x5457=>0x5BB0, # <CJK>
0x5458=>0x8F7D, # <CJK>
0x5459=>0x518D, # <CJK>
0x545A=>0x5728, # <CJK>
0x545B=>0x54B1, # <CJK>
0x545C=>0x6512, # <CJK>
0x545D=>0x6682, # <CJK>
0x545E=>0x8D5E, # <CJK>
0x545F=>0x8D43, # <CJK>
0x5460=>0x810F, # <CJK>
0x5461=>0x846C, # <CJK>
0x5462=>0x906D, # <CJK>
0x5463=>0x7CDF, # <CJK>
0x5464=>0x51FF, # <CJK>
0x5465=>0x85FB, # <CJK>
0x5466=>0x67A3, # <CJK>
0x5467=>0x65E9, # <CJK>
0x5468=>0x6FA1, # <CJK>
0x5469=>0x86A4, # <CJK>
0x546A=>0x8E81, # <CJK>
0x546B=>0x566A, # <CJK>
0x546C=>0x9020, # <CJK>
0x546D=>0x7682, # <CJK>
0x546E=>0x7076, # <CJK>
0x546F=>0x71E5, # <CJK>
0x5470=>0x8D23, # <CJK>
0x5471=>0x62E9, # <CJK>
0x5472=>0x5219, # <CJK>
0x5473=>0x6CFD, # <CJK>
0x5474=>0x8D3C, # <CJK>
0x5475=>0x600E, # <CJK>
0x5476=>0x589E, # <CJK>
0x5477=>0x618E, # <CJK>
0x5478=>0x66FE, # <CJK>
0x5479=>0x8D60, # <CJK>
0x547A=>0x624E, # <CJK>
0x547B=>0x55B3, # <CJK>
0x547C=>0x6E23, # <CJK>
0x547D=>0x672D, # <CJK>
0x547E=>0x8F67, # <CJK>
0x5521=>0x94E1, # <CJK>
0x5522=>0x95F8, # <CJK>
0x5523=>0x7728, # <CJK>
0x5524=>0x6805, # <CJK>
0x5525=>0x69A8, # <CJK>
0x5526=>0x548B, # <CJK>
0x5527=>0x4E4D, # <CJK>
0x5528=>0x70B8, # <CJK>
0x5529=>0x8BC8, # <CJK>
0x552A=>0x6458, # <CJK>
0x552B=>0x658B, # <CJK>
0x552C=>0x5B85, # <CJK>
0x552D=>0x7A84, # <CJK>
0x552E=>0x503A, # <CJK>
0x552F=>0x5BE8, # <CJK>
0x5530=>0x77BB, # <CJK>
0x5531=>0x6BE1, # <CJK>
0x5532=>0x8A79, # <CJK>
0x5533=>0x7C98, # <CJK>
0x5534=>0x6CBE, # <CJK>
0x5535=>0x76CF, # <CJK>
0x5536=>0x65A9, # <CJK>
0x5537=>0x8F97, # <CJK>
0x5538=>0x5D2D, # <CJK>
0x5539=>0x5C55, # <CJK>
0x553A=>0x8638, # <CJK>
0x553B=>0x6808, # <CJK>
0x553C=>0x5360, # <CJK>
0x553D=>0x6218, # <CJK>
0x553E=>0x7AD9, # <CJK>
0x553F=>0x6E5B, # <CJK>
0x5540=>0x7EFD, # <CJK>
0x5541=>0x6A1F, # <CJK>
0x5542=>0x7AE0, # <CJK>
0x5543=>0x5F70, # <CJK>
0x5544=>0x6F33, # <CJK>
0x5545=>0x5F20, # <CJK>
0x5546=>0x638C, # <CJK>
0x5547=>0x6DA8, # <CJK>
0x5548=>0x6756, # <CJK>
0x5549=>0x4E08, # <CJK>
0x554A=>0x5E10, # <CJK>
0x554B=>0x8D26, # <CJK>
0x554C=>0x4ED7, # <CJK>
0x554D=>0x80C0, # <CJK>
0x554E=>0x7634, # <CJK>
0x554F=>0x969C, # <CJK>
0x5550=>0x62DB, # <CJK>
0x5551=>0x662D, # <CJK>
0x5552=>0x627E, # <CJK>
0x5553=>0x6CBC, # <CJK>
0x5554=>0x8D75, # <CJK>
0x5555=>0x7167, # <CJK>
0x5556=>0x7F69, # <CJK>
0x5557=>0x5146, # <CJK>
0x5558=>0x8087, # <CJK>
0x5559=>0x53EC, # <CJK>
0x555A=>0x906E, # <CJK>
0x555B=>0x6298, # <CJK>
0x555C=>0x54F2, # <CJK>
0x555D=>0x86F0, # <CJK>
0x555E=>0x8F99, # <CJK>
0x555F=>0x8005, # <CJK>
0x5560=>0x9517, # <CJK>
0x5561=>0x8517, # <CJK>
0x5562=>0x8FD9, # <CJK>
0x5563=>0x6D59, # <CJK>
0x5564=>0x73CD, # <CJK>
0x5565=>0x659F, # <CJK>
0x5566=>0x771F, # <CJK>
0x5567=>0x7504, # <CJK>
0x5568=>0x7827, # <CJK>
0x5569=>0x81FB, # <CJK>
0x556A=>0x8D1E, # <CJK>
0x556B=>0x9488, # <CJK>
0x556C=>0x4FA6, # <CJK>
0x556D=>0x6795, # <CJK>
0x556E=>0x75B9, # <CJK>
0x556F=>0x8BCA, # <CJK>
0x5570=>0x9707, # <CJK>
0x5571=>0x632F, # <CJK>
0x5572=>0x9547, # <CJK>
0x5573=>0x9635, # <CJK>
0x5574=>0x84B8, # <CJK>
0x5575=>0x6323, # <CJK>
0x5576=>0x7741, # <CJK>
0x5577=>0x5F81, # <CJK>
0x5578=>0x72F0, # <CJK>
0x5579=>0x4E89, # <CJK>
0x557A=>0x6014, # <CJK>
0x557B=>0x6574, # <CJK>
0x557C=>0x62EF, # <CJK>
0x557D=>0x6B63, # <CJK>
0x557E=>0x653F, # <CJK>
0x5621=>0x5E27, # <CJK>
0x5622=>0x75C7, # <CJK>
0x5623=>0x90D1, # <CJK>
0x5624=>0x8BC1, # <CJK>
0x5625=>0x829D, # <CJK>
0x5626=>0x679D, # <CJK>
0x5627=>0x652F, # <CJK>
0x5628=>0x5431, # <CJK>
0x5629=>0x8718, # <CJK>
0x562A=>0x77E5, # <CJK>
0x562B=>0x80A2, # <CJK>
0x562C=>0x8102, # <CJK>
0x562D=>0x6C41, # <CJK>
0x562E=>0x4E4B, # <CJK>
0x562F=>0x7EC7, # <CJK>
0x5630=>0x804C, # <CJK>
0x5631=>0x76F4, # <CJK>
0x5632=>0x690D, # <CJK>
0x5633=>0x6B96, # <CJK>
0x5634=>0x6267, # <CJK>
0x5635=>0x503C, # <CJK>
0x5636=>0x4F84, # <CJK>
0x5637=>0x5740, # <CJK>
0x5638=>0x6307, # <CJK>
0x5639=>0x6B62, # <CJK>
0x563A=>0x8DBE, # <CJK>
0x563B=>0x53EA, # <CJK>
0x563C=>0x65E8, # <CJK>
0x563D=>0x7EB8, # <CJK>
0x563E=>0x5FD7, # <CJK>
0x563F=>0x631A, # <CJK>
0x5640=>0x63B7, # <CJK>
0x5641=>0x81F3, # <CJK>
0x5642=>0x81F4, # <CJK>
0x5643=>0x7F6E, # <CJK>
0x5644=>0x5E1C, # <CJK>
0x5645=>0x5CD9, # <CJK>
0x5646=>0x5236, # <CJK>
0x5647=>0x667A, # <CJK>
0x5648=>0x79E9, # <CJK>
0x5649=>0x7A1A, # <CJK>
0x564A=>0x8D28, # <CJK>
0x564B=>0x7099, # <CJK>
0x564C=>0x75D4, # <CJK>
0x564D=>0x6EDE, # <CJK>
0x564E=>0x6CBB, # <CJK>
0x564F=>0x7A92, # <CJK>
0x5650=>0x4E2D, # <CJK>
0x5651=>0x76C5, # <CJK>
0x5652=>0x5FE0, # <CJK>
0x5653=>0x949F, # <CJK>
0x5654=>0x8877, # <CJK>
0x5655=>0x7EC8, # <CJK>
0x5656=>0x79CD, # <CJK>
0x5657=>0x80BF, # <CJK>
0x5658=>0x91CD, # <CJK>
0x5659=>0x4EF2, # <CJK>
0x565A=>0x4F17, # <CJK>
0x565B=>0x821F, # <CJK>
0x565C=>0x5468, # <CJK>
0x565D=>0x5DDE, # <CJK>
0x565E=>0x6D32, # <CJK>
0x565F=>0x8BCC, # <CJK>
0x5660=>0x7CA5, # <CJK>
0x5661=>0x8F74, # <CJK>
0x5662=>0x8098, # <CJK>
0x5663=>0x5E1A, # <CJK>
0x5664=>0x5492, # <CJK>
0x5665=>0x76B1, # <CJK>
0x5666=>0x5B99, # <CJK>
0x5667=>0x663C, # <CJK>
0x5668=>0x9AA4, # <CJK>
0x5669=>0x73E0, # <CJK>
0x566A=>0x682A, # <CJK>
0x566B=>0x86DB, # <CJK>
0x566C=>0x6731, # <CJK>
0x566D=>0x732A, # <CJK>
0x566E=>0x8BF8, # <CJK>
0x566F=>0x8BDB, # <CJK>
0x5670=>0x9010, # <CJK>
0x5671=>0x7AF9, # <CJK>
0x5672=>0x70DB, # <CJK>
0x5673=>0x716E, # <CJK>
0x5674=>0x62C4, # <CJK>
0x5675=>0x77A9, # <CJK>
0x5676=>0x5631, # <CJK>
0x5677=>0x4E3B, # <CJK>
0x5678=>0x8457, # <CJK>
0x5679=>0x67F1, # <CJK>
0x567A=>0x52A9, # <CJK>
0x567B=>0x86C0, # <CJK>
0x567C=>0x8D2E, # <CJK>
0x567D=>0x94F8, # <CJK>
0x567E=>0x7B51, # <CJK>
0x5721=>0x4F4F, # <CJK>
0x5722=>0x6CE8, # <CJK>
0x5723=>0x795D, # <CJK>
0x5724=>0x9A7B, # <CJK>
0x5725=>0x6293, # <CJK>
0x5726=>0x722A, # <CJK>
0x5727=>0x62FD, # <CJK>
0x5728=>0x4E13, # <CJK>
0x5729=>0x7816, # <CJK>
0x572A=>0x8F6C, # <CJK>
0x572B=>0x64B0, # <CJK>
0x572C=>0x8D5A, # <CJK>
0x572D=>0x7BC6, # <CJK>
0x572E=>0x6869, # <CJK>
0x572F=>0x5E84, # <CJK>
0x5730=>0x88C5, # <CJK>
0x5731=>0x5986, # <CJK>
0x5732=>0x649E, # <CJK>
0x5733=>0x58EE, # <CJK>
0x5734=>0x72B6, # <CJK>
0x5735=>0x690E, # <CJK>
0x5736=>0x9525, # <CJK>
0x5737=>0x8FFD, # <CJK>
0x5738=>0x8D58, # <CJK>
0x5739=>0x5760, # <CJK>
0x573A=>0x7F00, # <CJK>
0x573B=>0x8C06, # <CJK>
0x573C=>0x51C6, # <CJK>
0x573D=>0x6349, # <CJK>
0x573E=>0x62D9, # <CJK>
0x573F=>0x5353, # <CJK>
0x5740=>0x684C, # <CJK>
0x5741=>0x7422, # <CJK>
0x5742=>0x8301, # <CJK>
0x5743=>0x914C, # <CJK>
0x5744=>0x5544, # <CJK>
0x5745=>0x7740, # <CJK>
0x5746=>0x707C, # <CJK>
0x5747=>0x6D4A, # <CJK>
0x5748=>0x5179, # <CJK>
0x5749=>0x54A8, # <CJK>
0x574A=>0x8D44, # <CJK>
0x574B=>0x59FF, # <CJK>
0x574C=>0x6ECB, # <CJK>
0x574D=>0x6DC4, # <CJK>
0x574E=>0x5B5C, # <CJK>
0x574F=>0x7D2B, # <CJK>
0x5750=>0x4ED4, # <CJK>
0x5751=>0x7C7D, # <CJK>
0x5752=>0x6ED3, # <CJK>
0x5753=>0x5B50, # <CJK>
0x5754=>0x81EA, # <CJK>
0x5755=>0x6E0D, # <CJK>
0x5756=>0x5B57, # <CJK>
0x5757=>0x9B03, # <CJK>
0x5758=>0x68D5, # <CJK>
0x5759=>0x8E2A, # <CJK>
0x575A=>0x5B97, # <CJK>
0x575B=>0x7EFC, # <CJK>
0x575C=>0x603B, # <CJK>
0x575D=>0x7EB5, # <CJK>
0x575E=>0x90B9, # <CJK>
0x575F=>0x8D70, # <CJK>
0x5760=>0x594F, # <CJK>
0x5761=>0x63CD, # <CJK>
0x5762=>0x79DF, # <CJK>
0x5763=>0x8DB3, # <CJK>
0x5764=>0x5352, # <CJK>
0x5765=>0x65CF, # <CJK>
0x5766=>0x7956, # <CJK>
0x5767=>0x8BC5, # <CJK>
0x5768=>0x963B, # <CJK>
0x5769=>0x7EC4, # <CJK>
0x576A=>0x94BB, # <CJK>
0x576B=>0x7E82, # <CJK>
0x576C=>0x5634, # <CJK>
0x576D=>0x9189, # <CJK>
0x576E=>0x6700, # <CJK>
0x576F=>0x7F6A, # <CJK>
0x5770=>0x5C0A, # <CJK>
0x5771=>0x9075, # <CJK>
0x5772=>0x6628, # <CJK>
0x5773=>0x5DE6, # <CJK>
0x5774=>0x4F50, # <CJK>
0x5775=>0x67DE, # <CJK>
0x5776=>0x505A, # <CJK>
0x5777=>0x4F5C, # <CJK>
0x5778=>0x5750, # <CJK>
0x5779=>0x5EA7, # <CJK>
0x5821=>0x4E8D, # <CJK>
0x5822=>0x4E0C, # <CJK>
0x5823=>0x5140, # <CJK>
0x5824=>0x4E10, # <CJK>
0x5825=>0x5EFF, # <CJK>
0x5826=>0x5345, # <CJK>
0x5827=>0x4E15, # <CJK>
0x5828=>0x4E98, # <CJK>
0x5829=>0x4E1E, # <CJK>
0x582A=>0x9B32, # <CJK>
0x582B=>0x5B6C, # <CJK>
0x582C=>0x5669, # <CJK>
0x582D=>0x4E28, # <CJK>
0x582E=>0x79BA, # <CJK>
0x582F=>0x4E3F, # <CJK>
0x5830=>0x5315, # <CJK>
0x5831=>0x4E47, # <CJK>
0x5832=>0x592D, # <CJK>
0x5833=>0x723B, # <CJK>
0x5834=>0x536E, # <CJK>
0x5835=>0x6C10, # <CJK>
0x5836=>0x56DF, # <CJK>
0x5837=>0x80E4, # <CJK>
0x5838=>0x9997, # <CJK>
0x5839=>0x6BD3, # <CJK>
0x583A=>0x777E, # <CJK>
0x583B=>0x9F17, # <CJK>
0x583C=>0x4E36, # <CJK>
0x583D=>0x4E9F, # <CJK>
0x583E=>0x9F10, # <CJK>
0x583F=>0x4E5C, # <CJK>
0x5840=>0x4E69, # <CJK>
0x5841=>0x4E93, # <CJK>
0x5842=>0x8288, # <CJK>
0x5843=>0x5B5B, # <CJK>
0x5844=>0x556C, # <CJK>
0x5845=>0x560F, # <CJK>
0x5846=>0x4EC4, # <CJK>
0x5847=>0x538D, # <CJK>
0x5848=>0x539D, # <CJK>
0x5849=>0x53A3, # <CJK>
0x584A=>0x53A5, # <CJK>
0x584B=>0x53AE, # <CJK>
0x584C=>0x9765, # <CJK>
0x584D=>0x8D5D, # <CJK>
0x584E=>0x531A, # <CJK>
0x584F=>0x53F5, # <CJK>
0x5850=>0x5326, # <CJK>
0x5851=>0x532E, # <CJK>
0x5852=>0x533E, # <CJK>
0x5853=>0x8D5C, # <CJK>
0x5854=>0x5366, # <CJK>
0x5855=>0x5363, # <CJK>
0x5856=>0x5202, # <CJK>
0x5857=>0x5208, # <CJK>
0x5858=>0x520E, # <CJK>
0x5859=>0x522D, # <CJK>
0x585A=>0x5233, # <CJK>
0x585B=>0x523F, # <CJK>
0x585C=>0x5240, # <CJK>
0x585D=>0x524C, # <CJK>
0x585E=>0x525E, # <CJK>
0x585F=>0x5261, # <CJK>
0x5860=>0x525C, # <CJK>
0x5861=>0x84AF, # <CJK>
0x5862=>0x527D, # <CJK>
0x5863=>0x5282, # <CJK>
0x5864=>0x5281, # <CJK>
0x5865=>0x5290, # <CJK>
0x5866=>0x5293, # <CJK>
0x5867=>0x5182, # <CJK>
0x5868=>0x7F54, # <CJK>
0x5869=>0x4EBB, # <CJK>
0x586A=>0x4EC3, # <CJK>
0x586B=>0x4EC9, # <CJK>
0x586C=>0x4EC2, # <CJK>
0x586D=>0x4EE8, # <CJK>
0x586E=>0x4EE1, # <CJK>
0x586F=>0x4EEB, # <CJK>
0x5870=>0x4EDE, # <CJK>
0x5871=>0x4F1B, # <CJK>
0x5872=>0x4EF3, # <CJK>
0x5873=>0x4F22, # <CJK>
0x5874=>0x4F64, # <CJK>
0x5875=>0x4EF5, # <CJK>
0x5876=>0x4F25, # <CJK>
0x5877=>0x4F27, # <CJK>
0x5878=>0x4F09, # <CJK>
0x5879=>0x4F2B, # <CJK>
0x587A=>0x4F5E, # <CJK>
0x587B=>0x4F67, # <CJK>
0x587C=>0x6538, # <CJK>
0x587D=>0x4F5A, # <CJK>
0x587E=>0x4F5D, # <CJK>
0x5921=>0x4F5F, # <CJK>
0x5922=>0x4F57, # <CJK>
0x5923=>0x4F32, # <CJK>
0x5924=>0x4F3D, # <CJK>
0x5925=>0x4F76, # <CJK>
0x5926=>0x4F74, # <CJK>
0x5927=>0x4F91, # <CJK>
0x5928=>0x4F89, # <CJK>
0x5929=>0x4F83, # <CJK>
0x592A=>0x4F8F, # <CJK>
0x592B=>0x4F7E, # <CJK>
0x592C=>0x4F7B, # <CJK>
0x592D=>0x4FAA, # <CJK>
0x592E=>0x4F7C, # <CJK>
0x592F=>0x4FAC, # <CJK>
0x5930=>0x4F94, # <CJK>
0x5931=>0x4FE6, # <CJK>
0x5932=>0x4FE8, # <CJK>
0x5933=>0x4FEA, # <CJK>
0x5934=>0x4FC5, # <CJK>
0x5935=>0x4FDA, # <CJK>
0x5936=>0x4FE3, # <CJK>
0x5937=>0x4FDC, # <CJK>
0x5938=>0x4FD1, # <CJK>
0x5939=>0x4FDF, # <CJK>
0x593A=>0x4FF8, # <CJK>
0x593B=>0x5029, # <CJK>
0x593C=>0x504C, # <CJK>
0x593D=>0x4FF3, # <CJK>
0x593E=>0x502C, # <CJK>
0x593F=>0x500F, # <CJK>
0x5940=>0x502E, # <CJK>
0x5941=>0x502D, # <CJK>
0x5942=>0x4FFE, # <CJK>
0x5943=>0x501C, # <CJK>
0x5944=>0x500C, # <CJK>
0x5945=>0x5025, # <CJK>
0x5946=>0x5028, # <CJK>
0x5947=>0x507E, # <CJK>
0x5948=>0x5043, # <CJK>
0x5949=>0x5055, # <CJK>
0x594A=>0x5048, # <CJK>
0x594B=>0x504E, # <CJK>
0x594C=>0x506C, # <CJK>
0x594D=>0x507B, # <CJK>
0x594E=>0x50A5, # <CJK>
0x594F=>0x50A7, # <CJK>
0x5950=>0x50A9, # <CJK>
0x5951=>0x50BA, # <CJK>
0x5952=>0x50D6, # <CJK>
0x5953=>0x5106, # <CJK>
0x5954=>0x50ED, # <CJK>
0x5955=>0x50EC, # <CJK>
0x5956=>0x50E6, # <CJK>
0x5957=>0x50EE, # <CJK>
0x5958=>0x5107, # <CJK>
0x5959=>0x510B, # <CJK>
0x595A=>0x4EDD, # <CJK>
0x595B=>0x6C3D, # <CJK>
0x595C=>0x4F58, # <CJK>
0x595D=>0x4F65, # <CJK>
0x595E=>0x4FCE, # <CJK>
0x595F=>0x9FA0, # <CJK>
0x5960=>0x6C46, # <CJK>
0x5961=>0x7C74, # <CJK>
0x5962=>0x516E, # <CJK>
0x5963=>0x5DFD, # <CJK>
0x5964=>0x9EC9, # <CJK>
0x5965=>0x9998, # <CJK>
0x5966=>0x5181, # <CJK>
0x5967=>0x5914, # <CJK>
0x5968=>0x52F9, # <CJK>
0x5969=>0x530D, # <CJK>
0x596A=>0x8A07, # <CJK>
0x596B=>0x5310, # <CJK>
0x596C=>0x51EB, # <CJK>
0x596D=>0x5919, # <CJK>
0x596E=>0x5155, # <CJK>
0x596F=>0x4EA0, # <CJK>
0x5970=>0x5156, # <CJK>
0x5971=>0x4EB3, # <CJK>
0x5972=>0x886E, # <CJK>
0x5973=>0x88A4, # <CJK>
0x5974=>0x4EB5, # <CJK>
0x5975=>0x8114, # <CJK>
0x5976=>0x88D2, # <CJK>
0x5977=>0x7980, # <CJK>
0x5978=>0x5B34, # <CJK>
0x5979=>0x8803, # <CJK>
0x597A=>0x7FB8, # <CJK>
0x597B=>0x51AB, # <CJK>
0x597C=>0x51B1, # <CJK>
0x597D=>0x51BD, # <CJK>
0x597E=>0x51BC, # <CJK>
0x5A21=>0x51C7, # <CJK>
0x5A22=>0x5196, # <CJK>
0x5A23=>0x51A2, # <CJK>
0x5A24=>0x51A5, # <CJK>
0x5A25=>0x8BA0, # <CJK>
0x5A26=>0x8BA6, # <CJK>
0x5A27=>0x8BA7, # <CJK>
0x5A28=>0x8BAA, # <CJK>
0x5A29=>0x8BB4, # <CJK>
0x5A2A=>0x8BB5, # <CJK>
0x5A2B=>0x8BB7, # <CJK>
0x5A2C=>0x8BC2, # <CJK>
0x5A2D=>0x8BC3, # <CJK>
0x5A2E=>0x8BCB, # <CJK>
0x5A2F=>0x8BCF, # <CJK>
0x5A30=>0x8BCE, # <CJK>
0x5A31=>0x8BD2, # <CJK>
0x5A32=>0x8BD3, # <CJK>
0x5A33=>0x8BD4, # <CJK>
0x5A34=>0x8BD6, # <CJK>
0x5A35=>0x8BD8, # <CJK>
0x5A36=>0x8BD9, # <CJK>
0x5A37=>0x8BDC, # <CJK>
0x5A38=>0x8BDF, # <CJK>
0x5A39=>0x8BE0, # <CJK>
0x5A3A=>0x8BE4, # <CJK>
0x5A3B=>0x8BE8, # <CJK>
0x5A3C=>0x8BE9, # <CJK>
0x5A3D=>0x8BEE, # <CJK>
0x5A3E=>0x8BF0, # <CJK>
0x5A3F=>0x8BF3, # <CJK>
0x5A40=>0x8BF6, # <CJK>
0x5A41=>0x8BF9, # <CJK>
0x5A42=>0x8BFC, # <CJK>
0x5A43=>0x8BFF, # <CJK>
0x5A44=>0x8C00, # <CJK>
0x5A45=>0x8C02, # <CJK>
0x5A46=>0x8C04, # <CJK>
0x5A47=>0x8C07, # <CJK>
0x5A48=>0x8C0C, # <CJK>
0x5A49=>0x8C0F, # <CJK>
0x5A4A=>0x8C11, # <CJK>
0x5A4B=>0x8C12, # <CJK>
0x5A4C=>0x8C14, # <CJK>
0x5A4D=>0x8C15, # <CJK>
0x5A4E=>0x8C16, # <CJK>
0x5A4F=>0x8C19, # <CJK>
0x5A50=>0x8C1B, # <CJK>
0x5A51=>0x8C18, # <CJK>
0x5A52=>0x8C1D, # <CJK>
0x5A53=>0x8C1F, # <CJK>
0x5A54=>0x8C20, # <CJK>
0x5A55=>0x8C21, # <CJK>
0x5A56=>0x8C25, # <CJK>
0x5A57=>0x8C27, # <CJK>
0x5A58=>0x8C2A, # <CJK>
0x5A59=>0x8C2B, # <CJK>
0x5A5A=>0x8C2E, # <CJK>
0x5A5B=>0x8C2F, # <CJK>
0x5A5C=>0x8C32, # <CJK>
0x5A5D=>0x8C33, # <CJK>
0x5A5E=>0x8C35, # <CJK>
0x5A5F=>0x8C36, # <CJK>
0x5A60=>0x5369, # <CJK>
0x5A61=>0x537A, # <CJK>
0x5A62=>0x961D, # <CJK>
0x5A63=>0x9622, # <CJK>
0x5A64=>0x9621, # <CJK>
0x5A65=>0x9631, # <CJK>
0x5A66=>0x962A, # <CJK>
0x5A67=>0x963D, # <CJK>
0x5A68=>0x963C, # <CJK>
0x5A69=>0x9642, # <CJK>
0x5A6A=>0x9649, # <CJK>
0x5A6B=>0x9654, # <CJK>
0x5A6C=>0x965F, # <CJK>
0x5A6D=>0x9667, # <CJK>
0x5A6E=>0x966C, # <CJK>
0x5A6F=>0x9672, # <CJK>
0x5A70=>0x9674, # <CJK>
0x5A71=>0x9688, # <CJK>
0x5A72=>0x968D, # <CJK>
0x5A73=>0x9697, # <CJK>
0x5A74=>0x96B0, # <CJK>
0x5A75=>0x9097, # <CJK>
0x5A76=>0x909B, # <CJK>
0x5A77=>0x909D, # <CJK>
0x5A78=>0x9099, # <CJK>
0x5A79=>0x90AC, # <CJK>
0x5A7A=>0x90A1, # <CJK>
0x5A7B=>0x90B4, # <CJK>
0x5A7C=>0x90B3, # <CJK>
0x5A7D=>0x90B6, # <CJK>
0x5A7E=>0x90BA, # <CJK>
0x5B21=>0x90B8, # <CJK>
0x5B22=>0x90B0, # <CJK>
0x5B23=>0x90CF, # <CJK>
0x5B24=>0x90C5, # <CJK>
0x5B25=>0x90BE, # <CJK>
0x5B26=>0x90D0, # <CJK>
0x5B27=>0x90C4, # <CJK>
0x5B28=>0x90C7, # <CJK>
0x5B29=>0x90D3, # <CJK>
0x5B2A=>0x90E6, # <CJK>
0x5B2B=>0x90E2, # <CJK>
0x5B2C=>0x90DC, # <CJK>
0x5B2D=>0x90D7, # <CJK>
0x5B2E=>0x90DB, # <CJK>
0x5B2F=>0x90EB, # <CJK>
0x5B30=>0x90EF, # <CJK>
0x5B31=>0x90FE, # <CJK>
0x5B32=>0x9104, # <CJK>
0x5B33=>0x9122, # <CJK>
0x5B34=>0x911E, # <CJK>
0x5B35=>0x9123, # <CJK>
0x5B36=>0x9131, # <CJK>
0x5B37=>0x912F, # <CJK>
0x5B38=>0x9139, # <CJK>
0x5B39=>0x9143, # <CJK>
0x5B3A=>0x9146, # <CJK>
0x5B3B=>0x520D, # <CJK>
0x5B3C=>0x5942, # <CJK>
0x5B3D=>0x52A2, # <CJK>
0x5B3E=>0x52AC, # <CJK>
0x5B3F=>0x52AD, # <CJK>
0x5B40=>0x52BE, # <CJK>
0x5B41=>0x54FF, # <CJK>
0x5B42=>0x52D0, # <CJK>
0x5B43=>0x52D6, # <CJK>
0x5B44=>0x52F0, # <CJK>
0x5B45=>0x53DF, # <CJK>
0x5B46=>0x71EE, # <CJK>
0x5B47=>0x77CD, # <CJK>
0x5B48=>0x5EF4, # <CJK>
0x5B49=>0x51F5, # <CJK>
0x5B4A=>0x51FC, # <CJK>
0x5B4B=>0x9B2F, # <CJK>
0x5B4C=>0x53B6, # <CJK>
0x5B4D=>0x5F01, # <CJK>
0x5B4E=>0x755A, # <CJK>
0x5B4F=>0x5DEF, # <CJK>
0x5B50=>0x574C, # <CJK>
0x5B51=>0x57A9, # <CJK>
0x5B52=>0x57A1, # <CJK>
0x5B53=>0x587E, # <CJK>
0x5B54=>0x58BC, # <CJK>
0x5B55=>0x58C5, # <CJK>
0x5B56=>0x58D1, # <CJK>
0x5B57=>0x5729, # <CJK>
0x5B58=>0x572C, # <CJK>
0x5B59=>0x572A, # <CJK>
0x5B5A=>0x5733, # <CJK>
0x5B5B=>0x5739, # <CJK>
0x5B5C=>0x572E, # <CJK>
0x5B5D=>0x572F, # <CJK>
0x5B5E=>0x575C, # <CJK>
0x5B5F=>0x573B, # <CJK>
0x5B60=>0x5742, # <CJK>
0x5B61=>0x5769, # <CJK>
0x5B62=>0x5785, # <CJK>
0x5B63=>0x576B, # <CJK>
0x5B64=>0x5786, # <CJK>
0x5B65=>0x577C, # <CJK>
0x5B66=>0x577B, # <CJK>
0x5B67=>0x5768, # <CJK>
0x5B68=>0x576D, # <CJK>
0x5B69=>0x5776, # <CJK>
0x5B6A=>0x5773, # <CJK>
0x5B6B=>0x57AD, # <CJK>
0x5B6C=>0x57A4, # <CJK>
0x5B6D=>0x578C, # <CJK>
0x5B6E=>0x57B2, # <CJK>
0x5B6F=>0x57CF, # <CJK>
0x5B70=>0x57A7, # <CJK>
0x5B71=>0x57B4, # <CJK>
0x5B72=>0x5793, # <CJK>
0x5B73=>0x57A0, # <CJK>
0x5B74=>0x57D5, # <CJK>
0x5B75=>0x57D8, # <CJK>
0x5B76=>0x57DA, # <CJK>
0x5B77=>0x57D9, # <CJK>
0x5B78=>0x57D2, # <CJK>
0x5B79=>0x57B8, # <CJK>
0x5B7A=>0x57F4, # <CJK>
0x5B7B=>0x57EF, # <CJK>
0x5B7C=>0x57F8, # <CJK>
0x5B7D=>0x57E4, # <CJK>
0x5B7E=>0x57DD, # <CJK>
0x5C21=>0x580B, # <CJK>
0x5C22=>0x580D, # <CJK>
0x5C23=>0x57FD, # <CJK>
0x5C24=>0x57ED, # <CJK>
0x5C25=>0x5800, # <CJK>
0x5C26=>0x581E, # <CJK>
0x5C27=>0x5819, # <CJK>
0x5C28=>0x5844, # <CJK>
0x5C29=>0x5820, # <CJK>
0x5C2A=>0x5865, # <CJK>
0x5C2B=>0x586C, # <CJK>
0x5C2C=>0x5881, # <CJK>
0x5C2D=>0x5889, # <CJK>
0x5C2E=>0x589A, # <CJK>
0x5C2F=>0x5880, # <CJK>
0x5C30=>0x99A8, # <CJK>
0x5C31=>0x9F19, # <CJK>
0x5C32=>0x61FF, # <CJK>
0x5C33=>0x8279, # <CJK>
0x5C34=>0x827D, # <CJK>
0x5C35=>0x827F, # <CJK>
0x5C36=>0x828F, # <CJK>
0x5C37=>0x828A, # <CJK>
0x5C38=>0x82A8, # <CJK>
0x5C39=>0x8284, # <CJK>
0x5C3A=>0x828E, # <CJK>
0x5C3B=>0x8291, # <CJK>
0x5C3C=>0x8297, # <CJK>
0x5C3D=>0x8299, # <CJK>
0x5C3E=>0x82AB, # <CJK>
0x5C3F=>0x82B8, # <CJK>
0x5C40=>0x82BE, # <CJK>
0x5C41=>0x82B0, # <CJK>
0x5C42=>0x82C8, # <CJK>
0x5C43=>0x82CA, # <CJK>
0x5C44=>0x82E3, # <CJK>
0x5C45=>0x8298, # <CJK>
0x5C46=>0x82B7, # <CJK>
0x5C47=>0x82AE, # <CJK>
0x5C48=>0x82CB, # <CJK>
0x5C49=>0x82CC, # <CJK>
0x5C4A=>0x82C1, # <CJK>
0x5C4B=>0x82A9, # <CJK>
0x5C4C=>0x82B4, # <CJK>
0x5C4D=>0x82A1, # <CJK>
0x5C4E=>0x82AA, # <CJK>
0x5C4F=>0x829F, # <CJK>
0x5C50=>0x82C4, # <CJK>
0x5C51=>0x82CE, # <CJK>
0x5C52=>0x82A4, # <CJK>
0x5C53=>0x82E1, # <CJK>
0x5C54=>0x8309, # <CJK>
0x5C55=>0x82F7, # <CJK>
0x5C56=>0x82E4, # <CJK>
0x5C57=>0x830F, # <CJK>
0x5C58=>0x8307, # <CJK>
0x5C59=>0x82DC, # <CJK>
0x5C5A=>0x82F4, # <CJK>
0x5C5B=>0x82D2, # <CJK>
0x5C5C=>0x82D8, # <CJK>
0x5C5D=>0x830C, # <CJK>
0x5C5E=>0x82FB, # <CJK>
0x5C5F=>0x82D3, # <CJK>
0x5C60=>0x8311, # <CJK>
0x5C61=>0x831A, # <CJK>
0x5C62=>0x8306, # <CJK>
0x5C63=>0x8314, # <CJK>
0x5C64=>0x8315, # <CJK>
0x5C65=>0x82E0, # <CJK>
0x5C66=>0x82D5, # <CJK>
0x5C67=>0x831C, # <CJK>
0x5C68=>0x8351, # <CJK>
0x5C69=>0x835B, # <CJK>
0x5C6A=>0x835C, # <CJK>
0x5C6B=>0x8308, # <CJK>
0x5C6C=>0x8392, # <CJK>
0x5C6D=>0x833C, # <CJK>
0x5C6E=>0x8334, # <CJK>
0x5C6F=>0x8331, # <CJK>
0x5C70=>0x839B, # <CJK>
0x5C71=>0x835E, # <CJK>
0x5C72=>0x832F, # <CJK>
0x5C73=>0x834F, # <CJK>
0x5C74=>0x8347, # <CJK>
0x5C75=>0x8343, # <CJK>
0x5C76=>0x835F, # <CJK>
0x5C77=>0x8340, # <CJK>
0x5C78=>0x8317, # <CJK>
0x5C79=>0x8360, # <CJK>
0x5C7A=>0x832D, # <CJK>
0x5C7B=>0x833A, # <CJK>
0x5C7C=>0x8333, # <CJK>
0x5C7D=>0x8366, # <CJK>
0x5C7E=>0x8365, # <CJK>
0x5D21=>0x8368, # <CJK>
0x5D22=>0x831B, # <CJK>
0x5D23=>0x8369, # <CJK>
0x5D24=>0x836C, # <CJK>
0x5D25=>0x836A, # <CJK>
0x5D26=>0x836D, # <CJK>
0x5D27=>0x836E, # <CJK>
0x5D28=>0x83B0, # <CJK>
0x5D29=>0x8378, # <CJK>
0x5D2A=>0x83B3, # <CJK>
0x5D2B=>0x83B4, # <CJK>
0x5D2C=>0x83A0, # <CJK>
0x5D2D=>0x83AA, # <CJK>
0x5D2E=>0x8393, # <CJK>
0x5D2F=>0x839C, # <CJK>
0x5D30=>0x8385, # <CJK>
0x5D31=>0x837C, # <CJK>
0x5D32=>0x83B6, # <CJK>
0x5D33=>0x83A9, # <CJK>
0x5D34=>0x837D, # <CJK>
0x5D35=>0x83B8, # <CJK>
0x5D36=>0x837B, # <CJK>
0x5D37=>0x8398, # <CJK>
0x5D38=>0x839E, # <CJK>
0x5D39=>0x83A8, # <CJK>
0x5D3A=>0x83BA, # <CJK>
0x5D3B=>0x83BC, # <CJK>
0x5D3C=>0x83C1, # <CJK>
0x5D3D=>0x8401, # <CJK>
0x5D3E=>0x83E5, # <CJK>
0x5D3F=>0x83D8, # <CJK>
0x5D40=>0x5807, # <CJK>
0x5D41=>0x8418, # <CJK>
0x5D42=>0x840B, # <CJK>
0x5D43=>0x83DD, # <CJK>
0x5D44=>0x83FD, # <CJK>
0x5D45=>0x83D6, # <CJK>
0x5D46=>0x841C, # <CJK>
0x5D47=>0x8438, # <CJK>
0x5D48=>0x8411, # <CJK>
0x5D49=>0x8406, # <CJK>
0x5D4A=>0x83D4, # <CJK>
0x5D4B=>0x83DF, # <CJK>
0x5D4C=>0x840F, # <CJK>
0x5D4D=>0x8403, # <CJK>
0x5D4E=>0x83F8, # <CJK>
0x5D4F=>0x83F9, # <CJK>
0x5D50=>0x83EA, # <CJK>
0x5D51=>0x83C5, # <CJK>
0x5D52=>0x83C0, # <CJK>
0x5D53=>0x8426, # <CJK>
0x5D54=>0x83F0, # <CJK>
0x5D55=>0x83E1, # <CJK>
0x5D56=>0x845C, # <CJK>
0x5D57=>0x8451, # <CJK>
0x5D58=>0x845A, # <CJK>
0x5D59=>0x8459, # <CJK>
0x5D5A=>0x8473, # <CJK>
0x5D5B=>0x8487, # <CJK>
0x5D5C=>0x8488, # <CJK>
0x5D5D=>0x847A, # <CJK>
0x5D5E=>0x8489, # <CJK>
0x5D5F=>0x8478, # <CJK>
0x5D60=>0x843C, # <CJK>
0x5D61=>0x8446, # <CJK>
0x5D62=>0x8469, # <CJK>
0x5D63=>0x8476, # <CJK>
0x5D64=>0x848C, # <CJK>
0x5D65=>0x848E, # <CJK>
0x5D66=>0x8431, # <CJK>
0x5D67=>0x846D, # <CJK>
0x5D68=>0x84C1, # <CJK>
0x5D69=>0x84CD, # <CJK>
0x5D6A=>0x84D0, # <CJK>
0x5D6B=>0x84E6, # <CJK>
0x5D6C=>0x84BD, # <CJK>
0x5D6D=>0x84D3, # <CJK>
0x5D6E=>0x84CA, # <CJK>
0x5D6F=>0x84BF, # <CJK>
0x5D70=>0x84BA, # <CJK>
0x5D71=>0x84E0, # <CJK>
0x5D72=>0x84A1, # <CJK>
0x5D73=>0x84B9, # <CJK>
0x5D74=>0x84B4, # <CJK>
0x5D75=>0x8497, # <CJK>
0x5D76=>0x84E5, # <CJK>
0x5D77=>0x84E3, # <CJK>
0x5D78=>0x850C, # <CJK>
0x5D79=>0x750D, # <CJK>
0x5D7A=>0x8538, # <CJK>
0x5D7B=>0x84F0, # <CJK>
0x5D7C=>0x8539, # <CJK>
0x5D7D=>0x851F, # <CJK>
0x5D7E=>0x853A, # <CJK>
0x5E21=>0x8556, # <CJK>
0x5E22=>0x853B, # <CJK>
0x5E23=>0x84FF, # <CJK>
0x5E24=>0x84FC, # <CJK>
0x5E25=>0x8559, # <CJK>
0x5E26=>0x8548, # <CJK>
0x5E27=>0x8568, # <CJK>
0x5E28=>0x8564, # <CJK>
0x5E29=>0x855E, # <CJK>
0x5E2A=>0x857A, # <CJK>
0x5E2B=>0x77A2, # <CJK>
0x5E2C=>0x8543, # <CJK>
0x5E2D=>0x8572, # <CJK>
0x5E2E=>0x857B, # <CJK>
0x5E2F=>0x85A4, # <CJK>
0x5E30=>0x85A8, # <CJK>
0x5E31=>0x8587, # <CJK>
0x5E32=>0x858F, # <CJK>
0x5E33=>0x8579, # <CJK>
0x5E34=>0x85AE, # <CJK>
0x5E35=>0x859C, # <CJK>
0x5E36=>0x8585, # <CJK>
0x5E37=>0x85B9, # <CJK>
0x5E38=>0x85B7, # <CJK>
0x5E39=>0x85B0, # <CJK>
0x5E3A=>0x85D3, # <CJK>
0x5E3B=>0x85C1, # <CJK>
0x5E3C=>0x85DC, # <CJK>
0x5E3D=>0x85FF, # <CJK>
0x5E3E=>0x8627, # <CJK>
0x5E3F=>0x8605, # <CJK>
0x5E40=>0x8629, # <CJK>
0x5E41=>0x8616, # <CJK>
0x5E42=>0x863C, # <CJK>
0x5E43=>0x5EFE, # <CJK>
0x5E44=>0x5F08, # <CJK>
0x5E45=>0x593C, # <CJK>
0x5E46=>0x5941, # <CJK>
0x5E47=>0x8037, # <CJK>
0x5E48=>0x5955, # <CJK>
0x5E49=>0x595A, # <CJK>
0x5E4A=>0x5958, # <CJK>
0x5E4B=>0x530F, # <CJK>
0x5E4C=>0x5C22, # <CJK>
0x5E4D=>0x5C25, # <CJK>
0x5E4E=>0x5C2C, # <CJK>
0x5E4F=>0x5C34, # <CJK>
0x5E50=>0x624C, # <CJK>
0x5E51=>0x626A, # <CJK>
0x5E52=>0x629F, # <CJK>
0x5E53=>0x62BB, # <CJK>
0x5E54=>0x62CA, # <CJK>
0x5E55=>0x62DA, # <CJK>
0x5E56=>0x62D7, # <CJK>
0x5E57=>0x62EE, # <CJK>
0x5E58=>0x6322, # <CJK>
0x5E59=>0x62F6, # <CJK>
0x5E5A=>0x6339, # <CJK>
0x5E5B=>0x634B, # <CJK>
0x5E5C=>0x6343, # <CJK>
0x5E5D=>0x63AD, # <CJK>
0x5E5E=>0x63F6, # <CJK>
0x5E5F=>0x6371, # <CJK>
0x5E60=>0x637A, # <CJK>
0x5E61=>0x638E, # <CJK>
0x5E62=>0x63B4, # <CJK>
0x5E63=>0x636D, # <CJK>
0x5E64=>0x63AC, # <CJK>
0x5E65=>0x638A, # <CJK>
0x5E66=>0x6369, # <CJK>
0x5E67=>0x63AE, # <CJK>
0x5E68=>0x63BC, # <CJK>
0x5E69=>0x63F2, # <CJK>
0x5E6A=>0x63F8, # <CJK>
0x5E6B=>0x63E0, # <CJK>
0x5E6C=>0x63FF, # <CJK>
0x5E6D=>0x63C4, # <CJK>
0x5E6E=>0x63DE, # <CJK>
0x5E6F=>0x63CE, # <CJK>
0x5E70=>0x6452, # <CJK>
0x5E71=>0x63C6, # <CJK>
0x5E72=>0x63BE, # <CJK>
0x5E73=>0x6445, # <CJK>
0x5E74=>0x6441, # <CJK>
0x5E75=>0x640B, # <CJK>
0x5E76=>0x641B, # <CJK>
0x5E77=>0x6420, # <CJK>
0x5E78=>0x640C, # <CJK>
0x5E79=>0x6426, # <CJK>
0x5E7A=>0x6421, # <CJK>
0x5E7B=>0x645E, # <CJK>
0x5E7C=>0x6484, # <CJK>
0x5E7D=>0x646D, # <CJK>
0x5E7E=>0x6496, # <CJK>
0x5F21=>0x647A, # <CJK>
0x5F22=>0x64B7, # <CJK>
0x5F23=>0x64B8, # <CJK>
0x5F24=>0x6499, # <CJK>
0x5F25=>0x64BA, # <CJK>
0x5F26=>0x64C0, # <CJK>
0x5F27=>0x64D0, # <CJK>
0x5F28=>0x64D7, # <CJK>
0x5F29=>0x64E4, # <CJK>
0x5F2A=>0x64E2, # <CJK>
0x5F2B=>0x6509, # <CJK>
0x5F2C=>0x6525, # <CJK>
0x5F2D=>0x652E, # <CJK>
0x5F2E=>0x5F0B, # <CJK>
0x5F2F=>0x5FD2, # <CJK>
0x5F30=>0x7519, # <CJK>
0x5F31=>0x5F11, # <CJK>
0x5F32=>0x535F, # <CJK>
0x5F33=>0x53F1, # <CJK>
0x5F34=>0x53FD, # <CJK>
0x5F35=>0x53E9, # <CJK>
0x5F36=>0x53E8, # <CJK>
0x5F37=>0x53FB, # <CJK>
0x5F38=>0x5412, # <CJK>
0x5F39=>0x5416, # <CJK>
0x5F3A=>0x5406, # <CJK>
0x5F3B=>0x544B, # <CJK>
0x5F3C=>0x5452, # <CJK>
0x5F3D=>0x5453, # <CJK>
0x5F3E=>0x5454, # <CJK>
0x5F3F=>0x5456, # <CJK>
0x5F40=>0x5443, # <CJK>
0x5F41=>0x5421, # <CJK>
0x5F42=>0x5457, # <CJK>
0x5F43=>0x5459, # <CJK>
0x5F44=>0x5423, # <CJK>
0x5F45=>0x5432, # <CJK>
0x5F46=>0x5482, # <CJK>
0x5F47=>0x5494, # <CJK>
0x5F48=>0x5477, # <CJK>
0x5F49=>0x5471, # <CJK>
0x5F4A=>0x5464, # <CJK>
0x5F4B=>0x549A, # <CJK>
0x5F4C=>0x549B, # <CJK>
0x5F4D=>0x5484, # <CJK>
0x5F4E=>0x5476, # <CJK>
0x5F4F=>0x5466, # <CJK>
0x5F50=>0x549D, # <CJK>
0x5F51=>0x54D0, # <CJK>
0x5F52=>0x54AD, # <CJK>
0x5F53=>0x54C2, # <CJK>
0x5F54=>0x54B4, # <CJK>
0x5F55=>0x54D2, # <CJK>
0x5F56=>0x54A7, # <CJK>
0x5F57=>0x54A6, # <CJK>
0x5F58=>0x54D3, # <CJK>
0x5F59=>0x54D4, # <CJK>
0x5F5A=>0x5472, # <CJK>
0x5F5B=>0x54A3, # <CJK>
0x5F5C=>0x54D5, # <CJK>
0x5F5D=>0x54BB, # <CJK>
0x5F5E=>0x54BF, # <CJK>
0x5F5F=>0x54CC, # <CJK>
0x5F60=>0x54D9, # <CJK>
0x5F61=>0x54DA, # <CJK>
0x5F62=>0x54DC, # <CJK>
0x5F63=>0x54A9, # <CJK>
0x5F64=>0x54AA, # <CJK>
0x5F65=>0x54A4, # <CJK>
0x5F66=>0x54DD, # <CJK>
0x5F67=>0x54CF, # <CJK>
0x5F68=>0x54DE, # <CJK>
0x5F69=>0x551B, # <CJK>
0x5F6A=>0x54E7, # <CJK>
0x5F6B=>0x5520, # <CJK>
0x5F6C=>0x54FD, # <CJK>
0x5F6D=>0x5514, # <CJK>
0x5F6E=>0x54F3, # <CJK>
0x5F6F=>0x5522, # <CJK>
0x5F70=>0x5523, # <CJK>
0x5F71=>0x550F, # <CJK>
0x5F72=>0x5511, # <CJK>
0x5F73=>0x5527, # <CJK>
0x5F74=>0x552A, # <CJK>
0x5F75=>0x5567, # <CJK>
0x5F76=>0x558F, # <CJK>
0x5F77=>0x55B5, # <CJK>
0x5F78=>0x5549, # <CJK>
0x5F79=>0x556D, # <CJK>
0x5F7A=>0x5541, # <CJK>
0x5F7B=>0x5555, # <CJK>
0x5F7C=>0x553F, # <CJK>
0x5F7D=>0x5550, # <CJK>
0x5F7E=>0x553C, # <CJK>
0x6021=>0x5537, # <CJK>
0x6022=>0x5556, # <CJK>
0x6023=>0x5575, # <CJK>
0x6024=>0x5576, # <CJK>
0x6025=>0x5577, # <CJK>
0x6026=>0x5533, # <CJK>
0x6027=>0x5530, # <CJK>
0x6028=>0x555C, # <CJK>
0x6029=>0x558B, # <CJK>
0x602A=>0x55D2, # <CJK>
0x602B=>0x5583, # <CJK>
0x602C=>0x55B1, # <CJK>
0x602D=>0x55B9, # <CJK>
0x602E=>0x5588, # <CJK>
0x602F=>0x5581, # <CJK>
0x6030=>0x559F, # <CJK>
0x6031=>0x557E, # <CJK>
0x6032=>0x55D6, # <CJK>
0x6033=>0x5591, # <CJK>
0x6034=>0x557B, # <CJK>
0x6035=>0x55DF, # <CJK>
0x6036=>0x55BD, # <CJK>
0x6037=>0x55BE, # <CJK>
0x6038=>0x5594, # <CJK>
0x6039=>0x5599, # <CJK>
0x603A=>0x55EA, # <CJK>
0x603B=>0x55F7, # <CJK>
0x603C=>0x55C9, # <CJK>
0x603D=>0x561F, # <CJK>
0x603E=>0x55D1, # <CJK>
0x603F=>0x55EB, # <CJK>
0x6040=>0x55EC, # <CJK>
0x6041=>0x55D4, # <CJK>
0x6042=>0x55E6, # <CJK>
0x6043=>0x55DD, # <CJK>
0x6044=>0x55C4, # <CJK>
0x6045=>0x55EF, # <CJK>
0x6046=>0x55E5, # <CJK>
0x6047=>0x55F2, # <CJK>
0x6048=>0x55F3, # <CJK>
0x6049=>0x55CC, # <CJK>
0x604A=>0x55CD, # <CJK>
0x604B=>0x55E8, # <CJK>
0x604C=>0x55F5, # <CJK>
0x604D=>0x55E4, # <CJK>
0x604E=>0x8F94, # <CJK>
0x604F=>0x561E, # <CJK>
0x6050=>0x5608, # <CJK>
0x6051=>0x560C, # <CJK>
0x6052=>0x5601, # <CJK>
0x6053=>0x5624, # <CJK>
0x6054=>0x5623, # <CJK>
0x6055=>0x55FE, # <CJK>
0x6056=>0x5600, # <CJK>
0x6057=>0x5627, # <CJK>
0x6058=>0x562D, # <CJK>
0x6059=>0x5658, # <CJK>
0x605A=>0x5639, # <CJK>
0x605B=>0x5657, # <CJK>
0x605C=>0x562C, # <CJK>
0x605D=>0x564D, # <CJK>
0x605E=>0x5662, # <CJK>
0x605F=>0x5659, # <CJK>
0x6060=>0x565C, # <CJK>
0x6061=>0x564C, # <CJK>
0x6062=>0x5654, # <CJK>
0x6063=>0x5686, # <CJK>
0x6064=>0x5664, # <CJK>
0x6065=>0x5671, # <CJK>
0x6066=>0x566B, # <CJK>
0x6067=>0x567B, # <CJK>
0x6068=>0x567C, # <CJK>
0x6069=>0x5685, # <CJK>
0x606A=>0x5693, # <CJK>
0x606B=>0x56AF, # <CJK>
0x606C=>0x56D4, # <CJK>
0x606D=>0x56D7, # <CJK>
0x606E=>0x56DD, # <CJK>
0x606F=>0x56E1, # <CJK>
0x6070=>0x56F5, # <CJK>
0x6071=>0x56EB, # <CJK>
0x6072=>0x56F9, # <CJK>
0x6073=>0x56FF, # <CJK>
0x6074=>0x5704, # <CJK>
0x6075=>0x570A, # <CJK>
0x6076=>0x5709, # <CJK>
0x6077=>0x571C, # <CJK>
0x6078=>0x5E0F, # <CJK>
0x6079=>0x5E19, # <CJK>
0x607A=>0x5E14, # <CJK>
0x607B=>0x5E11, # <CJK>
0x607C=>0x5E31, # <CJK>
0x607D=>0x5E3B, # <CJK>
0x607E=>0x5E3C, # <CJK>
0x6121=>0x5E37, # <CJK>
0x6122=>0x5E44, # <CJK>
0x6123=>0x5E54, # <CJK>
0x6124=>0x5E5B, # <CJK>
0x6125=>0x5E5E, # <CJK>
0x6126=>0x5E61, # <CJK>
0x6127=>0x5C8C, # <CJK>
0x6128=>0x5C7A, # <CJK>
0x6129=>0x5C8D, # <CJK>
0x612A=>0x5C90, # <CJK>
0x612B=>0x5C96, # <CJK>
0x612C=>0x5C88, # <CJK>
0x612D=>0x5C98, # <CJK>
0x612E=>0x5C99, # <CJK>
0x612F=>0x5C91, # <CJK>
0x6130=>0x5C9A, # <CJK>
0x6131=>0x5C9C, # <CJK>
0x6132=>0x5CB5, # <CJK>
0x6133=>0x5CA2, # <CJK>
0x6134=>0x5CBD, # <CJK>
0x6135=>0x5CAC, # <CJK>
0x6136=>0x5CAB, # <CJK>
0x6137=>0x5CB1, # <CJK>
0x6138=>0x5CA3, # <CJK>
0x6139=>0x5CC1, # <CJK>
0x613A=>0x5CB7, # <CJK>
0x613B=>0x5CC4, # <CJK>
0x613C=>0x5CD2, # <CJK>
0x613D=>0x5CE4, # <CJK>
0x613E=>0x5CCB, # <CJK>
0x613F=>0x5CE5, # <CJK>
0x6140=>0x5D02, # <CJK>
0x6141=>0x5D03, # <CJK>
0x6142=>0x5D27, # <CJK>
0x6143=>0x5D26, # <CJK>
0x6144=>0x5D2E, # <CJK>
0x6145=>0x5D24, # <CJK>
0x6146=>0x5D1E, # <CJK>
0x6147=>0x5D06, # <CJK>
0x6148=>0x5D1B, # <CJK>
0x6149=>0x5D58, # <CJK>
0x614A=>0x5D3E, # <CJK>
0x614B=>0x5D34, # <CJK>
0x614C=>0x5D3D, # <CJK>
0x614D=>0x5D6C, # <CJK>
0x614E=>0x5D5B, # <CJK>
0x614F=>0x5D6F, # <CJK>
0x6150=>0x5D5D, # <CJK>
0x6151=>0x5D6B, # <CJK>
0x6152=>0x5D4B, # <CJK>
0x6153=>0x5D4A, # <CJK>
0x6154=>0x5D69, # <CJK>
0x6155=>0x5D74, # <CJK>
0x6156=>0x5D82, # <CJK>
0x6157=>0x5D99, # <CJK>
0x6158=>0x5D9D, # <CJK>
0x6159=>0x8C73, # <CJK>
0x615A=>0x5DB7, # <CJK>
0x615B=>0x5DC5, # <CJK>
0x615C=>0x5F73, # <CJK>
0x615D=>0x5F77, # <CJK>
0x615E=>0x5F82, # <CJK>
0x615F=>0x5F87, # <CJK>
0x6160=>0x5F89, # <CJK>
0x6161=>0x5F8C, # <CJK>
0x6162=>0x5F95, # <CJK>
0x6163=>0x5F99, # <CJK>
0x6164=>0x5F9C, # <CJK>
0x6165=>0x5FA8, # <CJK>
0x6166=>0x5FAD, # <CJK>
0x6167=>0x5FB5, # <CJK>
0x6168=>0x5FBC, # <CJK>
0x6169=>0x8862, # <CJK>
0x616A=>0x5F61, # <CJK>
0x616B=>0x72AD, # <CJK>
0x616C=>0x72B0, # <CJK>
0x616D=>0x72B4, # <CJK>
0x616E=>0x72B7, # <CJK>
0x616F=>0x72B8, # <CJK>
0x6170=>0x72C3, # <CJK>
0x6171=>0x72C1, # <CJK>
0x6172=>0x72CE, # <CJK>
0x6173=>0x72CD, # <CJK>
0x6174=>0x72D2, # <CJK>
0x6175=>0x72E8, # <CJK>
0x6176=>0x72EF, # <CJK>
0x6177=>0x72E9, # <CJK>
0x6178=>0x72F2, # <CJK>
0x6179=>0x72F4, # <CJK>
0x617A=>0x72F7, # <CJK>
0x617B=>0x7301, # <CJK>
0x617C=>0x72F3, # <CJK>
0x617D=>0x7303, # <CJK>
0x617E=>0x72FA, # <CJK>
0x6221=>0x72FB, # <CJK>
0x6222=>0x7317, # <CJK>
0x6223=>0x7313, # <CJK>
0x6224=>0x7321, # <CJK>
0x6225=>0x730A, # <CJK>
0x6226=>0x731E, # <CJK>
0x6227=>0x731D, # <CJK>
0x6228=>0x7315, # <CJK>
0x6229=>0x7322, # <CJK>
0x622A=>0x7339, # <CJK>
0x622B=>0x7325, # <CJK>
0x622C=>0x732C, # <CJK>
0x622D=>0x7338, # <CJK>
0x622E=>0x7331, # <CJK>
0x622F=>0x7350, # <CJK>
0x6230=>0x734D, # <CJK>
0x6231=>0x7357, # <CJK>
0x6232=>0x7360, # <CJK>
0x6233=>0x736C, # <CJK>
0x6234=>0x736F, # <CJK>
0x6235=>0x737E, # <CJK>
0x6236=>0x821B, # <CJK>
0x6237=>0x5925, # <CJK>
0x6238=>0x98E7, # <CJK>
0x6239=>0x5924, # <CJK>
0x623A=>0x5902, # <CJK>
0x623B=>0x9963, # <CJK>
0x623C=>0x9967, # <CJK>
0x623D=>0x9968, # <CJK>
0x623E=>0x9969, # <CJK>
0x623F=>0x996A, # <CJK>
0x6240=>0x996B, # <CJK>
0x6241=>0x996C, # <CJK>
0x6242=>0x9974, # <CJK>
0x6243=>0x9977, # <CJK>
0x6244=>0x997D, # <CJK>
0x6245=>0x9980, # <CJK>
0x6246=>0x9984, # <CJK>
0x6247=>0x9987, # <CJK>
0x6248=>0x998A, # <CJK>
0x6249=>0x998D, # <CJK>
0x624A=>0x9990, # <CJK>
0x624B=>0x9991, # <CJK>
0x624C=>0x9993, # <CJK>
0x624D=>0x9994, # <CJK>
0x624E=>0x9995, # <CJK>
0x624F=>0x5E80, # <CJK>
0x6250=>0x5E91, # <CJK>
0x6251=>0x5E8B, # <CJK>
0x6252=>0x5E96, # <CJK>
0x6253=>0x5EA5, # <CJK>
0x6254=>0x5EA0, # <CJK>
0x6255=>0x5EB9, # <CJK>
0x6256=>0x5EB5, # <CJK>
0x6257=>0x5EBE, # <CJK>
0x6258=>0x5EB3, # <CJK>
0x6259=>0x8D53, # <CJK>
0x625A=>0x5ED2, # <CJK>
0x625B=>0x5ED1, # <CJK>
0x625C=>0x5EDB, # <CJK>
0x625D=>0x5EE8, # <CJK>
0x625E=>0x5EEA, # <CJK>
0x625F=>0x81BA, # <CJK>
0x6260=>0x5FC4, # <CJK>
0x6261=>0x5FC9, # <CJK>
0x6262=>0x5FD6, # <CJK>
0x6263=>0x5FCF, # <CJK>
0x6264=>0x6003, # <CJK>
0x6265=>0x5FEE, # <CJK>
0x6266=>0x6004, # <CJK>
0x6267=>0x5FE1, # <CJK>
0x6268=>0x5FE4, # <CJK>
0x6269=>0x5FFE, # <CJK>
0x626A=>0x6005, # <CJK>
0x626B=>0x6006, # <CJK>
0x626C=>0x5FEA, # <CJK>
0x626D=>0x5FED, # <CJK>
0x626E=>0x5FF8, # <CJK>
0x626F=>0x6019, # <CJK>
0x6270=>0x6035, # <CJK>
0x6271=>0x6026, # <CJK>
0x6272=>0x601B, # <CJK>
0x6273=>0x600F, # <CJK>
0x6274=>0x600D, # <CJK>
0x6275=>0x6029, # <CJK>
0x6276=>0x602B, # <CJK>
0x6277=>0x600A, # <CJK>
0x6278=>0x603F, # <CJK>
0x6279=>0x6021, # <CJK>
0x627A=>0x6078, # <CJK>
0x627B=>0x6079, # <CJK>
0x627C=>0x607B, # <CJK>
0x627D=>0x607A, # <CJK>
0x627E=>0x6042, # <CJK>
0x6321=>0x606A, # <CJK>
0x6322=>0x607D, # <CJK>
0x6323=>0x6096, # <CJK>
0x6324=>0x609A, # <CJK>
0x6325=>0x60AD, # <CJK>
0x6326=>0x609D, # <CJK>
0x6327=>0x6083, # <CJK>
0x6328=>0x6092, # <CJK>
0x6329=>0x608C, # <CJK>
0x632A=>0x609B, # <CJK>
0x632B=>0x60EC, # <CJK>
0x632C=>0x60BB, # <CJK>
0x632D=>0x60B1, # <CJK>
0x632E=>0x60DD, # <CJK>
0x632F=>0x60D8, # <CJK>
0x6330=>0x60C6, # <CJK>
0x6331=>0x60DA, # <CJK>
0x6332=>0x60B4, # <CJK>
0x6333=>0x6120, # <CJK>
0x6334=>0x6126, # <CJK>
0x6335=>0x6115, # <CJK>
0x6336=>0x6123, # <CJK>
0x6337=>0x60F4, # <CJK>
0x6338=>0x6100, # <CJK>
0x6339=>0x610E, # <CJK>
0x633A=>0x612B, # <CJK>
0x633B=>0x614A, # <CJK>
0x633C=>0x6175, # <CJK>
0x633D=>0x61AC, # <CJK>
0x633E=>0x6194, # <CJK>
0x633F=>0x61A7, # <CJK>
0x6340=>0x61B7, # <CJK>
0x6341=>0x61D4, # <CJK>
0x6342=>0x61F5, # <CJK>
0x6343=>0x5FDD, # <CJK>
0x6344=>0x96B3, # <CJK>
0x6345=>0x95E9, # <CJK>
0x6346=>0x95EB, # <CJK>
0x6347=>0x95F1, # <CJK>
0x6348=>0x95F3, # <CJK>
0x6349=>0x95F5, # <CJK>
0x634A=>0x95F6, # <CJK>
0x634B=>0x95FC, # <CJK>
0x634C=>0x95FE, # <CJK>
0x634D=>0x9603, # <CJK>
0x634E=>0x9604, # <CJK>
0x634F=>0x9606, # <CJK>
0x6350=>0x9608, # <CJK>
0x6351=>0x960A, # <CJK>
0x6352=>0x960B, # <CJK>
0x6353=>0x960C, # <CJK>
0x6354=>0x960D, # <CJK>
0x6355=>0x960F, # <CJK>
0x6356=>0x9612, # <CJK>
0x6357=>0x9615, # <CJK>
0x6358=>0x9616, # <CJK>
0x6359=>0x9617, # <CJK>
0x635A=>0x9619, # <CJK>
0x635B=>0x961A, # <CJK>
0x635C=>0x4E2C, # <CJK>
0x635D=>0x723F, # <CJK>
0x635E=>0x6215, # <CJK>
0x635F=>0x6C35, # <CJK>
0x6360=>0x6C54, # <CJK>
0x6361=>0x6C5C, # <CJK>
0x6362=>0x6C4A, # <CJK>
0x6363=>0x6CA3, # <CJK>
0x6364=>0x6C85, # <CJK>
0x6365=>0x6C90, # <CJK>
0x6366=>0x6C94, # <CJK>
0x6367=>0x6C8C, # <CJK>
0x6368=>0x6C68, # <CJK>
0x6369=>0x6C69, # <CJK>
0x636A=>0x6C74, # <CJK>
0x636B=>0x6C76, # <CJK>
0x636C=>0x6C86, # <CJK>
0x636D=>0x6CA9, # <CJK>
0x636E=>0x6CD0, # <CJK>
0x636F=>0x6CD4, # <CJK>
0x6370=>0x6CAD, # <CJK>
0x6371=>0x6CF7, # <CJK>
0x6372=>0x6CF8, # <CJK>
0x6373=>0x6CF1, # <CJK>
0x6374=>0x6CD7, # <CJK>
0x6375=>0x6CB2, # <CJK>
0x6376=>0x6CE0, # <CJK>
0x6377=>0x6CD6, # <CJK>
0x6378=>0x6CFA, # <CJK>
0x6379=>0x6CEB, # <CJK>
0x637A=>0x6CEE, # <CJK>
0x637B=>0x6CB1, # <CJK>
0x637C=>0x6CD3, # <CJK>
0x637D=>0x6CEF, # <CJK>
0x637E=>0x6CFE, # <CJK>
0x6421=>0x6D39, # <CJK>
0x6422=>0x6D27, # <CJK>
0x6423=>0x6D0C, # <CJK>
0x6424=>0x6D43, # <CJK>
0x6425=>0x6D48, # <CJK>
0x6426=>0x6D07, # <CJK>
0x6427=>0x6D04, # <CJK>
0x6428=>0x6D19, # <CJK>
0x6429=>0x6D0E, # <CJK>
0x642A=>0x6D2B, # <CJK>
0x642B=>0x6D4D, # <CJK>
0x642C=>0x6D2E, # <CJK>
0x642D=>0x6D35, # <CJK>
0x642E=>0x6D1A, # <CJK>
0x642F=>0x6D4F, # <CJK>
0x6430=>0x6D52, # <CJK>
0x6431=>0x6D54, # <CJK>
0x6432=>0x6D33, # <CJK>
0x6433=>0x6D91, # <CJK>
0x6434=>0x6D6F, # <CJK>
0x6435=>0x6D9E, # <CJK>
0x6436=>0x6DA0, # <CJK>
0x6437=>0x6D5E, # <CJK>
0x6438=>0x6D93, # <CJK>
0x6439=>0x6D94, # <CJK>
0x643A=>0x6D5C, # <CJK>
0x643B=>0x6D60, # <CJK>
0x643C=>0x6D7C, # <CJK>
0x643D=>0x6D63, # <CJK>
0x643E=>0x6E1A, # <CJK>
0x643F=>0x6DC7, # <CJK>
0x6440=>0x6DC5, # <CJK>
0x6441=>0x6DDE, # <CJK>
0x6442=>0x6E0E, # <CJK>
0x6443=>0x6DBF, # <CJK>
0x6444=>0x6DE0, # <CJK>
0x6445=>0x6E11, # <CJK>
0x6446=>0x6DE6, # <CJK>
0x6447=>0x6DDD, # <CJK>
0x6448=>0x6DD9, # <CJK>
0x6449=>0x6E16, # <CJK>
0x644A=>0x6DAB, # <CJK>
0x644B=>0x6E0C, # <CJK>
0x644C=>0x6DAE, # <CJK>
0x644D=>0x6E2B, # <CJK>
0x644E=>0x6E6E, # <CJK>
0x644F=>0x6E4E, # <CJK>
0x6450=>0x6E6B, # <CJK>
0x6451=>0x6EB2, # <CJK>
0x6452=>0x6E5F, # <CJK>
0x6453=>0x6E86, # <CJK>
0x6454=>0x6E53, # <CJK>
0x6455=>0x6E54, # <CJK>
0x6456=>0x6E32, # <CJK>
0x6457=>0x6E25, # <CJK>
0x6458=>0x6E44, # <CJK>
0x6459=>0x6EDF, # <CJK>
0x645A=>0x6EB1, # <CJK>
0x645B=>0x6E98, # <CJK>
0x645C=>0x6EE0, # <CJK>
0x645D=>0x6F2D, # <CJK>
0x645E=>0x6EE2, # <CJK>
0x645F=>0x6EA5, # <CJK>
0x6460=>0x6EA7, # <CJK>
0x6461=>0x6EBD, # <CJK>
0x6462=>0x6EBB, # <CJK>
0x6463=>0x6EB7, # <CJK>
0x6464=>0x6ED7, # <CJK>
0x6465=>0x6EB4, # <CJK>
0x6466=>0x6ECF, # <CJK>
0x6467=>0x6E8F, # <CJK>
0x6468=>0x6EC2, # <CJK>
0x6469=>0x6E9F, # <CJK>
0x646A=>0x6F62, # <CJK>
0x646B=>0x6F46, # <CJK>
0x646C=>0x6F47, # <CJK>
0x646D=>0x6F24, # <CJK>
0x646E=>0x6F15, # <CJK>
0x646F=>0x6EF9, # <CJK>
0x6470=>0x6F2F, # <CJK>
0x6471=>0x6F36, # <CJK>
0x6472=>0x6F4B, # <CJK>
0x6473=>0x6F74, # <CJK>
0x6474=>0x6F2A, # <CJK>
0x6475=>0x6F09, # <CJK>
0x6476=>0x6F29, # <CJK>
0x6477=>0x6F89, # <CJK>
0x6478=>0x6F8D, # <CJK>
0x6479=>0x6F8C, # <CJK>
0x647A=>0x6F78, # <CJK>
0x647B=>0x6F72, # <CJK>
0x647C=>0x6F7C, # <CJK>
0x647D=>0x6F7A, # <CJK>
0x647E=>0x6FD1, # <CJK>
0x6521=>0x6FC9, # <CJK>
0x6522=>0x6FA7, # <CJK>
0x6523=>0x6FB9, # <CJK>
0x6524=>0x6FB6, # <CJK>
0x6525=>0x6FC2, # <CJK>
0x6526=>0x6FE1, # <CJK>
0x6527=>0x6FEE, # <CJK>
0x6528=>0x6FDE, # <CJK>
0x6529=>0x6FE0, # <CJK>
0x652A=>0x6FEF, # <CJK>
0x652B=>0x701A, # <CJK>
0x652C=>0x7023, # <CJK>
0x652D=>0x701B, # <CJK>
0x652E=>0x7039, # <CJK>
0x652F=>0x7035, # <CJK>
0x6530=>0x704F, # <CJK>
0x6531=>0x705E, # <CJK>
0x6532=>0x5B80, # <CJK>
0x6533=>0x5B84, # <CJK>
0x6534=>0x5B95, # <CJK>
0x6535=>0x5B93, # <CJK>
0x6536=>0x5BA5, # <CJK>
0x6537=>0x5BB8, # <CJK>
0x6538=>0x752F, # <CJK>
0x6539=>0x9A9E, # <CJK>
0x653A=>0x6434, # <CJK>
0x653B=>0x5BE4, # <CJK>
0x653C=>0x5BEE, # <CJK>
0x653D=>0x8930, # <CJK>
0x653E=>0x5BF0, # <CJK>
0x653F=>0x8E47, # <CJK>
0x6540=>0x8B07, # <CJK>
0x6541=>0x8FB6, # <CJK>
0x6542=>0x8FD3, # <CJK>
0x6543=>0x8FD5, # <CJK>
0x6544=>0x8FE5, # <CJK>
0x6545=>0x8FEE, # <CJK>
0x6546=>0x8FE4, # <CJK>
0x6547=>0x8FE9, # <CJK>
0x6548=>0x8FE6, # <CJK>
0x6549=>0x8FF3, # <CJK>
0x654A=>0x8FE8, # <CJK>
0x654B=>0x9005, # <CJK>
0x654C=>0x9004, # <CJK>
0x654D=>0x900B, # <CJK>
0x654E=>0x9026, # <CJK>
0x654F=>0x9011, # <CJK>
0x6550=>0x900D, # <CJK>
0x6551=>0x9016, # <CJK>
0x6552=>0x9021, # <CJK>
0x6553=>0x9035, # <CJK>
0x6554=>0x9036, # <CJK>
0x6555=>0x902D, # <CJK>
0x6556=>0x902F, # <CJK>
0x6557=>0x9044, # <CJK>
0x6558=>0x9051, # <CJK>
0x6559=>0x9052, # <CJK>
0x655A=>0x9050, # <CJK>
0x655B=>0x9068, # <CJK>
0x655C=>0x9058, # <CJK>
0x655D=>0x9062, # <CJK>
0x655E=>0x905B, # <CJK>
0x655F=>0x66B9, # <CJK>
0x6560=>0x9074, # <CJK>
0x6561=>0x907D, # <CJK>
0x6562=>0x9082, # <CJK>
0x6563=>0x9088, # <CJK>
0x6564=>0x9083, # <CJK>
0x6565=>0x908B, # <CJK>
0x6566=>0x5F50, # <CJK>
0x6567=>0x5F57, # <CJK>
0x6568=>0x5F56, # <CJK>
0x6569=>0x5F58, # <CJK>
0x656A=>0x5C3B, # <CJK>
0x656B=>0x54AB, # <CJK>
0x656C=>0x5C50, # <CJK>
0x656D=>0x5C59, # <CJK>
0x656E=>0x5B71, # <CJK>
0x656F=>0x5C63, # <CJK>
0x6570=>0x5C66, # <CJK>
0x6571=>0x7FBC, # <CJK>
0x6572=>0x5F2A, # <CJK>
0x6573=>0x5F29, # <CJK>
0x6574=>0x5F2D, # <CJK>
0x6575=>0x8274, # <CJK>
0x6576=>0x5F3C, # <CJK>
0x6577=>0x9B3B, # <CJK>
0x6578=>0x5C6E, # <CJK>
0x6579=>0x5981, # <CJK>
0x657A=>0x5983, # <CJK>
0x657B=>0x598D, # <CJK>
0x657C=>0x59A9, # <CJK>
0x657D=>0x59AA, # <CJK>
0x657E=>0x59A3, # <CJK>
0x6621=>0x5997, # <CJK>
0x6622=>0x59CA, # <CJK>
0x6623=>0x59AB, # <CJK>
0x6624=>0x599E, # <CJK>
0x6625=>0x59A4, # <CJK>
0x6626=>0x59D2, # <CJK>
0x6627=>0x59B2, # <CJK>
0x6628=>0x59AF, # <CJK>
0x6629=>0x59D7, # <CJK>
0x662A=>0x59BE, # <CJK>
0x662B=>0x5A05, # <CJK>
0x662C=>0x5A06, # <CJK>
0x662D=>0x59DD, # <CJK>
0x662E=>0x5A08, # <CJK>
0x662F=>0x59E3, # <CJK>
0x6630=>0x59D8, # <CJK>
0x6631=>0x59F9, # <CJK>
0x6632=>0x5A0C, # <CJK>
0x6633=>0x5A09, # <CJK>
0x6634=>0x5A32, # <CJK>
0x6635=>0x5A34, # <CJK>
0x6636=>0x5A11, # <CJK>
0x6637=>0x5A23, # <CJK>
0x6638=>0x5A13, # <CJK>
0x6639=>0x5A40, # <CJK>
0x663A=>0x5A67, # <CJK>
0x663B=>0x5A4A, # <CJK>
0x663C=>0x5A55, # <CJK>
0x663D=>0x5A3C, # <CJK>
0x663E=>0x5A62, # <CJK>
0x663F=>0x5A75, # <CJK>
0x6640=>0x80EC, # <CJK>
0x6641=>0x5AAA, # <CJK>
0x6642=>0x5A9B, # <CJK>
0x6643=>0x5A77, # <CJK>
0x6644=>0x5A7A, # <CJK>
0x6645=>0x5ABE, # <CJK>
0x6646=>0x5AEB, # <CJK>
0x6647=>0x5AB2, # <CJK>
0x6648=>0x5AD2, # <CJK>
0x6649=>0x5AD4, # <CJK>
0x664A=>0x5AB8, # <CJK>
0x664B=>0x5AE0, # <CJK>
0x664C=>0x5AE3, # <CJK>
0x664D=>0x5AF1, # <CJK>
0x664E=>0x5AD6, # <CJK>
0x664F=>0x5AE6, # <CJK>
0x6650=>0x5AD8, # <CJK>
0x6651=>0x5ADC, # <CJK>
0x6652=>0x5B09, # <CJK>
0x6653=>0x5B17, # <CJK>
0x6654=>0x5B16, # <CJK>
0x6655=>0x5B32, # <CJK>
0x6656=>0x5B37, # <CJK>
0x6657=>0x5B40, # <CJK>
0x6658=>0x5C15, # <CJK>
0x6659=>0x5C1C, # <CJK>
0x665A=>0x5B5A, # <CJK>
0x665B=>0x5B65, # <CJK>
0x665C=>0x5B73, # <CJK>
0x665D=>0x5B51, # <CJK>
0x665E=>0x5B53, # <CJK>
0x665F=>0x5B62, # <CJK>
0x6660=>0x9A75, # <CJK>
0x6661=>0x9A77, # <CJK>
0x6662=>0x9A78, # <CJK>
0x6663=>0x9A7A, # <CJK>
0x6664=>0x9A7F, # <CJK>
0x6665=>0x9A7D, # <CJK>
0x6666=>0x9A80, # <CJK>
0x6667=>0x9A81, # <CJK>
0x6668=>0x9A85, # <CJK>
0x6669=>0x9A88, # <CJK>
0x666A=>0x9A8A, # <CJK>
0x666B=>0x9A90, # <CJK>
0x666C=>0x9A92, # <CJK>
0x666D=>0x9A93, # <CJK>
0x666E=>0x9A96, # <CJK>
0x666F=>0x9A98, # <CJK>
0x6670=>0x9A9B, # <CJK>
0x6671=>0x9A9C, # <CJK>
0x6672=>0x9A9D, # <CJK>
0x6673=>0x9A9F, # <CJK>
0x6674=>0x9AA0, # <CJK>
0x6675=>0x9AA2, # <CJK>
0x6676=>0x9AA3, # <CJK>
0x6677=>0x9AA5, # <CJK>
0x6678=>0x9AA7, # <CJK>
0x6679=>0x7E9F, # <CJK>
0x667A=>0x7EA1, # <CJK>
0x667B=>0x7EA3, # <CJK>
0x667C=>0x7EA5, # <CJK>
0x667D=>0x7EA8, # <CJK>
0x667E=>0x7EA9, # <CJK>
0x6721=>0x7EAD, # <CJK>
0x6722=>0x7EB0, # <CJK>
0x6723=>0x7EBE, # <CJK>
0x6724=>0x7EC0, # <CJK>
0x6725=>0x7EC1, # <CJK>
0x6726=>0x7EC2, # <CJK>
0x6727=>0x7EC9, # <CJK>
0x6728=>0x7ECB, # <CJK>
0x6729=>0x7ECC, # <CJK>
0x672A=>0x7ED0, # <CJK>
0x672B=>0x7ED4, # <CJK>
0x672C=>0x7ED7, # <CJK>
0x672D=>0x7EDB, # <CJK>
0x672E=>0x7EE0, # <CJK>
0x672F=>0x7EE1, # <CJK>
0x6730=>0x7EE8, # <CJK>
0x6731=>0x7EEB, # <CJK>
0x6732=>0x7EEE, # <CJK>
0x6733=>0x7EEF, # <CJK>
0x6734=>0x7EF1, # <CJK>
0x6735=>0x7EF2, # <CJK>
0x6736=>0x7F0D, # <CJK>
0x6737=>0x7EF6, # <CJK>
0x6738=>0x7EFA, # <CJK>
0x6739=>0x7EFB, # <CJK>
0x673A=>0x7EFE, # <CJK>
0x673B=>0x7F01, # <CJK>
0x673C=>0x7F02, # <CJK>
0x673D=>0x7F03, # <CJK>
0x673E=>0x7F07, # <CJK>
0x673F=>0x7F08, # <CJK>
0x6740=>0x7F0B, # <CJK>
0x6741=>0x7F0C, # <CJK>
0x6742=>0x7F0F, # <CJK>
0x6743=>0x7F11, # <CJK>
0x6744=>0x7F12, # <CJK>
0x6745=>0x7F17, # <CJK>
0x6746=>0x7F19, # <CJK>
0x6747=>0x7F1C, # <CJK>
0x6748=>0x7F1B, # <CJK>
0x6749=>0x7F1F, # <CJK>
0x674A=>0x7F21, # <CJK>
0x674B=>0x7F22, # <CJK>
0x674C=>0x7F23, # <CJK>
0x674D=>0x7F24, # <CJK>
0x674E=>0x7F25, # <CJK>
0x674F=>0x7F26, # <CJK>
0x6750=>0x7F27, # <CJK>
0x6751=>0x7F2A, # <CJK>
0x6752=>0x7F2B, # <CJK>
0x6753=>0x7F2C, # <CJK>
0x6754=>0x7F2D, # <CJK>
0x6755=>0x7F2F, # <CJK>
0x6756=>0x7F30, # <CJK>
0x6757=>0x7F31, # <CJK>
0x6758=>0x7F32, # <CJK>
0x6759=>0x7F33, # <CJK>
0x675A=>0x7F35, # <CJK>
0x675B=>0x5E7A, # <CJK>
0x675C=>0x757F, # <CJK>
0x675D=>0x5DDB, # <CJK>
0x675E=>0x753E, # <CJK>
0x675F=>0x9095, # <CJK>
0x6760=>0x738E, # <CJK>
0x6761=>0x7391, # <CJK>
0x6762=>0x73AE, # <CJK>
0x6763=>0x73A2, # <CJK>
0x6764=>0x739F, # <CJK>
0x6765=>0x73CF, # <CJK>
0x6766=>0x73C2, # <CJK>
0x6767=>0x73D1, # <CJK>
0x6768=>0x73B7, # <CJK>
0x6769=>0x73B3, # <CJK>
0x676A=>0x73C0, # <CJK>
0x676B=>0x73C9, # <CJK>
0x676C=>0x73C8, # <CJK>
0x676D=>0x73E5, # <CJK>
0x676E=>0x73D9, # <CJK>
0x676F=>0x987C, # <CJK>
0x6770=>0x740A, # <CJK>
0x6771=>0x73E9, # <CJK>
0x6772=>0x73E7, # <CJK>
0x6773=>0x73DE, # <CJK>
0x6774=>0x73BA, # <CJK>
0x6775=>0x73F2, # <CJK>
0x6776=>0x740F, # <CJK>
0x6777=>0x742A, # <CJK>
0x6778=>0x745B, # <CJK>
0x6779=>0x7426, # <CJK>
0x677A=>0x7425, # <CJK>
0x677B=>0x7428, # <CJK>
0x677C=>0x7430, # <CJK>
0x677D=>0x742E, # <CJK>
0x677E=>0x742C, # <CJK>
0x6821=>0x741B, # <CJK>
0x6822=>0x741A, # <CJK>
0x6823=>0x7441, # <CJK>
0x6824=>0x745C, # <CJK>
0x6825=>0x7457, # <CJK>
0x6826=>0x7455, # <CJK>
0x6827=>0x7459, # <CJK>
0x6828=>0x7477, # <CJK>
0x6829=>0x746D, # <CJK>
0x682A=>0x747E, # <CJK>
0x682B=>0x749C, # <CJK>
0x682C=>0x748E, # <CJK>
0x682D=>0x7480, # <CJK>
0x682E=>0x7481, # <CJK>
0x682F=>0x7487, # <CJK>
0x6830=>0x748B, # <CJK>
0x6831=>0x749E, # <CJK>
0x6832=>0x74A8, # <CJK>
0x6833=>0x74A9, # <CJK>
0x6834=>0x7490, # <CJK>
0x6835=>0x74A7, # <CJK>
0x6836=>0x74D2, # <CJK>
0x6837=>0x74BA, # <CJK>
0x6838=>0x97EA, # <CJK>
0x6839=>0x97EB, # <CJK>
0x683A=>0x97EC, # <CJK>
0x683B=>0x674C, # <CJK>
0x683C=>0x6753, # <CJK>
0x683D=>0x675E, # <CJK>
0x683E=>0x6748, # <CJK>
0x683F=>0x6769, # <CJK>
0x6840=>0x67A5, # <CJK>
0x6841=>0x6787, # <CJK>
0x6842=>0x676A, # <CJK>
0x6843=>0x6773, # <CJK>
0x6844=>0x6798, # <CJK>
0x6845=>0x67A7, # <CJK>
0x6846=>0x6775, # <CJK>
0x6847=>0x67A8, # <CJK>
0x6848=>0x679E, # <CJK>
0x6849=>0x67AD, # <CJK>
0x684A=>0x678B, # <CJK>
0x684B=>0x6777, # <CJK>
0x684C=>0x677C, # <CJK>
0x684D=>0x67F0, # <CJK>
0x684E=>0x6809, # <CJK>
0x684F=>0x67D8, # <CJK>
0x6850=>0x680A, # <CJK>
0x6851=>0x67E9, # <CJK>
0x6852=>0x67B0, # <CJK>
0x6853=>0x680C, # <CJK>
0x6854=>0x67D9, # <CJK>
0x6855=>0x67B5, # <CJK>
0x6856=>0x67DA, # <CJK>
0x6857=>0x67B3, # <CJK>
0x6858=>0x67DD, # <CJK>
0x6859=>0x6800, # <CJK>
0x685A=>0x67C3, # <CJK>
0x685B=>0x67B8, # <CJK>
0x685C=>0x67E2, # <CJK>
0x685D=>0x680E, # <CJK>
0x685E=>0x67C1, # <CJK>
0x685F=>0x67FD, # <CJK>
0x6860=>0x6832, # <CJK>
0x6861=>0x6833, # <CJK>
0x6862=>0x6860, # <CJK>
0x6863=>0x6861, # <CJK>
0x6864=>0x684E, # <CJK>
0x6865=>0x6862, # <CJK>
0x6866=>0x6844, # <CJK>
0x6867=>0x6864, # <CJK>
0x6868=>0x6883, # <CJK>
0x6869=>0x681D, # <CJK>
0x686A=>0x6855, # <CJK>
0x686B=>0x6866, # <CJK>
0x686C=>0x6841, # <CJK>
0x686D=>0x6867, # <CJK>
0x686E=>0x6840, # <CJK>
0x686F=>0x683E, # <CJK>
0x6870=>0x684A, # <CJK>
0x6871=>0x6849, # <CJK>
0x6872=>0x6829, # <CJK>
0x6873=>0x68B5, # <CJK>
0x6874=>0x688F, # <CJK>
0x6875=>0x6874, # <CJK>
0x6876=>0x6877, # <CJK>
0x6877=>0x6893, # <CJK>
0x6878=>0x686B, # <CJK>
0x6879=>0x68C2, # <CJK>
0x687A=>0x696E, # <CJK>
0x687B=>0x68FC, # <CJK>
0x687C=>0x691F, # <CJK>
0x687D=>0x6920, # <CJK>
0x687E=>0x68F9, # <CJK>
0x6921=>0x6924, # <CJK>
0x6922=>0x68F0, # <CJK>
0x6923=>0x690B, # <CJK>
0x6924=>0x6901, # <CJK>
0x6925=>0x6957, # <CJK>
0x6926=>0x68E3, # <CJK>
0x6927=>0x6910, # <CJK>
0x6928=>0x6971, # <CJK>
0x6929=>0x6939, # <CJK>
0x692A=>0x6960, # <CJK>
0x692B=>0x6942, # <CJK>
0x692C=>0x695D, # <CJK>
0x692D=>0x6984, # <CJK>
0x692E=>0x696B, # <CJK>
0x692F=>0x6980, # <CJK>
0x6930=>0x6998, # <CJK>
0x6931=>0x6978, # <CJK>
0x6932=>0x6934, # <CJK>
0x6933=>0x69CC, # <CJK>
0x6934=>0x6987, # <CJK>
0x6935=>0x6988, # <CJK>
0x6936=>0x69CE, # <CJK>
0x6937=>0x6989, # <CJK>
0x6938=>0x6966, # <CJK>
0x6939=>0x6963, # <CJK>
0x693A=>0x6979, # <CJK>
0x693B=>0x699B, # <CJK>
0x693C=>0x69A7, # <CJK>
0x693D=>0x69BB, # <CJK>
0x693E=>0x69AB, # <CJK>
0x693F=>0x69AD, # <CJK>
0x6940=>0x69D4, # <CJK>
0x6941=>0x69B1, # <CJK>
0x6942=>0x69C1, # <CJK>
0x6943=>0x69CA, # <CJK>
0x6944=>0x69DF, # <CJK>
0x6945=>0x6995, # <CJK>
0x6946=>0x69E0, # <CJK>
0x6947=>0x698D, # <CJK>
0x6948=>0x69FF, # <CJK>
0x6949=>0x6A2F, # <CJK>
0x694A=>0x69ED, # <CJK>
0x694B=>0x6A17, # <CJK>
0x694C=>0x6A18, # <CJK>
0x694D=>0x6A65, # <CJK>
0x694E=>0x69F2, # <CJK>
0x694F=>0x6A44, # <CJK>
0x6950=>0x6A3E, # <CJK>
0x6951=>0x6AA0, # <CJK>
0x6952=>0x6A50, # <CJK>
0x6953=>0x6A5B, # <CJK>
0x6954=>0x6A35, # <CJK>
0x6955=>0x6A8E, # <CJK>
0x6956=>0x6A79, # <CJK>
0x6957=>0x6A3D, # <CJK>
0x6958=>0x6A28, # <CJK>
0x6959=>0x6A58, # <CJK>
0x695A=>0x6A7C, # <CJK>
0x695B=>0x6A91, # <CJK>
0x695C=>0x6A90, # <CJK>
0x695D=>0x6AA9, # <CJK>
0x695E=>0x6A97, # <CJK>
0x695F=>0x6AAB, # <CJK>
0x6960=>0x7337, # <CJK>
0x6961=>0x7352, # <CJK>
0x6962=>0x6B81, # <CJK>
0x6963=>0x6B82, # <CJK>
0x6964=>0x6B87, # <CJK>
0x6965=>0x6B84, # <CJK>
0x6966=>0x6B92, # <CJK>
0x6967=>0x6B93, # <CJK>
0x6968=>0x6B8D, # <CJK>
0x6969=>0x6B9A, # <CJK>
0x696A=>0x6B9B, # <CJK>
0x696B=>0x6BA1, # <CJK>
0x696C=>0x6BAA, # <CJK>
0x696D=>0x8F6B, # <CJK>
0x696E=>0x8F6D, # <CJK>
0x696F=>0x8F71, # <CJK>
0x6970=>0x8F72, # <CJK>
0x6971=>0x8F73, # <CJK>
0x6972=>0x8F75, # <CJK>
0x6973=>0x8F76, # <CJK>
0x6974=>0x8F78, # <CJK>
0x6975=>0x8F77, # <CJK>
0x6976=>0x8F79, # <CJK>
0x6977=>0x8F7A, # <CJK>
0x6978=>0x8F7C, # <CJK>
0x6979=>0x8F7E, # <CJK>
0x697A=>0x8F81, # <CJK>
0x697B=>0x8F82, # <CJK>
0x697C=>0x8F84, # <CJK>
0x697D=>0x8F87, # <CJK>
0x697E=>0x8F8B, # <CJK>
0x6A21=>0x8F8D, # <CJK>
0x6A22=>0x8F8E, # <CJK>
0x6A23=>0x8F8F, # <CJK>
0x6A24=>0x8F98, # <CJK>
0x6A25=>0x8F9A, # <CJK>
0x6A26=>0x8ECE, # <CJK>
0x6A27=>0x620B, # <CJK>
0x6A28=>0x6217, # <CJK>
0x6A29=>0x621B, # <CJK>
0x6A2A=>0x621F, # <CJK>
0x6A2B=>0x6222, # <CJK>
0x6A2C=>0x6221, # <CJK>
0x6A2D=>0x6225, # <CJK>
0x6A2E=>0x6224, # <CJK>
0x6A2F=>0x622C, # <CJK>
0x6A30=>0x81E7, # <CJK>
0x6A31=>0x74EF, # <CJK>
0x6A32=>0x74F4, # <CJK>
0x6A33=>0x74FF, # <CJK>
0x6A34=>0x750F, # <CJK>
0x6A35=>0x7511, # <CJK>
0x6A36=>0x7513, # <CJK>
0x6A37=>0x6534, # <CJK>
0x6A38=>0x65EE, # <CJK>
0x6A39=>0x65EF, # <CJK>
0x6A3A=>0x65F0, # <CJK>
0x6A3B=>0x660A, # <CJK>
0x6A3C=>0x6619, # <CJK>
0x6A3D=>0x6772, # <CJK>
0x6A3E=>0x6603, # <CJK>
0x6A3F=>0x6615, # <CJK>
0x6A40=>0x6600, # <CJK>
0x6A41=>0x7085, # <CJK>
0x6A42=>0x66F7, # <CJK>
0x6A43=>0x661D, # <CJK>
0x6A44=>0x6634, # <CJK>
0x6A45=>0x6631, # <CJK>
0x6A46=>0x6636, # <CJK>
0x6A47=>0x6635, # <CJK>
0x6A48=>0x8006, # <CJK>
0x6A49=>0x665F, # <CJK>
0x6A4A=>0x6654, # <CJK>
0x6A4B=>0x6641, # <CJK>
0x6A4C=>0x664F, # <CJK>
0x6A4D=>0x6656, # <CJK>
0x6A4E=>0x6661, # <CJK>
0x6A4F=>0x6657, # <CJK>
0x6A50=>0x6677, # <CJK>
0x6A51=>0x6684, # <CJK>
0x6A52=>0x668C, # <CJK>
0x6A53=>0x66A7, # <CJK>
0x6A54=>0x669D, # <CJK>
0x6A55=>0x66BE, # <CJK>
0x6A56=>0x66DB, # <CJK>
0x6A57=>0x66DC, # <CJK>
0x6A58=>0x66E6, # <CJK>
0x6A59=>0x66E9, # <CJK>
0x6A5A=>0x8D32, # <CJK>
0x6A5B=>0x8D33, # <CJK>
0x6A5C=>0x8D36, # <CJK>
0x6A5D=>0x8D3B, # <CJK>
0x6A5E=>0x8D3D, # <CJK>
0x6A5F=>0x8D40, # <CJK>
0x6A60=>0x8D45, # <CJK>
0x6A61=>0x8D46, # <CJK>
0x6A62=>0x8D48, # <CJK>
0x6A63=>0x8D49, # <CJK>
0x6A64=>0x8D47, # <CJK>
0x6A65=>0x8D4D, # <CJK>
0x6A66=>0x8D55, # <CJK>
0x6A67=>0x8D59, # <CJK>
0x6A68=>0x89C7, # <CJK>
0x6A69=>0x89CA, # <CJK>
0x6A6A=>0x89CB, # <CJK>
0x6A6B=>0x89CC, # <CJK>
0x6A6C=>0x89CE, # <CJK>
0x6A6D=>0x89CF, # <CJK>
0x6A6E=>0x89D0, # <CJK>
0x6A6F=>0x89D1, # <CJK>
0x6A70=>0x726E, # <CJK>
0x6A71=>0x729F, # <CJK>
0x6A72=>0x725D, # <CJK>
0x6A73=>0x7266, # <CJK>
0x6A74=>0x726F, # <CJK>
0x6A75=>0x727E, # <CJK>
0x6A76=>0x727F, # <CJK>
0x6A77=>0x7284, # <CJK>
0x6A78=>0x728B, # <CJK>
0x6A79=>0x728D, # <CJK>
0x6A7A=>0x728F, # <CJK>
0x6A7B=>0x7292, # <CJK>
0x6A7C=>0x6308, # <CJK>
0x6A7D=>0x6332, # <CJK>
0x6A7E=>0x63B0, # <CJK>
0x6B21=>0x643F, # <CJK>
0x6B22=>0x64D8, # <CJK>
0x6B23=>0x8004, # <CJK>
0x6B24=>0x6BEA, # <CJK>
0x6B25=>0x6BF3, # <CJK>
0x6B26=>0x6BFD, # <CJK>
0x6B27=>0x6BF5, # <CJK>
0x6B28=>0x6BF9, # <CJK>
0x6B29=>0x6C05, # <CJK>
0x6B2A=>0x6C07, # <CJK>
0x6B2B=>0x6C06, # <CJK>
0x6B2C=>0x6C0D, # <CJK>
0x6B2D=>0x6C15, # <CJK>
0x6B2E=>0x6C18, # <CJK>
0x6B2F=>0x6C19, # <CJK>
0x6B30=>0x6C1A, # <CJK>
0x6B31=>0x6C21, # <CJK>
0x6B32=>0x6C29, # <CJK>
0x6B33=>0x6C24, # <CJK>
0x6B34=>0x6C2A, # <CJK>
0x6B35=>0x6C32, # <CJK>
0x6B36=>0x6535, # <CJK>
0x6B37=>0x6555, # <CJK>
0x6B38=>0x656B, # <CJK>
0x6B39=>0x724D, # <CJK>
0x6B3A=>0x7252, # <CJK>
0x6B3B=>0x7256, # <CJK>
0x6B3C=>0x7230, # <CJK>
0x6B3D=>0x8662, # <CJK>
0x6B3E=>0x5216, # <CJK>
0x6B3F=>0x809F, # <CJK>
0x6B40=>0x809C, # <CJK>
0x6B41=>0x8093, # <CJK>
0x6B42=>0x80BC, # <CJK>
0x6B43=>0x670A, # <CJK>
0x6B44=>0x80BD, # <CJK>
0x6B45=>0x80B1, # <CJK>
0x6B46=>0x80AB, # <CJK>
0x6B47=>0x80AD, # <CJK>
0x6B48=>0x80B4, # <CJK>
0x6B49=>0x80B7, # <CJK>
0x6B4A=>0x80E7, # <CJK>
0x6B4B=>0x80E8, # <CJK>
0x6B4C=>0x80E9, # <CJK>
0x6B4D=>0x80EA, # <CJK>
0x6B4E=>0x80DB, # <CJK>
0x6B4F=>0x80C2, # <CJK>
0x6B50=>0x80C4, # <CJK>
0x6B51=>0x80D9, # <CJK>
0x6B52=>0x80CD, # <CJK>
0x6B53=>0x80D7, # <CJK>
0x6B54=>0x6710, # <CJK>
0x6B55=>0x80DD, # <CJK>
0x6B56=>0x80EB, # <CJK>
0x6B57=>0x80F1, # <CJK>
0x6B58=>0x80F4, # <CJK>
0x6B59=>0x80ED, # <CJK>
0x6B5A=>0x810D, # <CJK>
0x6B5B=>0x810E, # <CJK>
0x6B5C=>0x80F2, # <CJK>
0x6B5D=>0x80FC, # <CJK>
0x6B5E=>0x6715, # <CJK>
0x6B5F=>0x8112, # <CJK>
0x6B60=>0x8C5A, # <CJK>
0x6B61=>0x8136, # <CJK>
0x6B62=>0x811E, # <CJK>
0x6B63=>0x812C, # <CJK>
0x6B64=>0x8118, # <CJK>
0x6B65=>0x8132, # <CJK>
0x6B66=>0x8148, # <CJK>
0x6B67=>0x814C, # <CJK>
0x6B68=>0x8153, # <CJK>
0x6B69=>0x8174, # <CJK>
0x6B6A=>0x8159, # <CJK>
0x6B6B=>0x815A, # <CJK>
0x6B6C=>0x8171, # <CJK>
0x6B6D=>0x8160, # <CJK>
0x6B6E=>0x8169, # <CJK>
0x6B6F=>0x817C, # <CJK>
0x6B70=>0x817D, # <CJK>
0x6B71=>0x816D, # <CJK>
0x6B72=>0x8167, # <CJK>
0x6B73=>0x584D, # <CJK>
0x6B74=>0x5AB5, # <CJK>
0x6B75=>0x8188, # <CJK>
0x6B76=>0x8182, # <CJK>
0x6B77=>0x8191, # <CJK>
0x6B78=>0x6ED5, # <CJK>
0x6B79=>0x81A3, # <CJK>
0x6B7A=>0x81AA, # <CJK>
0x6B7B=>0x81CC, # <CJK>
0x6B7C=>0x6726, # <CJK>
0x6B7D=>0x81CA, # <CJK>
0x6B7E=>0x81BB, # <CJK>
0x6C21=>0x81C1, # <CJK>
0x6C22=>0x81A6, # <CJK>
0x6C23=>0x6B24, # <CJK>
0x6C24=>0x6B37, # <CJK>
0x6C25=>0x6B39, # <CJK>
0x6C26=>0x6B43, # <CJK>
0x6C27=>0x6B46, # <CJK>
0x6C28=>0x6B59, # <CJK>
0x6C29=>0x98D1, # <CJK>
0x6C2A=>0x98D2, # <CJK>
0x6C2B=>0x98D3, # <CJK>
0x6C2C=>0x98D5, # <CJK>
0x6C2D=>0x98D9, # <CJK>
0x6C2E=>0x98DA, # <CJK>
0x6C2F=>0x6BB3, # <CJK>
0x6C30=>0x5F40, # <CJK>
0x6C31=>0x6BC2, # <CJK>
0x6C32=>0x89F3, # <CJK>
0x6C33=>0x6590, # <CJK>
0x6C34=>0x9F51, # <CJK>
0x6C35=>0x6593, # <CJK>
0x6C36=>0x65BC, # <CJK>
0x6C37=>0x65C6, # <CJK>
0x6C38=>0x65C4, # <CJK>
0x6C39=>0x65C3, # <CJK>
0x6C3A=>0x65CC, # <CJK>
0x6C3B=>0x65CE, # <CJK>
0x6C3C=>0x65D2, # <CJK>
0x6C3D=>0x65D6, # <CJK>
0x6C3E=>0x7080, # <CJK>
0x6C3F=>0x709C, # <CJK>
0x6C40=>0x7096, # <CJK>
0x6C41=>0x709D, # <CJK>
0x6C42=>0x70BB, # <CJK>
0x6C43=>0x70C0, # <CJK>
0x6C44=>0x70B7, # <CJK>
0x6C45=>0x70AB, # <CJK>
0x6C46=>0x70B1, # <CJK>
0x6C47=>0x70E8, # <CJK>
0x6C48=>0x70CA, # <CJK>
0x6C49=>0x7110, # <CJK>
0x6C4A=>0x7113, # <CJK>
0x6C4B=>0x7116, # <CJK>
0x6C4C=>0x712F, # <CJK>
0x6C4D=>0x7131, # <CJK>
0x6C4E=>0x7173, # <CJK>
0x6C4F=>0x715C, # <CJK>
0x6C50=>0x7168, # <CJK>
0x6C51=>0x7145, # <CJK>
0x6C52=>0x7172, # <CJK>
0x6C53=>0x714A, # <CJK>
0x6C54=>0x7178, # <CJK>
0x6C55=>0x717A, # <CJK>
0x6C56=>0x7198, # <CJK>
0x6C57=>0x71B3, # <CJK>
0x6C58=>0x71B5, # <CJK>
0x6C59=>0x71A8, # <CJK>
0x6C5A=>0x71A0, # <CJK>
0x6C5B=>0x71E0, # <CJK>
0x6C5C=>0x71D4, # <CJK>
0x6C5D=>0x71E7, # <CJK>
0x6C5E=>0x71F9, # <CJK>
0x6C5F=>0x721D, # <CJK>
0x6C60=>0x7228, # <CJK>
0x6C61=>0x706C, # <CJK>
0x6C62=>0x7118, # <CJK>
0x6C63=>0x7166, # <CJK>
0x6C64=>0x71B9, # <CJK>
0x6C65=>0x623E, # <CJK>
0x6C66=>0x623D, # <CJK>
0x6C67=>0x6243, # <CJK>
0x6C68=>0x6248, # <CJK>
0x6C69=>0x6249, # <CJK>
0x6C6A=>0x793B, # <CJK>
0x6C6B=>0x7940, # <CJK>
0x6C6C=>0x7946, # <CJK>
0x6C6D=>0x7949, # <CJK>
0x6C6E=>0x795B, # <CJK>
0x6C6F=>0x795C, # <CJK>
0x6C70=>0x7953, # <CJK>
0x6C71=>0x795A, # <CJK>
0x6C72=>0x7962, # <CJK>
0x6C73=>0x7957, # <CJK>
0x6C74=>0x7960, # <CJK>
0x6C75=>0x796F, # <CJK>
0x6C76=>0x7967, # <CJK>
0x6C77=>0x797A, # <CJK>
0x6C78=>0x7985, # <CJK>
0x6C79=>0x798A, # <CJK>
0x6C7A=>0x799A, # <CJK>
0x6C7B=>0x79A7, # <CJK>
0x6C7C=>0x79B3, # <CJK>
0x6C7D=>0x5FD1, # <CJK>
0x6C7E=>0x5FD0, # <CJK>
0x6D21=>0x603C, # <CJK>
0x6D22=>0x605D, # <CJK>
0x6D23=>0x605A, # <CJK>
0x6D24=>0x6067, # <CJK>
0x6D25=>0x6041, # <CJK>
0x6D26=>0x6059, # <CJK>
0x6D27=>0x6063, # <CJK>
0x6D28=>0x60AB, # <CJK>
0x6D29=>0x6106, # <CJK>
0x6D2A=>0x610D, # <CJK>
0x6D2B=>0x615D, # <CJK>
0x6D2C=>0x61A9, # <CJK>
0x6D2D=>0x619D, # <CJK>
0x6D2E=>0x61CB, # <CJK>
0x6D2F=>0x61D1, # <CJK>
0x6D30=>0x6206, # <CJK>
0x6D31=>0x8080, # <CJK>
0x6D32=>0x807F, # <CJK>
0x6D33=>0x6C93, # <CJK>
0x6D34=>0x6CF6, # <CJK>
0x6D35=>0x6DFC, # <CJK>
0x6D36=>0x77F6, # <CJK>
0x6D37=>0x77F8, # <CJK>
0x6D38=>0x7800, # <CJK>
0x6D39=>0x7809, # <CJK>
0x6D3A=>0x7817, # <CJK>
0x6D3B=>0x7818, # <CJK>
0x6D3C=>0x7811, # <CJK>
0x6D3D=>0x65AB, # <CJK>
0x6D3E=>0x782D, # <CJK>
0x6D3F=>0x781C, # <CJK>
0x6D40=>0x781D, # <CJK>
0x6D41=>0x7839, # <CJK>
0x6D42=>0x783A, # <CJK>
0x6D43=>0x783B, # <CJK>
0x6D44=>0x781F, # <CJK>
0x6D45=>0x783C, # <CJK>
0x6D46=>0x7825, # <CJK>
0x6D47=>0x782C, # <CJK>
0x6D48=>0x7823, # <CJK>
0x6D49=>0x7829, # <CJK>
0x6D4A=>0x784E, # <CJK>
0x6D4B=>0x786D, # <CJK>
0x6D4C=>0x7856, # <CJK>
0x6D4D=>0x7857, # <CJK>
0x6D4E=>0x7826, # <CJK>
0x6D4F=>0x7850, # <CJK>
0x6D50=>0x7847, # <CJK>
0x6D51=>0x784C, # <CJK>
0x6D52=>0x786A, # <CJK>
0x6D53=>0x789B, # <CJK>
0x6D54=>0x7893, # <CJK>
0x6D55=>0x789A, # <CJK>
0x6D56=>0x7887, # <CJK>
0x6D57=>0x789C, # <CJK>
0x6D58=>0x78A1, # <CJK>
0x6D59=>0x78A3, # <CJK>
0x6D5A=>0x78B2, # <CJK>
0x6D5B=>0x78B9, # <CJK>
0x6D5C=>0x78A5, # <CJK>
0x6D5D=>0x78D4, # <CJK>
0x6D5E=>0x78D9, # <CJK>
0x6D5F=>0x78C9, # <CJK>
0x6D60=>0x78EC, # <CJK>
0x6D61=>0x78F2, # <CJK>
0x6D62=>0x7905, # <CJK>
0x6D63=>0x78F4, # <CJK>
0x6D64=>0x7913, # <CJK>
0x6D65=>0x7924, # <CJK>
0x6D66=>0x791E, # <CJK>
0x6D67=>0x7934, # <CJK>
0x6D68=>0x9F9B, # <CJK>
0x6D69=>0x9EF9, # <CJK>
0x6D6A=>0x9EFB, # <CJK>
0x6D6B=>0x9EFC, # <CJK>
0x6D6C=>0x76F1, # <CJK>
0x6D6D=>0x7704, # <CJK>
0x6D6E=>0x770D, # <CJK>
0x6D6F=>0x76F9, # <CJK>
0x6D70=>0x7707, # <CJK>
0x6D71=>0x7708, # <CJK>
0x6D72=>0x771A, # <CJK>
0x6D73=>0x7722, # <CJK>
0x6D74=>0x7719, # <CJK>
0x6D75=>0x772D, # <CJK>
0x6D76=>0x7726, # <CJK>
0x6D77=>0x7735, # <CJK>
0x6D78=>0x7738, # <CJK>
0x6D79=>0x7750, # <CJK>
0x6D7A=>0x7751, # <CJK>
0x6D7B=>0x7747, # <CJK>
0x6D7C=>0x7743, # <CJK>
0x6D7D=>0x775A, # <CJK>
0x6D7E=>0x7768, # <CJK>
0x6E21=>0x7762, # <CJK>
0x6E22=>0x7765, # <CJK>
0x6E23=>0x777F, # <CJK>
0x6E24=>0x778D, # <CJK>
0x6E25=>0x777D, # <CJK>
0x6E26=>0x7780, # <CJK>
0x6E27=>0x778C, # <CJK>
0x6E28=>0x7791, # <CJK>
0x6E29=>0x779F, # <CJK>
0x6E2A=>0x77A0, # <CJK>
0x6E2B=>0x77B0, # <CJK>
0x6E2C=>0x77B5, # <CJK>
0x6E2D=>0x77BD, # <CJK>
0x6E2E=>0x753A, # <CJK>
0x6E2F=>0x7540, # <CJK>
0x6E30=>0x754E, # <CJK>
0x6E31=>0x754B, # <CJK>
0x6E32=>0x7548, # <CJK>
0x6E33=>0x755B, # <CJK>
0x6E34=>0x7572, # <CJK>
0x6E35=>0x7579, # <CJK>
0x6E36=>0x7583, # <CJK>
0x6E37=>0x7F58, # <CJK>
0x6E38=>0x7F61, # <CJK>
0x6E39=>0x7F5F, # <CJK>
0x6E3A=>0x8A48, # <CJK>
0x6E3B=>0x7F68, # <CJK>
0x6E3C=>0x7F74, # <CJK>
0x6E3D=>0x7F71, # <CJK>
0x6E3E=>0x7F79, # <CJK>
0x6E3F=>0x7F81, # <CJK>
0x6E40=>0x7F7E, # <CJK>
0x6E41=>0x76CD, # <CJK>
0x6E42=>0x76E5, # <CJK>
0x6E43=>0x8832, # <CJK>
0x6E44=>0x9485, # <CJK>
0x6E45=>0x9486, # <CJK>
0x6E46=>0x9487, # <CJK>
0x6E47=>0x948B, # <CJK>
0x6E48=>0x948A, # <CJK>
0x6E49=>0x948C, # <CJK>
0x6E4A=>0x948D, # <CJK>
0x6E4B=>0x948F, # <CJK>
0x6E4C=>0x9490, # <CJK>
0x6E4D=>0x9494, # <CJK>
0x6E4E=>0x9497, # <CJK>
0x6E4F=>0x9495, # <CJK>
0x6E50=>0x949A, # <CJK>
0x6E51=>0x949B, # <CJK>
0x6E52=>0x949C, # <CJK>
0x6E53=>0x94A3, # <CJK>
0x6E54=>0x94A4, # <CJK>
0x6E55=>0x94AB, # <CJK>
0x6E56=>0x94AA, # <CJK>
0x6E57=>0x94AD, # <CJK>
0x6E58=>0x94AC, # <CJK>
0x6E59=>0x94AF, # <CJK>
0x6E5A=>0x94B0, # <CJK>
0x6E5B=>0x94B2, # <CJK>
0x6E5C=>0x94B4, # <CJK>
0x6E5D=>0x94B6, # <CJK>
0x6E5E=>0x94B7, # <CJK>
0x6E5F=>0x94B8, # <CJK>
0x6E60=>0x94B9, # <CJK>
0x6E61=>0x94BA, # <CJK>
0x6E62=>0x94BC, # <CJK>
0x6E63=>0x94BD, # <CJK>
0x6E64=>0x94BF, # <CJK>
0x6E65=>0x94C4, # <CJK>
0x6E66=>0x94C8, # <CJK>
0x6E67=>0x94C9, # <CJK>
0x6E68=>0x94CA, # <CJK>
0x6E69=>0x94CB, # <CJK>
0x6E6A=>0x94CC, # <CJK>
0x6E6B=>0x94CD, # <CJK>
0x6E6C=>0x94CE, # <CJK>
0x6E6D=>0x94D0, # <CJK>
0x6E6E=>0x94D1, # <CJK>
0x6E6F=>0x94D2, # <CJK>
0x6E70=>0x94D5, # <CJK>
0x6E71=>0x94D6, # <CJK>
0x6E72=>0x94D7, # <CJK>
0x6E73=>0x94D9, # <CJK>
0x6E74=>0x94D8, # <CJK>
0x6E75=>0x94DB, # <CJK>
0x6E76=>0x94DE, # <CJK>
0x6E77=>0x94DF, # <CJK>
0x6E78=>0x94E0, # <CJK>
0x6E79=>0x94E2, # <CJK>
0x6E7A=>0x94E4, # <CJK>
0x6E7B=>0x94E5, # <CJK>
0x6E7C=>0x94E7, # <CJK>
0x6E7D=>0x94E8, # <CJK>
0x6E7E=>0x94EA, # <CJK>
0x6F21=>0x94E9, # <CJK>
0x6F22=>0x94EB, # <CJK>
0x6F23=>0x94EE, # <CJK>
0x6F24=>0x94EF, # <CJK>
0x6F25=>0x94F3, # <CJK>
0x6F26=>0x94F4, # <CJK>
0x6F27=>0x94F5, # <CJK>
0x6F28=>0x94F7, # <CJK>
0x6F29=>0x94F9, # <CJK>
0x6F2A=>0x94FC, # <CJK>
0x6F2B=>0x94FD, # <CJK>
0x6F2C=>0x94FF, # <CJK>
0x6F2D=>0x9503, # <CJK>
0x6F2E=>0x9502, # <CJK>
0x6F2F=>0x9506, # <CJK>
0x6F30=>0x9507, # <CJK>
0x6F31=>0x9509, # <CJK>
0x6F32=>0x950A, # <CJK>
0x6F33=>0x950D, # <CJK>
0x6F34=>0x950E, # <CJK>
0x6F35=>0x950F, # <CJK>
0x6F36=>0x9512, # <CJK>
0x6F37=>0x9513, # <CJK>
0x6F38=>0x9514, # <CJK>
0x6F39=>0x9515, # <CJK>
0x6F3A=>0x9516, # <CJK>
0x6F3B=>0x9518, # <CJK>
0x6F3C=>0x951B, # <CJK>
0x6F3D=>0x951D, # <CJK>
0x6F3E=>0x951E, # <CJK>
0x6F3F=>0x951F, # <CJK>
0x6F40=>0x9522, # <CJK>
0x6F41=>0x952A, # <CJK>
0x6F42=>0x952B, # <CJK>
0x6F43=>0x9529, # <CJK>
0x6F44=>0x952C, # <CJK>
0x6F45=>0x9531, # <CJK>
0x6F46=>0x9532, # <CJK>
0x6F47=>0x9534, # <CJK>
0x6F48=>0x9536, # <CJK>
0x6F49=>0x9537, # <CJK>
0x6F4A=>0x9538, # <CJK>
0x6F4B=>0x953C, # <CJK>
0x6F4C=>0x953E, # <CJK>
0x6F4D=>0x953F, # <CJK>
0x6F4E=>0x9542, # <CJK>
0x6F4F=>0x9535, # <CJK>
0x6F50=>0x9544, # <CJK>
0x6F51=>0x9545, # <CJK>
0x6F52=>0x9546, # <CJK>
0x6F53=>0x9549, # <CJK>
0x6F54=>0x954C, # <CJK>
0x6F55=>0x954E, # <CJK>
0x6F56=>0x954F, # <CJK>
0x6F57=>0x9552, # <CJK>
0x6F58=>0x9553, # <CJK>
0x6F59=>0x9554, # <CJK>
0x6F5A=>0x9556, # <CJK>
0x6F5B=>0x9557, # <CJK>
0x6F5C=>0x9558, # <CJK>
0x6F5D=>0x9559, # <CJK>
0x6F5E=>0x955B, # <CJK>
0x6F5F=>0x955E, # <CJK>
0x6F60=>0x955F, # <CJK>
0x6F61=>0x955D, # <CJK>
0x6F62=>0x9561, # <CJK>
0x6F63=>0x9562, # <CJK>
0x6F64=>0x9564, # <CJK>
0x6F65=>0x9565, # <CJK>
0x6F66=>0x9566, # <CJK>
0x6F67=>0x9567, # <CJK>
0x6F68=>0x9568, # <CJK>
0x6F69=>0x9569, # <CJK>
0x6F6A=>0x956A, # <CJK>
0x6F6B=>0x956B, # <CJK>
0x6F6C=>0x956C, # <CJK>
0x6F6D=>0x956F, # <CJK>
0x6F6E=>0x9571, # <CJK>
0x6F6F=>0x9572, # <CJK>
0x6F70=>0x9573, # <CJK>
0x6F71=>0x953A, # <CJK>
0x6F72=>0x77E7, # <CJK>
0x6F73=>0x77EC, # <CJK>
0x6F74=>0x96C9, # <CJK>
0x6F75=>0x79D5, # <CJK>
0x6F76=>0x79ED, # <CJK>
0x6F77=>0x79E3, # <CJK>
0x6F78=>0x79EB, # <CJK>
0x6F79=>0x7A06, # <CJK>
0x6F7A=>0x5D47, # <CJK>
0x6F7B=>0x7A03, # <CJK>
0x6F7C=>0x7A02, # <CJK>
0x6F7D=>0x7A1E, # <CJK>
0x6F7E=>0x7A14, # <CJK>
0x7021=>0x7A39, # <CJK>
0x7022=>0x7A37, # <CJK>
0x7023=>0x7A51, # <CJK>
0x7024=>0x9ECF, # <CJK>
0x7025=>0x99A5, # <CJK>
0x7026=>0x7A70, # <CJK>
0x7027=>0x7688, # <CJK>
0x7028=>0x768E, # <CJK>
0x7029=>0x7693, # <CJK>
0x702A=>0x7699, # <CJK>
0x702B=>0x76A4, # <CJK>
0x702C=>0x74DE, # <CJK>
0x702D=>0x74E0, # <CJK>
0x702E=>0x752C, # <CJK>
0x702F=>0x9E20, # <CJK>
0x7030=>0x9E22, # <CJK>
0x7031=>0x9E28, # <CJK>
0x7032=>0x9E29, # <CJK>
0x7033=>0x9E2A, # <CJK>
0x7034=>0x9E2B, # <CJK>
0x7035=>0x9E2C, # <CJK>
0x7036=>0x9E32, # <CJK>
0x7037=>0x9E31, # <CJK>
0x7038=>0x9E36, # <CJK>
0x7039=>0x9E38, # <CJK>
0x703A=>0x9E37, # <CJK>
0x703B=>0x9E39, # <CJK>
0x703C=>0x9E3A, # <CJK>
0x703D=>0x9E3E, # <CJK>
0x703E=>0x9E41, # <CJK>
0x703F=>0x9E42, # <CJK>
0x7040=>0x9E44, # <CJK>
0x7041=>0x9E46, # <CJK>
0x7042=>0x9E47, # <CJK>
0x7043=>0x9E48, # <CJK>
0x7044=>0x9E49, # <CJK>
0x7045=>0x9E4B, # <CJK>
0x7046=>0x9E4C, # <CJK>
0x7047=>0x9E4E, # <CJK>
0x7048=>0x9E51, # <CJK>
0x7049=>0x9E55, # <CJK>
0x704A=>0x9E57, # <CJK>
0x704B=>0x9E5A, # <CJK>
0x704C=>0x9E5B, # <CJK>
0x704D=>0x9E5C, # <CJK>
0x704E=>0x9E5E, # <CJK>
0x704F=>0x9E63, # <CJK>
0x7050=>0x9E66, # <CJK>
0x7051=>0x9E67, # <CJK>
0x7052=>0x9E68, # <CJK>
0x7053=>0x9E69, # <CJK>
0x7054=>0x9E6A, # <CJK>
0x7055=>0x9E6B, # <CJK>
0x7056=>0x9E6C, # <CJK>
0x7057=>0x9E71, # <CJK>
0x7058=>0x9E6D, # <CJK>
0x7059=>0x9E73, # <CJK>
0x705A=>0x7592, # <CJK>
0x705B=>0x7594, # <CJK>
0x705C=>0x7596, # <CJK>
0x705D=>0x75A0, # <CJK>
0x705E=>0x759D, # <CJK>
0x705F=>0x75AC, # <CJK>
0x7060=>0x75A3, # <CJK>
0x7061=>0x75B3, # <CJK>
0x7062=>0x75B4, # <CJK>
0x7063=>0x75B8, # <CJK>
0x7064=>0x75C4, # <CJK>
0x7065=>0x75B1, # <CJK>
0x7066=>0x75B0, # <CJK>
0x7067=>0x75C3, # <CJK>
0x7068=>0x75C2, # <CJK>
0x7069=>0x75D6, # <CJK>
0x706A=>0x75CD, # <CJK>
0x706B=>0x75E3, # <CJK>
0x706C=>0x75E8, # <CJK>
0x706D=>0x75E6, # <CJK>
0x706E=>0x75E4, # <CJK>
0x706F=>0x75EB, # <CJK>
0x7070=>0x75E7, # <CJK>
0x7071=>0x7603, # <CJK>
0x7072=>0x75F1, # <CJK>
0x7073=>0x75FC, # <CJK>
0x7074=>0x75FF, # <CJK>
0x7075=>0x7610, # <CJK>
0x7076=>0x7600, # <CJK>
0x7077=>0x7605, # <CJK>
0x7078=>0x760C, # <CJK>
0x7079=>0x7617, # <CJK>
0x707A=>0x760A, # <CJK>
0x707B=>0x7625, # <CJK>
0x707C=>0x7618, # <CJK>
0x707D=>0x7615, # <CJK>
0x707E=>0x7619, # <CJK>
0x7121=>0x761B, # <CJK>
0x7122=>0x763C, # <CJK>
0x7123=>0x7622, # <CJK>
0x7124=>0x7620, # <CJK>
0x7125=>0x7640, # <CJK>
0x7126=>0x762D, # <CJK>
0x7127=>0x7630, # <CJK>
0x7128=>0x763F, # <CJK>
0x7129=>0x7635, # <CJK>
0x712A=>0x7643, # <CJK>
0x712B=>0x763E, # <CJK>
0x712C=>0x7633, # <CJK>
0x712D=>0x764D, # <CJK>
0x712E=>0x765E, # <CJK>
0x712F=>0x7654, # <CJK>
0x7130=>0x765C, # <CJK>
0x7131=>0x7656, # <CJK>
0x7132=>0x766B, # <CJK>
0x7133=>0x766F, # <CJK>
0x7134=>0x7FCA, # <CJK>
0x7135=>0x7AE6, # <CJK>
0x7136=>0x7A78, # <CJK>
0x7137=>0x7A79, # <CJK>
0x7138=>0x7A80, # <CJK>
0x7139=>0x7A86, # <CJK>
0x713A=>0x7A88, # <CJK>
0x713B=>0x7A95, # <CJK>
0x713C=>0x7AA6, # <CJK>
0x713D=>0x7AA0, # <CJK>
0x713E=>0x7AAC, # <CJK>
0x713F=>0x7AA8, # <CJK>
0x7140=>0x7AAD, # <CJK>
0x7141=>0x7AB3, # <CJK>
0x7142=>0x8864, # <CJK>
0x7143=>0x8869, # <CJK>
0x7144=>0x8872, # <CJK>
0x7145=>0x887D, # <CJK>
0x7146=>0x887F, # <CJK>
0x7147=>0x8882, # <CJK>
0x7148=>0x88A2, # <CJK>
0x7149=>0x88C6, # <CJK>
0x714A=>0x88B7, # <CJK>
0x714B=>0x88BC, # <CJK>
0x714C=>0x88C9, # <CJK>
0x714D=>0x88E2, # <CJK>
0x714E=>0x88CE, # <CJK>
0x714F=>0x88E3, # <CJK>
0x7150=>0x88E5, # <CJK>
0x7151=>0x88F1, # <CJK>
0x7152=>0x891A, # <CJK>
0x7153=>0x88FC, # <CJK>
0x7154=>0x88E8, # <CJK>
0x7155=>0x88FE, # <CJK>
0x7156=>0x88F0, # <CJK>
0x7157=>0x8921, # <CJK>
0x7158=>0x8919, # <CJK>
0x7159=>0x8913, # <CJK>
0x715A=>0x891B, # <CJK>
0x715B=>0x890A, # <CJK>
0x715C=>0x8934, # <CJK>
0x715D=>0x892B, # <CJK>
0x715E=>0x8936, # <CJK>
0x715F=>0x8941, # <CJK>
0x7160=>0x8966, # <CJK>
0x7161=>0x897B, # <CJK>
0x7162=>0x758B, # <CJK>
0x7163=>0x80E5, # <CJK>
0x7164=>0x76B2, # <CJK>
0x7165=>0x76B4, # <CJK>
0x7166=>0x77DC, # <CJK>
0x7167=>0x8012, # <CJK>
0x7168=>0x8014, # <CJK>
0x7169=>0x8016, # <CJK>
0x716A=>0x801C, # <CJK>
0x716B=>0x8020, # <CJK>
0x716C=>0x8022, # <CJK>
0x716D=>0x8025, # <CJK>
0x716E=>0x8026, # <CJK>
0x716F=>0x8027, # <CJK>
0x7170=>0x8029, # <CJK>
0x7171=>0x8028, # <CJK>
0x7172=>0x8031, # <CJK>
0x7173=>0x800B, # <CJK>
0x7174=>0x8035, # <CJK>
0x7175=>0x8043, # <CJK>
0x7176=>0x8046, # <CJK>
0x7177=>0x804D, # <CJK>
0x7178=>0x8052, # <CJK>
0x7179=>0x8069, # <CJK>
0x717A=>0x8071, # <CJK>
0x717B=>0x8983, # <CJK>
0x717C=>0x9878, # <CJK>
0x717D=>0x9880, # <CJK>
0x717E=>0x9883, # <CJK>
0x7221=>0x9889, # <CJK>
0x7222=>0x988C, # <CJK>
0x7223=>0x988D, # <CJK>
0x7224=>0x988F, # <CJK>
0x7225=>0x9894, # <CJK>
0x7226=>0x989A, # <CJK>
0x7227=>0x989B, # <CJK>
0x7228=>0x989E, # <CJK>
0x7229=>0x989F, # <CJK>
0x722A=>0x98A1, # <CJK>
0x722B=>0x98A2, # <CJK>
0x722C=>0x98A5, # <CJK>
0x722D=>0x98A6, # <CJK>
0x722E=>0x864D, # <CJK>
0x722F=>0x8654, # <CJK>
0x7230=>0x866C, # <CJK>
0x7231=>0x866E, # <CJK>
0x7232=>0x867F, # <CJK>
0x7233=>0x867A, # <CJK>
0x7234=>0x867C, # <CJK>
0x7235=>0x867B, # <CJK>
0x7236=>0x86A8, # <CJK>
0x7237=>0x868D, # <CJK>
0x7238=>0x868B, # <CJK>
0x7239=>0x86AC, # <CJK>
0x723A=>0x869D, # <CJK>
0x723B=>0x86A7, # <CJK>
0x723C=>0x86A3, # <CJK>
0x723D=>0x86AA, # <CJK>
0x723E=>0x8693, # <CJK>
0x723F=>0x86A9, # <CJK>
0x7240=>0x86B6, # <CJK>
0x7241=>0x86C4, # <CJK>
0x7242=>0x86B5, # <CJK>
0x7243=>0x86CE, # <CJK>
0x7244=>0x86B0, # <CJK>
0x7245=>0x86BA, # <CJK>
0x7246=>0x86B1, # <CJK>
0x7247=>0x86AF, # <CJK>
0x7248=>0x86C9, # <CJK>
0x7249=>0x86CF, # <CJK>
0x724A=>0x86B4, # <CJK>
0x724B=>0x86E9, # <CJK>
0x724C=>0x86F1, # <CJK>
0x724D=>0x86F2, # <CJK>
0x724E=>0x86ED, # <CJK>
0x724F=>0x86F3, # <CJK>
0x7250=>0x86D0, # <CJK>
0x7251=>0x8713, # <CJK>
0x7252=>0x86DE, # <CJK>
0x7253=>0x86F4, # <CJK>
0x7254=>0x86DF, # <CJK>
0x7255=>0x86D8, # <CJK>
0x7256=>0x86D1, # <CJK>
0x7257=>0x8703, # <CJK>
0x7258=>0x8707, # <CJK>
0x7259=>0x86F8, # <CJK>
0x725A=>0x8708, # <CJK>
0x725B=>0x870A, # <CJK>
0x725C=>0x870D, # <CJK>
0x725D=>0x8709, # <CJK>
0x725E=>0x8723, # <CJK>
0x725F=>0x873B, # <CJK>
0x7260=>0x871E, # <CJK>
0x7261=>0x8725, # <CJK>
0x7262=>0x872E, # <CJK>
0x7263=>0x871A, # <CJK>
0x7264=>0x873E, # <CJK>
0x7265=>0x8748, # <CJK>
0x7266=>0x8734, # <CJK>
0x7267=>0x8731, # <CJK>
0x7268=>0x8729, # <CJK>
0x7269=>0x8737, # <CJK>
0x726A=>0x873F, # <CJK>
0x726B=>0x8782, # <CJK>
0x726C=>0x8722, # <CJK>
0x726D=>0x877D, # <CJK>
0x726E=>0x877E, # <CJK>
0x726F=>0x877B, # <CJK>
0x7270=>0x8760, # <CJK>
0x7271=>0x8770, # <CJK>
0x7272=>0x874C, # <CJK>
0x7273=>0x876E, # <CJK>
0x7274=>0x878B, # <CJK>
0x7275=>0x8753, # <CJK>
0x7276=>0x8763, # <CJK>
0x7277=>0x877C, # <CJK>
0x7278=>0x8764, # <CJK>
0x7279=>0x8759, # <CJK>
0x727A=>0x8765, # <CJK>
0x727B=>0x8793, # <CJK>
0x727C=>0x87AF, # <CJK>
0x727D=>0x87A8, # <CJK>
0x727E=>0x87D2, # <CJK>
0x7321=>0x87C6, # <CJK>
0x7322=>0x8788, # <CJK>
0x7323=>0x8785, # <CJK>
0x7324=>0x87AD, # <CJK>
0x7325=>0x8797, # <CJK>
0x7326=>0x8783, # <CJK>
0x7327=>0x87AB, # <CJK>
0x7328=>0x87E5, # <CJK>
0x7329=>0x87AC, # <CJK>
0x732A=>0x87B5, # <CJK>
0x732B=>0x87B3, # <CJK>
0x732C=>0x87CB, # <CJK>
0x732D=>0x87D3, # <CJK>
0x732E=>0x87BD, # <CJK>
0x732F=>0x87D1, # <CJK>
0x7330=>0x87C0, # <CJK>
0x7331=>0x87CA, # <CJK>
0x7332=>0x87DB, # <CJK>
0x7333=>0x87EA, # <CJK>
0x7334=>0x87E0, # <CJK>
0x7335=>0x87EE, # <CJK>
0x7336=>0x8816, # <CJK>
0x7337=>0x8813, # <CJK>
0x7338=>0x87FE, # <CJK>
0x7339=>0x880A, # <CJK>
0x733A=>0x881B, # <CJK>
0x733B=>0x8821, # <CJK>
0x733C=>0x8839, # <CJK>
0x733D=>0x883C, # <CJK>
0x733E=>0x7F36, # <CJK>
0x733F=>0x7F42, # <CJK>
0x7340=>0x7F44, # <CJK>
0x7341=>0x7F45, # <CJK>
0x7342=>0x8210, # <CJK>
0x7343=>0x7AFA, # <CJK>
0x7344=>0x7AFD, # <CJK>
0x7345=>0x7B08, # <CJK>
0x7346=>0x7B03, # <CJK>
0x7347=>0x7B04, # <CJK>
0x7348=>0x7B15, # <CJK>
0x7349=>0x7B0A, # <CJK>
0x734A=>0x7B2B, # <CJK>
0x734B=>0x7B0F, # <CJK>
0x734C=>0x7B47, # <CJK>
0x734D=>0x7B38, # <CJK>
0x734E=>0x7B2A, # <CJK>
0x734F=>0x7B19, # <CJK>
0x7350=>0x7B2E, # <CJK>
0x7351=>0x7B31, # <CJK>
0x7352=>0x7B20, # <CJK>
0x7353=>0x7B25, # <CJK>
0x7354=>0x7B24, # <CJK>
0x7355=>0x7B33, # <CJK>
0x7356=>0x7B3E, # <CJK>
0x7357=>0x7B1E, # <CJK>
0x7358=>0x7B58, # <CJK>
0x7359=>0x7B5A, # <CJK>
0x735A=>0x7B45, # <CJK>
0x735B=>0x7B75, # <CJK>
0x735C=>0x7B4C, # <CJK>
0x735D=>0x7B5D, # <CJK>
0x735E=>0x7B60, # <CJK>
0x735F=>0x7B6E, # <CJK>
0x7360=>0x7B7B, # <CJK>
0x7361=>0x7B62, # <CJK>
0x7362=>0x7B72, # <CJK>
0x7363=>0x7B71, # <CJK>
0x7364=>0x7B90, # <CJK>
0x7365=>0x7BA6, # <CJK>
0x7366=>0x7BA7, # <CJK>
0x7367=>0x7BB8, # <CJK>
0x7368=>0x7BAC, # <CJK>
0x7369=>0x7B9D, # <CJK>
0x736A=>0x7BA8, # <CJK>
0x736B=>0x7B85, # <CJK>
0x736C=>0x7BAA, # <CJK>
0x736D=>0x7B9C, # <CJK>
0x736E=>0x7BA2, # <CJK>
0x736F=>0x7BAB, # <CJK>
0x7370=>0x7BB4, # <CJK>
0x7371=>0x7BD1, # <CJK>
0x7372=>0x7BC1, # <CJK>
0x7373=>0x7BCC, # <CJK>
0x7374=>0x7BDD, # <CJK>
0x7375=>0x7BDA, # <CJK>
0x7376=>0x7BE5, # <CJK>
0x7377=>0x7BE6, # <CJK>
0x7378=>0x7BEA, # <CJK>
0x7379=>0x7C0C, # <CJK>
0x737A=>0x7BFE, # <CJK>
0x737B=>0x7BFC, # <CJK>
0x737C=>0x7C0F, # <CJK>
0x737D=>0x7C16, # <CJK>
0x737E=>0x7C0B, # <CJK>
0x7421=>0x7C1F, # <CJK>
0x7422=>0x7C2A, # <CJK>
0x7423=>0x7C26, # <CJK>
0x7424=>0x7C38, # <CJK>
0x7425=>0x7C41, # <CJK>
0x7426=>0x7C40, # <CJK>
0x7427=>0x81FE, # <CJK>
0x7428=>0x8201, # <CJK>
0x7429=>0x8202, # <CJK>
0x742A=>0x8204, # <CJK>
0x742B=>0x81EC, # <CJK>
0x742C=>0x8844, # <CJK>
0x742D=>0x8221, # <CJK>
0x742E=>0x8222, # <CJK>
0x742F=>0x8223, # <CJK>
0x7430=>0x822D, # <CJK>
0x7431=>0x822F, # <CJK>
0x7432=>0x8228, # <CJK>
0x7433=>0x822B, # <CJK>
0x7434=>0x8238, # <CJK>
0x7435=>0x823B, # <CJK>
0x7436=>0x8233, # <CJK>
0x7437=>0x8234, # <CJK>
0x7438=>0x823E, # <CJK>
0x7439=>0x8244, # <CJK>
0x743A=>0x8249, # <CJK>
0x743B=>0x824B, # <CJK>
0x743C=>0x824F, # <CJK>
0x743D=>0x825A, # <CJK>
0x743E=>0x825F, # <CJK>
0x743F=>0x8268, # <CJK>
0x7440=>0x887E, # <CJK>
0x7441=>0x8885, # <CJK>
0x7442=>0x8888, # <CJK>
0x7443=>0x88D8, # <CJK>
0x7444=>0x88DF, # <CJK>
0x7445=>0x895E, # <CJK>
0x7446=>0x7F9D, # <CJK>
0x7447=>0x7F9F, # <CJK>
0x7448=>0x7FA7, # <CJK>
0x7449=>0x7FAF, # <CJK>
0x744A=>0x7FB0, # <CJK>
0x744B=>0x7FB2, # <CJK>
0x744C=>0x7C7C, # <CJK>
0x744D=>0x6549, # <CJK>
0x744E=>0x7C91, # <CJK>
0x744F=>0x7C9D, # <CJK>
0x7450=>0x7C9C, # <CJK>
0x7451=>0x7C9E, # <CJK>
0x7452=>0x7CA2, # <CJK>
0x7453=>0x7CB2, # <CJK>
0x7454=>0x7CBC, # <CJK>
0x7455=>0x7CBD, # <CJK>
0x7456=>0x7CC1, # <CJK>
0x7457=>0x7CC7, # <CJK>
0x7458=>0x7CCC, # <CJK>
0x7459=>0x7CCD, # <CJK>
0x745A=>0x7CC8, # <CJK>
0x745B=>0x7CC5, # <CJK>
0x745C=>0x7CD7, # <CJK>
0x745D=>0x7CE8, # <CJK>
0x745E=>0x826E, # <CJK>
0x745F=>0x66A8, # <CJK>
0x7460=>0x7FBF, # <CJK>
0x7461=>0x7FCE, # <CJK>
0x7462=>0x7FD5, # <CJK>
0x7463=>0x7FE5, # <CJK>
0x7464=>0x7FE1, # <CJK>
0x7465=>0x7FE6, # <CJK>
0x7466=>0x7FE9, # <CJK>
0x7467=>0x7FEE, # <CJK>
0x7468=>0x7FF3, # <CJK>
0x7469=>0x7CF8, # <CJK>
0x746A=>0x7D77, # <CJK>
0x746B=>0x7DA6, # <CJK>
0x746C=>0x7DAE, # <CJK>
0x746D=>0x7E47, # <CJK>
0x746E=>0x7E9B, # <CJK>
0x746F=>0x9EB8, # <CJK>
0x7470=>0x9EB4, # <CJK>
0x7471=>0x8D73, # <CJK>
0x7472=>0x8D84, # <CJK>
0x7473=>0x8D94, # <CJK>
0x7474=>0x8D91, # <CJK>
0x7475=>0x8DB1, # <CJK>
0x7476=>0x8D67, # <CJK>
0x7477=>0x8D6D, # <CJK>
0x7478=>0x8C47, # <CJK>
0x7479=>0x8C49, # <CJK>
0x747A=>0x914A, # <CJK>
0x747B=>0x9150, # <CJK>
0x747C=>0x914E, # <CJK>
0x747D=>0x914F, # <CJK>
0x747E=>0x9164, # <CJK>
0x7521=>0x9162, # <CJK>
0x7522=>0x9161, # <CJK>
0x7523=>0x9170, # <CJK>
0x7524=>0x9169, # <CJK>
0x7525=>0x916F, # <CJK>
0x7526=>0x917D, # <CJK>
0x7527=>0x917E, # <CJK>
0x7528=>0x9172, # <CJK>
0x7529=>0x9174, # <CJK>
0x752A=>0x9179, # <CJK>
0x752B=>0x918C, # <CJK>
0x752C=>0x9185, # <CJK>
0x752D=>0x9190, # <CJK>
0x752E=>0x918D, # <CJK>
0x752F=>0x9191, # <CJK>
0x7530=>0x91A2, # <CJK>
0x7531=>0x91A3, # <CJK>
0x7532=>0x91AA, # <CJK>
0x7533=>0x91AD, # <CJK>
0x7534=>0x91AE, # <CJK>
0x7535=>0x91AF, # <CJK>
0x7536=>0x91B5, # <CJK>
0x7537=>0x91B4, # <CJK>
0x7538=>0x91BA, # <CJK>
0x7539=>0x8C55, # <CJK>
0x753A=>0x9E7E, # <CJK>
0x753B=>0x8DB8, # <CJK>
0x753C=>0x8DEB, # <CJK>
0x753D=>0x8E05, # <CJK>
0x753E=>0x8E59, # <CJK>
0x753F=>0x8E69, # <CJK>
0x7540=>0x8DB5, # <CJK>
0x7541=>0x8DBF, # <CJK>
0x7542=>0x8DBC, # <CJK>
0x7543=>0x8DBA, # <CJK>
0x7544=>0x8DC4, # <CJK>
0x7545=>0x8DD6, # <CJK>
0x7546=>0x8DD7, # <CJK>
0x7547=>0x8DDA, # <CJK>
0x7548=>0x8DDE, # <CJK>
0x7549=>0x8DCE, # <CJK>
0x754A=>0x8DCF, # <CJK>
0x754B=>0x8DDB, # <CJK>
0x754C=>0x8DC6, # <CJK>
0x754D=>0x8DEC, # <CJK>
0x754E=>0x8DF7, # <CJK>
0x754F=>0x8DF8, # <CJK>
0x7550=>0x8DE3, # <CJK>
0x7551=>0x8DF9, # <CJK>
0x7552=>0x8DFB, # <CJK>
0x7553=>0x8DE4, # <CJK>
0x7554=>0x8E09, # <CJK>
0x7555=>0x8DFD, # <CJK>
0x7556=>0x8E14, # <CJK>
0x7557=>0x8E1D, # <CJK>
0x7558=>0x8E1F, # <CJK>
0x7559=>0x8E2C, # <CJK>
0x755A=>0x8E2E, # <CJK>
0x755B=>0x8E23, # <CJK>
0x755C=>0x8E2F, # <CJK>
0x755D=>0x8E3A, # <CJK>
0x755E=>0x8E40, # <CJK>
0x755F=>0x8E39, # <CJK>
0x7560=>0x8E35, # <CJK>
0x7561=>0x8E3D, # <CJK>
0x7562=>0x8E31, # <CJK>
0x7563=>0x8E49, # <CJK>
0x7564=>0x8E41, # <CJK>
0x7565=>0x8E42, # <CJK>
0x7566=>0x8E51, # <CJK>
0x7567=>0x8E52, # <CJK>
0x7568=>0x8E4A, # <CJK>
0x7569=>0x8E70, # <CJK>
0x756A=>0x8E76, # <CJK>
0x756B=>0x8E7C, # <CJK>
0x756C=>0x8E6F, # <CJK>
0x756D=>0x8E74, # <CJK>
0x756E=>0x8E85, # <CJK>
0x756F=>0x8E8F, # <CJK>
0x7570=>0x8E94, # <CJK>
0x7571=>0x8E90, # <CJK>
0x7572=>0x8E9C, # <CJK>
0x7573=>0x8E9E, # <CJK>
0x7574=>0x8C78, # <CJK>
0x7575=>0x8C82, # <CJK>
0x7576=>0x8C8A, # <CJK>
0x7577=>0x8C85, # <CJK>
0x7578=>0x8C98, # <CJK>
0x7579=>0x8C94, # <CJK>
0x757A=>0x659B, # <CJK>
0x757B=>0x89D6, # <CJK>
0x757C=>0x89DE, # <CJK>
0x757D=>0x89DA, # <CJK>
0x757E=>0x89DC, # <CJK>
0x7621=>0x89E5, # <CJK>
0x7622=>0x89EB, # <CJK>
0x7623=>0x89EF, # <CJK>
0x7624=>0x8A3E, # <CJK>
0x7625=>0x8B26, # <CJK>
0x7626=>0x9753, # <CJK>
0x7627=>0x96E9, # <CJK>
0x7628=>0x96F3, # <CJK>
0x7629=>0x96EF, # <CJK>
0x762A=>0x9706, # <CJK>
0x762B=>0x9701, # <CJK>
0x762C=>0x9708, # <CJK>
0x762D=>0x970F, # <CJK>
0x762E=>0x970E, # <CJK>
0x762F=>0x972A, # <CJK>
0x7630=>0x972D, # <CJK>
0x7631=>0x9730, # <CJK>
0x7632=>0x973E, # <CJK>
0x7633=>0x9F80, # <CJK>
0x7634=>0x9F83, # <CJK>
0x7635=>0x9F85, # <CJK>
0x7636=>0x9F86, # <CJK>
0x7637=>0x9F87, # <CJK>
0x7638=>0x9F88, # <CJK>
0x7639=>0x9F89, # <CJK>
0x763A=>0x9F8A, # <CJK>
0x763B=>0x9F8C, # <CJK>
0x763C=>0x9EFE, # <CJK>
0x763D=>0x9F0B, # <CJK>
0x763E=>0x9F0D, # <CJK>
0x763F=>0x96B9, # <CJK>
0x7640=>0x96BC, # <CJK>
0x7641=>0x96BD, # <CJK>
0x7642=>0x96CE, # <CJK>
0x7643=>0x96D2, # <CJK>
0x7644=>0x77BF, # <CJK>
0x7645=>0x96E0, # <CJK>
0x7646=>0x928E, # <CJK>
0x7647=>0x92AE, # <CJK>
0x7648=>0x92C8, # <CJK>
0x7649=>0x933E, # <CJK>
0x764A=>0x936A, # <CJK>
0x764B=>0x93CA, # <CJK>
0x764C=>0x938F, # <CJK>
0x764D=>0x943E, # <CJK>
0x764E=>0x946B, # <CJK>
0x764F=>0x9C7F, # <CJK>
0x7650=>0x9C82, # <CJK>
0x7651=>0x9C85, # <CJK>
0x7652=>0x9C86, # <CJK>
0x7653=>0x9C87, # <CJK>
0x7654=>0x9C88, # <CJK>
0x7655=>0x7A23, # <CJK>
0x7656=>0x9C8B, # <CJK>
0x7657=>0x9C8E, # <CJK>
0x7658=>0x9C90, # <CJK>
0x7659=>0x9C91, # <CJK>
0x765A=>0x9C92, # <CJK>
0x765B=>0x9C94, # <CJK>
0x765C=>0x9C95, # <CJK>
0x765D=>0x9C9A, # <CJK>
0x765E=>0x9C9B, # <CJK>
0x765F=>0x9C9E, # <CJK>
0x7660=>0x9C9F, # <CJK>
0x7661=>0x9CA0, # <CJK>
0x7662=>0x9CA1, # <CJK>
0x7663=>0x9CA2, # <CJK>
0x7664=>0x9CA3, # <CJK>
0x7665=>0x9CA5, # <CJK>
0x7666=>0x9CA6, # <CJK>
0x7667=>0x9CA7, # <CJK>
0x7668=>0x9CA8, # <CJK>
0x7669=>0x9CA9, # <CJK>
0x766A=>0x9CAB, # <CJK>
0x766B=>0x9CAD, # <CJK>
0x766C=>0x9CAE, # <CJK>
0x766D=>0x9CB0, # <CJK>
0x766E=>0x9CB1, # <CJK>
0x766F=>0x9CB2, # <CJK>
0x7670=>0x9CB3, # <CJK>
0x7671=>0x9CB4, # <CJK>
0x7672=>0x9CB5, # <CJK>
0x7673=>0x9CB6, # <CJK>
0x7674=>0x9CB7, # <CJK>
0x7675=>0x9CBA, # <CJK>
0x7676=>0x9CBB, # <CJK>
0x7677=>0x9CBC, # <CJK>
0x7678=>0x9CBD, # <CJK>
0x7679=>0x9CC4, # <CJK>
0x767A=>0x9CC5, # <CJK>
0x767B=>0x9CC6, # <CJK>
0x767C=>0x9CC7, # <CJK>
0x767D=>0x9CCA, # <CJK>
0x767E=>0x9CCB, # <CJK>
0x7721=>0x9CCC, # <CJK>
0x7722=>0x9CCD, # <CJK>
0x7723=>0x9CCE, # <CJK>
0x7724=>0x9CCF, # <CJK>
0x7725=>0x9CD0, # <CJK>
0x7726=>0x9CD3, # <CJK>
0x7727=>0x9CD4, # <CJK>
0x7728=>0x9CD5, # <CJK>
0x7729=>0x9CD7, # <CJK>
0x772A=>0x9CD8, # <CJK>
0x772B=>0x9CD9, # <CJK>
0x772C=>0x9CDC, # <CJK>
0x772D=>0x9CDD, # <CJK>
0x772E=>0x9CDF, # <CJK>
0x772F=>0x9CE2, # <CJK>
0x7730=>0x977C, # <CJK>
0x7731=>0x9785, # <CJK>
0x7732=>0x9791, # <CJK>
0x7733=>0x9792, # <CJK>
0x7734=>0x9794, # <CJK>
0x7735=>0x97AF, # <CJK>
0x7736=>0x97AB, # <CJK>
0x7737=>0x97A3, # <CJK>
0x7738=>0x97B2, # <CJK>
0x7739=>0x97B4, # <CJK>
0x773A=>0x9AB1, # <CJK>
0x773B=>0x9AB0, # <CJK>
0x773C=>0x9AB7, # <CJK>
0x773D=>0x9E58, # <CJK>
0x773E=>0x9AB6, # <CJK>
0x773F=>0x9ABA, # <CJK>
0x7740=>0x9ABC, # <CJK>
0x7741=>0x9AC1, # <CJK>
0x7742=>0x9AC0, # <CJK>
0x7743=>0x9AC5, # <CJK>
0x7744=>0x9AC2, # <CJK>
0x7745=>0x9ACB, # <CJK>
0x7746=>0x9ACC, # <CJK>
0x7747=>0x9AD1, # <CJK>
0x7748=>0x9B45, # <CJK>
0x7749=>0x9B43, # <CJK>
0x774A=>0x9B47, # <CJK>
0x774B=>0x9B49, # <CJK>
0x774C=>0x9B48, # <CJK>
0x774D=>0x9B4D, # <CJK>
0x774E=>0x9B51, # <CJK>
0x774F=>0x98E8, # <CJK>
0x7750=>0x990D, # <CJK>
0x7751=>0x992E, # <CJK>
0x7752=>0x9955, # <CJK>
0x7753=>0x9954, # <CJK>
0x7754=>0x9ADF, # <CJK>
0x7755=>0x9AE1, # <CJK>
0x7756=>0x9AE6, # <CJK>
0x7757=>0x9AEF, # <CJK>
0x7758=>0x9AEB, # <CJK>
0x7759=>0x9AFB, # <CJK>
0x775A=>0x9AED, # <CJK>
0x775B=>0x9AF9, # <CJK>
0x775C=>0x9B08, # <CJK>
0x775D=>0x9B0F, # <CJK>
0x775E=>0x9B13, # <CJK>
0x775F=>0x9B1F, # <CJK>
0x7760=>0x9B23, # <CJK>
0x7761=>0x9EBD, # <CJK>
0x7762=>0x9EBE, # <CJK>
0x7763=>0x7E3B, # <CJK>
0x7764=>0x9E82, # <CJK>
0x7765=>0x9E87, # <CJK>
0x7766=>0x9E88, # <CJK>
0x7767=>0x9E8B, # <CJK>
0x7768=>0x9E92, # <CJK>
0x7769=>0x93D6, # <CJK>
0x776A=>0x9E9D, # <CJK>
0x776B=>0x9E9F, # <CJK>
0x776C=>0x9EDB, # <CJK>
0x776D=>0x9EDC, # <CJK>
0x776E=>0x9EDD, # <CJK>
0x776F=>0x9EE0, # <CJK>
0x7770=>0x9EDF, # <CJK>
0x7771=>0x9EE2, # <CJK>
0x7772=>0x9EE9, # <CJK>
0x7773=>0x9EE7, # <CJK>
0x7774=>0x9EE5, # <CJK>
0x7775=>0x9EEA, # <CJK>
0x7776=>0x9EEF, # <CJK>
0x7777=>0x9F22, # <CJK>
0x7778=>0x9F2C, # <CJK>
0x7779=>0x9F2F, # <CJK>
0x777A=>0x9F39, # <CJK>
0x777B=>0x9F37, # <CJK>
0x777C=>0x9F3D, # <CJK>
0x777D=>0x9F3E, # <CJK>
0x777E=>0x9F44, # <CJK>

"
!

mappingURL1
    "/ self generateCode

    ^ 'http://cpansearch.perl.org/src/GUS/Unicode-UTF8simple-1.06/gb2312.txt'
"/ no longer online:
"/    ^ 'OBSOLETE/EASTASIA/GB/GB2312.TXT'
! !

!GB2312_1980_0 methodsFor:'encoding & decoding'!

decode:codeArg
    "Automagically generated by generateCode - do not modify.
     Decode from my encoding into unicode."

    |code "{ Class: SmallInteger }"|

    code := codeArg.
    code <= 16r2120 ifTrue:[
        ^ self decodingError.
    ].
    code > 16r777E ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r296F ifTrue:[
        code <= 16r2658 ifTrue:[
            code <= 16r217E ifTrue:[
                ^ #(
                   "16r2121"    16r3000
                   "16r2122"    16r3001
                   "16r2123"    16r3002
                   "16r2124"    16r30FB
                   "16r2125"    16r02C9
                   "16r2126"    16r02C7
                   "16r2127"    16r00A8
                   "16r2128"    16r3003
                   "16r2129"    16r3005
                   "16r212A"    16r2015
                   "16r212B"    16r007E
                   "16r212C"    16r2225
                   "16r212D"    16r2026
                   "16r212E"    16r2018
                   "16r212F"    16r2019
                   "16r2130"    16r201C
                   "16r2131"    16r201D
                   "16r2132"    16r3014
                   "16r2133"    16r3015
                   "16r2134"    16r3008
                   "16r2135"    16r3009
                   "16r2136"    16r300A
                   "16r2137"    16r300B
                   "16r2138"    16r300C
                   "16r2139"    16r300D
                   "16r213A"    16r300E
                   "16r213B"    16r300F
                   "16r213C"    16r3016
                   "16r213D"    16r3017
                   "16r213E"    16r3010
                   "16r213F"    16r3011
                   "16r2140"    16r00B1
                   "16r2141"    16r00D7
                   "16r2142"    16r00F7
                   "16r2143"    16r2236
                   "16r2144"    16r2227
                   "16r2145"    16r2228
                   "16r2146"    16r2211
                   "16r2147"    16r220F
                   "16r2148"    16r222A
                   "16r2149"    16r2229
                   "16r214A"    16r2208
                   "16r214B"    16r2237
                   "16r214C"    16r221A
                   "16r214D"    16r22A5
                   "16r214E"    16r2225
                   "16r214F"    16r2220
                   "16r2150"    16r2312
                   "16r2151"    16r2299
                   "16r2152"    16r222B
                   "16r2153"    16r222E
                   "16r2154"    16r2261
                   "16r2155"    16r224C
                   "16r2156"    16r2248
                   "16r2157"    16r223D
                   "16r2158"    16r221D
                   "16r2159"    16r2260
                   "16r215A"    16r226E
                   "16r215B"    16r226F
                   "16r215C"    16r2264
                   "16r215D"    16r2265
                   "16r215E"    16r221E
                   "16r215F"    16r2235
                   "16r2160"    16r2234
                   "16r2161"    16r2642
                   "16r2162"    16r2640
                   "16r2163"    16r00B0
                   "16r2164"    16r2032
                   "16r2165"    16r2033
                   "16r2166"    16r2103
                   "16r2167"    16r0024
                   "16r2168"    16r00A4
                   "16r2169"    16rFFE0
                   "16r216A"    16rFFE1
                   "16r216B"    16r2030
                   "16r216C"    16r00A7
                   "16r216D"    16r2116
                   "16r216E"    16r2606
                   "16r216F"    16r2605
                   "16r2170"    16r25CB
                   "16r2171"    16r25CF
                   "16r2172"    16r25CE
                   "16r2173"    16r25C7
                   "16r2174"    16r25C6
                   "16r2175"    16r25A1
                   "16r2176"    16r25A0
                   "16r2177"    16r25B3
                   "16r2178"    16r25B2
                   "16r2179"    16r203B
                   "16r217A"    16r2192
                   "16r217B"    16r2190
                   "16r217C"    16r2191
                   "16r217D"    16r2193
                   "16r217E"    16r3013
                   ) at:(code - 16r2120).
            ].
            code <= 16r2230 ifTrue:[
                ^ self decodingError.
            ].
            code <= 16r2473 ifTrue:[
                code <= 16r227C ifTrue:[
                    [
                        |t|
                        t := #(
                           "16r2231"    16r2488
                           "16r2232"    16r2489
                           "16r2233"    16r248A
                           "16r2234"    16r248B
                           "16r2235"    16r248C
                           "16r2236"    16r248D
                           "16r2237"    16r248E
                           "16r2238"    16r248F
                           "16r2239"    16r2490
                           "16r223A"    16r2491
                           "16r223B"    16r2492
                           "16r223C"    16r2493
                           "16r223D"    16r2494
                           "16r223E"    16r2495
                           "16r223F"    16r2496
                           "16r2240"    16r2497
                           "16r2241"    16r2498
                           "16r2242"    16r2499
                           "16r2243"    16r249A
                           "16r2244"    16r249B
                           "16r2245"    16r2474
                           "16r2246"    16r2475
                           "16r2247"    16r2476
                           "16r2248"    16r2477
                           "16r2249"    16r2478
                           "16r224A"    16r2479
                           "16r224B"    16r247A
                           "16r224C"    16r247B
                           "16r224D"    16r247C
                           "16r224E"    16r247D
                           "16r224F"    16r247E
                           "16r2250"    16r247F
                           "16r2251"    16r2480
                           "16r2252"    16r2481
                           "16r2253"    16r2482
                           "16r2254"    16r2483
                           "16r2255"    16r2484
                           "16r2256"    16r2485
                           "16r2257"    16r2486
                           "16r2258"    16r2487
                           "16r2259"    16r2460
                           "16r225A"    16r2461
                           "16r225B"    16r2462
                           "16r225C"    16r2463
                           "16r225D"    16r2464
                           "16r225E"    16r2465
                           "16r225F"    16r2466
                           "16r2260"    16r2467
                           "16r2261"    16r2468
                           "16r2262"    16r2469
                           "16r2263"    16r0000 " invalid " 
                           "16r2264"    16r0000 " invalid " 
                           "16r2265"    16r3220
                           "16r2266"    16r3221
                           "16r2267"    16r3222
                           "16r2268"    16r3223
                           "16r2269"    16r3224
                           "16r226A"    16r3225
                           "16r226B"    16r3226
                           "16r226C"    16r3227
                           "16r226D"    16r3228
                           "16r226E"    16r3229
                           "16r226F"    16r0000 " invalid " 
                           "16r2270"    16r0000 " invalid " 
                           "16r2271"    16r2160
                           "16r2272"    16r2161
                           "16r2273"    16r2162
                           "16r2274"    16r2163
                           "16r2275"    16r2164
                           "16r2276"    16r2165
                           "16r2277"    16r2166
                           "16r2278"    16r2167
                           "16r2279"    16r2168
                           "16r227A"    16r2169
                           "16r227B"    16r216A
                           "16r227C"    16r216B
                           ) at:(code - 16r2230).
                        t == 0 ifFalse:[^ t].
                        ^ self decodingError.
                    ] value.
                ].
                code <= 16r2320 ifTrue:[
                    ^ self decodingError.
                ].
                code <= 16r237E ifTrue:[
                    ^ #(
                       "16r2321"    16r0021
                       "16r2322"    16r0022
                       "16r2323"    16r0023
                       "16r2324"    16rFFE5
                       "16r2325"    16r0025
                       "16r2326"    16r0026
                       "16r2327"    16r0027
                       "16r2328"    16r0028
                       "16r2329"    16r0029
                       "16r232A"    16r002A
                       "16r232B"    16r002B
                       "16r232C"    16r002C
                       "16r232D"    16r002D
                       "16r232E"    16r002E
                       "16r232F"    16r002F
                       "16r2330"    16r0030
                       "16r2331"    16r0031
                       "16r2332"    16r0032
                       "16r2333"    16r0033
                       "16r2334"    16r0034
                       "16r2335"    16r0035
                       "16r2336"    16r0036
                       "16r2337"    16r0037
                       "16r2338"    16r0038
                       "16r2339"    16r0039
                       "16r233A"    16r003A
                       "16r233B"    16r003B
                       "16r233C"    16r003C
                       "16r233D"    16r003D
                       "16r233E"    16r003E
                       "16r233F"    16r003F
                       "16r2340"    16r0040
                       "16r2341"    16r0041
                       "16r2342"    16r0042
                       "16r2343"    16r0043
                       "16r2344"    16r0044
                       "16r2345"    16r0045
                       "16r2346"    16r0046
                       "16r2347"    16r0047
                       "16r2348"    16r0048
                       "16r2349"    16r0049
                       "16r234A"    16r004A
                       "16r234B"    16r004B
                       "16r234C"    16r004C
                       "16r234D"    16r004D
                       "16r234E"    16r004E
                       "16r234F"    16r004F
                       "16r2350"    16r0050
                       "16r2351"    16r0051
                       "16r2352"    16r0052
                       "16r2353"    16r0053
                       "16r2354"    16r0054
                       "16r2355"    16r0055
                       "16r2356"    16r0056
                       "16r2357"    16r0057
                       "16r2358"    16r0058
                       "16r2359"    16r0059
                       "16r235A"    16r005A
                       "16r235B"    16r005B
                       "16r235C"    16r005C
                       "16r235D"    16r005D
                       "16r235E"    16r005E
                       "16r235F"    16r005F
                       "16r2360"    16r0060
                       "16r2361"    16r0061
                       "16r2362"    16r0062
                       "16r2363"    16r0063
                       "16r2364"    16r0064
                       "16r2365"    16r0065
                       "16r2366"    16r0066
                       "16r2367"    16r0067
                       "16r2368"    16r0068
                       "16r2369"    16r0069
                       "16r236A"    16r006A
                       "16r236B"    16r006B
                       "16r236C"    16r006C
                       "16r236D"    16r006D
                       "16r236E"    16r006E
                       "16r236F"    16r006F
                       "16r2370"    16r0070
                       "16r2371"    16r0071
                       "16r2372"    16r0072
                       "16r2373"    16r0073
                       "16r2374"    16r0074
                       "16r2375"    16r0075
                       "16r2376"    16r0076
                       "16r2377"    16r0077
                       "16r2378"    16r0078
                       "16r2379"    16r0079
                       "16r237A"    16r007A
                       "16r237B"    16r007B
                       "16r237C"    16r007C
                       "16r237D"    16r007D
                       "16r237E"    16rFFE3
                       ) at:(code - 16r2320).
                ].
                code <= 16r2420 ifTrue:[
                    ^ self decodingError.
                ].
                ^ #(
                   "16r2421"    16r3041
                   "16r2422"    16r3042
                   "16r2423"    16r3043
                   "16r2424"    16r3044
                   "16r2425"    16r3045
                   "16r2426"    16r3046
                   "16r2427"    16r3047
                   "16r2428"    16r3048
                   "16r2429"    16r3049
                   "16r242A"    16r304A
                   "16r242B"    16r304B
                   "16r242C"    16r304C
                   "16r242D"    16r304D
                   "16r242E"    16r304E
                   "16r242F"    16r304F
                   "16r2430"    16r3050
                   "16r2431"    16r3051
                   "16r2432"    16r3052
                   "16r2433"    16r3053
                   "16r2434"    16r3054
                   "16r2435"    16r3055
                   "16r2436"    16r3056
                   "16r2437"    16r3057
                   "16r2438"    16r3058
                   "16r2439"    16r3059
                   "16r243A"    16r305A
                   "16r243B"    16r305B
                   "16r243C"    16r305C
                   "16r243D"    16r305D
                   "16r243E"    16r305E
                   "16r243F"    16r305F
                   "16r2440"    16r3060
                   "16r2441"    16r3061
                   "16r2442"    16r3062
                   "16r2443"    16r3063
                   "16r2444"    16r3064
                   "16r2445"    16r3065
                   "16r2446"    16r3066
                   "16r2447"    16r3067
                   "16r2448"    16r3068
                   "16r2449"    16r3069
                   "16r244A"    16r306A
                   "16r244B"    16r306B
                   "16r244C"    16r306C
                   "16r244D"    16r306D
                   "16r244E"    16r306E
                   "16r244F"    16r306F
                   "16r2450"    16r3070
                   "16r2451"    16r3071
                   "16r2452"    16r3072
                   "16r2453"    16r3073
                   "16r2454"    16r3074
                   "16r2455"    16r3075
                   "16r2456"    16r3076
                   "16r2457"    16r3077
                   "16r2458"    16r3078
                   "16r2459"    16r3079
                   "16r245A"    16r307A
                   "16r245B"    16r307B
                   "16r245C"    16r307C
                   "16r245D"    16r307D
                   "16r245E"    16r307E
                   "16r245F"    16r307F
                   "16r2460"    16r3080
                   "16r2461"    16r3081
                   "16r2462"    16r3082
                   "16r2463"    16r3083
                   "16r2464"    16r3084
                   "16r2465"    16r3085
                   "16r2466"    16r3086
                   "16r2467"    16r3087
                   "16r2468"    16r3088
                   "16r2469"    16r3089
                   "16r246A"    16r308A
                   "16r246B"    16r308B
                   "16r246C"    16r308C
                   "16r246D"    16r308D
                   "16r246E"    16r308E
                   "16r246F"    16r308F
                   "16r2470"    16r3090
                   "16r2471"    16r3091
                   "16r2472"    16r3092
                   "16r2473"    16r3093
                   ) at:(code - 16r2420).
            ].
            code <= 16r2520 ifTrue:[
                ^ self decodingError.
            ].
            code <= 16r2576 ifTrue:[
                ^ #(
                   "16r2521"    16r30A1
                   "16r2522"    16r30A2
                   "16r2523"    16r30A3
                   "16r2524"    16r30A4
                   "16r2525"    16r30A5
                   "16r2526"    16r30A6
                   "16r2527"    16r30A7
                   "16r2528"    16r30A8
                   "16r2529"    16r30A9
                   "16r252A"    16r30AA
                   "16r252B"    16r30AB
                   "16r252C"    16r30AC
                   "16r252D"    16r30AD
                   "16r252E"    16r30AE
                   "16r252F"    16r30AF
                   "16r2530"    16r30B0
                   "16r2531"    16r30B1
                   "16r2532"    16r30B2
                   "16r2533"    16r30B3
                   "16r2534"    16r30B4
                   "16r2535"    16r30B5
                   "16r2536"    16r30B6
                   "16r2537"    16r30B7
                   "16r2538"    16r30B8
                   "16r2539"    16r30B9
                   "16r253A"    16r30BA
                   "16r253B"    16r30BB
                   "16r253C"    16r30BC
                   "16r253D"    16r30BD
                   "16r253E"    16r30BE
                   "16r253F"    16r30BF
                   "16r2540"    16r30C0
                   "16r2541"    16r30C1
                   "16r2542"    16r30C2
                   "16r2543"    16r30C3
                   "16r2544"    16r30C4
                   "16r2545"    16r30C5
                   "16r2546"    16r30C6
                   "16r2547"    16r30C7
                   "16r2548"    16r30C8
                   "16r2549"    16r30C9
                   "16r254A"    16r30CA
                   "16r254B"    16r30CB
                   "16r254C"    16r30CC
                   "16r254D"    16r30CD
                   "16r254E"    16r30CE
                   "16r254F"    16r30CF
                   "16r2550"    16r30D0
                   "16r2551"    16r30D1
                   "16r2552"    16r30D2
                   "16r2553"    16r30D3
                   "16r2554"    16r30D4
                   "16r2555"    16r30D5
                   "16r2556"    16r30D6
                   "16r2557"    16r30D7
                   "16r2558"    16r30D8
                   "16r2559"    16r30D9
                   "16r255A"    16r30DA
                   "16r255B"    16r30DB
                   "16r255C"    16r30DC
                   "16r255D"    16r30DD
                   "16r255E"    16r30DE
                   "16r255F"    16r30DF
                   "16r2560"    16r30E0
                   "16r2561"    16r30E1
                   "16r2562"    16r30E2
                   "16r2563"    16r30E3
                   "16r2564"    16r30E4
                   "16r2565"    16r30E5
                   "16r2566"    16r30E6
                   "16r2567"    16r30E7
                   "16r2568"    16r30E8
                   "16r2569"    16r30E9
                   "16r256A"    16r30EA
                   "16r256B"    16r30EB
                   "16r256C"    16r30EC
                   "16r256D"    16r30ED
                   "16r256E"    16r30EE
                   "16r256F"    16r30EF
                   "16r2570"    16r30F0
                   "16r2571"    16r30F1
                   "16r2572"    16r30F2
                   "16r2573"    16r30F3
                   "16r2574"    16r30F4
                   "16r2575"    16r30F5
                   "16r2576"    16r30F6
                   ) at:(code - 16r2520).
            ].
            code <= 16r2620 ifTrue:[
                ^ self decodingError.
            ].
            [
                |t|
                t := #(
                   "16r2621"    16r0391
                   "16r2622"    16r0392
                   "16r2623"    16r0393
                   "16r2624"    16r0394
                   "16r2625"    16r0395
                   "16r2626"    16r0396
                   "16r2627"    16r0397
                   "16r2628"    16r0398
                   "16r2629"    16r0399
                   "16r262A"    16r039A
                   "16r262B"    16r039B
                   "16r262C"    16r039C
                   "16r262D"    16r039D
                   "16r262E"    16r039E
                   "16r262F"    16r039F
                   "16r2630"    16r03A0
                   "16r2631"    16r03A1
                   "16r2632"    16r03A3
                   "16r2633"    16r03A4
                   "16r2634"    16r03A5
                   "16r2635"    16r03A6
                   "16r2636"    16r03A7
                   "16r2637"    16r03A8
                   "16r2638"    16r03A9
                   "16r2639"    16r0000 " invalid " 
                   "16r263A"    16r0000 " invalid " 
                   "16r263B"    16r0000 " invalid " 
                   "16r263C"    16r0000 " invalid " 
                   "16r263D"    16r0000 " invalid " 
                   "16r263E"    16r0000 " invalid " 
                   "16r263F"    16r0000 " invalid " 
                   "16r2640"    16r0000 " invalid " 
                   "16r2641"    16r03B1
                   "16r2642"    16r03B2
                   "16r2643"    16r03B3
                   "16r2644"    16r03B4
                   "16r2645"    16r03B5
                   "16r2646"    16r03B6
                   "16r2647"    16r03B7
                   "16r2648"    16r03B8
                   "16r2649"    16r03B9
                   "16r264A"    16r03BA
                   "16r264B"    16r03BB
                   "16r264C"    16r03BC
                   "16r264D"    16r03BD
                   "16r264E"    16r03BE
                   "16r264F"    16r03BF
                   "16r2650"    16r03C0
                   "16r2651"    16r03C1
                   "16r2652"    16r03C3
                   "16r2653"    16r03C4
                   "16r2654"    16r03C5
                   "16r2655"    16r03C6
                   "16r2656"    16r03C7
                   "16r2657"    16r03C8
                   "16r2658"    16r03C9
                   ) at:(code - 16r2620).
                t == 0 ifFalse:[^ t].
                ^ self decodingError.
            ] value.
        ].
        code <= 16r2720 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r2869 ifTrue:[
            code <= 16r2771 ifTrue:[
                [
                    |t|
                    t := #(
                       "16r2721"    16r0410
                       "16r2722"    16r0411
                       "16r2723"    16r0412
                       "16r2724"    16r0413
                       "16r2725"    16r0414
                       "16r2726"    16r0415
                       "16r2727"    16r0401
                       "16r2728"    16r0416
                       "16r2729"    16r0417
                       "16r272A"    16r0418
                       "16r272B"    16r0419
                       "16r272C"    16r041A
                       "16r272D"    16r041B
                       "16r272E"    16r041C
                       "16r272F"    16r041D
                       "16r2730"    16r041E
                       "16r2731"    16r041F
                       "16r2732"    16r0420
                       "16r2733"    16r0421
                       "16r2734"    16r0422
                       "16r2735"    16r0423
                       "16r2736"    16r0424
                       "16r2737"    16r0425
                       "16r2738"    16r0426
                       "16r2739"    16r0427
                       "16r273A"    16r0428
                       "16r273B"    16r0429
                       "16r273C"    16r042A
                       "16r273D"    16r042B
                       "16r273E"    16r042C
                       "16r273F"    16r042D
                       "16r2740"    16r042E
                       "16r2741"    16r042F
                       "16r2742"    16r0000 " invalid " 
                       "16r2743"    16r0000 " invalid " 
                       "16r2744"    16r0000 " invalid " 
                       "16r2745"    16r0000 " invalid " 
                       "16r2746"    16r0000 " invalid " 
                       "16r2747"    16r0000 " invalid " 
                       "16r2748"    16r0000 " invalid " 
                       "16r2749"    16r0000 " invalid " 
                       "16r274A"    16r0000 " invalid " 
                       "16r274B"    16r0000 " invalid " 
                       "16r274C"    16r0000 " invalid " 
                       "16r274D"    16r0000 " invalid " 
                       "16r274E"    16r0000 " invalid " 
                       "16r274F"    16r0000 " invalid " 
                       "16r2750"    16r0000 " invalid " 
                       "16r2751"    16r0430
                       "16r2752"    16r0431
                       "16r2753"    16r0432
                       "16r2754"    16r0433
                       "16r2755"    16r0434
                       "16r2756"    16r0435
                       "16r2757"    16r0451
                       "16r2758"    16r0436
                       "16r2759"    16r0437
                       "16r275A"    16r0438
                       "16r275B"    16r0439
                       "16r275C"    16r043A
                       "16r275D"    16r043B
                       "16r275E"    16r043C
                       "16r275F"    16r043D
                       "16r2760"    16r043E
                       "16r2761"    16r043F
                       "16r2762"    16r0440
                       "16r2763"    16r0441
                       "16r2764"    16r0442
                       "16r2765"    16r0443
                       "16r2766"    16r0444
                       "16r2767"    16r0445
                       "16r2768"    16r0446
                       "16r2769"    16r0447
                       "16r276A"    16r0448
                       "16r276B"    16r0449
                       "16r276C"    16r044A
                       "16r276D"    16r044B
                       "16r276E"    16r044C
                       "16r276F"    16r044D
                       "16r2770"    16r044E
                       "16r2771"    16r044F
                       ) at:(code - 16r2720).
                    t == 0 ifFalse:[^ t].
                    ^ self decodingError.
                ] value.
            ].
            code <= 16r2820 ifTrue:[
                ^ self decodingError.
            ].
            [
                |t|
                t := #(
                   "16r2821"    16r0101
                   "16r2822"    16r00E1
                   "16r2823"    16r01CE
                   "16r2824"    16r00E0
                   "16r2825"    16r0113
                   "16r2826"    16r00E9
                   "16r2827"    16r011B
                   "16r2828"    16r00E8
                   "16r2829"    16r012B
                   "16r282A"    16r00ED
                   "16r282B"    16r01D0
                   "16r282C"    16r00EC
                   "16r282D"    16r014D
                   "16r282E"    16r00F3
                   "16r282F"    16r01D2
                   "16r2830"    16r00F2
                   "16r2831"    16r016B
                   "16r2832"    16r00FA
                   "16r2833"    16r01D4
                   "16r2834"    16r00F9
                   "16r2835"    16r01D6
                   "16r2836"    16r01D8
                   "16r2837"    16r01DA
                   "16r2838"    16r01DC
                   "16r2839"    16r00FC
                   "16r283A"    16r00EA
                   "16r283B"    16r0000 " invalid " 
                   "16r283C"    16r0000 " invalid " 
                   "16r283D"    16r0000 " invalid " 
                   "16r283E"    16r0000 " invalid " 
                   "16r283F"    16r0000 " invalid " 
                   "16r2840"    16r0000 " invalid " 
                   "16r2841"    16r0000 " invalid " 
                   "16r2842"    16r0000 " invalid " 
                   "16r2843"    16r0000 " invalid " 
                   "16r2844"    16r0000 " invalid " 
                   "16r2845"    16r3105
                   "16r2846"    16r3106
                   "16r2847"    16r3107
                   "16r2848"    16r3108
                   "16r2849"    16r3109
                   "16r284A"    16r310A
                   "16r284B"    16r310B
                   "16r284C"    16r310C
                   "16r284D"    16r310D
                   "16r284E"    16r310E
                   "16r284F"    16r310F
                   "16r2850"    16r3110
                   "16r2851"    16r3111
                   "16r2852"    16r3112
                   "16r2853"    16r3113
                   "16r2854"    16r3114
                   "16r2855"    16r3115
                   "16r2856"    16r3116
                   "16r2857"    16r3117
                   "16r2858"    16r3118
                   "16r2859"    16r3119
                   "16r285A"    16r311A
                   "16r285B"    16r311B
                   "16r285C"    16r311C
                   "16r285D"    16r311D
                   "16r285E"    16r311E
                   "16r285F"    16r311F
                   "16r2860"    16r3120
                   "16r2861"    16r3121
                   "16r2862"    16r3122
                   "16r2863"    16r3123
                   "16r2864"    16r3124
                   "16r2865"    16r3125
                   "16r2866"    16r3126
                   "16r2867"    16r3127
                   "16r2868"    16r3128
                   "16r2869"    16r3129
                   ) at:(code - 16r2820).
                t == 0 ifFalse:[^ t].
                ^ self decodingError.
            ] value.
        ].
        code <= 16r2923 ifTrue:[
            ^ self decodingError.
        ].
        ^ #(
           "16r2924"    16r2500
           "16r2925"    16r2501
           "16r2926"    16r2502
           "16r2927"    16r2503
           "16r2928"    16r2504
           "16r2929"    16r2505
           "16r292A"    16r2506
           "16r292B"    16r2507
           "16r292C"    16r2508
           "16r292D"    16r2509
           "16r292E"    16r250A
           "16r292F"    16r250B
           "16r2930"    16r250C
           "16r2931"    16r250D
           "16r2932"    16r250E
           "16r2933"    16r250F
           "16r2934"    16r2510
           "16r2935"    16r2511
           "16r2936"    16r2512
           "16r2937"    16r2513
           "16r2938"    16r2514
           "16r2939"    16r2515
           "16r293A"    16r2516
           "16r293B"    16r2517
           "16r293C"    16r2518
           "16r293D"    16r2519
           "16r293E"    16r251A
           "16r293F"    16r251B
           "16r2940"    16r251C
           "16r2941"    16r251D
           "16r2942"    16r251E
           "16r2943"    16r251F
           "16r2944"    16r2520
           "16r2945"    16r2521
           "16r2946"    16r2522
           "16r2947"    16r2523
           "16r2948"    16r2524
           "16r2949"    16r2525
           "16r294A"    16r2526
           "16r294B"    16r2527
           "16r294C"    16r2528
           "16r294D"    16r2529
           "16r294E"    16r252A
           "16r294F"    16r252B
           "16r2950"    16r252C
           "16r2951"    16r252D
           "16r2952"    16r252E
           "16r2953"    16r252F
           "16r2954"    16r2530
           "16r2955"    16r2531
           "16r2956"    16r2532
           "16r2957"    16r2533
           "16r2958"    16r2534
           "16r2959"    16r2535
           "16r295A"    16r2536
           "16r295B"    16r2537
           "16r295C"    16r2538
           "16r295D"    16r2539
           "16r295E"    16r253A
           "16r295F"    16r253B
           "16r2960"    16r253C
           "16r2961"    16r253D
           "16r2962"    16r253E
           "16r2963"    16r253F
           "16r2964"    16r2540
           "16r2965"    16r2541
           "16r2966"    16r2542
           "16r2967"    16r2543
           "16r2968"    16r2544
           "16r2969"    16r2545
           "16r296A"    16r2546
           "16r296B"    16r2547
           "16r296C"    16r2548
           "16r296D"    16r2549
           "16r296E"    16r254A
           "16r296F"    16r254B
           ) at:(code - 16r2923).
    ].
    code <= 16r3020 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r5779 ifTrue:[
        code <= 16r307E ifTrue:[
            ^ #(
               "16r3021"    16r554A
               "16r3022"    16r963F
               "16r3023"    16r57C3
               "16r3024"    16r6328
               "16r3025"    16r54CE
               "16r3026"    16r5509
               "16r3027"    16r54C0
               "16r3028"    16r7691
               "16r3029"    16r764C
               "16r302A"    16r853C
               "16r302B"    16r77EE
               "16r302C"    16r827E
               "16r302D"    16r788D
               "16r302E"    16r7231
               "16r302F"    16r9698
               "16r3030"    16r978D
               "16r3031"    16r6C28
               "16r3032"    16r5B89
               "16r3033"    16r4FFA
               "16r3034"    16r6309
               "16r3035"    16r6697
               "16r3036"    16r5CB8
               "16r3037"    16r80FA
               "16r3038"    16r6848
               "16r3039"    16r80AE
               "16r303A"    16r6602
               "16r303B"    16r76CE
               "16r303C"    16r51F9
               "16r303D"    16r6556
               "16r303E"    16r71AC
               "16r303F"    16r7FF1
               "16r3040"    16r8884
               "16r3041"    16r50B2
               "16r3042"    16r5965
               "16r3043"    16r61CA
               "16r3044"    16r6FB3
               "16r3045"    16r82AD
               "16r3046"    16r634C
               "16r3047"    16r6252
               "16r3048"    16r53ED
               "16r3049"    16r5427
               "16r304A"    16r7B06
               "16r304B"    16r516B
               "16r304C"    16r75A4
               "16r304D"    16r5DF4
               "16r304E"    16r62D4
               "16r304F"    16r8DCB
               "16r3050"    16r9776
               "16r3051"    16r628A
               "16r3052"    16r8019
               "16r3053"    16r575D
               "16r3054"    16r9738
               "16r3055"    16r7F62
               "16r3056"    16r7238
               "16r3057"    16r767D
               "16r3058"    16r67CF
               "16r3059"    16r767E
               "16r305A"    16r6446
               "16r305B"    16r4F70
               "16r305C"    16r8D25
               "16r305D"    16r62DC
               "16r305E"    16r7A17
               "16r305F"    16r6591
               "16r3060"    16r73ED
               "16r3061"    16r642C
               "16r3062"    16r6273
               "16r3063"    16r822C
               "16r3064"    16r9881
               "16r3065"    16r677F
               "16r3066"    16r7248
               "16r3067"    16r626E
               "16r3068"    16r62CC
               "16r3069"    16r4F34
               "16r306A"    16r74E3
               "16r306B"    16r534A
               "16r306C"    16r529E
               "16r306D"    16r7ECA
               "16r306E"    16r90A6
               "16r306F"    16r5E2E
               "16r3070"    16r6886
               "16r3071"    16r699C
               "16r3072"    16r8180
               "16r3073"    16r7ED1
               "16r3074"    16r68D2
               "16r3075"    16r78C5
               "16r3076"    16r868C
               "16r3077"    16r9551
               "16r3078"    16r508D
               "16r3079"    16r8C24
               "16r307A"    16r82DE
               "16r307B"    16r80DE
               "16r307C"    16r5305
               "16r307D"    16r8912
               "16r307E"    16r5265
               ) at:(code - 16r3020).
        ].
        code <= 16r3120 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r317E ifTrue:[
            ^ #(
               "16r3121"    16r8584
               "16r3122"    16r96F9
               "16r3123"    16r4FDD
               "16r3124"    16r5821
               "16r3125"    16r9971
               "16r3126"    16r5B9D
               "16r3127"    16r62B1
               "16r3128"    16r62A5
               "16r3129"    16r66B4
               "16r312A"    16r8C79
               "16r312B"    16r9C8D
               "16r312C"    16r7206
               "16r312D"    16r676F
               "16r312E"    16r7891
               "16r312F"    16r60B2
               "16r3130"    16r5351
               "16r3131"    16r5317
               "16r3132"    16r8F88
               "16r3133"    16r80CC
               "16r3134"    16r8D1D
               "16r3135"    16r94A1
               "16r3136"    16r500D
               "16r3137"    16r72C8
               "16r3138"    16r5907
               "16r3139"    16r60EB
               "16r313A"    16r7119
               "16r313B"    16r88AB
               "16r313C"    16r5954
               "16r313D"    16r82EF
               "16r313E"    16r672C
               "16r313F"    16r7B28
               "16r3140"    16r5D29
               "16r3141"    16r7EF7
               "16r3142"    16r752D
               "16r3143"    16r6CF5
               "16r3144"    16r8E66
               "16r3145"    16r8FF8
               "16r3146"    16r903C
               "16r3147"    16r9F3B
               "16r3148"    16r6BD4
               "16r3149"    16r9119
               "16r314A"    16r7B14
               "16r314B"    16r5F7C
               "16r314C"    16r78A7
               "16r314D"    16r84D6
               "16r314E"    16r853D
               "16r314F"    16r6BD5
               "16r3150"    16r6BD9
               "16r3151"    16r6BD6
               "16r3152"    16r5E01
               "16r3153"    16r5E87
               "16r3154"    16r75F9
               "16r3155"    16r95ED
               "16r3156"    16r655D
               "16r3157"    16r5F0A
               "16r3158"    16r5FC5
               "16r3159"    16r8F9F
               "16r315A"    16r58C1
               "16r315B"    16r81C2
               "16r315C"    16r907F
               "16r315D"    16r965B
               "16r315E"    16r97AD
               "16r315F"    16r8FB9
               "16r3160"    16r7F16
               "16r3161"    16r8D2C
               "16r3162"    16r6241
               "16r3163"    16r4FBF
               "16r3164"    16r53D8
               "16r3165"    16r535E
               "16r3166"    16r8FA8
               "16r3167"    16r8FA9
               "16r3168"    16r8FAB
               "16r3169"    16r904D
               "16r316A"    16r6807
               "16r316B"    16r5F6A
               "16r316C"    16r8198
               "16r316D"    16r8868
               "16r316E"    16r9CD6
               "16r316F"    16r618B
               "16r3170"    16r522B
               "16r3171"    16r762A
               "16r3172"    16r5F6C
               "16r3173"    16r658C
               "16r3174"    16r6FD2
               "16r3175"    16r6EE8
               "16r3176"    16r5BBE
               "16r3177"    16r6448
               "16r3178"    16r5175
               "16r3179"    16r51B0
               "16r317A"    16r67C4
               "16r317B"    16r4E19
               "16r317C"    16r79C9
               "16r317D"    16r997C
               "16r317E"    16r70B3
               ) at:(code - 16r3120).
        ].
        code <= 16r3220 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r327E ifTrue:[
            ^ #(
               "16r3221"    16r75C5
               "16r3222"    16r5E76
               "16r3223"    16r73BB
               "16r3224"    16r83E0
               "16r3225"    16r64AD
               "16r3226"    16r62E8
               "16r3227"    16r94B5
               "16r3228"    16r6CE2
               "16r3229"    16r535A
               "16r322A"    16r52C3
               "16r322B"    16r640F
               "16r322C"    16r94C2
               "16r322D"    16r7B94
               "16r322E"    16r4F2F
               "16r322F"    16r5E1B
               "16r3230"    16r8236
               "16r3231"    16r8116
               "16r3232"    16r818A
               "16r3233"    16r6E24
               "16r3234"    16r6CCA
               "16r3235"    16r9A73
               "16r3236"    16r6355
               "16r3237"    16r535C
               "16r3238"    16r54FA
               "16r3239"    16r8865
               "16r323A"    16r57E0
               "16r323B"    16r4E0D
               "16r323C"    16r5E03
               "16r323D"    16r6B65
               "16r323E"    16r7C3F
               "16r323F"    16r90E8
               "16r3240"    16r6016
               "16r3241"    16r64E6
               "16r3242"    16r731C
               "16r3243"    16r88C1
               "16r3244"    16r6750
               "16r3245"    16r624D
               "16r3246"    16r8D22
               "16r3247"    16r776C
               "16r3248"    16r8E29
               "16r3249"    16r91C7
               "16r324A"    16r5F69
               "16r324B"    16r83DC
               "16r324C"    16r8521
               "16r324D"    16r9910
               "16r324E"    16r53C2
               "16r324F"    16r8695
               "16r3250"    16r6B8B
               "16r3251"    16r60ED
               "16r3252"    16r60E8
               "16r3253"    16r707F
               "16r3254"    16r82CD
               "16r3255"    16r8231
               "16r3256"    16r4ED3
               "16r3257"    16r6CA7
               "16r3258"    16r85CF
               "16r3259"    16r64CD
               "16r325A"    16r7CD9
               "16r325B"    16r69FD
               "16r325C"    16r66F9
               "16r325D"    16r8349
               "16r325E"    16r5395
               "16r325F"    16r7B56
               "16r3260"    16r4FA7
               "16r3261"    16r518C
               "16r3262"    16r6D4B
               "16r3263"    16r5C42
               "16r3264"    16r8E6D
               "16r3265"    16r63D2
               "16r3266"    16r53C9
               "16r3267"    16r832C
               "16r3268"    16r8336
               "16r3269"    16r67E5
               "16r326A"    16r78B4
               "16r326B"    16r643D
               "16r326C"    16r5BDF
               "16r326D"    16r5C94
               "16r326E"    16r5DEE
               "16r326F"    16r8BE7
               "16r3270"    16r62C6
               "16r3271"    16r67F4
               "16r3272"    16r8C7A
               "16r3273"    16r6400
               "16r3274"    16r63BA
               "16r3275"    16r8749
               "16r3276"    16r998B
               "16r3277"    16r8C17
               "16r3278"    16r7F20
               "16r3279"    16r94F2
               "16r327A"    16r4EA7
               "16r327B"    16r9610
               "16r327C"    16r98A4
               "16r327D"    16r660C
               "16r327E"    16r7316
               ) at:(code - 16r3220).
        ].
        code <= 16r3320 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r337E ifTrue:[
            ^ #(
               "16r3321"    16r573A
               "16r3322"    16r5C1D
               "16r3323"    16r5E38
               "16r3324"    16r957F
               "16r3325"    16r507F
               "16r3326"    16r80A0
               "16r3327"    16r5382
               "16r3328"    16r655E
               "16r3329"    16r7545
               "16r332A"    16r5531
               "16r332B"    16r5021
               "16r332C"    16r8D85
               "16r332D"    16r6284
               "16r332E"    16r949E
               "16r332F"    16r671D
               "16r3330"    16r5632
               "16r3331"    16r6F6E
               "16r3332"    16r5DE2
               "16r3333"    16r5435
               "16r3334"    16r7092
               "16r3335"    16r8F66
               "16r3336"    16r626F
               "16r3337"    16r64A4
               "16r3338"    16r63A3
               "16r3339"    16r5F7B
               "16r333A"    16r6F88
               "16r333B"    16r90F4
               "16r333C"    16r81E3
               "16r333D"    16r8FB0
               "16r333E"    16r5C18
               "16r333F"    16r6668
               "16r3340"    16r5FF1
               "16r3341"    16r6C89
               "16r3342"    16r9648
               "16r3343"    16r8D81
               "16r3344"    16r886C
               "16r3345"    16r6491
               "16r3346"    16r79F0
               "16r3347"    16r57CE
               "16r3348"    16r6A59
               "16r3349"    16r6210
               "16r334A"    16r5448
               "16r334B"    16r4E58
               "16r334C"    16r7A0B
               "16r334D"    16r60E9
               "16r334E"    16r6F84
               "16r334F"    16r8BDA
               "16r3350"    16r627F
               "16r3351"    16r901E
               "16r3352"    16r9A8B
               "16r3353"    16r79E4
               "16r3354"    16r5403
               "16r3355"    16r75F4
               "16r3356"    16r6301
               "16r3357"    16r5319
               "16r3358"    16r6C60
               "16r3359"    16r8FDF
               "16r335A"    16r5F1B
               "16r335B"    16r9A70
               "16r335C"    16r803B
               "16r335D"    16r9F7F
               "16r335E"    16r4F88
               "16r335F"    16r5C3A
               "16r3360"    16r8D64
               "16r3361"    16r7FC5
               "16r3362"    16r65A5
               "16r3363"    16r70BD
               "16r3364"    16r5145
               "16r3365"    16r51B2
               "16r3366"    16r866B
               "16r3367"    16r5D07
               "16r3368"    16r5BA0
               "16r3369"    16r62BD
               "16r336A"    16r916C
               "16r336B"    16r7574
               "16r336C"    16r8E0C
               "16r336D"    16r7A20
               "16r336E"    16r6101
               "16r336F"    16r7B79
               "16r3370"    16r4EC7
               "16r3371"    16r7EF8
               "16r3372"    16r7785
               "16r3373"    16r4E11
               "16r3374"    16r81ED
               "16r3375"    16r521D
               "16r3376"    16r51FA
               "16r3377"    16r6A71
               "16r3378"    16r53A8
               "16r3379"    16r8E87
               "16r337A"    16r9504
               "16r337B"    16r96CF
               "16r337C"    16r6EC1
               "16r337D"    16r9664
               "16r337E"    16r695A
               ) at:(code - 16r3320).
        ].
        code <= 16r3420 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r347E ifTrue:[
            ^ #(
               "16r3421"    16r7840
               "16r3422"    16r50A8
               "16r3423"    16r77D7
               "16r3424"    16r6410
               "16r3425"    16r89E6
               "16r3426"    16r5904
               "16r3427"    16r63E3
               "16r3428"    16r5DDD
               "16r3429"    16r7A7F
               "16r342A"    16r693D
               "16r342B"    16r4F20
               "16r342C"    16r8239
               "16r342D"    16r5598
               "16r342E"    16r4E32
               "16r342F"    16r75AE
               "16r3430"    16r7A97
               "16r3431"    16r5E62
               "16r3432"    16r5E8A
               "16r3433"    16r95EF
               "16r3434"    16r521B
               "16r3435"    16r5439
               "16r3436"    16r708A
               "16r3437"    16r6376
               "16r3438"    16r9524
               "16r3439"    16r5782
               "16r343A"    16r6625
               "16r343B"    16r693F
               "16r343C"    16r9187
               "16r343D"    16r5507
               "16r343E"    16r6DF3
               "16r343F"    16r7EAF
               "16r3440"    16r8822
               "16r3441"    16r6233
               "16r3442"    16r7EF0
               "16r3443"    16r75B5
               "16r3444"    16r8328
               "16r3445"    16r78C1
               "16r3446"    16r96CC
               "16r3447"    16r8F9E
               "16r3448"    16r6148
               "16r3449"    16r74F7
               "16r344A"    16r8BCD
               "16r344B"    16r6B64
               "16r344C"    16r523A
               "16r344D"    16r8D50
               "16r344E"    16r6B21
               "16r344F"    16r806A
               "16r3450"    16r8471
               "16r3451"    16r56F1
               "16r3452"    16r5306
               "16r3453"    16r4ECE
               "16r3454"    16r4E1B
               "16r3455"    16r51D1
               "16r3456"    16r7C97
               "16r3457"    16r918B
               "16r3458"    16r7C07
               "16r3459"    16r4FC3
               "16r345A"    16r8E7F
               "16r345B"    16r7BE1
               "16r345C"    16r7A9C
               "16r345D"    16r6467
               "16r345E"    16r5D14
               "16r345F"    16r50AC
               "16r3460"    16r8106
               "16r3461"    16r7601
               "16r3462"    16r7CB9
               "16r3463"    16r6DEC
               "16r3464"    16r7FE0
               "16r3465"    16r6751
               "16r3466"    16r5B58
               "16r3467"    16r5BF8
               "16r3468"    16r78CB
               "16r3469"    16r64AE
               "16r346A"    16r6413
               "16r346B"    16r63AA
               "16r346C"    16r632B
               "16r346D"    16r9519
               "16r346E"    16r642D
               "16r346F"    16r8FBE
               "16r3470"    16r7B54
               "16r3471"    16r7629
               "16r3472"    16r6253
               "16r3473"    16r5927
               "16r3474"    16r5446
               "16r3475"    16r6B79
               "16r3476"    16r50A3
               "16r3477"    16r6234
               "16r3478"    16r5E26
               "16r3479"    16r6B86
               "16r347A"    16r4EE3
               "16r347B"    16r8D37
               "16r347C"    16r888B
               "16r347D"    16r5F85
               "16r347E"    16r902E
               ) at:(code - 16r3420).
        ].
        code <= 16r3520 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r357E ifTrue:[
            ^ #(
               "16r3521"    16r6020
               "16r3522"    16r803D
               "16r3523"    16r62C5
               "16r3524"    16r4E39
               "16r3525"    16r5355
               "16r3526"    16r90F8
               "16r3527"    16r63B8
               "16r3528"    16r80C6
               "16r3529"    16r65E6
               "16r352A"    16r6C2E
               "16r352B"    16r4F46
               "16r352C"    16r60EE
               "16r352D"    16r6DE1
               "16r352E"    16r8BDE
               "16r352F"    16r5F39
               "16r3530"    16r86CB
               "16r3531"    16r5F53
               "16r3532"    16r6321
               "16r3533"    16r515A
               "16r3534"    16r8361
               "16r3535"    16r6863
               "16r3536"    16r5200
               "16r3537"    16r6363
               "16r3538"    16r8E48
               "16r3539"    16r5012
               "16r353A"    16r5C9B
               "16r353B"    16r7977
               "16r353C"    16r5BFC
               "16r353D"    16r5230
               "16r353E"    16r7A3B
               "16r353F"    16r60BC
               "16r3540"    16r9053
               "16r3541"    16r76D7
               "16r3542"    16r5FB7
               "16r3543"    16r5F97
               "16r3544"    16r7684
               "16r3545"    16r8E6C
               "16r3546"    16r706F
               "16r3547"    16r767B
               "16r3548"    16r7B49
               "16r3549"    16r77AA
               "16r354A"    16r51F3
               "16r354B"    16r9093
               "16r354C"    16r5824
               "16r354D"    16r4F4E
               "16r354E"    16r6EF4
               "16r354F"    16r8FEA
               "16r3550"    16r654C
               "16r3551"    16r7B1B
               "16r3552"    16r72C4
               "16r3553"    16r6DA4
               "16r3554"    16r7FDF
               "16r3555"    16r5AE1
               "16r3556"    16r62B5
               "16r3557"    16r5E95
               "16r3558"    16r5730
               "16r3559"    16r8482
               "16r355A"    16r7B2C
               "16r355B"    16r5E1D
               "16r355C"    16r5F1F
               "16r355D"    16r9012
               "16r355E"    16r7F14
               "16r355F"    16r98A0
               "16r3560"    16r6382
               "16r3561"    16r6EC7
               "16r3562"    16r7898
               "16r3563"    16r70B9
               "16r3564"    16r5178
               "16r3565"    16r975B
               "16r3566"    16r57AB
               "16r3567"    16r7535
               "16r3568"    16r4F43
               "16r3569"    16r7538
               "16r356A"    16r5E97
               "16r356B"    16r60E6
               "16r356C"    16r5960
               "16r356D"    16r6DC0
               "16r356E"    16r6BBF
               "16r356F"    16r7889
               "16r3570"    16r53FC
               "16r3571"    16r96D5
               "16r3572"    16r51CB
               "16r3573"    16r5201
               "16r3574"    16r6389
               "16r3575"    16r540A
               "16r3576"    16r9493
               "16r3577"    16r8C03
               "16r3578"    16r8DCC
               "16r3579"    16r7239
               "16r357A"    16r789F
               "16r357B"    16r8776
               "16r357C"    16r8FED
               "16r357D"    16r8C0D
               "16r357E"    16r53E0
               ) at:(code - 16r3520).
        ].
        code <= 16r3620 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r367E ifTrue:[
            ^ #(
               "16r3621"    16r4E01
               "16r3622"    16r76EF
               "16r3623"    16r53EE
               "16r3624"    16r9489
               "16r3625"    16r9876
               "16r3626"    16r9F0E
               "16r3627"    16r952D
               "16r3628"    16r5B9A
               "16r3629"    16r8BA2
               "16r362A"    16r4E22
               "16r362B"    16r4E1C
               "16r362C"    16r51AC
               "16r362D"    16r8463
               "16r362E"    16r61C2
               "16r362F"    16r52A8
               "16r3630"    16r680B
               "16r3631"    16r4F97
               "16r3632"    16r606B
               "16r3633"    16r51BB
               "16r3634"    16r6D1E
               "16r3635"    16r515C
               "16r3636"    16r6296
               "16r3637"    16r6597
               "16r3638"    16r9661
               "16r3639"    16r8C46
               "16r363A"    16r9017
               "16r363B"    16r75D8
               "16r363C"    16r90FD
               "16r363D"    16r7763
               "16r363E"    16r6BD2
               "16r363F"    16r728A
               "16r3640"    16r72EC
               "16r3641"    16r8BFB
               "16r3642"    16r5835
               "16r3643"    16r7779
               "16r3644"    16r8D4C
               "16r3645"    16r675C
               "16r3646"    16r9540
               "16r3647"    16r809A
               "16r3648"    16r5EA6
               "16r3649"    16r6E21
               "16r364A"    16r5992
               "16r364B"    16r7AEF
               "16r364C"    16r77ED
               "16r364D"    16r953B
               "16r364E"    16r6BB5
               "16r364F"    16r65AD
               "16r3650"    16r7F0E
               "16r3651"    16r5806
               "16r3652"    16r5151
               "16r3653"    16r961F
               "16r3654"    16r5BF9
               "16r3655"    16r58A9
               "16r3656"    16r5428
               "16r3657"    16r8E72
               "16r3658"    16r6566
               "16r3659"    16r987F
               "16r365A"    16r56E4
               "16r365B"    16r949D
               "16r365C"    16r76FE
               "16r365D"    16r9041
               "16r365E"    16r6387
               "16r365F"    16r54C6
               "16r3660"    16r591A
               "16r3661"    16r593A
               "16r3662"    16r579B
               "16r3663"    16r8EB2
               "16r3664"    16r6735
               "16r3665"    16r8DFA
               "16r3666"    16r8235
               "16r3667"    16r5241
               "16r3668"    16r60F0
               "16r3669"    16r5815
               "16r366A"    16r86FE
               "16r366B"    16r5CE8
               "16r366C"    16r9E45
               "16r366D"    16r4FC4
               "16r366E"    16r989D
               "16r366F"    16r8BB9
               "16r3670"    16r5A25
               "16r3671"    16r6076
               "16r3672"    16r5384
               "16r3673"    16r627C
               "16r3674"    16r904F
               "16r3675"    16r9102
               "16r3676"    16r997F
               "16r3677"    16r6069
               "16r3678"    16r800C
               "16r3679"    16r513F
               "16r367A"    16r8033
               "16r367B"    16r5C14
               "16r367C"    16r9975
               "16r367D"    16r6D31
               "16r367E"    16r4E8C
               ) at:(code - 16r3620).
        ].
        code <= 16r3720 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r377E ifTrue:[
            ^ #(
               "16r3721"    16r8D30
               "16r3722"    16r53D1
               "16r3723"    16r7F5A
               "16r3724"    16r7B4F
               "16r3725"    16r4F10
               "16r3726"    16r4E4F
               "16r3727"    16r9600
               "16r3728"    16r6CD5
               "16r3729"    16r73D0
               "16r372A"    16r85E9
               "16r372B"    16r5E06
               "16r372C"    16r756A
               "16r372D"    16r7FFB
               "16r372E"    16r6A0A
               "16r372F"    16r77FE
               "16r3730"    16r9492
               "16r3731"    16r7E41
               "16r3732"    16r51E1
               "16r3733"    16r70E6
               "16r3734"    16r53CD
               "16r3735"    16r8FD4
               "16r3736"    16r8303
               "16r3737"    16r8D29
               "16r3738"    16r72AF
               "16r3739"    16r996D
               "16r373A"    16r6CDB
               "16r373B"    16r574A
               "16r373C"    16r82B3
               "16r373D"    16r65B9
               "16r373E"    16r80AA
               "16r373F"    16r623F
               "16r3740"    16r9632
               "16r3741"    16r59A8
               "16r3742"    16r4EFF
               "16r3743"    16r8BBF
               "16r3744"    16r7EBA
               "16r3745"    16r653E
               "16r3746"    16r83F2
               "16r3747"    16r975E
               "16r3748"    16r5561
               "16r3749"    16r98DE
               "16r374A"    16r80A5
               "16r374B"    16r532A
               "16r374C"    16r8BFD
               "16r374D"    16r5420
               "16r374E"    16r80BA
               "16r374F"    16r5E9F
               "16r3750"    16r6CB8
               "16r3751"    16r8D39
               "16r3752"    16r82AC
               "16r3753"    16r915A
               "16r3754"    16r5429
               "16r3755"    16r6C1B
               "16r3756"    16r5206
               "16r3757"    16r7EB7
               "16r3758"    16r575F
               "16r3759"    16r711A
               "16r375A"    16r6C7E
               "16r375B"    16r7C89
               "16r375C"    16r594B
               "16r375D"    16r4EFD
               "16r375E"    16r5FFF
               "16r375F"    16r6124
               "16r3760"    16r7CAA
               "16r3761"    16r4E30
               "16r3762"    16r5C01
               "16r3763"    16r67AB
               "16r3764"    16r8702
               "16r3765"    16r5CF0
               "16r3766"    16r950B
               "16r3767"    16r98CE
               "16r3768"    16r75AF
               "16r3769"    16r70FD
               "16r376A"    16r9022
               "16r376B"    16r51AF
               "16r376C"    16r7F1D
               "16r376D"    16r8BBD
               "16r376E"    16r5949
               "16r376F"    16r51E4
               "16r3770"    16r4F5B
               "16r3771"    16r5426
               "16r3772"    16r592B
               "16r3773"    16r6577
               "16r3774"    16r80A4
               "16r3775"    16r5B75
               "16r3776"    16r6276
               "16r3777"    16r62C2
               "16r3778"    16r8F90
               "16r3779"    16r5E45
               "16r377A"    16r6C1F
               "16r377B"    16r7B26
               "16r377C"    16r4F0F
               "16r377D"    16r4FD8
               "16r377E"    16r670D
               ) at:(code - 16r3720).
        ].
        code <= 16r3820 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r387E ifTrue:[
            ^ #(
               "16r3821"    16r6D6E
               "16r3822"    16r6DAA
               "16r3823"    16r798F
               "16r3824"    16r88B1
               "16r3825"    16r5F17
               "16r3826"    16r752B
               "16r3827"    16r629A
               "16r3828"    16r8F85
               "16r3829"    16r4FEF
               "16r382A"    16r91DC
               "16r382B"    16r65A7
               "16r382C"    16r812F
               "16r382D"    16r8151
               "16r382E"    16r5E9C
               "16r382F"    16r8150
               "16r3830"    16r8D74
               "16r3831"    16r526F
               "16r3832"    16r8986
               "16r3833"    16r8D4B
               "16r3834"    16r590D
               "16r3835"    16r5085
               "16r3836"    16r4ED8
               "16r3837"    16r961C
               "16r3838"    16r7236
               "16r3839"    16r8179
               "16r383A"    16r8D1F
               "16r383B"    16r5BCC
               "16r383C"    16r8BA3
               "16r383D"    16r9644
               "16r383E"    16r5987
               "16r383F"    16r7F1A
               "16r3840"    16r5490
               "16r3841"    16r5676
               "16r3842"    16r560E
               "16r3843"    16r8BE5
               "16r3844"    16r6539
               "16r3845"    16r6982
               "16r3846"    16r9499
               "16r3847"    16r76D6
               "16r3848"    16r6E89
               "16r3849"    16r5E72
               "16r384A"    16r7518
               "16r384B"    16r6746
               "16r384C"    16r67D1
               "16r384D"    16r7AFF
               "16r384E"    16r809D
               "16r384F"    16r8D76
               "16r3850"    16r611F
               "16r3851"    16r79C6
               "16r3852"    16r6562
               "16r3853"    16r8D63
               "16r3854"    16r5188
               "16r3855"    16r521A
               "16r3856"    16r94A2
               "16r3857"    16r7F38
               "16r3858"    16r809B
               "16r3859"    16r7EB2
               "16r385A"    16r5C97
               "16r385B"    16r6E2F
               "16r385C"    16r6760
               "16r385D"    16r7BD9
               "16r385E"    16r768B
               "16r385F"    16r9AD8
               "16r3860"    16r818F
               "16r3861"    16r7F94
               "16r3862"    16r7CD5
               "16r3863"    16r641E
               "16r3864"    16r9550
               "16r3865"    16r7A3F
               "16r3866"    16r544A
               "16r3867"    16r54E5
               "16r3868"    16r6B4C
               "16r3869"    16r6401
               "16r386A"    16r6208
               "16r386B"    16r9E3D
               "16r386C"    16r80F3
               "16r386D"    16r7599
               "16r386E"    16r5272
               "16r386F"    16r9769
               "16r3870"    16r845B
               "16r3871"    16r683C
               "16r3872"    16r86E4
               "16r3873"    16r9601
               "16r3874"    16r9694
               "16r3875"    16r94EC
               "16r3876"    16r4E2A
               "16r3877"    16r5404
               "16r3878"    16r7ED9
               "16r3879"    16r6839
               "16r387A"    16r8DDF
               "16r387B"    16r8015
               "16r387C"    16r66F4
               "16r387D"    16r5E9A
               "16r387E"    16r7FB9
               ) at:(code - 16r3820).
        ].
        code <= 16r3920 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r397E ifTrue:[
            ^ #(
               "16r3921"    16r57C2
               "16r3922"    16r803F
               "16r3923"    16r6897
               "16r3924"    16r5DE5
               "16r3925"    16r653B
               "16r3926"    16r529F
               "16r3927"    16r606D
               "16r3928"    16r9F9A
               "16r3929"    16r4F9B
               "16r392A"    16r8EAC
               "16r392B"    16r516C
               "16r392C"    16r5BAB
               "16r392D"    16r5F13
               "16r392E"    16r5DE9
               "16r392F"    16r6C5E
               "16r3930"    16r62F1
               "16r3931"    16r8D21
               "16r3932"    16r5171
               "16r3933"    16r94A9
               "16r3934"    16r52FE
               "16r3935"    16r6C9F
               "16r3936"    16r82DF
               "16r3937"    16r72D7
               "16r3938"    16r57A2
               "16r3939"    16r6784
               "16r393A"    16r8D2D
               "16r393B"    16r591F
               "16r393C"    16r8F9C
               "16r393D"    16r83C7
               "16r393E"    16r5495
               "16r393F"    16r7B8D
               "16r3940"    16r4F30
               "16r3941"    16r6CBD
               "16r3942"    16r5B64
               "16r3943"    16r59D1
               "16r3944"    16r9F13
               "16r3945"    16r53E4
               "16r3946"    16r86CA
               "16r3947"    16r9AA8
               "16r3948"    16r8C37
               "16r3949"    16r80A1
               "16r394A"    16r6545
               "16r394B"    16r987E
               "16r394C"    16r56FA
               "16r394D"    16r96C7
               "16r394E"    16r522E
               "16r394F"    16r74DC
               "16r3950"    16r5250
               "16r3951"    16r5BE1
               "16r3952"    16r6302
               "16r3953"    16r8902
               "16r3954"    16r4E56
               "16r3955"    16r62D0
               "16r3956"    16r602A
               "16r3957"    16r68FA
               "16r3958"    16r5173
               "16r3959"    16r5B98
               "16r395A"    16r51A0
               "16r395B"    16r89C2
               "16r395C"    16r7BA1
               "16r395D"    16r9986
               "16r395E"    16r7F50
               "16r395F"    16r60EF
               "16r3960"    16r704C
               "16r3961"    16r8D2F
               "16r3962"    16r5149
               "16r3963"    16r5E7F
               "16r3964"    16r901B
               "16r3965"    16r7470
               "16r3966"    16r89C4
               "16r3967"    16r572D
               "16r3968"    16r7845
               "16r3969"    16r5F52
               "16r396A"    16r9F9F
               "16r396B"    16r95FA
               "16r396C"    16r8F68
               "16r396D"    16r9B3C
               "16r396E"    16r8BE1
               "16r396F"    16r7678
               "16r3970"    16r6842
               "16r3971"    16r67DC
               "16r3972"    16r8DEA
               "16r3973"    16r8D35
               "16r3974"    16r523D
               "16r3975"    16r8F8A
               "16r3976"    16r6EDA
               "16r3977"    16r68CD
               "16r3978"    16r9505
               "16r3979"    16r90ED
               "16r397A"    16r56FD
               "16r397B"    16r679C
               "16r397C"    16r88F9
               "16r397D"    16r8FC7
               "16r397E"    16r54C8
               ) at:(code - 16r3920).
        ].
        code <= 16r3A20 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r3A7E ifTrue:[
            ^ #(
               "16r3A21"    16r9AB8
               "16r3A22"    16r5B69
               "16r3A23"    16r6D77
               "16r3A24"    16r6C26
               "16r3A25"    16r4EA5
               "16r3A26"    16r5BB3
               "16r3A27"    16r9A87
               "16r3A28"    16r9163
               "16r3A29"    16r61A8
               "16r3A2A"    16r90AF
               "16r3A2B"    16r97E9
               "16r3A2C"    16r542B
               "16r3A2D"    16r6DB5
               "16r3A2E"    16r5BD2
               "16r3A2F"    16r51FD
               "16r3A30"    16r558A
               "16r3A31"    16r7F55
               "16r3A32"    16r7FF0
               "16r3A33"    16r64BC
               "16r3A34"    16r634D
               "16r3A35"    16r65F1
               "16r3A36"    16r61BE
               "16r3A37"    16r608D
               "16r3A38"    16r710A
               "16r3A39"    16r6C57
               "16r3A3A"    16r6C49
               "16r3A3B"    16r592F
               "16r3A3C"    16r676D
               "16r3A3D"    16r822A
               "16r3A3E"    16r58D5
               "16r3A3F"    16r568E
               "16r3A40"    16r8C6A
               "16r3A41"    16r6BEB
               "16r3A42"    16r90DD
               "16r3A43"    16r597D
               "16r3A44"    16r8017
               "16r3A45"    16r53F7
               "16r3A46"    16r6D69
               "16r3A47"    16r5475
               "16r3A48"    16r559D
               "16r3A49"    16r8377
               "16r3A4A"    16r83CF
               "16r3A4B"    16r6838
               "16r3A4C"    16r79BE
               "16r3A4D"    16r548C
               "16r3A4E"    16r4F55
               "16r3A4F"    16r5408
               "16r3A50"    16r76D2
               "16r3A51"    16r8C89
               "16r3A52"    16r9602
               "16r3A53"    16r6CB3
               "16r3A54"    16r6DB8
               "16r3A55"    16r8D6B
               "16r3A56"    16r8910
               "16r3A57"    16r9E64
               "16r3A58"    16r8D3A
               "16r3A59"    16r563F
               "16r3A5A"    16r9ED1
               "16r3A5B"    16r75D5
               "16r3A5C"    16r5F88
               "16r3A5D"    16r72E0
               "16r3A5E"    16r6068
               "16r3A5F"    16r54FC
               "16r3A60"    16r4EA8
               "16r3A61"    16r6A2A
               "16r3A62"    16r8861
               "16r3A63"    16r6052
               "16r3A64"    16r8F70
               "16r3A65"    16r54C4
               "16r3A66"    16r70D8
               "16r3A67"    16r8679
               "16r3A68"    16r9E3F
               "16r3A69"    16r6D2A
               "16r3A6A"    16r5B8F
               "16r3A6B"    16r5F18
               "16r3A6C"    16r7EA2
               "16r3A6D"    16r5589
               "16r3A6E"    16r4FAF
               "16r3A6F"    16r7334
               "16r3A70"    16r543C
               "16r3A71"    16r539A
               "16r3A72"    16r5019
               "16r3A73"    16r540E
               "16r3A74"    16r547C
               "16r3A75"    16r4E4E
               "16r3A76"    16r5FFD
               "16r3A77"    16r745A
               "16r3A78"    16r58F6
               "16r3A79"    16r846B
               "16r3A7A"    16r80E1
               "16r3A7B"    16r8774
               "16r3A7C"    16r72D0
               "16r3A7D"    16r7CCA
               "16r3A7E"    16r6E56
               ) at:(code - 16r3A20).
        ].
        code <= 16r3B20 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r3B7E ifTrue:[
            ^ #(
               "16r3B21"    16r5F27
               "16r3B22"    16r864E
               "16r3B23"    16r552C
               "16r3B24"    16r62A4
               "16r3B25"    16r4E92
               "16r3B26"    16r6CAA
               "16r3B27"    16r6237
               "16r3B28"    16r82B1
               "16r3B29"    16r54D7
               "16r3B2A"    16r534E
               "16r3B2B"    16r733E
               "16r3B2C"    16r6ED1
               "16r3B2D"    16r753B
               "16r3B2E"    16r5212
               "16r3B2F"    16r5316
               "16r3B30"    16r8BDD
               "16r3B31"    16r69D0
               "16r3B32"    16r5F8A
               "16r3B33"    16r6000
               "16r3B34"    16r6DEE
               "16r3B35"    16r574F
               "16r3B36"    16r6B22
               "16r3B37"    16r73AF
               "16r3B38"    16r6853
               "16r3B39"    16r8FD8
               "16r3B3A"    16r7F13
               "16r3B3B"    16r6362
               "16r3B3C"    16r60A3
               "16r3B3D"    16r5524
               "16r3B3E"    16r75EA
               "16r3B3F"    16r8C62
               "16r3B40"    16r7115
               "16r3B41"    16r6DA3
               "16r3B42"    16r5BA6
               "16r3B43"    16r5E7B
               "16r3B44"    16r8352
               "16r3B45"    16r614C
               "16r3B46"    16r9EC4
               "16r3B47"    16r78FA
               "16r3B48"    16r8757
               "16r3B49"    16r7C27
               "16r3B4A"    16r7687
               "16r3B4B"    16r51F0
               "16r3B4C"    16r60F6
               "16r3B4D"    16r714C
               "16r3B4E"    16r6643
               "16r3B4F"    16r5E4C
               "16r3B50"    16r604D
               "16r3B51"    16r8C0E
               "16r3B52"    16r7070
               "16r3B53"    16r6325
               "16r3B54"    16r8F89
               "16r3B55"    16r5FBD
               "16r3B56"    16r6062
               "16r3B57"    16r86D4
               "16r3B58"    16r56DE
               "16r3B59"    16r6BC1
               "16r3B5A"    16r6094
               "16r3B5B"    16r6167
               "16r3B5C"    16r5349
               "16r3B5D"    16r60E0
               "16r3B5E"    16r6666
               "16r3B5F"    16r8D3F
               "16r3B60"    16r79FD
               "16r3B61"    16r4F1A
               "16r3B62"    16r70E9
               "16r3B63"    16r6C47
               "16r3B64"    16r8BB3
               "16r3B65"    16r8BF2
               "16r3B66"    16r7ED8
               "16r3B67"    16r8364
               "16r3B68"    16r660F
               "16r3B69"    16r5A5A
               "16r3B6A"    16r9B42
               "16r3B6B"    16r6D51
               "16r3B6C"    16r6DF7
               "16r3B6D"    16r8C41
               "16r3B6E"    16r6D3B
               "16r3B6F"    16r4F19
               "16r3B70"    16r706B
               "16r3B71"    16r83B7
               "16r3B72"    16r6216
               "16r3B73"    16r60D1
               "16r3B74"    16r970D
               "16r3B75"    16r8D27
               "16r3B76"    16r7978
               "16r3B77"    16r51FB
               "16r3B78"    16r573E
               "16r3B79"    16r57FA
               "16r3B7A"    16r673A
               "16r3B7B"    16r7578
               "16r3B7C"    16r7A3D
               "16r3B7D"    16r79EF
               "16r3B7E"    16r7B95
               ) at:(code - 16r3B20).
        ].
        code <= 16r3C20 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r3C7E ifTrue:[
            ^ #(
               "16r3C21"    16r808C
               "16r3C22"    16r9965
               "16r3C23"    16r8FF9
               "16r3C24"    16r6FC0
               "16r3C25"    16r8BA5
               "16r3C26"    16r9E21
               "16r3C27"    16r59EC
               "16r3C28"    16r7EE9
               "16r3C29"    16r7F09
               "16r3C2A"    16r5409
               "16r3C2B"    16r6781
               "16r3C2C"    16r68D8
               "16r3C2D"    16r8F91
               "16r3C2E"    16r7C4D
               "16r3C2F"    16r96C6
               "16r3C30"    16r53CA
               "16r3C31"    16r6025
               "16r3C32"    16r75BE
               "16r3C33"    16r6C72
               "16r3C34"    16r5373
               "16r3C35"    16r5AC9
               "16r3C36"    16r7EA7
               "16r3C37"    16r6324
               "16r3C38"    16r51E0
               "16r3C39"    16r810A
               "16r3C3A"    16r5DF1
               "16r3C3B"    16r84DF
               "16r3C3C"    16r6280
               "16r3C3D"    16r5180
               "16r3C3E"    16r5B63
               "16r3C3F"    16r4F0E
               "16r3C40"    16r796D
               "16r3C41"    16r5242
               "16r3C42"    16r60B8
               "16r3C43"    16r6D4E
               "16r3C44"    16r5BC4
               "16r3C45"    16r5BC2
               "16r3C46"    16r8BA1
               "16r3C47"    16r8BB0
               "16r3C48"    16r65E2
               "16r3C49"    16r5FCC
               "16r3C4A"    16r9645
               "16r3C4B"    16r5993
               "16r3C4C"    16r7EE7
               "16r3C4D"    16r7EAA
               "16r3C4E"    16r5609
               "16r3C4F"    16r67B7
               "16r3C50"    16r5939
               "16r3C51"    16r4F73
               "16r3C52"    16r5BB6
               "16r3C53"    16r52A0
               "16r3C54"    16r835A
               "16r3C55"    16r988A
               "16r3C56"    16r8D3E
               "16r3C57"    16r7532
               "16r3C58"    16r94BE
               "16r3C59"    16r5047
               "16r3C5A"    16r7A3C
               "16r3C5B"    16r4EF7
               "16r3C5C"    16r67B6
               "16r3C5D"    16r9A7E
               "16r3C5E"    16r5AC1
               "16r3C5F"    16r6B7C
               "16r3C60"    16r76D1
               "16r3C61"    16r575A
               "16r3C62"    16r5C16
               "16r3C63"    16r7B3A
               "16r3C64"    16r95F4
               "16r3C65"    16r714E
               "16r3C66"    16r517C
               "16r3C67"    16r80A9
               "16r3C68"    16r8270
               "16r3C69"    16r5978
               "16r3C6A"    16r7F04
               "16r3C6B"    16r8327
               "16r3C6C"    16r68C0
               "16r3C6D"    16r67EC
               "16r3C6E"    16r78B1
               "16r3C6F"    16r7877
               "16r3C70"    16r62E3
               "16r3C71"    16r6361
               "16r3C72"    16r7B80
               "16r3C73"    16r4FED
               "16r3C74"    16r526A
               "16r3C75"    16r51CF
               "16r3C76"    16r8350
               "16r3C77"    16r69DB
               "16r3C78"    16r9274
               "16r3C79"    16r8DF5
               "16r3C7A"    16r8D31
               "16r3C7B"    16r89C1
               "16r3C7C"    16r952E
               "16r3C7D"    16r7BAD
               "16r3C7E"    16r4EF6
               ) at:(code - 16r3C20).
        ].
        code <= 16r3D20 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r3D7E ifTrue:[
            ^ #(
               "16r3D21"    16r5065
               "16r3D22"    16r8230
               "16r3D23"    16r5251
               "16r3D24"    16r996F
               "16r3D25"    16r6E10
               "16r3D26"    16r6E85
               "16r3D27"    16r6DA7
               "16r3D28"    16r5EFA
               "16r3D29"    16r50F5
               "16r3D2A"    16r59DC
               "16r3D2B"    16r5C06
               "16r3D2C"    16r6D46
               "16r3D2D"    16r6C5F
               "16r3D2E"    16r7586
               "16r3D2F"    16r848B
               "16r3D30"    16r6868
               "16r3D31"    16r5956
               "16r3D32"    16r8BB2
               "16r3D33"    16r5320
               "16r3D34"    16r9171
               "16r3D35"    16r964D
               "16r3D36"    16r8549
               "16r3D37"    16r6912
               "16r3D38"    16r7901
               "16r3D39"    16r7126
               "16r3D3A"    16r80F6
               "16r3D3B"    16r4EA4
               "16r3D3C"    16r90CA
               "16r3D3D"    16r6D47
               "16r3D3E"    16r9A84
               "16r3D3F"    16r5A07
               "16r3D40"    16r56BC
               "16r3D41"    16r6405
               "16r3D42"    16r94F0
               "16r3D43"    16r77EB
               "16r3D44"    16r4FA5
               "16r3D45"    16r811A
               "16r3D46"    16r72E1
               "16r3D47"    16r89D2
               "16r3D48"    16r997A
               "16r3D49"    16r7F34
               "16r3D4A"    16r7EDE
               "16r3D4B"    16r527F
               "16r3D4C"    16r6559
               "16r3D4D"    16r9175
               "16r3D4E"    16r8F7F
               "16r3D4F"    16r8F83
               "16r3D50"    16r53EB
               "16r3D51"    16r7A96
               "16r3D52"    16r63ED
               "16r3D53"    16r63A5
               "16r3D54"    16r7686
               "16r3D55"    16r79F8
               "16r3D56"    16r8857
               "16r3D57"    16r9636
               "16r3D58"    16r622A
               "16r3D59"    16r52AB
               "16r3D5A"    16r8282
               "16r3D5B"    16r6854
               "16r3D5C"    16r6770
               "16r3D5D"    16r6377
               "16r3D5E"    16r776B
               "16r3D5F"    16r7AED
               "16r3D60"    16r6D01
               "16r3D61"    16r7ED3
               "16r3D62"    16r89E3
               "16r3D63"    16r59D0
               "16r3D64"    16r6212
               "16r3D65"    16r85C9
               "16r3D66"    16r82A5
               "16r3D67"    16r754C
               "16r3D68"    16r501F
               "16r3D69"    16r4ECB
               "16r3D6A"    16r75A5
               "16r3D6B"    16r8BEB
               "16r3D6C"    16r5C4A
               "16r3D6D"    16r5DFE
               "16r3D6E"    16r7B4B
               "16r3D6F"    16r65A4
               "16r3D70"    16r91D1
               "16r3D71"    16r4ECA
               "16r3D72"    16r6D25
               "16r3D73"    16r895F
               "16r3D74"    16r7D27
               "16r3D75"    16r9526
               "16r3D76"    16r4EC5
               "16r3D77"    16r8C28
               "16r3D78"    16r8FDB
               "16r3D79"    16r9773
               "16r3D7A"    16r664B
               "16r3D7B"    16r7981
               "16r3D7C"    16r8FD1
               "16r3D7D"    16r70EC
               "16r3D7E"    16r6D78
               ) at:(code - 16r3D20).
        ].
        code <= 16r3E20 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r3E7E ifTrue:[
            ^ #(
               "16r3E21"    16r5C3D
               "16r3E22"    16r52B2
               "16r3E23"    16r8346
               "16r3E24"    16r5162
               "16r3E25"    16r830E
               "16r3E26"    16r775B
               "16r3E27"    16r6676
               "16r3E28"    16r9CB8
               "16r3E29"    16r4EAC
               "16r3E2A"    16r60CA
               "16r3E2B"    16r7CBE
               "16r3E2C"    16r7CB3
               "16r3E2D"    16r7ECF
               "16r3E2E"    16r4E95
               "16r3E2F"    16r8B66
               "16r3E30"    16r666F
               "16r3E31"    16r9888
               "16r3E32"    16r9759
               "16r3E33"    16r5883
               "16r3E34"    16r656C
               "16r3E35"    16r955C
               "16r3E36"    16r5F84
               "16r3E37"    16r75C9
               "16r3E38"    16r9756
               "16r3E39"    16r7ADF
               "16r3E3A"    16r7ADE
               "16r3E3B"    16r51C0
               "16r3E3C"    16r70AF
               "16r3E3D"    16r7A98
               "16r3E3E"    16r63EA
               "16r3E3F"    16r7A76
               "16r3E40"    16r7EA0
               "16r3E41"    16r7396
               "16r3E42"    16r97ED
               "16r3E43"    16r4E45
               "16r3E44"    16r7078
               "16r3E45"    16r4E5D
               "16r3E46"    16r9152
               "16r3E47"    16r53A9
               "16r3E48"    16r6551
               "16r3E49"    16r65E7
               "16r3E4A"    16r81FC
               "16r3E4B"    16r8205
               "16r3E4C"    16r548E
               "16r3E4D"    16r5C31
               "16r3E4E"    16r759A
               "16r3E4F"    16r97A0
               "16r3E50"    16r62D8
               "16r3E51"    16r72D9
               "16r3E52"    16r75BD
               "16r3E53"    16r5C45
               "16r3E54"    16r9A79
               "16r3E55"    16r83CA
               "16r3E56"    16r5C40
               "16r3E57"    16r5480
               "16r3E58"    16r77E9
               "16r3E59"    16r4E3E
               "16r3E5A"    16r6CAE
               "16r3E5B"    16r805A
               "16r3E5C"    16r62D2
               "16r3E5D"    16r636E
               "16r3E5E"    16r5DE8
               "16r3E5F"    16r5177
               "16r3E60"    16r8DDD
               "16r3E61"    16r8E1E
               "16r3E62"    16r952F
               "16r3E63"    16r4FF1
               "16r3E64"    16r53E5
               "16r3E65"    16r60E7
               "16r3E66"    16r70AC
               "16r3E67"    16r5267
               "16r3E68"    16r6350
               "16r3E69"    16r9E43
               "16r3E6A"    16r5A1F
               "16r3E6B"    16r5026
               "16r3E6C"    16r7737
               "16r3E6D"    16r5377
               "16r3E6E"    16r7EE2
               "16r3E6F"    16r6485
               "16r3E70"    16r652B
               "16r3E71"    16r6289
               "16r3E72"    16r6398
               "16r3E73"    16r5014
               "16r3E74"    16r7235
               "16r3E75"    16r89C9
               "16r3E76"    16r51B3
               "16r3E77"    16r8BC0
               "16r3E78"    16r7EDD
               "16r3E79"    16r5747
               "16r3E7A"    16r83CC
               "16r3E7B"    16r94A7
               "16r3E7C"    16r519B
               "16r3E7D"    16r541B
               "16r3E7E"    16r5CFB
               ) at:(code - 16r3E20).
        ].
        code <= 16r3F20 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r3F7E ifTrue:[
            ^ #(
               "16r3F21"    16r4FCA
               "16r3F22"    16r7AE3
               "16r3F23"    16r6D5A
               "16r3F24"    16r90E1
               "16r3F25"    16r9A8F
               "16r3F26"    16r5580
               "16r3F27"    16r5496
               "16r3F28"    16r5361
               "16r3F29"    16r54AF
               "16r3F2A"    16r5F00
               "16r3F2B"    16r63E9
               "16r3F2C"    16r6977
               "16r3F2D"    16r51EF
               "16r3F2E"    16r6168
               "16r3F2F"    16r520A
               "16r3F30"    16r582A
               "16r3F31"    16r52D8
               "16r3F32"    16r574E
               "16r3F33"    16r780D
               "16r3F34"    16r770B
               "16r3F35"    16r5EB7
               "16r3F36"    16r6177
               "16r3F37"    16r7CE0
               "16r3F38"    16r625B
               "16r3F39"    16r6297
               "16r3F3A"    16r4EA2
               "16r3F3B"    16r7095
               "16r3F3C"    16r8003
               "16r3F3D"    16r62F7
               "16r3F3E"    16r70E4
               "16r3F3F"    16r9760
               "16r3F40"    16r5777
               "16r3F41"    16r82DB
               "16r3F42"    16r67EF
               "16r3F43"    16r68F5
               "16r3F44"    16r78D5
               "16r3F45"    16r9897
               "16r3F46"    16r79D1
               "16r3F47"    16r58F3
               "16r3F48"    16r54B3
               "16r3F49"    16r53EF
               "16r3F4A"    16r6E34
               "16r3F4B"    16r514B
               "16r3F4C"    16r523B
               "16r3F4D"    16r5BA2
               "16r3F4E"    16r8BFE
               "16r3F4F"    16r80AF
               "16r3F50"    16r5543
               "16r3F51"    16r57A6
               "16r3F52"    16r6073
               "16r3F53"    16r5751
               "16r3F54"    16r542D
               "16r3F55"    16r7A7A
               "16r3F56"    16r6050
               "16r3F57"    16r5B54
               "16r3F58"    16r63A7
               "16r3F59"    16r62A0
               "16r3F5A"    16r53E3
               "16r3F5B"    16r6263
               "16r3F5C"    16r5BC7
               "16r3F5D"    16r67AF
               "16r3F5E"    16r54ED
               "16r3F5F"    16r7A9F
               "16r3F60"    16r82E6
               "16r3F61"    16r9177
               "16r3F62"    16r5E93
               "16r3F63"    16r88E4
               "16r3F64"    16r5938
               "16r3F65"    16r57AE
               "16r3F66"    16r630E
               "16r3F67"    16r8DE8
               "16r3F68"    16r80EF
               "16r3F69"    16r5757
               "16r3F6A"    16r7B77
               "16r3F6B"    16r4FA9
               "16r3F6C"    16r5FEB
               "16r3F6D"    16r5BBD
               "16r3F6E"    16r6B3E
               "16r3F6F"    16r5321
               "16r3F70"    16r7B50
               "16r3F71"    16r72C2
               "16r3F72"    16r6846
               "16r3F73"    16r77FF
               "16r3F74"    16r7736
               "16r3F75"    16r65F7
               "16r3F76"    16r51B5
               "16r3F77"    16r4E8F
               "16r3F78"    16r76D4
               "16r3F79"    16r5CBF
               "16r3F7A"    16r7AA5
               "16r3F7B"    16r8475
               "16r3F7C"    16r594E
               "16r3F7D"    16r9B41
               "16r3F7E"    16r5080
               ) at:(code - 16r3F20).
        ].
        code <= 16r4020 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r407E ifTrue:[
            ^ #(
               "16r4021"    16r9988
               "16r4022"    16r6127
               "16r4023"    16r6E83
               "16r4024"    16r5764
               "16r4025"    16r6606
               "16r4026"    16r6346
               "16r4027"    16r56F0
               "16r4028"    16r62EC
               "16r4029"    16r6269
               "16r402A"    16r5ED3
               "16r402B"    16r9614
               "16r402C"    16r5783
               "16r402D"    16r62C9
               "16r402E"    16r5587
               "16r402F"    16r8721
               "16r4030"    16r814A
               "16r4031"    16r8FA3
               "16r4032"    16r5566
               "16r4033"    16r83B1
               "16r4034"    16r6765
               "16r4035"    16r8D56
               "16r4036"    16r84DD
               "16r4037"    16r5A6A
               "16r4038"    16r680F
               "16r4039"    16r62E6
               "16r403A"    16r7BEE
               "16r403B"    16r9611
               "16r403C"    16r5170
               "16r403D"    16r6F9C
               "16r403E"    16r8C30
               "16r403F"    16r63FD
               "16r4040"    16r89C8
               "16r4041"    16r61D2
               "16r4042"    16r7F06
               "16r4043"    16r70C2
               "16r4044"    16r6EE5
               "16r4045"    16r7405
               "16r4046"    16r6994
               "16r4047"    16r72FC
               "16r4048"    16r5ECA
               "16r4049"    16r90CE
               "16r404A"    16r6717
               "16r404B"    16r6D6A
               "16r404C"    16r635E
               "16r404D"    16r52B3
               "16r404E"    16r7262
               "16r404F"    16r8001
               "16r4050"    16r4F6C
               "16r4051"    16r59E5
               "16r4052"    16r916A
               "16r4053"    16r70D9
               "16r4054"    16r6D9D
               "16r4055"    16r52D2
               "16r4056"    16r4E50
               "16r4057"    16r96F7
               "16r4058"    16r956D
               "16r4059"    16r857E
               "16r405A"    16r78CA
               "16r405B"    16r7D2F
               "16r405C"    16r5121
               "16r405D"    16r5792
               "16r405E"    16r64C2
               "16r405F"    16r808B
               "16r4060"    16r7C7B
               "16r4061"    16r6CEA
               "16r4062"    16r68F1
               "16r4063"    16r695E
               "16r4064"    16r51B7
               "16r4065"    16r5398
               "16r4066"    16r68A8
               "16r4067"    16r7281
               "16r4068"    16r9ECE
               "16r4069"    16r7BF1
               "16r406A"    16r72F8
               "16r406B"    16r79BB
               "16r406C"    16r6F13
               "16r406D"    16r7406
               "16r406E"    16r674E
               "16r406F"    16r91CC
               "16r4070"    16r9CA4
               "16r4071"    16r793C
               "16r4072"    16r8389
               "16r4073"    16r8354
               "16r4074"    16r540F
               "16r4075"    16r6817
               "16r4076"    16r4E3D
               "16r4077"    16r5389
               "16r4078"    16r52B1
               "16r4079"    16r783E
               "16r407A"    16r5386
               "16r407B"    16r5229
               "16r407C"    16r5088
               "16r407D"    16r4F8B
               "16r407E"    16r4FD0
               ) at:(code - 16r4020).
        ].
        code <= 16r4120 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r417E ifTrue:[
            ^ #(
               "16r4121"    16r75E2
               "16r4122"    16r7ACB
               "16r4123"    16r7C92
               "16r4124"    16r6CA5
               "16r4125"    16r96B6
               "16r4126"    16r529B
               "16r4127"    16r7483
               "16r4128"    16r54E9
               "16r4129"    16r4FE9
               "16r412A"    16r8054
               "16r412B"    16r83B2
               "16r412C"    16r8FDE
               "16r412D"    16r9570
               "16r412E"    16r5EC9
               "16r412F"    16r601C
               "16r4130"    16r6D9F
               "16r4131"    16r5E18
               "16r4132"    16r655B
               "16r4133"    16r8138
               "16r4134"    16r94FE
               "16r4135"    16r604B
               "16r4136"    16r70BC
               "16r4137"    16r7EC3
               "16r4138"    16r7CAE
               "16r4139"    16r51C9
               "16r413A"    16r6881
               "16r413B"    16r7CB1
               "16r413C"    16r826F
               "16r413D"    16r4E24
               "16r413E"    16r8F86
               "16r413F"    16r91CF
               "16r4140"    16r667E
               "16r4141"    16r4EAE
               "16r4142"    16r8C05
               "16r4143"    16r64A9
               "16r4144"    16r804A
               "16r4145"    16r50DA
               "16r4146"    16r7597
               "16r4147"    16r71CE
               "16r4148"    16r5BE5
               "16r4149"    16r8FBD
               "16r414A"    16r6F66
               "16r414B"    16r4E86
               "16r414C"    16r6482
               "16r414D"    16r9563
               "16r414E"    16r5ED6
               "16r414F"    16r6599
               "16r4150"    16r5217
               "16r4151"    16r88C2
               "16r4152"    16r70C8
               "16r4153"    16r52A3
               "16r4154"    16r730E
               "16r4155"    16r7433
               "16r4156"    16r6797
               "16r4157"    16r78F7
               "16r4158"    16r9716
               "16r4159"    16r4E34
               "16r415A"    16r90BB
               "16r415B"    16r9CDE
               "16r415C"    16r6DCB
               "16r415D"    16r51DB
               "16r415E"    16r8D41
               "16r415F"    16r541D
               "16r4160"    16r62CE
               "16r4161"    16r73B2
               "16r4162"    16r83F1
               "16r4163"    16r96F6
               "16r4164"    16r9F84
               "16r4165"    16r94C3
               "16r4166"    16r4F36
               "16r4167"    16r7F9A
               "16r4168"    16r51CC
               "16r4169"    16r7075
               "16r416A"    16r9675
               "16r416B"    16r5CAD
               "16r416C"    16r9886
               "16r416D"    16r53E6
               "16r416E"    16r4EE4
               "16r416F"    16r6E9C
               "16r4170"    16r7409
               "16r4171"    16r69B4
               "16r4172"    16r786B
               "16r4173"    16r998F
               "16r4174"    16r7559
               "16r4175"    16r5218
               "16r4176"    16r7624
               "16r4177"    16r6D41
               "16r4178"    16r67F3
               "16r4179"    16r516D
               "16r417A"    16r9F99
               "16r417B"    16r804B
               "16r417C"    16r5499
               "16r417D"    16r7B3C
               "16r417E"    16r7ABF
               ) at:(code - 16r4120).
        ].
        code <= 16r4220 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r427E ifTrue:[
            ^ #(
               "16r4221"    16r9686
               "16r4222"    16r5784
               "16r4223"    16r62E2
               "16r4224"    16r9647
               "16r4225"    16r697C
               "16r4226"    16r5A04
               "16r4227"    16r6402
               "16r4228"    16r7BD3
               "16r4229"    16r6F0F
               "16r422A"    16r964B
               "16r422B"    16r82A6
               "16r422C"    16r5362
               "16r422D"    16r9885
               "16r422E"    16r5E90
               "16r422F"    16r7089
               "16r4230"    16r63B3
               "16r4231"    16r5364
               "16r4232"    16r864F
               "16r4233"    16r9C81
               "16r4234"    16r9E93
               "16r4235"    16r788C
               "16r4236"    16r9732
               "16r4237"    16r8DEF
               "16r4238"    16r8D42
               "16r4239"    16r9E7F
               "16r423A"    16r6F5E
               "16r423B"    16r7984
               "16r423C"    16r5F55
               "16r423D"    16r9646
               "16r423E"    16r622E
               "16r423F"    16r9A74
               "16r4240"    16r5415
               "16r4241"    16r94DD
               "16r4242"    16r4FA3
               "16r4243"    16r65C5
               "16r4244"    16r5C65
               "16r4245"    16r5C61
               "16r4246"    16r7F15
               "16r4247"    16r8651
               "16r4248"    16r6C2F
               "16r4249"    16r5F8B
               "16r424A"    16r7387
               "16r424B"    16r6EE4
               "16r424C"    16r7EFF
               "16r424D"    16r5CE6
               "16r424E"    16r631B
               "16r424F"    16r5B6A
               "16r4250"    16r6EE6
               "16r4251"    16r5375
               "16r4252"    16r4E71
               "16r4253"    16r63A0
               "16r4254"    16r7565
               "16r4255"    16r62A1
               "16r4256"    16r8F6E
               "16r4257"    16r4F26
               "16r4258"    16r4ED1
               "16r4259"    16r6CA6
               "16r425A"    16r7EB6
               "16r425B"    16r8BBA
               "16r425C"    16r841D
               "16r425D"    16r87BA
               "16r425E"    16r7F57
               "16r425F"    16r903B
               "16r4260"    16r9523
               "16r4261"    16r7BA9
               "16r4262"    16r9AA1
               "16r4263"    16r88F8
               "16r4264"    16r843D
               "16r4265"    16r6D1B
               "16r4266"    16r9A86
               "16r4267"    16r7EDC
               "16r4268"    16r5988
               "16r4269"    16r9EBB
               "16r426A"    16r739B
               "16r426B"    16r7801
               "16r426C"    16r8682
               "16r426D"    16r9A6C
               "16r426E"    16r9A82
               "16r426F"    16r561B
               "16r4270"    16r5417
               "16r4271"    16r57CB
               "16r4272"    16r4E70
               "16r4273"    16r9EA6
               "16r4274"    16r5356
               "16r4275"    16r8FC8
               "16r4276"    16r8109
               "16r4277"    16r7792
               "16r4278"    16r9992
               "16r4279"    16r86EE
               "16r427A"    16r6EE1
               "16r427B"    16r8513
               "16r427C"    16r66FC
               "16r427D"    16r6162
               "16r427E"    16r6F2B
               ) at:(code - 16r4220).
        ].
        code <= 16r4320 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r437E ifTrue:[
            ^ #(
               "16r4321"    16r8C29
               "16r4322"    16r8292
               "16r4323"    16r832B
               "16r4324"    16r76F2
               "16r4325"    16r6C13
               "16r4326"    16r5FD9
               "16r4327"    16r83BD
               "16r4328"    16r732B
               "16r4329"    16r8305
               "16r432A"    16r951A
               "16r432B"    16r6BDB
               "16r432C"    16r77DB
               "16r432D"    16r94C6
               "16r432E"    16r536F
               "16r432F"    16r8302
               "16r4330"    16r5192
               "16r4331"    16r5E3D
               "16r4332"    16r8C8C
               "16r4333"    16r8D38
               "16r4334"    16r4E48
               "16r4335"    16r73AB
               "16r4336"    16r679A
               "16r4337"    16r6885
               "16r4338"    16r9176
               "16r4339"    16r9709
               "16r433A"    16r7164
               "16r433B"    16r6CA1
               "16r433C"    16r7709
               "16r433D"    16r5A92
               "16r433E"    16r9541
               "16r433F"    16r6BCF
               "16r4340"    16r7F8E
               "16r4341"    16r6627
               "16r4342"    16r5BD0
               "16r4343"    16r59B9
               "16r4344"    16r5A9A
               "16r4345"    16r95E8
               "16r4346"    16r95F7
               "16r4347"    16r4EEC
               "16r4348"    16r840C
               "16r4349"    16r8499
               "16r434A"    16r6AAC
               "16r434B"    16r76DF
               "16r434C"    16r9530
               "16r434D"    16r731B
               "16r434E"    16r68A6
               "16r434F"    16r5B5F
               "16r4350"    16r772F
               "16r4351"    16r919A
               "16r4352"    16r9761
               "16r4353"    16r7CDC
               "16r4354"    16r8FF7
               "16r4355"    16r8C1C
               "16r4356"    16r5F25
               "16r4357"    16r7C73
               "16r4358"    16r79D8
               "16r4359"    16r89C5
               "16r435A"    16r6CCC
               "16r435B"    16r871C
               "16r435C"    16r5BC6
               "16r435D"    16r5E42
               "16r435E"    16r68C9
               "16r435F"    16r7720
               "16r4360"    16r7EF5
               "16r4361"    16r5195
               "16r4362"    16r514D
               "16r4363"    16r52C9
               "16r4364"    16r5A29
               "16r4365"    16r7F05
               "16r4366"    16r9762
               "16r4367"    16r82D7
               "16r4368"    16r63CF
               "16r4369"    16r7784
               "16r436A"    16r85D0
               "16r436B"    16r79D2
               "16r436C"    16r6E3A
               "16r436D"    16r5E99
               "16r436E"    16r5999
               "16r436F"    16r8511
               "16r4370"    16r706D
               "16r4371"    16r6C11
               "16r4372"    16r62BF
               "16r4373"    16r76BF
               "16r4374"    16r654F
               "16r4375"    16r60AF
               "16r4376"    16r95FD
               "16r4377"    16r660E
               "16r4378"    16r879F
               "16r4379"    16r9E23
               "16r437A"    16r94ED
               "16r437B"    16r540D
               "16r437C"    16r547D
               "16r437D"    16r8C2C
               "16r437E"    16r6478
               ) at:(code - 16r4320).
        ].
        code <= 16r4420 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r447E ifTrue:[
            ^ #(
               "16r4421"    16r6479
               "16r4422"    16r8611
               "16r4423"    16r6A21
               "16r4424"    16r819C
               "16r4425"    16r78E8
               "16r4426"    16r6469
               "16r4427"    16r9B54
               "16r4428"    16r62B9
               "16r4429"    16r672B
               "16r442A"    16r83AB
               "16r442B"    16r58A8
               "16r442C"    16r9ED8
               "16r442D"    16r6CAB
               "16r442E"    16r6F20
               "16r442F"    16r5BDE
               "16r4430"    16r964C
               "16r4431"    16r8C0B
               "16r4432"    16r725F
               "16r4433"    16r67D0
               "16r4434"    16r62C7
               "16r4435"    16r7261
               "16r4436"    16r4EA9
               "16r4437"    16r59C6
               "16r4438"    16r6BCD
               "16r4439"    16r5893
               "16r443A"    16r66AE
               "16r443B"    16r5E55
               "16r443C"    16r52DF
               "16r443D"    16r6155
               "16r443E"    16r6728
               "16r443F"    16r76EE
               "16r4440"    16r7766
               "16r4441"    16r7267
               "16r4442"    16r7A46
               "16r4443"    16r62FF
               "16r4444"    16r54EA
               "16r4445"    16r5450
               "16r4446"    16r94A0
               "16r4447"    16r90A3
               "16r4448"    16r5A1C
               "16r4449"    16r7EB3
               "16r444A"    16r6C16
               "16r444B"    16r4E43
               "16r444C"    16r5976
               "16r444D"    16r8010
               "16r444E"    16r5948
               "16r444F"    16r5357
               "16r4450"    16r7537
               "16r4451"    16r96BE
               "16r4452"    16r56CA
               "16r4453"    16r6320
               "16r4454"    16r8111
               "16r4455"    16r607C
               "16r4456"    16r95F9
               "16r4457"    16r6DD6
               "16r4458"    16r5462
               "16r4459"    16r9981
               "16r445A"    16r5185
               "16r445B"    16r5AE9
               "16r445C"    16r80FD
               "16r445D"    16r59AE
               "16r445E"    16r9713
               "16r445F"    16r502A
               "16r4460"    16r6CE5
               "16r4461"    16r5C3C
               "16r4462"    16r62DF
               "16r4463"    16r4F60
               "16r4464"    16r533F
               "16r4465"    16r817B
               "16r4466"    16r9006
               "16r4467"    16r6EBA
               "16r4468"    16r852B
               "16r4469"    16r62C8
               "16r446A"    16r5E74
               "16r446B"    16r78BE
               "16r446C"    16r64B5
               "16r446D"    16r637B
               "16r446E"    16r5FF5
               "16r446F"    16r5A18
               "16r4470"    16r917F
               "16r4471"    16r9E1F
               "16r4472"    16r5C3F
               "16r4473"    16r634F
               "16r4474"    16r8042
               "16r4475"    16r5B7D
               "16r4476"    16r556E
               "16r4477"    16r954A
               "16r4478"    16r954D
               "16r4479"    16r6D85
               "16r447A"    16r60A8
               "16r447B"    16r67E0
               "16r447C"    16r72DE
               "16r447D"    16r51DD
               "16r447E"    16r5B81
               ) at:(code - 16r4420).
        ].
        code <= 16r4520 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r457E ifTrue:[
            ^ #(
               "16r4521"    16r62E7
               "16r4522"    16r6CDE
               "16r4523"    16r725B
               "16r4524"    16r626D
               "16r4525"    16r94AE
               "16r4526"    16r7EBD
               "16r4527"    16r8113
               "16r4528"    16r6D53
               "16r4529"    16r519C
               "16r452A"    16r5F04
               "16r452B"    16r5974
               "16r452C"    16r52AA
               "16r452D"    16r6012
               "16r452E"    16r5973
               "16r452F"    16r6696
               "16r4530"    16r8650
               "16r4531"    16r759F
               "16r4532"    16r632A
               "16r4533"    16r61E6
               "16r4534"    16r7CEF
               "16r4535"    16r8BFA
               "16r4536"    16r54E6
               "16r4537"    16r6B27
               "16r4538"    16r9E25
               "16r4539"    16r6BB4
               "16r453A"    16r85D5
               "16r453B"    16r5455
               "16r453C"    16r5076
               "16r453D"    16r6CA4
               "16r453E"    16r556A
               "16r453F"    16r8DB4
               "16r4540"    16r722C
               "16r4541"    16r5E15
               "16r4542"    16r6015
               "16r4543"    16r7436
               "16r4544"    16r62CD
               "16r4545"    16r6392
               "16r4546"    16r724C
               "16r4547"    16r5F98
               "16r4548"    16r6E43
               "16r4549"    16r6D3E
               "16r454A"    16r6500
               "16r454B"    16r6F58
               "16r454C"    16r76D8
               "16r454D"    16r78D0
               "16r454E"    16r76FC
               "16r454F"    16r7554
               "16r4550"    16r5224
               "16r4551"    16r53DB
               "16r4552"    16r4E53
               "16r4553"    16r5E9E
               "16r4554"    16r65C1
               "16r4555"    16r802A
               "16r4556"    16r80D6
               "16r4557"    16r629B
               "16r4558"    16r5486
               "16r4559"    16r5228
               "16r455A"    16r70AE
               "16r455B"    16r888D
               "16r455C"    16r8DD1
               "16r455D"    16r6CE1
               "16r455E"    16r5478
               "16r455F"    16r80DA
               "16r4560"    16r57F9
               "16r4561"    16r88F4
               "16r4562"    16r8D54
               "16r4563"    16r966A
               "16r4564"    16r914D
               "16r4565"    16r4F69
               "16r4566"    16r6C9B
               "16r4567"    16r55B7
               "16r4568"    16r76C6
               "16r4569"    16r7830
               "16r456A"    16r62A8
               "16r456B"    16r70F9
               "16r456C"    16r6F8E
               "16r456D"    16r5F6D
               "16r456E"    16r84EC
               "16r456F"    16r68DA
               "16r4570"    16r787C
               "16r4571"    16r7BF7
               "16r4572"    16r81A8
               "16r4573"    16r670B
               "16r4574"    16r9E4F
               "16r4575"    16r6367
               "16r4576"    16r78B0
               "16r4577"    16r576F
               "16r4578"    16r7812
               "16r4579"    16r9739
               "16r457A"    16r6279
               "16r457B"    16r62AB
               "16r457C"    16r5288
               "16r457D"    16r7435
               "16r457E"    16r6BD7
               ) at:(code - 16r4520).
        ].
        code <= 16r4620 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r467E ifTrue:[
            ^ #(
               "16r4621"    16r5564
               "16r4622"    16r813E
               "16r4623"    16r75B2
               "16r4624"    16r76AE
               "16r4625"    16r5339
               "16r4626"    16r75DE
               "16r4627"    16r50FB
               "16r4628"    16r5C41
               "16r4629"    16r8B6C
               "16r462A"    16r7BC7
               "16r462B"    16r504F
               "16r462C"    16r7247
               "16r462D"    16r9A97
               "16r462E"    16r98D8
               "16r462F"    16r6F02
               "16r4630"    16r74E2
               "16r4631"    16r7968
               "16r4632"    16r6487
               "16r4633"    16r77A5
               "16r4634"    16r62FC
               "16r4635"    16r9891
               "16r4636"    16r8D2B
               "16r4637"    16r54C1
               "16r4638"    16r8058
               "16r4639"    16r4E52
               "16r463A"    16r576A
               "16r463B"    16r82F9
               "16r463C"    16r840D
               "16r463D"    16r5E73
               "16r463E"    16r51ED
               "16r463F"    16r74F6
               "16r4640"    16r8BC4
               "16r4641"    16r5C4F
               "16r4642"    16r5761
               "16r4643"    16r6CFC
               "16r4644"    16r9887
               "16r4645"    16r5A46
               "16r4646"    16r7834
               "16r4647"    16r9B44
               "16r4648"    16r8FEB
               "16r4649"    16r7C95
               "16r464A"    16r5256
               "16r464B"    16r6251
               "16r464C"    16r94FA
               "16r464D"    16r4EC6
               "16r464E"    16r8386
               "16r464F"    16r8461
               "16r4650"    16r83E9
               "16r4651"    16r84B2
               "16r4652"    16r57D4
               "16r4653"    16r6734
               "16r4654"    16r5703
               "16r4655"    16r666E
               "16r4656"    16r6D66
               "16r4657"    16r8C31
               "16r4658"    16r66DD
               "16r4659"    16r7011
               "16r465A"    16r671F
               "16r465B"    16r6B3A
               "16r465C"    16r6816
               "16r465D"    16r621A
               "16r465E"    16r59BB
               "16r465F"    16r4E03
               "16r4660"    16r51C4
               "16r4661"    16r6F06
               "16r4662"    16r67D2
               "16r4663"    16r6C8F
               "16r4664"    16r5176
               "16r4665"    16r68CB
               "16r4666"    16r5947
               "16r4667"    16r6B67
               "16r4668"    16r7566
               "16r4669"    16r5D0E
               "16r466A"    16r8110
               "16r466B"    16r9F50
               "16r466C"    16r65D7
               "16r466D"    16r7948
               "16r466E"    16r7941
               "16r466F"    16r9A91
               "16r4670"    16r8D77
               "16r4671"    16r5C82
               "16r4672"    16r4E5E
               "16r4673"    16r4F01
               "16r4674"    16r542F
               "16r4675"    16r5951
               "16r4676"    16r780C
               "16r4677"    16r5668
               "16r4678"    16r6C14
               "16r4679"    16r8FC4
               "16r467A"    16r5F03
               "16r467B"    16r6C7D
               "16r467C"    16r6CE3
               "16r467D"    16r8BAB
               "16r467E"    16r6390
               ) at:(code - 16r4620).
        ].
        code <= 16r4720 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r477E ifTrue:[
            ^ #(
               "16r4721"    16r6070
               "16r4722"    16r6D3D
               "16r4723"    16r7275
               "16r4724"    16r6266
               "16r4725"    16r948E
               "16r4726"    16r94C5
               "16r4727"    16r5343
               "16r4728"    16r8FC1
               "16r4729"    16r7B7E
               "16r472A"    16r4EDF
               "16r472B"    16r8C26
               "16r472C"    16r4E7E
               "16r472D"    16r9ED4
               "16r472E"    16r94B1
               "16r472F"    16r94B3
               "16r4730"    16r524D
               "16r4731"    16r6F5C
               "16r4732"    16r9063
               "16r4733"    16r6D45
               "16r4734"    16r8C34
               "16r4735"    16r5811
               "16r4736"    16r5D4C
               "16r4737"    16r6B20
               "16r4738"    16r6B49
               "16r4739"    16r67AA
               "16r473A"    16r545B
               "16r473B"    16r8154
               "16r473C"    16r7F8C
               "16r473D"    16r5899
               "16r473E"    16r8537
               "16r473F"    16r5F3A
               "16r4740"    16r62A2
               "16r4741"    16r6A47
               "16r4742"    16r9539
               "16r4743"    16r6572
               "16r4744"    16r6084
               "16r4745"    16r6865
               "16r4746"    16r77A7
               "16r4747"    16r4E54
               "16r4748"    16r4FA8
               "16r4749"    16r5DE7
               "16r474A"    16r9798
               "16r474B"    16r64AC
               "16r474C"    16r7FD8
               "16r474D"    16r5CED
               "16r474E"    16r4FCF
               "16r474F"    16r7A8D
               "16r4750"    16r5207
               "16r4751"    16r8304
               "16r4752"    16r4E14
               "16r4753"    16r602F
               "16r4754"    16r7A83
               "16r4755"    16r94A6
               "16r4756"    16r4FB5
               "16r4757"    16r4EB2
               "16r4758"    16r79E6
               "16r4759"    16r7434
               "16r475A"    16r52E4
               "16r475B"    16r82B9
               "16r475C"    16r64D2
               "16r475D"    16r79BD
               "16r475E"    16r5BDD
               "16r475F"    16r6C81
               "16r4760"    16r9752
               "16r4761"    16r8F7B
               "16r4762"    16r6C22
               "16r4763"    16r503E
               "16r4764"    16r537F
               "16r4765"    16r6E05
               "16r4766"    16r64CE
               "16r4767"    16r6674
               "16r4768"    16r6C30
               "16r4769"    16r60C5
               "16r476A"    16r9877
               "16r476B"    16r8BF7
               "16r476C"    16r5E86
               "16r476D"    16r743C
               "16r476E"    16r7A77
               "16r476F"    16r79CB
               "16r4770"    16r4E18
               "16r4771"    16r90B1
               "16r4772"    16r7403
               "16r4773"    16r6C42
               "16r4774"    16r56DA
               "16r4775"    16r914B
               "16r4776"    16r6CC5
               "16r4777"    16r8D8B
               "16r4778"    16r533A
               "16r4779"    16r86C6
               "16r477A"    16r66F2
               "16r477B"    16r8EAF
               "16r477C"    16r5C48
               "16r477D"    16r9A71
               "16r477E"    16r6E20
               ) at:(code - 16r4720).
        ].
        code <= 16r4820 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r487E ifTrue:[
            ^ #(
               "16r4821"    16r53D6
               "16r4822"    16r5A36
               "16r4823"    16r9F8B
               "16r4824"    16r8DA3
               "16r4825"    16r53BB
               "16r4826"    16r5708
               "16r4827"    16r98A7
               "16r4828"    16r6743
               "16r4829"    16r919B
               "16r482A"    16r6CC9
               "16r482B"    16r5168
               "16r482C"    16r75CA
               "16r482D"    16r62F3
               "16r482E"    16r72AC
               "16r482F"    16r5238
               "16r4830"    16r529D
               "16r4831"    16r7F3A
               "16r4832"    16r7094
               "16r4833"    16r7638
               "16r4834"    16r5374
               "16r4835"    16r9E4A
               "16r4836"    16r69B7
               "16r4837"    16r786E
               "16r4838"    16r96C0
               "16r4839"    16r88D9
               "16r483A"    16r7FA4
               "16r483B"    16r7136
               "16r483C"    16r71C3
               "16r483D"    16r5189
               "16r483E"    16r67D3
               "16r483F"    16r74E4
               "16r4840"    16r58E4
               "16r4841"    16r6518
               "16r4842"    16r56B7
               "16r4843"    16r8BA9
               "16r4844"    16r9976
               "16r4845"    16r6270
               "16r4846"    16r7ED5
               "16r4847"    16r60F9
               "16r4848"    16r70ED
               "16r4849"    16r58EC
               "16r484A"    16r4EC1
               "16r484B"    16r4EBA
               "16r484C"    16r5FCD
               "16r484D"    16r97E7
               "16r484E"    16r4EFB
               "16r484F"    16r8BA4
               "16r4850"    16r5203
               "16r4851"    16r598A
               "16r4852"    16r7EAB
               "16r4853"    16r6254
               "16r4854"    16r4ECD
               "16r4855"    16r65E5
               "16r4856"    16r620E
               "16r4857"    16r8338
               "16r4858"    16r84C9
               "16r4859"    16r8363
               "16r485A"    16r878D
               "16r485B"    16r7194
               "16r485C"    16r6EB6
               "16r485D"    16r5BB9
               "16r485E"    16r7ED2
               "16r485F"    16r5197
               "16r4860"    16r63C9
               "16r4861"    16r67D4
               "16r4862"    16r8089
               "16r4863"    16r8339
               "16r4864"    16r8815
               "16r4865"    16r5112
               "16r4866"    16r5B7A
               "16r4867"    16r5982
               "16r4868"    16r8FB1
               "16r4869"    16r4E73
               "16r486A"    16r6C5D
               "16r486B"    16r5165
               "16r486C"    16r8925
               "16r486D"    16r8F6F
               "16r486E"    16r962E
               "16r486F"    16r854A
               "16r4870"    16r745E
               "16r4871"    16r9510
               "16r4872"    16r95F0
               "16r4873"    16r6DA6
               "16r4874"    16r82E5
               "16r4875"    16r5F31
               "16r4876"    16r6492
               "16r4877"    16r6D12
               "16r4878"    16r8428
               "16r4879"    16r816E
               "16r487A"    16r9CC3
               "16r487B"    16r585E
               "16r487C"    16r8D5B
               "16r487D"    16r4E09
               "16r487E"    16r53C1
               ) at:(code - 16r4820).
        ].
        code <= 16r4920 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r497E ifTrue:[
            ^ #(
               "16r4921"    16r4F1E
               "16r4922"    16r6563
               "16r4923"    16r6851
               "16r4924"    16r55D3
               "16r4925"    16r4E27
               "16r4926"    16r6414
               "16r4927"    16r9A9A
               "16r4928"    16r626B
               "16r4929"    16r5AC2
               "16r492A"    16r745F
               "16r492B"    16r8272
               "16r492C"    16r6DA9
               "16r492D"    16r68EE
               "16r492E"    16r50E7
               "16r492F"    16r838E
               "16r4930"    16r7802
               "16r4931"    16r6740
               "16r4932"    16r5239
               "16r4933"    16r6C99
               "16r4934"    16r7EB1
               "16r4935"    16r50BB
               "16r4936"    16r5565
               "16r4937"    16r715E
               "16r4938"    16r7B5B
               "16r4939"    16r6652
               "16r493A"    16r73CA
               "16r493B"    16r82EB
               "16r493C"    16r6749
               "16r493D"    16r5C71
               "16r493E"    16r5220
               "16r493F"    16r717D
               "16r4940"    16r886B
               "16r4941"    16r95EA
               "16r4942"    16r9655
               "16r4943"    16r64C5
               "16r4944"    16r8D61
               "16r4945"    16r81B3
               "16r4946"    16r5584
               "16r4947"    16r6C55
               "16r4948"    16r6247
               "16r4949"    16r7F2E
               "16r494A"    16r5892
               "16r494B"    16r4F24
               "16r494C"    16r5546
               "16r494D"    16r8D4F
               "16r494E"    16r664C
               "16r494F"    16r4E0A
               "16r4950"    16r5C1A
               "16r4951"    16r88F3
               "16r4952"    16r68A2
               "16r4953"    16r634E
               "16r4954"    16r7A0D
               "16r4955"    16r70E7
               "16r4956"    16r828D
               "16r4957"    16r52FA
               "16r4958"    16r97F6
               "16r4959"    16r5C11
               "16r495A"    16r54E8
               "16r495B"    16r90B5
               "16r495C"    16r7ECD
               "16r495D"    16r5962
               "16r495E"    16r8D4A
               "16r495F"    16r86C7
               "16r4960"    16r820C
               "16r4961"    16r820D
               "16r4962"    16r8D66
               "16r4963"    16r6444
               "16r4964"    16r5C04
               "16r4965"    16r6151
               "16r4966"    16r6D89
               "16r4967"    16r793E
               "16r4968"    16r8BBE
               "16r4969"    16r7837
               "16r496A"    16r7533
               "16r496B"    16r547B
               "16r496C"    16r4F38
               "16r496D"    16r8EAB
               "16r496E"    16r6DF1
               "16r496F"    16r5A20
               "16r4970"    16r7EC5
               "16r4971"    16r795E
               "16r4972"    16r6C88
               "16r4973"    16r5BA1
               "16r4974"    16r5A76
               "16r4975"    16r751A
               "16r4976"    16r80BE
               "16r4977"    16r614E
               "16r4978"    16r6E17
               "16r4979"    16r58F0
               "16r497A"    16r751F
               "16r497B"    16r7525
               "16r497C"    16r7272
               "16r497D"    16r5347
               "16r497E"    16r7EF3
               ) at:(code - 16r4920).
        ].
        code <= 16r4A20 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r4A7E ifTrue:[
            ^ #(
               "16r4A21"    16r7701
               "16r4A22"    16r76DB
               "16r4A23"    16r5269
               "16r4A24"    16r80DC
               "16r4A25"    16r5723
               "16r4A26"    16r5E08
               "16r4A27"    16r5931
               "16r4A28"    16r72EE
               "16r4A29"    16r65BD
               "16r4A2A"    16r6E7F
               "16r4A2B"    16r8BD7
               "16r4A2C"    16r5C38
               "16r4A2D"    16r8671
               "16r4A2E"    16r5341
               "16r4A2F"    16r77F3
               "16r4A30"    16r62FE
               "16r4A31"    16r65F6
               "16r4A32"    16r4EC0
               "16r4A33"    16r98DF
               "16r4A34"    16r8680
               "16r4A35"    16r5B9E
               "16r4A36"    16r8BC6
               "16r4A37"    16r53F2
               "16r4A38"    16r77E2
               "16r4A39"    16r4F7F
               "16r4A3A"    16r5C4E
               "16r4A3B"    16r9A76
               "16r4A3C"    16r59CB
               "16r4A3D"    16r5F0F
               "16r4A3E"    16r793A
               "16r4A3F"    16r58EB
               "16r4A40"    16r4E16
               "16r4A41"    16r67FF
               "16r4A42"    16r4E8B
               "16r4A43"    16r62ED
               "16r4A44"    16r8A93
               "16r4A45"    16r901D
               "16r4A46"    16r52BF
               "16r4A47"    16r662F
               "16r4A48"    16r55DC
               "16r4A49"    16r566C
               "16r4A4A"    16r9002
               "16r4A4B"    16r4ED5
               "16r4A4C"    16r4F8D
               "16r4A4D"    16r91CA
               "16r4A4E"    16r9970
               "16r4A4F"    16r6C0F
               "16r4A50"    16r5E02
               "16r4A51"    16r6043
               "16r4A52"    16r5BA4
               "16r4A53"    16r89C6
               "16r4A54"    16r8BD5
               "16r4A55"    16r6536
               "16r4A56"    16r624B
               "16r4A57"    16r9996
               "16r4A58"    16r5B88
               "16r4A59"    16r5BFF
               "16r4A5A"    16r6388
               "16r4A5B"    16r552E
               "16r4A5C"    16r53D7
               "16r4A5D"    16r7626
               "16r4A5E"    16r517D
               "16r4A5F"    16r852C
               "16r4A60"    16r67A2
               "16r4A61"    16r68B3
               "16r4A62"    16r6B8A
               "16r4A63"    16r6292
               "16r4A64"    16r8F93
               "16r4A65"    16r53D4
               "16r4A66"    16r8212
               "16r4A67"    16r6DD1
               "16r4A68"    16r758F
               "16r4A69"    16r4E66
               "16r4A6A"    16r8D4E
               "16r4A6B"    16r5B70
               "16r4A6C"    16r719F
               "16r4A6D"    16r85AF
               "16r4A6E"    16r6691
               "16r4A6F"    16r66D9
               "16r4A70"    16r7F72
               "16r4A71"    16r8700
               "16r4A72"    16r9ECD
               "16r4A73"    16r9F20
               "16r4A74"    16r5C5E
               "16r4A75"    16r672F
               "16r4A76"    16r8FF0
               "16r4A77"    16r6811
               "16r4A78"    16r675F
               "16r4A79"    16r620D
               "16r4A7A"    16r7AD6
               "16r4A7B"    16r5885
               "16r4A7C"    16r5EB6
               "16r4A7D"    16r6570
               "16r4A7E"    16r6F31
               ) at:(code - 16r4A20).
        ].
        code <= 16r4B20 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r4B7E ifTrue:[
            ^ #(
               "16r4B21"    16r6055
               "16r4B22"    16r5237
               "16r4B23"    16r800D
               "16r4B24"    16r6454
               "16r4B25"    16r8870
               "16r4B26"    16r7529
               "16r4B27"    16r5E05
               "16r4B28"    16r6813
               "16r4B29"    16r62F4
               "16r4B2A"    16r971C
               "16r4B2B"    16r53CC
               "16r4B2C"    16r723D
               "16r4B2D"    16r8C01
               "16r4B2E"    16r6C34
               "16r4B2F"    16r7761
               "16r4B30"    16r7A0E
               "16r4B31"    16r542E
               "16r4B32"    16r77AC
               "16r4B33"    16r987A
               "16r4B34"    16r821C
               "16r4B35"    16r8BF4
               "16r4B36"    16r7855
               "16r4B37"    16r6714
               "16r4B38"    16r70C1
               "16r4B39"    16r65AF
               "16r4B3A"    16r6495
               "16r4B3B"    16r5636
               "16r4B3C"    16r601D
               "16r4B3D"    16r79C1
               "16r4B3E"    16r53F8
               "16r4B3F"    16r4E1D
               "16r4B40"    16r6B7B
               "16r4B41"    16r8086
               "16r4B42"    16r5BFA
               "16r4B43"    16r55E3
               "16r4B44"    16r56DB
               "16r4B45"    16r4F3A
               "16r4B46"    16r4F3C
               "16r4B47"    16r9972
               "16r4B48"    16r5DF3
               "16r4B49"    16r677E
               "16r4B4A"    16r8038
               "16r4B4B"    16r6002
               "16r4B4C"    16r9882
               "16r4B4D"    16r9001
               "16r4B4E"    16r5B8B
               "16r4B4F"    16r8BBC
               "16r4B50"    16r8BF5
               "16r4B51"    16r641C
               "16r4B52"    16r8258
               "16r4B53"    16r64DE
               "16r4B54"    16r55FD
               "16r4B55"    16r82CF
               "16r4B56"    16r9165
               "16r4B57"    16r4FD7
               "16r4B58"    16r7D20
               "16r4B59"    16r901F
               "16r4B5A"    16r7C9F
               "16r4B5B"    16r50F3
               "16r4B5C"    16r5851
               "16r4B5D"    16r6EAF
               "16r4B5E"    16r5BBF
               "16r4B5F"    16r8BC9
               "16r4B60"    16r8083
               "16r4B61"    16r9178
               "16r4B62"    16r849C
               "16r4B63"    16r7B97
               "16r4B64"    16r867D
               "16r4B65"    16r968B
               "16r4B66"    16r968F
               "16r4B67"    16r7EE5
               "16r4B68"    16r9AD3
               "16r4B69"    16r788E
               "16r4B6A"    16r5C81
               "16r4B6B"    16r7A57
               "16r4B6C"    16r9042
               "16r4B6D"    16r96A7
               "16r4B6E"    16r795F
               "16r4B6F"    16r5B59
               "16r4B70"    16r635F
               "16r4B71"    16r7B0B
               "16r4B72"    16r84D1
               "16r4B73"    16r68AD
               "16r4B74"    16r5506
               "16r4B75"    16r7F29
               "16r4B76"    16r7410
               "16r4B77"    16r7D22
               "16r4B78"    16r9501
               "16r4B79"    16r6240
               "16r4B7A"    16r584C
               "16r4B7B"    16r4ED6
               "16r4B7C"    16r5B83
               "16r4B7D"    16r5979
               "16r4B7E"    16r5854
               ) at:(code - 16r4B20).
        ].
        code <= 16r4C20 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r4C7E ifTrue:[
            ^ #(
               "16r4C21"    16r736D
               "16r4C22"    16r631E
               "16r4C23"    16r8E4B
               "16r4C24"    16r8E0F
               "16r4C25"    16r80CE
               "16r4C26"    16r82D4
               "16r4C27"    16r62AC
               "16r4C28"    16r53F0
               "16r4C29"    16r6CF0
               "16r4C2A"    16r915E
               "16r4C2B"    16r592A
               "16r4C2C"    16r6001
               "16r4C2D"    16r6C70
               "16r4C2E"    16r574D
               "16r4C2F"    16r644A
               "16r4C30"    16r8D2A
               "16r4C31"    16r762B
               "16r4C32"    16r6EE9
               "16r4C33"    16r575B
               "16r4C34"    16r6A80
               "16r4C35"    16r75F0
               "16r4C36"    16r6F6D
               "16r4C37"    16r8C2D
               "16r4C38"    16r8C08
               "16r4C39"    16r5766
               "16r4C3A"    16r6BEF
               "16r4C3B"    16r8892
               "16r4C3C"    16r78B3
               "16r4C3D"    16r63A2
               "16r4C3E"    16r53F9
               "16r4C3F"    16r70AD
               "16r4C40"    16r6C64
               "16r4C41"    16r5858
               "16r4C42"    16r642A
               "16r4C43"    16r5802
               "16r4C44"    16r68E0
               "16r4C45"    16r819B
               "16r4C46"    16r5510
               "16r4C47"    16r7CD6
               "16r4C48"    16r5018
               "16r4C49"    16r8EBA
               "16r4C4A"    16r6DCC
               "16r4C4B"    16r8D9F
               "16r4C4C"    16r70EB
               "16r4C4D"    16r638F
               "16r4C4E"    16r6D9B
               "16r4C4F"    16r6ED4
               "16r4C50"    16r7EE6
               "16r4C51"    16r8404
               "16r4C52"    16r6843
               "16r4C53"    16r9003
               "16r4C54"    16r6DD8
               "16r4C55"    16r9676
               "16r4C56"    16r8BA8
               "16r4C57"    16r5957
               "16r4C58"    16r7279
               "16r4C59"    16r85E4
               "16r4C5A"    16r817E
               "16r4C5B"    16r75BC
               "16r4C5C"    16r8A8A
               "16r4C5D"    16r68AF
               "16r4C5E"    16r5254
               "16r4C5F"    16r8E22
               "16r4C60"    16r9511
               "16r4C61"    16r63D0
               "16r4C62"    16r9898
               "16r4C63"    16r8E44
               "16r4C64"    16r557C
               "16r4C65"    16r4F53
               "16r4C66"    16r66FF
               "16r4C67"    16r568F
               "16r4C68"    16r60D5
               "16r4C69"    16r6D95
               "16r4C6A"    16r5243
               "16r4C6B"    16r5C49
               "16r4C6C"    16r5929
               "16r4C6D"    16r6DFB
               "16r4C6E"    16r586B
               "16r4C6F"    16r7530
               "16r4C70"    16r751C
               "16r4C71"    16r606C
               "16r4C72"    16r8214
               "16r4C73"    16r8146
               "16r4C74"    16r6311
               "16r4C75"    16r6761
               "16r4C76"    16r8FE2
               "16r4C77"    16r773A
               "16r4C78"    16r8DF3
               "16r4C79"    16r8D34
               "16r4C7A"    16r94C1
               "16r4C7B"    16r5E16
               "16r4C7C"    16r5385
               "16r4C7D"    16r542C
               "16r4C7E"    16r70C3
               ) at:(code - 16r4C20).
        ].
        code <= 16r4D20 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r4D7E ifTrue:[
            ^ #(
               "16r4D21"    16r6C40
               "16r4D22"    16r5EF7
               "16r4D23"    16r505C
               "16r4D24"    16r4EAD
               "16r4D25"    16r5EAD
               "16r4D26"    16r633A
               "16r4D27"    16r8247
               "16r4D28"    16r901A
               "16r4D29"    16r6850
               "16r4D2A"    16r916E
               "16r4D2B"    16r77B3
               "16r4D2C"    16r540C
               "16r4D2D"    16r94DC
               "16r4D2E"    16r5F64
               "16r4D2F"    16r7AE5
               "16r4D30"    16r6876
               "16r4D31"    16r6345
               "16r4D32"    16r7B52
               "16r4D33"    16r7EDF
               "16r4D34"    16r75DB
               "16r4D35"    16r5077
               "16r4D36"    16r6295
               "16r4D37"    16r5934
               "16r4D38"    16r900F
               "16r4D39"    16r51F8
               "16r4D3A"    16r79C3
               "16r4D3B"    16r7A81
               "16r4D3C"    16r56FE
               "16r4D3D"    16r5F92
               "16r4D3E"    16r9014
               "16r4D3F"    16r6D82
               "16r4D40"    16r5C60
               "16r4D41"    16r571F
               "16r4D42"    16r5410
               "16r4D43"    16r5154
               "16r4D44"    16r6E4D
               "16r4D45"    16r56E2
               "16r4D46"    16r63A8
               "16r4D47"    16r9893
               "16r4D48"    16r817F
               "16r4D49"    16r8715
               "16r4D4A"    16r892A
               "16r4D4B"    16r9000
               "16r4D4C"    16r541E
               "16r4D4D"    16r5C6F
               "16r4D4E"    16r81C0
               "16r4D4F"    16r62D6
               "16r4D50"    16r6258
               "16r4D51"    16r8131
               "16r4D52"    16r9E35
               "16r4D53"    16r9640
               "16r4D54"    16r9A6E
               "16r4D55"    16r9A7C
               "16r4D56"    16r692D
               "16r4D57"    16r59A5
               "16r4D58"    16r62D3
               "16r4D59"    16r553E
               "16r4D5A"    16r6316
               "16r4D5B"    16r54C7
               "16r4D5C"    16r86D9
               "16r4D5D"    16r6D3C
               "16r4D5E"    16r5A03
               "16r4D5F"    16r74E6
               "16r4D60"    16r889C
               "16r4D61"    16r6B6A
               "16r4D62"    16r5916
               "16r4D63"    16r8C4C
               "16r4D64"    16r5F2F
               "16r4D65"    16r6E7E
               "16r4D66"    16r73A9
               "16r4D67"    16r987D
               "16r4D68"    16r4E38
               "16r4D69"    16r70F7
               "16r4D6A"    16r5B8C
               "16r4D6B"    16r7897
               "16r4D6C"    16r633D
               "16r4D6D"    16r665A
               "16r4D6E"    16r7696
               "16r4D6F"    16r60CB
               "16r4D70"    16r5B9B
               "16r4D71"    16r5A49
               "16r4D72"    16r4E07
               "16r4D73"    16r8155
               "16r4D74"    16r6C6A
               "16r4D75"    16r738B
               "16r4D76"    16r4EA1
               "16r4D77"    16r6789
               "16r4D78"    16r7F51
               "16r4D79"    16r5F80
               "16r4D7A"    16r65FA
               "16r4D7B"    16r671B
               "16r4D7C"    16r5FD8
               "16r4D7D"    16r5984
               "16r4D7E"    16r5A01
               ) at:(code - 16r4D20).
        ].
        code <= 16r4E20 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r4E7E ifTrue:[
            ^ #(
               "16r4E21"    16r5DCD
               "16r4E22"    16r5FAE
               "16r4E23"    16r5371
               "16r4E24"    16r97E6
               "16r4E25"    16r8FDD
               "16r4E26"    16r6845
               "16r4E27"    16r56F4
               "16r4E28"    16r552F
               "16r4E29"    16r60DF
               "16r4E2A"    16r4E3A
               "16r4E2B"    16r6F4D
               "16r4E2C"    16r7EF4
               "16r4E2D"    16r82C7
               "16r4E2E"    16r840E
               "16r4E2F"    16r59D4
               "16r4E30"    16r4F1F
               "16r4E31"    16r4F2A
               "16r4E32"    16r5C3E
               "16r4E33"    16r7EAC
               "16r4E34"    16r672A
               "16r4E35"    16r851A
               "16r4E36"    16r5473
               "16r4E37"    16r754F
               "16r4E38"    16r80C3
               "16r4E39"    16r5582
               "16r4E3A"    16r9B4F
               "16r4E3B"    16r4F4D
               "16r4E3C"    16r6E2D
               "16r4E3D"    16r8C13
               "16r4E3E"    16r5C09
               "16r4E3F"    16r6170
               "16r4E40"    16r536B
               "16r4E41"    16r761F
               "16r4E42"    16r6E29
               "16r4E43"    16r868A
               "16r4E44"    16r6587
               "16r4E45"    16r95FB
               "16r4E46"    16r7EB9
               "16r4E47"    16r543B
               "16r4E48"    16r7A33
               "16r4E49"    16r7D0A
               "16r4E4A"    16r95EE
               "16r4E4B"    16r55E1
               "16r4E4C"    16r7FC1
               "16r4E4D"    16r74EE
               "16r4E4E"    16r631D
               "16r4E4F"    16r8717
               "16r4E50"    16r6DA1
               "16r4E51"    16r7A9D
               "16r4E52"    16r6211
               "16r4E53"    16r65A1
               "16r4E54"    16r5367
               "16r4E55"    16r63E1
               "16r4E56"    16r6C83
               "16r4E57"    16r5DEB
               "16r4E58"    16r545C
               "16r4E59"    16r94A8
               "16r4E5A"    16r4E4C
               "16r4E5B"    16r6C61
               "16r4E5C"    16r8BEC
               "16r4E5D"    16r5C4B
               "16r4E5E"    16r65E0
               "16r4E5F"    16r829C
               "16r4E60"    16r68A7
               "16r4E61"    16r543E
               "16r4E62"    16r5434
               "16r4E63"    16r6BCB
               "16r4E64"    16r6B66
               "16r4E65"    16r4E94
               "16r4E66"    16r6342
               "16r4E67"    16r5348
               "16r4E68"    16r821E
               "16r4E69"    16r4F0D
               "16r4E6A"    16r4FAE
               "16r4E6B"    16r575E
               "16r4E6C"    16r620A
               "16r4E6D"    16r96FE
               "16r4E6E"    16r6664
               "16r4E6F"    16r7269
               "16r4E70"    16r52FF
               "16r4E71"    16r52A1
               "16r4E72"    16r609F
               "16r4E73"    16r8BEF
               "16r4E74"    16r6614
               "16r4E75"    16r7199
               "16r4E76"    16r6790
               "16r4E77"    16r897F
               "16r4E78"    16r7852
               "16r4E79"    16r77FD
               "16r4E7A"    16r6670
               "16r4E7B"    16r563B
               "16r4E7C"    16r5438
               "16r4E7D"    16r9521
               "16r4E7E"    16r727A
               ) at:(code - 16r4E20).
        ].
        code <= 16r4F20 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r4F7E ifTrue:[
            ^ #(
               "16r4F21"    16r7A00
               "16r4F22"    16r606F
               "16r4F23"    16r5E0C
               "16r4F24"    16r6089
               "16r4F25"    16r819D
               "16r4F26"    16r5915
               "16r4F27"    16r60DC
               "16r4F28"    16r7184
               "16r4F29"    16r70EF
               "16r4F2A"    16r6EAA
               "16r4F2B"    16r6C50
               "16r4F2C"    16r7280
               "16r4F2D"    16r6A84
               "16r4F2E"    16r88AD
               "16r4F2F"    16r5E2D
               "16r4F30"    16r4E60
               "16r4F31"    16r5AB3
               "16r4F32"    16r559C
               "16r4F33"    16r94E3
               "16r4F34"    16r6D17
               "16r4F35"    16r7CFB
               "16r4F36"    16r9699
               "16r4F37"    16r620F
               "16r4F38"    16r7EC6
               "16r4F39"    16r778E
               "16r4F3A"    16r867E
               "16r4F3B"    16r5323
               "16r4F3C"    16r971E
               "16r4F3D"    16r8F96
               "16r4F3E"    16r6687
               "16r4F3F"    16r5CE1
               "16r4F40"    16r4FA0
               "16r4F41"    16r72ED
               "16r4F42"    16r4E0B
               "16r4F43"    16r53A6
               "16r4F44"    16r590F
               "16r4F45"    16r5413
               "16r4F46"    16r6380
               "16r4F47"    16r9528
               "16r4F48"    16r5148
               "16r4F49"    16r4ED9
               "16r4F4A"    16r9C9C
               "16r4F4B"    16r7EA4
               "16r4F4C"    16r54B8
               "16r4F4D"    16r8D24
               "16r4F4E"    16r8854
               "16r4F4F"    16r8237
               "16r4F50"    16r95F2
               "16r4F51"    16r6D8E
               "16r4F52"    16r5F26
               "16r4F53"    16r5ACC
               "16r4F54"    16r663E
               "16r4F55"    16r9669
               "16r4F56"    16r73B0
               "16r4F57"    16r732E
               "16r4F58"    16r53BF
               "16r4F59"    16r817A
               "16r4F5A"    16r9985
               "16r4F5B"    16r7FA1
               "16r4F5C"    16r5BAA
               "16r4F5D"    16r9677
               "16r4F5E"    16r9650
               "16r4F5F"    16r7EBF
               "16r4F60"    16r76F8
               "16r4F61"    16r53A2
               "16r4F62"    16r9576
               "16r4F63"    16r9999
               "16r4F64"    16r7BB1
               "16r4F65"    16r8944
               "16r4F66"    16r6E58
               "16r4F67"    16r4E61
               "16r4F68"    16r7FD4
               "16r4F69"    16r7965
               "16r4F6A"    16r8BE6
               "16r4F6B"    16r60F3
               "16r4F6C"    16r54CD
               "16r4F6D"    16r4EAB
               "16r4F6E"    16r9879
               "16r4F6F"    16r5DF7
               "16r4F70"    16r6A61
               "16r4F71"    16r50CF
               "16r4F72"    16r5411
               "16r4F73"    16r8C61
               "16r4F74"    16r8427
               "16r4F75"    16r785D
               "16r4F76"    16r9704
               "16r4F77"    16r524A
               "16r4F78"    16r54EE
               "16r4F79"    16r56A3
               "16r4F7A"    16r9500
               "16r4F7B"    16r6D88
               "16r4F7C"    16r5BB5
               "16r4F7D"    16r6DC6
               "16r4F7E"    16r6653
               ) at:(code - 16r4F20).
        ].
        code <= 16r5020 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r507E ifTrue:[
            ^ #(
               "16r5021"    16r5C0F
               "16r5022"    16r5B5D
               "16r5023"    16r6821
               "16r5024"    16r8096
               "16r5025"    16r5578
               "16r5026"    16r7B11
               "16r5027"    16r6548
               "16r5028"    16r6954
               "16r5029"    16r4E9B
               "16r502A"    16r6B47
               "16r502B"    16r874E
               "16r502C"    16r978B
               "16r502D"    16r534F
               "16r502E"    16r631F
               "16r502F"    16r643A
               "16r5030"    16r90AA
               "16r5031"    16r659C
               "16r5032"    16r80C1
               "16r5033"    16r8C10
               "16r5034"    16r5199
               "16r5035"    16r68B0
               "16r5036"    16r5378
               "16r5037"    16r87F9
               "16r5038"    16r61C8
               "16r5039"    16r6CC4
               "16r503A"    16r6CFB
               "16r503B"    16r8C22
               "16r503C"    16r5C51
               "16r503D"    16r85AA
               "16r503E"    16r82AF
               "16r503F"    16r950C
               "16r5040"    16r6B23
               "16r5041"    16r8F9B
               "16r5042"    16r65B0
               "16r5043"    16r5FFB
               "16r5044"    16r5FC3
               "16r5045"    16r4FE1
               "16r5046"    16r8845
               "16r5047"    16r661F
               "16r5048"    16r8165
               "16r5049"    16r7329
               "16r504A"    16r60FA
               "16r504B"    16r5174
               "16r504C"    16r5211
               "16r504D"    16r578B
               "16r504E"    16r5F62
               "16r504F"    16r90A2
               "16r5050"    16r884C
               "16r5051"    16r9192
               "16r5052"    16r5E78
               "16r5053"    16r674F
               "16r5054"    16r6027
               "16r5055"    16r59D3
               "16r5056"    16r5144
               "16r5057"    16r51F6
               "16r5058"    16r80F8
               "16r5059"    16r5308
               "16r505A"    16r6C79
               "16r505B"    16r96C4
               "16r505C"    16r718A
               "16r505D"    16r4F11
               "16r505E"    16r4FEE
               "16r505F"    16r7F9E
               "16r5060"    16r673D
               "16r5061"    16r55C5
               "16r5062"    16r9508
               "16r5063"    16r79C0
               "16r5064"    16r8896
               "16r5065"    16r7EE3
               "16r5066"    16r589F
               "16r5067"    16r620C
               "16r5068"    16r9700
               "16r5069"    16r865A
               "16r506A"    16r5618
               "16r506B"    16r987B
               "16r506C"    16r5F90
               "16r506D"    16r8BB8
               "16r506E"    16r84C4
               "16r506F"    16r9157
               "16r5070"    16r53D9
               "16r5071"    16r65ED
               "16r5072"    16r5E8F
               "16r5073"    16r755C
               "16r5074"    16r6064
               "16r5075"    16r7D6E
               "16r5076"    16r5A7F
               "16r5077"    16r7EEA
               "16r5078"    16r7EED
               "16r5079"    16r8F69
               "16r507A"    16r55A7
               "16r507B"    16r5BA3
               "16r507C"    16r60AC
               "16r507D"    16r65CB
               "16r507E"    16r7384
               ) at:(code - 16r5020).
        ].
        code <= 16r5120 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r517E ifTrue:[
            ^ #(
               "16r5121"    16r9009
               "16r5122"    16r7663
               "16r5123"    16r7729
               "16r5124"    16r7EDA
               "16r5125"    16r9774
               "16r5126"    16r859B
               "16r5127"    16r5B66
               "16r5128"    16r7A74
               "16r5129"    16r96EA
               "16r512A"    16r8840
               "16r512B"    16r52CB
               "16r512C"    16r718F
               "16r512D"    16r5FAA
               "16r512E"    16r65EC
               "16r512F"    16r8BE2
               "16r5130"    16r5BFB
               "16r5131"    16r9A6F
               "16r5132"    16r5DE1
               "16r5133"    16r6B89
               "16r5134"    16r6C5B
               "16r5135"    16r8BAD
               "16r5136"    16r8BAF
               "16r5137"    16r900A
               "16r5138"    16r8FC5
               "16r5139"    16r538B
               "16r513A"    16r62BC
               "16r513B"    16r9E26
               "16r513C"    16r9E2D
               "16r513D"    16r5440
               "16r513E"    16r4E2B
               "16r513F"    16r82BD
               "16r5140"    16r7259
               "16r5141"    16r869C
               "16r5142"    16r5D16
               "16r5143"    16r8859
               "16r5144"    16r6DAF
               "16r5145"    16r96C5
               "16r5146"    16r54D1
               "16r5147"    16r4E9A
               "16r5148"    16r8BB6
               "16r5149"    16r7109
               "16r514A"    16r54BD
               "16r514B"    16r9609
               "16r514C"    16r70DF
               "16r514D"    16r6DF9
               "16r514E"    16r76D0
               "16r514F"    16r4E25
               "16r5150"    16r7814
               "16r5151"    16r8712
               "16r5152"    16r5CA9
               "16r5153"    16r5EF6
               "16r5154"    16r8A00
               "16r5155"    16r989C
               "16r5156"    16r960E
               "16r5157"    16r708E
               "16r5158"    16r6CBF
               "16r5159"    16r5944
               "16r515A"    16r63A9
               "16r515B"    16r773C
               "16r515C"    16r884D
               "16r515D"    16r6F14
               "16r515E"    16r8273
               "16r515F"    16r5830
               "16r5160"    16r71D5
               "16r5161"    16r538C
               "16r5162"    16r781A
               "16r5163"    16r96C1
               "16r5164"    16r5501
               "16r5165"    16r5F66
               "16r5166"    16r7130
               "16r5167"    16r5BB4
               "16r5168"    16r8C1A
               "16r5169"    16r9A8C
               "16r516A"    16r6B83
               "16r516B"    16r592E
               "16r516C"    16r9E2F
               "16r516D"    16r79E7
               "16r516E"    16r6768
               "16r516F"    16r626C
               "16r5170"    16r4F6F
               "16r5171"    16r75A1
               "16r5172"    16r7F8A
               "16r5173"    16r6D0B
               "16r5174"    16r9633
               "16r5175"    16r6C27
               "16r5176"    16r4EF0
               "16r5177"    16r75D2
               "16r5178"    16r517B
               "16r5179"    16r6837
               "16r517A"    16r6F3E
               "16r517B"    16r9080
               "16r517C"    16r8170
               "16r517D"    16r5996
               "16r517E"    16r7476
               ) at:(code - 16r5120).
        ].
        code <= 16r5220 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r527E ifTrue:[
            ^ #(
               "16r5221"    16r6447
               "16r5222"    16r5C27
               "16r5223"    16r9065
               "16r5224"    16r7A91
               "16r5225"    16r8C23
               "16r5226"    16r59DA
               "16r5227"    16r54AC
               "16r5228"    16r8200
               "16r5229"    16r836F
               "16r522A"    16r8981
               "16r522B"    16r8000
               "16r522C"    16r6930
               "16r522D"    16r564E
               "16r522E"    16r8036
               "16r522F"    16r7237
               "16r5230"    16r91CE
               "16r5231"    16r51B6
               "16r5232"    16r4E5F
               "16r5233"    16r9875
               "16r5234"    16r6396
               "16r5235"    16r4E1A
               "16r5236"    16r53F6
               "16r5237"    16r66F3
               "16r5238"    16r814B
               "16r5239"    16r591C
               "16r523A"    16r6DB2
               "16r523B"    16r4E00
               "16r523C"    16r58F9
               "16r523D"    16r533B
               "16r523E"    16r63D6
               "16r523F"    16r94F1
               "16r5240"    16r4F9D
               "16r5241"    16r4F0A
               "16r5242"    16r8863
               "16r5243"    16r9890
               "16r5244"    16r5937
               "16r5245"    16r9057
               "16r5246"    16r79FB
               "16r5247"    16r4EEA
               "16r5248"    16r80F0
               "16r5249"    16r7591
               "16r524A"    16r6C82
               "16r524B"    16r5B9C
               "16r524C"    16r59E8
               "16r524D"    16r5F5D
               "16r524E"    16r6905
               "16r524F"    16r8681
               "16r5250"    16r501A
               "16r5251"    16r5DF2
               "16r5252"    16r4E59
               "16r5253"    16r77E3
               "16r5254"    16r4EE5
               "16r5255"    16r827A
               "16r5256"    16r6291
               "16r5257"    16r6613
               "16r5258"    16r9091
               "16r5259"    16r5C79
               "16r525A"    16r4EBF
               "16r525B"    16r5F79
               "16r525C"    16r81C6
               "16r525D"    16r9038
               "16r525E"    16r8084
               "16r525F"    16r75AB
               "16r5260"    16r4EA6
               "16r5261"    16r88D4
               "16r5262"    16r610F
               "16r5263"    16r6BC5
               "16r5264"    16r5FC6
               "16r5265"    16r4E49
               "16r5266"    16r76CA
               "16r5267"    16r6EA2
               "16r5268"    16r8BE3
               "16r5269"    16r8BAE
               "16r526A"    16r8C0A
               "16r526B"    16r8BD1
               "16r526C"    16r5F02
               "16r526D"    16r7FFC
               "16r526E"    16r7FCC
               "16r526F"    16r7ECE
               "16r5270"    16r8335
               "16r5271"    16r836B
               "16r5272"    16r56E0
               "16r5273"    16r6BB7
               "16r5274"    16r97F3
               "16r5275"    16r9634
               "16r5276"    16r59FB
               "16r5277"    16r541F
               "16r5278"    16r94F6
               "16r5279"    16r6DEB
               "16r527A"    16r5BC5
               "16r527B"    16r996E
               "16r527C"    16r5C39
               "16r527D"    16r5F15
               "16r527E"    16r9690
               ) at:(code - 16r5220).
        ].
        code <= 16r5320 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r537E ifTrue:[
            ^ #(
               "16r5321"    16r5370
               "16r5322"    16r82F1
               "16r5323"    16r6A31
               "16r5324"    16r5A74
               "16r5325"    16r9E70
               "16r5326"    16r5E94
               "16r5327"    16r7F28
               "16r5328"    16r83B9
               "16r5329"    16r8424
               "16r532A"    16r8425
               "16r532B"    16r8367
               "16r532C"    16r8747
               "16r532D"    16r8FCE
               "16r532E"    16r8D62
               "16r532F"    16r76C8
               "16r5330"    16r5F71
               "16r5331"    16r9896
               "16r5332"    16r786C
               "16r5333"    16r6620
               "16r5334"    16r54DF
               "16r5335"    16r62E5
               "16r5336"    16r4F63
               "16r5337"    16r81C3
               "16r5338"    16r75C8
               "16r5339"    16r5EB8
               "16r533A"    16r96CD
               "16r533B"    16r8E0A
               "16r533C"    16r86F9
               "16r533D"    16r548F
               "16r533E"    16r6CF3
               "16r533F"    16r6D8C
               "16r5340"    16r6C38
               "16r5341"    16r607F
               "16r5342"    16r52C7
               "16r5343"    16r7528
               "16r5344"    16r5E7D
               "16r5345"    16r4F18
               "16r5346"    16r60A0
               "16r5347"    16r5FE7
               "16r5348"    16r5C24
               "16r5349"    16r7531
               "16r534A"    16r90AE
               "16r534B"    16r94C0
               "16r534C"    16r72B9
               "16r534D"    16r6CB9
               "16r534E"    16r6E38
               "16r534F"    16r9149
               "16r5350"    16r6709
               "16r5351"    16r53CB
               "16r5352"    16r53F3
               "16r5353"    16r4F51
               "16r5354"    16r91C9
               "16r5355"    16r8BF1
               "16r5356"    16r53C8
               "16r5357"    16r5E7C
               "16r5358"    16r8FC2
               "16r5359"    16r6DE4
               "16r535A"    16r4E8E
               "16r535B"    16r76C2
               "16r535C"    16r6986
               "16r535D"    16r865E
               "16r535E"    16r611A
               "16r535F"    16r8206
               "16r5360"    16r4F59
               "16r5361"    16r4FDE
               "16r5362"    16r903E
               "16r5363"    16r9C7C
               "16r5364"    16r6109
               "16r5365"    16r6E1D
               "16r5366"    16r6E14
               "16r5367"    16r9685
               "16r5368"    16r4E88
               "16r5369"    16r5A31
               "16r536A"    16r96E8
               "16r536B"    16r4E0E
               "16r536C"    16r5C7F
               "16r536D"    16r79B9
               "16r536E"    16r5B87
               "16r536F"    16r8BED
               "16r5370"    16r7FBD
               "16r5371"    16r7389
               "16r5372"    16r57DF
               "16r5373"    16r828B
               "16r5374"    16r90C1
               "16r5375"    16r5401
               "16r5376"    16r9047
               "16r5377"    16r55BB
               "16r5378"    16r5CEA
               "16r5379"    16r5FA1
               "16r537A"    16r6108
               "16r537B"    16r6B32
               "16r537C"    16r72F1
               "16r537D"    16r80B2
               "16r537E"    16r8A89
               ) at:(code - 16r5320).
        ].
        code <= 16r5420 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r547E ifTrue:[
            ^ #(
               "16r5421"    16r6D74
               "16r5422"    16r5BD3
               "16r5423"    16r88D5
               "16r5424"    16r9884
               "16r5425"    16r8C6B
               "16r5426"    16r9A6D
               "16r5427"    16r9E33
               "16r5428"    16r6E0A
               "16r5429"    16r51A4
               "16r542A"    16r5143
               "16r542B"    16r57A3
               "16r542C"    16r8881
               "16r542D"    16r539F
               "16r542E"    16r63F4
               "16r542F"    16r8F95
               "16r5430"    16r56ED
               "16r5431"    16r5458
               "16r5432"    16r5706
               "16r5433"    16r733F
               "16r5434"    16r6E90
               "16r5435"    16r7F18
               "16r5436"    16r8FDC
               "16r5437"    16r82D1
               "16r5438"    16r613F
               "16r5439"    16r6028
               "16r543A"    16r9662
               "16r543B"    16r66F0
               "16r543C"    16r7EA6
               "16r543D"    16r8D8A
               "16r543E"    16r8DC3
               "16r543F"    16r94A5
               "16r5440"    16r5CB3
               "16r5441"    16r7CA4
               "16r5442"    16r6708
               "16r5443"    16r60A6
               "16r5444"    16r9605
               "16r5445"    16r8018
               "16r5446"    16r4E91
               "16r5447"    16r90E7
               "16r5448"    16r5300
               "16r5449"    16r9668
               "16r544A"    16r5141
               "16r544B"    16r8FD0
               "16r544C"    16r8574
               "16r544D"    16r915D
               "16r544E"    16r6655
               "16r544F"    16r97F5
               "16r5450"    16r5B55
               "16r5451"    16r531D
               "16r5452"    16r7838
               "16r5453"    16r6742
               "16r5454"    16r683D
               "16r5455"    16r54C9
               "16r5456"    16r707E
               "16r5457"    16r5BB0
               "16r5458"    16r8F7D
               "16r5459"    16r518D
               "16r545A"    16r5728
               "16r545B"    16r54B1
               "16r545C"    16r6512
               "16r545D"    16r6682
               "16r545E"    16r8D5E
               "16r545F"    16r8D43
               "16r5460"    16r810F
               "16r5461"    16r846C
               "16r5462"    16r906D
               "16r5463"    16r7CDF
               "16r5464"    16r51FF
               "16r5465"    16r85FB
               "16r5466"    16r67A3
               "16r5467"    16r65E9
               "16r5468"    16r6FA1
               "16r5469"    16r86A4
               "16r546A"    16r8E81
               "16r546B"    16r566A
               "16r546C"    16r9020
               "16r546D"    16r7682
               "16r546E"    16r7076
               "16r546F"    16r71E5
               "16r5470"    16r8D23
               "16r5471"    16r62E9
               "16r5472"    16r5219
               "16r5473"    16r6CFD
               "16r5474"    16r8D3C
               "16r5475"    16r600E
               "16r5476"    16r589E
               "16r5477"    16r618E
               "16r5478"    16r66FE
               "16r5479"    16r8D60
               "16r547A"    16r624E
               "16r547B"    16r55B3
               "16r547C"    16r6E23
               "16r547D"    16r672D
               "16r547E"    16r8F67
               ) at:(code - 16r5420).
        ].
        code <= 16r5520 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r557E ifTrue:[
            ^ #(
               "16r5521"    16r94E1
               "16r5522"    16r95F8
               "16r5523"    16r7728
               "16r5524"    16r6805
               "16r5525"    16r69A8
               "16r5526"    16r548B
               "16r5527"    16r4E4D
               "16r5528"    16r70B8
               "16r5529"    16r8BC8
               "16r552A"    16r6458
               "16r552B"    16r658B
               "16r552C"    16r5B85
               "16r552D"    16r7A84
               "16r552E"    16r503A
               "16r552F"    16r5BE8
               "16r5530"    16r77BB
               "16r5531"    16r6BE1
               "16r5532"    16r8A79
               "16r5533"    16r7C98
               "16r5534"    16r6CBE
               "16r5535"    16r76CF
               "16r5536"    16r65A9
               "16r5537"    16r8F97
               "16r5538"    16r5D2D
               "16r5539"    16r5C55
               "16r553A"    16r8638
               "16r553B"    16r6808
               "16r553C"    16r5360
               "16r553D"    16r6218
               "16r553E"    16r7AD9
               "16r553F"    16r6E5B
               "16r5540"    16r7EFD
               "16r5541"    16r6A1F
               "16r5542"    16r7AE0
               "16r5543"    16r5F70
               "16r5544"    16r6F33
               "16r5545"    16r5F20
               "16r5546"    16r638C
               "16r5547"    16r6DA8
               "16r5548"    16r6756
               "16r5549"    16r4E08
               "16r554A"    16r5E10
               "16r554B"    16r8D26
               "16r554C"    16r4ED7
               "16r554D"    16r80C0
               "16r554E"    16r7634
               "16r554F"    16r969C
               "16r5550"    16r62DB
               "16r5551"    16r662D
               "16r5552"    16r627E
               "16r5553"    16r6CBC
               "16r5554"    16r8D75
               "16r5555"    16r7167
               "16r5556"    16r7F69
               "16r5557"    16r5146
               "16r5558"    16r8087
               "16r5559"    16r53EC
               "16r555A"    16r906E
               "16r555B"    16r6298
               "16r555C"    16r54F2
               "16r555D"    16r86F0
               "16r555E"    16r8F99
               "16r555F"    16r8005
               "16r5560"    16r9517
               "16r5561"    16r8517
               "16r5562"    16r8FD9
               "16r5563"    16r6D59
               "16r5564"    16r73CD
               "16r5565"    16r659F
               "16r5566"    16r771F
               "16r5567"    16r7504
               "16r5568"    16r7827
               "16r5569"    16r81FB
               "16r556A"    16r8D1E
               "16r556B"    16r9488
               "16r556C"    16r4FA6
               "16r556D"    16r6795
               "16r556E"    16r75B9
               "16r556F"    16r8BCA
               "16r5570"    16r9707
               "16r5571"    16r632F
               "16r5572"    16r9547
               "16r5573"    16r9635
               "16r5574"    16r84B8
               "16r5575"    16r6323
               "16r5576"    16r7741
               "16r5577"    16r5F81
               "16r5578"    16r72F0
               "16r5579"    16r4E89
               "16r557A"    16r6014
               "16r557B"    16r6574
               "16r557C"    16r62EF
               "16r557D"    16r6B63
               "16r557E"    16r653F
               ) at:(code - 16r5520).
        ].
        code <= 16r5620 ifTrue:[
            ^ self decodingError.
        ].
        code <= 16r567E ifTrue:[
            ^ #(
               "16r5621"    16r5E27
               "16r5622"    16r75C7
               "16r5623"    16r90D1
               "16r5624"    16r8BC1
               "16r5625"    16r829D
               "16r5626"    16r679D
               "16r5627"    16r652F
               "16r5628"    16r5431
               "16r5629"    16r8718
               "16r562A"    16r77E5
               "16r562B"    16r80A2
               "16r562C"    16r8102
               "16r562D"    16r6C41
               "16r562E"    16r4E4B
               "16r562F"    16r7EC7
               "16r5630"    16r804C
               "16r5631"    16r76F4
               "16r5632"    16r690D
               "16r5633"    16r6B96
               "16r5634"    16r6267
               "16r5635"    16r503C
               "16r5636"    16r4F84
               "16r5637"    16r5740
               "16r5638"    16r6307
               "16r5639"    16r6B62
               "16r563A"    16r8DBE
               "16r563B"    16r53EA
               "16r563C"    16r65E8
               "16r563D"    16r7EB8
               "16r563E"    16r5FD7
               "16r563F"    16r631A
               "16r5640"    16r63B7
               "16r5641"    16r81F3
               "16r5642"    16r81F4
               "16r5643"    16r7F6E
               "16r5644"    16r5E1C
               "16r5645"    16r5CD9
               "16r5646"    16r5236
               "16r5647"    16r667A
               "16r5648"    16r79E9
               "16r5649"    16r7A1A
               "16r564A"    16r8D28
               "16r564B"    16r7099
               "16r564C"    16r75D4
               "16r564D"    16r6EDE
               "16r564E"    16r6CBB
               "16r564F"    16r7A92
               "16r5650"    16r4E2D
               "16r5651"    16r76C5
               "16r5652"    16r5FE0
               "16r5653"    16r949F
               "16r5654"    16r8877
               "16r5655"    16r7EC8
               "16r5656"    16r79CD
               "16r5657"    16r80BF
               "16r5658"    16r91CD
               "16r5659"    16r4EF2
               "16r565A"    16r4F17
               "16r565B"    16r821F
               "16r565C"    16r5468
               "16r565D"    16r5DDE
               "16r565E"    16r6D32
               "16r565F"    16r8BCC
               "16r5660"    16r7CA5
               "16r5661"    16r8F74
               "16r5662"    16r8098
               "16r5663"    16r5E1A
               "16r5664"    16r5492
               "16r5665"    16r76B1
               "16r5666"    16r5B99
               "16r5667"    16r663C
               "16r5668"    16r9AA4
               "16r5669"    16r73E0
               "16r566A"    16r682A
               "16r566B"    16r86DB
               "16r566C"    16r6731
               "16r566D"    16r732A
               "16r566E"    16r8BF8
               "16r566F"    16r8BDB
               "16r5670"    16r9010
               "16r5671"    16r7AF9
               "16r5672"    16r70DB
               "16r5673"    16r716E
               "16r5674"    16r62C4
               "16r5675"    16r77A9
               "16r5676"    16r5631
               "16r5677"    16r4E3B
               "16r5678"    16r8457
               "16r5679"    16r67F1
               "16r567A"    16r52A9
               "16r567B"    16r86C0
               "16r567C"    16r8D2E
               "16r567D"    16r94F8
               "16r567E"    16r7B51
               ) at:(code - 16r5620).
        ].
        code <= 16r5720 ifTrue:[
            ^ self decodingError.
        ].
        ^ #(
           "16r5721"    16r4F4F
           "16r5722"    16r6CE8
           "16r5723"    16r795D
           "16r5724"    16r9A7B
           "16r5725"    16r6293
           "16r5726"    16r722A
           "16r5727"    16r62FD
           "16r5728"    16r4E13
           "16r5729"    16r7816
           "16r572A"    16r8F6C
           "16r572B"    16r64B0
           "16r572C"    16r8D5A
           "16r572D"    16r7BC6
           "16r572E"    16r6869
           "16r572F"    16r5E84
           "16r5730"    16r88C5
           "16r5731"    16r5986
           "16r5732"    16r649E
           "16r5733"    16r58EE
           "16r5734"    16r72B6
           "16r5735"    16r690E
           "16r5736"    16r9525
           "16r5737"    16r8FFD
           "16r5738"    16r8D58
           "16r5739"    16r5760
           "16r573A"    16r7F00
           "16r573B"    16r8C06
           "16r573C"    16r51C6
           "16r573D"    16r6349
           "16r573E"    16r62D9
           "16r573F"    16r5353
           "16r5740"    16r684C
           "16r5741"    16r7422
           "16r5742"    16r8301
           "16r5743"    16r914C
           "16r5744"    16r5544
           "16r5745"    16r7740
           "16r5746"    16r707C
           "16r5747"    16r6D4A
           "16r5748"    16r5179
           "16r5749"    16r54A8
           "16r574A"    16r8D44
           "16r574B"    16r59FF
           "16r574C"    16r6ECB
           "16r574D"    16r6DC4
           "16r574E"    16r5B5C
           "16r574F"    16r7D2B
           "16r5750"    16r4ED4
           "16r5751"    16r7C7D
           "16r5752"    16r6ED3
           "16r5753"    16r5B50
           "16r5754"    16r81EA
           "16r5755"    16r6E0D
           "16r5756"    16r5B57
           "16r5757"    16r9B03
           "16r5758"    16r68D5
           "16r5759"    16r8E2A
           "16r575A"    16r5B97
           "16r575B"    16r7EFC
           "16r575C"    16r603B
           "16r575D"    16r7EB5
           "16r575E"    16r90B9
           "16r575F"    16r8D70
           "16r5760"    16r594F
           "16r5761"    16r63CD
           "16r5762"    16r79DF
           "16r5763"    16r8DB3
           "16r5764"    16r5352
           "16r5765"    16r65CF
           "16r5766"    16r7956
           "16r5767"    16r8BC5
           "16r5768"    16r963B
           "16r5769"    16r7EC4
           "16r576A"    16r94BB
           "16r576B"    16r7E82
           "16r576C"    16r5634
           "16r576D"    16r9189
           "16r576E"    16r6700
           "16r576F"    16r7F6A
           "16r5770"    16r5C0A
           "16r5771"    16r9075
           "16r5772"    16r6628
           "16r5773"    16r5DE6
           "16r5774"    16r4F50
           "16r5775"    16r67DE
           "16r5776"    16r505A
           "16r5777"    16r4F5C
           "16r5778"    16r5750
           "16r5779"    16r5EA7
           ) at:(code - 16r5720).
    ].
    code <= 16r5820 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r587E ifTrue:[
        ^ #(
           "16r5821"    16r4E8D
           "16r5822"    16r4E0C
           "16r5823"    16r5140
           "16r5824"    16r4E10
           "16r5825"    16r5EFF
           "16r5826"    16r5345
           "16r5827"    16r4E15
           "16r5828"    16r4E98
           "16r5829"    16r4E1E
           "16r582A"    16r9B32
           "16r582B"    16r5B6C
           "16r582C"    16r5669
           "16r582D"    16r4E28
           "16r582E"    16r79BA
           "16r582F"    16r4E3F
           "16r5830"    16r5315
           "16r5831"    16r4E47
           "16r5832"    16r592D
           "16r5833"    16r723B
           "16r5834"    16r536E
           "16r5835"    16r6C10
           "16r5836"    16r56DF
           "16r5837"    16r80E4
           "16r5838"    16r9997
           "16r5839"    16r6BD3
           "16r583A"    16r777E
           "16r583B"    16r9F17
           "16r583C"    16r4E36
           "16r583D"    16r4E9F
           "16r583E"    16r9F10
           "16r583F"    16r4E5C
           "16r5840"    16r4E69
           "16r5841"    16r4E93
           "16r5842"    16r8288
           "16r5843"    16r5B5B
           "16r5844"    16r556C
           "16r5845"    16r560F
           "16r5846"    16r4EC4
           "16r5847"    16r538D
           "16r5848"    16r539D
           "16r5849"    16r53A3
           "16r584A"    16r53A5
           "16r584B"    16r53AE
           "16r584C"    16r9765
           "16r584D"    16r8D5D
           "16r584E"    16r531A
           "16r584F"    16r53F5
           "16r5850"    16r5326
           "16r5851"    16r532E
           "16r5852"    16r533E
           "16r5853"    16r8D5C
           "16r5854"    16r5366
           "16r5855"    16r5363
           "16r5856"    16r5202
           "16r5857"    16r5208
           "16r5858"    16r520E
           "16r5859"    16r522D
           "16r585A"    16r5233
           "16r585B"    16r523F
           "16r585C"    16r5240
           "16r585D"    16r524C
           "16r585E"    16r525E
           "16r585F"    16r5261
           "16r5860"    16r525C
           "16r5861"    16r84AF
           "16r5862"    16r527D
           "16r5863"    16r5282
           "16r5864"    16r5281
           "16r5865"    16r5290
           "16r5866"    16r5293
           "16r5867"    16r5182
           "16r5868"    16r7F54
           "16r5869"    16r4EBB
           "16r586A"    16r4EC3
           "16r586B"    16r4EC9
           "16r586C"    16r4EC2
           "16r586D"    16r4EE8
           "16r586E"    16r4EE1
           "16r586F"    16r4EEB
           "16r5870"    16r4EDE
           "16r5871"    16r4F1B
           "16r5872"    16r4EF3
           "16r5873"    16r4F22
           "16r5874"    16r4F64
           "16r5875"    16r4EF5
           "16r5876"    16r4F25
           "16r5877"    16r4F27
           "16r5878"    16r4F09
           "16r5879"    16r4F2B
           "16r587A"    16r4F5E
           "16r587B"    16r4F67
           "16r587C"    16r6538
           "16r587D"    16r4F5A
           "16r587E"    16r4F5D
           ) at:(code - 16r5820).
    ].
    code <= 16r5920 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r597E ifTrue:[
        ^ #(
           "16r5921"    16r4F5F
           "16r5922"    16r4F57
           "16r5923"    16r4F32
           "16r5924"    16r4F3D
           "16r5925"    16r4F76
           "16r5926"    16r4F74
           "16r5927"    16r4F91
           "16r5928"    16r4F89
           "16r5929"    16r4F83
           "16r592A"    16r4F8F
           "16r592B"    16r4F7E
           "16r592C"    16r4F7B
           "16r592D"    16r4FAA
           "16r592E"    16r4F7C
           "16r592F"    16r4FAC
           "16r5930"    16r4F94
           "16r5931"    16r4FE6
           "16r5932"    16r4FE8
           "16r5933"    16r4FEA
           "16r5934"    16r4FC5
           "16r5935"    16r4FDA
           "16r5936"    16r4FE3
           "16r5937"    16r4FDC
           "16r5938"    16r4FD1
           "16r5939"    16r4FDF
           "16r593A"    16r4FF8
           "16r593B"    16r5029
           "16r593C"    16r504C
           "16r593D"    16r4FF3
           "16r593E"    16r502C
           "16r593F"    16r500F
           "16r5940"    16r502E
           "16r5941"    16r502D
           "16r5942"    16r4FFE
           "16r5943"    16r501C
           "16r5944"    16r500C
           "16r5945"    16r5025
           "16r5946"    16r5028
           "16r5947"    16r507E
           "16r5948"    16r5043
           "16r5949"    16r5055
           "16r594A"    16r5048
           "16r594B"    16r504E
           "16r594C"    16r506C
           "16r594D"    16r507B
           "16r594E"    16r50A5
           "16r594F"    16r50A7
           "16r5950"    16r50A9
           "16r5951"    16r50BA
           "16r5952"    16r50D6
           "16r5953"    16r5106
           "16r5954"    16r50ED
           "16r5955"    16r50EC
           "16r5956"    16r50E6
           "16r5957"    16r50EE
           "16r5958"    16r5107
           "16r5959"    16r510B
           "16r595A"    16r4EDD
           "16r595B"    16r6C3D
           "16r595C"    16r4F58
           "16r595D"    16r4F65
           "16r595E"    16r4FCE
           "16r595F"    16r9FA0
           "16r5960"    16r6C46
           "16r5961"    16r7C74
           "16r5962"    16r516E
           "16r5963"    16r5DFD
           "16r5964"    16r9EC9
           "16r5965"    16r9998
           "16r5966"    16r5181
           "16r5967"    16r5914
           "16r5968"    16r52F9
           "16r5969"    16r530D
           "16r596A"    16r8A07
           "16r596B"    16r5310
           "16r596C"    16r51EB
           "16r596D"    16r5919
           "16r596E"    16r5155
           "16r596F"    16r4EA0
           "16r5970"    16r5156
           "16r5971"    16r4EB3
           "16r5972"    16r886E
           "16r5973"    16r88A4
           "16r5974"    16r4EB5
           "16r5975"    16r8114
           "16r5976"    16r88D2
           "16r5977"    16r7980
           "16r5978"    16r5B34
           "16r5979"    16r8803
           "16r597A"    16r7FB8
           "16r597B"    16r51AB
           "16r597C"    16r51B1
           "16r597D"    16r51BD
           "16r597E"    16r51BC
           ) at:(code - 16r5920).
    ].
    code <= 16r5A20 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r5A7E ifTrue:[
        ^ #(
           "16r5A21"    16r51C7
           "16r5A22"    16r5196
           "16r5A23"    16r51A2
           "16r5A24"    16r51A5
           "16r5A25"    16r8BA0
           "16r5A26"    16r8BA6
           "16r5A27"    16r8BA7
           "16r5A28"    16r8BAA
           "16r5A29"    16r8BB4
           "16r5A2A"    16r8BB5
           "16r5A2B"    16r8BB7
           "16r5A2C"    16r8BC2
           "16r5A2D"    16r8BC3
           "16r5A2E"    16r8BCB
           "16r5A2F"    16r8BCF
           "16r5A30"    16r8BCE
           "16r5A31"    16r8BD2
           "16r5A32"    16r8BD3
           "16r5A33"    16r8BD4
           "16r5A34"    16r8BD6
           "16r5A35"    16r8BD8
           "16r5A36"    16r8BD9
           "16r5A37"    16r8BDC
           "16r5A38"    16r8BDF
           "16r5A39"    16r8BE0
           "16r5A3A"    16r8BE4
           "16r5A3B"    16r8BE8
           "16r5A3C"    16r8BE9
           "16r5A3D"    16r8BEE
           "16r5A3E"    16r8BF0
           "16r5A3F"    16r8BF3
           "16r5A40"    16r8BF6
           "16r5A41"    16r8BF9
           "16r5A42"    16r8BFC
           "16r5A43"    16r8BFF
           "16r5A44"    16r8C00
           "16r5A45"    16r8C02
           "16r5A46"    16r8C04
           "16r5A47"    16r8C07
           "16r5A48"    16r8C0C
           "16r5A49"    16r8C0F
           "16r5A4A"    16r8C11
           "16r5A4B"    16r8C12
           "16r5A4C"    16r8C14
           "16r5A4D"    16r8C15
           "16r5A4E"    16r8C16
           "16r5A4F"    16r8C19
           "16r5A50"    16r8C1B
           "16r5A51"    16r8C18
           "16r5A52"    16r8C1D
           "16r5A53"    16r8C1F
           "16r5A54"    16r8C20
           "16r5A55"    16r8C21
           "16r5A56"    16r8C25
           "16r5A57"    16r8C27
           "16r5A58"    16r8C2A
           "16r5A59"    16r8C2B
           "16r5A5A"    16r8C2E
           "16r5A5B"    16r8C2F
           "16r5A5C"    16r8C32
           "16r5A5D"    16r8C33
           "16r5A5E"    16r8C35
           "16r5A5F"    16r8C36
           "16r5A60"    16r5369
           "16r5A61"    16r537A
           "16r5A62"    16r961D
           "16r5A63"    16r9622
           "16r5A64"    16r9621
           "16r5A65"    16r9631
           "16r5A66"    16r962A
           "16r5A67"    16r963D
           "16r5A68"    16r963C
           "16r5A69"    16r9642
           "16r5A6A"    16r9649
           "16r5A6B"    16r9654
           "16r5A6C"    16r965F
           "16r5A6D"    16r9667
           "16r5A6E"    16r966C
           "16r5A6F"    16r9672
           "16r5A70"    16r9674
           "16r5A71"    16r9688
           "16r5A72"    16r968D
           "16r5A73"    16r9697
           "16r5A74"    16r96B0
           "16r5A75"    16r9097
           "16r5A76"    16r909B
           "16r5A77"    16r909D
           "16r5A78"    16r9099
           "16r5A79"    16r90AC
           "16r5A7A"    16r90A1
           "16r5A7B"    16r90B4
           "16r5A7C"    16r90B3
           "16r5A7D"    16r90B6
           "16r5A7E"    16r90BA
           ) at:(code - 16r5A20).
    ].
    code <= 16r5B20 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r5B7E ifTrue:[
        ^ #(
           "16r5B21"    16r90B8
           "16r5B22"    16r90B0
           "16r5B23"    16r90CF
           "16r5B24"    16r90C5
           "16r5B25"    16r90BE
           "16r5B26"    16r90D0
           "16r5B27"    16r90C4
           "16r5B28"    16r90C7
           "16r5B29"    16r90D3
           "16r5B2A"    16r90E6
           "16r5B2B"    16r90E2
           "16r5B2C"    16r90DC
           "16r5B2D"    16r90D7
           "16r5B2E"    16r90DB
           "16r5B2F"    16r90EB
           "16r5B30"    16r90EF
           "16r5B31"    16r90FE
           "16r5B32"    16r9104
           "16r5B33"    16r9122
           "16r5B34"    16r911E
           "16r5B35"    16r9123
           "16r5B36"    16r9131
           "16r5B37"    16r912F
           "16r5B38"    16r9139
           "16r5B39"    16r9143
           "16r5B3A"    16r9146
           "16r5B3B"    16r520D
           "16r5B3C"    16r5942
           "16r5B3D"    16r52A2
           "16r5B3E"    16r52AC
           "16r5B3F"    16r52AD
           "16r5B40"    16r52BE
           "16r5B41"    16r54FF
           "16r5B42"    16r52D0
           "16r5B43"    16r52D6
           "16r5B44"    16r52F0
           "16r5B45"    16r53DF
           "16r5B46"    16r71EE
           "16r5B47"    16r77CD
           "16r5B48"    16r5EF4
           "16r5B49"    16r51F5
           "16r5B4A"    16r51FC
           "16r5B4B"    16r9B2F
           "16r5B4C"    16r53B6
           "16r5B4D"    16r5F01
           "16r5B4E"    16r755A
           "16r5B4F"    16r5DEF
           "16r5B50"    16r574C
           "16r5B51"    16r57A9
           "16r5B52"    16r57A1
           "16r5B53"    16r587E
           "16r5B54"    16r58BC
           "16r5B55"    16r58C5
           "16r5B56"    16r58D1
           "16r5B57"    16r5729
           "16r5B58"    16r572C
           "16r5B59"    16r572A
           "16r5B5A"    16r5733
           "16r5B5B"    16r5739
           "16r5B5C"    16r572E
           "16r5B5D"    16r572F
           "16r5B5E"    16r575C
           "16r5B5F"    16r573B
           "16r5B60"    16r5742
           "16r5B61"    16r5769
           "16r5B62"    16r5785
           "16r5B63"    16r576B
           "16r5B64"    16r5786
           "16r5B65"    16r577C
           "16r5B66"    16r577B
           "16r5B67"    16r5768
           "16r5B68"    16r576D
           "16r5B69"    16r5776
           "16r5B6A"    16r5773
           "16r5B6B"    16r57AD
           "16r5B6C"    16r57A4
           "16r5B6D"    16r578C
           "16r5B6E"    16r57B2
           "16r5B6F"    16r57CF
           "16r5B70"    16r57A7
           "16r5B71"    16r57B4
           "16r5B72"    16r5793
           "16r5B73"    16r57A0
           "16r5B74"    16r57D5
           "16r5B75"    16r57D8
           "16r5B76"    16r57DA
           "16r5B77"    16r57D9
           "16r5B78"    16r57D2
           "16r5B79"    16r57B8
           "16r5B7A"    16r57F4
           "16r5B7B"    16r57EF
           "16r5B7C"    16r57F8
           "16r5B7D"    16r57E4
           "16r5B7E"    16r57DD
           ) at:(code - 16r5B20).
    ].
    code <= 16r5C20 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r5C7E ifTrue:[
        ^ #(
           "16r5C21"    16r580B
           "16r5C22"    16r580D
           "16r5C23"    16r57FD
           "16r5C24"    16r57ED
           "16r5C25"    16r5800
           "16r5C26"    16r581E
           "16r5C27"    16r5819
           "16r5C28"    16r5844
           "16r5C29"    16r5820
           "16r5C2A"    16r5865
           "16r5C2B"    16r586C
           "16r5C2C"    16r5881
           "16r5C2D"    16r5889
           "16r5C2E"    16r589A
           "16r5C2F"    16r5880
           "16r5C30"    16r99A8
           "16r5C31"    16r9F19
           "16r5C32"    16r61FF
           "16r5C33"    16r8279
           "16r5C34"    16r827D
           "16r5C35"    16r827F
           "16r5C36"    16r828F
           "16r5C37"    16r828A
           "16r5C38"    16r82A8
           "16r5C39"    16r8284
           "16r5C3A"    16r828E
           "16r5C3B"    16r8291
           "16r5C3C"    16r8297
           "16r5C3D"    16r8299
           "16r5C3E"    16r82AB
           "16r5C3F"    16r82B8
           "16r5C40"    16r82BE
           "16r5C41"    16r82B0
           "16r5C42"    16r82C8
           "16r5C43"    16r82CA
           "16r5C44"    16r82E3
           "16r5C45"    16r8298
           "16r5C46"    16r82B7
           "16r5C47"    16r82AE
           "16r5C48"    16r82CB
           "16r5C49"    16r82CC
           "16r5C4A"    16r82C1
           "16r5C4B"    16r82A9
           "16r5C4C"    16r82B4
           "16r5C4D"    16r82A1
           "16r5C4E"    16r82AA
           "16r5C4F"    16r829F
           "16r5C50"    16r82C4
           "16r5C51"    16r82CE
           "16r5C52"    16r82A4
           "16r5C53"    16r82E1
           "16r5C54"    16r8309
           "16r5C55"    16r82F7
           "16r5C56"    16r82E4
           "16r5C57"    16r830F
           "16r5C58"    16r8307
           "16r5C59"    16r82DC
           "16r5C5A"    16r82F4
           "16r5C5B"    16r82D2
           "16r5C5C"    16r82D8
           "16r5C5D"    16r830C
           "16r5C5E"    16r82FB
           "16r5C5F"    16r82D3
           "16r5C60"    16r8311
           "16r5C61"    16r831A
           "16r5C62"    16r8306
           "16r5C63"    16r8314
           "16r5C64"    16r8315
           "16r5C65"    16r82E0
           "16r5C66"    16r82D5
           "16r5C67"    16r831C
           "16r5C68"    16r8351
           "16r5C69"    16r835B
           "16r5C6A"    16r835C
           "16r5C6B"    16r8308
           "16r5C6C"    16r8392
           "16r5C6D"    16r833C
           "16r5C6E"    16r8334
           "16r5C6F"    16r8331
           "16r5C70"    16r839B
           "16r5C71"    16r835E
           "16r5C72"    16r832F
           "16r5C73"    16r834F
           "16r5C74"    16r8347
           "16r5C75"    16r8343
           "16r5C76"    16r835F
           "16r5C77"    16r8340
           "16r5C78"    16r8317
           "16r5C79"    16r8360
           "16r5C7A"    16r832D
           "16r5C7B"    16r833A
           "16r5C7C"    16r8333
           "16r5C7D"    16r8366
           "16r5C7E"    16r8365
           ) at:(code - 16r5C20).
    ].
    code <= 16r5D20 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r5D7E ifTrue:[
        ^ #(
           "16r5D21"    16r8368
           "16r5D22"    16r831B
           "16r5D23"    16r8369
           "16r5D24"    16r836C
           "16r5D25"    16r836A
           "16r5D26"    16r836D
           "16r5D27"    16r836E
           "16r5D28"    16r83B0
           "16r5D29"    16r8378
           "16r5D2A"    16r83B3
           "16r5D2B"    16r83B4
           "16r5D2C"    16r83A0
           "16r5D2D"    16r83AA
           "16r5D2E"    16r8393
           "16r5D2F"    16r839C
           "16r5D30"    16r8385
           "16r5D31"    16r837C
           "16r5D32"    16r83B6
           "16r5D33"    16r83A9
           "16r5D34"    16r837D
           "16r5D35"    16r83B8
           "16r5D36"    16r837B
           "16r5D37"    16r8398
           "16r5D38"    16r839E
           "16r5D39"    16r83A8
           "16r5D3A"    16r83BA
           "16r5D3B"    16r83BC
           "16r5D3C"    16r83C1
           "16r5D3D"    16r8401
           "16r5D3E"    16r83E5
           "16r5D3F"    16r83D8
           "16r5D40"    16r5807
           "16r5D41"    16r8418
           "16r5D42"    16r840B
           "16r5D43"    16r83DD
           "16r5D44"    16r83FD
           "16r5D45"    16r83D6
           "16r5D46"    16r841C
           "16r5D47"    16r8438
           "16r5D48"    16r8411
           "16r5D49"    16r8406
           "16r5D4A"    16r83D4
           "16r5D4B"    16r83DF
           "16r5D4C"    16r840F
           "16r5D4D"    16r8403
           "16r5D4E"    16r83F8
           "16r5D4F"    16r83F9
           "16r5D50"    16r83EA
           "16r5D51"    16r83C5
           "16r5D52"    16r83C0
           "16r5D53"    16r8426
           "16r5D54"    16r83F0
           "16r5D55"    16r83E1
           "16r5D56"    16r845C
           "16r5D57"    16r8451
           "16r5D58"    16r845A
           "16r5D59"    16r8459
           "16r5D5A"    16r8473
           "16r5D5B"    16r8487
           "16r5D5C"    16r8488
           "16r5D5D"    16r847A
           "16r5D5E"    16r8489
           "16r5D5F"    16r8478
           "16r5D60"    16r843C
           "16r5D61"    16r8446
           "16r5D62"    16r8469
           "16r5D63"    16r8476
           "16r5D64"    16r848C
           "16r5D65"    16r848E
           "16r5D66"    16r8431
           "16r5D67"    16r846D
           "16r5D68"    16r84C1
           "16r5D69"    16r84CD
           "16r5D6A"    16r84D0
           "16r5D6B"    16r84E6
           "16r5D6C"    16r84BD
           "16r5D6D"    16r84D3
           "16r5D6E"    16r84CA
           "16r5D6F"    16r84BF
           "16r5D70"    16r84BA
           "16r5D71"    16r84E0
           "16r5D72"    16r84A1
           "16r5D73"    16r84B9
           "16r5D74"    16r84B4
           "16r5D75"    16r8497
           "16r5D76"    16r84E5
           "16r5D77"    16r84E3
           "16r5D78"    16r850C
           "16r5D79"    16r750D
           "16r5D7A"    16r8538
           "16r5D7B"    16r84F0
           "16r5D7C"    16r8539
           "16r5D7D"    16r851F
           "16r5D7E"    16r853A
           ) at:(code - 16r5D20).
    ].
    code <= 16r5E20 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r5E7E ifTrue:[
        ^ #(
           "16r5E21"    16r8556
           "16r5E22"    16r853B
           "16r5E23"    16r84FF
           "16r5E24"    16r84FC
           "16r5E25"    16r8559
           "16r5E26"    16r8548
           "16r5E27"    16r8568
           "16r5E28"    16r8564
           "16r5E29"    16r855E
           "16r5E2A"    16r857A
           "16r5E2B"    16r77A2
           "16r5E2C"    16r8543
           "16r5E2D"    16r8572
           "16r5E2E"    16r857B
           "16r5E2F"    16r85A4
           "16r5E30"    16r85A8
           "16r5E31"    16r8587
           "16r5E32"    16r858F
           "16r5E33"    16r8579
           "16r5E34"    16r85AE
           "16r5E35"    16r859C
           "16r5E36"    16r8585
           "16r5E37"    16r85B9
           "16r5E38"    16r85B7
           "16r5E39"    16r85B0
           "16r5E3A"    16r85D3
           "16r5E3B"    16r85C1
           "16r5E3C"    16r85DC
           "16r5E3D"    16r85FF
           "16r5E3E"    16r8627
           "16r5E3F"    16r8605
           "16r5E40"    16r8629
           "16r5E41"    16r8616
           "16r5E42"    16r863C
           "16r5E43"    16r5EFE
           "16r5E44"    16r5F08
           "16r5E45"    16r593C
           "16r5E46"    16r5941
           "16r5E47"    16r8037
           "16r5E48"    16r5955
           "16r5E49"    16r595A
           "16r5E4A"    16r5958
           "16r5E4B"    16r530F
           "16r5E4C"    16r5C22
           "16r5E4D"    16r5C25
           "16r5E4E"    16r5C2C
           "16r5E4F"    16r5C34
           "16r5E50"    16r624C
           "16r5E51"    16r626A
           "16r5E52"    16r629F
           "16r5E53"    16r62BB
           "16r5E54"    16r62CA
           "16r5E55"    16r62DA
           "16r5E56"    16r62D7
           "16r5E57"    16r62EE
           "16r5E58"    16r6322
           "16r5E59"    16r62F6
           "16r5E5A"    16r6339
           "16r5E5B"    16r634B
           "16r5E5C"    16r6343
           "16r5E5D"    16r63AD
           "16r5E5E"    16r63F6
           "16r5E5F"    16r6371
           "16r5E60"    16r637A
           "16r5E61"    16r638E
           "16r5E62"    16r63B4
           "16r5E63"    16r636D
           "16r5E64"    16r63AC
           "16r5E65"    16r638A
           "16r5E66"    16r6369
           "16r5E67"    16r63AE
           "16r5E68"    16r63BC
           "16r5E69"    16r63F2
           "16r5E6A"    16r63F8
           "16r5E6B"    16r63E0
           "16r5E6C"    16r63FF
           "16r5E6D"    16r63C4
           "16r5E6E"    16r63DE
           "16r5E6F"    16r63CE
           "16r5E70"    16r6452
           "16r5E71"    16r63C6
           "16r5E72"    16r63BE
           "16r5E73"    16r6445
           "16r5E74"    16r6441
           "16r5E75"    16r640B
           "16r5E76"    16r641B
           "16r5E77"    16r6420
           "16r5E78"    16r640C
           "16r5E79"    16r6426
           "16r5E7A"    16r6421
           "16r5E7B"    16r645E
           "16r5E7C"    16r6484
           "16r5E7D"    16r646D
           "16r5E7E"    16r6496
           ) at:(code - 16r5E20).
    ].
    code <= 16r5F20 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r5F7E ifTrue:[
        ^ #(
           "16r5F21"    16r647A
           "16r5F22"    16r64B7
           "16r5F23"    16r64B8
           "16r5F24"    16r6499
           "16r5F25"    16r64BA
           "16r5F26"    16r64C0
           "16r5F27"    16r64D0
           "16r5F28"    16r64D7
           "16r5F29"    16r64E4
           "16r5F2A"    16r64E2
           "16r5F2B"    16r6509
           "16r5F2C"    16r6525
           "16r5F2D"    16r652E
           "16r5F2E"    16r5F0B
           "16r5F2F"    16r5FD2
           "16r5F30"    16r7519
           "16r5F31"    16r5F11
           "16r5F32"    16r535F
           "16r5F33"    16r53F1
           "16r5F34"    16r53FD
           "16r5F35"    16r53E9
           "16r5F36"    16r53E8
           "16r5F37"    16r53FB
           "16r5F38"    16r5412
           "16r5F39"    16r5416
           "16r5F3A"    16r5406
           "16r5F3B"    16r544B
           "16r5F3C"    16r5452
           "16r5F3D"    16r5453
           "16r5F3E"    16r5454
           "16r5F3F"    16r5456
           "16r5F40"    16r5443
           "16r5F41"    16r5421
           "16r5F42"    16r5457
           "16r5F43"    16r5459
           "16r5F44"    16r5423
           "16r5F45"    16r5432
           "16r5F46"    16r5482
           "16r5F47"    16r5494
           "16r5F48"    16r5477
           "16r5F49"    16r5471
           "16r5F4A"    16r5464
           "16r5F4B"    16r549A
           "16r5F4C"    16r549B
           "16r5F4D"    16r5484
           "16r5F4E"    16r5476
           "16r5F4F"    16r5466
           "16r5F50"    16r549D
           "16r5F51"    16r54D0
           "16r5F52"    16r54AD
           "16r5F53"    16r54C2
           "16r5F54"    16r54B4
           "16r5F55"    16r54D2
           "16r5F56"    16r54A7
           "16r5F57"    16r54A6
           "16r5F58"    16r54D3
           "16r5F59"    16r54D4
           "16r5F5A"    16r5472
           "16r5F5B"    16r54A3
           "16r5F5C"    16r54D5
           "16r5F5D"    16r54BB
           "16r5F5E"    16r54BF
           "16r5F5F"    16r54CC
           "16r5F60"    16r54D9
           "16r5F61"    16r54DA
           "16r5F62"    16r54DC
           "16r5F63"    16r54A9
           "16r5F64"    16r54AA
           "16r5F65"    16r54A4
           "16r5F66"    16r54DD
           "16r5F67"    16r54CF
           "16r5F68"    16r54DE
           "16r5F69"    16r551B
           "16r5F6A"    16r54E7
           "16r5F6B"    16r5520
           "16r5F6C"    16r54FD
           "16r5F6D"    16r5514
           "16r5F6E"    16r54F3
           "16r5F6F"    16r5522
           "16r5F70"    16r5523
           "16r5F71"    16r550F
           "16r5F72"    16r5511
           "16r5F73"    16r5527
           "16r5F74"    16r552A
           "16r5F75"    16r5567
           "16r5F76"    16r558F
           "16r5F77"    16r55B5
           "16r5F78"    16r5549
           "16r5F79"    16r556D
           "16r5F7A"    16r5541
           "16r5F7B"    16r5555
           "16r5F7C"    16r553F
           "16r5F7D"    16r5550
           "16r5F7E"    16r553C
           ) at:(code - 16r5F20).
    ].
    code <= 16r6020 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r607E ifTrue:[
        ^ #(
           "16r6021"    16r5537
           "16r6022"    16r5556
           "16r6023"    16r5575
           "16r6024"    16r5576
           "16r6025"    16r5577
           "16r6026"    16r5533
           "16r6027"    16r5530
           "16r6028"    16r555C
           "16r6029"    16r558B
           "16r602A"    16r55D2
           "16r602B"    16r5583
           "16r602C"    16r55B1
           "16r602D"    16r55B9
           "16r602E"    16r5588
           "16r602F"    16r5581
           "16r6030"    16r559F
           "16r6031"    16r557E
           "16r6032"    16r55D6
           "16r6033"    16r5591
           "16r6034"    16r557B
           "16r6035"    16r55DF
           "16r6036"    16r55BD
           "16r6037"    16r55BE
           "16r6038"    16r5594
           "16r6039"    16r5599
           "16r603A"    16r55EA
           "16r603B"    16r55F7
           "16r603C"    16r55C9
           "16r603D"    16r561F
           "16r603E"    16r55D1
           "16r603F"    16r55EB
           "16r6040"    16r55EC
           "16r6041"    16r55D4
           "16r6042"    16r55E6
           "16r6043"    16r55DD
           "16r6044"    16r55C4
           "16r6045"    16r55EF
           "16r6046"    16r55E5
           "16r6047"    16r55F2
           "16r6048"    16r55F3
           "16r6049"    16r55CC
           "16r604A"    16r55CD
           "16r604B"    16r55E8
           "16r604C"    16r55F5
           "16r604D"    16r55E4
           "16r604E"    16r8F94
           "16r604F"    16r561E
           "16r6050"    16r5608
           "16r6051"    16r560C
           "16r6052"    16r5601
           "16r6053"    16r5624
           "16r6054"    16r5623
           "16r6055"    16r55FE
           "16r6056"    16r5600
           "16r6057"    16r5627
           "16r6058"    16r562D
           "16r6059"    16r5658
           "16r605A"    16r5639
           "16r605B"    16r5657
           "16r605C"    16r562C
           "16r605D"    16r564D
           "16r605E"    16r5662
           "16r605F"    16r5659
           "16r6060"    16r565C
           "16r6061"    16r564C
           "16r6062"    16r5654
           "16r6063"    16r5686
           "16r6064"    16r5664
           "16r6065"    16r5671
           "16r6066"    16r566B
           "16r6067"    16r567B
           "16r6068"    16r567C
           "16r6069"    16r5685
           "16r606A"    16r5693
           "16r606B"    16r56AF
           "16r606C"    16r56D4
           "16r606D"    16r56D7
           "16r606E"    16r56DD
           "16r606F"    16r56E1
           "16r6070"    16r56F5
           "16r6071"    16r56EB
           "16r6072"    16r56F9
           "16r6073"    16r56FF
           "16r6074"    16r5704
           "16r6075"    16r570A
           "16r6076"    16r5709
           "16r6077"    16r571C
           "16r6078"    16r5E0F
           "16r6079"    16r5E19
           "16r607A"    16r5E14
           "16r607B"    16r5E11
           "16r607C"    16r5E31
           "16r607D"    16r5E3B
           "16r607E"    16r5E3C
           ) at:(code - 16r6020).
    ].
    code <= 16r6120 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r617E ifTrue:[
        ^ #(
           "16r6121"    16r5E37
           "16r6122"    16r5E44
           "16r6123"    16r5E54
           "16r6124"    16r5E5B
           "16r6125"    16r5E5E
           "16r6126"    16r5E61
           "16r6127"    16r5C8C
           "16r6128"    16r5C7A
           "16r6129"    16r5C8D
           "16r612A"    16r5C90
           "16r612B"    16r5C96
           "16r612C"    16r5C88
           "16r612D"    16r5C98
           "16r612E"    16r5C99
           "16r612F"    16r5C91
           "16r6130"    16r5C9A
           "16r6131"    16r5C9C
           "16r6132"    16r5CB5
           "16r6133"    16r5CA2
           "16r6134"    16r5CBD
           "16r6135"    16r5CAC
           "16r6136"    16r5CAB
           "16r6137"    16r5CB1
           "16r6138"    16r5CA3
           "16r6139"    16r5CC1
           "16r613A"    16r5CB7
           "16r613B"    16r5CC4
           "16r613C"    16r5CD2
           "16r613D"    16r5CE4
           "16r613E"    16r5CCB
           "16r613F"    16r5CE5
           "16r6140"    16r5D02
           "16r6141"    16r5D03
           "16r6142"    16r5D27
           "16r6143"    16r5D26
           "16r6144"    16r5D2E
           "16r6145"    16r5D24
           "16r6146"    16r5D1E
           "16r6147"    16r5D06
           "16r6148"    16r5D1B
           "16r6149"    16r5D58
           "16r614A"    16r5D3E
           "16r614B"    16r5D34
           "16r614C"    16r5D3D
           "16r614D"    16r5D6C
           "16r614E"    16r5D5B
           "16r614F"    16r5D6F
           "16r6150"    16r5D5D
           "16r6151"    16r5D6B
           "16r6152"    16r5D4B
           "16r6153"    16r5D4A
           "16r6154"    16r5D69
           "16r6155"    16r5D74
           "16r6156"    16r5D82
           "16r6157"    16r5D99
           "16r6158"    16r5D9D
           "16r6159"    16r8C73
           "16r615A"    16r5DB7
           "16r615B"    16r5DC5
           "16r615C"    16r5F73
           "16r615D"    16r5F77
           "16r615E"    16r5F82
           "16r615F"    16r5F87
           "16r6160"    16r5F89
           "16r6161"    16r5F8C
           "16r6162"    16r5F95
           "16r6163"    16r5F99
           "16r6164"    16r5F9C
           "16r6165"    16r5FA8
           "16r6166"    16r5FAD
           "16r6167"    16r5FB5
           "16r6168"    16r5FBC
           "16r6169"    16r8862
           "16r616A"    16r5F61
           "16r616B"    16r72AD
           "16r616C"    16r72B0
           "16r616D"    16r72B4
           "16r616E"    16r72B7
           "16r616F"    16r72B8
           "16r6170"    16r72C3
           "16r6171"    16r72C1
           "16r6172"    16r72CE
           "16r6173"    16r72CD
           "16r6174"    16r72D2
           "16r6175"    16r72E8
           "16r6176"    16r72EF
           "16r6177"    16r72E9
           "16r6178"    16r72F2
           "16r6179"    16r72F4
           "16r617A"    16r72F7
           "16r617B"    16r7301
           "16r617C"    16r72F3
           "16r617D"    16r7303
           "16r617E"    16r72FA
           ) at:(code - 16r6120).
    ].
    code <= 16r6220 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r627E ifTrue:[
        ^ #(
           "16r6221"    16r72FB
           "16r6222"    16r7317
           "16r6223"    16r7313
           "16r6224"    16r7321
           "16r6225"    16r730A
           "16r6226"    16r731E
           "16r6227"    16r731D
           "16r6228"    16r7315
           "16r6229"    16r7322
           "16r622A"    16r7339
           "16r622B"    16r7325
           "16r622C"    16r732C
           "16r622D"    16r7338
           "16r622E"    16r7331
           "16r622F"    16r7350
           "16r6230"    16r734D
           "16r6231"    16r7357
           "16r6232"    16r7360
           "16r6233"    16r736C
           "16r6234"    16r736F
           "16r6235"    16r737E
           "16r6236"    16r821B
           "16r6237"    16r5925
           "16r6238"    16r98E7
           "16r6239"    16r5924
           "16r623A"    16r5902
           "16r623B"    16r9963
           "16r623C"    16r9967
           "16r623D"    16r9968
           "16r623E"    16r9969
           "16r623F"    16r996A
           "16r6240"    16r996B
           "16r6241"    16r996C
           "16r6242"    16r9974
           "16r6243"    16r9977
           "16r6244"    16r997D
           "16r6245"    16r9980
           "16r6246"    16r9984
           "16r6247"    16r9987
           "16r6248"    16r998A
           "16r6249"    16r998D
           "16r624A"    16r9990
           "16r624B"    16r9991
           "16r624C"    16r9993
           "16r624D"    16r9994
           "16r624E"    16r9995
           "16r624F"    16r5E80
           "16r6250"    16r5E91
           "16r6251"    16r5E8B
           "16r6252"    16r5E96
           "16r6253"    16r5EA5
           "16r6254"    16r5EA0
           "16r6255"    16r5EB9
           "16r6256"    16r5EB5
           "16r6257"    16r5EBE
           "16r6258"    16r5EB3
           "16r6259"    16r8D53
           "16r625A"    16r5ED2
           "16r625B"    16r5ED1
           "16r625C"    16r5EDB
           "16r625D"    16r5EE8
           "16r625E"    16r5EEA
           "16r625F"    16r81BA
           "16r6260"    16r5FC4
           "16r6261"    16r5FC9
           "16r6262"    16r5FD6
           "16r6263"    16r5FCF
           "16r6264"    16r6003
           "16r6265"    16r5FEE
           "16r6266"    16r6004
           "16r6267"    16r5FE1
           "16r6268"    16r5FE4
           "16r6269"    16r5FFE
           "16r626A"    16r6005
           "16r626B"    16r6006
           "16r626C"    16r5FEA
           "16r626D"    16r5FED
           "16r626E"    16r5FF8
           "16r626F"    16r6019
           "16r6270"    16r6035
           "16r6271"    16r6026
           "16r6272"    16r601B
           "16r6273"    16r600F
           "16r6274"    16r600D
           "16r6275"    16r6029
           "16r6276"    16r602B
           "16r6277"    16r600A
           "16r6278"    16r603F
           "16r6279"    16r6021
           "16r627A"    16r6078
           "16r627B"    16r6079
           "16r627C"    16r607B
           "16r627D"    16r607A
           "16r627E"    16r6042
           ) at:(code - 16r6220).
    ].
    code <= 16r6320 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r637E ifTrue:[
        ^ #(
           "16r6321"    16r606A
           "16r6322"    16r607D
           "16r6323"    16r6096
           "16r6324"    16r609A
           "16r6325"    16r60AD
           "16r6326"    16r609D
           "16r6327"    16r6083
           "16r6328"    16r6092
           "16r6329"    16r608C
           "16r632A"    16r609B
           "16r632B"    16r60EC
           "16r632C"    16r60BB
           "16r632D"    16r60B1
           "16r632E"    16r60DD
           "16r632F"    16r60D8
           "16r6330"    16r60C6
           "16r6331"    16r60DA
           "16r6332"    16r60B4
           "16r6333"    16r6120
           "16r6334"    16r6126
           "16r6335"    16r6115
           "16r6336"    16r6123
           "16r6337"    16r60F4
           "16r6338"    16r6100
           "16r6339"    16r610E
           "16r633A"    16r612B
           "16r633B"    16r614A
           "16r633C"    16r6175
           "16r633D"    16r61AC
           "16r633E"    16r6194
           "16r633F"    16r61A7
           "16r6340"    16r61B7
           "16r6341"    16r61D4
           "16r6342"    16r61F5
           "16r6343"    16r5FDD
           "16r6344"    16r96B3
           "16r6345"    16r95E9
           "16r6346"    16r95EB
           "16r6347"    16r95F1
           "16r6348"    16r95F3
           "16r6349"    16r95F5
           "16r634A"    16r95F6
           "16r634B"    16r95FC
           "16r634C"    16r95FE
           "16r634D"    16r9603
           "16r634E"    16r9604
           "16r634F"    16r9606
           "16r6350"    16r9608
           "16r6351"    16r960A
           "16r6352"    16r960B
           "16r6353"    16r960C
           "16r6354"    16r960D
           "16r6355"    16r960F
           "16r6356"    16r9612
           "16r6357"    16r9615
           "16r6358"    16r9616
           "16r6359"    16r9617
           "16r635A"    16r9619
           "16r635B"    16r961A
           "16r635C"    16r4E2C
           "16r635D"    16r723F
           "16r635E"    16r6215
           "16r635F"    16r6C35
           "16r6360"    16r6C54
           "16r6361"    16r6C5C
           "16r6362"    16r6C4A
           "16r6363"    16r6CA3
           "16r6364"    16r6C85
           "16r6365"    16r6C90
           "16r6366"    16r6C94
           "16r6367"    16r6C8C
           "16r6368"    16r6C68
           "16r6369"    16r6C69
           "16r636A"    16r6C74
           "16r636B"    16r6C76
           "16r636C"    16r6C86
           "16r636D"    16r6CA9
           "16r636E"    16r6CD0
           "16r636F"    16r6CD4
           "16r6370"    16r6CAD
           "16r6371"    16r6CF7
           "16r6372"    16r6CF8
           "16r6373"    16r6CF1
           "16r6374"    16r6CD7
           "16r6375"    16r6CB2
           "16r6376"    16r6CE0
           "16r6377"    16r6CD6
           "16r6378"    16r6CFA
           "16r6379"    16r6CEB
           "16r637A"    16r6CEE
           "16r637B"    16r6CB1
           "16r637C"    16r6CD3
           "16r637D"    16r6CEF
           "16r637E"    16r6CFE
           ) at:(code - 16r6320).
    ].
    code <= 16r6420 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r647E ifTrue:[
        ^ #(
           "16r6421"    16r6D39
           "16r6422"    16r6D27
           "16r6423"    16r6D0C
           "16r6424"    16r6D43
           "16r6425"    16r6D48
           "16r6426"    16r6D07
           "16r6427"    16r6D04
           "16r6428"    16r6D19
           "16r6429"    16r6D0E
           "16r642A"    16r6D2B
           "16r642B"    16r6D4D
           "16r642C"    16r6D2E
           "16r642D"    16r6D35
           "16r642E"    16r6D1A
           "16r642F"    16r6D4F
           "16r6430"    16r6D52
           "16r6431"    16r6D54
           "16r6432"    16r6D33
           "16r6433"    16r6D91
           "16r6434"    16r6D6F
           "16r6435"    16r6D9E
           "16r6436"    16r6DA0
           "16r6437"    16r6D5E
           "16r6438"    16r6D93
           "16r6439"    16r6D94
           "16r643A"    16r6D5C
           "16r643B"    16r6D60
           "16r643C"    16r6D7C
           "16r643D"    16r6D63
           "16r643E"    16r6E1A
           "16r643F"    16r6DC7
           "16r6440"    16r6DC5
           "16r6441"    16r6DDE
           "16r6442"    16r6E0E
           "16r6443"    16r6DBF
           "16r6444"    16r6DE0
           "16r6445"    16r6E11
           "16r6446"    16r6DE6
           "16r6447"    16r6DDD
           "16r6448"    16r6DD9
           "16r6449"    16r6E16
           "16r644A"    16r6DAB
           "16r644B"    16r6E0C
           "16r644C"    16r6DAE
           "16r644D"    16r6E2B
           "16r644E"    16r6E6E
           "16r644F"    16r6E4E
           "16r6450"    16r6E6B
           "16r6451"    16r6EB2
           "16r6452"    16r6E5F
           "16r6453"    16r6E86
           "16r6454"    16r6E53
           "16r6455"    16r6E54
           "16r6456"    16r6E32
           "16r6457"    16r6E25
           "16r6458"    16r6E44
           "16r6459"    16r6EDF
           "16r645A"    16r6EB1
           "16r645B"    16r6E98
           "16r645C"    16r6EE0
           "16r645D"    16r6F2D
           "16r645E"    16r6EE2
           "16r645F"    16r6EA5
           "16r6460"    16r6EA7
           "16r6461"    16r6EBD
           "16r6462"    16r6EBB
           "16r6463"    16r6EB7
           "16r6464"    16r6ED7
           "16r6465"    16r6EB4
           "16r6466"    16r6ECF
           "16r6467"    16r6E8F
           "16r6468"    16r6EC2
           "16r6469"    16r6E9F
           "16r646A"    16r6F62
           "16r646B"    16r6F46
           "16r646C"    16r6F47
           "16r646D"    16r6F24
           "16r646E"    16r6F15
           "16r646F"    16r6EF9
           "16r6470"    16r6F2F
           "16r6471"    16r6F36
           "16r6472"    16r6F4B
           "16r6473"    16r6F74
           "16r6474"    16r6F2A
           "16r6475"    16r6F09
           "16r6476"    16r6F29
           "16r6477"    16r6F89
           "16r6478"    16r6F8D
           "16r6479"    16r6F8C
           "16r647A"    16r6F78
           "16r647B"    16r6F72
           "16r647C"    16r6F7C
           "16r647D"    16r6F7A
           "16r647E"    16r6FD1
           ) at:(code - 16r6420).
    ].
    code <= 16r6520 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r657E ifTrue:[
        ^ #(
           "16r6521"    16r6FC9
           "16r6522"    16r6FA7
           "16r6523"    16r6FB9
           "16r6524"    16r6FB6
           "16r6525"    16r6FC2
           "16r6526"    16r6FE1
           "16r6527"    16r6FEE
           "16r6528"    16r6FDE
           "16r6529"    16r6FE0
           "16r652A"    16r6FEF
           "16r652B"    16r701A
           "16r652C"    16r7023
           "16r652D"    16r701B
           "16r652E"    16r7039
           "16r652F"    16r7035
           "16r6530"    16r704F
           "16r6531"    16r705E
           "16r6532"    16r5B80
           "16r6533"    16r5B84
           "16r6534"    16r5B95
           "16r6535"    16r5B93
           "16r6536"    16r5BA5
           "16r6537"    16r5BB8
           "16r6538"    16r752F
           "16r6539"    16r9A9E
           "16r653A"    16r6434
           "16r653B"    16r5BE4
           "16r653C"    16r5BEE
           "16r653D"    16r8930
           "16r653E"    16r5BF0
           "16r653F"    16r8E47
           "16r6540"    16r8B07
           "16r6541"    16r8FB6
           "16r6542"    16r8FD3
           "16r6543"    16r8FD5
           "16r6544"    16r8FE5
           "16r6545"    16r8FEE
           "16r6546"    16r8FE4
           "16r6547"    16r8FE9
           "16r6548"    16r8FE6
           "16r6549"    16r8FF3
           "16r654A"    16r8FE8
           "16r654B"    16r9005
           "16r654C"    16r9004
           "16r654D"    16r900B
           "16r654E"    16r9026
           "16r654F"    16r9011
           "16r6550"    16r900D
           "16r6551"    16r9016
           "16r6552"    16r9021
           "16r6553"    16r9035
           "16r6554"    16r9036
           "16r6555"    16r902D
           "16r6556"    16r902F
           "16r6557"    16r9044
           "16r6558"    16r9051
           "16r6559"    16r9052
           "16r655A"    16r9050
           "16r655B"    16r9068
           "16r655C"    16r9058
           "16r655D"    16r9062
           "16r655E"    16r905B
           "16r655F"    16r66B9
           "16r6560"    16r9074
           "16r6561"    16r907D
           "16r6562"    16r9082
           "16r6563"    16r9088
           "16r6564"    16r9083
           "16r6565"    16r908B
           "16r6566"    16r5F50
           "16r6567"    16r5F57
           "16r6568"    16r5F56
           "16r6569"    16r5F58
           "16r656A"    16r5C3B
           "16r656B"    16r54AB
           "16r656C"    16r5C50
           "16r656D"    16r5C59
           "16r656E"    16r5B71
           "16r656F"    16r5C63
           "16r6570"    16r5C66
           "16r6571"    16r7FBC
           "16r6572"    16r5F2A
           "16r6573"    16r5F29
           "16r6574"    16r5F2D
           "16r6575"    16r8274
           "16r6576"    16r5F3C
           "16r6577"    16r9B3B
           "16r6578"    16r5C6E
           "16r6579"    16r5981
           "16r657A"    16r5983
           "16r657B"    16r598D
           "16r657C"    16r59A9
           "16r657D"    16r59AA
           "16r657E"    16r59A3
           ) at:(code - 16r6520).
    ].
    code <= 16r6620 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r667E ifTrue:[
        ^ #(
           "16r6621"    16r5997
           "16r6622"    16r59CA
           "16r6623"    16r59AB
           "16r6624"    16r599E
           "16r6625"    16r59A4
           "16r6626"    16r59D2
           "16r6627"    16r59B2
           "16r6628"    16r59AF
           "16r6629"    16r59D7
           "16r662A"    16r59BE
           "16r662B"    16r5A05
           "16r662C"    16r5A06
           "16r662D"    16r59DD
           "16r662E"    16r5A08
           "16r662F"    16r59E3
           "16r6630"    16r59D8
           "16r6631"    16r59F9
           "16r6632"    16r5A0C
           "16r6633"    16r5A09
           "16r6634"    16r5A32
           "16r6635"    16r5A34
           "16r6636"    16r5A11
           "16r6637"    16r5A23
           "16r6638"    16r5A13
           "16r6639"    16r5A40
           "16r663A"    16r5A67
           "16r663B"    16r5A4A
           "16r663C"    16r5A55
           "16r663D"    16r5A3C
           "16r663E"    16r5A62
           "16r663F"    16r5A75
           "16r6640"    16r80EC
           "16r6641"    16r5AAA
           "16r6642"    16r5A9B
           "16r6643"    16r5A77
           "16r6644"    16r5A7A
           "16r6645"    16r5ABE
           "16r6646"    16r5AEB
           "16r6647"    16r5AB2
           "16r6648"    16r5AD2
           "16r6649"    16r5AD4
           "16r664A"    16r5AB8
           "16r664B"    16r5AE0
           "16r664C"    16r5AE3
           "16r664D"    16r5AF1
           "16r664E"    16r5AD6
           "16r664F"    16r5AE6
           "16r6650"    16r5AD8
           "16r6651"    16r5ADC
           "16r6652"    16r5B09
           "16r6653"    16r5B17
           "16r6654"    16r5B16
           "16r6655"    16r5B32
           "16r6656"    16r5B37
           "16r6657"    16r5B40
           "16r6658"    16r5C15
           "16r6659"    16r5C1C
           "16r665A"    16r5B5A
           "16r665B"    16r5B65
           "16r665C"    16r5B73
           "16r665D"    16r5B51
           "16r665E"    16r5B53
           "16r665F"    16r5B62
           "16r6660"    16r9A75
           "16r6661"    16r9A77
           "16r6662"    16r9A78
           "16r6663"    16r9A7A
           "16r6664"    16r9A7F
           "16r6665"    16r9A7D
           "16r6666"    16r9A80
           "16r6667"    16r9A81
           "16r6668"    16r9A85
           "16r6669"    16r9A88
           "16r666A"    16r9A8A
           "16r666B"    16r9A90
           "16r666C"    16r9A92
           "16r666D"    16r9A93
           "16r666E"    16r9A96
           "16r666F"    16r9A98
           "16r6670"    16r9A9B
           "16r6671"    16r9A9C
           "16r6672"    16r9A9D
           "16r6673"    16r9A9F
           "16r6674"    16r9AA0
           "16r6675"    16r9AA2
           "16r6676"    16r9AA3
           "16r6677"    16r9AA5
           "16r6678"    16r9AA7
           "16r6679"    16r7E9F
           "16r667A"    16r7EA1
           "16r667B"    16r7EA3
           "16r667C"    16r7EA5
           "16r667D"    16r7EA8
           "16r667E"    16r7EA9
           ) at:(code - 16r6620).
    ].
    code <= 16r6720 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r677E ifTrue:[
        ^ #(
           "16r6721"    16r7EAD
           "16r6722"    16r7EB0
           "16r6723"    16r7EBE
           "16r6724"    16r7EC0
           "16r6725"    16r7EC1
           "16r6726"    16r7EC2
           "16r6727"    16r7EC9
           "16r6728"    16r7ECB
           "16r6729"    16r7ECC
           "16r672A"    16r7ED0
           "16r672B"    16r7ED4
           "16r672C"    16r7ED7
           "16r672D"    16r7EDB
           "16r672E"    16r7EE0
           "16r672F"    16r7EE1
           "16r6730"    16r7EE8
           "16r6731"    16r7EEB
           "16r6732"    16r7EEE
           "16r6733"    16r7EEF
           "16r6734"    16r7EF1
           "16r6735"    16r7EF2
           "16r6736"    16r7F0D
           "16r6737"    16r7EF6
           "16r6738"    16r7EFA
           "16r6739"    16r7EFB
           "16r673A"    16r7EFE
           "16r673B"    16r7F01
           "16r673C"    16r7F02
           "16r673D"    16r7F03
           "16r673E"    16r7F07
           "16r673F"    16r7F08
           "16r6740"    16r7F0B
           "16r6741"    16r7F0C
           "16r6742"    16r7F0F
           "16r6743"    16r7F11
           "16r6744"    16r7F12
           "16r6745"    16r7F17
           "16r6746"    16r7F19
           "16r6747"    16r7F1C
           "16r6748"    16r7F1B
           "16r6749"    16r7F1F
           "16r674A"    16r7F21
           "16r674B"    16r7F22
           "16r674C"    16r7F23
           "16r674D"    16r7F24
           "16r674E"    16r7F25
           "16r674F"    16r7F26
           "16r6750"    16r7F27
           "16r6751"    16r7F2A
           "16r6752"    16r7F2B
           "16r6753"    16r7F2C
           "16r6754"    16r7F2D
           "16r6755"    16r7F2F
           "16r6756"    16r7F30
           "16r6757"    16r7F31
           "16r6758"    16r7F32
           "16r6759"    16r7F33
           "16r675A"    16r7F35
           "16r675B"    16r5E7A
           "16r675C"    16r757F
           "16r675D"    16r5DDB
           "16r675E"    16r753E
           "16r675F"    16r9095
           "16r6760"    16r738E
           "16r6761"    16r7391
           "16r6762"    16r73AE
           "16r6763"    16r73A2
           "16r6764"    16r739F
           "16r6765"    16r73CF
           "16r6766"    16r73C2
           "16r6767"    16r73D1
           "16r6768"    16r73B7
           "16r6769"    16r73B3
           "16r676A"    16r73C0
           "16r676B"    16r73C9
           "16r676C"    16r73C8
           "16r676D"    16r73E5
           "16r676E"    16r73D9
           "16r676F"    16r987C
           "16r6770"    16r740A
           "16r6771"    16r73E9
           "16r6772"    16r73E7
           "16r6773"    16r73DE
           "16r6774"    16r73BA
           "16r6775"    16r73F2
           "16r6776"    16r740F
           "16r6777"    16r742A
           "16r6778"    16r745B
           "16r6779"    16r7426
           "16r677A"    16r7425
           "16r677B"    16r7428
           "16r677C"    16r7430
           "16r677D"    16r742E
           "16r677E"    16r742C
           ) at:(code - 16r6720).
    ].
    code <= 16r6820 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r687E ifTrue:[
        ^ #(
           "16r6821"    16r741B
           "16r6822"    16r741A
           "16r6823"    16r7441
           "16r6824"    16r745C
           "16r6825"    16r7457
           "16r6826"    16r7455
           "16r6827"    16r7459
           "16r6828"    16r7477
           "16r6829"    16r746D
           "16r682A"    16r747E
           "16r682B"    16r749C
           "16r682C"    16r748E
           "16r682D"    16r7480
           "16r682E"    16r7481
           "16r682F"    16r7487
           "16r6830"    16r748B
           "16r6831"    16r749E
           "16r6832"    16r74A8
           "16r6833"    16r74A9
           "16r6834"    16r7490
           "16r6835"    16r74A7
           "16r6836"    16r74D2
           "16r6837"    16r74BA
           "16r6838"    16r97EA
           "16r6839"    16r97EB
           "16r683A"    16r97EC
           "16r683B"    16r674C
           "16r683C"    16r6753
           "16r683D"    16r675E
           "16r683E"    16r6748
           "16r683F"    16r6769
           "16r6840"    16r67A5
           "16r6841"    16r6787
           "16r6842"    16r676A
           "16r6843"    16r6773
           "16r6844"    16r6798
           "16r6845"    16r67A7
           "16r6846"    16r6775
           "16r6847"    16r67A8
           "16r6848"    16r679E
           "16r6849"    16r67AD
           "16r684A"    16r678B
           "16r684B"    16r6777
           "16r684C"    16r677C
           "16r684D"    16r67F0
           "16r684E"    16r6809
           "16r684F"    16r67D8
           "16r6850"    16r680A
           "16r6851"    16r67E9
           "16r6852"    16r67B0
           "16r6853"    16r680C
           "16r6854"    16r67D9
           "16r6855"    16r67B5
           "16r6856"    16r67DA
           "16r6857"    16r67B3
           "16r6858"    16r67DD
           "16r6859"    16r6800
           "16r685A"    16r67C3
           "16r685B"    16r67B8
           "16r685C"    16r67E2
           "16r685D"    16r680E
           "16r685E"    16r67C1
           "16r685F"    16r67FD
           "16r6860"    16r6832
           "16r6861"    16r6833
           "16r6862"    16r6860
           "16r6863"    16r6861
           "16r6864"    16r684E
           "16r6865"    16r6862
           "16r6866"    16r6844
           "16r6867"    16r6864
           "16r6868"    16r6883
           "16r6869"    16r681D
           "16r686A"    16r6855
           "16r686B"    16r6866
           "16r686C"    16r6841
           "16r686D"    16r6867
           "16r686E"    16r6840
           "16r686F"    16r683E
           "16r6870"    16r684A
           "16r6871"    16r6849
           "16r6872"    16r6829
           "16r6873"    16r68B5
           "16r6874"    16r688F
           "16r6875"    16r6874
           "16r6876"    16r6877
           "16r6877"    16r6893
           "16r6878"    16r686B
           "16r6879"    16r68C2
           "16r687A"    16r696E
           "16r687B"    16r68FC
           "16r687C"    16r691F
           "16r687D"    16r6920
           "16r687E"    16r68F9
           ) at:(code - 16r6820).
    ].
    code <= 16r6920 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r697E ifTrue:[
        ^ #(
           "16r6921"    16r6924
           "16r6922"    16r68F0
           "16r6923"    16r690B
           "16r6924"    16r6901
           "16r6925"    16r6957
           "16r6926"    16r68E3
           "16r6927"    16r6910
           "16r6928"    16r6971
           "16r6929"    16r6939
           "16r692A"    16r6960
           "16r692B"    16r6942
           "16r692C"    16r695D
           "16r692D"    16r6984
           "16r692E"    16r696B
           "16r692F"    16r6980
           "16r6930"    16r6998
           "16r6931"    16r6978
           "16r6932"    16r6934
           "16r6933"    16r69CC
           "16r6934"    16r6987
           "16r6935"    16r6988
           "16r6936"    16r69CE
           "16r6937"    16r6989
           "16r6938"    16r6966
           "16r6939"    16r6963
           "16r693A"    16r6979
           "16r693B"    16r699B
           "16r693C"    16r69A7
           "16r693D"    16r69BB
           "16r693E"    16r69AB
           "16r693F"    16r69AD
           "16r6940"    16r69D4
           "16r6941"    16r69B1
           "16r6942"    16r69C1
           "16r6943"    16r69CA
           "16r6944"    16r69DF
           "16r6945"    16r6995
           "16r6946"    16r69E0
           "16r6947"    16r698D
           "16r6948"    16r69FF
           "16r6949"    16r6A2F
           "16r694A"    16r69ED
           "16r694B"    16r6A17
           "16r694C"    16r6A18
           "16r694D"    16r6A65
           "16r694E"    16r69F2
           "16r694F"    16r6A44
           "16r6950"    16r6A3E
           "16r6951"    16r6AA0
           "16r6952"    16r6A50
           "16r6953"    16r6A5B
           "16r6954"    16r6A35
           "16r6955"    16r6A8E
           "16r6956"    16r6A79
           "16r6957"    16r6A3D
           "16r6958"    16r6A28
           "16r6959"    16r6A58
           "16r695A"    16r6A7C
           "16r695B"    16r6A91
           "16r695C"    16r6A90
           "16r695D"    16r6AA9
           "16r695E"    16r6A97
           "16r695F"    16r6AAB
           "16r6960"    16r7337
           "16r6961"    16r7352
           "16r6962"    16r6B81
           "16r6963"    16r6B82
           "16r6964"    16r6B87
           "16r6965"    16r6B84
           "16r6966"    16r6B92
           "16r6967"    16r6B93
           "16r6968"    16r6B8D
           "16r6969"    16r6B9A
           "16r696A"    16r6B9B
           "16r696B"    16r6BA1
           "16r696C"    16r6BAA
           "16r696D"    16r8F6B
           "16r696E"    16r8F6D
           "16r696F"    16r8F71
           "16r6970"    16r8F72
           "16r6971"    16r8F73
           "16r6972"    16r8F75
           "16r6973"    16r8F76
           "16r6974"    16r8F78
           "16r6975"    16r8F77
           "16r6976"    16r8F79
           "16r6977"    16r8F7A
           "16r6978"    16r8F7C
           "16r6979"    16r8F7E
           "16r697A"    16r8F81
           "16r697B"    16r8F82
           "16r697C"    16r8F84
           "16r697D"    16r8F87
           "16r697E"    16r8F8B
           ) at:(code - 16r6920).
    ].
    code <= 16r6A20 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r6A7E ifTrue:[
        ^ #(
           "16r6A21"    16r8F8D
           "16r6A22"    16r8F8E
           "16r6A23"    16r8F8F
           "16r6A24"    16r8F98
           "16r6A25"    16r8F9A
           "16r6A26"    16r8ECE
           "16r6A27"    16r620B
           "16r6A28"    16r6217
           "16r6A29"    16r621B
           "16r6A2A"    16r621F
           "16r6A2B"    16r6222
           "16r6A2C"    16r6221
           "16r6A2D"    16r6225
           "16r6A2E"    16r6224
           "16r6A2F"    16r622C
           "16r6A30"    16r81E7
           "16r6A31"    16r74EF
           "16r6A32"    16r74F4
           "16r6A33"    16r74FF
           "16r6A34"    16r750F
           "16r6A35"    16r7511
           "16r6A36"    16r7513
           "16r6A37"    16r6534
           "16r6A38"    16r65EE
           "16r6A39"    16r65EF
           "16r6A3A"    16r65F0
           "16r6A3B"    16r660A
           "16r6A3C"    16r6619
           "16r6A3D"    16r6772
           "16r6A3E"    16r6603
           "16r6A3F"    16r6615
           "16r6A40"    16r6600
           "16r6A41"    16r7085
           "16r6A42"    16r66F7
           "16r6A43"    16r661D
           "16r6A44"    16r6634
           "16r6A45"    16r6631
           "16r6A46"    16r6636
           "16r6A47"    16r6635
           "16r6A48"    16r8006
           "16r6A49"    16r665F
           "16r6A4A"    16r6654
           "16r6A4B"    16r6641
           "16r6A4C"    16r664F
           "16r6A4D"    16r6656
           "16r6A4E"    16r6661
           "16r6A4F"    16r6657
           "16r6A50"    16r6677
           "16r6A51"    16r6684
           "16r6A52"    16r668C
           "16r6A53"    16r66A7
           "16r6A54"    16r669D
           "16r6A55"    16r66BE
           "16r6A56"    16r66DB
           "16r6A57"    16r66DC
           "16r6A58"    16r66E6
           "16r6A59"    16r66E9
           "16r6A5A"    16r8D32
           "16r6A5B"    16r8D33
           "16r6A5C"    16r8D36
           "16r6A5D"    16r8D3B
           "16r6A5E"    16r8D3D
           "16r6A5F"    16r8D40
           "16r6A60"    16r8D45
           "16r6A61"    16r8D46
           "16r6A62"    16r8D48
           "16r6A63"    16r8D49
           "16r6A64"    16r8D47
           "16r6A65"    16r8D4D
           "16r6A66"    16r8D55
           "16r6A67"    16r8D59
           "16r6A68"    16r89C7
           "16r6A69"    16r89CA
           "16r6A6A"    16r89CB
           "16r6A6B"    16r89CC
           "16r6A6C"    16r89CE
           "16r6A6D"    16r89CF
           "16r6A6E"    16r89D0
           "16r6A6F"    16r89D1
           "16r6A70"    16r726E
           "16r6A71"    16r729F
           "16r6A72"    16r725D
           "16r6A73"    16r7266
           "16r6A74"    16r726F
           "16r6A75"    16r727E
           "16r6A76"    16r727F
           "16r6A77"    16r7284
           "16r6A78"    16r728B
           "16r6A79"    16r728D
           "16r6A7A"    16r728F
           "16r6A7B"    16r7292
           "16r6A7C"    16r6308
           "16r6A7D"    16r6332
           "16r6A7E"    16r63B0
           ) at:(code - 16r6A20).
    ].
    code <= 16r6B20 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r6B7E ifTrue:[
        ^ #(
           "16r6B21"    16r643F
           "16r6B22"    16r64D8
           "16r6B23"    16r8004
           "16r6B24"    16r6BEA
           "16r6B25"    16r6BF3
           "16r6B26"    16r6BFD
           "16r6B27"    16r6BF5
           "16r6B28"    16r6BF9
           "16r6B29"    16r6C05
           "16r6B2A"    16r6C07
           "16r6B2B"    16r6C06
           "16r6B2C"    16r6C0D
           "16r6B2D"    16r6C15
           "16r6B2E"    16r6C18
           "16r6B2F"    16r6C19
           "16r6B30"    16r6C1A
           "16r6B31"    16r6C21
           "16r6B32"    16r6C29
           "16r6B33"    16r6C24
           "16r6B34"    16r6C2A
           "16r6B35"    16r6C32
           "16r6B36"    16r6535
           "16r6B37"    16r6555
           "16r6B38"    16r656B
           "16r6B39"    16r724D
           "16r6B3A"    16r7252
           "16r6B3B"    16r7256
           "16r6B3C"    16r7230
           "16r6B3D"    16r8662
           "16r6B3E"    16r5216
           "16r6B3F"    16r809F
           "16r6B40"    16r809C
           "16r6B41"    16r8093
           "16r6B42"    16r80BC
           "16r6B43"    16r670A
           "16r6B44"    16r80BD
           "16r6B45"    16r80B1
           "16r6B46"    16r80AB
           "16r6B47"    16r80AD
           "16r6B48"    16r80B4
           "16r6B49"    16r80B7
           "16r6B4A"    16r80E7
           "16r6B4B"    16r80E8
           "16r6B4C"    16r80E9
           "16r6B4D"    16r80EA
           "16r6B4E"    16r80DB
           "16r6B4F"    16r80C2
           "16r6B50"    16r80C4
           "16r6B51"    16r80D9
           "16r6B52"    16r80CD
           "16r6B53"    16r80D7
           "16r6B54"    16r6710
           "16r6B55"    16r80DD
           "16r6B56"    16r80EB
           "16r6B57"    16r80F1
           "16r6B58"    16r80F4
           "16r6B59"    16r80ED
           "16r6B5A"    16r810D
           "16r6B5B"    16r810E
           "16r6B5C"    16r80F2
           "16r6B5D"    16r80FC
           "16r6B5E"    16r6715
           "16r6B5F"    16r8112
           "16r6B60"    16r8C5A
           "16r6B61"    16r8136
           "16r6B62"    16r811E
           "16r6B63"    16r812C
           "16r6B64"    16r8118
           "16r6B65"    16r8132
           "16r6B66"    16r8148
           "16r6B67"    16r814C
           "16r6B68"    16r8153
           "16r6B69"    16r8174
           "16r6B6A"    16r8159
           "16r6B6B"    16r815A
           "16r6B6C"    16r8171
           "16r6B6D"    16r8160
           "16r6B6E"    16r8169
           "16r6B6F"    16r817C
           "16r6B70"    16r817D
           "16r6B71"    16r816D
           "16r6B72"    16r8167
           "16r6B73"    16r584D
           "16r6B74"    16r5AB5
           "16r6B75"    16r8188
           "16r6B76"    16r8182
           "16r6B77"    16r8191
           "16r6B78"    16r6ED5
           "16r6B79"    16r81A3
           "16r6B7A"    16r81AA
           "16r6B7B"    16r81CC
           "16r6B7C"    16r6726
           "16r6B7D"    16r81CA
           "16r6B7E"    16r81BB
           ) at:(code - 16r6B20).
    ].
    code <= 16r6C20 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r6C7E ifTrue:[
        ^ #(
           "16r6C21"    16r81C1
           "16r6C22"    16r81A6
           "16r6C23"    16r6B24
           "16r6C24"    16r6B37
           "16r6C25"    16r6B39
           "16r6C26"    16r6B43
           "16r6C27"    16r6B46
           "16r6C28"    16r6B59
           "16r6C29"    16r98D1
           "16r6C2A"    16r98D2
           "16r6C2B"    16r98D3
           "16r6C2C"    16r98D5
           "16r6C2D"    16r98D9
           "16r6C2E"    16r98DA
           "16r6C2F"    16r6BB3
           "16r6C30"    16r5F40
           "16r6C31"    16r6BC2
           "16r6C32"    16r89F3
           "16r6C33"    16r6590
           "16r6C34"    16r9F51
           "16r6C35"    16r6593
           "16r6C36"    16r65BC
           "16r6C37"    16r65C6
           "16r6C38"    16r65C4
           "16r6C39"    16r65C3
           "16r6C3A"    16r65CC
           "16r6C3B"    16r65CE
           "16r6C3C"    16r65D2
           "16r6C3D"    16r65D6
           "16r6C3E"    16r7080
           "16r6C3F"    16r709C
           "16r6C40"    16r7096
           "16r6C41"    16r709D
           "16r6C42"    16r70BB
           "16r6C43"    16r70C0
           "16r6C44"    16r70B7
           "16r6C45"    16r70AB
           "16r6C46"    16r70B1
           "16r6C47"    16r70E8
           "16r6C48"    16r70CA
           "16r6C49"    16r7110
           "16r6C4A"    16r7113
           "16r6C4B"    16r7116
           "16r6C4C"    16r712F
           "16r6C4D"    16r7131
           "16r6C4E"    16r7173
           "16r6C4F"    16r715C
           "16r6C50"    16r7168
           "16r6C51"    16r7145
           "16r6C52"    16r7172
           "16r6C53"    16r714A
           "16r6C54"    16r7178
           "16r6C55"    16r717A
           "16r6C56"    16r7198
           "16r6C57"    16r71B3
           "16r6C58"    16r71B5
           "16r6C59"    16r71A8
           "16r6C5A"    16r71A0
           "16r6C5B"    16r71E0
           "16r6C5C"    16r71D4
           "16r6C5D"    16r71E7
           "16r6C5E"    16r71F9
           "16r6C5F"    16r721D
           "16r6C60"    16r7228
           "16r6C61"    16r706C
           "16r6C62"    16r7118
           "16r6C63"    16r7166
           "16r6C64"    16r71B9
           "16r6C65"    16r623E
           "16r6C66"    16r623D
           "16r6C67"    16r6243
           "16r6C68"    16r6248
           "16r6C69"    16r6249
           "16r6C6A"    16r793B
           "16r6C6B"    16r7940
           "16r6C6C"    16r7946
           "16r6C6D"    16r7949
           "16r6C6E"    16r795B
           "16r6C6F"    16r795C
           "16r6C70"    16r7953
           "16r6C71"    16r795A
           "16r6C72"    16r7962
           "16r6C73"    16r7957
           "16r6C74"    16r7960
           "16r6C75"    16r796F
           "16r6C76"    16r7967
           "16r6C77"    16r797A
           "16r6C78"    16r7985
           "16r6C79"    16r798A
           "16r6C7A"    16r799A
           "16r6C7B"    16r79A7
           "16r6C7C"    16r79B3
           "16r6C7D"    16r5FD1
           "16r6C7E"    16r5FD0
           ) at:(code - 16r6C20).
    ].
    code <= 16r6D20 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r6D7E ifTrue:[
        ^ #(
           "16r6D21"    16r603C
           "16r6D22"    16r605D
           "16r6D23"    16r605A
           "16r6D24"    16r6067
           "16r6D25"    16r6041
           "16r6D26"    16r6059
           "16r6D27"    16r6063
           "16r6D28"    16r60AB
           "16r6D29"    16r6106
           "16r6D2A"    16r610D
           "16r6D2B"    16r615D
           "16r6D2C"    16r61A9
           "16r6D2D"    16r619D
           "16r6D2E"    16r61CB
           "16r6D2F"    16r61D1
           "16r6D30"    16r6206
           "16r6D31"    16r8080
           "16r6D32"    16r807F
           "16r6D33"    16r6C93
           "16r6D34"    16r6CF6
           "16r6D35"    16r6DFC
           "16r6D36"    16r77F6
           "16r6D37"    16r77F8
           "16r6D38"    16r7800
           "16r6D39"    16r7809
           "16r6D3A"    16r7817
           "16r6D3B"    16r7818
           "16r6D3C"    16r7811
           "16r6D3D"    16r65AB
           "16r6D3E"    16r782D
           "16r6D3F"    16r781C
           "16r6D40"    16r781D
           "16r6D41"    16r7839
           "16r6D42"    16r783A
           "16r6D43"    16r783B
           "16r6D44"    16r781F
           "16r6D45"    16r783C
           "16r6D46"    16r7825
           "16r6D47"    16r782C
           "16r6D48"    16r7823
           "16r6D49"    16r7829
           "16r6D4A"    16r784E
           "16r6D4B"    16r786D
           "16r6D4C"    16r7856
           "16r6D4D"    16r7857
           "16r6D4E"    16r7826
           "16r6D4F"    16r7850
           "16r6D50"    16r7847
           "16r6D51"    16r784C
           "16r6D52"    16r786A
           "16r6D53"    16r789B
           "16r6D54"    16r7893
           "16r6D55"    16r789A
           "16r6D56"    16r7887
           "16r6D57"    16r789C
           "16r6D58"    16r78A1
           "16r6D59"    16r78A3
           "16r6D5A"    16r78B2
           "16r6D5B"    16r78B9
           "16r6D5C"    16r78A5
           "16r6D5D"    16r78D4
           "16r6D5E"    16r78D9
           "16r6D5F"    16r78C9
           "16r6D60"    16r78EC
           "16r6D61"    16r78F2
           "16r6D62"    16r7905
           "16r6D63"    16r78F4
           "16r6D64"    16r7913
           "16r6D65"    16r7924
           "16r6D66"    16r791E
           "16r6D67"    16r7934
           "16r6D68"    16r9F9B
           "16r6D69"    16r9EF9
           "16r6D6A"    16r9EFB
           "16r6D6B"    16r9EFC
           "16r6D6C"    16r76F1
           "16r6D6D"    16r7704
           "16r6D6E"    16r770D
           "16r6D6F"    16r76F9
           "16r6D70"    16r7707
           "16r6D71"    16r7708
           "16r6D72"    16r771A
           "16r6D73"    16r7722
           "16r6D74"    16r7719
           "16r6D75"    16r772D
           "16r6D76"    16r7726
           "16r6D77"    16r7735
           "16r6D78"    16r7738
           "16r6D79"    16r7750
           "16r6D7A"    16r7751
           "16r6D7B"    16r7747
           "16r6D7C"    16r7743
           "16r6D7D"    16r775A
           "16r6D7E"    16r7768
           ) at:(code - 16r6D20).
    ].
    code <= 16r6E20 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r6E7E ifTrue:[
        ^ #(
           "16r6E21"    16r7762
           "16r6E22"    16r7765
           "16r6E23"    16r777F
           "16r6E24"    16r778D
           "16r6E25"    16r777D
           "16r6E26"    16r7780
           "16r6E27"    16r778C
           "16r6E28"    16r7791
           "16r6E29"    16r779F
           "16r6E2A"    16r77A0
           "16r6E2B"    16r77B0
           "16r6E2C"    16r77B5
           "16r6E2D"    16r77BD
           "16r6E2E"    16r753A
           "16r6E2F"    16r7540
           "16r6E30"    16r754E
           "16r6E31"    16r754B
           "16r6E32"    16r7548
           "16r6E33"    16r755B
           "16r6E34"    16r7572
           "16r6E35"    16r7579
           "16r6E36"    16r7583
           "16r6E37"    16r7F58
           "16r6E38"    16r7F61
           "16r6E39"    16r7F5F
           "16r6E3A"    16r8A48
           "16r6E3B"    16r7F68
           "16r6E3C"    16r7F74
           "16r6E3D"    16r7F71
           "16r6E3E"    16r7F79
           "16r6E3F"    16r7F81
           "16r6E40"    16r7F7E
           "16r6E41"    16r76CD
           "16r6E42"    16r76E5
           "16r6E43"    16r8832
           "16r6E44"    16r9485
           "16r6E45"    16r9486
           "16r6E46"    16r9487
           "16r6E47"    16r948B
           "16r6E48"    16r948A
           "16r6E49"    16r948C
           "16r6E4A"    16r948D
           "16r6E4B"    16r948F
           "16r6E4C"    16r9490
           "16r6E4D"    16r9494
           "16r6E4E"    16r9497
           "16r6E4F"    16r9495
           "16r6E50"    16r949A
           "16r6E51"    16r949B
           "16r6E52"    16r949C
           "16r6E53"    16r94A3
           "16r6E54"    16r94A4
           "16r6E55"    16r94AB
           "16r6E56"    16r94AA
           "16r6E57"    16r94AD
           "16r6E58"    16r94AC
           "16r6E59"    16r94AF
           "16r6E5A"    16r94B0
           "16r6E5B"    16r94B2
           "16r6E5C"    16r94B4
           "16r6E5D"    16r94B6
           "16r6E5E"    16r94B7
           "16r6E5F"    16r94B8
           "16r6E60"    16r94B9
           "16r6E61"    16r94BA
           "16r6E62"    16r94BC
           "16r6E63"    16r94BD
           "16r6E64"    16r94BF
           "16r6E65"    16r94C4
           "16r6E66"    16r94C8
           "16r6E67"    16r94C9
           "16r6E68"    16r94CA
           "16r6E69"    16r94CB
           "16r6E6A"    16r94CC
           "16r6E6B"    16r94CD
           "16r6E6C"    16r94CE
           "16r6E6D"    16r94D0
           "16r6E6E"    16r94D1
           "16r6E6F"    16r94D2
           "16r6E70"    16r94D5
           "16r6E71"    16r94D6
           "16r6E72"    16r94D7
           "16r6E73"    16r94D9
           "16r6E74"    16r94D8
           "16r6E75"    16r94DB
           "16r6E76"    16r94DE
           "16r6E77"    16r94DF
           "16r6E78"    16r94E0
           "16r6E79"    16r94E2
           "16r6E7A"    16r94E4
           "16r6E7B"    16r94E5
           "16r6E7C"    16r94E7
           "16r6E7D"    16r94E8
           "16r6E7E"    16r94EA
           ) at:(code - 16r6E20).
    ].
    code <= 16r6F20 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r6F7E ifTrue:[
        ^ #(
           "16r6F21"    16r94E9
           "16r6F22"    16r94EB
           "16r6F23"    16r94EE
           "16r6F24"    16r94EF
           "16r6F25"    16r94F3
           "16r6F26"    16r94F4
           "16r6F27"    16r94F5
           "16r6F28"    16r94F7
           "16r6F29"    16r94F9
           "16r6F2A"    16r94FC
           "16r6F2B"    16r94FD
           "16r6F2C"    16r94FF
           "16r6F2D"    16r9503
           "16r6F2E"    16r9502
           "16r6F2F"    16r9506
           "16r6F30"    16r9507
           "16r6F31"    16r9509
           "16r6F32"    16r950A
           "16r6F33"    16r950D
           "16r6F34"    16r950E
           "16r6F35"    16r950F
           "16r6F36"    16r9512
           "16r6F37"    16r9513
           "16r6F38"    16r9514
           "16r6F39"    16r9515
           "16r6F3A"    16r9516
           "16r6F3B"    16r9518
           "16r6F3C"    16r951B
           "16r6F3D"    16r951D
           "16r6F3E"    16r951E
           "16r6F3F"    16r951F
           "16r6F40"    16r9522
           "16r6F41"    16r952A
           "16r6F42"    16r952B
           "16r6F43"    16r9529
           "16r6F44"    16r952C
           "16r6F45"    16r9531
           "16r6F46"    16r9532
           "16r6F47"    16r9534
           "16r6F48"    16r9536
           "16r6F49"    16r9537
           "16r6F4A"    16r9538
           "16r6F4B"    16r953C
           "16r6F4C"    16r953E
           "16r6F4D"    16r953F
           "16r6F4E"    16r9542
           "16r6F4F"    16r9535
           "16r6F50"    16r9544
           "16r6F51"    16r9545
           "16r6F52"    16r9546
           "16r6F53"    16r9549
           "16r6F54"    16r954C
           "16r6F55"    16r954E
           "16r6F56"    16r954F
           "16r6F57"    16r9552
           "16r6F58"    16r9553
           "16r6F59"    16r9554
           "16r6F5A"    16r9556
           "16r6F5B"    16r9557
           "16r6F5C"    16r9558
           "16r6F5D"    16r9559
           "16r6F5E"    16r955B
           "16r6F5F"    16r955E
           "16r6F60"    16r955F
           "16r6F61"    16r955D
           "16r6F62"    16r9561
           "16r6F63"    16r9562
           "16r6F64"    16r9564
           "16r6F65"    16r9565
           "16r6F66"    16r9566
           "16r6F67"    16r9567
           "16r6F68"    16r9568
           "16r6F69"    16r9569
           "16r6F6A"    16r956A
           "16r6F6B"    16r956B
           "16r6F6C"    16r956C
           "16r6F6D"    16r956F
           "16r6F6E"    16r9571
           "16r6F6F"    16r9572
           "16r6F70"    16r9573
           "16r6F71"    16r953A
           "16r6F72"    16r77E7
           "16r6F73"    16r77EC
           "16r6F74"    16r96C9
           "16r6F75"    16r79D5
           "16r6F76"    16r79ED
           "16r6F77"    16r79E3
           "16r6F78"    16r79EB
           "16r6F79"    16r7A06
           "16r6F7A"    16r5D47
           "16r6F7B"    16r7A03
           "16r6F7C"    16r7A02
           "16r6F7D"    16r7A1E
           "16r6F7E"    16r7A14
           ) at:(code - 16r6F20).
    ].
    code <= 16r7020 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r707E ifTrue:[
        ^ #(
           "16r7021"    16r7A39
           "16r7022"    16r7A37
           "16r7023"    16r7A51
           "16r7024"    16r9ECF
           "16r7025"    16r99A5
           "16r7026"    16r7A70
           "16r7027"    16r7688
           "16r7028"    16r768E
           "16r7029"    16r7693
           "16r702A"    16r7699
           "16r702B"    16r76A4
           "16r702C"    16r74DE
           "16r702D"    16r74E0
           "16r702E"    16r752C
           "16r702F"    16r9E20
           "16r7030"    16r9E22
           "16r7031"    16r9E28
           "16r7032"    16r9E29
           "16r7033"    16r9E2A
           "16r7034"    16r9E2B
           "16r7035"    16r9E2C
           "16r7036"    16r9E32
           "16r7037"    16r9E31
           "16r7038"    16r9E36
           "16r7039"    16r9E38
           "16r703A"    16r9E37
           "16r703B"    16r9E39
           "16r703C"    16r9E3A
           "16r703D"    16r9E3E
           "16r703E"    16r9E41
           "16r703F"    16r9E42
           "16r7040"    16r9E44
           "16r7041"    16r9E46
           "16r7042"    16r9E47
           "16r7043"    16r9E48
           "16r7044"    16r9E49
           "16r7045"    16r9E4B
           "16r7046"    16r9E4C
           "16r7047"    16r9E4E
           "16r7048"    16r9E51
           "16r7049"    16r9E55
           "16r704A"    16r9E57
           "16r704B"    16r9E5A
           "16r704C"    16r9E5B
           "16r704D"    16r9E5C
           "16r704E"    16r9E5E
           "16r704F"    16r9E63
           "16r7050"    16r9E66
           "16r7051"    16r9E67
           "16r7052"    16r9E68
           "16r7053"    16r9E69
           "16r7054"    16r9E6A
           "16r7055"    16r9E6B
           "16r7056"    16r9E6C
           "16r7057"    16r9E71
           "16r7058"    16r9E6D
           "16r7059"    16r9E73
           "16r705A"    16r7592
           "16r705B"    16r7594
           "16r705C"    16r7596
           "16r705D"    16r75A0
           "16r705E"    16r759D
           "16r705F"    16r75AC
           "16r7060"    16r75A3
           "16r7061"    16r75B3
           "16r7062"    16r75B4
           "16r7063"    16r75B8
           "16r7064"    16r75C4
           "16r7065"    16r75B1
           "16r7066"    16r75B0
           "16r7067"    16r75C3
           "16r7068"    16r75C2
           "16r7069"    16r75D6
           "16r706A"    16r75CD
           "16r706B"    16r75E3
           "16r706C"    16r75E8
           "16r706D"    16r75E6
           "16r706E"    16r75E4
           "16r706F"    16r75EB
           "16r7070"    16r75E7
           "16r7071"    16r7603
           "16r7072"    16r75F1
           "16r7073"    16r75FC
           "16r7074"    16r75FF
           "16r7075"    16r7610
           "16r7076"    16r7600
           "16r7077"    16r7605
           "16r7078"    16r760C
           "16r7079"    16r7617
           "16r707A"    16r760A
           "16r707B"    16r7625
           "16r707C"    16r7618
           "16r707D"    16r7615
           "16r707E"    16r7619
           ) at:(code - 16r7020).
    ].
    code <= 16r7120 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r717E ifTrue:[
        ^ #(
           "16r7121"    16r761B
           "16r7122"    16r763C
           "16r7123"    16r7622
           "16r7124"    16r7620
           "16r7125"    16r7640
           "16r7126"    16r762D
           "16r7127"    16r7630
           "16r7128"    16r763F
           "16r7129"    16r7635
           "16r712A"    16r7643
           "16r712B"    16r763E
           "16r712C"    16r7633
           "16r712D"    16r764D
           "16r712E"    16r765E
           "16r712F"    16r7654
           "16r7130"    16r765C
           "16r7131"    16r7656
           "16r7132"    16r766B
           "16r7133"    16r766F
           "16r7134"    16r7FCA
           "16r7135"    16r7AE6
           "16r7136"    16r7A78
           "16r7137"    16r7A79
           "16r7138"    16r7A80
           "16r7139"    16r7A86
           "16r713A"    16r7A88
           "16r713B"    16r7A95
           "16r713C"    16r7AA6
           "16r713D"    16r7AA0
           "16r713E"    16r7AAC
           "16r713F"    16r7AA8
           "16r7140"    16r7AAD
           "16r7141"    16r7AB3
           "16r7142"    16r8864
           "16r7143"    16r8869
           "16r7144"    16r8872
           "16r7145"    16r887D
           "16r7146"    16r887F
           "16r7147"    16r8882
           "16r7148"    16r88A2
           "16r7149"    16r88C6
           "16r714A"    16r88B7
           "16r714B"    16r88BC
           "16r714C"    16r88C9
           "16r714D"    16r88E2
           "16r714E"    16r88CE
           "16r714F"    16r88E3
           "16r7150"    16r88E5
           "16r7151"    16r88F1
           "16r7152"    16r891A
           "16r7153"    16r88FC
           "16r7154"    16r88E8
           "16r7155"    16r88FE
           "16r7156"    16r88F0
           "16r7157"    16r8921
           "16r7158"    16r8919
           "16r7159"    16r8913
           "16r715A"    16r891B
           "16r715B"    16r890A
           "16r715C"    16r8934
           "16r715D"    16r892B
           "16r715E"    16r8936
           "16r715F"    16r8941
           "16r7160"    16r8966
           "16r7161"    16r897B
           "16r7162"    16r758B
           "16r7163"    16r80E5
           "16r7164"    16r76B2
           "16r7165"    16r76B4
           "16r7166"    16r77DC
           "16r7167"    16r8012
           "16r7168"    16r8014
           "16r7169"    16r8016
           "16r716A"    16r801C
           "16r716B"    16r8020
           "16r716C"    16r8022
           "16r716D"    16r8025
           "16r716E"    16r8026
           "16r716F"    16r8027
           "16r7170"    16r8029
           "16r7171"    16r8028
           "16r7172"    16r8031
           "16r7173"    16r800B
           "16r7174"    16r8035
           "16r7175"    16r8043
           "16r7176"    16r8046
           "16r7177"    16r804D
           "16r7178"    16r8052
           "16r7179"    16r8069
           "16r717A"    16r8071
           "16r717B"    16r8983
           "16r717C"    16r9878
           "16r717D"    16r9880
           "16r717E"    16r9883
           ) at:(code - 16r7120).
    ].
    code <= 16r7220 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r727E ifTrue:[
        ^ #(
           "16r7221"    16r9889
           "16r7222"    16r988C
           "16r7223"    16r988D
           "16r7224"    16r988F
           "16r7225"    16r9894
           "16r7226"    16r989A
           "16r7227"    16r989B
           "16r7228"    16r989E
           "16r7229"    16r989F
           "16r722A"    16r98A1
           "16r722B"    16r98A2
           "16r722C"    16r98A5
           "16r722D"    16r98A6
           "16r722E"    16r864D
           "16r722F"    16r8654
           "16r7230"    16r866C
           "16r7231"    16r866E
           "16r7232"    16r867F
           "16r7233"    16r867A
           "16r7234"    16r867C
           "16r7235"    16r867B
           "16r7236"    16r86A8
           "16r7237"    16r868D
           "16r7238"    16r868B
           "16r7239"    16r86AC
           "16r723A"    16r869D
           "16r723B"    16r86A7
           "16r723C"    16r86A3
           "16r723D"    16r86AA
           "16r723E"    16r8693
           "16r723F"    16r86A9
           "16r7240"    16r86B6
           "16r7241"    16r86C4
           "16r7242"    16r86B5
           "16r7243"    16r86CE
           "16r7244"    16r86B0
           "16r7245"    16r86BA
           "16r7246"    16r86B1
           "16r7247"    16r86AF
           "16r7248"    16r86C9
           "16r7249"    16r86CF
           "16r724A"    16r86B4
           "16r724B"    16r86E9
           "16r724C"    16r86F1
           "16r724D"    16r86F2
           "16r724E"    16r86ED
           "16r724F"    16r86F3
           "16r7250"    16r86D0
           "16r7251"    16r8713
           "16r7252"    16r86DE
           "16r7253"    16r86F4
           "16r7254"    16r86DF
           "16r7255"    16r86D8
           "16r7256"    16r86D1
           "16r7257"    16r8703
           "16r7258"    16r8707
           "16r7259"    16r86F8
           "16r725A"    16r8708
           "16r725B"    16r870A
           "16r725C"    16r870D
           "16r725D"    16r8709
           "16r725E"    16r8723
           "16r725F"    16r873B
           "16r7260"    16r871E
           "16r7261"    16r8725
           "16r7262"    16r872E
           "16r7263"    16r871A
           "16r7264"    16r873E
           "16r7265"    16r8748
           "16r7266"    16r8734
           "16r7267"    16r8731
           "16r7268"    16r8729
           "16r7269"    16r8737
           "16r726A"    16r873F
           "16r726B"    16r8782
           "16r726C"    16r8722
           "16r726D"    16r877D
           "16r726E"    16r877E
           "16r726F"    16r877B
           "16r7270"    16r8760
           "16r7271"    16r8770
           "16r7272"    16r874C
           "16r7273"    16r876E
           "16r7274"    16r878B
           "16r7275"    16r8753
           "16r7276"    16r8763
           "16r7277"    16r877C
           "16r7278"    16r8764
           "16r7279"    16r8759
           "16r727A"    16r8765
           "16r727B"    16r8793
           "16r727C"    16r87AF
           "16r727D"    16r87A8
           "16r727E"    16r87D2
           ) at:(code - 16r7220).
    ].
    code <= 16r7320 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r737E ifTrue:[
        ^ #(
           "16r7321"    16r87C6
           "16r7322"    16r8788
           "16r7323"    16r8785
           "16r7324"    16r87AD
           "16r7325"    16r8797
           "16r7326"    16r8783
           "16r7327"    16r87AB
           "16r7328"    16r87E5
           "16r7329"    16r87AC
           "16r732A"    16r87B5
           "16r732B"    16r87B3
           "16r732C"    16r87CB
           "16r732D"    16r87D3
           "16r732E"    16r87BD
           "16r732F"    16r87D1
           "16r7330"    16r87C0
           "16r7331"    16r87CA
           "16r7332"    16r87DB
           "16r7333"    16r87EA
           "16r7334"    16r87E0
           "16r7335"    16r87EE
           "16r7336"    16r8816
           "16r7337"    16r8813
           "16r7338"    16r87FE
           "16r7339"    16r880A
           "16r733A"    16r881B
           "16r733B"    16r8821
           "16r733C"    16r8839
           "16r733D"    16r883C
           "16r733E"    16r7F36
           "16r733F"    16r7F42
           "16r7340"    16r7F44
           "16r7341"    16r7F45
           "16r7342"    16r8210
           "16r7343"    16r7AFA
           "16r7344"    16r7AFD
           "16r7345"    16r7B08
           "16r7346"    16r7B03
           "16r7347"    16r7B04
           "16r7348"    16r7B15
           "16r7349"    16r7B0A
           "16r734A"    16r7B2B
           "16r734B"    16r7B0F
           "16r734C"    16r7B47
           "16r734D"    16r7B38
           "16r734E"    16r7B2A
           "16r734F"    16r7B19
           "16r7350"    16r7B2E
           "16r7351"    16r7B31
           "16r7352"    16r7B20
           "16r7353"    16r7B25
           "16r7354"    16r7B24
           "16r7355"    16r7B33
           "16r7356"    16r7B3E
           "16r7357"    16r7B1E
           "16r7358"    16r7B58
           "16r7359"    16r7B5A
           "16r735A"    16r7B45
           "16r735B"    16r7B75
           "16r735C"    16r7B4C
           "16r735D"    16r7B5D
           "16r735E"    16r7B60
           "16r735F"    16r7B6E
           "16r7360"    16r7B7B
           "16r7361"    16r7B62
           "16r7362"    16r7B72
           "16r7363"    16r7B71
           "16r7364"    16r7B90
           "16r7365"    16r7BA6
           "16r7366"    16r7BA7
           "16r7367"    16r7BB8
           "16r7368"    16r7BAC
           "16r7369"    16r7B9D
           "16r736A"    16r7BA8
           "16r736B"    16r7B85
           "16r736C"    16r7BAA
           "16r736D"    16r7B9C
           "16r736E"    16r7BA2
           "16r736F"    16r7BAB
           "16r7370"    16r7BB4
           "16r7371"    16r7BD1
           "16r7372"    16r7BC1
           "16r7373"    16r7BCC
           "16r7374"    16r7BDD
           "16r7375"    16r7BDA
           "16r7376"    16r7BE5
           "16r7377"    16r7BE6
           "16r7378"    16r7BEA
           "16r7379"    16r7C0C
           "16r737A"    16r7BFE
           "16r737B"    16r7BFC
           "16r737C"    16r7C0F
           "16r737D"    16r7C16
           "16r737E"    16r7C0B
           ) at:(code - 16r7320).
    ].
    code <= 16r7420 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r747E ifTrue:[
        ^ #(
           "16r7421"    16r7C1F
           "16r7422"    16r7C2A
           "16r7423"    16r7C26
           "16r7424"    16r7C38
           "16r7425"    16r7C41
           "16r7426"    16r7C40
           "16r7427"    16r81FE
           "16r7428"    16r8201
           "16r7429"    16r8202
           "16r742A"    16r8204
           "16r742B"    16r81EC
           "16r742C"    16r8844
           "16r742D"    16r8221
           "16r742E"    16r8222
           "16r742F"    16r8223
           "16r7430"    16r822D
           "16r7431"    16r822F
           "16r7432"    16r8228
           "16r7433"    16r822B
           "16r7434"    16r8238
           "16r7435"    16r823B
           "16r7436"    16r8233
           "16r7437"    16r8234
           "16r7438"    16r823E
           "16r7439"    16r8244
           "16r743A"    16r8249
           "16r743B"    16r824B
           "16r743C"    16r824F
           "16r743D"    16r825A
           "16r743E"    16r825F
           "16r743F"    16r8268
           "16r7440"    16r887E
           "16r7441"    16r8885
           "16r7442"    16r8888
           "16r7443"    16r88D8
           "16r7444"    16r88DF
           "16r7445"    16r895E
           "16r7446"    16r7F9D
           "16r7447"    16r7F9F
           "16r7448"    16r7FA7
           "16r7449"    16r7FAF
           "16r744A"    16r7FB0
           "16r744B"    16r7FB2
           "16r744C"    16r7C7C
           "16r744D"    16r6549
           "16r744E"    16r7C91
           "16r744F"    16r7C9D
           "16r7450"    16r7C9C
           "16r7451"    16r7C9E
           "16r7452"    16r7CA2
           "16r7453"    16r7CB2
           "16r7454"    16r7CBC
           "16r7455"    16r7CBD
           "16r7456"    16r7CC1
           "16r7457"    16r7CC7
           "16r7458"    16r7CCC
           "16r7459"    16r7CCD
           "16r745A"    16r7CC8
           "16r745B"    16r7CC5
           "16r745C"    16r7CD7
           "16r745D"    16r7CE8
           "16r745E"    16r826E
           "16r745F"    16r66A8
           "16r7460"    16r7FBF
           "16r7461"    16r7FCE
           "16r7462"    16r7FD5
           "16r7463"    16r7FE5
           "16r7464"    16r7FE1
           "16r7465"    16r7FE6
           "16r7466"    16r7FE9
           "16r7467"    16r7FEE
           "16r7468"    16r7FF3
           "16r7469"    16r7CF8
           "16r746A"    16r7D77
           "16r746B"    16r7DA6
           "16r746C"    16r7DAE
           "16r746D"    16r7E47
           "16r746E"    16r7E9B
           "16r746F"    16r9EB8
           "16r7470"    16r9EB4
           "16r7471"    16r8D73
           "16r7472"    16r8D84
           "16r7473"    16r8D94
           "16r7474"    16r8D91
           "16r7475"    16r8DB1
           "16r7476"    16r8D67
           "16r7477"    16r8D6D
           "16r7478"    16r8C47
           "16r7479"    16r8C49
           "16r747A"    16r914A
           "16r747B"    16r9150
           "16r747C"    16r914E
           "16r747D"    16r914F
           "16r747E"    16r9164
           ) at:(code - 16r7420).
    ].
    code <= 16r7520 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r757E ifTrue:[
        ^ #(
           "16r7521"    16r9162
           "16r7522"    16r9161
           "16r7523"    16r9170
           "16r7524"    16r9169
           "16r7525"    16r916F
           "16r7526"    16r917D
           "16r7527"    16r917E
           "16r7528"    16r9172
           "16r7529"    16r9174
           "16r752A"    16r9179
           "16r752B"    16r918C
           "16r752C"    16r9185
           "16r752D"    16r9190
           "16r752E"    16r918D
           "16r752F"    16r9191
           "16r7530"    16r91A2
           "16r7531"    16r91A3
           "16r7532"    16r91AA
           "16r7533"    16r91AD
           "16r7534"    16r91AE
           "16r7535"    16r91AF
           "16r7536"    16r91B5
           "16r7537"    16r91B4
           "16r7538"    16r91BA
           "16r7539"    16r8C55
           "16r753A"    16r9E7E
           "16r753B"    16r8DB8
           "16r753C"    16r8DEB
           "16r753D"    16r8E05
           "16r753E"    16r8E59
           "16r753F"    16r8E69
           "16r7540"    16r8DB5
           "16r7541"    16r8DBF
           "16r7542"    16r8DBC
           "16r7543"    16r8DBA
           "16r7544"    16r8DC4
           "16r7545"    16r8DD6
           "16r7546"    16r8DD7
           "16r7547"    16r8DDA
           "16r7548"    16r8DDE
           "16r7549"    16r8DCE
           "16r754A"    16r8DCF
           "16r754B"    16r8DDB
           "16r754C"    16r8DC6
           "16r754D"    16r8DEC
           "16r754E"    16r8DF7
           "16r754F"    16r8DF8
           "16r7550"    16r8DE3
           "16r7551"    16r8DF9
           "16r7552"    16r8DFB
           "16r7553"    16r8DE4
           "16r7554"    16r8E09
           "16r7555"    16r8DFD
           "16r7556"    16r8E14
           "16r7557"    16r8E1D
           "16r7558"    16r8E1F
           "16r7559"    16r8E2C
           "16r755A"    16r8E2E
           "16r755B"    16r8E23
           "16r755C"    16r8E2F
           "16r755D"    16r8E3A
           "16r755E"    16r8E40
           "16r755F"    16r8E39
           "16r7560"    16r8E35
           "16r7561"    16r8E3D
           "16r7562"    16r8E31
           "16r7563"    16r8E49
           "16r7564"    16r8E41
           "16r7565"    16r8E42
           "16r7566"    16r8E51
           "16r7567"    16r8E52
           "16r7568"    16r8E4A
           "16r7569"    16r8E70
           "16r756A"    16r8E76
           "16r756B"    16r8E7C
           "16r756C"    16r8E6F
           "16r756D"    16r8E74
           "16r756E"    16r8E85
           "16r756F"    16r8E8F
           "16r7570"    16r8E94
           "16r7571"    16r8E90
           "16r7572"    16r8E9C
           "16r7573"    16r8E9E
           "16r7574"    16r8C78
           "16r7575"    16r8C82
           "16r7576"    16r8C8A
           "16r7577"    16r8C85
           "16r7578"    16r8C98
           "16r7579"    16r8C94
           "16r757A"    16r659B
           "16r757B"    16r89D6
           "16r757C"    16r89DE
           "16r757D"    16r89DA
           "16r757E"    16r89DC
           ) at:(code - 16r7520).
    ].
    code <= 16r7620 ifTrue:[
        ^ self decodingError.
    ].
    code <= 16r767E ifTrue:[
        ^ #(
           "16r7621"    16r89E5
           "16r7622"    16r89EB
           "16r7623"    16r89EF
           "16r7624"    16r8A3E
           "16r7625"    16r8B26
           "16r7626"    16r9753
           "16r7627"    16r96E9
           "16r7628"    16r96F3
           "16r7629"    16r96EF
           "16r762A"    16r9706
           "16r762B"    16r9701
           "16r762C"    16r9708
           "16r762D"    16r970F
           "16r762E"    16r970E
           "16r762F"    16r972A
           "16r7630"    16r972D
           "16r7631"    16r9730
           "16r7632"    16r973E
           "16r7633"    16r9F80
           "16r7634"    16r9F83
           "16r7635"    16r9F85
           "16r7636"    16r9F86
           "16r7637"    16r9F87
           "16r7638"    16r9F88
           "16r7639"    16r9F89
           "16r763A"    16r9F8A
           "16r763B"    16r9F8C
           "16r763C"    16r9EFE
           "16r763D"    16r9F0B
           "16r763E"    16r9F0D
           "16r763F"    16r96B9
           "16r7640"    16r96BC
           "16r7641"    16r96BD
           "16r7642"    16r96CE
           "16r7643"    16r96D2
           "16r7644"    16r77BF
           "16r7645"    16r96E0
           "16r7646"    16r928E
           "16r7647"    16r92AE
           "16r7648"    16r92C8
           "16r7649"    16r933E
           "16r764A"    16r936A
           "16r764B"    16r93CA
           "16r764C"    16r938F
           "16r764D"    16r943E
           "16r764E"    16r946B
           "16r764F"    16r9C7F
           "16r7650"    16r9C82
           "16r7651"    16r9C85
           "16r7652"    16r9C86
           "16r7653"    16r9C87
           "16r7654"    16r9C88
           "16r7655"    16r7A23
           "16r7656"    16r9C8B
           "16r7657"    16r9C8E
           "16r7658"    16r9C90
           "16r7659"    16r9C91
           "16r765A"    16r9C92
           "16r765B"    16r9C94
           "16r765C"    16r9C95
           "16r765D"    16r9C9A
           "16r765E"    16r9C9B
           "16r765F"    16r9C9E
           "16r7660"    16r9C9F
           "16r7661"    16r9CA0
           "16r7662"    16r9CA1
           "16r7663"    16r9CA2
           "16r7664"    16r9CA3
           "16r7665"    16r9CA5
           "16r7666"    16r9CA6
           "16r7667"    16r9CA7
           "16r7668"    16r9CA8
           "16r7669"    16r9CA9
           "16r766A"    16r9CAB
           "16r766B"    16r9CAD
           "16r766C"    16r9CAE
           "16r766D"    16r9CB0
           "16r766E"    16r9CB1
           "16r766F"    16r9CB2
           "16r7670"    16r9CB3
           "16r7671"    16r9CB4
           "16r7672"    16r9CB5
           "16r7673"    16r9CB6
           "16r7674"    16r9CB7
           "16r7675"    16r9CBA
           "16r7676"    16r9CBB
           "16r7677"    16r9CBC
           "16r7678"    16r9CBD
           "16r7679"    16r9CC4
           "16r767A"    16r9CC5
           "16r767B"    16r9CC6
           "16r767C"    16r9CC7
           "16r767D"    16r9CCA
           "16r767E"    16r9CCB
           ) at:(code - 16r7620).
    ].
    code <= 16r7720 ifTrue:[
        ^ self decodingError.
    ].
    ^ #(
       "16r7721"    16r9CCC
       "16r7722"    16r9CCD
       "16r7723"    16r9CCE
       "16r7724"    16r9CCF
       "16r7725"    16r9CD0
       "16r7726"    16r9CD3
       "16r7727"    16r9CD4
       "16r7728"    16r9CD5
       "16r7729"    16r9CD7
       "16r772A"    16r9CD8
       "16r772B"    16r9CD9
       "16r772C"    16r9CDC
       "16r772D"    16r9CDD
       "16r772E"    16r9CDF
       "16r772F"    16r9CE2
       "16r7730"    16r977C
       "16r7731"    16r9785
       "16r7732"    16r9791
       "16r7733"    16r9792
       "16r7734"    16r9794
       "16r7735"    16r97AF
       "16r7736"    16r97AB
       "16r7737"    16r97A3
       "16r7738"    16r97B2
       "16r7739"    16r97B4
       "16r773A"    16r9AB1
       "16r773B"    16r9AB0
       "16r773C"    16r9AB7
       "16r773D"    16r9E58
       "16r773E"    16r9AB6
       "16r773F"    16r9ABA
       "16r7740"    16r9ABC
       "16r7741"    16r9AC1
       "16r7742"    16r9AC0
       "16r7743"    16r9AC5
       "16r7744"    16r9AC2
       "16r7745"    16r9ACB
       "16r7746"    16r9ACC
       "16r7747"    16r9AD1
       "16r7748"    16r9B45
       "16r7749"    16r9B43
       "16r774A"    16r9B47
       "16r774B"    16r9B49
       "16r774C"    16r9B48
       "16r774D"    16r9B4D
       "16r774E"    16r9B51
       "16r774F"    16r98E8
       "16r7750"    16r990D
       "16r7751"    16r992E
       "16r7752"    16r9955
       "16r7753"    16r9954
       "16r7754"    16r9ADF
       "16r7755"    16r9AE1
       "16r7756"    16r9AE6
       "16r7757"    16r9AEF
       "16r7758"    16r9AEB
       "16r7759"    16r9AFB
       "16r775A"    16r9AED
       "16r775B"    16r9AF9
       "16r775C"    16r9B08
       "16r775D"    16r9B0F
       "16r775E"    16r9B13
       "16r775F"    16r9B1F
       "16r7760"    16r9B23
       "16r7761"    16r9EBD
       "16r7762"    16r9EBE
       "16r7763"    16r7E3B
       "16r7764"    16r9E82
       "16r7765"    16r9E87
       "16r7766"    16r9E88
       "16r7767"    16r9E8B
       "16r7768"    16r9E92
       "16r7769"    16r93D6
       "16r776A"    16r9E9D
       "16r776B"    16r9E9F
       "16r776C"    16r9EDB
       "16r776D"    16r9EDC
       "16r776E"    16r9EDD
       "16r776F"    16r9EE0
       "16r7770"    16r9EDF
       "16r7771"    16r9EE2
       "16r7772"    16r9EE9
       "16r7773"    16r9EE7
       "16r7774"    16r9EE5
       "16r7775"    16r9EEA
       "16r7776"    16r9EEF
       "16r7777"    16r9F22
       "16r7778"    16r9F2C
       "16r7779"    16r9F2F
       "16r777A"    16r9F39
       "16r777B"    16r9F37
       "16r777C"    16r9F3D
       "16r777D"    16r9F3E
       "16r777E"    16r9F44
       ) at:(code - 16r7720).
!

encode:unicodeArg
    "Automagically generated by generateCode - do not modify.
     Encode from unicode into my encoding."

    |unicode "{ Class: SmallInteger }"|

    unicode := unicodeArg.
    unicode <= 16r20 ifTrue:[
        ^ self decodingError.
    ].
    unicode > 16rFFE5 ifTrue:[
        ^ self encodingError.
    ].
    unicode <= 16r9FA0 ifTrue:[
        unicode <= 16r3229 ifTrue:[
            unicode <= 16r451 ifTrue:[
                unicode <= 16r1DC ifTrue:[
                    unicode <= 16r16B ifTrue:[
                        [
                            |t|
                            t := #(
                               "16r0021"    16r2321
                               "16r0022"    16r2322
                               "16r0023"    16r2323
                               "16r0024"    16r2167
                               "16r0025"    16r2325
                               "16r0026"    16r2326
                               "16r0027"    16r2327
                               "16r0028"    16r2328
                               "16r0029"    16r2329
                               "16r002A"    16r232A
                               "16r002B"    16r232B
                               "16r002C"    16r232C
                               "16r002D"    16r232D
                               "16r002E"    16r232E
                               "16r002F"    16r232F
                               "16r0030"    16r2330
                               "16r0031"    16r2331
                               "16r0032"    16r2332
                               "16r0033"    16r2333
                               "16r0034"    16r2334
                               "16r0035"    16r2335
                               "16r0036"    16r2336
                               "16r0037"    16r2337
                               "16r0038"    16r2338
                               "16r0039"    16r2339
                               "16r003A"    16r233A
                               "16r003B"    16r233B
                               "16r003C"    16r233C
                               "16r003D"    16r233D
                               "16r003E"    16r233E
                               "16r003F"    16r233F
                               "16r0040"    16r2340
                               "16r0041"    16r2341
                               "16r0042"    16r2342
                               "16r0043"    16r2343
                               "16r0044"    16r2344
                               "16r0045"    16r2345
                               "16r0046"    16r2346
                               "16r0047"    16r2347
                               "16r0048"    16r2348
                               "16r0049"    16r2349
                               "16r004A"    16r234A
                               "16r004B"    16r234B
                               "16r004C"    16r234C
                               "16r004D"    16r234D
                               "16r004E"    16r234E
                               "16r004F"    16r234F
                               "16r0050"    16r2350
                               "16r0051"    16r2351
                               "16r0052"    16r2352
                               "16r0053"    16r2353
                               "16r0054"    16r2354
                               "16r0055"    16r2355
                               "16r0056"    16r2356
                               "16r0057"    16r2357
                               "16r0058"    16r2358
                               "16r0059"    16r2359
                               "16r005A"    16r235A
                               "16r005B"    16r235B
                               "16r005C"    16r235C
                               "16r005D"    16r235D
                               "16r005E"    16r235E
                               "16r005F"    16r235F
                               "16r0060"    16r2360
                               "16r0061"    16r2361
                               "16r0062"    16r2362
                               "16r0063"    16r2363
                               "16r0064"    16r2364
                               "16r0065"    16r2365
                               "16r0066"    16r2366
                               "16r0067"    16r2367
                               "16r0068"    16r2368
                               "16r0069"    16r2369
                               "16r006A"    16r236A
                               "16r006B"    16r236B
                               "16r006C"    16r236C
                               "16r006D"    16r236D
                               "16r006E"    16r236E
                               "16r006F"    16r236F
                               "16r0070"    16r2370
                               "16r0071"    16r2371
                               "16r0072"    16r2372
                               "16r0073"    16r2373
                               "16r0074"    16r2374
                               "16r0075"    16r2375
                               "16r0076"    16r2376
                               "16r0077"    16r2377
                               "16r0078"    16r2378
                               "16r0079"    16r2379
                               "16r007A"    16r237A
                               "16r007B"    16r237B
                               "16r007C"    16r237C
                               "16r007D"    16r237D
                               "16r007E"    16r212B
                               "16r007F"    16r0000 " invalid " 
                               "16r0080"    16r0000 " invalid " 
                               "16r0081"    16r0000 " invalid " 
                               "16r0082"    16r0000 " invalid " 
                               "16r0083"    16r0000 " invalid " 
                               "16r0084"    16r0000 " invalid " 
                               "16r0085"    16r0000 " invalid " 
                               "16r0086"    16r0000 " invalid " 
                               "16r0087"    16r0000 " invalid " 
                               "16r0088"    16r0000 " invalid " 
                               "16r0089"    16r0000 " invalid " 
                               "16r008A"    16r0000 " invalid " 
                               "16r008B"    16r0000 " invalid " 
                               "16r008C"    16r0000 " invalid " 
                               "16r008D"    16r0000 " invalid " 
                               "16r008E"    16r0000 " invalid " 
                               "16r008F"    16r0000 " invalid " 
                               "16r0090"    16r0000 " invalid " 
                               "16r0091"    16r0000 " invalid " 
                               "16r0092"    16r0000 " invalid " 
                               "16r0093"    16r0000 " invalid " 
                               "16r0094"    16r0000 " invalid " 
                               "16r0095"    16r0000 " invalid " 
                               "16r0096"    16r0000 " invalid " 
                               "16r0097"    16r0000 " invalid " 
                               "16r0098"    16r0000 " invalid " 
                               "16r0099"    16r0000 " invalid " 
                               "16r009A"    16r0000 " invalid " 
                               "16r009B"    16r0000 " invalid " 
                               "16r009C"    16r0000 " invalid " 
                               "16r009D"    16r0000 " invalid " 
                               "16r009E"    16r0000 " invalid " 
                               "16r009F"    16r0000 " invalid " 
                               "16r00A0"    16r0000 " invalid " 
                               "16r00A1"    16r0000 " invalid " 
                               "16r00A2"    16r0000 " invalid " 
                               "16r00A3"    16r0000 " invalid " 
                               "16r00A4"    16r2168
                               "16r00A5"    16r0000 " invalid " 
                               "16r00A6"    16r0000 " invalid " 
                               "16r00A7"    16r216C
                               "16r00A8"    16r2127
                               "16r00A9"    16r0000 " invalid " 
                               "16r00AA"    16r0000 " invalid " 
                               "16r00AB"    16r0000 " invalid " 
                               "16r00AC"    16r0000 " invalid " 
                               "16r00AD"    16r0000 " invalid " 
                               "16r00AE"    16r0000 " invalid " 
                               "16r00AF"    16r0000 " invalid " 
                               "16r00B0"    16r2163
                               "16r00B1"    16r2140
                               "16r00B2"    16r0000 " invalid " 
                               "16r00B3"    16r0000 " invalid " 
                               "16r00B4"    16r0000 " invalid " 
                               "16r00B5"    16r0000 " invalid " 
                               "16r00B6"    16r0000 " invalid " 
                               "16r00B7"    16r0000 " invalid " 
                               "16r00B8"    16r0000 " invalid " 
                               "16r00B9"    16r0000 " invalid " 
                               "16r00BA"    16r0000 " invalid " 
                               "16r00BB"    16r0000 " invalid " 
                               "16r00BC"    16r0000 " invalid " 
                               "16r00BD"    16r0000 " invalid " 
                               "16r00BE"    16r0000 " invalid " 
                               "16r00BF"    16r0000 " invalid " 
                               "16r00C0"    16r0000 " invalid " 
                               "16r00C1"    16r0000 " invalid " 
                               "16r00C2"    16r0000 " invalid " 
                               "16r00C3"    16r0000 " invalid " 
                               "16r00C4"    16r0000 " invalid " 
                               "16r00C5"    16r0000 " invalid " 
                               "16r00C6"    16r0000 " invalid " 
                               "16r00C7"    16r0000 " invalid " 
                               "16r00C8"    16r0000 " invalid " 
                               "16r00C9"    16r0000 " invalid " 
                               "16r00CA"    16r0000 " invalid " 
                               "16r00CB"    16r0000 " invalid " 
                               "16r00CC"    16r0000 " invalid " 
                               "16r00CD"    16r0000 " invalid " 
                               "16r00CE"    16r0000 " invalid " 
                               "16r00CF"    16r0000 " invalid " 
                               "16r00D0"    16r0000 " invalid " 
                               "16r00D1"    16r0000 " invalid " 
                               "16r00D2"    16r0000 " invalid " 
                               "16r00D3"    16r0000 " invalid " 
                               "16r00D4"    16r0000 " invalid " 
                               "16r00D5"    16r0000 " invalid " 
                               "16r00D6"    16r0000 " invalid " 
                               "16r00D7"    16r2141
                               "16r00D8"    16r0000 " invalid " 
                               "16r00D9"    16r0000 " invalid " 
                               "16r00DA"    16r0000 " invalid " 
                               "16r00DB"    16r0000 " invalid " 
                               "16r00DC"    16r0000 " invalid " 
                               "16r00DD"    16r0000 " invalid " 
                               "16r00DE"    16r0000 " invalid " 
                               "16r00DF"    16r0000 " invalid " 
                               "16r00E0"    16r2824
                               "16r00E1"    16r2822
                               "16r00E2"    16r0000 " invalid " 
                               "16r00E3"    16r0000 " invalid " 
                               "16r00E4"    16r0000 " invalid " 
                               "16r00E5"    16r0000 " invalid " 
                               "16r00E6"    16r0000 " invalid " 
                               "16r00E7"    16r0000 " invalid " 
                               "16r00E8"    16r2828
                               "16r00E9"    16r2826
                               "16r00EA"    16r283A
                               "16r00EB"    16r0000 " invalid " 
                               "16r00EC"    16r282C
                               "16r00ED"    16r282A
                               "16r00EE"    16r0000 " invalid " 
                               "16r00EF"    16r0000 " invalid " 
                               "16r00F0"    16r0000 " invalid " 
                               "16r00F1"    16r0000 " invalid " 
                               "16r00F2"    16r2830
                               "16r00F3"    16r282E
                               "16r00F4"    16r0000 " invalid " 
                               "16r00F5"    16r0000 " invalid " 
                               "16r00F6"    16r0000 " invalid " 
                               "16r00F7"    16r2142
                               "16r00F8"    16r0000 " invalid " 
                               "16r00F9"    16r2834
                               "16r00FA"    16r2832
                               "16r00FB"    16r0000 " invalid " 
                               "16r00FC"    16r2839
                               "16r00FD"    16r0000 " invalid " 
                               "16r00FE"    16r0000 " invalid " 
                               "16r00FF"    16r0000 " invalid " 
                               "16r0100"    16r0000 " invalid " 
                               "16r0101"    16r2821
                               "16r0102"    16r0000 " invalid " 
                               "16r0103"    16r0000 " invalid " 
                               "16r0104"    16r0000 " invalid " 
                               "16r0105"    16r0000 " invalid " 
                               "16r0106"    16r0000 " invalid " 
                               "16r0107"    16r0000 " invalid " 
                               "16r0108"    16r0000 " invalid " 
                               "16r0109"    16r0000 " invalid " 
                               "16r010A"    16r0000 " invalid " 
                               "16r010B"    16r0000 " invalid " 
                               "16r010C"    16r0000 " invalid " 
                               "16r010D"    16r0000 " invalid " 
                               "16r010E"    16r0000 " invalid " 
                               "16r010F"    16r0000 " invalid " 
                               "16r0110"    16r0000 " invalid " 
                               "16r0111"    16r0000 " invalid " 
                               "16r0112"    16r0000 " invalid " 
                               "16r0113"    16r2825
                               "16r0114"    16r0000 " invalid " 
                               "16r0115"    16r0000 " invalid " 
                               "16r0116"    16r0000 " invalid " 
                               "16r0117"    16r0000 " invalid " 
                               "16r0118"    16r0000 " invalid " 
                               "16r0119"    16r0000 " invalid " 
                               "16r011A"    16r0000 " invalid " 
                               "16r011B"    16r2827
                               "16r011C"    16r0000 " invalid " 
                               "16r011D"    16r0000 " invalid " 
                               "16r011E"    16r0000 " invalid " 
                               "16r011F"    16r0000 " invalid " 
                               "16r0120"    16r0000 " invalid " 
                               "16r0121"    16r0000 " invalid " 
                               "16r0122"    16r0000 " invalid " 
                               "16r0123"    16r0000 " invalid " 
                               "16r0124"    16r0000 " invalid " 
                               "16r0125"    16r0000 " invalid " 
                               "16r0126"    16r0000 " invalid " 
                               "16r0127"    16r0000 " invalid " 
                               "16r0128"    16r0000 " invalid " 
                               "16r0129"    16r0000 " invalid " 
                               "16r012A"    16r0000 " invalid " 
                               "16r012B"    16r2829
                               "16r012C"    16r0000 " invalid " 
                               "16r012D"    16r0000 " invalid " 
                               "16r012E"    16r0000 " invalid " 
                               "16r012F"    16r0000 " invalid " 
                               "16r0130"    16r0000 " invalid " 
                               "16r0131"    16r0000 " invalid " 
                               "16r0132"    16r0000 " invalid " 
                               "16r0133"    16r0000 " invalid " 
                               "16r0134"    16r0000 " invalid " 
                               "16r0135"    16r0000 " invalid " 
                               "16r0136"    16r0000 " invalid " 
                               "16r0137"    16r0000 " invalid " 
                               "16r0138"    16r0000 " invalid " 
                               "16r0139"    16r0000 " invalid " 
                               "16r013A"    16r0000 " invalid " 
                               "16r013B"    16r0000 " invalid " 
                               "16r013C"    16r0000 " invalid " 
                               "16r013D"    16r0000 " invalid " 
                               "16r013E"    16r0000 " invalid " 
                               "16r013F"    16r0000 " invalid " 
                               "16r0140"    16r0000 " invalid " 
                               "16r0141"    16r0000 " invalid " 
                               "16r0142"    16r0000 " invalid " 
                               "16r0143"    16r0000 " invalid " 
                               "16r0144"    16r0000 " invalid " 
                               "16r0145"    16r0000 " invalid " 
                               "16r0146"    16r0000 " invalid " 
                               "16r0147"    16r0000 " invalid " 
                               "16r0148"    16r0000 " invalid " 
                               "16r0149"    16r0000 " invalid " 
                               "16r014A"    16r0000 " invalid " 
                               "16r014B"    16r0000 " invalid " 
                               "16r014C"    16r0000 " invalid " 
                               "16r014D"    16r282D
                               "16r014E"    16r0000 " invalid " 
                               "16r014F"    16r0000 " invalid " 
                               "16r0150"    16r0000 " invalid " 
                               "16r0151"    16r0000 " invalid " 
                               "16r0152"    16r0000 " invalid " 
                               "16r0153"    16r0000 " invalid " 
                               "16r0154"    16r0000 " invalid " 
                               "16r0155"    16r0000 " invalid " 
                               "16r0156"    16r0000 " invalid " 
                               "16r0157"    16r0000 " invalid " 
                               "16r0158"    16r0000 " invalid " 
                               "16r0159"    16r0000 " invalid " 
                               "16r015A"    16r0000 " invalid " 
                               "16r015B"    16r0000 " invalid " 
                               "16r015C"    16r0000 " invalid " 
                               "16r015D"    16r0000 " invalid " 
                               "16r015E"    16r0000 " invalid " 
                               "16r015F"    16r0000 " invalid " 
                               "16r0160"    16r0000 " invalid " 
                               "16r0161"    16r0000 " invalid " 
                               "16r0162"    16r0000 " invalid " 
                               "16r0163"    16r0000 " invalid " 
                               "16r0164"    16r0000 " invalid " 
                               "16r0165"    16r0000 " invalid " 
                               "16r0166"    16r0000 " invalid " 
                               "16r0167"    16r0000 " invalid " 
                               "16r0168"    16r0000 " invalid " 
                               "16r0169"    16r0000 " invalid " 
                               "16r016A"    16r0000 " invalid " 
                               "16r016B"    16r2831
                               ) at:(unicode - 16r20).
                            t == 0 ifFalse:[^ t].
                            ^ self encodingError
                        ] value.
                    ].
                    unicode <= 16r1CD ifTrue:[
                        ^ self encodingError
                    ].
                    [
                        |t|
                        t := #(
                           "16r01CE"    16r2823
                           "16r01CF"    16r0000 " invalid " 
                           "16r01D0"    16r282B
                           "16r01D1"    16r0000 " invalid " 
                           "16r01D2"    16r282F
                           "16r01D3"    16r0000 " invalid " 
                           "16r01D4"    16r2833
                           "16r01D5"    16r0000 " invalid " 
                           "16r01D6"    16r2835
                           "16r01D7"    16r0000 " invalid " 
                           "16r01D8"    16r2836
                           "16r01D9"    16r0000 " invalid " 
                           "16r01DA"    16r2837
                           "16r01DB"    16r0000 " invalid " 
                           "16r01DC"    16r2838
                           ) at:(unicode - 16r1CD).
                        t == 0 ifFalse:[^ t].
                        ^ self encodingError
                    ] value.
                ].
                unicode <= 16r2C6 ifTrue:[
                    ^ self encodingError
                ].
                unicode <= 16r2C9 ifTrue:[
                    [
                        |t|
                        t := #(
                           "16r02C7"    16r2126
                           "16r02C8"    16r0000 " invalid " 
                           "16r02C9"    16r2125
                           ) at:(unicode - 16r2C6).
                        t == 0 ifFalse:[^ t].
                        ^ self encodingError
                    ] value.
                ].
                unicode <= 16r390 ifTrue:[
                    ^ self encodingError
                ].
                unicode <= 16r3C9 ifTrue:[
                    [
                        |t|
                        t := #(
                           "16r0391"    16r2621
                           "16r0392"    16r2622
                           "16r0393"    16r2623
                           "16r0394"    16r2624
                           "16r0395"    16r2625
                           "16r0396"    16r2626
                           "16r0397"    16r2627
                           "16r0398"    16r2628
                           "16r0399"    16r2629
                           "16r039A"    16r262A
                           "16r039B"    16r262B
                           "16r039C"    16r262C
                           "16r039D"    16r262D
                           "16r039E"    16r262E
                           "16r039F"    16r262F
                           "16r03A0"    16r2630
                           "16r03A1"    16r2631
                           "16r03A2"    16r0000 " invalid " 
                           "16r03A3"    16r2632
                           "16r03A4"    16r2633
                           "16r03A5"    16r2634
                           "16r03A6"    16r2635
                           "16r03A7"    16r2636
                           "16r03A8"    16r2637
                           "16r03A9"    16r2638
                           "16r03AA"    16r0000 " invalid " 
                           "16r03AB"    16r0000 " invalid " 
                           "16r03AC"    16r0000 " invalid " 
                           "16r03AD"    16r0000 " invalid " 
                           "16r03AE"    16r0000 " invalid " 
                           "16r03AF"    16r0000 " invalid " 
                           "16r03B0"    16r0000 " invalid " 
                           "16r03B1"    16r2641
                           "16r03B2"    16r2642
                           "16r03B3"    16r2643
                           "16r03B4"    16r2644
                           "16r03B5"    16r2645
                           "16r03B6"    16r2646
                           "16r03B7"    16r2647
                           "16r03B8"    16r2648
                           "16r03B9"    16r2649
                           "16r03BA"    16r264A
                           "16r03BB"    16r264B
                           "16r03BC"    16r264C
                           "16r03BD"    16r264D
                           "16r03BE"    16r264E
                           "16r03BF"    16r264F
                           "16r03C0"    16r2650
                           "16r03C1"    16r2651
                           "16r03C2"    16r0000 " invalid " 
                           "16r03C3"    16r2652
                           "16r03C4"    16r2653
                           "16r03C5"    16r2654
                           "16r03C6"    16r2655
                           "16r03C7"    16r2656
                           "16r03C8"    16r2657
                           "16r03C9"    16r2658
                           ) at:(unicode - 16r390).
                        t == 0 ifFalse:[^ t].
                        ^ self encodingError
                    ] value.
                ].
                unicode <= 16r400 ifTrue:[
                    ^ self encodingError
                ].
                [
                    |t|
                    t := #(
                       "16r0401"    16r2727
                       "16r0402"    16r0000 " invalid " 
                       "16r0403"    16r0000 " invalid " 
                       "16r0404"    16r0000 " invalid " 
                       "16r0405"    16r0000 " invalid " 
                       "16r0406"    16r0000 " invalid " 
                       "16r0407"    16r0000 " invalid " 
                       "16r0408"    16r0000 " invalid " 
                       "16r0409"    16r0000 " invalid " 
                       "16r040A"    16r0000 " invalid " 
                       "16r040B"    16r0000 " invalid " 
                       "16r040C"    16r0000 " invalid " 
                       "16r040D"    16r0000 " invalid " 
                       "16r040E"    16r0000 " invalid " 
                       "16r040F"    16r0000 " invalid " 
                       "16r0410"    16r2721
                       "16r0411"    16r2722
                       "16r0412"    16r2723
                       "16r0413"    16r2724
                       "16r0414"    16r2725
                       "16r0415"    16r2726
                       "16r0416"    16r2728
                       "16r0417"    16r2729
                       "16r0418"    16r272A
                       "16r0419"    16r272B
                       "16r041A"    16r272C
                       "16r041B"    16r272D
                       "16r041C"    16r272E
                       "16r041D"    16r272F
                       "16r041E"    16r2730
                       "16r041F"    16r2731
                       "16r0420"    16r2732
                       "16r0421"    16r2733
                       "16r0422"    16r2734
                       "16r0423"    16r2735
                       "16r0424"    16r2736
                       "16r0425"    16r2737
                       "16r0426"    16r2738
                       "16r0427"    16r2739
                       "16r0428"    16r273A
                       "16r0429"    16r273B
                       "16r042A"    16r273C
                       "16r042B"    16r273D
                       "16r042C"    16r273E
                       "16r042D"    16r273F
                       "16r042E"    16r2740
                       "16r042F"    16r2741
                       "16r0430"    16r2751
                       "16r0431"    16r2752
                       "16r0432"    16r2753
                       "16r0433"    16r2754
                       "16r0434"    16r2755
                       "16r0435"    16r2756
                       "16r0436"    16r2758
                       "16r0437"    16r2759
                       "16r0438"    16r275A
                       "16r0439"    16r275B
                       "16r043A"    16r275C
                       "16r043B"    16r275D
                       "16r043C"    16r275E
                       "16r043D"    16r275F
                       "16r043E"    16r2760
                       "16r043F"    16r2761
                       "16r0440"    16r2762
                       "16r0441"    16r2763
                       "16r0442"    16r2764
                       "16r0443"    16r2765
                       "16r0444"    16r2766
                       "16r0445"    16r2767
                       "16r0446"    16r2768
                       "16r0447"    16r2769
                       "16r0448"    16r276A
                       "16r0449"    16r276B
                       "16r044A"    16r276C
                       "16r044B"    16r276D
                       "16r044C"    16r276E
                       "16r044D"    16r276F
                       "16r044E"    16r2770
                       "16r044F"    16r2771
                       "16r0450"    16r0000 " invalid " 
                       "16r0451"    16r2757
                       ) at:(unicode - 16r400).
                    t == 0 ifFalse:[^ t].
                    ^ self encodingError
                ] value.
            ].
            unicode <= 16r2014 ifTrue:[
                ^ self encodingError
            ].
            unicode <= 16r2642 ifTrue:[
                unicode <= 16r2312 ifTrue:[
                    unicode <= 16r203B ifTrue:[
                        [
                            |t|
                            t := #(
                               "16r2015"    16r212A
                               "16r2016"    16r0000 " invalid " 
                               "16r2017"    16r0000 " invalid " 
                               "16r2018"    16r212E
                               "16r2019"    16r212F
                               "16r201A"    16r0000 " invalid " 
                               "16r201B"    16r0000 " invalid " 
                               "16r201C"    16r2130
                               "16r201D"    16r2131
                               "16r201E"    16r0000 " invalid " 
                               "16r201F"    16r0000 " invalid " 
                               "16r2020"    16r0000 " invalid " 
                               "16r2021"    16r0000 " invalid " 
                               "16r2022"    16r0000 " invalid " 
                               "16r2023"    16r0000 " invalid " 
                               "16r2024"    16r0000 " invalid " 
                               "16r2025"    16r0000 " invalid " 
                               "16r2026"    16r212D
                               "16r2027"    16r0000 " invalid " 
                               "16r2028"    16r0000 " invalid " 
                               "16r2029"    16r0000 " invalid " 
                               "16r202A"    16r0000 " invalid " 
                               "16r202B"    16r0000 " invalid " 
                               "16r202C"    16r0000 " invalid " 
                               "16r202D"    16r0000 " invalid " 
                               "16r202E"    16r0000 " invalid " 
                               "16r202F"    16r0000 " invalid " 
                               "16r2030"    16r216B
                               "16r2031"    16r0000 " invalid " 
                               "16r2032"    16r2164
                               "16r2033"    16r2165
                               "16r2034"    16r0000 " invalid " 
                               "16r2035"    16r0000 " invalid " 
                               "16r2036"    16r0000 " invalid " 
                               "16r2037"    16r0000 " invalid " 
                               "16r2038"    16r0000 " invalid " 
                               "16r2039"    16r0000 " invalid " 
                               "16r203A"    16r0000 " invalid " 
                               "16r203B"    16r2179
                               ) at:(unicode - 16r2014).
                            t == 0 ifFalse:[^ t].
                            ^ self encodingError
                        ] value.
                    ].
                    unicode <= 16r2102 ifTrue:[
                        ^ self encodingError
                    ].
                    unicode <= 16r2193 ifTrue:[
                        unicode <= 16r2116 ifTrue:[
                            unicode == 16r2103 ifTrue:[
                                ^  "16r2103" 16r2166
                            ].
                            unicode <= 16r2115 ifTrue:[
                                ^ self encodingError
                            ].
                            ^  "16r2116" 16r216D
                        ].
                        unicode <= 16r215F ifTrue:[
                            ^ self encodingError
                        ].
                        unicode <= 16r216B ifTrue:[
                            ^ #(
                               "16r2160"    16r2271
                               "16r2161"    16r2272
                               "16r2162"    16r2273
                               "16r2163"    16r2274
                               "16r2164"    16r2275
                               "16r2165"    16r2276
                               "16r2166"    16r2277
                               "16r2167"    16r2278
                               "16r2168"    16r2279
                               "16r2169"    16r227A
                               "16r216A"    16r227B
                               "16r216B"    16r227C
                               ) at:(unicode - 16r215F).
                        ].
                        unicode <= 16r218F ifTrue:[
                            ^ self encodingError
                        ].
                        ^ #(
                           "16r2190"    16r217B
                           "16r2191"    16r217C
                           "16r2192"    16r217A
                           "16r2193"    16r217D
                           ) at:(unicode - 16r218F).
                    ].
                    unicode <= 16r2207 ifTrue:[
                        ^ self encodingError
                    ].
                    unicode <= 16r22A5 ifTrue:[
                        unicode <= 16r226F ifTrue:[
                            [
                                |t|
                                t := #(
                                   "16r2208"    16r214A
                                   "16r2209"    16r0000 " invalid " 
                                   "16r220A"    16r0000 " invalid " 
                                   "16r220B"    16r0000 " invalid " 
                                   "16r220C"    16r0000 " invalid " 
                                   "16r220D"    16r0000 " invalid " 
                                   "16r220E"    16r0000 " invalid " 
                                   "16r220F"    16r2147
                                   "16r2210"    16r0000 " invalid " 
                                   "16r2211"    16r2146
                                   "16r2212"    16r0000 " invalid " 
                                   "16r2213"    16r0000 " invalid " 
                                   "16r2214"    16r0000 " invalid " 
                                   "16r2215"    16r0000 " invalid " 
                                   "16r2216"    16r0000 " invalid " 
                                   "16r2217"    16r0000 " invalid " 
                                   "16r2218"    16r0000 " invalid " 
                                   "16r2219"    16r0000 " invalid " 
                                   "16r221A"    16r214C
                                   "16r221B"    16r0000 " invalid " 
                                   "16r221C"    16r0000 " invalid " 
                                   "16r221D"    16r2158
                                   "16r221E"    16r215E
                                   "16r221F"    16r0000 " invalid " 
                                   "16r2220"    16r214F
                                   "16r2221"    16r0000 " invalid " 
                                   "16r2222"    16r0000 " invalid " 
                                   "16r2223"    16r0000 " invalid " 
                                   "16r2224"    16r0000 " invalid " 
                                   "16r2225"    16r212C
                                   "16r2226"    16r0000 " invalid " 
                                   "16r2227"    16r2144
                                   "16r2228"    16r2145
                                   "16r2229"    16r2149
                                   "16r222A"    16r2148
                                   "16r222B"    16r2152
                                   "16r222C"    16r0000 " invalid " 
                                   "16r222D"    16r0000 " invalid " 
                                   "16r222E"    16r2153
                                   "16r222F"    16r0000 " invalid " 
                                   "16r2230"    16r0000 " invalid " 
                                   "16r2231"    16r0000 " invalid " 
                                   "16r2232"    16r0000 " invalid " 
                                   "16r2233"    16r0000 " invalid " 
                                   "16r2234"    16r2160
                                   "16r2235"    16r215F
                                   "16r2236"    16r2143
                                   "16r2237"    16r214B
                                   "16r2238"    16r0000 " invalid " 
                                   "16r2239"    16r0000 " invalid " 
                                   "16r223A"    16r0000 " invalid " 
                                   "16r223B"    16r0000 " invalid " 
                                   "16r223C"    16r0000 " invalid " 
                                   "16r223D"    16r2157
                                   "16r223E"    16r0000 " invalid " 
                                   "16r223F"    16r0000 " invalid " 
                                   "16r2240"    16r0000 " invalid " 
                                   "16r2241"    16r0000 " invalid " 
                                   "16r2242"    16r0000 " invalid " 
                                   "16r2243"    16r0000 " invalid " 
                                   "16r2244"    16r0000 " invalid " 
                                   "16r2245"    16r0000 " invalid " 
                                   "16r2246"    16r0000 " invalid " 
                                   "16r2247"    16r0000 " invalid " 
                                   "16r2248"    16r2156
                                   "16r2249"    16r0000 " invalid " 
                                   "16r224A"    16r0000 " invalid " 
                                   "16r224B"    16r0000 " invalid " 
                                   "16r224C"    16r2155
                                   "16r224D"    16r0000 " invalid " 
                                   "16r224E"    16r0000 " invalid " 
                                   "16r224F"    16r0000 " invalid " 
                                   "16r2250"    16r0000 " invalid " 
                                   "16r2251"    16r0000 " invalid " 
                                   "16r2252"    16r0000 " invalid " 
                                   "16r2253"    16r0000 " invalid " 
                                   "16r2254"    16r0000 " invalid " 
                                   "16r2255"    16r0000 " invalid " 
                                   "16r2256"    16r0000 " invalid " 
                                   "16r2257"    16r0000 " invalid " 
                                   "16r2258"    16r0000 " invalid " 
                                   "16r2259"    16r0000 " invalid " 
                                   "16r225A"    16r0000 " invalid " 
                                   "16r225B"    16r0000 " invalid " 
                                   "16r225C"    16r0000 " invalid " 
                                   "16r225D"    16r0000 " invalid " 
                                   "16r225E"    16r0000 " invalid " 
                                   "16r225F"    16r0000 " invalid " 
                                   "16r2260"    16r2159
                                   "16r2261"    16r2154
                                   "16r2262"    16r0000 " invalid " 
                                   "16r2263"    16r0000 " invalid " 
                                   "16r2264"    16r215C
                                   "16r2265"    16r215D
                                   "16r2266"    16r0000 " invalid " 
                                   "16r2267"    16r0000 " invalid " 
                                   "16r2268"    16r0000 " invalid " 
                                   "16r2269"    16r0000 " invalid " 
                                   "16r226A"    16r0000 " invalid " 
                                   "16r226B"    16r0000 " invalid " 
                                   "16r226C"    16r0000 " invalid " 
                                   "16r226D"    16r0000 " invalid " 
                                   "16r226E"    16r215A
                                   "16r226F"    16r215B
                                   ) at:(unicode - 16r2207).
                                t == 0 ifFalse:[^ t].
                                ^ self encodingError
                            ] value.
                        ].
                        unicode <= 16r2298 ifTrue:[
                            ^ self encodingError
                        ].
                        unicode == 16r2299 ifTrue:[
                            (#[
                               "16r2299"    1
                            ] at:(unicode - 8856)) ~~ 0 ifTrue:[^ unicode].
                            ^ self encodingError
                        ].
                        unicode <= 16r22A4 ifTrue:[
                            ^ self encodingError
                        ].
                        ^  "16r22A5" 16r214D
                    ].
                    unicode <= 16r2311 ifTrue:[
                        ^ self encodingError
                    ].
                    ^  "16r2312" 16r2150
                ].
                unicode <= 16r245F ifTrue:[
                    ^ self encodingError
                ].
                unicode <= 16r249B ifTrue:[
                    [
                        |t|
                        t := #(
                           "16r2460"    16r2259
                           "16r2461"    16r225A
                           "16r2462"    16r225B
                           "16r2463"    16r225C
                           "16r2464"    16r225D
                           "16r2465"    16r225E
                           "16r2466"    16r225F
                           "16r2467"    16r2260
                           "16r2468"    16r2261
                           "16r2469"    16r2262
                           "16r246A"    16r0000 " invalid " 
                           "16r246B"    16r0000 " invalid " 
                           "16r246C"    16r0000 " invalid " 
                           "16r246D"    16r0000 " invalid " 
                           "16r246E"    16r0000 " invalid " 
                           "16r246F"    16r0000 " invalid " 
                           "16r2470"    16r0000 " invalid " 
                           "16r2471"    16r0000 " invalid " 
                           "16r2472"    16r0000 " invalid " 
                           "16r2473"    16r0000 " invalid " 
                           "16r2474"    16r2245
                           "16r2475"    16r2246
                           "16r2476"    16r2247
                           "16r2477"    16r2248
                           "16r2478"    16r2249
                           "16r2479"    16r224A
                           "16r247A"    16r224B
                           "16r247B"    16r224C
                           "16r247C"    16r224D
                           "16r247D"    16r224E
                           "16r247E"    16r224F
                           "16r247F"    16r2250
                           "16r2480"    16r2251
                           "16r2481"    16r2252
                           "16r2482"    16r2253
                           "16r2483"    16r2254
                           "16r2484"    16r2255
                           "16r2485"    16r2256
                           "16r2486"    16r2257
                           "16r2487"    16r2258
                           "16r2488"    16r2231
                           "16r2489"    16r2232
                           "16r248A"    16r2233
                           "16r248B"    16r2234
                           "16r248C"    16r2235
                           "16r248D"    16r2236
                           "16r248E"    16r2237
                           "16r248F"    16r2238
                           "16r2490"    16r2239
                           "16r2491"    16r223A
                           "16r2492"    16r223B
                           "16r2493"    16r223C
                           "16r2494"    16r223D
                           "16r2495"    16r223E
                           "16r2496"    16r223F
                           "16r2497"    16r2240
                           "16r2498"    16r2241
                           "16r2499"    16r2242
                           "16r249A"    16r2243
                           "16r249B"    16r2244
                           ) at:(unicode - 16r245F).
                        t == 0 ifFalse:[^ t].
                        ^ self encodingError
                    ] value.
                ].
                unicode <= 16r24FF ifTrue:[
                    ^ self encodingError
                ].
                unicode <= 16r254B ifTrue:[
                    ^ #(
                       "16r2500"    16r2924
                       "16r2501"    16r2925
                       "16r2502"    16r2926
                       "16r2503"    16r2927
                       "16r2504"    16r2928
                       "16r2505"    16r2929
                       "16r2506"    16r292A
                       "16r2507"    16r292B
                       "16r2508"    16r292C
                       "16r2509"    16r292D
                       "16r250A"    16r292E
                       "16r250B"    16r292F
                       "16r250C"    16r2930
                       "16r250D"    16r2931
                       "16r250E"    16r2932
                       "16r250F"    16r2933
                       "16r2510"    16r2934
                       "16r2511"    16r2935
                       "16r2512"    16r2936
                       "16r2513"    16r2937
                       "16r2514"    16r2938
                       "16r2515"    16r2939
                       "16r2516"    16r293A
                       "16r2517"    16r293B
                       "16r2518"    16r293C
                       "16r2519"    16r293D
                       "16r251A"    16r293E
                       "16r251B"    16r293F
                       "16r251C"    16r2940
                       "16r251D"    16r2941
                       "16r251E"    16r2942
                       "16r251F"    16r2943
                       "16r2520"    16r2944
                       "16r2521"    16r2945
                       "16r2522"    16r2946
                       "16r2523"    16r2947
                       "16r2524"    16r2948
                       "16r2525"    16r2949
                       "16r2526"    16r294A
                       "16r2527"    16r294B
                       "16r2528"    16r294C
                       "16r2529"    16r294D
                       "16r252A"    16r294E
                       "16r252B"    16r294F
                       "16r252C"    16r2950
                       "16r252D"    16r2951
                       "16r252E"    16r2952
                       "16r252F"    16r2953
                       "16r2530"    16r2954
                       "16r2531"    16r2955
                       "16r2532"    16r2956
                       "16r2533"    16r2957
                       "16r2534"    16r2958
                       "16r2535"    16r2959
                       "16r2536"    16r295A
                       "16r2537"    16r295B
                       "16r2538"    16r295C
                       "16r2539"    16r295D
                       "16r253A"    16r295E
                       "16r253B"    16r295F
                       "16r253C"    16r2960
                       "16r253D"    16r2961
                       "16r253E"    16r2962
                       "16r253F"    16r2963
                       "16r2540"    16r2964
                       "16r2541"    16r2965
                       "16r2542"    16r2966
                       "16r2543"    16r2967
                       "16r2544"    16r2968
                       "16r2545"    16r2969
                       "16r2546"    16r296A
                       "16r2547"    16r296B
                       "16r2548"    16r296C
                       "16r2549"    16r296D
                       "16r254A"    16r296E
                       "16r254B"    16r296F
                       ) at:(unicode - 16r24FF).
                ].
                unicode <= 16r259F ifTrue:[
                    ^ self encodingError
                ].
                unicode <= 16r2606 ifTrue:[
                    unicode <= 16r25CF ifTrue:[
                        unicode <= 16r25B3 ifTrue:[
                            unicode <= 16r25A1 ifTrue:[
                                ^ #(
                                   "16r25A0"    16r2176
                                   "16r25A1"    16r2175
                                   ) at:(unicode - 16r259F).
                            ].
                            unicode <= 16r25B1 ifTrue:[
                                ^ self encodingError
                            ].
                            ^ #(
                               "16r25B2"    16r2178
                               "16r25B3"    16r2177
                               ) at:(unicode - 16r25B1).
                        ].
                        unicode <= 16r25C5 ifTrue:[
                            ^ self encodingError
                        ].
                        [
                            |t|
                            t := #(
                               "16r25C6"    16r2174
                               "16r25C7"    16r2173
                               "16r25C8"    16r0000 " invalid " 
                               "16r25C9"    16r0000 " invalid " 
                               "16r25CA"    16r0000 " invalid " 
                               "16r25CB"    16r2170
                               "16r25CC"    16r0000 " invalid " 
                               "16r25CD"    16r0000 " invalid " 
                               "16r25CE"    16r2172
                               "16r25CF"    16r2171
                               ) at:(unicode - 16r25C5).
                            t == 0 ifFalse:[^ t].
                            ^ self encodingError
                        ] value.
                    ].
                    unicode <= 16r2604 ifTrue:[
                        ^ self encodingError
                    ].
                    ^ #(
                       "16r2605"    16r216F
                       "16r2606"    16r216E
                       ) at:(unicode - 16r2604).
                ].
                unicode <= 16r263F ifTrue:[
                    ^ self encodingError
                ].
                [
                    |t|
                    t := #(
                       "16r2640"    16r2162
                       "16r2641"    16r0000 " invalid " 
                       "16r2642"    16r2161
                       ) at:(unicode - 16r263F).
                    t == 0 ifFalse:[^ t].
                    ^ self encodingError
                ] value.
            ].
            unicode <= 16r2FFF ifTrue:[
                ^ self encodingError
            ].
            unicode <= 16r3129 ifTrue:[
                unicode <= 16r3017 ifTrue:[
                    [
                        |t|
                        t := #(
                           "16r3000"    16r2121
                           "16r3001"    16r2122
                           "16r3002"    16r2123
                           "16r3003"    16r2128
                           "16r3004"    16r0000 " invalid " 
                           "16r3005"    16r2129
                           "16r3006"    16r0000 " invalid " 
                           "16r3007"    16r0000 " invalid " 
                           "16r3008"    16r2134
                           "16r3009"    16r2135
                           "16r300A"    16r2136
                           "16r300B"    16r2137
                           "16r300C"    16r2138
                           "16r300D"    16r2139
                           "16r300E"    16r213A
                           "16r300F"    16r213B
                           "16r3010"    16r213E
                           "16r3011"    16r213F
                           "16r3012"    16r0000 " invalid " 
                           "16r3013"    16r217E
                           "16r3014"    16r2132
                           "16r3015"    16r2133
                           "16r3016"    16r213C
                           "16r3017"    16r213D
                           ) at:(unicode - 16r2FFF).
                        t == 0 ifFalse:[^ t].
                        ^ self encodingError
                    ] value.
                ].
                unicode <= 16r3040 ifTrue:[
                    ^ self encodingError
                ].
                [
                    |t|
                    t := #(
                       "16r3041"    16r2421
                       "16r3042"    16r2422
                       "16r3043"    16r2423
                       "16r3044"    16r2424
                       "16r3045"    16r2425
                       "16r3046"    16r2426
                       "16r3047"    16r2427
                       "16r3048"    16r2428
                       "16r3049"    16r2429
                       "16r304A"    16r242A
                       "16r304B"    16r242B
                       "16r304C"    16r242C
                       "16r304D"    16r242D
                       "16r304E"    16r242E
                       "16r304F"    16r242F
                       "16r3050"    16r2430
                       "16r3051"    16r2431
                       "16r3052"    16r2432
                       "16r3053"    16r2433
                       "16r3054"    16r2434
                       "16r3055"    16r2435
                       "16r3056"    16r2436
                       "16r3057"    16r2437
                       "16r3058"    16r2438
                       "16r3059"    16r2439
                       "16r305A"    16r243A
                       "16r305B"    16r243B
                       "16r305C"    16r243C
                       "16r305D"    16r243D
                       "16r305E"    16r243E
                       "16r305F"    16r243F
                       "16r3060"    16r2440
                       "16r3061"    16r2441
                       "16r3062"    16r2442
                       "16r3063"    16r2443
                       "16r3064"    16r2444
                       "16r3065"    16r2445
                       "16r3066"    16r2446
                       "16r3067"    16r2447
                       "16r3068"    16r2448
                       "16r3069"    16r2449
                       "16r306A"    16r244A
                       "16r306B"    16r244B
                       "16r306C"    16r244C
                       "16r306D"    16r244D
                       "16r306E"    16r244E
                       "16r306F"    16r244F
                       "16r3070"    16r2450
                       "16r3071"    16r2451
                       "16r3072"    16r2452
                       "16r3073"    16r2453
                       "16r3074"    16r2454
                       "16r3075"    16r2455
                       "16r3076"    16r2456
                       "16r3077"    16r2457
                       "16r3078"    16r2458
                       "16r3079"    16r2459
                       "16r307A"    16r245A
                       "16r307B"    16r245B
                       "16r307C"    16r245C
                       "16r307D"    16r245D
                       "16r307E"    16r245E
                       "16r307F"    16r245F
                       "16r3080"    16r2460
                       "16r3081"    16r2461
                       "16r3082"    16r2462
                       "16r3083"    16r2463
                       "16r3084"    16r2464
                       "16r3085"    16r2465
                       "16r3086"    16r2466
                       "16r3087"    16r2467
                       "16r3088"    16r2468
                       "16r3089"    16r2469
                       "16r308A"    16r246A
                       "16r308B"    16r246B
                       "16r308C"    16r246C
                       "16r308D"    16r246D
                       "16r308E"    16r246E
                       "16r308F"    16r246F
                       "16r3090"    16r2470
                       "16r3091"    16r2471
                       "16r3092"    16r2472
                       "16r3093"    16r2473
                       "16r3094"    16r0000 " invalid " 
                       "16r3095"    16r0000 " invalid " 
                       "16r3096"    16r0000 " invalid " 
                       "16r3097"    16r0000 " invalid " 
                       "16r3098"    16r0000 " invalid " 
                       "16r3099"    16r0000 " invalid " 
                       "16r309A"    16r0000 " invalid " 
                       "16r309B"    16r0000 " invalid " 
                       "16r309C"    16r0000 " invalid " 
                       "16r309D"    16r0000 " invalid " 
                       "16r309E"    16r0000 " invalid " 
                       "16r309F"    16r0000 " invalid " 
                       "16r30A0"    16r0000 " invalid " 
                       "16r30A1"    16r2521
                       "16r30A2"    16r2522
                       "16r30A3"    16r2523
                       "16r30A4"    16r2524
                       "16r30A5"    16r2525
                       "16r30A6"    16r2526
                       "16r30A7"    16r2527
                       "16r30A8"    16r2528
                       "16r30A9"    16r2529
                       "16r30AA"    16r252A
                       "16r30AB"    16r252B
                       "16r30AC"    16r252C
                       "16r30AD"    16r252D
                       "16r30AE"    16r252E
                       "16r30AF"    16r252F
                       "16r30B0"    16r2530
                       "16r30B1"    16r2531
                       "16r30B2"    16r2532
                       "16r30B3"    16r2533
                       "16r30B4"    16r2534
                       "16r30B5"    16r2535
                       "16r30B6"    16r2536
                       "16r30B7"    16r2537
                       "16r30B8"    16r2538
                       "16r30B9"    16r2539
                       "16r30BA"    16r253A
                       "16r30BB"    16r253B
                       "16r30BC"    16r253C
                       "16r30BD"    16r253D
                       "16r30BE"    16r253E
                       "16r30BF"    16r253F
                       "16r30C0"    16r2540
                       "16r30C1"    16r2541
                       "16r30C2"    16r2542
                       "16r30C3"    16r2543
                       "16r30C4"    16r2544
                       "16r30C5"    16r2545
                       "16r30C6"    16r2546
                       "16r30C7"    16r2547
                       "16r30C8"    16r2548
                       "16r30C9"    16r2549
                       "16r30CA"    16r254A
                       "16r30CB"    16r254B
                       "16r30CC"    16r254C
                       "16r30CD"    16r254D
                       "16r30CE"    16r254E
                       "16r30CF"    16r254F
                       "16r30D0"    16r2550
                       "16r30D1"    16r2551
                       "16r30D2"    16r2552
                       "16r30D3"    16r2553
                       "16r30D4"    16r2554
                       "16r30D5"    16r2555
                       "16r30D6"    16r2556
                       "16r30D7"    16r2557
                       "16r30D8"    16r2558
                       "16r30D9"    16r2559
                       "16r30DA"    16r255A
                       "16r30DB"    16r255B
                       "16r30DC"    16r255C
                       "16r30DD"    16r255D
                       "16r30DE"    16r255E
                       "16r30DF"    16r255F
                       "16r30E0"    16r2560
                       "16r30E1"    16r2561
                       "16r30E2"    16r2562
                       "16r30E3"    16r2563
                       "16r30E4"    16r2564
                       "16r30E5"    16r2565
                       "16r30E6"    16r2566
                       "16r30E7"    16r2567
                       "16r30E8"    16r2568
                       "16r30E9"    16r2569
                       "16r30EA"    16r256A
                       "16r30EB"    16r256B
                       "16r30EC"    16r256C
                       "16r30ED"    16r256D
                       "16r30EE"    16r256E
                       "16r30EF"    16r256F
                       "16r30F0"    16r2570
                       "16r30F1"    16r2571
                       "16r30F2"    16r2572
                       "16r30F3"    16r2573
                       "16r30F4"    16r2574
                       "16r30F5"    16r2575
                       "16r30F6"    16r2576
                       "16r30F7"    16r0000 " invalid " 
                       "16r30F8"    16r0000 " invalid " 
                       "16r30F9"    16r0000 " invalid " 
                       "16r30FA"    16r0000 " invalid " 
                       "16r30FB"    16r2124
                       "16r30FC"    16r0000 " invalid " 
                       "16r30FD"    16r0000 " invalid " 
                       "16r30FE"    16r0000 " invalid " 
                       "16r30FF"    16r0000 " invalid " 
                       "16r3100"    16r0000 " invalid " 
                       "16r3101"    16r0000 " invalid " 
                       "16r3102"    16r0000 " invalid " 
                       "16r3103"    16r0000 " invalid " 
                       "16r3104"    16r0000 " invalid " 
                       "16r3105"    16r2845
                       "16r3106"    16r2846
                       "16r3107"    16r2847
                       "16r3108"    16r2848
                       "16r3109"    16r2849
                       "16r310A"    16r284A
                       "16r310B"    16r284B
                       "16r310C"    16r284C
                       "16r310D"    16r284D
                       "16r310E"    16r284E
                       "16r310F"    16r284F
                       "16r3110"    16r2850
                       "16r3111"    16r2851
                       "16r3112"    16r2852
                       "16r3113"    16r2853
                       "16r3114"    16r2854
                       "16r3115"    16r2855
                       "16r3116"    16r2856
                       "16r3117"    16r2857
                       "16r3118"    16r2858
                       "16r3119"    16r2859
                       "16r311A"    16r285A
                       "16r311B"    16r285B
                       "16r311C"    16r285C
                       "16r311D"    16r285D
                       "16r311E"    16r285E
                       "16r311F"    16r285F
                       "16r3120"    16r2860
                       "16r3121"    16r2861
                       "16r3122"    16r2862
                       "16r3123"    16r2863
                       "16r3124"    16r2864
                       "16r3125"    16r2865
                       "16r3126"    16r2866
                       "16r3127"    16r2867
                       "16r3128"    16r2868
                       "16r3129"    16r2869
                       ) at:(unicode - 16r3040).
                    t == 0 ifFalse:[^ t].
                    ^ self encodingError
                ] value.
            ].
            unicode <= 16r321F ifTrue:[
                ^ self encodingError
            ].
            ^ #(
               "16r3220"    16r2265
               "16r3221"    16r2266
               "16r3222"    16r2267
               "16r3223"    16r2268
               "16r3224"    16r2269
               "16r3225"    16r226A
               "16r3226"    16r226B
               "16r3227"    16r226C
               "16r3228"    16r226D
               "16r3229"    16r226E
               ) at:(unicode - 16r321F).
        ].
        unicode <= 16r4DFF ifTrue:[
            ^ self encodingError
        ].
        unicode <= 16r9CE2 ifTrue:[
            unicode <= 16r9B54 ifTrue:[
                unicode <= 16r99A8 ifTrue:[
                    unicode <= 16r8ECE ifTrue:[
                        unicode <= 16r7DAE ifTrue:[
                            unicode <= 16r6AAC ifTrue:[
                                [
                                    |t|
                                    t := #(
                                       "16r4E00"    16r523B
                                       "16r4E01"    16r3621
                                       "16r4E02"    16r0000 " invalid " 
                                       "16r4E03"    16r465F
                                       "16r4E04"    16r0000 " invalid " 
                                       "16r4E05"    16r0000 " invalid " 
                                       "16r4E06"    16r0000 " invalid " 
                                       "16r4E07"    16r4D72
                                       "16r4E08"    16r5549
                                       "16r4E09"    16r487D
                                       "16r4E0A"    16r494F
                                       "16r4E0B"    16r4F42
                                       "16r4E0C"    16r5822
                                       "16r4E0D"    16r323B
                                       "16r4E0E"    16r536B
                                       "16r4E0F"    16r0000 " invalid " 
                                       "16r4E10"    16r5824
                                       "16r4E11"    16r3373
                                       "16r4E12"    16r0000 " invalid " 
                                       "16r4E13"    16r5728
                                       "16r4E14"    16r4752
                                       "16r4E15"    16r5827
                                       "16r4E16"    16r4A40
                                       "16r4E17"    16r0000 " invalid " 
                                       "16r4E18"    16r4770
                                       "16r4E19"    16r317B
                                       "16r4E1A"    16r5235
                                       "16r4E1B"    16r3454
                                       "16r4E1C"    16r362B
                                       "16r4E1D"    16r4B3F
                                       "16r4E1E"    16r5829
                                       "16r4E1F"    16r0000 " invalid " 
                                       "16r4E20"    16r0000 " invalid " 
                                       "16r4E21"    16r0000 " invalid " 
                                       "16r4E22"    16r362A
                                       "16r4E23"    16r0000 " invalid " 
                                       "16r4E24"    16r413D
                                       "16r4E25"    16r514F
                                       "16r4E26"    16r0000 " invalid " 
                                       "16r4E27"    16r4925
                                       "16r4E28"    16r582D
                                       "16r4E29"    16r0000 " invalid " 
                                       "16r4E2A"    16r3876
                                       "16r4E2B"    16r513E
                                       "16r4E2C"    16r635C
                                       "16r4E2D"    16r5650
                                       "16r4E2E"    16r0000 " invalid " 
                                       "16r4E2F"    16r0000 " invalid " 
                                       "16r4E30"    16r3761
                                       "16r4E31"    16r0000 " invalid " 
                                       "16r4E32"    16r342E
                                       "16r4E33"    16r0000 " invalid " 
                                       "16r4E34"    16r4159
                                       "16r4E35"    16r0000 " invalid " 
                                       "16r4E36"    16r583C
                                       "16r4E37"    16r0000 " invalid " 
                                       "16r4E38"    16r4D68
                                       "16r4E39"    16r3524
                                       "16r4E3A"    16r4E2A
                                       "16r4E3B"    16r5677
                                       "16r4E3C"    16r0000 " invalid " 
                                       "16r4E3D"    16r4076
                                       "16r4E3E"    16r3E59
                                       "16r4E3F"    16r582F
                                       "16r4E40"    16r0000 " invalid " 
                                       "16r4E41"    16r0000 " invalid " 
                                       "16r4E42"    16r0000 " invalid " 
                                       "16r4E43"    16r444B
                                       "16r4E44"    16r0000 " invalid " 
                                       "16r4E45"    16r3E43
                                       "16r4E46"    16r0000 " invalid " 
                                       "16r4E47"    16r5831
                                       "16r4E48"    16r4334
                                       "16r4E49"    16r5265
                                       "16r4E4A"    16r0000 " invalid " 
                                       "16r4E4B"    16r562E
                                       "16r4E4C"    16r4E5A
                                       "16r4E4D"    16r5527
                                       "16r4E4E"    16r3A75
                                       "16r4E4F"    16r3726
                                       "16r4E50"    16r4056
                                       "16r4E51"    16r0000 " invalid " 
                                       "16r4E52"    16r4639
                                       "16r4E53"    16r4552
                                       "16r4E54"    16r4747
                                       "16r4E55"    16r0000 " invalid " 
                                       "16r4E56"    16r3954
                                       "16r4E57"    16r0000 " invalid " 
                                       "16r4E58"    16r334B
                                       "16r4E59"    16r5252
                                       "16r4E5A"    16r0000 " invalid " 
                                       "16r4E5B"    16r0000 " invalid " 
                                       "16r4E5C"    16r583F
                                       "16r4E5D"    16r3E45
                                       "16r4E5E"    16r4672
                                       "16r4E5F"    16r5232
                                       "16r4E60"    16r4F30
                                       "16r4E61"    16r4F67
                                       "16r4E62"    16r0000 " invalid " 
                                       "16r4E63"    16r0000 " invalid " 
                                       "16r4E64"    16r0000 " invalid " 
                                       "16r4E65"    16r0000 " invalid " 
                                       "16r4E66"    16r4A69
                                       "16r4E67"    16r0000 " invalid " 
                                       "16r4E68"    16r0000 " invalid " 
                                       "16r4E69"    16r5840
                                       "16r4E6A"    16r0000 " invalid " 
                                       "16r4E6B"    16r0000 " invalid " 
                                       "16r4E6C"    16r0000 " invalid " 
                                       "16r4E6D"    16r0000 " invalid " 
                                       "16r4E6E"    16r0000 " invalid " 
                                       "16r4E6F"    16r0000 " invalid " 
                                       "16r4E70"    16r4272
                                       "16r4E71"    16r4252
                                       "16r4E72"    16r0000 " invalid " 
                                       "16r4E73"    16r4869
                                       "16r4E74"    16r0000 " invalid " 
                                       "16r4E75"    16r0000 " invalid " 
                                       "16r4E76"    16r0000 " invalid " 
                                       "16r4E77"    16r0000 " invalid " 
                                       "16r4E78"    16r0000 " invalid " 
                                       "16r4E79"    16r0000 " invalid " 
                                       "16r4E7A"    16r0000 " invalid " 
                                       "16r4E7B"    16r0000 " invalid " 
                                       "16r4E7C"    16r0000 " invalid " 
                                       "16r4E7D"    16r0000 " invalid " 
                                       "16r4E7E"    16r472C
                                       "16r4E7F"    16r0000 " invalid " 
                                       "16r4E80"    16r0000 " invalid " 
                                       "16r4E81"    16r0000 " invalid " 
                                       "16r4E82"    16r0000 " invalid " 
                                       "16r4E83"    16r0000 " invalid " 
                                       "16r4E84"    16r0000 " invalid " 
                                       "16r4E85"    16r0000 " invalid " 
                                       "16r4E86"    16r414B
                                       "16r4E87"    16r0000 " invalid " 
                                       "16r4E88"    16r5368
                                       "16r4E89"    16r5579
                                       "16r4E8A"    16r0000 " invalid " 
                                       "16r4E8B"    16r4A42
                                       "16r4E8C"    16r367E
                                       "16r4E8D"    16r5821
                                       "16r4E8E"    16r535A
                                       "16r4E8F"    16r3F77
                                       "16r4E90"    16r0000 " invalid " 
                                       "16r4E91"    16r5446
                                       "16r4E92"    16r3B25
                                       "16r4E93"    16r5841
                                       "16r4E94"    16r4E65
                                       "16r4E95"    16r3E2E
                                       "16r4E96"    16r0000 " invalid " 
                                       "16r4E97"    16r0000 " invalid " 
                                       "16r4E98"    16r5828
                                       "16r4E99"    16r0000 " invalid " 
                                       "16r4E9A"    16r5147
                                       "16r4E9B"    16r5029
                                       "16r4E9C"    16r0000 " invalid " 
                                       "16r4E9D"    16r0000 " invalid " 
                                       "16r4E9E"    16r0000 " invalid " 
                                       "16r4E9F"    16r583D
                                       "16r4EA0"    16r596F
                                       "16r4EA1"    16r4D76
                                       "16r4EA2"    16r3F3A
                                       "16r4EA3"    16r0000 " invalid " 
                                       "16r4EA4"    16r3D3B
                                       "16r4EA5"    16r3A25
                                       "16r4EA6"    16r5260
                                       "16r4EA7"    16r327A
                                       "16r4EA8"    16r3A60
                                       "16r4EA9"    16r4436
                                       "16r4EAA"    16r0000 " invalid " 
                                       "16r4EAB"    16r4F6D
                                       "16r4EAC"    16r3E29
                                       "16r4EAD"    16r4D24
                                       "16r4EAE"    16r4141
                                       "16r4EAF"    16r0000 " invalid " 
                                       "16r4EB0"    16r0000 " invalid " 
                                       "16r4EB1"    16r0000 " invalid " 
                                       "16r4EB2"    16r4757
                                       "16r4EB3"    16r5971
                                       "16r4EB4"    16r0000 " invalid " 
                                       "16r4EB5"    16r5974
                                       "16r4EB6"    16r0000 " invalid " 
                                       "16r4EB7"    16r0000 " invalid " 
                                       "16r4EB8"    16r0000 " invalid " 
                                       "16r4EB9"    16r0000 " invalid " 
                                       "16r4EBA"    16r484B
                                       "16r4EBB"    16r5869
                                       "16r4EBC"    16r0000 " invalid " 
                                       "16r4EBD"    16r0000 " invalid " 
                                       "16r4EBE"    16r0000 " invalid " 
                                       "16r4EBF"    16r525A
                                       "16r4EC0"    16r4A32
                                       "16r4EC1"    16r484A
                                       "16r4EC2"    16r586C
                                       "16r4EC3"    16r586A
                                       "16r4EC4"    16r5846
                                       "16r4EC5"    16r3D76
                                       "16r4EC6"    16r464D
                                       "16r4EC7"    16r3370
                                       "16r4EC8"    16r0000 " invalid " 
                                       "16r4EC9"    16r586B
                                       "16r4ECA"    16r3D71
                                       "16r4ECB"    16r3D69
                                       "16r4ECC"    16r0000 " invalid " 
                                       "16r4ECD"    16r4854
                                       "16r4ECE"    16r3453
                                       "16r4ECF"    16r0000 " invalid " 
                                       "16r4ED0"    16r0000 " invalid " 
                                       "16r4ED1"    16r4258
                                       "16r4ED2"    16r0000 " invalid " 
                                       "16r4ED3"    16r3256
                                       "16r4ED4"    16r5750
                                       "16r4ED5"    16r4A4B
                                       "16r4ED6"    16r4B7B
                                       "16r4ED7"    16r554C
                                       "16r4ED8"    16r3836
                                       "16r4ED9"    16r4F49
                                       "16r4EDA"    16r0000 " invalid " 
                                       "16r4EDB"    16r0000 " invalid " 
                                       "16r4EDC"    16r0000 " invalid " 
                                       "16r4EDD"    16r595A
                                       "16r4EDE"    16r5870
                                       "16r4EDF"    16r472A
                                       "16r4EE0"    16r0000 " invalid " 
                                       "16r4EE1"    16r586E
                                       "16r4EE2"    16r0000 " invalid " 
                                       "16r4EE3"    16r347A
                                       "16r4EE4"    16r416E
                                       "16r4EE5"    16r5254
                                       "16r4EE6"    16r0000 " invalid " 
                                       "16r4EE7"    16r0000 " invalid " 
                                       "16r4EE8"    16r586D
                                       "16r4EE9"    16r0000 " invalid " 
                                       "16r4EEA"    16r5247
                                       "16r4EEB"    16r586F
                                       "16r4EEC"    16r4347
                                       "16r4EED"    16r0000 " invalid " 
                                       "16r4EEE"    16r0000 " invalid " 
                                       "16r4EEF"    16r0000 " invalid " 
                                       "16r4EF0"    16r5176
                                       "16r4EF1"    16r0000 " invalid " 
                                       "16r4EF2"    16r5659
                                       "16r4EF3"    16r5872
                                       "16r4EF4"    16r0000 " invalid " 
                                       "16r4EF5"    16r5875
                                       "16r4EF6"    16r3C7E
                                       "16r4EF7"    16r3C5B
                                       "16r4EF8"    16r0000 " invalid " 
                                       "16r4EF9"    16r0000 " invalid " 
                                       "16r4EFA"    16r0000 " invalid " 
                                       "16r4EFB"    16r484E
                                       "16r4EFC"    16r0000 " invalid " 
                                       "16r4EFD"    16r375D
                                       "16r4EFE"    16r0000 " invalid " 
                                       "16r4EFF"    16r3742
                                       "16r4F00"    16r0000 " invalid " 
                                       "16r4F01"    16r4673
                                       "16r4F02"    16r0000 " invalid " 
                                       "16r4F03"    16r0000 " invalid " 
                                       "16r4F04"    16r0000 " invalid " 
                                       "16r4F05"    16r0000 " invalid " 
                                       "16r4F06"    16r0000 " invalid " 
                                       "16r4F07"    16r0000 " invalid " 
                                       "16r4F08"    16r0000 " invalid " 
                                       "16r4F09"    16r5878
                                       "16r4F0A"    16r5241
                                       "16r4F0B"    16r0000 " invalid " 
                                       "16r4F0C"    16r0000 " invalid " 
                                       "16r4F0D"    16r4E69
                                       "16r4F0E"    16r3C3F
                                       "16r4F0F"    16r377C
                                       "16r4F10"    16r3725
                                       "16r4F11"    16r505D
                                       "16r4F12"    16r0000 " invalid " 
                                       "16r4F13"    16r0000 " invalid " 
                                       "16r4F14"    16r0000 " invalid " 
                                       "16r4F15"    16r0000 " invalid " 
                                       "16r4F16"    16r0000 " invalid " 
                                       "16r4F17"    16r565A
                                       "16r4F18"    16r5345
                                       "16r4F19"    16r3B6F
                                       "16r4F1A"    16r3B61
                                       "16r4F1B"    16r5871
                                       "16r4F1C"    16r0000 " invalid " 
                                       "16r4F1D"    16r0000 " invalid " 
                                       "16r4F1E"    16r4921
                                       "16r4F1F"    16r4E30
                                       "16r4F20"    16r342B
                                       "16r4F21"    16r0000 " invalid " 
                                       "16r4F22"    16r5873
                                       "16r4F23"    16r0000 " invalid " 
                                       "16r4F24"    16r494B
                                       "16r4F25"    16r5876
                                       "16r4F26"    16r4257
                                       "16r4F27"    16r5877
                                       "16r4F28"    16r0000 " invalid " 
                                       "16r4F29"    16r0000 " invalid " 
                                       "16r4F2A"    16r4E31
                                       "16r4F2B"    16r5879
                                       "16r4F2C"    16r0000 " invalid " 
                                       "16r4F2D"    16r0000 " invalid " 
                                       "16r4F2E"    16r0000 " invalid " 
                                       "16r4F2F"    16r322E
                                       "16r4F30"    16r3940
                                       "16r4F31"    16r0000 " invalid " 
                                       "16r4F32"    16r5923
                                       "16r4F33"    16r0000 " invalid " 
                                       "16r4F34"    16r3069
                                       "16r4F35"    16r0000 " invalid " 
                                       "16r4F36"    16r4166
                                       "16r4F37"    16r0000 " invalid " 
                                       "16r4F38"    16r496C
                                       "16r4F39"    16r0000 " invalid " 
                                       "16r4F3A"    16r4B45
                                       "16r4F3B"    16r0000 " invalid " 
                                       "16r4F3C"    16r4B46
                                       "16r4F3D"    16r5924
                                       "16r4F3E"    16r0000 " invalid " 
                                       "16r4F3F"    16r0000 " invalid " 
                                       "16r4F40"    16r0000 " invalid " 
                                       "16r4F41"    16r0000 " invalid " 
                                       "16r4F42"    16r0000 " invalid " 
                                       "16r4F43"    16r3568
                                       "16r4F44"    16r0000 " invalid " 
                                       "16r4F45"    16r0000 " invalid " 
                                       "16r4F46"    16r352B
                                       "16r4F47"    16r0000 " invalid " 
                                       "16r4F48"    16r0000 " invalid " 
                                       "16r4F49"    16r0000 " invalid " 
                                       "16r4F4A"    16r0000 " invalid " 
                                       "16r4F4B"    16r0000 " invalid " 
                                       "16r4F4C"    16r0000 " invalid " 
                                       "16r4F4D"    16r4E3B
                                       "16r4F4E"    16r354D
                                       "16r4F4F"    16r5721
                                       "16r4F50"    16r5774
                                       "16r4F51"    16r5353
                                       "16r4F52"    16r0000 " invalid " 
                                       "16r4F53"    16r4C65
                                       "16r4F54"    16r0000 " invalid " 
                                       "16r4F55"    16r3A4E
                                       "16r4F56"    16r0000 " invalid " 
                                       "16r4F57"    16r5922
                                       "16r4F58"    16r595C
                                       "16r4F59"    16r5360
                                       "16r4F5A"    16r587D
                                       "16r4F5B"    16r3770
                                       "16r4F5C"    16r5777
                                       "16r4F5D"    16r587E
                                       "16r4F5E"    16r587A
                                       "16r4F5F"    16r5921
                                       "16r4F60"    16r4463
                                       "16r4F61"    16r0000 " invalid " 
                                       "16r4F62"    16r0000 " invalid " 
                                       "16r4F63"    16r5336
                                       "16r4F64"    16r5874
                                       "16r4F65"    16r595D
                                       "16r4F66"    16r0000 " invalid " 
                                       "16r4F67"    16r587B
                                       "16r4F68"    16r0000 " invalid " 
                                       "16r4F69"    16r4565
                                       "16r4F6A"    16r0000 " invalid " 
                                       "16r4F6B"    16r0000 " invalid " 
                                       "16r4F6C"    16r4050
                                       "16r4F6D"    16r0000 " invalid " 
                                       "16r4F6E"    16r0000 " invalid " 
                                       "16r4F6F"    16r5170
                                       "16r4F70"    16r305B
                                       "16r4F71"    16r0000 " invalid " 
                                       "16r4F72"    16r0000 " invalid " 
                                       "16r4F73"    16r3C51
                                       "16r4F74"    16r5926
                                       "16r4F75"    16r0000 " invalid " 
                                       "16r4F76"    16r5925
                                       "16r4F77"    16r0000 " invalid " 
                                       "16r4F78"    16r0000 " invalid " 
                                       "16r4F79"    16r0000 " invalid " 
                                       "16r4F7A"    16r0000 " invalid " 
                                       "16r4F7B"    16r592C
                                       "16r4F7C"    16r592E
                                       "16r4F7D"    16r0000 " invalid " 
                                       "16r4F7E"    16r592B
                                       "16r4F7F"    16r4A39
                                       "16r4F80"    16r0000 " invalid " 
                                       "16r4F81"    16r0000 " invalid " 
                                       "16r4F82"    16r0000 " invalid " 
                                       "16r4F83"    16r5929
                                       "16r4F84"    16r5636
                                       "16r4F85"    16r0000 " invalid " 
                                       "16r4F86"    16r0000 " invalid " 
                                       "16r4F87"    16r0000 " invalid " 
                                       "16r4F88"    16r335E
                                       "16r4F89"    16r5928
                                       "16r4F8A"    16r0000 " invalid " 
                                       "16r4F8B"    16r407D
                                       "16r4F8C"    16r0000 " invalid " 
                                       "16r4F8D"    16r4A4C
                                       "16r4F8E"    16r0000 " invalid " 
                                       "16r4F8F"    16r592A
                                       "16r4F90"    16r0000 " invalid " 
                                       "16r4F91"    16r5927
                                       "16r4F92"    16r0000 " invalid " 
                                       "16r4F93"    16r0000 " invalid " 
                                       "16r4F94"    16r5930
                                       "16r4F95"    16r0000 " invalid " 
                                       "16r4F96"    16r0000 " invalid " 
                                       "16r4F97"    16r3631
                                       "16r4F98"    16r0000 " invalid " 
                                       "16r4F99"    16r0000 " invalid " 
                                       "16r4F9A"    16r0000 " invalid " 
                                       "16r4F9B"    16r3929
                                       "16r4F9C"    16r0000 " invalid " 
                                       "16r4F9D"    16r5240
                                       "16r4F9E"    16r0000 " invalid " 
                                       "16r4F9F"    16r0000 " invalid " 
                                       "16r4FA0"    16r4F40
                                       "16r4FA1"    16r0000 " invalid " 
                                       "16r4FA2"    16r0000 " invalid " 
                                       "16r4FA3"    16r4242
                                       "16r4FA4"    16r0000 " invalid " 
                                       "16r4FA5"    16r3D44
                                       "16r4FA6"    16r556C
                                       "16r4FA7"    16r3260
                                       "16r4FA8"    16r4748
                                       "16r4FA9"    16r3F6B
                                       "16r4FAA"    16r592D
                                       "16r4FAB"    16r0000 " invalid " 
                                       "16r4FAC"    16r592F
                                       "16r4FAD"    16r0000 " invalid " 
                                       "16r4FAE"    16r4E6A
                                       "16r4FAF"    16r3A6E
                                       "16r4FB0"    16r0000 " invalid " 
                                       "16r4FB1"    16r0000 " invalid " 
                                       "16r4FB2"    16r0000 " invalid " 
                                       "16r4FB3"    16r0000 " invalid " 
                                       "16r4FB4"    16r0000 " invalid " 
                                       "16r4FB5"    16r4756
                                       "16r4FB6"    16r0000 " invalid " 
                                       "16r4FB7"    16r0000 " invalid " 
                                       "16r4FB8"    16r0000 " invalid " 
                                       "16r4FB9"    16r0000 " invalid " 
                                       "16r4FBA"    16r0000 " invalid " 
                                       "16r4FBB"    16r0000 " invalid " 
                                       "16r4FBC"    16r0000 " invalid " 
                                       "16r4FBD"    16r0000 " invalid " 
                                       "16r4FBE"    16r0000 " invalid " 
                                       "16r4FBF"    16r3163
                                       "16r4FC0"    16r0000 " invalid " 
                                       "16r4FC1"    16r0000 " invalid " 
                                       "16r4FC2"    16r0000 " invalid " 
                                       "16r4FC3"    16r3459
                                       "16r4FC4"    16r366D
                                       "16r4FC5"    16r5934
                                       "16r4FC6"    16r0000 " invalid " 
                                       "16r4FC7"    16r0000 " invalid " 
                                       "16r4FC8"    16r0000 " invalid " 
                                       "16r4FC9"    16r0000 " invalid " 
                                       "16r4FCA"    16r3F21
                                       "16r4FCB"    16r0000 " invalid " 
                                       "16r4FCC"    16r0000 " invalid " 
                                       "16r4FCD"    16r0000 " invalid " 
                                       "16r4FCE"    16r595E
                                       "16r4FCF"    16r474E
                                       "16r4FD0"    16r407E
                                       "16r4FD1"    16r5938
                                       "16r4FD2"    16r0000 " invalid " 
                                       "16r4FD3"    16r0000 " invalid " 
                                       "16r4FD4"    16r0000 " invalid " 
                                       "16r4FD5"    16r0000 " invalid " 
                                       "16r4FD6"    16r0000 " invalid " 
                                       "16r4FD7"    16r4B57
                                       "16r4FD8"    16r377D
                                       "16r4FD9"    16r0000 " invalid " 
                                       "16r4FDA"    16r5935
                                       "16r4FDB"    16r0000 " invalid " 
                                       "16r4FDC"    16r5937
                                       "16r4FDD"    16r3123
                                       "16r4FDE"    16r5361
                                       "16r4FDF"    16r5939
                                       "16r4FE0"    16r0000 " invalid " 
                                       "16r4FE1"    16r5045
                                       "16r4FE2"    16r0000 " invalid " 
                                       "16r4FE3"    16r5936
                                       "16r4FE4"    16r0000 " invalid " 
                                       "16r4FE5"    16r0000 " invalid " 
                                       "16r4FE6"    16r5931
                                       "16r4FE7"    16r0000 " invalid " 
                                       "16r4FE8"    16r5932
                                       "16r4FE9"    16r4129
                                       "16r4FEA"    16r5933
                                       "16r4FEB"    16r0000 " invalid " 
                                       "16r4FEC"    16r0000 " invalid " 
                                       "16r4FED"    16r3C73
                                       "16r4FEE"    16r505E
                                       "16r4FEF"    16r3829
                                       "16r4FF0"    16r0000 " invalid " 
                                       "16r4FF1"    16r3E63
                                       "16r4FF2"    16r0000 " invalid " 
                                       "16r4FF3"    16r593D
                                       "16r4FF4"    16r0000 " invalid " 
                                       "16r4FF5"    16r0000 " invalid " 
                                       "16r4FF6"    16r0000 " invalid " 
                                       "16r4FF7"    16r0000 " invalid " 
                                       "16r4FF8"    16r593A
                                       "16r4FF9"    16r0000 " invalid " 
                                       "16r4FFA"    16r3033
                                       "16r4FFB"    16r0000 " invalid " 
                                       "16r4FFC"    16r0000 " invalid " 
                                       "16r4FFD"    16r0000 " invalid " 
                                       "16r4FFE"    16r5942
                                       "16r4FFF"    16r0000 " invalid " 
                                       "16r5000"    16r0000 " invalid " 
                                       "16r5001"    16r0000 " invalid " 
                                       "16r5002"    16r0000 " invalid " 
                                       "16r5003"    16r0000 " invalid " 
                                       "16r5004"    16r0000 " invalid " 
                                       "16r5005"    16r0000 " invalid " 
                                       "16r5006"    16r0000 " invalid " 
                                       "16r5007"    16r0000 " invalid " 
                                       "16r5008"    16r0000 " invalid " 
                                       "16r5009"    16r0000 " invalid " 
                                       "16r500A"    16r0000 " invalid " 
                                       "16r500B"    16r0000 " invalid " 
                                       "16r500C"    16r5944
                                       "16r500D"    16r3136
                                       "16r500E"    16r0000 " invalid " 
                                       "16r500F"    16r593F
                                       "16r5010"    16r0000 " invalid " 
                                       "16r5011"    16r0000 " invalid " 
                                       "16r5012"    16r3539
                                       "16r5013"    16r0000 " invalid " 
                                       "16r5014"    16r3E73
                                       "16r5015"    16r0000 " invalid " 
                                       "16r5016"    16r0000 " invalid " 
                                       "16r5017"    16r0000 " invalid " 
                                       "16r5018"    16r4C48
                                       "16r5019"    16r3A72
                                       "16r501A"    16r5250
                                       "16r501B"    16r0000 " invalid " 
                                       "16r501C"    16r5943
                                       "16r501D"    16r0000 " invalid " 
                                       "16r501E"    16r0000 " invalid " 
                                       "16r501F"    16r3D68
                                       "16r5020"    16r0000 " invalid " 
                                       "16r5021"    16r332B
                                       "16r5022"    16r0000 " invalid " 
                                       "16r5023"    16r0000 " invalid " 
                                       "16r5024"    16r0000 " invalid " 
                                       "16r5025"    16r5945
                                       "16r5026"    16r3E6B
                                       "16r5027"    16r0000 " invalid " 
                                       "16r5028"    16r5946
                                       "16r5029"    16r593B
                                       "16r502A"    16r445F
                                       "16r502B"    16r0000 " invalid " 
                                       "16r502C"    16r593E
                                       "16r502D"    16r5941
                                       "16r502E"    16r5940
                                       "16r502F"    16r0000 " invalid " 
                                       "16r5030"    16r0000 " invalid " 
                                       "16r5031"    16r0000 " invalid " 
                                       "16r5032"    16r0000 " invalid " 
                                       "16r5033"    16r0000 " invalid " 
                                       "16r5034"    16r0000 " invalid " 
                                       "16r5035"    16r0000 " invalid " 
                                       "16r5036"    16r0000 " invalid " 
                                       "16r5037"    16r0000 " invalid " 
                                       "16r5038"    16r0000 " invalid " 
                                       "16r5039"    16r0000 " invalid " 
                                       "16r503A"    16r552E
                                       "16r503B"    16r0000 " invalid " 
                                       "16r503C"    16r5635
                                       "16r503D"    16r0000 " invalid " 
                                       "16r503E"    16r4763
                                       "16r503F"    16r0000 " invalid " 
                                       "16r5040"    16r0000 " invalid " 
                                       "16r5041"    16r0000 " invalid " 
                                       "16r5042"    16r0000 " invalid " 
                                       "16r5043"    16r5948
                                       "16r5044"    16r0000 " invalid " 
                                       "16r5045"    16r0000 " invalid " 
                                       "16r5046"    16r0000 " invalid " 
                                       "16r5047"    16r3C59
                                       "16r5048"    16r594A
                                       "16r5049"    16r0000 " invalid " 
                                       "16r504A"    16r0000 " invalid " 
                                       "16r504B"    16r0000 " invalid " 
                                       "16r504C"    16r593C
                                       "16r504D"    16r0000 " invalid " 
                                       "16r504E"    16r594B
                                       "16r504F"    16r462B
                                       "16r5050"    16r0000 " invalid " 
                                       "16r5051"    16r0000 " invalid " 
                                       "16r5052"    16r0000 " invalid " 
                                       "16r5053"    16r0000 " invalid " 
                                       "16r5054"    16r0000 " invalid " 
                                       "16r5055"    16r5949
                                       "16r5056"    16r0000 " invalid " 
                                       "16r5057"    16r0000 " invalid " 
                                       "16r5058"    16r0000 " invalid " 
                                       "16r5059"    16r0000 " invalid " 
                                       "16r505A"    16r5776
                                       "16r505B"    16r0000 " invalid " 
                                       "16r505C"    16r4D23
                                       "16r505D"    16r0000 " invalid " 
                                       "16r505E"    16r0000 " invalid " 
                                       "16r505F"    16r0000 " invalid " 
                                       "16r5060"    16r0000 " invalid " 
                                       "16r5061"    16r0000 " invalid " 
                                       "16r5062"    16r0000 " invalid " 
                                       "16r5063"    16r0000 " invalid " 
                                       "16r5064"    16r0000 " invalid " 
                                       "16r5065"    16r3D21
                                       "16r5066"    16r0000 " invalid " 
                                       "16r5067"    16r0000 " invalid " 
                                       "16r5068"    16r0000 " invalid " 
                                       "16r5069"    16r0000 " invalid " 
                                       "16r506A"    16r0000 " invalid " 
                                       "16r506B"    16r0000 " invalid " 
                                       "16r506C"    16r594C
                                       "16r506D"    16r0000 " invalid " 
                                       "16r506E"    16r0000 " invalid " 
                                       "16r506F"    16r0000 " invalid " 
                                       "16r5070"    16r0000 " invalid " 
                                       "16r5071"    16r0000 " invalid " 
                                       "16r5072"    16r0000 " invalid " 
                                       "16r5073"    16r0000 " invalid " 
                                       "16r5074"    16r0000 " invalid " 
                                       "16r5075"    16r0000 " invalid " 
                                       "16r5076"    16r453C
                                       "16r5077"    16r4D35
                                       "16r5078"    16r0000 " invalid " 
                                       "16r5079"    16r0000 " invalid " 
                                       "16r507A"    16r0000 " invalid " 
                                       "16r507B"    16r594D
                                       "16r507C"    16r0000 " invalid " 
                                       "16r507D"    16r0000 " invalid " 
                                       "16r507E"    16r5947
                                       "16r507F"    16r3325
                                       "16r5080"    16r3F7E
                                       "16r5081"    16r0000 " invalid " 
                                       "16r5082"    16r0000 " invalid " 
                                       "16r5083"    16r0000 " invalid " 
                                       "16r5084"    16r0000 " invalid " 
                                       "16r5085"    16r3835
                                       "16r5086"    16r0000 " invalid " 
                                       "16r5087"    16r0000 " invalid " 
                                       "16r5088"    16r407C
                                       "16r5089"    16r0000 " invalid " 
                                       "16r508A"    16r0000 " invalid " 
                                       "16r508B"    16r0000 " invalid " 
                                       "16r508C"    16r0000 " invalid " 
                                       "16r508D"    16r3078
                                       "16r508E"    16r0000 " invalid " 
                                       "16r508F"    16r0000 " invalid " 
                                       "16r5090"    16r0000 " invalid " 
                                       "16r5091"    16r0000 " invalid " 
                                       "16r5092"    16r0000 " invalid " 
                                       "16r5093"    16r0000 " invalid " 
                                       "16r5094"    16r0000 " invalid " 
                                       "16r5095"    16r0000 " invalid " 
                                       "16r5096"    16r0000 " invalid " 
                                       "16r5097"    16r0000 " invalid " 
                                       "16r5098"    16r0000 " invalid " 
                                       "16r5099"    16r0000 " invalid " 
                                       "16r509A"    16r0000 " invalid " 
                                       "16r509B"    16r0000 " invalid " 
                                       "16r509C"    16r0000 " invalid " 
                                       "16r509D"    16r0000 " invalid " 
                                       "16r509E"    16r0000 " invalid " 
                                       "16r509F"    16r0000 " invalid " 
                                       "16r50A0"    16r0000 " invalid " 
                                       "16r50A1"    16r0000 " invalid " 
                                       "16r50A2"    16r0000 " invalid " 
                                       "16r50A3"    16r3476
                                       "16r50A4"    16r0000 " invalid " 
                                       "16r50A5"    16r594E
                                       "16r50A6"    16r0000 " invalid " 
                                       "16r50A7"    16r594F
                                       "16r50A8"    16r3422
                                       "16r50A9"    16r5950
                                       "16r50AA"    16r0000 " invalid " 
                                       "16r50AB"    16r0000 " invalid " 
                                       "16r50AC"    16r345F
                                       "16r50AD"    16r0000 " invalid " 
                                       "16r50AE"    16r0000 " invalid " 
                                       "16r50AF"    16r0000 " invalid " 
                                       "16r50B0"    16r0000 " invalid " 
                                       "16r50B1"    16r0000 " invalid " 
                                       "16r50B2"    16r3041
                                       "16r50B3"    16r0000 " invalid " 
                                       "16r50B4"    16r0000 " invalid " 
                                       "16r50B5"    16r0000 " invalid " 
                                       "16r50B6"    16r0000 " invalid " 
                                       "16r50B7"    16r0000 " invalid " 
                                       "16r50B8"    16r0000 " invalid " 
                                       "16r50B9"    16r0000 " invalid " 
                                       "16r50BA"    16r5951
                                       "16r50BB"    16r4935
                                       "16r50BC"    16r0000 " invalid " 
                                       "16r50BD"    16r0000 " invalid " 
                                       "16r50BE"    16r0000 " invalid " 
                                       "16r50BF"    16r0000 " invalid " 
                                       "16r50C0"    16r0000 " invalid " 
                                       "16r50C1"    16r0000 " invalid " 
                                       "16r50C2"    16r0000 " invalid " 
                                       "16r50C3"    16r0000 " invalid " 
                                       "16r50C4"    16r0000 " invalid " 
                                       "16r50C5"    16r0000 " invalid " 
                                       "16r50C6"    16r0000 " invalid " 
                                       "16r50C7"    16r0000 " invalid " 
                                       "16r50C8"    16r0000 " invalid " 
                                       "16r50C9"    16r0000 " invalid " 
                                       "16r50CA"    16r0000 " invalid " 
                                       "16r50CB"    16r0000 " invalid " 
                                       "16r50CC"    16r0000 " invalid " 
                                       "16r50CD"    16r0000 " invalid " 
                                       "16r50CE"    16r0000 " invalid " 
                                       "16r50CF"    16r4F71
                                       "16r50D0"    16r0000 " invalid " 
                                       "16r50D1"    16r0000 " invalid " 
                                       "16r50D2"    16r0000 " invalid " 
                                       "16r50D3"    16r0000 " invalid " 
                                       "16r50D4"    16r0000 " invalid " 
                                       "16r50D5"    16r0000 " invalid " 
                                       "16r50D6"    16r5952
                                       "16r50D7"    16r0000 " invalid " 
                                       "16r50D8"    16r0000 " invalid " 
                                       "16r50D9"    16r0000 " invalid " 
                                       "16r50DA"    16r4145
                                       "16r50DB"    16r0000 " invalid " 
                                       "16r50DC"    16r0000 " invalid " 
                                       "16r50DD"    16r0000 " invalid " 
                                       "16r50DE"    16r0000 " invalid " 
                                       "16r50DF"    16r0000 " invalid " 
                                       "16r50E0"    16r0000 " invalid " 
                                       "16r50E1"    16r0000 " invalid " 
                                       "16r50E2"    16r0000 " invalid " 
                                       "16r50E3"    16r0000 " invalid " 
                                       "16r50E4"    16r0000 " invalid " 
                                       "16r50E5"    16r0000 " invalid " 
                                       "16r50E6"    16r5956
                                       "16r50E7"    16r492E
                                       "16r50E8"    16r0000 " invalid " 
                                       "16r50E9"    16r0000 " invalid " 
                                       "16r50EA"    16r0000 " invalid " 
                                       "16r50EB"    16r0000 " invalid " 
                                       "16r50EC"    16r5955
                                       "16r50ED"    16r5954
                                       "16r50EE"    16r5957
                                       "16r50EF"    16r0000 " invalid " 
                                       "16r50F0"    16r0000 " invalid " 
                                       "16r50F1"    16r0000 " invalid " 
                                       "16r50F2"    16r0000 " invalid " 
                                       "16r50F3"    16r4B5B
                                       "16r50F4"    16r0000 " invalid " 
                                       "16r50F5"    16r3D29
                                       "16r50F6"    16r0000 " invalid " 
                                       "16r50F7"    16r0000 " invalid " 
                                       "16r50F8"    16r0000 " invalid " 
                                       "16r50F9"    16r0000 " invalid " 
                                       "16r50FA"    16r0000 " invalid " 
                                       "16r50FB"    16r4627
                                       "16r50FC"    16r0000 " invalid " 
                                       "16r50FD"    16r0000 " invalid " 
                                       "16r50FE"    16r0000 " invalid " 
                                       "16r50FF"    16r0000 " invalid " 
                                       "16r5100"    16r0000 " invalid " 
                                       "16r5101"    16r0000 " invalid " 
                                       "16r5102"    16r0000 " invalid " 
                                       "16r5103"    16r0000 " invalid " 
                                       "16r5104"    16r0000 " invalid " 
                                       "16r5105"    16r0000 " invalid " 
                                       "16r5106"    16r5953
                                       "16r5107"    16r5958
                                       "16r5108"    16r0000 " invalid " 
                                       "16r5109"    16r0000 " invalid " 
                                       "16r510A"    16r0000 " invalid " 
                                       "16r510B"    16r5959
                                       "16r510C"    16r0000 " invalid " 
                                       "16r510D"    16r0000 " invalid " 
                                       "16r510E"    16r0000 " invalid " 
                                       "16r510F"    16r0000 " invalid " 
                                       "16r5110"    16r0000 " invalid " 
                                       "16r5111"    16r0000 " invalid " 
                                       "16r5112"    16r4865
                                       "16r5113"    16r0000 " invalid " 
                                       "16r5114"    16r0000 " invalid " 
                                       "16r5115"    16r0000 " invalid " 
                                       "16r5116"    16r0000 " invalid " 
                                       "16r5117"    16r0000 " invalid " 
                                       "16r5118"    16r0000 " invalid " 
                                       "16r5119"    16r0000 " invalid " 
                                       "16r511A"    16r0000 " invalid " 
                                       "16r511B"    16r0000 " invalid " 
                                       "16r511C"    16r0000 " invalid " 
                                       "16r511D"    16r0000 " invalid " 
                                       "16r511E"    16r0000 " invalid " 
                                       "16r511F"    16r0000 " invalid " 
                                       "16r5120"    16r0000 " invalid " 
                                       "16r5121"    16r405C
                                       "16r5122"    16r0000 " invalid " 
                                       "16r5123"    16r0000 " invalid " 
                                       "16r5124"    16r0000 " invalid " 
                                       "16r5125"    16r0000 " invalid " 
                                       "16r5126"    16r0000 " invalid " 
                                       "16r5127"    16r0000 " invalid " 
                                       "16r5128"    16r0000 " invalid " 
                                       "16r5129"    16r0000 " invalid " 
                                       "16r512A"    16r0000 " invalid " 
                                       "16r512B"    16r0000 " invalid " 
                                       "16r512C"    16r0000 " invalid " 
                                       "16r512D"    16r0000 " invalid " 
                                       "16r512E"    16r0000 " invalid " 
                                       "16r512F"    16r0000 " invalid " 
                                       "16r5130"    16r0000 " invalid " 
                                       "16r5131"    16r0000 " invalid " 
                                       "16r5132"    16r0000 " invalid " 
                                       "16r5133"    16r0000 " invalid " 
                                       "16r5134"    16r0000 " invalid " 
                                       "16r5135"    16r0000 " invalid " 
                                       "16r5136"    16r0000 " invalid " 
                                       "16r5137"    16r0000 " invalid " 
                                       "16r5138"    16r0000 " invalid " 
                                       "16r5139"    16r0000 " invalid " 
                                       "16r513A"    16r0000 " invalid " 
                                       "16r513B"    16r0000 " invalid " 
                                       "16r513C"    16r0000 " invalid " 
                                       "16r513D"    16r0000 " invalid " 
                                       "16r513E"    16r0000 " invalid " 
                                       "16r513F"    16r3679
                                       "16r5140"    16r5823
                                       "16r5141"    16r544A
                                       "16r5142"    16r0000 " invalid " 
                                       "16r5143"    16r542A
                                       "16r5144"    16r5056
                                       "16r5145"    16r3364
                                       "16r5146"    16r5557
                                       "16r5147"    16r0000 " invalid " 
                                       "16r5148"    16r4F48
                                       "16r5149"    16r3962
                                       "16r514A"    16r0000 " invalid " 
                                       "16r514B"    16r3F4B
                                       "16r514C"    16r0000 " invalid " 
                                       "16r514D"    16r4362
                                       "16r514E"    16r0000 " invalid " 
                                       "16r514F"    16r0000 " invalid " 
                                       "16r5150"    16r0000 " invalid " 
                                       "16r5151"    16r3652
                                       "16r5152"    16r0000 " invalid " 
                                       "16r5153"    16r0000 " invalid " 
                                       "16r5154"    16r4D43
                                       "16r5155"    16r596E
                                       "16r5156"    16r5970
                                       "16r5157"    16r0000 " invalid " 
                                       "16r5158"    16r0000 " invalid " 
                                       "16r5159"    16r0000 " invalid " 
                                       "16r515A"    16r3533
                                       "16r515B"    16r0000 " invalid " 
                                       "16r515C"    16r3635
                                       "16r515D"    16r0000 " invalid " 
                                       "16r515E"    16r0000 " invalid " 
                                       "16r515F"    16r0000 " invalid " 
                                       "16r5160"    16r0000 " invalid " 
                                       "16r5161"    16r0000 " invalid " 
                                       "16r5162"    16r3E24
                                       "16r5163"    16r0000 " invalid " 
                                       "16r5164"    16r0000 " invalid " 
                                       "16r5165"    16r486B
                                       "16r5166"    16r0000 " invalid " 
                                       "16r5167"    16r0000 " invalid " 
                                       "16r5168"    16r482B
                                       "16r5169"    16r0000 " invalid " 
                                       "16r516A"    16r0000 " invalid " 
                                       "16r516B"    16r304B
                                       "16r516C"    16r392B
                                       "16r516D"    16r4179
                                       "16r516E"    16r5962
                                       "16r516F"    16r0000 " invalid " 
                                       "16r5170"    16r403C
                                       "16r5171"    16r3932
                                       "16r5172"    16r0000 " invalid " 
                                       "16r5173"    16r3958
                                       "16r5174"    16r504B
                                       "16r5175"    16r3178
                                       "16r5176"    16r4664
                                       "16r5177"    16r3E5F
                                       "16r5178"    16r3564
                                       "16r5179"    16r5748
                                       "16r517A"    16r0000 " invalid " 
                                       "16r517B"    16r5178
                                       "16r517C"    16r3C66
                                       "16r517D"    16r4A5E
                                       "16r517E"    16r0000 " invalid " 
                                       "16r517F"    16r0000 " invalid " 
                                       "16r5180"    16r3C3D
                                       "16r5181"    16r5966
                                       "16r5182"    16r5867
                                       "16r5183"    16r0000 " invalid " 
                                       "16r5184"    16r0000 " invalid " 
                                       "16r5185"    16r445A
                                       "16r5186"    16r0000 " invalid " 
                                       "16r5187"    16r0000 " invalid " 
                                       "16r5188"    16r3854
                                       "16r5189"    16r483D
                                       "16r518A"    16r0000 " invalid " 
                                       "16r518B"    16r0000 " invalid " 
                                       "16r518C"    16r3261
                                       "16r518D"    16r5459
                                       "16r518E"    16r0000 " invalid " 
                                       "16r518F"    16r0000 " invalid " 
                                       "16r5190"    16r0000 " invalid " 
                                       "16r5191"    16r0000 " invalid " 
                                       "16r5192"    16r4330
                                       "16r5193"    16r0000 " invalid " 
                                       "16r5194"    16r0000 " invalid " 
                                       "16r5195"    16r4361
                                       "16r5196"    16r5A22
                                       "16r5197"    16r485F
                                       "16r5198"    16r0000 " invalid " 
                                       "16r5199"    16r5034
                                       "16r519A"    16r0000 " invalid " 
                                       "16r519B"    16r3E7C
                                       "16r519C"    16r4529
                                       "16r519D"    16r0000 " invalid " 
                                       "16r519E"    16r0000 " invalid " 
                                       "16r519F"    16r0000 " invalid " 
                                       "16r51A0"    16r395A
                                       "16r51A1"    16r0000 " invalid " 
                                       "16r51A2"    16r5A23
                                       "16r51A3"    16r0000 " invalid " 
                                       "16r51A4"    16r5429
                                       "16r51A5"    16r5A24
                                       "16r51A6"    16r0000 " invalid " 
                                       "16r51A7"    16r0000 " invalid " 
                                       "16r51A8"    16r0000 " invalid " 
                                       "16r51A9"    16r0000 " invalid " 
                                       "16r51AA"    16r0000 " invalid " 
                                       "16r51AB"    16r597B
                                       "16r51AC"    16r362C
                                       "16r51AD"    16r0000 " invalid " 
                                       "16r51AE"    16r0000 " invalid " 
                                       "16r51AF"    16r376B
                                       "16r51B0"    16r3179
                                       "16r51B1"    16r597C
                                       "16r51B2"    16r3365
                                       "16r51B3"    16r3E76
                                       "16r51B4"    16r0000 " invalid " 
                                       "16r51B5"    16r3F76
                                       "16r51B6"    16r5231
                                       "16r51B7"    16r4064
                                       "16r51B8"    16r0000 " invalid " 
                                       "16r51B9"    16r0000 " invalid " 
                                       "16r51BA"    16r0000 " invalid " 
                                       "16r51BB"    16r3633
                                       "16r51BC"    16r597E
                                       "16r51BD"    16r597D
                                       "16r51BE"    16r0000 " invalid " 
                                       "16r51BF"    16r0000 " invalid " 
                                       "16r51C0"    16r3E3B
                                       "16r51C1"    16r0000 " invalid " 
                                       "16r51C2"    16r0000 " invalid " 
                                       "16r51C3"    16r0000 " invalid " 
                                       "16r51C4"    16r4660
                                       "16r51C5"    16r0000 " invalid " 
                                       "16r51C6"    16r573C
                                       "16r51C7"    16r5A21
                                       "16r51C8"    16r0000 " invalid " 
                                       "16r51C9"    16r4139
                                       "16r51CA"    16r0000 " invalid " 
                                       "16r51CB"    16r3572
                                       "16r51CC"    16r4168
                                       "16r51CD"    16r0000 " invalid " 
                                       "16r51CE"    16r0000 " invalid " 
                                       "16r51CF"    16r3C75
                                       "16r51D0"    16r0000 " invalid " 
                                       "16r51D1"    16r3455
                                       "16r51D2"    16r0000 " invalid " 
                                       "16r51D3"    16r0000 " invalid " 
                                       "16r51D4"    16r0000 " invalid " 
                                       "16r51D5"    16r0000 " invalid " 
                                       "16r51D6"    16r0000 " invalid " 
                                       "16r51D7"    16r0000 " invalid " 
                                       "16r51D8"    16r0000 " invalid " 
                                       "16r51D9"    16r0000 " invalid " 
                                       "16r51DA"    16r0000 " invalid " 
                                       "16r51DB"    16r415D
                                       "16r51DC"    16r0000 " invalid " 
                                       "16r51DD"    16r447D
                                       "16r51DE"    16r0000 " invalid " 
                                       "16r51DF"    16r0000 " invalid " 
                                       "16r51E0"    16r3C38
                                       "16r51E1"    16r3732
                                       "16r51E2"    16r0000 " invalid " 
                                       "16r51E3"    16r0000 " invalid " 
                                       "16r51E4"    16r376F
                                       "16r51E5"    16r0000 " invalid " 
                                       "16r51E6"    16r0000 " invalid " 
                                       "16r51E7"    16r0000 " invalid " 
                                       "16r51E8"    16r0000 " invalid " 
                                       "16r51E9"    16r0000 " invalid " 
                                       "16r51EA"    16r0000 " invalid " 
                                       "16r51EB"    16r596C
                                       "16r51EC"    16r0000 " invalid " 
                                       "16r51ED"    16r463E
                                       "16r51EE"    16r0000 " invalid " 
                                       "16r51EF"    16r3F2D
                                       "16r51F0"    16r3B4B
                                       "16r51F1"    16r0000 " invalid " 
                                       "16r51F2"    16r0000 " invalid " 
                                       "16r51F3"    16r354A
                                       "16r51F4"    16r0000 " invalid " 
                                       "16r51F5"    16r5B49
                                       "16r51F6"    16r5057
                                       "16r51F7"    16r0000 " invalid " 
                                       "16r51F8"    16r4D39
                                       "16r51F9"    16r303C
                                       "16r51FA"    16r3376
                                       "16r51FB"    16r3B77
                                       "16r51FC"    16r5B4A
                                       "16r51FD"    16r3A2F
                                       "16r51FE"    16r0000 " invalid " 
                                       "16r51FF"    16r5464
                                       "16r5200"    16r3536
                                       "16r5201"    16r3573
                                       "16r5202"    16r5856
                                       "16r5203"    16r4850
                                       "16r5204"    16r0000 " invalid " 
                                       "16r5205"    16r0000 " invalid " 
                                       "16r5206"    16r3756
                                       "16r5207"    16r4750
                                       "16r5208"    16r5857
                                       "16r5209"    16r0000 " invalid " 
                                       "16r520A"    16r3F2F
                                       "16r520B"    16r0000 " invalid " 
                                       "16r520C"    16r0000 " invalid " 
                                       "16r520D"    16r5B3B
                                       "16r520E"    16r5858
                                       "16r520F"    16r0000 " invalid " 
                                       "16r5210"    16r0000 " invalid " 
                                       "16r5211"    16r504C
                                       "16r5212"    16r3B2E
                                       "16r5213"    16r0000 " invalid " 
                                       "16r5214"    16r0000 " invalid " 
                                       "16r5215"    16r0000 " invalid " 
                                       "16r5216"    16r6B3E
                                       "16r5217"    16r4150
                                       "16r5218"    16r4175
                                       "16r5219"    16r5472
                                       "16r521A"    16r3855
                                       "16r521B"    16r3434
                                       "16r521C"    16r0000 " invalid " 
                                       "16r521D"    16r3375
                                       "16r521E"    16r0000 " invalid " 
                                       "16r521F"    16r0000 " invalid " 
                                       "16r5220"    16r493E
                                       "16r5221"    16r0000 " invalid " 
                                       "16r5222"    16r0000 " invalid " 
                                       "16r5223"    16r0000 " invalid " 
                                       "16r5224"    16r4550
                                       "16r5225"    16r0000 " invalid " 
                                       "16r5226"    16r0000 " invalid " 
                                       "16r5227"    16r0000 " invalid " 
                                       "16r5228"    16r4559
                                       "16r5229"    16r407B
                                       "16r522A"    16r0000 " invalid " 
                                       "16r522B"    16r3170
                                       "16r522C"    16r0000 " invalid " 
                                       "16r522D"    16r5859
                                       "16r522E"    16r394E
                                       "16r522F"    16r0000 " invalid " 
                                       "16r5230"    16r353D
                                       "16r5231"    16r0000 " invalid " 
                                       "16r5232"    16r0000 " invalid " 
                                       "16r5233"    16r585A
                                       "16r5234"    16r0000 " invalid " 
                                       "16r5235"    16r0000 " invalid " 
                                       "16r5236"    16r5646
                                       "16r5237"    16r4B22
                                       "16r5238"    16r482F
                                       "16r5239"    16r4932
                                       "16r523A"    16r344C
                                       "16r523B"    16r3F4C
                                       "16r523C"    16r0000 " invalid " 
                                       "16r523D"    16r3974
                                       "16r523E"    16r0000 " invalid " 
                                       "16r523F"    16r585B
                                       "16r5240"    16r585C
                                       "16r5241"    16r3667
                                       "16r5242"    16r3C41
                                       "16r5243"    16r4C6A
                                       "16r5244"    16r0000 " invalid " 
                                       "16r5245"    16r0000 " invalid " 
                                       "16r5246"    16r0000 " invalid " 
                                       "16r5247"    16r0000 " invalid " 
                                       "16r5248"    16r0000 " invalid " 
                                       "16r5249"    16r0000 " invalid " 
                                       "16r524A"    16r4F77
                                       "16r524B"    16r0000 " invalid " 
                                       "16r524C"    16r585D
                                       "16r524D"    16r4730
                                       "16r524E"    16r0000 " invalid " 
                                       "16r524F"    16r0000 " invalid " 
                                       "16r5250"    16r3950
                                       "16r5251"    16r3D23
                                       "16r5252"    16r0000 " invalid " 
                                       "16r5253"    16r0000 " invalid " 
                                       "16r5254"    16r4C5E
                                       "16r5255"    16r0000 " invalid " 
                                       "16r5256"    16r464A
                                       "16r5257"    16r0000 " invalid " 
                                       "16r5258"    16r0000 " invalid " 
                                       "16r5259"    16r0000 " invalid " 
                                       "16r525A"    16r0000 " invalid " 
                                       "16r525B"    16r0000 " invalid " 
                                       "16r525C"    16r5860
                                       "16r525D"    16r0000 " invalid " 
                                       "16r525E"    16r585E
                                       "16r525F"    16r0000 " invalid " 
                                       "16r5260"    16r0000 " invalid " 
                                       "16r5261"    16r585F
                                       "16r5262"    16r0000 " invalid " 
                                       "16r5263"    16r0000 " invalid " 
                                       "16r5264"    16r0000 " invalid " 
                                       "16r5265"    16r307E
                                       "16r5266"    16r0000 " invalid " 
                                       "16r5267"    16r3E67
                                       "16r5268"    16r0000 " invalid " 
                                       "16r5269"    16r4A23
                                       "16r526A"    16r3C74
                                       "16r526B"    16r0000 " invalid " 
                                       "16r526C"    16r0000 " invalid " 
                                       "16r526D"    16r0000 " invalid " 
                                       "16r526E"    16r0000 " invalid " 
                                       "16r526F"    16r3831
                                       "16r5270"    16r0000 " invalid " 
                                       "16r5271"    16r0000 " invalid " 
                                       "16r5272"    16r386E
                                       "16r5273"    16r0000 " invalid " 
                                       "16r5274"    16r0000 " invalid " 
                                       "16r5275"    16r0000 " invalid " 
                                       "16r5276"    16r0000 " invalid " 
                                       "16r5277"    16r0000 " invalid " 
                                       "16r5278"    16r0000 " invalid " 
                                       "16r5279"    16r0000 " invalid " 
                                       "16r527A"    16r0000 " invalid " 
                                       "16r527B"    16r0000 " invalid " 
                                       "16r527C"    16r0000 " invalid " 
                                       "16r527D"    16r5862
                                       "16r527E"    16r0000 " invalid " 
                                       "16r527F"    16r3D4B
                                       "16r5280"    16r0000 " invalid " 
                                       "16r5281"    16r5864
                                       "16r5282"    16r5863
                                       "16r5283"    16r0000 " invalid " 
                                       "16r5284"    16r0000 " invalid " 
                                       "16r5285"    16r0000 " invalid " 
                                       "16r5286"    16r0000 " invalid " 
                                       "16r5287"    16r0000 " invalid " 
                                       "16r5288"    16r457C
                                       "16r5289"    16r0000 " invalid " 
                                       "16r528A"    16r0000 " invalid " 
                                       "16r528B"    16r0000 " invalid " 
                                       "16r528C"    16r0000 " invalid " 
                                       "16r528D"    16r0000 " invalid " 
                                       "16r528E"    16r0000 " invalid " 
                                       "16r528F"    16r0000 " invalid " 
                                       "16r5290"    16r5865
                                       "16r5291"    16r0000 " invalid " 
                                       "16r5292"    16r0000 " invalid " 
                                       "16r5293"    16r5866
                                       "16r5294"    16r0000 " invalid " 
                                       "16r5295"    16r0000 " invalid " 
                                       "16r5296"    16r0000 " invalid " 
                                       "16r5297"    16r0000 " invalid " 
                                       "16r5298"    16r0000 " invalid " 
                                       "16r5299"    16r0000 " invalid " 
                                       "16r529A"    16r0000 " invalid " 
                                       "16r529B"    16r4126
                                       "16r529C"    16r0000 " invalid " 
                                       "16r529D"    16r4830
                                       "16r529E"    16r306C
                                       "16r529F"    16r3926
                                       "16r52A0"    16r3C53
                                       "16r52A1"    16r4E71
                                       "16r52A2"    16r5B3D
                                       "16r52A3"    16r4153
                                       "16r52A4"    16r0000 " invalid " 
                                       "16r52A5"    16r0000 " invalid " 
                                       "16r52A6"    16r0000 " invalid " 
                                       "16r52A7"    16r0000 " invalid " 
                                       "16r52A8"    16r362F
                                       "16r52A9"    16r567A
                                       "16r52AA"    16r452C
                                       "16r52AB"    16r3D59
                                       "16r52AC"    16r5B3E
                                       "16r52AD"    16r5B3F
                                       "16r52AE"    16r0000 " invalid " 
                                       "16r52AF"    16r0000 " invalid " 
                                       "16r52B0"    16r0000 " invalid " 
                                       "16r52B1"    16r4078
                                       "16r52B2"    16r3E22
                                       "16r52B3"    16r404D
                                       "16r52B4"    16r0000 " invalid " 
                                       "16r52B5"    16r0000 " invalid " 
                                       "16r52B6"    16r0000 " invalid " 
                                       "16r52B7"    16r0000 " invalid " 
                                       "16r52B8"    16r0000 " invalid " 
                                       "16r52B9"    16r0000 " invalid " 
                                       "16r52BA"    16r0000 " invalid " 
                                       "16r52BB"    16r0000 " invalid " 
                                       "16r52BC"    16r0000 " invalid " 
                                       "16r52BD"    16r0000 " invalid " 
                                       "16r52BE"    16r5B40
                                       "16r52BF"    16r4A46
                                       "16r52C0"    16r0000 " invalid " 
                                       "16r52C1"    16r0000 " invalid " 
                                       "16r52C2"    16r0000 " invalid " 
                                       "16r52C3"    16r322A
                                       "16r52C4"    16r0000 " invalid " 
                                       "16r52C5"    16r0000 " invalid " 
                                       "16r52C6"    16r0000 " invalid " 
                                       "16r52C7"    16r5342
                                       "16r52C8"    16r0000 " invalid " 
                                       "16r52C9"    16r4363
                                       "16r52CA"    16r0000 " invalid " 
                                       "16r52CB"    16r512B
                                       "16r52CC"    16r0000 " invalid " 
                                       "16r52CD"    16r0000 " invalid " 
                                       "16r52CE"    16r0000 " invalid " 
                                       "16r52CF"    16r0000 " invalid " 
                                       "16r52D0"    16r5B42
                                       "16r52D1"    16r0000 " invalid " 
                                       "16r52D2"    16r4055
                                       "16r52D3"    16r0000 " invalid " 
                                       "16r52D4"    16r0000 " invalid " 
                                       "16r52D5"    16r0000 " invalid " 
                                       "16r52D6"    16r5B43
                                       "16r52D7"    16r0000 " invalid " 
                                       "16r52D8"    16r3F31
                                       "16r52D9"    16r0000 " invalid " 
                                       "16r52DA"    16r0000 " invalid " 
                                       "16r52DB"    16r0000 " invalid " 
                                       "16r52DC"    16r0000 " invalid " 
                                       "16r52DD"    16r0000 " invalid " 
                                       "16r52DE"    16r0000 " invalid " 
                                       "16r52DF"    16r443C
                                       "16r52E0"    16r0000 " invalid " 
                                       "16r52E1"    16r0000 " invalid " 
                                       "16r52E2"    16r0000 " invalid " 
                                       "16r52E3"    16r0000 " invalid " 
                                       "16r52E4"    16r475A
                                       "16r52E5"    16r0000 " invalid " 
                                       "16r52E6"    16r0000 " invalid " 
                                       "16r52E7"    16r0000 " invalid " 
                                       "16r52E8"    16r0000 " invalid " 
                                       "16r52E9"    16r0000 " invalid " 
                                       "16r52EA"    16r0000 " invalid " 
                                       "16r52EB"    16r0000 " invalid " 
                                       "16r52EC"    16r0000 " invalid " 
                                       "16r52ED"    16r0000 " invalid " 
                                       "16r52EE"    16r0000 " invalid " 
                                       "16r52EF"    16r0000 " invalid " 
                                       "16r52F0"    16r5B44
                                       "16r52F1"    16r0000 " invalid " 
                                       "16r52F2"    16r0000 " invalid " 
                                       "16r52F3"    16r0000 " invalid " 
                                       "16r52F4"    16r0000 " invalid " 
                                       "16r52F5"    16r0000 " invalid " 
                                       "16r52F6"    16r0000 " invalid " 
                                       "16r52F7"    16r0000 " invalid " 
                                       "16r52F8"    16r0000 " invalid " 
                                       "16r52F9"    16r5968
                                       "16r52FA"    16r4957
                                       "16r52FB"    16r0000 " invalid " 
                                       "16r52FC"    16r0000 " invalid " 
                                       "16r52FD"    16r0000 " invalid " 
                                       "16r52FE"    16r3934
                                       "16r52FF"    16r4E70
                                       "16r5300"    16r5448
                                       "16r5301"    16r0000 " invalid " 
                                       "16r5302"    16r0000 " invalid " 
                                       "16r5303"    16r0000 " invalid " 
                                       "16r5304"    16r0000 " invalid " 
                                       "16r5305"    16r307C
                                       "16r5306"    16r3452
                                       "16r5307"    16r0000 " invalid " 
                                       "16r5308"    16r5059
                                       "16r5309"    16r0000 " invalid " 
                                       "16r530A"    16r0000 " invalid " 
                                       "16r530B"    16r0000 " invalid " 
                                       "16r530C"    16r0000 " invalid " 
                                       "16r530D"    16r5969
                                       "16r530E"    16r0000 " invalid " 
                                       "16r530F"    16r5E4B
                                       "16r5310"    16r596B
                                       "16r5311"    16r0000 " invalid " 
                                       "16r5312"    16r0000 " invalid " 
                                       "16r5313"    16r0000 " invalid " 
                                       "16r5314"    16r0000 " invalid " 
                                       "16r5315"    16r5830
                                       "16r5316"    16r3B2F
                                       "16r5317"    16r3131
                                       "16r5318"    16r0000 " invalid " 
                                       "16r5319"    16r3357
                                       "16r531A"    16r584E
                                       "16r531B"    16r0000 " invalid " 
                                       "16r531C"    16r0000 " invalid " 
                                       "16r531D"    16r5451
                                       "16r531E"    16r0000 " invalid " 
                                       "16r531F"    16r0000 " invalid " 
                                       "16r5320"    16r3D33
                                       "16r5321"    16r3F6F
                                       "16r5322"    16r0000 " invalid " 
                                       "16r5323"    16r4F3B
                                       "16r5324"    16r0000 " invalid " 
                                       "16r5325"    16r0000 " invalid " 
                                       "16r5326"    16r5850
                                       "16r5327"    16r0000 " invalid " 
                                       "16r5328"    16r0000 " invalid " 
                                       "16r5329"    16r0000 " invalid " 
                                       "16r532A"    16r374B
                                       "16r532B"    16r0000 " invalid " 
                                       "16r532C"    16r0000 " invalid " 
                                       "16r532D"    16r0000 " invalid " 
                                       "16r532E"    16r5851
                                       "16r532F"    16r0000 " invalid " 
                                       "16r5330"    16r0000 " invalid " 
                                       "16r5331"    16r0000 " invalid " 
                                       "16r5332"    16r0000 " invalid " 
                                       "16r5333"    16r0000 " invalid " 
                                       "16r5334"    16r0000 " invalid " 
                                       "16r5335"    16r0000 " invalid " 
                                       "16r5336"    16r0000 " invalid " 
                                       "16r5337"    16r0000 " invalid " 
                                       "16r5338"    16r0000 " invalid " 
                                       "16r5339"    16r4625
                                       "16r533A"    16r4778
                                       "16r533B"    16r523D
                                       "16r533C"    16r0000 " invalid " 
                                       "16r533D"    16r0000 " invalid " 
                                       "16r533E"    16r5852
                                       "16r533F"    16r4464
                                       "16r5340"    16r0000 " invalid " 
                                       "16r5341"    16r4A2E
                                       "16r5342"    16r0000 " invalid " 
                                       "16r5343"    16r4727
                                       "16r5344"    16r0000 " invalid " 
                                       "16r5345"    16r5826
                                       "16r5346"    16r0000 " invalid " 
                                       "16r5347"    16r497D
                                       "16r5348"    16r4E67
                                       "16r5349"    16r3B5C
                                       "16r534A"    16r306B
                                       "16r534B"    16r0000 " invalid " 
                                       "16r534C"    16r0000 " invalid " 
                                       "16r534D"    16r0000 " invalid " 
                                       "16r534E"    16r3B2A
                                       "16r534F"    16r502D
                                       "16r5350"    16r0000 " invalid " 
                                       "16r5351"    16r3130
                                       "16r5352"    16r5764
                                       "16r5353"    16r573F
                                       "16r5354"    16r0000 " invalid " 
                                       "16r5355"    16r3525
                                       "16r5356"    16r4274
                                       "16r5357"    16r444F
                                       "16r5358"    16r0000 " invalid " 
                                       "16r5359"    16r0000 " invalid " 
                                       "16r535A"    16r3229
                                       "16r535B"    16r0000 " invalid " 
                                       "16r535C"    16r3237
                                       "16r535D"    16r0000 " invalid " 
                                       "16r535E"    16r3165
                                       "16r535F"    16r5F32
                                       "16r5360"    16r553C
                                       "16r5361"    16r3F28
                                       "16r5362"    16r422C
                                       "16r5363"    16r5855
                                       "16r5364"    16r4231
                                       "16r5365"    16r0000 " invalid " 
                                       "16r5366"    16r5854
                                       "16r5367"    16r4E54
                                       "16r5368"    16r0000 " invalid " 
                                       "16r5369"    16r5A60
                                       "16r536A"    16r0000 " invalid " 
                                       "16r536B"    16r4E40
                                       "16r536C"    16r0000 " invalid " 
                                       "16r536D"    16r0000 " invalid " 
                                       "16r536E"    16r5834
                                       "16r536F"    16r432E
                                       "16r5370"    16r5321
                                       "16r5371"    16r4E23
                                       "16r5372"    16r0000 " invalid " 
                                       "16r5373"    16r3C34
                                       "16r5374"    16r4834
                                       "16r5375"    16r4251
                                       "16r5376"    16r0000 " invalid " 
                                       "16r5377"    16r3E6D
                                       "16r5378"    16r5036
                                       "16r5379"    16r0000 " invalid " 
                                       "16r537A"    16r5A61
                                       "16r537B"    16r0000 " invalid " 
                                       "16r537C"    16r0000 " invalid " 
                                       "16r537D"    16r0000 " invalid " 
                                       "16r537E"    16r0000 " invalid " 
                                       "16r537F"    16r4764
                                       "16r5380"    16r0000 " invalid " 
                                       "16r5381"    16r0000 " invalid " 
                                       "16r5382"    16r3327
                                       "16r5383"    16r0000 " invalid " 
                                       "16r5384"    16r3672
                                       "16r5385"    16r4C7C
                                       "16r5386"    16r407A
                                       "16r5387"    16r0000 " invalid " 
                                       "16r5388"    16r0000 " invalid " 
                                       "16r5389"    16r4077
                                       "16r538A"    16r0000 " invalid " 
                                       "16r538B"    16r5139
                                       "16r538C"    16r5161
                                       "16r538D"    16r5847
                                       "16r538E"    16r0000 " invalid " 
                                       "16r538F"    16r0000 " invalid " 
                                       "16r5390"    16r0000 " invalid " 
                                       "16r5391"    16r0000 " invalid " 
                                       "16r5392"    16r0000 " invalid " 
                                       "16r5393"    16r0000 " invalid " 
                                       "16r5394"    16r0000 " invalid " 
                                       "16r5395"    16r325E
                                       "16r5396"    16r0000 " invalid " 
                                       "16r5397"    16r0000 " invalid " 
                                       "16r5398"    16r4065
                                       "16r5399"    16r0000 " invalid " 
                                       "16r539A"    16r3A71
                                       "16r539B"    16r0000 " invalid " 
                                       "16r539C"    16r0000 " invalid " 
                                       "16r539D"    16r5848
                                       "16r539E"    16r0000 " invalid " 
                                       "16r539F"    16r542D
                                       "16r53A0"    16r0000 " invalid " 
                                       "16r53A1"    16r0000 " invalid " 
                                       "16r53A2"    16r4F61
                                       "16r53A3"    16r5849
                                       "16r53A4"    16r0000 " invalid " 
                                       "16r53A5"    16r584A
                                       "16r53A6"    16r4F43
                                       "16r53A7"    16r0000 " invalid " 
                                       "16r53A8"    16r3378
                                       "16r53A9"    16r3E47
                                       "16r53AA"    16r0000 " invalid " 
                                       "16r53AB"    16r0000 " invalid " 
                                       "16r53AC"    16r0000 " invalid " 
                                       "16r53AD"    16r0000 " invalid " 
                                       "16r53AE"    16r584B
                                       "16r53AF"    16r0000 " invalid " 
                                       "16r53B0"    16r0000 " invalid " 
                                       "16r53B1"    16r0000 " invalid " 
                                       "16r53B2"    16r0000 " invalid " 
                                       "16r53B3"    16r0000 " invalid " 
                                       "16r53B4"    16r0000 " invalid " 
                                       "16r53B5"    16r0000 " invalid " 
                                       "16r53B6"    16r5B4C
                                       "16r53B7"    16r0000 " invalid " 
                                       "16r53B8"    16r0000 " invalid " 
                                       "16r53B9"    16r0000 " invalid " 
                                       "16r53BA"    16r0000 " invalid " 
                                       "16r53BB"    16r4825
                                       "16r53BC"    16r0000 " invalid " 
                                       "16r53BD"    16r0000 " invalid " 
                                       "16r53BE"    16r0000 " invalid " 
                                       "16r53BF"    16r4F58
                                       "16r53C0"    16r0000 " invalid " 
                                       "16r53C1"    16r487E
                                       "16r53C2"    16r324E
                                       "16r53C3"    16r0000 " invalid " 
                                       "16r53C4"    16r0000 " invalid " 
                                       "16r53C5"    16r0000 " invalid " 
                                       "16r53C6"    16r0000 " invalid " 
                                       "16r53C7"    16r0000 " invalid " 
                                       "16r53C8"    16r5356
                                       "16r53C9"    16r3266
                                       "16r53CA"    16r3C30
                                       "16r53CB"    16r5351
                                       "16r53CC"    16r4B2B
                                       "16r53CD"    16r3734
                                       "16r53CE"    16r0000 " invalid " 
                                       "16r53CF"    16r0000 " invalid " 
                                       "16r53D0"    16r0000 " invalid " 
                                       "16r53D1"    16r3722
                                       "16r53D2"    16r0000 " invalid " 
                                       "16r53D3"    16r0000 " invalid " 
                                       "16r53D4"    16r4A65
                                       "16r53D5"    16r0000 " invalid " 
                                       "16r53D6"    16r4821
                                       "16r53D7"    16r4A5C
                                       "16r53D8"    16r3164
                                       "16r53D9"    16r5070
                                       "16r53DA"    16r0000 " invalid " 
                                       "16r53DB"    16r4551
                                       "16r53DC"    16r0000 " invalid " 
                                       "16r53DD"    16r0000 " invalid " 
                                       "16r53DE"    16r0000 " invalid " 
                                       "16r53DF"    16r5B45
                                       "16r53E0"    16r357E
                                       "16r53E1"    16r0000 " invalid " 
                                       "16r53E2"    16r0000 " invalid " 
                                       "16r53E3"    16r3F5A
                                       "16r53E4"    16r3945
                                       "16r53E5"    16r3E64
                                       "16r53E6"    16r416D
                                       "16r53E7"    16r0000 " invalid " 
                                       "16r53E8"    16r5F36
                                       "16r53E9"    16r5F35
                                       "16r53EA"    16r563B
                                       "16r53EB"    16r3D50
                                       "16r53EC"    16r5559
                                       "16r53ED"    16r3048
                                       "16r53EE"    16r3623
                                       "16r53EF"    16r3F49
                                       "16r53F0"    16r4C28
                                       "16r53F1"    16r5F33
                                       "16r53F2"    16r4A37
                                       "16r53F3"    16r5352
                                       "16r53F4"    16r0000 " invalid " 
                                       "16r53F5"    16r584F
                                       "16r53F6"    16r5236
                                       "16r53F7"    16r3A45
                                       "16r53F8"    16r4B3E
                                       "16r53F9"    16r4C3E
                                       "16r53FA"    16r0000 " invalid " 
                                       "16r53FB"    16r5F37
                                       "16r53FC"    16r3570
                                       "16r53FD"    16r5F34
                                       "16r53FE"    16r0000 " invalid " 
                                       "16r53FF"    16r0000 " invalid " 
                                       "16r5400"    16r0000 " invalid " 
                                       "16r5401"    16r5375
                                       "16r5402"    16r0000 " invalid " 
                                       "16r5403"    16r3354
                                       "16r5404"    16r3877
                                       "16r5405"    16r0000 " invalid " 
                                       "16r5406"    16r5F3A
                                       "16r5407"    16r0000 " invalid " 
                                       "16r5408"    16r3A4F
                                       "16r5409"    16r3C2A
                                       "16r540A"    16r3575
                                       "16r540B"    16r0000 " invalid " 
                                       "16r540C"    16r4D2C
                                       "16r540D"    16r437B
                                       "16r540E"    16r3A73
                                       "16r540F"    16r4074
                                       "16r5410"    16r4D42
                                       "16r5411"    16r4F72
                                       "16r5412"    16r5F38
                                       "16r5413"    16r4F45
                                       "16r5414"    16r0000 " invalid " 
                                       "16r5415"    16r4240
                                       "16r5416"    16r5F39
                                       "16r5417"    16r4270
                                       "16r5418"    16r0000 " invalid " 
                                       "16r5419"    16r0000 " invalid " 
                                       "16r541A"    16r0000 " invalid " 
                                       "16r541B"    16r3E7D
                                       "16r541C"    16r0000 " invalid " 
                                       "16r541D"    16r415F
                                       "16r541E"    16r4D4C
                                       "16r541F"    16r5277
                                       "16r5420"    16r374D
                                       "16r5421"    16r5F41
                                       "16r5422"    16r0000 " invalid " 
                                       "16r5423"    16r5F44
                                       "16r5424"    16r0000 " invalid " 
                                       "16r5425"    16r0000 " invalid " 
                                       "16r5426"    16r3771
                                       "16r5427"    16r3049
                                       "16r5428"    16r3656
                                       "16r5429"    16r3754
                                       "16r542A"    16r0000 " invalid " 
                                       "16r542B"    16r3A2C
                                       "16r542C"    16r4C7D
                                       "16r542D"    16r3F54
                                       "16r542E"    16r4B31
                                       "16r542F"    16r4674
                                       "16r5430"    16r0000 " invalid " 
                                       "16r5431"    16r5628
                                       "16r5432"    16r5F45
                                       "16r5433"    16r0000 " invalid " 
                                       "16r5434"    16r4E62
                                       "16r5435"    16r3333
                                       "16r5436"    16r0000 " invalid " 
                                       "16r5437"    16r0000 " invalid " 
                                       "16r5438"    16r4E7C
                                       "16r5439"    16r3435
                                       "16r543A"    16r0000 " invalid " 
                                       "16r543B"    16r4E47
                                       "16r543C"    16r3A70
                                       "16r543D"    16r0000 " invalid " 
                                       "16r543E"    16r4E61
                                       "16r543F"    16r0000 " invalid " 
                                       "16r5440"    16r513D
                                       "16r5441"    16r0000 " invalid " 
                                       "16r5442"    16r0000 " invalid " 
                                       "16r5443"    16r5F40
                                       "16r5444"    16r0000 " invalid " 
                                       "16r5445"    16r0000 " invalid " 
                                       "16r5446"    16r3474
                                       "16r5447"    16r0000 " invalid " 
                                       "16r5448"    16r334A
                                       "16r5449"    16r0000 " invalid " 
                                       "16r544A"    16r3866
                                       "16r544B"    16r5F3B
                                       "16r544C"    16r0000 " invalid " 
                                       "16r544D"    16r0000 " invalid " 
                                       "16r544E"    16r0000 " invalid " 
                                       "16r544F"    16r0000 " invalid " 
                                       "16r5450"    16r4445
                                       "16r5451"    16r0000 " invalid " 
                                       "16r5452"    16r5F3C
                                       "16r5453"    16r5F3D
                                       "16r5454"    16r5F3E
                                       "16r5455"    16r453B
                                       "16r5456"    16r5F3F
                                       "16r5457"    16r5F42
                                       "16r5458"    16r5431
                                       "16r5459"    16r5F43
                                       "16r545A"    16r0000 " invalid " 
                                       "16r545B"    16r473A
                                       "16r545C"    16r4E58
                                       "16r545D"    16r0000 " invalid " 
                                       "16r545E"    16r0000 " invalid " 
                                       "16r545F"    16r0000 " invalid " 
                                       "16r5460"    16r0000 " invalid " 
                                       "16r5461"    16r0000 " invalid " 
                                       "16r5462"    16r4458
                                       "16r5463"    16r0000 " invalid " 
                                       "16r5464"    16r5F4A
                                       "16r5465"    16r0000 " invalid " 
                                       "16r5466"    16r5F4F
                                       "16r5467"    16r0000 " invalid " 
                                       "16r5468"    16r565C
                                       "16r5469"    16r0000 " invalid " 
                                       "16r546A"    16r0000 " invalid " 
                                       "16r546B"    16r0000 " invalid " 
                                       "16r546C"    16r0000 " invalid " 
                                       "16r546D"    16r0000 " invalid " 
                                       "16r546E"    16r0000 " invalid " 
                                       "16r546F"    16r0000 " invalid " 
                                       "16r5470"    16r0000 " invalid " 
                                       "16r5471"    16r5F49
                                       "16r5472"    16r5F5A
                                       "16r5473"    16r4E36
                                       "16r5474"    16r0000 " invalid " 
                                       "16r5475"    16r3A47
                                       "16r5476"    16r5F4E
                                       "16r5477"    16r5F48
                                       "16r5478"    16r455E
                                       "16r5479"    16r0000 " invalid " 
                                       "16r547A"    16r0000 " invalid " 
                                       "16r547B"    16r496B
                                       "16r547C"    16r3A74
                                       "16r547D"    16r437C
                                       "16r547E"    16r0000 " invalid " 
                                       "16r547F"    16r0000 " invalid " 
                                       "16r5480"    16r3E57
                                       "16r5481"    16r0000 " invalid " 
                                       "16r5482"    16r5F46
                                       "16r5483"    16r0000 " invalid " 
                                       "16r5484"    16r5F4D
                                       "16r5485"    16r0000 " invalid " 
                                       "16r5486"    16r4558
                                       "16r5487"    16r0000 " invalid " 
                                       "16r5488"    16r0000 " invalid " 
                                       "16r5489"    16r0000 " invalid " 
                                       "16r548A"    16r0000 " invalid " 
                                       "16r548B"    16r5526
                                       "16r548C"    16r3A4D
                                       "16r548D"    16r0000 " invalid " 
                                       "16r548E"    16r3E4C
                                       "16r548F"    16r533D
                                       "16r5490"    16r3840
                                       "16r5491"    16r0000 " invalid " 
                                       "16r5492"    16r5664
                                       "16r5493"    16r0000 " invalid " 
                                       "16r5494"    16r5F47
                                       "16r5495"    16r393E
                                       "16r5496"    16r3F27
                                       "16r5497"    16r0000 " invalid " 
                                       "16r5498"    16r0000 " invalid " 
                                       "16r5499"    16r417C
                                       "16r549A"    16r5F4B
                                       "16r549B"    16r5F4C
                                       "16r549C"    16r0000 " invalid " 
                                       "16r549D"    16r5F50
                                       "16r549E"    16r0000 " invalid " 
                                       "16r549F"    16r0000 " invalid " 
                                       "16r54A0"    16r0000 " invalid " 
                                       "16r54A1"    16r0000 " invalid " 
                                       "16r54A2"    16r0000 " invalid " 
                                       "16r54A3"    16r5F5B
                                       "16r54A4"    16r5F65
                                       "16r54A5"    16r0000 " invalid " 
                                       "16r54A6"    16r5F57
                                       "16r54A7"    16r5F56
                                       "16r54A8"    16r5749
                                       "16r54A9"    16r5F63
                                       "16r54AA"    16r5F64
                                       "16r54AB"    16r656B
                                       "16r54AC"    16r5227
                                       "16r54AD"    16r5F52
                                       "16r54AE"    16r0000 " invalid " 
                                       "16r54AF"    16r3F29
                                       "16r54B0"    16r0000 " invalid " 
                                       "16r54B1"    16r545B
                                       "16r54B2"    16r0000 " invalid " 
                                       "16r54B3"    16r3F48
                                       "16r54B4"    16r5F54
                                       "16r54B5"    16r0000 " invalid " 
                                       "16r54B6"    16r0000 " invalid " 
                                       "16r54B7"    16r0000 " invalid " 
                                       "16r54B8"    16r4F4C
                                       "16r54B9"    16r0000 " invalid " 
                                       "16r54BA"    16r0000 " invalid " 
                                       "16r54BB"    16r5F5D
                                       "16r54BC"    16r0000 " invalid " 
                                       "16r54BD"    16r514A
                                       "16r54BE"    16r0000 " invalid " 
                                       "16r54BF"    16r5F5E
                                       "16r54C0"    16r3027
                                       "16r54C1"    16r4637
                                       "16r54C2"    16r5F53
                                       "16r54C3"    16r0000 " invalid " 
                                       "16r54C4"    16r3A65
                                       "16r54C5"    16r0000 " invalid " 
                                       "16r54C6"    16r365F
                                       "16r54C7"    16r4D5B
                                       "16r54C8"    16r397E
                                       "16r54C9"    16r5455
                                       "16r54CA"    16r0000 " invalid " 
                                       "16r54CB"    16r0000 " invalid " 
                                       "16r54CC"    16r5F5F
                                       "16r54CD"    16r4F6C
                                       "16r54CE"    16r3025
                                       "16r54CF"    16r5F67
                                       "16r54D0"    16r5F51
                                       "16r54D1"    16r5146
                                       "16r54D2"    16r5F55
                                       "16r54D3"    16r5F58
                                       "16r54D4"    16r5F59
                                       "16r54D5"    16r5F5C
                                       "16r54D6"    16r0000 " invalid " 
                                       "16r54D7"    16r3B29
                                       "16r54D8"    16r0000 " invalid " 
                                       "16r54D9"    16r5F60
                                       "16r54DA"    16r5F61
                                       "16r54DB"    16r0000 " invalid " 
                                       "16r54DC"    16r5F62
                                       "16r54DD"    16r5F66
                                       "16r54DE"    16r5F68
                                       "16r54DF"    16r5334
                                       "16r54E0"    16r0000 " invalid " 
                                       "16r54E1"    16r0000 " invalid " 
                                       "16r54E2"    16r0000 " invalid " 
                                       "16r54E3"    16r0000 " invalid " 
                                       "16r54E4"    16r0000 " invalid " 
                                       "16r54E5"    16r3867
                                       "16r54E6"    16r4536
                                       "16r54E7"    16r5F6A
                                       "16r54E8"    16r495A
                                       "16r54E9"    16r4128
                                       "16r54EA"    16r4444
                                       "16r54EB"    16r0000 " invalid " 
                                       "16r54EC"    16r0000 " invalid " 
                                       "16r54ED"    16r3F5E
                                       "16r54EE"    16r4F78
                                       "16r54EF"    16r0000 " invalid " 
                                       "16r54F0"    16r0000 " invalid " 
                                       "16r54F1"    16r0000 " invalid " 
                                       "16r54F2"    16r555C
                                       "16r54F3"    16r5F6E
                                       "16r54F4"    16r0000 " invalid " 
                                       "16r54F5"    16r0000 " invalid " 
                                       "16r54F6"    16r0000 " invalid " 
                                       "16r54F7"    16r0000 " invalid " 
                                       "16r54F8"    16r0000 " invalid " 
                                       "16r54F9"    16r0000 " invalid " 
                                       "16r54FA"    16r3238
                                       "16r54FB"    16r0000 " invalid " 
                                       "16r54FC"    16r3A5F
                                       "16r54FD"    16r5F6C
                                       "16r54FE"    16r0000 " invalid " 
                                       "16r54FF"    16r5B41
                                       "16r5500"    16r0000 " invalid " 
                                       "16r5501"    16r5164
                                       "16r5502"    16r0000 " invalid " 
                                       "16r5503"    16r0000 " invalid " 
                                       "16r5504"    16r0000 " invalid " 
                                       "16r5505"    16r0000 " invalid " 
                                       "16r5506"    16r4B74
                                       "16r5507"    16r343D
                                       "16r5508"    16r0000 " invalid " 
                                       "16r5509"    16r3026
                                       "16r550A"    16r0000 " invalid " 
                                       "16r550B"    16r0000 " invalid " 
                                       "16r550C"    16r0000 " invalid " 
                                       "16r550D"    16r0000 " invalid " 
                                       "16r550E"    16r0000 " invalid " 
                                       "16r550F"    16r5F71
                                       "16r5510"    16r4C46
                                       "16r5511"    16r5F72
                                       "16r5512"    16r0000 " invalid " 
                                       "16r5513"    16r0000 " invalid " 
                                       "16r5514"    16r5F6D
                                       "16r5515"    16r0000 " invalid " 
                                       "16r5516"    16r0000 " invalid " 
                                       "16r5517"    16r0000 " invalid " 
                                       "16r5518"    16r0000 " invalid " 
                                       "16r5519"    16r0000 " invalid " 
                                       "16r551A"    16r0000 " invalid " 
                                       "16r551B"    16r5F69
                                       "16r551C"    16r0000 " invalid " 
                                       "16r551D"    16r0000 " invalid " 
                                       "16r551E"    16r0000 " invalid " 
                                       "16r551F"    16r0000 " invalid " 
                                       "16r5520"    16r5F6B
                                       "16r5521"    16r0000 " invalid " 
                                       "16r5522"    16r5F6F
                                       "16r5523"    16r5F70
                                       "16r5524"    16r3B3D
                                       "16r5525"    16r0000 " invalid " 
                                       "16r5526"    16r0000 " invalid " 
                                       "16r5527"    16r5F73
                                       "16r5528"    16r0000 " invalid " 
                                       "16r5529"    16r0000 " invalid " 
                                       "16r552A"    16r5F74
                                       "16r552B"    16r0000 " invalid " 
                                       "16r552C"    16r3B23
                                       "16r552D"    16r0000 " invalid " 
                                       "16r552E"    16r4A5B
                                       "16r552F"    16r4E28
                                       "16r5530"    16r6027
                                       "16r5531"    16r332A
                                       "16r5532"    16r0000 " invalid " 
                                       "16r5533"    16r6026
                                       "16r5534"    16r0000 " invalid " 
                                       "16r5535"    16r0000 " invalid " 
                                       "16r5536"    16r0000 " invalid " 
                                       "16r5537"    16r6021
                                       "16r5538"    16r0000 " invalid " 
                                       "16r5539"    16r0000 " invalid " 
                                       "16r553A"    16r0000 " invalid " 
                                       "16r553B"    16r0000 " invalid " 
                                       "16r553C"    16r5F7E
                                       "16r553D"    16r0000 " invalid " 
                                       "16r553E"    16r4D59
                                       "16r553F"    16r5F7C
                                       "16r5540"    16r0000 " invalid " 
                                       "16r5541"    16r5F7A
                                       "16r5542"    16r0000 " invalid " 
                                       "16r5543"    16r3F50
                                       "16r5544"    16r5744
                                       "16r5545"    16r0000 " invalid " 
                                       "16r5546"    16r494C
                                       "16r5547"    16r0000 " invalid " 
                                       "16r5548"    16r0000 " invalid " 
                                       "16r5549"    16r5F78
                                       "16r554A"    16r3021
                                       "16r554B"    16r0000 " invalid " 
                                       "16r554C"    16r0000 " invalid " 
                                       "16r554D"    16r0000 " invalid " 
                                       "16r554E"    16r0000 " invalid " 
                                       "16r554F"    16r0000 " invalid " 
                                       "16r5550"    16r5F7D
                                       "16r5551"    16r0000 " invalid " 
                                       "16r5552"    16r0000 " invalid " 
                                       "16r5553"    16r0000 " invalid " 
                                       "16r5554"    16r0000 " invalid " 
                                       "16r5555"    16r5F7B
                                       "16r5556"    16r6022
                                       "16r5557"    16r0000 " invalid " 
                                       "16r5558"    16r0000 " invalid " 
                                       "16r5559"    16r0000 " invalid " 
                                       "16r555A"    16r0000 " invalid " 
                                       "16r555B"    16r0000 " invalid " 
                                       "16r555C"    16r6028
                                       "16r555D"    16r0000 " invalid " 
                                       "16r555E"    16r0000 " invalid " 
                                       "16r555F"    16r0000 " invalid " 
                                       "16r5560"    16r0000 " invalid " 
                                       "16r5561"    16r3748
                                       "16r5562"    16r0000 " invalid " 
                                       "16r5563"    16r0000 " invalid " 
                                       "16r5564"    16r4621
                                       "16r5565"    16r4936
                                       "16r5566"    16r4032
                                       "16r5567"    16r5F75
                                       "16r5568"    16r0000 " invalid " 
                                       "16r5569"    16r0000 " invalid " 
                                       "16r556A"    16r453E
                                       "16r556B"    16r0000 " invalid " 
                                       "16r556C"    16r5844
                                       "16r556D"    16r5F79
                                       "16r556E"    16r4476
                                       "16r556F"    16r0000 " invalid " 
                                       "16r5570"    16r0000 " invalid " 
                                       "16r5571"    16r0000 " invalid " 
                                       "16r5572"    16r0000 " invalid " 
                                       "16r5573"    16r0000 " invalid " 
                                       "16r5574"    16r0000 " invalid " 
                                       "16r5575"    16r6023
                                       "16r5576"    16r6024
                                       "16r5577"    16r6025
                                       "16r5578"    16r5025
                                       "16r5579"    16r0000 " invalid " 
                                       "16r557A"    16r0000 " invalid " 
                                       "16r557B"    16r6034
                                       "16r557C"    16r4C64
                                       "16r557D"    16r0000 " invalid " 
                                       "16r557E"    16r6031
                                       "16r557F"    16r0000 " invalid " 
                                       "16r5580"    16r3F26
                                       "16r5581"    16r602F
                                       "16r5582"    16r4E39
                                       "16r5583"    16r602B
                                       "16r5584"    16r4946
                                       "16r5585"    16r0000 " invalid " 
                                       "16r5586"    16r0000 " invalid " 
                                       "16r5587"    16r402E
                                       "16r5588"    16r602E
                                       "16r5589"    16r3A6D
                                       "16r558A"    16r3A30
                                       "16r558B"    16r6029
                                       "16r558C"    16r0000 " invalid " 
                                       "16r558D"    16r0000 " invalid " 
                                       "16r558E"    16r0000 " invalid " 
                                       "16r558F"    16r5F76
                                       "16r5590"    16r0000 " invalid " 
                                       "16r5591"    16r6033
                                       "16r5592"    16r0000 " invalid " 
                                       "16r5593"    16r0000 " invalid " 
                                       "16r5594"    16r6038
                                       "16r5595"    16r0000 " invalid " 
                                       "16r5596"    16r0000 " invalid " 
                                       "16r5597"    16r0000 " invalid " 
                                       "16r5598"    16r342D
                                       "16r5599"    16r6039
                                       "16r559A"    16r0000 " invalid " 
                                       "16r559B"    16r0000 " invalid " 
                                       "16r559C"    16r4F32
                                       "16r559D"    16r3A48
                                       "16r559E"    16r0000 " invalid " 
                                       "16r559F"    16r6030
                                       "16r55A0"    16r0000 " invalid " 
                                       "16r55A1"    16r0000 " invalid " 
                                       "16r55A2"    16r0000 " invalid " 
                                       "16r55A3"    16r0000 " invalid " 
                                       "16r55A4"    16r0000 " invalid " 
                                       "16r55A5"    16r0000 " invalid " 
                                       "16r55A6"    16r0000 " invalid " 
                                       "16r55A7"    16r507A
                                       "16r55A8"    16r0000 " invalid " 
                                       "16r55A9"    16r0000 " invalid " 
                                       "16r55AA"    16r0000 " invalid " 
                                       "16r55AB"    16r0000 " invalid " 
                                       "16r55AC"    16r0000 " invalid " 
                                       "16r55AD"    16r0000 " invalid " 
                                       "16r55AE"    16r0000 " invalid " 
                                       "16r55AF"    16r0000 " invalid " 
                                       "16r55B0"    16r0000 " invalid " 
                                       "16r55B1"    16r602C
                                       "16r55B2"    16r0000 " invalid " 
                                       "16r55B3"    16r547B
                                       "16r55B4"    16r0000 " invalid " 
                                       "16r55B5"    16r5F77
                                       "16r55B6"    16r0000 " invalid " 
                                       "16r55B7"    16r4567
                                       "16r55B8"    16r0000 " invalid " 
                                       "16r55B9"    16r602D
                                       "16r55BA"    16r0000 " invalid " 
                                       "16r55BB"    16r5377
                                       "16r55BC"    16r0000 " invalid " 
                                       "16r55BD"    16r6036
                                       "16r55BE"    16r6037
                                       "16r55BF"    16r0000 " invalid " 
                                       "16r55C0"    16r0000 " invalid " 
                                       "16r55C1"    16r0000 " invalid " 
                                       "16r55C2"    16r0000 " invalid " 
                                       "16r55C3"    16r0000 " invalid " 
                                       "16r55C4"    16r6044
                                       "16r55C5"    16r5061
                                       "16r55C6"    16r0000 " invalid " 
                                       "16r55C7"    16r0000 " invalid " 
                                       "16r55C8"    16r0000 " invalid " 
                                       "16r55C9"    16r603C
                                       "16r55CA"    16r0000 " invalid " 
                                       "16r55CB"    16r0000 " invalid " 
                                       "16r55CC"    16r6049
                                       "16r55CD"    16r604A
                                       "16r55CE"    16r0000 " invalid " 
                                       "16r55CF"    16r0000 " invalid " 
                                       "16r55D0"    16r0000 " invalid " 
                                       "16r55D1"    16r603E
                                       "16r55D2"    16r602A
                                       "16r55D3"    16r4924
                                       "16r55D4"    16r6041
                                       "16r55D5"    16r0000 " invalid " 
                                       "16r55D6"    16r6032
                                       "16r55D7"    16r0000 " invalid " 
                                       "16r55D8"    16r0000 " invalid " 
                                       "16r55D9"    16r0000 " invalid " 
                                       "16r55DA"    16r0000 " invalid " 
                                       "16r55DB"    16r0000 " invalid " 
                                       "16r55DC"    16r4A48
                                       "16r55DD"    16r6043
                                       "16r55DE"    16r0000 " invalid " 
                                       "16r55DF"    16r6035
                                       "16r55E0"    16r0000 " invalid " 
                                       "16r55E1"    16r4E4B
                                       "16r55E2"    16r0000 " invalid " 
                                       "16r55E3"    16r4B43
                                       "16r55E4"    16r604D
                                       "16r55E5"    16r6046
                                       "16r55E6"    16r6042
                                       "16r55E7"    16r0000 " invalid " 
                                       "16r55E8"    16r604B
                                       "16r55E9"    16r0000 " invalid " 
                                       "16r55EA"    16r603A
                                       "16r55EB"    16r603F
                                       "16r55EC"    16r6040
                                       "16r55ED"    16r0000 " invalid " 
                                       "16r55EE"    16r0000 " invalid " 
                                       "16r55EF"    16r6045
                                       "16r55F0"    16r0000 " invalid " 
                                       "16r55F1"    16r0000 " invalid " 
                                       "16r55F2"    16r6047
                                       "16r55F3"    16r6048
                                       "16r55F4"    16r0000 " invalid " 
                                       "16r55F5"    16r604C
                                       "16r55F6"    16r0000 " invalid " 
                                       "16r55F7"    16r603B
                                       "16r55F8"    16r0000 " invalid " 
                                       "16r55F9"    16r0000 " invalid " 
                                       "16r55FA"    16r0000 " invalid " 
                                       "16r55FB"    16r0000 " invalid " 
                                       "16r55FC"    16r0000 " invalid " 
                                       "16r55FD"    16r4B54
                                       "16r55FE"    16r6055
                                       "16r55FF"    16r0000 " invalid " 
                                       "16r5600"    16r6056
                                       "16r5601"    16r6052
                                       "16r5602"    16r0000 " invalid " 
                                       "16r5603"    16r0000 " invalid " 
                                       "16r5604"    16r0000 " invalid " 
                                       "16r5605"    16r0000 " invalid " 
                                       "16r5606"    16r0000 " invalid " 
                                       "16r5607"    16r0000 " invalid " 
                                       "16r5608"    16r6050
                                       "16r5609"    16r3C4E
                                       "16r560A"    16r0000 " invalid " 
                                       "16r560B"    16r0000 " invalid " 
                                       "16r560C"    16r6051
                                       "16r560D"    16r0000 " invalid " 
                                       "16r560E"    16r3842
                                       "16r560F"    16r5845
                                       "16r5610"    16r0000 " invalid " 
                                       "16r5611"    16r0000 " invalid " 
                                       "16r5612"    16r0000 " invalid " 
                                       "16r5613"    16r0000 " invalid " 
                                       "16r5614"    16r0000 " invalid " 
                                       "16r5615"    16r0000 " invalid " 
                                       "16r5616"    16r0000 " invalid " 
                                       "16r5617"    16r0000 " invalid " 
                                       "16r5618"    16r506A
                                       "16r5619"    16r0000 " invalid " 
                                       "16r561A"    16r0000 " invalid " 
                                       "16r561B"    16r426F
                                       "16r561C"    16r0000 " invalid " 
                                       "16r561D"    16r0000 " invalid " 
                                       "16r561E"    16r604F
                                       "16r561F"    16r603D
                                       "16r5620"    16r0000 " invalid " 
                                       "16r5621"    16r0000 " invalid " 
                                       "16r5622"    16r0000 " invalid " 
                                       "16r5623"    16r6054
                                       "16r5624"    16r6053
                                       "16r5625"    16r0000 " invalid " 
                                       "16r5626"    16r0000 " invalid " 
                                       "16r5627"    16r6057
                                       "16r5628"    16r0000 " invalid " 
                                       "16r5629"    16r0000 " invalid " 
                                       "16r562A"    16r0000 " invalid " 
                                       "16r562B"    16r0000 " invalid " 
                                       "16r562C"    16r605C
                                       "16r562D"    16r6058
                                       "16r562E"    16r0000 " invalid " 
                                       "16r562F"    16r0000 " invalid " 
                                       "16r5630"    16r0000 " invalid " 
                                       "16r5631"    16r5676
                                       "16r5632"    16r3330
                                       "16r5633"    16r0000 " invalid " 
                                       "16r5634"    16r576C
                                       "16r5635"    16r0000 " invalid " 
                                       "16r5636"    16r4B3B
                                       "16r5637"    16r0000 " invalid " 
                                       "16r5638"    16r0000 " invalid " 
                                       "16r5639"    16r605A
                                       "16r563A"    16r0000 " invalid " 
                                       "16r563B"    16r4E7B
                                       "16r563C"    16r0000 " invalid " 
                                       "16r563D"    16r0000 " invalid " 
                                       "16r563E"    16r0000 " invalid " 
                                       "16r563F"    16r3A59
                                       "16r5640"    16r0000 " invalid " 
                                       "16r5641"    16r0000 " invalid " 
                                       "16r5642"    16r0000 " invalid " 
                                       "16r5643"    16r0000 " invalid " 
                                       "16r5644"    16r0000 " invalid " 
                                       "16r5645"    16r0000 " invalid " 
                                       "16r5646"    16r0000 " invalid " 
                                       "16r5647"    16r0000 " invalid " 
                                       "16r5648"    16r0000 " invalid " 
                                       "16r5649"    16r0000 " invalid " 
                                       "16r564A"    16r0000 " invalid " 
                                       "16r564B"    16r0000 " invalid " 
                                       "16r564C"    16r6061
                                       "16r564D"    16r605D
                                       "16r564E"    16r522D
                                       "16r564F"    16r0000 " invalid " 
                                       "16r5650"    16r0000 " invalid " 
                                       "16r5651"    16r0000 " invalid " 
                                       "16r5652"    16r0000 " invalid " 
                                       "16r5653"    16r0000 " invalid " 
                                       "16r5654"    16r6062
                                       "16r5655"    16r0000 " invalid " 
                                       "16r5656"    16r0000 " invalid " 
                                       "16r5657"    16r605B
                                       "16r5658"    16r6059
                                       "16r5659"    16r605F
                                       "16r565A"    16r0000 " invalid " 
                                       "16r565B"    16r0000 " invalid " 
                                       "16r565C"    16r6060
                                       "16r565D"    16r0000 " invalid " 
                                       "16r565E"    16r0000 " invalid " 
                                       "16r565F"    16r0000 " invalid " 
                                       "16r5660"    16r0000 " invalid " 
                                       "16r5661"    16r0000 " invalid " 
                                       "16r5662"    16r605E
                                       "16r5663"    16r0000 " invalid " 
                                       "16r5664"    16r6064
                                       "16r5665"    16r0000 " invalid " 
                                       "16r5666"    16r0000 " invalid " 
                                       "16r5667"    16r0000 " invalid " 
                                       "16r5668"    16r4677
                                       "16r5669"    16r582C
                                       "16r566A"    16r546B
                                       "16r566B"    16r6066
                                       "16r566C"    16r4A49
                                       "16r566D"    16r0000 " invalid " 
                                       "16r566E"    16r0000 " invalid " 
                                       "16r566F"    16r0000 " invalid " 
                                       "16r5670"    16r0000 " invalid " 
                                       "16r5671"    16r6065
                                       "16r5672"    16r0000 " invalid " 
                                       "16r5673"    16r0000 " invalid " 
                                       "16r5674"    16r0000 " invalid " 
                                       "16r5675"    16r0000 " invalid " 
                                       "16r5676"    16r3841
                                       "16r5677"    16r0000 " invalid " 
                                       "16r5678"    16r0000 " invalid " 
                                       "16r5679"    16r0000 " invalid " 
                                       "16r567A"    16r0000 " invalid " 
                                       "16r567B"    16r6067
                                       "16r567C"    16r6068
                                       "16r567D"    16r0000 " invalid " 
                                       "16r567E"    16r0000 " invalid " 
                                       "16r567F"    16r0000 " invalid " 
                                       "16r5680"    16r0000 " invalid " 
                                       "16r5681"    16r0000 " invalid " 
                                       "16r5682"    16r0000 " invalid " 
                                       "16r5683"    16r0000 " invalid " 
                                       "16r5684"    16r0000 " invalid " 
                                       "16r5685"    16r6069
                                       "16r5686"    16r6063
                                       "16r5687"    16r0000 " invalid " 
                                       "16r5688"    16r0000 " invalid " 
                                       "16r5689"    16r0000 " invalid " 
                                       "16r568A"    16r0000 " invalid " 
                                       "16r568B"    16r0000 " invalid " 
                                       "16r568C"    16r0000 " invalid " 
                                       "16r568D"    16r0000 " invalid " 
                                       "16r568E"    16r3A3F
                                       "16r568F"    16r4C67
                                       "16r5690"    16r0000 " invalid " 
                                       "16r5691"    16r0000 " invalid " 
                                       "16r5692"    16r0000 " invalid " 
                                       "16r5693"    16r606A
                                       "16r5694"    16r0000 " invalid " 
                                       "16r5695"    16r0000 " invalid " 
                                       "16r5696"    16r0000 " invalid " 
                                       "16r5697"    16r0000 " invalid " 
                                       "16r5698"    16r0000 " invalid " 
                                       "16r5699"    16r0000 " invalid " 
                                       "16r569A"    16r0000 " invalid " 
                                       "16r569B"    16r0000 " invalid " 
                                       "16r569C"    16r0000 " invalid " 
                                       "16r569D"    16r0000 " invalid " 
                                       "16r569E"    16r0000 " invalid " 
                                       "16r569F"    16r0000 " invalid " 
                                       "16r56A0"    16r0000 " invalid " 
                                       "16r56A1"    16r0000 " invalid " 
                                       "16r56A2"    16r0000 " invalid " 
                                       "16r56A3"    16r4F79
                                       "16r56A4"    16r0000 " invalid " 
                                       "16r56A5"    16r0000 " invalid " 
                                       "16r56A6"    16r0000 " invalid " 
                                       "16r56A7"    16r0000 " invalid " 
                                       "16r56A8"    16r0000 " invalid " 
                                       "16r56A9"    16r0000 " invalid " 
                                       "16r56AA"    16r0000 " invalid " 
                                       "16r56AB"    16r0000 " invalid " 
                                       "16r56AC"    16r0000 " invalid " 
                                       "16r56AD"    16r0000 " invalid " 
                                       "16r56AE"    16r0000 " invalid " 
                                       "16r56AF"    16r606B
                                       "16r56B0"    16r0000 " invalid " 
                                       "16r56B1"    16r0000 " invalid " 
                                       "16r56B2"    16r0000 " invalid " 
                                       "16r56B3"    16r0000 " invalid " 
                                       "16r56B4"    16r0000 " invalid " 
                                       "16r56B5"    16r0000 " invalid " 
                                       "16r56B6"    16r0000 " invalid " 
                                       "16r56B7"    16r4842
                                       "16r56B8"    16r0000 " invalid " 
                                       "16r56B9"    16r0000 " invalid " 
                                       "16r56BA"    16r0000 " invalid " 
                                       "16r56BB"    16r0000 " invalid " 
                                       "16r56BC"    16r3D40
                                       "16r56BD"    16r0000 " invalid " 
                                       "16r56BE"    16r0000 " invalid " 
                                       "16r56BF"    16r0000 " invalid " 
                                       "16r56C0"    16r0000 " invalid " 
                                       "16r56C1"    16r0000 " invalid " 
                                       "16r56C2"    16r0000 " invalid " 
                                       "16r56C3"    16r0000 " invalid " 
                                       "16r56C4"    16r0000 " invalid " 
                                       "16r56C5"    16r0000 " invalid " 
                                       "16r56C6"    16r0000 " invalid " 
                                       "16r56C7"    16r0000 " invalid " 
                                       "16r56C8"    16r0000 " invalid " 
                                       "16r56C9"    16r0000 " invalid " 
                                       "16r56CA"    16r4452
                                       "16r56CB"    16r0000 " invalid " 
                                       "16r56CC"    16r0000 " invalid " 
                                       "16r56CD"    16r0000 " invalid " 
                                       "16r56CE"    16r0000 " invalid " 
                                       "16r56CF"    16r0000 " invalid " 
                                       "16r56D0"    16r0000 " invalid " 
                                       "16r56D1"    16r0000 " invalid " 
                                       "16r56D2"    16r0000 " invalid " 
                                       "16r56D3"    16r0000 " invalid " 
                                       "16r56D4"    16r606C
                                       "16r56D5"    16r0000 " invalid " 
                                       "16r56D6"    16r0000 " invalid " 
                                       "16r56D7"    16r606D
                                       "16r56D8"    16r0000 " invalid " 
                                       "16r56D9"    16r0000 " invalid " 
                                       "16r56DA"    16r4774
                                       "16r56DB"    16r4B44
                                       "16r56DC"    16r0000 " invalid " 
                                       "16r56DD"    16r606E
                                       "16r56DE"    16r3B58
                                       "16r56DF"    16r5836
                                       "16r56E0"    16r5272
                                       "16r56E1"    16r606F
                                       "16r56E2"    16r4D45
                                       "16r56E3"    16r0000 " invalid " 
                                       "16r56E4"    16r365A
                                       "16r56E5"    16r0000 " invalid " 
                                       "16r56E6"    16r0000 " invalid " 
                                       "16r56E7"    16r0000 " invalid " 
                                       "16r56E8"    16r0000 " invalid " 
                                       "16r56E9"    16r0000 " invalid " 
                                       "16r56EA"    16r0000 " invalid " 
                                       "16r56EB"    16r6071
                                       "16r56EC"    16r0000 " invalid " 
                                       "16r56ED"    16r5430
                                       "16r56EE"    16r0000 " invalid " 
                                       "16r56EF"    16r0000 " invalid " 
                                       "16r56F0"    16r4027
                                       "16r56F1"    16r3451
                                       "16r56F2"    16r0000 " invalid " 
                                       "16r56F3"    16r0000 " invalid " 
                                       "16r56F4"    16r4E27
                                       "16r56F5"    16r6070
                                       "16r56F6"    16r0000 " invalid " 
                                       "16r56F7"    16r0000 " invalid " 
                                       "16r56F8"    16r0000 " invalid " 
                                       "16r56F9"    16r6072
                                       "16r56FA"    16r394C
                                       "16r56FB"    16r0000 " invalid " 
                                       "16r56FC"    16r0000 " invalid " 
                                       "16r56FD"    16r397A
                                       "16r56FE"    16r4D3C
                                       "16r56FF"    16r6073
                                       "16r5700"    16r0000 " invalid " 
                                       "16r5701"    16r0000 " invalid " 
                                       "16r5702"    16r0000 " invalid " 
                                       "16r5703"    16r4654
                                       "16r5704"    16r6074
                                       "16r5705"    16r0000 " invalid " 
                                       "16r5706"    16r5432
                                       "16r5707"    16r0000 " invalid " 
                                       "16r5708"    16r4826
                                       "16r5709"    16r6076
                                       "16r570A"    16r6075
                                       "16r570B"    16r0000 " invalid " 
                                       "16r570C"    16r0000 " invalid " 
                                       "16r570D"    16r0000 " invalid " 
                                       "16r570E"    16r0000 " invalid " 
                                       "16r570F"    16r0000 " invalid " 
                                       "16r5710"    16r0000 " invalid " 
                                       "16r5711"    16r0000 " invalid " 
                                       "16r5712"    16r0000 " invalid " 
                                       "16r5713"    16r0000 " invalid " 
                                       "16r5714"    16r0000 " invalid " 
                                       "16r5715"    16r0000 " invalid " 
                                       "16r5716"    16r0000 " invalid " 
                                       "16r5717"    16r0000 " invalid " 
                                       "16r5718"    16r0000 " invalid " 
                                       "16r5719"    16r0000 " invalid " 
                                       "16r571A"    16r0000 " invalid " 
                                       "16r571B"    16r0000 " invalid " 
                                       "16r571C"    16r6077
                                       "16r571D"    16r0000 " invalid " 
                                       "16r571E"    16r0000 " invalid " 
                                       "16r571F"    16r4D41
                                       "16r5720"    16r0000 " invalid " 
                                       "16r5721"    16r0000 " invalid " 
                                       "16r5722"    16r0000 " invalid " 
                                       "16r5723"    16r4A25
                                       "16r5724"    16r0000 " invalid " 
                                       "16r5725"    16r0000 " invalid " 
                                       "16r5726"    16r0000 " invalid " 
                                       "16r5727"    16r0000 " invalid " 
                                       "16r5728"    16r545A
                                       "16r5729"    16r5B57
                                       "16r572A"    16r5B59
                                       "16r572B"    16r0000 " invalid " 
                                       "16r572C"    16r5B58
                                       "16r572D"    16r3967
                                       "16r572E"    16r5B5C
                                       "16r572F"    16r5B5D
                                       "16r5730"    16r3558
                                       "16r5731"    16r0000 " invalid " 
                                       "16r5732"    16r0000 " invalid " 
                                       "16r5733"    16r5B5A
                                       "16r5734"    16r0000 " invalid " 
                                       "16r5735"    16r0000 " invalid " 
                                       "16r5736"    16r0000 " invalid " 
                                       "16r5737"    16r0000 " invalid " 
                                       "16r5738"    16r0000 " invalid " 
                                       "16r5739"    16r5B5B
                                       "16r573A"    16r3321
                                       "16r573B"    16r5B5F
                                       "16r573C"    16r0000 " invalid " 
                                       "16r573D"    16r0000 " invalid " 
                                       "16r573E"    16r3B78
                                       "16r573F"    16r0000 " invalid " 
                                       "16r5740"    16r5637
                                       "16r5741"    16r0000 " invalid " 
                                       "16r5742"    16r5B60
                                       "16r5743"    16r0000 " invalid " 
                                       "16r5744"    16r0000 " invalid " 
                                       "16r5745"    16r0000 " invalid " 
                                       "16r5746"    16r0000 " invalid " 
                                       "16r5747"    16r3E79
                                       "16r5748"    16r0000 " invalid " 
                                       "16r5749"    16r0000 " invalid " 
                                       "16r574A"    16r373B
                                       "16r574B"    16r0000 " invalid " 
                                       "16r574C"    16r5B50
                                       "16r574D"    16r4C2E
                                       "16r574E"    16r3F32
                                       "16r574F"    16r3B35
                                       "16r5750"    16r5778
                                       "16r5751"    16r3F53
                                       "16r5752"    16r0000 " invalid " 
                                       "16r5753"    16r0000 " invalid " 
                                       "16r5754"    16r0000 " invalid " 
                                       "16r5755"    16r0000 " invalid " 
                                       "16r5756"    16r0000 " invalid " 
                                       "16r5757"    16r3F69
                                       "16r5758"    16r0000 " invalid " 
                                       "16r5759"    16r0000 " invalid " 
                                       "16r575A"    16r3C61
                                       "16r575B"    16r4C33
                                       "16r575C"    16r5B5E
                                       "16r575D"    16r3053
                                       "16r575E"    16r4E6B
                                       "16r575F"    16r3758
                                       "16r5760"    16r5739
                                       "16r5761"    16r4642
                                       "16r5762"    16r0000 " invalid " 
                                       "16r5763"    16r0000 " invalid " 
                                       "16r5764"    16r4024
                                       "16r5765"    16r0000 " invalid " 
                                       "16r5766"    16r4C39
                                       "16r5767"    16r0000 " invalid " 
                                       "16r5768"    16r5B67
                                       "16r5769"    16r5B61
                                       "16r576A"    16r463A
                                       "16r576B"    16r5B63
                                       "16r576C"    16r0000 " invalid " 
                                       "16r576D"    16r5B68
                                       "16r576E"    16r0000 " invalid " 
                                       "16r576F"    16r4577
                                       "16r5770"    16r0000 " invalid " 
                                       "16r5771"    16r0000 " invalid " 
                                       "16r5772"    16r0000 " invalid " 
                                       "16r5773"    16r5B6A
                                       "16r5774"    16r0000 " invalid " 
                                       "16r5775"    16r0000 " invalid " 
                                       "16r5776"    16r5B69
                                       "16r5777"    16r3F40
                                       "16r5778"    16r0000 " invalid " 
                                       "16r5779"    16r0000 " invalid " 
                                       "16r577A"    16r0000 " invalid " 
                                       "16r577B"    16r5B66
                                       "16r577C"    16r5B65
                                       "16r577D"    16r0000 " invalid " 
                                       "16r577E"    16r0000 " invalid " 
                                       "16r577F"    16r0000 " invalid " 
                                       "16r5780"    16r0000 " invalid " 
                                       "16r5781"    16r0000 " invalid " 
                                       "16r5782"    16r3439
                                       "16r5783"    16r402C
                                       "16r5784"    16r4222
                                       "16r5785"    16r5B62
                                       "16r5786"    16r5B64
                                       "16r5787"    16r0000 " invalid " 
                                       "16r5788"    16r0000 " invalid " 
                                       "16r5789"    16r0000 " invalid " 
                                       "16r578A"    16r0000 " invalid " 
                                       "16r578B"    16r504D
                                       "16r578C"    16r5B6D
                                       "16r578D"    16r0000 " invalid " 
                                       "16r578E"    16r0000 " invalid " 
                                       "16r578F"    16r0000 " invalid " 
                                       "16r5790"    16r0000 " invalid " 
                                       "16r5791"    16r0000 " invalid " 
                                       "16r5792"    16r405D
                                       "16r5793"    16r5B72
                                       "16r5794"    16r0000 " invalid " 
                                       "16r5795"    16r0000 " invalid " 
                                       "16r5796"    16r0000 " invalid " 
                                       "16r5797"    16r0000 " invalid " 
                                       "16r5798"    16r0000 " invalid " 
                                       "16r5799"    16r0000 " invalid " 
                                       "16r579A"    16r0000 " invalid " 
                                       "16r579B"    16r3662
                                       "16r579C"    16r0000 " invalid " 
                                       "16r579D"    16r0000 " invalid " 
                                       "16r579E"    16r0000 " invalid " 
                                       "16r579F"    16r0000 " invalid " 
                                       "16r57A0"    16r5B73
                                       "16r57A1"    16r5B52
                                       "16r57A2"    16r3938
                                       "16r57A3"    16r542B
                                       "16r57A4"    16r5B6C
                                       "16r57A5"    16r0000 " invalid " 
                                       "16r57A6"    16r3F51
                                       "16r57A7"    16r5B70
                                       "16r57A8"    16r0000 " invalid " 
                                       "16r57A9"    16r5B51
                                       "16r57AA"    16r0000 " invalid " 
                                       "16r57AB"    16r3566
                                       "16r57AC"    16r0000 " invalid " 
                                       "16r57AD"    16r5B6B
                                       "16r57AE"    16r3F65
                                       "16r57AF"    16r0000 " invalid " 
                                       "16r57B0"    16r0000 " invalid " 
                                       "16r57B1"    16r0000 " invalid " 
                                       "16r57B2"    16r5B6E
                                       "16r57B3"    16r0000 " invalid " 
                                       "16r57B4"    16r5B71
                                       "16r57B5"    16r0000 " invalid " 
                                       "16r57B6"    16r0000 " invalid " 
                                       "16r57B7"    16r0000 " invalid " 
                                       "16r57B8"    16r5B79
                                       "16r57B9"    16r0000 " invalid " 
                                       "16r57BA"    16r0000 " invalid " 
                                       "16r57BB"    16r0000 " invalid " 
                                       "16r57BC"    16r0000 " invalid " 
                                       "16r57BD"    16r0000 " invalid " 
                                       "16r57BE"    16r0000 " invalid " 
                                       "16r57BF"    16r0000 " invalid " 
                                       "16r57C0"    16r0000 " invalid " 
                                       "16r57C1"    16r0000 " invalid " 
                                       "16r57C2"    16r3921
                                       "16r57C3"    16r3023
                                       "16r57C4"    16r0000 " invalid " 
                                       "16r57C5"    16r0000 " invalid " 
                                       "16r57C6"    16r0000 " invalid " 
                                       "16r57C7"    16r0000 " invalid " 
                                       "16r57C8"    16r0000 " invalid " 
                                       "16r57C9"    16r0000 " invalid " 
                                       "16r57CA"    16r0000 " invalid " 
                                       "16r57CB"    16r4271
                                       "16r57CC"    16r0000 " invalid " 
                                       "16r57CD"    16r0000 " invalid " 
                                       "16r57CE"    16r3347
                                       "16r57CF"    16r5B6F
                                       "16r57D0"    16r0000 " invalid " 
                                       "16r57D1"    16r0000 " invalid " 
                                       "16r57D2"    16r5B78
                                       "16r57D3"    16r0000 " invalid " 
                                       "16r57D4"    16r4652
                                       "16r57D5"    16r5B74
                                       "16r57D6"    16r0000 " invalid " 
                                       "16r57D7"    16r0000 " invalid " 
                                       "16r57D8"    16r5B75
                                       "16r57D9"    16r5B77
                                       "16r57DA"    16r5B76
                                       "16r57DB"    16r0000 " invalid " 
                                       "16r57DC"    16r0000 " invalid " 
                                       "16r57DD"    16r5B7E
                                       "16r57DE"    16r0000 " invalid " 
                                       "16r57DF"    16r5372
                                       "16r57E0"    16r323A
                                       "16r57E1"    16r0000 " invalid " 
                                       "16r57E2"    16r0000 " invalid " 
                                       "16r57E3"    16r0000 " invalid " 
                                       "16r57E4"    16r5B7D
                                       "16r57E5"    16r0000 " invalid " 
                                       "16r57E6"    16r0000 " invalid " 
                                       "16r57E7"    16r0000 " invalid " 
                                       "16r57E8"    16r0000 " invalid " 
                                       "16r57E9"    16r0000 " invalid " 
                                       "16r57EA"    16r0000 " invalid " 
                                       "16r57EB"    16r0000 " invalid " 
                                       "16r57EC"    16r0000 " invalid " 
                                       "16r57ED"    16r5C24
                                       "16r57EE"    16r0000 " invalid " 
                                       "16r57EF"    16r5B7B
                                       "16r57F0"    16r0000 " invalid " 
                                       "16r57F1"    16r0000 " invalid " 
                                       "16r57F2"    16r0000 " invalid " 
                                       "16r57F3"    16r0000 " invalid " 
                                       "16r57F4"    16r5B7A
                                       "16r57F5"    16r0000 " invalid " 
                                       "16r57F6"    16r0000 " invalid " 
                                       "16r57F7"    16r0000 " invalid " 
                                       "16r57F8"    16r5B7C
                                       "16r57F9"    16r4560
                                       "16r57FA"    16r3B79
                                       "16r57FB"    16r0000 " invalid " 
                                       "16r57FC"    16r0000 " invalid " 
                                       "16r57FD"    16r5C23
                                       "16r57FE"    16r0000 " invalid " 
                                       "16r57FF"    16r0000 " invalid " 
                                       "16r5800"    16r5C25
                                       "16r5801"    16r0000 " invalid " 
                                       "16r5802"    16r4C43
                                       "16r5803"    16r0000 " invalid " 
                                       "16r5804"    16r0000 " invalid " 
                                       "16r5805"    16r0000 " invalid " 
                                       "16r5806"    16r3651
                                       "16r5807"    16r5D40
                                       "16r5808"    16r0000 " invalid " 
                                       "16r5809"    16r0000 " invalid " 
                                       "16r580A"    16r0000 " invalid " 
                                       "16r580B"    16r5C21
                                       "16r580C"    16r0000 " invalid " 
                                       "16r580D"    16r5C22
                                       "16r580E"    16r0000 " invalid " 
                                       "16r580F"    16r0000 " invalid " 
                                       "16r5810"    16r0000 " invalid " 
                                       "16r5811"    16r4735
                                       "16r5812"    16r0000 " invalid " 
                                       "16r5813"    16r0000 " invalid " 
                                       "16r5814"    16r0000 " invalid " 
                                       "16r5815"    16r3669
                                       "16r5816"    16r0000 " invalid " 
                                       "16r5817"    16r0000 " invalid " 
                                       "16r5818"    16r0000 " invalid " 
                                       "16r5819"    16r5C27
                                       "16r581A"    16r0000 " invalid " 
                                       "16r581B"    16r0000 " invalid " 
                                       "16r581C"    16r0000 " invalid " 
                                       "16r581D"    16r0000 " invalid " 
                                       "16r581E"    16r5C26
                                       "16r581F"    16r0000 " invalid " 
                                       "16r5820"    16r5C29
                                       "16r5821"    16r3124
                                       "16r5822"    16r0000 " invalid " 
                                       "16r5823"    16r0000 " invalid " 
                                       "16r5824"    16r354C
                                       "16r5825"    16r0000 " invalid " 
                                       "16r5826"    16r0000 " invalid " 
                                       "16r5827"    16r0000 " invalid " 
                                       "16r5828"    16r0000 " invalid " 
                                       "16r5829"    16r0000 " invalid " 
                                       "16r582A"    16r3F30
                                       "16r582B"    16r0000 " invalid " 
                                       "16r582C"    16r0000 " invalid " 
                                       "16r582D"    16r0000 " invalid " 
                                       "16r582E"    16r0000 " invalid " 
                                       "16r582F"    16r0000 " invalid " 
                                       "16r5830"    16r515F
                                       "16r5831"    16r0000 " invalid " 
                                       "16r5832"    16r0000 " invalid " 
                                       "16r5833"    16r0000 " invalid " 
                                       "16r5834"    16r0000 " invalid " 
                                       "16r5835"    16r3642
                                       "16r5836"    16r0000 " invalid " 
                                       "16r5837"    16r0000 " invalid " 
                                       "16r5838"    16r0000 " invalid " 
                                       "16r5839"    16r0000 " invalid " 
                                       "16r583A"    16r0000 " invalid " 
                                       "16r583B"    16r0000 " invalid " 
                                       "16r583C"    16r0000 " invalid " 
                                       "16r583D"    16r0000 " invalid " 
                                       "16r583E"    16r0000 " invalid " 
                                       "16r583F"    16r0000 " invalid " 
                                       "16r5840"    16r0000 " invalid " 
                                       "16r5841"    16r0000 " invalid " 
                                       "16r5842"    16r0000 " invalid " 
                                       "16r5843"    16r0000 " invalid " 
                                       "16r5844"    16r5C28
                                       "16r5845"    16r0000 " invalid " 
                                       "16r5846"    16r0000 " invalid " 
                                       "16r5847"    16r0000 " invalid " 
                                       "16r5848"    16r0000 " invalid " 
                                       "16r5849"    16r0000 " invalid " 
                                       "16r584A"    16r0000 " invalid " 
                                       "16r584B"    16r0000 " invalid " 
                                       "16r584C"    16r4B7A
                                       "16r584D"    16r6B73
                                       "16r584E"    16r0000 " invalid " 
                                       "16r584F"    16r0000 " invalid " 
                                       "16r5850"    16r0000 " invalid " 
                                       "16r5851"    16r4B5C
                                       "16r5852"    16r0000 " invalid " 
                                       "16r5853"    16r0000 " invalid " 
                                       "16r5854"    16r4B7E
                                       "16r5855"    16r0000 " invalid " 
                                       "16r5856"    16r0000 " invalid " 
                                       "16r5857"    16r0000 " invalid " 
                                       "16r5858"    16r4C41
                                       "16r5859"    16r0000 " invalid " 
                                       "16r585A"    16r0000 " invalid " 
                                       "16r585B"    16r0000 " invalid " 
                                       "16r585C"    16r0000 " invalid " 
                                       "16r585D"    16r0000 " invalid " 
                                       "16r585E"    16r487B
                                       "16r585F"    16r0000 " invalid " 
                                       "16r5860"    16r0000 " invalid " 
                                       "16r5861"    16r0000 " invalid " 
                                       "16r5862"    16r0000 " invalid " 
                                       "16r5863"    16r0000 " invalid " 
                                       "16r5864"    16r0000 " invalid " 
                                       "16r5865"    16r5C2A
                                       "16r5866"    16r0000 " invalid " 
                                       "16r5867"    16r0000 " invalid " 
                                       "16r5868"    16r0000 " invalid " 
                                       "16r5869"    16r0000 " invalid " 
                                       "16r586A"    16r0000 " invalid " 
                                       "16r586B"    16r4C6E
                                       "16r586C"    16r5C2B
                                       "16r586D"    16r0000 " invalid " 
                                       "16r586E"    16r0000 " invalid " 
                                       "16r586F"    16r0000 " invalid " 
                                       "16r5870"    16r0000 " invalid " 
                                       "16r5871"    16r0000 " invalid " 
                                       "16r5872"    16r0000 " invalid " 
                                       "16r5873"    16r0000 " invalid " 
                                       "16r5874"    16r0000 " invalid " 
                                       "16r5875"    16r0000 " invalid " 
                                       "16r5876"    16r0000 " invalid " 
                                       "16r5877"    16r0000 " invalid " 
                                       "16r5878"    16r0000 " invalid " 
                                       "16r5879"    16r0000 " invalid " 
                                       "16r587A"    16r0000 " invalid " 
                                       "16r587B"    16r0000 " invalid " 
                                       "16r587C"    16r0000 " invalid " 
                                       "16r587D"    16r0000 " invalid " 
                                       "16r587E"    16r5B53
                                       "16r587F"    16r0000 " invalid " 
                                       "16r5880"    16r5C2F
                                       "16r5881"    16r5C2C
                                       "16r5882"    16r0000 " invalid " 
                                       "16r5883"    16r3E33
                                       "16r5884"    16r0000 " invalid " 
                                       "16r5885"    16r4A7B
                                       "16r5886"    16r0000 " invalid " 
                                       "16r5887"    16r0000 " invalid " 
                                       "16r5888"    16r0000 " invalid " 
                                       "16r5889"    16r5C2D
                                       "16r588A"    16r0000 " invalid " 
                                       "16r588B"    16r0000 " invalid " 
                                       "16r588C"    16r0000 " invalid " 
                                       "16r588D"    16r0000 " invalid " 
                                       "16r588E"    16r0000 " invalid " 
                                       "16r588F"    16r0000 " invalid " 
                                       "16r5890"    16r0000 " invalid " 
                                       "16r5891"    16r0000 " invalid " 
                                       "16r5892"    16r494A
                                       "16r5893"    16r4439
                                       "16r5894"    16r0000 " invalid " 
                                       "16r5895"    16r0000 " invalid " 
                                       "16r5896"    16r0000 " invalid " 
                                       "16r5897"    16r0000 " invalid " 
                                       "16r5898"    16r0000 " invalid " 
                                       "16r5899"    16r473D
                                       "16r589A"    16r5C2E
                                       "16r589B"    16r0000 " invalid " 
                                       "16r589C"    16r0000 " invalid " 
                                       "16r589D"    16r0000 " invalid " 
                                       "16r589E"    16r5476
                                       "16r589F"    16r5066
                                       "16r58A0"    16r0000 " invalid " 
                                       "16r58A1"    16r0000 " invalid " 
                                       "16r58A2"    16r0000 " invalid " 
                                       "16r58A3"    16r0000 " invalid " 
                                       "16r58A4"    16r0000 " invalid " 
                                       "16r58A5"    16r0000 " invalid " 
                                       "16r58A6"    16r0000 " invalid " 
                                       "16r58A7"    16r0000 " invalid " 
                                       "16r58A8"    16r442B
                                       "16r58A9"    16r3655
                                       "16r58AA"    16r0000 " invalid " 
                                       "16r58AB"    16r0000 " invalid " 
                                       "16r58AC"    16r0000 " invalid " 
                                       "16r58AD"    16r0000 " invalid " 
                                       "16r58AE"    16r0000 " invalid " 
                                       "16r58AF"    16r0000 " invalid " 
                                       "16r58B0"    16r0000 " invalid " 
                                       "16r58B1"    16r0000 " invalid " 
                                       "16r58B2"    16r0000 " invalid " 
                                       "16r58B3"    16r0000 " invalid " 
                                       "16r58B4"    16r0000 " invalid " 
                                       "16r58B5"    16r0000 " invalid " 
                                       "16r58B6"    16r0000 " invalid " 
                                       "16r58B7"    16r0000 " invalid " 
                                       "16r58B8"    16r0000 " invalid " 
                                       "16r58B9"    16r0000 " invalid " 
                                       "16r58BA"    16r0000 " invalid " 
                                       "16r58BB"    16r0000 " invalid " 
                                       "16r58BC"    16r5B54
                                       "16r58BD"    16r0000 " invalid " 
                                       "16r58BE"    16r0000 " invalid " 
                                       "16r58BF"    16r0000 " invalid " 
                                       "16r58C0"    16r0000 " invalid " 
                                       "16r58C1"    16r315A
                                       "16r58C2"    16r0000 " invalid " 
                                       "16r58C3"    16r0000 " invalid " 
                                       "16r58C4"    16r0000 " invalid " 
                                       "16r58C5"    16r5B55
                                       "16r58C6"    16r0000 " invalid " 
                                       "16r58C7"    16r0000 " invalid " 
                                       "16r58C8"    16r0000 " invalid " 
                                       "16r58C9"    16r0000 " invalid " 
                                       "16r58CA"    16r0000 " invalid " 
                                       "16r58CB"    16r0000 " invalid " 
                                       "16r58CC"    16r0000 " invalid " 
                                       "16r58CD"    16r0000 " invalid " 
                                       "16r58CE"    16r0000 " invalid " 
                                       "16r58CF"    16r0000 " invalid " 
                                       "16r58D0"    16r0000 " invalid " 
                                       "16r58D1"    16r5B56
                                       "16r58D2"    16r0000 " invalid " 
                                       "16r58D3"    16r0000 " invalid " 
                                       "16r58D4"    16r0000 " invalid " 
                                       "16r58D5"    16r3A3E
                                       "16r58D6"    16r0000 " invalid " 
                                       "16r58D7"    16r0000 " invalid " 
                                       "16r58D8"    16r0000 " invalid " 
                                       "16r58D9"    16r0000 " invalid " 
                                       "16r58DA"    16r0000 " invalid " 
                                       "16r58DB"    16r0000 " invalid " 
                                       "16r58DC"    16r0000 " invalid " 
                                       "16r58DD"    16r0000 " invalid " 
                                       "16r58DE"    16r0000 " invalid " 
                                       "16r58DF"    16r0000 " invalid " 
                                       "16r58E0"    16r0000 " invalid " 
                                       "16r58E1"    16r0000 " invalid " 
                                       "16r58E2"    16r0000 " invalid " 
                                       "16r58E3"    16r0000 " invalid " 
                                       "16r58E4"    16r4840
                                       "16r58E5"    16r0000 " invalid " 
                                       "16r58E6"    16r0000 " invalid " 
                                       "16r58E7"    16r0000 " invalid " 
                                       "16r58E8"    16r0000 " invalid " 
                                       "16r58E9"    16r0000 " invalid " 
                                       "16r58EA"    16r0000 " invalid " 
                                       "16r58EB"    16r4A3F
                                       "16r58EC"    16r4849
                                       "16r58ED"    16r0000 " invalid " 
                                       "16r58EE"    16r5733
                                       "16r58EF"    16r0000 " invalid " 
                                       "16r58F0"    16r4979
                                       "16r58F1"    16r0000 " invalid " 
                                       "16r58F2"    16r0000 " invalid " 
                                       "16r58F3"    16r3F47
                                       "16r58F4"    16r0000 " invalid " 
                                       "16r58F5"    16r0000 " invalid " 
                                       "16r58F6"    16r3A78
                                       "16r58F7"    16r0000 " invalid " 
                                       "16r58F8"    16r0000 " invalid " 
                                       "16r58F9"    16r523C
                                       "16r58FA"    16r0000 " invalid " 
                                       "16r58FB"    16r0000 " invalid " 
                                       "16r58FC"    16r0000 " invalid " 
                                       "16r58FD"    16r0000 " invalid " 
                                       "16r58FE"    16r0000 " invalid " 
                                       "16r58FF"    16r0000 " invalid " 
                                       "16r5900"    16r0000 " invalid " 
                                       "16r5901"    16r0000 " invalid " 
                                       "16r5902"    16r623A
                                       "16r5903"    16r0000 " invalid " 
                                       "16r5904"    16r3426
                                       "16r5905"    16r0000 " invalid " 
                                       "16r5906"    16r0000 " invalid " 
                                       "16r5907"    16r3138
                                       "16r5908"    16r0000 " invalid " 
                                       "16r5909"    16r0000 " invalid " 
                                       "16r590A"    16r0000 " invalid " 
                                       "16r590B"    16r0000 " invalid " 
                                       "16r590C"    16r0000 " invalid " 
                                       "16r590D"    16r3834
                                       "16r590E"    16r0000 " invalid " 
                                       "16r590F"    16r4F44
                                       "16r5910"    16r0000 " invalid " 
                                       "16r5911"    16r0000 " invalid " 
                                       "16r5912"    16r0000 " invalid " 
                                       "16r5913"    16r0000 " invalid " 
                                       "16r5914"    16r5967
                                       "16r5915"    16r4F26
                                       "16r5916"    16r4D62
                                       "16r5917"    16r0000 " invalid " 
                                       "16r5918"    16r0000 " invalid " 
                                       "16r5919"    16r596D
                                       "16r591A"    16r3660
                                       "16r591B"    16r0000 " invalid " 
                                       "16r591C"    16r5239
                                       "16r591D"    16r0000 " invalid " 
                                       "16r591E"    16r0000 " invalid " 
                                       "16r591F"    16r393B
                                       "16r5920"    16r0000 " invalid " 
                                       "16r5921"    16r0000 " invalid " 
                                       "16r5922"    16r0000 " invalid " 
                                       "16r5923"    16r0000 " invalid " 
                                       "16r5924"    16r6239
                                       "16r5925"    16r6237
                                       "16r5926"    16r0000 " invalid " 
                                       "16r5927"    16r3473
                                       "16r5928"    16r0000 " invalid " 
                                       "16r5929"    16r4C6C
                                       "16r592A"    16r4C2B
                                       "16r592B"    16r3772
                                       "16r592C"    16r0000 " invalid " 
                                       "16r592D"    16r5832
                                       "16r592E"    16r516B
                                       "16r592F"    16r3A3B
                                       "16r5930"    16r0000 " invalid " 
                                       "16r5931"    16r4A27
                                       "16r5932"    16r0000 " invalid " 
                                       "16r5933"    16r0000 " invalid " 
                                       "16r5934"    16r4D37
                                       "16r5935"    16r0000 " invalid " 
                                       "16r5936"    16r0000 " invalid " 
                                       "16r5937"    16r5244
                                       "16r5938"    16r3F64
                                       "16r5939"    16r3C50
                                       "16r593A"    16r3661
                                       "16r593B"    16r0000 " invalid " 
                                       "16r593C"    16r5E45
                                       "16r593D"    16r0000 " invalid " 
                                       "16r593E"    16r0000 " invalid " 
                                       "16r593F"    16r0000 " invalid " 
                                       "16r5940"    16r0000 " invalid " 
                                       "16r5941"    16r5E46
                                       "16r5942"    16r5B3C
                                       "16r5943"    16r0000 " invalid " 
                                       "16r5944"    16r5159
                                       "16r5945"    16r0000 " invalid " 
                                       "16r5946"    16r0000 " invalid " 
                                       "16r5947"    16r4666
                                       "16r5948"    16r444E
                                       "16r5949"    16r376E
                                       "16r594A"    16r0000 " invalid " 
                                       "16r594B"    16r375C
                                       "16r594C"    16r0000 " invalid " 
                                       "16r594D"    16r0000 " invalid " 
                                       "16r594E"    16r3F7C
                                       "16r594F"    16r5760
                                       "16r5950"    16r0000 " invalid " 
                                       "16r5951"    16r4675
                                       "16r5952"    16r0000 " invalid " 
                                       "16r5953"    16r0000 " invalid " 
                                       "16r5954"    16r313C
                                       "16r5955"    16r5E48
                                       "16r5956"    16r3D31
                                       "16r5957"    16r4C57
                                       "16r5958"    16r5E4A
                                       "16r5959"    16r0000 " invalid " 
                                       "16r595A"    16r5E49
                                       "16r595B"    16r0000 " invalid " 
                                       "16r595C"    16r0000 " invalid " 
                                       "16r595D"    16r0000 " invalid " 
                                       "16r595E"    16r0000 " invalid " 
                                       "16r595F"    16r0000 " invalid " 
                                       "16r5960"    16r356C
                                       "16r5961"    16r0000 " invalid " 
                                       "16r5962"    16r495D
                                       "16r5963"    16r0000 " invalid " 
                                       "16r5964"    16r0000 " invalid " 
                                       "16r5965"    16r3042
                                       "16r5966"    16r0000 " invalid " 
                                       "16r5967"    16r0000 " invalid " 
                                       "16r5968"    16r0000 " invalid " 
                                       "16r5969"    16r0000 " invalid " 
                                       "16r596A"    16r0000 " invalid " 
                                       "16r596B"    16r0000 " invalid " 
                                       "16r596C"    16r0000 " invalid " 
                                       "16r596D"    16r0000 " invalid " 
                                       "16r596E"    16r0000 " invalid " 
                                       "16r596F"    16r0000 " invalid " 
                                       "16r5970"    16r0000 " invalid " 
                                       "16r5971"    16r0000 " invalid " 
                                       "16r5972"    16r0000 " invalid " 
                                       "16r5973"    16r452E
                                       "16r5974"    16r452B
                                       "16r5975"    16r0000 " invalid " 
                                       "16r5976"    16r444C
                                       "16r5977"    16r0000 " invalid " 
                                       "16r5978"    16r3C69
                                       "16r5979"    16r4B7D
                                       "16r597A"    16r0000 " invalid " 
                                       "16r597B"    16r0000 " invalid " 
                                       "16r597C"    16r0000 " invalid " 
                                       "16r597D"    16r3A43
                                       "16r597E"    16r0000 " invalid " 
                                       "16r597F"    16r0000 " invalid " 
                                       "16r5980"    16r0000 " invalid " 
                                       "16r5981"    16r6579
                                       "16r5982"    16r4867
                                       "16r5983"    16r657A
                                       "16r5984"    16r4D7D
                                       "16r5985"    16r0000 " invalid " 
                                       "16r5986"    16r5731
                                       "16r5987"    16r383E
                                       "16r5988"    16r4268
                                       "16r5989"    16r0000 " invalid " 
                                       "16r598A"    16r4851
                                       "16r598B"    16r0000 " invalid " 
                                       "16r598C"    16r0000 " invalid " 
                                       "16r598D"    16r657B
                                       "16r598E"    16r0000 " invalid " 
                                       "16r598F"    16r0000 " invalid " 
                                       "16r5990"    16r0000 " invalid " 
                                       "16r5991"    16r0000 " invalid " 
                                       "16r5992"    16r364A
                                       "16r5993"    16r3C4B
                                       "16r5994"    16r0000 " invalid " 
                                       "16r5995"    16r0000 " invalid " 
                                       "16r5996"    16r517D
                                       "16r5997"    16r6621
                                       "16r5998"    16r0000 " invalid " 
                                       "16r5999"    16r436E
                                       "16r599A"    16r0000 " invalid " 
                                       "16r599B"    16r0000 " invalid " 
                                       "16r599C"    16r0000 " invalid " 
                                       "16r599D"    16r0000 " invalid " 
                                       "16r599E"    16r6624
                                       "16r599F"    16r0000 " invalid " 
                                       "16r59A0"    16r0000 " invalid " 
                                       "16r59A1"    16r0000 " invalid " 
                                       "16r59A2"    16r0000 " invalid " 
                                       "16r59A3"    16r657E
                                       "16r59A4"    16r6625
                                       "16r59A5"    16r4D57
                                       "16r59A6"    16r0000 " invalid " 
                                       "16r59A7"    16r0000 " invalid " 
                                       "16r59A8"    16r3741
                                       "16r59A9"    16r657C
                                       "16r59AA"    16r657D
                                       "16r59AB"    16r6623
                                       "16r59AC"    16r0000 " invalid " 
                                       "16r59AD"    16r0000 " invalid " 
                                       "16r59AE"    16r445D
                                       "16r59AF"    16r6628
                                       "16r59B0"    16r0000 " invalid " 
                                       "16r59B1"    16r0000 " invalid " 
                                       "16r59B2"    16r6627
                                       "16r59B3"    16r0000 " invalid " 
                                       "16r59B4"    16r0000 " invalid " 
                                       "16r59B5"    16r0000 " invalid " 
                                       "16r59B6"    16r0000 " invalid " 
                                       "16r59B7"    16r0000 " invalid " 
                                       "16r59B8"    16r0000 " invalid " 
                                       "16r59B9"    16r4343
                                       "16r59BA"    16r0000 " invalid " 
                                       "16r59BB"    16r465E
                                       "16r59BC"    16r0000 " invalid " 
                                       "16r59BD"    16r0000 " invalid " 
                                       "16r59BE"    16r662A
                                       "16r59BF"    16r0000 " invalid " 
                                       "16r59C0"    16r0000 " invalid " 
                                       "16r59C1"    16r0000 " invalid " 
                                       "16r59C2"    16r0000 " invalid " 
                                       "16r59C3"    16r0000 " invalid " 
                                       "16r59C4"    16r0000 " invalid " 
                                       "16r59C5"    16r0000 " invalid " 
                                       "16r59C6"    16r4437
                                       "16r59C7"    16r0000 " invalid " 
                                       "16r59C8"    16r0000 " invalid " 
                                       "16r59C9"    16r0000 " invalid " 
                                       "16r59CA"    16r6622
                                       "16r59CB"    16r4A3C
                                       "16r59CC"    16r0000 " invalid " 
                                       "16r59CD"    16r0000 " invalid " 
                                       "16r59CE"    16r0000 " invalid " 
                                       "16r59CF"    16r0000 " invalid " 
                                       "16r59D0"    16r3D63
                                       "16r59D1"    16r3943
                                       "16r59D2"    16r6626
                                       "16r59D3"    16r5055
                                       "16r59D4"    16r4E2F
                                       "16r59D5"    16r0000 " invalid " 
                                       "16r59D6"    16r0000 " invalid " 
                                       "16r59D7"    16r6629
                                       "16r59D8"    16r6630
                                       "16r59D9"    16r0000 " invalid " 
                                       "16r59DA"    16r5226
                                       "16r59DB"    16r0000 " invalid " 
                                       "16r59DC"    16r3D2A
                                       "16r59DD"    16r662D
                                       "16r59DE"    16r0000 " invalid " 
                                       "16r59DF"    16r0000 " invalid " 
                                       "16r59E0"    16r0000 " invalid " 
                                       "16r59E1"    16r0000 " invalid " 
                                       "16r59E2"    16r0000 " invalid " 
                                       "16r59E3"    16r662F
                                       "16r59E4"    16r0000 " invalid " 
                                       "16r59E5"    16r4051
                                       "16r59E6"    16r0000 " invalid " 
                                       "16r59E7"    16r0000 " invalid " 
                                       "16r59E8"    16r524C
                                       "16r59E9"    16r0000 " invalid " 
                                       "16r59EA"    16r0000 " invalid " 
                                       "16r59EB"    16r0000 " invalid " 
                                       "16r59EC"    16r3C27
                                       "16r59ED"    16r0000 " invalid " 
                                       "16r59EE"    16r0000 " invalid " 
                                       "16r59EF"    16r0000 " invalid " 
                                       "16r59F0"    16r0000 " invalid " 
                                       "16r59F1"    16r0000 " invalid " 
                                       "16r59F2"    16r0000 " invalid " 
                                       "16r59F3"    16r0000 " invalid " 
                                       "16r59F4"    16r0000 " invalid " 
                                       "16r59F5"    16r0000 " invalid " 
                                       "16r59F6"    16r0000 " invalid " 
                                       "16r59F7"    16r0000 " invalid " 
                                       "16r59F8"    16r0000 " invalid " 
                                       "16r59F9"    16r6631
                                       "16r59FA"    16r0000 " invalid " 
                                       "16r59FB"    16r5276
                                       "16r59FC"    16r0000 " invalid " 
                                       "16r59FD"    16r0000 " invalid " 
                                       "16r59FE"    16r0000 " invalid " 
                                       "16r59FF"    16r574B
                                       "16r5A00"    16r0000 " invalid " 
                                       "16r5A01"    16r4D7E
                                       "16r5A02"    16r0000 " invalid " 
                                       "16r5A03"    16r4D5E
                                       "16r5A04"    16r4226
                                       "16r5A05"    16r662B
                                       "16r5A06"    16r662C
                                       "16r5A07"    16r3D3F
                                       "16r5A08"    16r662E
                                       "16r5A09"    16r6633
                                       "16r5A0A"    16r0000 " invalid " 
                                       "16r5A0B"    16r0000 " invalid " 
                                       "16r5A0C"    16r6632
                                       "16r5A0D"    16r0000 " invalid " 
                                       "16r5A0E"    16r0000 " invalid " 
                                       "16r5A0F"    16r0000 " invalid " 
                                       "16r5A10"    16r0000 " invalid " 
                                       "16r5A11"    16r6636
                                       "16r5A12"    16r0000 " invalid " 
                                       "16r5A13"    16r6638
                                       "16r5A14"    16r0000 " invalid " 
                                       "16r5A15"    16r0000 " invalid " 
                                       "16r5A16"    16r0000 " invalid " 
                                       "16r5A17"    16r0000 " invalid " 
                                       "16r5A18"    16r446F
                                       "16r5A19"    16r0000 " invalid " 
                                       "16r5A1A"    16r0000 " invalid " 
                                       "16r5A1B"    16r0000 " invalid " 
                                       "16r5A1C"    16r4448
                                       "16r5A1D"    16r0000 " invalid " 
                                       "16r5A1E"    16r0000 " invalid " 
                                       "16r5A1F"    16r3E6A
                                       "16r5A20"    16r496F
                                       "16r5A21"    16r0000 " invalid " 
                                       "16r5A22"    16r0000 " invalid " 
                                       "16r5A23"    16r6637
                                       "16r5A24"    16r0000 " invalid " 
                                       "16r5A25"    16r3670
                                       "16r5A26"    16r0000 " invalid " 
                                       "16r5A27"    16r0000 " invalid " 
                                       "16r5A28"    16r0000 " invalid " 
                                       "16r5A29"    16r4364
                                       "16r5A2A"    16r0000 " invalid " 
                                       "16r5A2B"    16r0000 " invalid " 
                                       "16r5A2C"    16r0000 " invalid " 
                                       "16r5A2D"    16r0000 " invalid " 
                                       "16r5A2E"    16r0000 " invalid " 
                                       "16r5A2F"    16r0000 " invalid " 
                                       "16r5A30"    16r0000 " invalid " 
                                       "16r5A31"    16r5369
                                       "16r5A32"    16r6634
                                       "16r5A33"    16r0000 " invalid " 
                                       "16r5A34"    16r6635
                                       "16r5A35"    16r0000 " invalid " 
                                       "16r5A36"    16r4822
                                       "16r5A37"    16r0000 " invalid " 
                                       "16r5A38"    16r0000 " invalid " 
                                       "16r5A39"    16r0000 " invalid " 
                                       "16r5A3A"    16r0000 " invalid " 
                                       "16r5A3B"    16r0000 " invalid " 
                                       "16r5A3C"    16r663D
                                       "16r5A3D"    16r0000 " invalid " 
                                       "16r5A3E"    16r0000 " invalid " 
                                       "16r5A3F"    16r0000 " invalid " 
                                       "16r5A40"    16r6639
                                       "16r5A41"    16r0000 " invalid " 
                                       "16r5A42"    16r0000 " invalid " 
                                       "16r5A43"    16r0000 " invalid " 
                                       "16r5A44"    16r0000 " invalid " 
                                       "16r5A45"    16r0000 " invalid " 
                                       "16r5A46"    16r4645
                                       "16r5A47"    16r0000 " invalid " 
                                       "16r5A48"    16r0000 " invalid " 
                                       "16r5A49"    16r4D71
                                       "16r5A4A"    16r663B
                                       "16r5A4B"    16r0000 " invalid " 
                                       "16r5A4C"    16r0000 " invalid " 
                                       "16r5A4D"    16r0000 " invalid " 
                                       "16r5A4E"    16r0000 " invalid " 
                                       "16r5A4F"    16r0000 " invalid " 
                                       "16r5A50"    16r0000 " invalid " 
                                       "16r5A51"    16r0000 " invalid " 
                                       "16r5A52"    16r0000 " invalid " 
                                       "16r5A53"    16r0000 " invalid " 
                                       "16r5A54"    16r0000 " invalid " 
                                       "16r5A55"    16r663C
                                       "16r5A56"    16r0000 " invalid " 
                                       "16r5A57"    16r0000 " invalid " 
                                       "16r5A58"    16r0000 " invalid " 
                                       "16r5A59"    16r0000 " invalid " 
                                       "16r5A5A"    16r3B69
                                       "16r5A5B"    16r0000 " invalid " 
                                       "16r5A5C"    16r0000 " invalid " 
                                       "16r5A5D"    16r0000 " invalid " 
                                       "16r5A5E"    16r0000 " invalid " 
                                       "16r5A5F"    16r0000 " invalid " 
                                       "16r5A60"    16r0000 " invalid " 
                                       "16r5A61"    16r0000 " invalid " 
                                       "16r5A62"    16r663E
                                       "16r5A63"    16r0000 " invalid " 
                                       "16r5A64"    16r0000 " invalid " 
                                       "16r5A65"    16r0000 " invalid " 
                                       "16r5A66"    16r0000 " invalid " 
                                       "16r5A67"    16r663A
                                       "16r5A68"    16r0000 " invalid " 
                                       "16r5A69"    16r0000 " invalid " 
                                       "16r5A6A"    16r4037
                                       "16r5A6B"    16r0000 " invalid " 
                                       "16r5A6C"    16r0000 " invalid " 
                                       "16r5A6D"    16r0000 " invalid " 
                                       "16r5A6E"    16r0000 " invalid " 
                                       "16r5A6F"    16r0000 " invalid " 
                                       "16r5A70"    16r0000 " invalid " 
                                       "16r5A71"    16r0000 " invalid " 
                                       "16r5A72"    16r0000 " invalid " 
                                       "16r5A73"    16r0000 " invalid " 
                                       "16r5A74"    16r5324
                                       "16r5A75"    16r663F
                                       "16r5A76"    16r4974
                                       "16r5A77"    16r6643
                                       "16r5A78"    16r0000 " invalid " 
                                       "16r5A79"    16r0000 " invalid " 
                                       "16r5A7A"    16r6644
                                       "16r5A7B"    16r0000 " invalid " 
                                       "16r5A7C"    16r0000 " invalid " 
                                       "16r5A7D"    16r0000 " invalid " 
                                       "16r5A7E"    16r0000 " invalid " 
                                       "16r5A7F"    16r5076
                                       "16r5A80"    16r0000 " invalid " 
                                       "16r5A81"    16r0000 " invalid " 
                                       "16r5A82"    16r0000 " invalid " 
                                       "16r5A83"    16r0000 " invalid " 
                                       "16r5A84"    16r0000 " invalid " 
                                       "16r5A85"    16r0000 " invalid " 
                                       "16r5A86"    16r0000 " invalid " 
                                       "16r5A87"    16r0000 " invalid " 
                                       "16r5A88"    16r0000 " invalid " 
                                       "16r5A89"    16r0000 " invalid " 
                                       "16r5A8A"    16r0000 " invalid " 
                                       "16r5A8B"    16r0000 " invalid " 
                                       "16r5A8C"    16r0000 " invalid " 
                                       "16r5A8D"    16r0000 " invalid " 
                                       "16r5A8E"    16r0000 " invalid " 
                                       "16r5A8F"    16r0000 " invalid " 
                                       "16r5A90"    16r0000 " invalid " 
                                       "16r5A91"    16r0000 " invalid " 
                                       "16r5A92"    16r433D
                                       "16r5A93"    16r0000 " invalid " 
                                       "16r5A94"    16r0000 " invalid " 
                                       "16r5A95"    16r0000 " invalid " 
                                       "16r5A96"    16r0000 " invalid " 
                                       "16r5A97"    16r0000 " invalid " 
                                       "16r5A98"    16r0000 " invalid " 
                                       "16r5A99"    16r0000 " invalid " 
                                       "16r5A9A"    16r4344
                                       "16r5A9B"    16r6642
                                       "16r5A9C"    16r0000 " invalid " 
                                       "16r5A9D"    16r0000 " invalid " 
                                       "16r5A9E"    16r0000 " invalid " 
                                       "16r5A9F"    16r0000 " invalid " 
                                       "16r5AA0"    16r0000 " invalid " 
                                       "16r5AA1"    16r0000 " invalid " 
                                       "16r5AA2"    16r0000 " invalid " 
                                       "16r5AA3"    16r0000 " invalid " 
                                       "16r5AA4"    16r0000 " invalid " 
                                       "16r5AA5"    16r0000 " invalid " 
                                       "16r5AA6"    16r0000 " invalid " 
                                       "16r5AA7"    16r0000 " invalid " 
                                       "16r5AA8"    16r0000 " invalid " 
                                       "16r5AA9"    16r0000 " invalid " 
                                       "16r5AAA"    16r6641
                                       "16r5AAB"    16r0000 " invalid " 
                                       "16r5AAC"    16r0000 " invalid " 
                                       "16r5AAD"    16r0000 " invalid " 
                                       "16r5AAE"    16r0000 " invalid " 
                                       "16r5AAF"    16r0000 " invalid " 
                                       "16r5AB0"    16r0000 " invalid " 
                                       "16r5AB1"    16r0000 " invalid " 
                                       "16r5AB2"    16r6647
                                       "16r5AB3"    16r4F31
                                       "16r5AB4"    16r0000 " invalid " 
                                       "16r5AB5"    16r6B74
                                       "16r5AB6"    16r0000 " invalid " 
                                       "16r5AB7"    16r0000 " invalid " 
                                       "16r5AB8"    16r664A
                                       "16r5AB9"    16r0000 " invalid " 
                                       "16r5ABA"    16r0000 " invalid " 
                                       "16r5ABB"    16r0000 " invalid " 
                                       "16r5ABC"    16r0000 " invalid " 
                                       "16r5ABD"    16r0000 " invalid " 
                                       "16r5ABE"    16r6645
                                       "16r5ABF"    16r0000 " invalid " 
                                       "16r5AC0"    16r0000 " invalid " 
                                       "16r5AC1"    16r3C5E
                                       "16r5AC2"    16r4929
                                       "16r5AC3"    16r0000 " invalid " 
                                       "16r5AC4"    16r0000 " invalid " 
                                       "16r5AC5"    16r0000 " invalid " 
                                       "16r5AC6"    16r0000 " invalid " 
                                       "16r5AC7"    16r0000 " invalid " 
                                       "16r5AC8"    16r0000 " invalid " 
                                       "16r5AC9"    16r3C35
                                       "16r5ACA"    16r0000 " invalid " 
                                       "16r5ACB"    16r0000 " invalid " 
                                       "16r5ACC"    16r4F53
                                       "16r5ACD"    16r0000 " invalid " 
                                       "16r5ACE"    16r0000 " invalid " 
                                       "16r5ACF"    16r0000 " invalid " 
                                       "16r5AD0"    16r0000 " invalid " 
                                       "16r5AD1"    16r0000 " invalid " 
                                       "16r5AD2"    16r6648
                                       "16r5AD3"    16r0000 " invalid " 
                                       "16r5AD4"    16r6649
                                       "16r5AD5"    16r0000 " invalid " 
                                       "16r5AD6"    16r664E
                                       "16r5AD7"    16r0000 " invalid " 
                                       "16r5AD8"    16r6650
                                       "16r5AD9"    16r0000 " invalid " 
                                       "16r5ADA"    16r0000 " invalid " 
                                       "16r5ADB"    16r0000 " invalid " 
                                       "16r5ADC"    16r6651
                                       "16r5ADD"    16r0000 " invalid " 
                                       "16r5ADE"    16r0000 " invalid " 
                                       "16r5ADF"    16r0000 " invalid " 
                                       "16r5AE0"    16r664B
                                       "16r5AE1"    16r3555
                                       "16r5AE2"    16r0000 " invalid " 
                                       "16r5AE3"    16r664C
                                       "16r5AE4"    16r0000 " invalid " 
                                       "16r5AE5"    16r0000 " invalid " 
                                       "16r5AE6"    16r664F
                                       "16r5AE7"    16r0000 " invalid " 
                                       "16r5AE8"    16r0000 " invalid " 
                                       "16r5AE9"    16r445B
                                       "16r5AEA"    16r0000 " invalid " 
                                       "16r5AEB"    16r6646
                                       "16r5AEC"    16r0000 " invalid " 
                                       "16r5AED"    16r0000 " invalid " 
                                       "16r5AEE"    16r0000 " invalid " 
                                       "16r5AEF"    16r0000 " invalid " 
                                       "16r5AF0"    16r0000 " invalid " 
                                       "16r5AF1"    16r664D
                                       "16r5AF2"    16r0000 " invalid " 
                                       "16r5AF3"    16r0000 " invalid " 
                                       "16r5AF4"    16r0000 " invalid " 
                                       "16r5AF5"    16r0000 " invalid " 
                                       "16r5AF6"    16r0000 " invalid " 
                                       "16r5AF7"    16r0000 " invalid " 
                                       "16r5AF8"    16r0000 " invalid " 
                                       "16r5AF9"    16r0000 " invalid " 
                                       "16r5AFA"    16r0000 " invalid " 
                                       "16r5AFB"    16r0000 " invalid " 
                                       "16r5AFC"    16r0000 " invalid " 
                                       "16r5AFD"    16r0000 " invalid " 
                                       "16r5AFE"    16r0000 " invalid " 
                                       "16r5AFF"    16r0000 " invalid " 
                                       "16r5B00"    16r0000 " invalid " 
                                       "16r5B01"    16r0000 " invalid " 
                                       "16r5B02"    16r0000 " invalid " 
                                       "16r5B03"    16r0000 " invalid " 
                                       "16r5B04"    16r0000 " invalid " 
                                       "16r5B05"    16r0000 " invalid " 
                                       "16r5B06"    16r0000 " invalid " 
                                       "16r5B07"    16r0000 " invalid " 
                                       "16r5B08"    16r0000 " invalid " 
                                       "16r5B09"    16r6652
                                       "16r5B0A"    16r0000 " invalid " 
                                       "16r5B0B"    16r0000 " invalid " 
                                       "16r5B0C"    16r0000 " invalid " 
                                       "16r5B0D"    16r0000 " invalid " 
                                       "16r5B0E"    16r0000 " invalid " 
                                       "16r5B0F"    16r0000 " invalid " 
                                       "16r5B10"    16r0000 " invalid " 
                                       "16r5B11"    16r0000 " invalid " 
                                       "16r5B12"    16r0000 " invalid " 
                                       "16r5B13"    16r0000 " invalid " 
                                       "16r5B14"    16r0000 " invalid " 
                                       "16r5B15"    16r0000 " invalid " 
                                       "16r5B16"    16r6654
                                       "16r5B17"    16r6653
                                       "16r5B18"    16r0000 " invalid " 
                                       "16r5B19"    16r0000 " invalid " 
                                       "16r5B1A"    16r0000 " invalid " 
                                       "16r5B1B"    16r0000 " invalid " 
                                       "16r5B1C"    16r0000 " invalid " 
                                       "16r5B1D"    16r0000 " invalid " 
                                       "16r5B1E"    16r0000 " invalid " 
                                       "16r5B1F"    16r0000 " invalid " 
                                       "16r5B20"    16r0000 " invalid " 
                                       "16r5B21"    16r0000 " invalid " 
                                       "16r5B22"    16r0000 " invalid " 
                                       "16r5B23"    16r0000 " invalid " 
                                       "16r5B24"    16r0000 " invalid " 
                                       "16r5B25"    16r0000 " invalid " 
                                       "16r5B26"    16r0000 " invalid " 
                                       "16r5B27"    16r0000 " invalid " 
                                       "16r5B28"    16r0000 " invalid " 
                                       "16r5B29"    16r0000 " invalid " 
                                       "16r5B2A"    16r0000 " invalid " 
                                       "16r5B2B"    16r0000 " invalid " 
                                       "16r5B2C"    16r0000 " invalid " 
                                       "16r5B2D"    16r0000 " invalid " 
                                       "16r5B2E"    16r0000 " invalid " 
                                       "16r5B2F"    16r0000 " invalid " 
                                       "16r5B30"    16r0000 " invalid " 
                                       "16r5B31"    16r0000 " invalid " 
                                       "16r5B32"    16r6655
                                       "16r5B33"    16r0000 " invalid " 
                                       "16r5B34"    16r5978
                                       "16r5B35"    16r0000 " invalid " 
                                       "16r5B36"    16r0000 " invalid " 
                                       "16r5B37"    16r6656
                                       "16r5B38"    16r0000 " invalid " 
                                       "16r5B39"    16r0000 " invalid " 
                                       "16r5B3A"    16r0000 " invalid " 
                                       "16r5B3B"    16r0000 " invalid " 
                                       "16r5B3C"    16r0000 " invalid " 
                                       "16r5B3D"    16r0000 " invalid " 
                                       "16r5B3E"    16r0000 " invalid " 
                                       "16r5B3F"    16r0000 " invalid " 
                                       "16r5B40"    16r6657
                                       "16r5B41"    16r0000 " invalid " 
                                       "16r5B42"    16r0000 " invalid " 
                                       "16r5B43"    16r0000 " invalid " 
                                       "16r5B44"    16r0000 " invalid " 
                                       "16r5B45"    16r0000 " invalid " 
                                       "16r5B46"    16r0000 " invalid " 
                                       "16r5B47"    16r0000 " invalid " 
                                       "16r5B48"    16r0000 " invalid " 
                                       "16r5B49"    16r0000 " invalid " 
                                       "16r5B4A"    16r0000 " invalid " 
                                       "16r5B4B"    16r0000 " invalid " 
                                       "16r5B4C"    16r0000 " invalid " 
                                       "16r5B4D"    16r0000 " invalid " 
                                       "16r5B4E"    16r0000 " invalid " 
                                       "16r5B4F"    16r0000 " invalid " 
                                       "16r5B50"    16r5753
                                       "16r5B51"    16r665D
                                       "16r5B52"    16r0000 " invalid " 
                                       "16r5B53"    16r665E
                                       "16r5B54"    16r3F57
                                       "16r5B55"    16r5450
                                       "16r5B56"    16r0000 " invalid " 
                                       "16r5B57"    16r5756
                                       "16r5B58"    16r3466
                                       "16r5B59"    16r4B6F
                                       "16r5B5A"    16r665A
                                       "16r5B5B"    16r5843
                                       "16r5B5C"    16r574E
                                       "16r5B5D"    16r5022
                                       "16r5B5E"    16r0000 " invalid " 
                                       "16r5B5F"    16r434F
                                       "16r5B60"    16r0000 " invalid " 
                                       "16r5B61"    16r0000 " invalid " 
                                       "16r5B62"    16r665F
                                       "16r5B63"    16r3C3E
                                       "16r5B64"    16r3942
                                       "16r5B65"    16r665B
                                       "16r5B66"    16r5127
                                       "16r5B67"    16r0000 " invalid " 
                                       "16r5B68"    16r0000 " invalid " 
                                       "16r5B69"    16r3A22
                                       "16r5B6A"    16r424F
                                       "16r5B6B"    16r0000 " invalid " 
                                       "16r5B6C"    16r582B
                                       "16r5B6D"    16r0000 " invalid " 
                                       "16r5B6E"    16r0000 " invalid " 
                                       "16r5B6F"    16r0000 " invalid " 
                                       "16r5B70"    16r4A6B
                                       "16r5B71"    16r656E
                                       "16r5B72"    16r0000 " invalid " 
                                       "16r5B73"    16r665C
                                       "16r5B74"    16r0000 " invalid " 
                                       "16r5B75"    16r3775
                                       "16r5B76"    16r0000 " invalid " 
                                       "16r5B77"    16r0000 " invalid " 
                                       "16r5B78"    16r0000 " invalid " 
                                       "16r5B79"    16r0000 " invalid " 
                                       "16r5B7A"    16r4866
                                       "16r5B7B"    16r0000 " invalid " 
                                       "16r5B7C"    16r0000 " invalid " 
                                       "16r5B7D"    16r4475
                                       "16r5B7E"    16r0000 " invalid " 
                                       "16r5B7F"    16r0000 " invalid " 
                                       "16r5B80"    16r6532
                                       "16r5B81"    16r447E
                                       "16r5B82"    16r0000 " invalid " 
                                       "16r5B83"    16r4B7C
                                       "16r5B84"    16r6533
                                       "16r5B85"    16r552C
                                       "16r5B86"    16r0000 " invalid " 
                                       "16r5B87"    16r536E
                                       "16r5B88"    16r4A58
                                       "16r5B89"    16r3032
                                       "16r5B8A"    16r0000 " invalid " 
                                       "16r5B8B"    16r4B4E
                                       "16r5B8C"    16r4D6A
                                       "16r5B8D"    16r0000 " invalid " 
                                       "16r5B8E"    16r0000 " invalid " 
                                       "16r5B8F"    16r3A6A
                                       "16r5B90"    16r0000 " invalid " 
                                       "16r5B91"    16r0000 " invalid " 
                                       "16r5B92"    16r0000 " invalid " 
                                       "16r5B93"    16r6535
                                       "16r5B94"    16r0000 " invalid " 
                                       "16r5B95"    16r6534
                                       "16r5B96"    16r0000 " invalid " 
                                       "16r5B97"    16r575A
                                       "16r5B98"    16r3959
                                       "16r5B99"    16r5666
                                       "16r5B9A"    16r3628
                                       "16r5B9B"    16r4D70
                                       "16r5B9C"    16r524B
                                       "16r5B9D"    16r3126
                                       "16r5B9E"    16r4A35
                                       "16r5B9F"    16r0000 " invalid " 
                                       "16r5BA0"    16r3368
                                       "16r5BA1"    16r4973
                                       "16r5BA2"    16r3F4D
                                       "16r5BA3"    16r507B
                                       "16r5BA4"    16r4A52
                                       "16r5BA5"    16r6536
                                       "16r5BA6"    16r3B42
                                       "16r5BA7"    16r0000 " invalid " 
                                       "16r5BA8"    16r0000 " invalid " 
                                       "16r5BA9"    16r0000 " invalid " 
                                       "16r5BAA"    16r4F5C
                                       "16r5BAB"    16r392C
                                       "16r5BAC"    16r0000 " invalid " 
                                       "16r5BAD"    16r0000 " invalid " 
                                       "16r5BAE"    16r0000 " invalid " 
                                       "16r5BAF"    16r0000 " invalid " 
                                       "16r5BB0"    16r5457
                                       "16r5BB1"    16r0000 " invalid " 
                                       "16r5BB2"    16r0000 " invalid " 
                                       "16r5BB3"    16r3A26
                                       "16r5BB4"    16r5167
                                       "16r5BB5"    16r4F7C
                                       "16r5BB6"    16r3C52
                                       "16r5BB7"    16r0000 " invalid " 
                                       "16r5BB8"    16r6537
                                       "16r5BB9"    16r485D
                                       "16r5BBA"    16r0000 " invalid " 
                                       "16r5BBB"    16r0000 " invalid " 
                                       "16r5BBC"    16r0000 " invalid " 
                                       "16r5BBD"    16r3F6D
                                       "16r5BBE"    16r3176
                                       "16r5BBF"    16r4B5E
                                       "16r5BC0"    16r0000 " invalid " 
                                       "16r5BC1"    16r0000 " invalid " 
                                       "16r5BC2"    16r3C45
                                       "16r5BC3"    16r0000 " invalid " 
                                       "16r5BC4"    16r3C44
                                       "16r5BC5"    16r527A
                                       "16r5BC6"    16r435C
                                       "16r5BC7"    16r3F5C
                                       "16r5BC8"    16r0000 " invalid " 
                                       "16r5BC9"    16r0000 " invalid " 
                                       "16r5BCA"    16r0000 " invalid " 
                                       "16r5BCB"    16r0000 " invalid " 
                                       "16r5BCC"    16r383B
                                       "16r5BCD"    16r0000 " invalid " 
                                       "16r5BCE"    16r0000 " invalid " 
                                       "16r5BCF"    16r0000 " invalid " 
                                       "16r5BD0"    16r4342
                                       "16r5BD1"    16r0000 " invalid " 
                                       "16r5BD2"    16r3A2E
                                       "16r5BD3"    16r5422
                                       "16r5BD4"    16r0000 " invalid " 
                                       "16r5BD5"    16r0000 " invalid " 
                                       "16r5BD6"    16r0000 " invalid " 
                                       "16r5BD7"    16r0000 " invalid " 
                                       "16r5BD8"    16r0000 " invalid " 
                                       "16r5BD9"    16r0000 " invalid " 
                                       "16r5BDA"    16r0000 " invalid " 
                                       "16r5BDB"    16r0000 " invalid " 
                                       "16r5BDC"    16r0000 " invalid " 
                                       "16r5BDD"    16r475E
                                       "16r5BDE"    16r442F
                                       "16r5BDF"    16r326C
                                       "16r5BE0"    16r0000 " invalid " 
                                       "16r5BE1"    16r3951
                                       "16r5BE2"    16r0000 " invalid " 
                                       "16r5BE3"    16r0000 " invalid " 
                                       "16r5BE4"    16r653B
                                       "16r5BE5"    16r4148
                                       "16r5BE6"    16r0000 " invalid " 
                                       "16r5BE7"    16r0000 " invalid " 
                                       "16r5BE8"    16r552F
                                       "16r5BE9"    16r0000 " invalid " 
                                       "16r5BEA"    16r0000 " invalid " 
                                       "16r5BEB"    16r0000 " invalid " 
                                       "16r5BEC"    16r0000 " invalid " 
                                       "16r5BED"    16r0000 " invalid " 
                                       "16r5BEE"    16r653C
                                       "16r5BEF"    16r0000 " invalid " 
                                       "16r5BF0"    16r653E
                                       "16r5BF1"    16r0000 " invalid " 
                                       "16r5BF2"    16r0000 " invalid " 
                                       "16r5BF3"    16r0000 " invalid " 
                                       "16r5BF4"    16r0000 " invalid " 
                                       "16r5BF5"    16r0000 " invalid " 
                                       "16r5BF6"    16r0000 " invalid " 
                                       "16r5BF7"    16r0000 " invalid " 
                                       "16r5BF8"    16r3467
                                       "16r5BF9"    16r3654
                                       "16r5BFA"    16r4B42
                                       "16r5BFB"    16r5130
                                       "16r5BFC"    16r353C
                                       "16r5BFD"    16r0000 " invalid " 
                                       "16r5BFE"    16r0000 " invalid " 
                                       "16r5BFF"    16r4A59
                                       "16r5C00"    16r0000 " invalid " 
                                       "16r5C01"    16r3762
                                       "16r5C02"    16r0000 " invalid " 
                                       "16r5C03"    16r0000 " invalid " 
                                       "16r5C04"    16r4964
                                       "16r5C05"    16r0000 " invalid " 
                                       "16r5C06"    16r3D2B
                                       "16r5C07"    16r0000 " invalid " 
                                       "16r5C08"    16r0000 " invalid " 
                                       "16r5C09"    16r4E3E
                                       "16r5C0A"    16r5770
                                       "16r5C0B"    16r0000 " invalid " 
                                       "16r5C0C"    16r0000 " invalid " 
                                       "16r5C0D"    16r0000 " invalid " 
                                       "16r5C0E"    16r0000 " invalid " 
                                       "16r5C0F"    16r5021
                                       "16r5C10"    16r0000 " invalid " 
                                       "16r5C11"    16r4959
                                       "16r5C12"    16r0000 " invalid " 
                                       "16r5C13"    16r0000 " invalid " 
                                       "16r5C14"    16r367B
                                       "16r5C15"    16r6658
                                       "16r5C16"    16r3C62
                                       "16r5C17"    16r0000 " invalid " 
                                       "16r5C18"    16r333E
                                       "16r5C19"    16r0000 " invalid " 
                                       "16r5C1A"    16r4950
                                       "16r5C1B"    16r0000 " invalid " 
                                       "16r5C1C"    16r6659
                                       "16r5C1D"    16r3322
                                       "16r5C1E"    16r0000 " invalid " 
                                       "16r5C1F"    16r0000 " invalid " 
                                       "16r5C20"    16r0000 " invalid " 
                                       "16r5C21"    16r0000 " invalid " 
                                       "16r5C22"    16r5E4C
                                       "16r5C23"    16r0000 " invalid " 
                                       "16r5C24"    16r5348
                                       "16r5C25"    16r5E4D
                                       "16r5C26"    16r0000 " invalid " 
                                       "16r5C27"    16r5222
                                       "16r5C28"    16r0000 " invalid " 
                                       "16r5C29"    16r0000 " invalid " 
                                       "16r5C2A"    16r0000 " invalid " 
                                       "16r5C2B"    16r0000 " invalid " 
                                       "16r5C2C"    16r5E4E
                                       "16r5C2D"    16r0000 " invalid " 
                                       "16r5C2E"    16r0000 " invalid " 
                                       "16r5C2F"    16r0000 " invalid " 
                                       "16r5C30"    16r0000 " invalid " 
                                       "16r5C31"    16r3E4D
                                       "16r5C32"    16r0000 " invalid " 
                                       "16r5C33"    16r0000 " invalid " 
                                       "16r5C34"    16r5E4F
                                       "16r5C35"    16r0000 " invalid " 
                                       "16r5C36"    16r0000 " invalid " 
                                       "16r5C37"    16r0000 " invalid " 
                                       "16r5C38"    16r4A2C
                                       "16r5C39"    16r527C
                                       "16r5C3A"    16r335F
                                       "16r5C3B"    16r656A
                                       "16r5C3C"    16r4461
                                       "16r5C3D"    16r3E21
                                       "16r5C3E"    16r4E32
                                       "16r5C3F"    16r4472
                                       "16r5C40"    16r3E56
                                       "16r5C41"    16r4628
                                       "16r5C42"    16r3263
                                       "16r5C43"    16r0000 " invalid " 
                                       "16r5C44"    16r0000 " invalid " 
                                       "16r5C45"    16r3E53
                                       "16r5C46"    16r0000 " invalid " 
                                       "16r5C47"    16r0000 " invalid " 
                                       "16r5C48"    16r477C
                                       "16r5C49"    16r4C6B
                                       "16r5C4A"    16r3D6C
                                       "16r5C4B"    16r4E5D
                                       "16r5C4C"    16r0000 " invalid " 
                                       "16r5C4D"    16r0000 " invalid " 
                                       "16r5C4E"    16r4A3A
                                       "16r5C4F"    16r4641
                                       "16r5C50"    16r656C
                                       "16r5C51"    16r503C
                                       "16r5C52"    16r0000 " invalid " 
                                       "16r5C53"    16r0000 " invalid " 
                                       "16r5C54"    16r0000 " invalid " 
                                       "16r5C55"    16r5539
                                       "16r5C56"    16r0000 " invalid " 
                                       "16r5C57"    16r0000 " invalid " 
                                       "16r5C58"    16r0000 " invalid " 
                                       "16r5C59"    16r656D
                                       "16r5C5A"    16r0000 " invalid " 
                                       "16r5C5B"    16r0000 " invalid " 
                                       "16r5C5C"    16r0000 " invalid " 
                                       "16r5C5D"    16r0000 " invalid " 
                                       "16r5C5E"    16r4A74
                                       "16r5C5F"    16r0000 " invalid " 
                                       "16r5C60"    16r4D40
                                       "16r5C61"    16r4245
                                       "16r5C62"    16r0000 " invalid " 
                                       "16r5C63"    16r656F
                                       "16r5C64"    16r0000 " invalid " 
                                       "16r5C65"    16r4244
                                       "16r5C66"    16r6570
                                       "16r5C67"    16r0000 " invalid " 
                                       "16r5C68"    16r0000 " invalid " 
                                       "16r5C69"    16r0000 " invalid " 
                                       "16r5C6A"    16r0000 " invalid " 
                                       "16r5C6B"    16r0000 " invalid " 
                                       "16r5C6C"    16r0000 " invalid " 
                                       "16r5C6D"    16r0000 " invalid " 
                                       "16r5C6E"    16r6578
                                       "16r5C6F"    16r4D4D
                                       "16r5C70"    16r0000 " invalid " 
                                       "16r5C71"    16r493D
                                       "16r5C72"    16r0000 " invalid " 
                                       "16r5C73"    16r0000 " invalid " 
                                       "16r5C74"    16r0000 " invalid " 
                                       "16r5C75"    16r0000 " invalid " 
                                       "16r5C76"    16r0000 " invalid " 
                                       "16r5C77"    16r0000 " invalid " 
                                       "16r5C78"    16r0000 " invalid " 
                                       "16r5C79"    16r5259
                                       "16r5C7A"    16r6128
                                       "16r5C7B"    16r0000 " invalid " 
                                       "16r5C7C"    16r0000 " invalid " 
                                       "16r5C7D"    16r0000 " invalid " 
                                       "16r5C7E"    16r0000 " invalid " 
                                       "16r5C7F"    16r536C
                                       "16r5C80"    16r0000 " invalid " 
                                       "16r5C81"    16r4B6A
                                       "16r5C82"    16r4671
                                       "16r5C83"    16r0000 " invalid " 
                                       "16r5C84"    16r0000 " invalid " 
                                       "16r5C85"    16r0000 " invalid " 
                                       "16r5C86"    16r0000 " invalid " 
                                       "16r5C87"    16r0000 " invalid " 
                                       "16r5C88"    16r612C
                                       "16r5C89"    16r0000 " invalid " 
                                       "16r5C8A"    16r0000 " invalid " 
                                       "16r5C8B"    16r0000 " invalid " 
                                       "16r5C8C"    16r6127
                                       "16r5C8D"    16r6129
                                       "16r5C8E"    16r0000 " invalid " 
                                       "16r5C8F"    16r0000 " invalid " 
                                       "16r5C90"    16r612A
                                       "16r5C91"    16r612F
                                       "16r5C92"    16r0000 " invalid " 
                                       "16r5C93"    16r0000 " invalid " 
                                       "16r5C94"    16r326D
                                       "16r5C95"    16r0000 " invalid " 
                                       "16r5C96"    16r612B
                                       "16r5C97"    16r385A
                                       "16r5C98"    16r612D
                                       "16r5C99"    16r612E
                                       "16r5C9A"    16r6130
                                       "16r5C9B"    16r353A
                                       "16r5C9C"    16r6131
                                       "16r5C9D"    16r0000 " invalid " 
                                       "16r5C9E"    16r0000 " invalid " 
                                       "16r5C9F"    16r0000 " invalid " 
                                       "16r5CA0"    16r0000 " invalid " 
                                       "16r5CA1"    16r0000 " invalid " 
                                       "16r5CA2"    16r6133
                                       "16r5CA3"    16r6138
                                       "16r5CA4"    16r0000 " invalid " 
                                       "16r5CA5"    16r0000 " invalid " 
                                       "16r5CA6"    16r0000 " invalid " 
                                       "16r5CA7"    16r0000 " invalid " 
                                       "16r5CA8"    16r0000 " invalid " 
                                       "16r5CA9"    16r5152
                                       "16r5CAA"    16r0000 " invalid " 
                                       "16r5CAB"    16r6136
                                       "16r5CAC"    16r6135
                                       "16r5CAD"    16r416B
                                       "16r5CAE"    16r0000 " invalid " 
                                       "16r5CAF"    16r0000 " invalid " 
                                       "16r5CB0"    16r0000 " invalid " 
                                       "16r5CB1"    16r6137
                                       "16r5CB2"    16r0000 " invalid " 
                                       "16r5CB3"    16r5440
                                       "16r5CB4"    16r0000 " invalid " 
                                       "16r5CB5"    16r6132
                                       "16r5CB6"    16r0000 " invalid " 
                                       "16r5CB7"    16r613A
                                       "16r5CB8"    16r3036
                                       "16r5CB9"    16r0000 " invalid " 
                                       "16r5CBA"    16r0000 " invalid " 
                                       "16r5CBB"    16r0000 " invalid " 
                                       "16r5CBC"    16r0000 " invalid " 
                                       "16r5CBD"    16r6134
                                       "16r5CBE"    16r0000 " invalid " 
                                       "16r5CBF"    16r3F79
                                       "16r5CC0"    16r0000 " invalid " 
                                       "16r5CC1"    16r6139
                                       "16r5CC2"    16r0000 " invalid " 
                                       "16r5CC3"    16r0000 " invalid " 
                                       "16r5CC4"    16r613B
                                       "16r5CC5"    16r0000 " invalid " 
                                       "16r5CC6"    16r0000 " invalid " 
                                       "16r5CC7"    16r0000 " invalid " 
                                       "16r5CC8"    16r0000 " invalid " 
                                       "16r5CC9"    16r0000 " invalid " 
                                       "16r5CCA"    16r0000 " invalid " 
                                       "16r5CCB"    16r613E
                                       "16r5CCC"    16r0000 " invalid " 
                                       "16r5CCD"    16r0000 " invalid " 
                                       "16r5CCE"    16r0000 " invalid " 
                                       "16r5CCF"    16r0000 " invalid " 
                                       "16r5CD0"    16r0000 " invalid " 
                                       "16r5CD1"    16r0000 " invalid " 
                                       "16r5CD2"    16r613C
                                       "16r5CD3"    16r0000 " invalid " 
                                       "16r5CD4"    16r0000 " invalid " 
                                       "16r5CD5"    16r0000 " invalid " 
                                       "16r5CD6"    16r0000 " invalid " 
                                       "16r5CD7"    16r0000 " invalid " 
                                       "16r5CD8"    16r0000 " invalid " 
                                       "16r5CD9"    16r5645
                                       "16r5CDA"    16r0000 " invalid " 
                                       "16r5CDB"    16r0000 " invalid " 
                                       "16r5CDC"    16r0000 " invalid " 
                                       "16r5CDD"    16r0000 " invalid " 
                                       "16r5CDE"    16r0000 " invalid " 
                                       "16r5CDF"    16r0000 " invalid " 
                                       "16r5CE0"    16r0000 " invalid " 
                                       "16r5CE1"    16r4F3F
                                       "16r5CE2"    16r0000 " invalid " 
                                       "16r5CE3"    16r0000 " invalid " 
                                       "16r5CE4"    16r613D
                                       "16r5CE5"    16r613F
                                       "16r5CE6"    16r424D
                                       "16r5CE7"    16r0000 " invalid " 
                                       "16r5CE8"    16r366B
                                       "16r5CE9"    16r0000 " invalid " 
                                       "16r5CEA"    16r5378
                                       "16r5CEB"    16r0000 " invalid " 
                                       "16r5CEC"    16r0000 " invalid " 
                                       "16r5CED"    16r474D
                                       "16r5CEE"    16r0000 " invalid " 
                                       "16r5CEF"    16r0000 " invalid " 
                                       "16r5CF0"    16r3765
                                       "16r5CF1"    16r0000 " invalid " 
                                       "16r5CF2"    16r0000 " invalid " 
                                       "16r5CF3"    16r0000 " invalid " 
                                       "16r5CF4"    16r0000 " invalid " 
                                       "16r5CF5"    16r0000 " invalid " 
                                       "16r5CF6"    16r0000 " invalid " 
                                       "16r5CF7"    16r0000 " invalid " 
                                       "16r5CF8"    16r0000 " invalid " 
                                       "16r5CF9"    16r0000 " invalid " 
                                       "16r5CFA"    16r0000 " invalid " 
                                       "16r5CFB"    16r3E7E
                                       "16r5CFC"    16r0000 " invalid " 
                                       "16r5CFD"    16r0000 " invalid " 
                                       "16r5CFE"    16r0000 " invalid " 
                                       "16r5CFF"    16r0000 " invalid " 
                                       "16r5D00"    16r0000 " invalid " 
                                       "16r5D01"    16r0000 " invalid " 
                                       "16r5D02"    16r6140
                                       "16r5D03"    16r6141
                                       "16r5D04"    16r0000 " invalid " 
                                       "16r5D05"    16r0000 " invalid " 
                                       "16r5D06"    16r6147
                                       "16r5D07"    16r3367
                                       "16r5D08"    16r0000 " invalid " 
                                       "16r5D09"    16r0000 " invalid " 
                                       "16r5D0A"    16r0000 " invalid " 
                                       "16r5D0B"    16r0000 " invalid " 
                                       "16r5D0C"    16r0000 " invalid " 
                                       "16r5D0D"    16r0000 " invalid " 
                                       "16r5D0E"    16r4669
                                       "16r5D0F"    16r0000 " invalid " 
                                       "16r5D10"    16r0000 " invalid " 
                                       "16r5D11"    16r0000 " invalid " 
                                       "16r5D12"    16r0000 " invalid " 
                                       "16r5D13"    16r0000 " invalid " 
                                       "16r5D14"    16r345E
                                       "16r5D15"    16r0000 " invalid " 
                                       "16r5D16"    16r5142
                                       "16r5D17"    16r0000 " invalid " 
                                       "16r5D18"    16r0000 " invalid " 
                                       "16r5D19"    16r0000 " invalid " 
                                       "16r5D1A"    16r0000 " invalid " 
                                       "16r5D1B"    16r6148
                                       "16r5D1C"    16r0000 " invalid " 
                                       "16r5D1D"    16r0000 " invalid " 
                                       "16r5D1E"    16r6146
                                       "16r5D1F"    16r0000 " invalid " 
                                       "16r5D20"    16r0000 " invalid " 
                                       "16r5D21"    16r0000 " invalid " 
                                       "16r5D22"    16r0000 " invalid " 
                                       "16r5D23"    16r0000 " invalid " 
                                       "16r5D24"    16r6145
                                       "16r5D25"    16r0000 " invalid " 
                                       "16r5D26"    16r6143
                                       "16r5D27"    16r6142
                                       "16r5D28"    16r0000 " invalid " 
                                       "16r5D29"    16r3140
                                       "16r5D2A"    16r0000 " invalid " 
                                       "16r5D2B"    16r0000 " invalid " 
                                       "16r5D2C"    16r0000 " invalid " 
                                       "16r5D2D"    16r5538
                                       "16r5D2E"    16r6144
                                       "16r5D2F"    16r0000 " invalid " 
                                       "16r5D30"    16r0000 " invalid " 
                                       "16r5D31"    16r0000 " invalid " 
                                       "16r5D32"    16r0000 " invalid " 
                                       "16r5D33"    16r0000 " invalid " 
                                       "16r5D34"    16r614B
                                       "16r5D35"    16r0000 " invalid " 
                                       "16r5D36"    16r0000 " invalid " 
                                       "16r5D37"    16r0000 " invalid " 
                                       "16r5D38"    16r0000 " invalid " 
                                       "16r5D39"    16r0000 " invalid " 
                                       "16r5D3A"    16r0000 " invalid " 
                                       "16r5D3B"    16r0000 " invalid " 
                                       "16r5D3C"    16r0000 " invalid " 
                                       "16r5D3D"    16r614C
                                       "16r5D3E"    16r614A
                                       "16r5D3F"    16r0000 " invalid " 
                                       "16r5D40"    16r0000 " invalid " 
                                       "16r5D41"    16r0000 " invalid " 
                                       "16r5D42"    16r0000 " invalid " 
                                       "16r5D43"    16r0000 " invalid " 
                                       "16r5D44"    16r0000 " invalid " 
                                       "16r5D45"    16r0000 " invalid " 
                                       "16r5D46"    16r0000 " invalid " 
                                       "16r5D47"    16r6F7A
                                       "16r5D48"    16r0000 " invalid " 
                                       "16r5D49"    16r0000 " invalid " 
                                       "16r5D4A"    16r6153
                                       "16r5D4B"    16r6152
                                       "16r5D4C"    16r4736
                                       "16r5D4D"    16r0000 " invalid " 
                                       "16r5D4E"    16r0000 " invalid " 
                                       "16r5D4F"    16r0000 " invalid " 
                                       "16r5D50"    16r0000 " invalid " 
                                       "16r5D51"    16r0000 " invalid " 
                                       "16r5D52"    16r0000 " invalid " 
                                       "16r5D53"    16r0000 " invalid " 
                                       "16r5D54"    16r0000 " invalid " 
                                       "16r5D55"    16r0000 " invalid " 
                                       "16r5D56"    16r0000 " invalid " 
                                       "16r5D57"    16r0000 " invalid " 
                                       "16r5D58"    16r6149
                                       "16r5D59"    16r0000 " invalid " 
                                       "16r5D5A"    16r0000 " invalid " 
                                       "16r5D5B"    16r614E
                                       "16r5D5C"    16r0000 " invalid " 
                                       "16r5D5D"    16r6150
                                       "16r5D5E"    16r0000 " invalid " 
                                       "16r5D5F"    16r0000 " invalid " 
                                       "16r5D60"    16r0000 " invalid " 
                                       "16r5D61"    16r0000 " invalid " 
                                       "16r5D62"    16r0000 " invalid " 
                                       "16r5D63"    16r0000 " invalid " 
                                       "16r5D64"    16r0000 " invalid " 
                                       "16r5D65"    16r0000 " invalid " 
                                       "16r5D66"    16r0000 " invalid " 
                                       "16r5D67"    16r0000 " invalid " 
                                       "16r5D68"    16r0000 " invalid " 
                                       "16r5D69"    16r6154
                                       "16r5D6A"    16r0000 " invalid " 
                                       "16r5D6B"    16r6151
                                       "16r5D6C"    16r614D
                                       "16r5D6D"    16r0000 " invalid " 
                                       "16r5D6E"    16r0000 " invalid " 
                                       "16r5D6F"    16r614F
                                       "16r5D70"    16r0000 " invalid " 
                                       "16r5D71"    16r0000 " invalid " 
                                       "16r5D72"    16r0000 " invalid " 
                                       "16r5D73"    16r0000 " invalid " 
                                       "16r5D74"    16r6155
                                       "16r5D75"    16r0000 " invalid " 
                                       "16r5D76"    16r0000 " invalid " 
                                       "16r5D77"    16r0000 " invalid " 
                                       "16r5D78"    16r0000 " invalid " 
                                       "16r5D79"    16r0000 " invalid " 
                                       "16r5D7A"    16r0000 " invalid " 
                                       "16r5D7B"    16r0000 " invalid " 
                                       "16r5D7C"    16r0000 " invalid " 
                                       "16r5D7D"    16r0000 " invalid " 
                                       "16r5D7E"    16r0000 " invalid " 
                                       "16r5D7F"    16r0000 " invalid " 
                                       "16r5D80"    16r0000 " invalid " 
                                       "16r5D81"    16r0000 " invalid " 
                                       "16r5D82"    16r6156
                                       "16r5D83"    16r0000 " invalid " 
                                       "16r5D84"    16r0000 " invalid " 
                                       "16r5D85"    16r0000 " invalid " 
                                       "16r5D86"    16r0000 " invalid " 
                                       "16r5D87"    16r0000 " invalid " 
                                       "16r5D88"    16r0000 " invalid " 
                                       "16r5D89"    16r0000 " invalid " 
                                       "16r5D8A"    16r0000 " invalid " 
                                       "16r5D8B"    16r0000 " invalid " 
                                       "16r5D8C"    16r0000 " invalid " 
                                       "16r5D8D"    16r0000 " invalid " 
                                       "16r5D8E"    16r0000 " invalid " 
                                       "16r5D8F"    16r0000 " invalid " 
                                       "16r5D90"    16r0000 " invalid " 
                                       "16r5D91"    16r0000 " invalid " 
                                       "16r5D92"    16r0000 " invalid " 
                                       "16r5D93"    16r0000 " invalid " 
                                       "16r5D94"    16r0000 " invalid " 
                                       "16r5D95"    16r0000 " invalid " 
                                       "16r5D96"    16r0000 " invalid " 
                                       "16r5D97"    16r0000 " invalid " 
                                       "16r5D98"    16r0000 " invalid " 
                                       "16r5D99"    16r6157
                                       "16r5D9A"    16r0000 " invalid " 
                                       "16r5D9B"    16r0000 " invalid " 
                                       "16r5D9C"    16r0000 " invalid " 
                                       "16r5D9D"    16r6158
                                       "16r5D9E"    16r0000 " invalid " 
                                       "16r5D9F"    16r0000 " invalid " 
                                       "16r5DA0"    16r0000 " invalid " 
                                       "16r5DA1"    16r0000 " invalid " 
                                       "16r5DA2"    16r0000 " invalid " 
                                       "16r5DA3"    16r0000 " invalid " 
                                       "16r5DA4"    16r0000 " invalid " 
                                       "16r5DA5"    16r0000 " invalid " 
                                       "16r5DA6"    16r0000 " invalid " 
                                       "16r5DA7"    16r0000 " invalid " 
                                       "16r5DA8"    16r0000 " invalid " 
                                       "16r5DA9"    16r0000 " invalid " 
                                       "16r5DAA"    16r0000 " invalid " 
                                       "16r5DAB"    16r0000 " invalid " 
                                       "16r5DAC"    16r0000 " invalid " 
                                       "16r5DAD"    16r0000 " invalid " 
                                       "16r5DAE"    16r0000 " invalid " 
                                       "16r5DAF"    16r0000 " invalid " 
                                       "16r5DB0"    16r0000 " invalid " 
                                       "16r5DB1"    16r0000 " invalid " 
                                       "16r5DB2"    16r0000 " invalid " 
                                       "16r5DB3"    16r0000 " invalid " 
                                       "16r5DB4"    16r0000 " invalid " 
                                       "16r5DB5"    16r0000 " invalid " 
                                       "16r5DB6"    16r0000 " invalid " 
                                       "16r5DB7"    16r615A
                                       "16r5DB8"    16r0000 " invalid " 
                                       "16r5DB9"    16r0000 " invalid " 
                                       "16r5DBA"    16r0000 " invalid " 
                                       "16r5DBB"    16r0000 " invalid " 
                                       "16r5DBC"    16r0000 " invalid " 
                                       "16r5DBD"    16r0000 " invalid " 
                                       "16r5DBE"    16r0000 " invalid " 
                                       "16r5DBF"    16r0000 " invalid " 
                                       "16r5DC0"    16r0000 " invalid " 
                                       "16r5DC1"    16r0000 " invalid " 
                                       "16r5DC2"    16r0000 " invalid " 
                                       "16r5DC3"    16r0000 " invalid " 
                                       "16r5DC4"    16r0000 " invalid " 
                                       "16r5DC5"    16r615B
                                       "16r5DC6"    16r0000 " invalid " 
                                       "16r5DC7"    16r0000 " invalid " 
                                       "16r5DC8"    16r0000 " invalid " 
                                       "16r5DC9"    16r0000 " invalid " 
                                       "16r5DCA"    16r0000 " invalid " 
                                       "16r5DCB"    16r0000 " invalid " 
                                       "16r5DCC"    16r0000 " invalid " 
                                       "16r5DCD"    16r4E21
                                       "16r5DCE"    16r0000 " invalid " 
                                       "16r5DCF"    16r0000 " invalid " 
                                       "16r5DD0"    16r0000 " invalid " 
                                       "16r5DD1"    16r0000 " invalid " 
                                       "16r5DD2"    16r0000 " invalid " 
                                       "16r5DD3"    16r0000 " invalid " 
                                       "16r5DD4"    16r0000 " invalid " 
                                       "16r5DD5"    16r0000 " invalid " 
                                       "16r5DD6"    16r0000 " invalid " 
                                       "16r5DD7"    16r0000 " invalid " 
                                       "16r5DD8"    16r0000 " invalid " 
                                       "16r5DD9"    16r0000 " invalid " 
                                       "16r5DDA"    16r0000 " invalid " 
                                       "16r5DDB"    16r675D
                                       "16r5DDC"    16r0000 " invalid " 
                                       "16r5DDD"    16r3428
                                       "16r5DDE"    16r565D
                                       "16r5DDF"    16r0000 " invalid " 
                                       "16r5DE0"    16r0000 " invalid " 
                                       "16r5DE1"    16r5132
                                       "16r5DE2"    16r3332
                                       "16r5DE3"    16r0000 " invalid " 
                                       "16r5DE4"    16r0000 " invalid " 
                                       "16r5DE5"    16r3924
                                       "16r5DE6"    16r5773
                                       "16r5DE7"    16r4749
                                       "16r5DE8"    16r3E5E
                                       "16r5DE9"    16r392E
                                       "16r5DEA"    16r0000 " invalid " 
                                       "16r5DEB"    16r4E57
                                       "16r5DEC"    16r0000 " invalid " 
                                       "16r5DED"    16r0000 " invalid " 
                                       "16r5DEE"    16r326E
                                       "16r5DEF"    16r5B4F
                                       "16r5DF0"    16r0000 " invalid " 
                                       "16r5DF1"    16r3C3A
                                       "16r5DF2"    16r5251
                                       "16r5DF3"    16r4B48
                                       "16r5DF4"    16r304D
                                       "16r5DF5"    16r0000 " invalid " 
                                       "16r5DF6"    16r0000 " invalid " 
                                       "16r5DF7"    16r4F6F
                                       "16r5DF8"    16r0000 " invalid " 
                                       "16r5DF9"    16r0000 " invalid " 
                                       "16r5DFA"    16r0000 " invalid " 
                                       "16r5DFB"    16r0000 " invalid " 
                                       "16r5DFC"    16r0000 " invalid " 
                                       "16r5DFD"    16r5963
                                       "16r5DFE"    16r3D6D
                                       "16r5DFF"    16r0000 " invalid " 
                                       "16r5E00"    16r0000 " invalid " 
                                       "16r5E01"    16r3152
                                       "16r5E02"    16r4A50
                                       "16r5E03"    16r323C
                                       "16r5E04"    16r0000 " invalid " 
                                       "16r5E05"    16r4B27
                                       "16r5E06"    16r372B
                                       "16r5E07"    16r0000 " invalid " 
                                       "16r5E08"    16r4A26
                                       "16r5E09"    16r0000 " invalid " 
                                       "16r5E0A"    16r0000 " invalid " 
                                       "16r5E0B"    16r0000 " invalid " 
                                       "16r5E0C"    16r4F23
                                       "16r5E0D"    16r0000 " invalid " 
                                       "16r5E0E"    16r0000 " invalid " 
                                       "16r5E0F"    16r6078
                                       "16r5E10"    16r554A
                                       "16r5E11"    16r607B
                                       "16r5E12"    16r0000 " invalid " 
                                       "16r5E13"    16r0000 " invalid " 
                                       "16r5E14"    16r607A
                                       "16r5E15"    16r4541
                                       "16r5E16"    16r4C7B
                                       "16r5E17"    16r0000 " invalid " 
                                       "16r5E18"    16r4131
                                       "16r5E19"    16r6079
                                       "16r5E1A"    16r5663
                                       "16r5E1B"    16r322F
                                       "16r5E1C"    16r5644
                                       "16r5E1D"    16r355B
                                       "16r5E1E"    16r0000 " invalid " 
                                       "16r5E1F"    16r0000 " invalid " 
                                       "16r5E20"    16r0000 " invalid " 
                                       "16r5E21"    16r0000 " invalid " 
                                       "16r5E22"    16r0000 " invalid " 
                                       "16r5E23"    16r0000 " invalid " 
                                       "16r5E24"    16r0000 " invalid " 
                                       "16r5E25"    16r0000 " invalid " 
                                       "16r5E26"    16r3478
                                       "16r5E27"    16r5621
                                       "16r5E28"    16r0000 " invalid " 
                                       "16r5E29"    16r0000 " invalid " 
                                       "16r5E2A"    16r0000 " invalid " 
                                       "16r5E2B"    16r0000 " invalid " 
                                       "16r5E2C"    16r0000 " invalid " 
                                       "16r5E2D"    16r4F2F
                                       "16r5E2E"    16r306F
                                       "16r5E2F"    16r0000 " invalid " 
                                       "16r5E30"    16r0000 " invalid " 
                                       "16r5E31"    16r607C
                                       "16r5E32"    16r0000 " invalid " 
                                       "16r5E33"    16r0000 " invalid " 
                                       "16r5E34"    16r0000 " invalid " 
                                       "16r5E35"    16r0000 " invalid " 
                                       "16r5E36"    16r0000 " invalid " 
                                       "16r5E37"    16r6121
                                       "16r5E38"    16r3323
                                       "16r5E39"    16r0000 " invalid " 
                                       "16r5E3A"    16r0000 " invalid " 
                                       "16r5E3B"    16r607D
                                       "16r5E3C"    16r607E
                                       "16r5E3D"    16r4331
                                       "16r5E3E"    16r0000 " invalid " 
                                       "16r5E3F"    16r0000 " invalid " 
                                       "16r5E40"    16r0000 " invalid " 
                                       "16r5E41"    16r0000 " invalid " 
                                       "16r5E42"    16r435D
                                       "16r5E43"    16r0000 " invalid " 
                                       "16r5E44"    16r6122
                                       "16r5E45"    16r3779
                                       "16r5E46"    16r0000 " invalid " 
                                       "16r5E47"    16r0000 " invalid " 
                                       "16r5E48"    16r0000 " invalid " 
                                       "16r5E49"    16r0000 " invalid " 
                                       "16r5E4A"    16r0000 " invalid " 
                                       "16r5E4B"    16r0000 " invalid " 
                                       "16r5E4C"    16r3B4F
                                       "16r5E4D"    16r0000 " invalid " 
                                       "16r5E4E"    16r0000 " invalid " 
                                       "16r5E4F"    16r0000 " invalid " 
                                       "16r5E50"    16r0000 " invalid " 
                                       "16r5E51"    16r0000 " invalid " 
                                       "16r5E52"    16r0000 " invalid " 
                                       "16r5E53"    16r0000 " invalid " 
                                       "16r5E54"    16r6123
                                       "16r5E55"    16r443B
                                       "16r5E56"    16r0000 " invalid " 
                                       "16r5E57"    16r0000 " invalid " 
                                       "16r5E58"    16r0000 " invalid " 
                                       "16r5E59"    16r0000 " invalid " 
                                       "16r5E5A"    16r0000 " invalid " 
                                       "16r5E5B"    16r6124
                                       "16r5E5C"    16r0000 " invalid " 
                                       "16r5E5D"    16r0000 " invalid " 
                                       "16r5E5E"    16r6125
                                       "16r5E5F"    16r0000 " invalid " 
                                       "16r5E60"    16r0000 " invalid " 
                                       "16r5E61"    16r6126
                                       "16r5E62"    16r3431
                                       "16r5E63"    16r0000 " invalid " 
                                       "16r5E64"    16r0000 " invalid " 
                                       "16r5E65"    16r0000 " invalid " 
                                       "16r5E66"    16r0000 " invalid " 
                                       "16r5E67"    16r0000 " invalid " 
                                       "16r5E68"    16r0000 " invalid " 
                                       "16r5E69"    16r0000 " invalid " 
                                       "16r5E6A"    16r0000 " invalid " 
                                       "16r5E6B"    16r0000 " invalid " 
                                       "16r5E6C"    16r0000 " invalid " 
                                       "16r5E6D"    16r0000 " invalid " 
                                       "16r5E6E"    16r0000 " invalid " 
                                       "16r5E6F"    16r0000 " invalid " 
                                       "16r5E70"    16r0000 " invalid " 
                                       "16r5E71"    16r0000 " invalid " 
                                       "16r5E72"    16r3849
                                       "16r5E73"    16r463D
                                       "16r5E74"    16r446A
                                       "16r5E75"    16r0000 " invalid " 
                                       "16r5E76"    16r3222
                                       "16r5E77"    16r0000 " invalid " 
                                       "16r5E78"    16r5052
                                       "16r5E79"    16r0000 " invalid " 
                                       "16r5E7A"    16r675B
                                       "16r5E7B"    16r3B43
                                       "16r5E7C"    16r5357
                                       "16r5E7D"    16r5344
                                       "16r5E7E"    16r0000 " invalid " 
                                       "16r5E7F"    16r3963
                                       "16r5E80"    16r624F
                                       "16r5E81"    16r0000 " invalid " 
                                       "16r5E82"    16r0000 " invalid " 
                                       "16r5E83"    16r0000 " invalid " 
                                       "16r5E84"    16r572F
                                       "16r5E85"    16r0000 " invalid " 
                                       "16r5E86"    16r476C
                                       "16r5E87"    16r3153
                                       "16r5E88"    16r0000 " invalid " 
                                       "16r5E89"    16r0000 " invalid " 
                                       "16r5E8A"    16r3432
                                       "16r5E8B"    16r6251
                                       "16r5E8C"    16r0000 " invalid " 
                                       "16r5E8D"    16r0000 " invalid " 
                                       "16r5E8E"    16r0000 " invalid " 
                                       "16r5E8F"    16r5072
                                       "16r5E90"    16r422E
                                       "16r5E91"    16r6250
                                       "16r5E92"    16r0000 " invalid " 
                                       "16r5E93"    16r3F62
                                       "16r5E94"    16r5326
                                       "16r5E95"    16r3557
                                       "16r5E96"    16r6252
                                       "16r5E97"    16r356A
                                       "16r5E98"    16r0000 " invalid " 
                                       "16r5E99"    16r436D
                                       "16r5E9A"    16r387D
                                       "16r5E9B"    16r0000 " invalid " 
                                       "16r5E9C"    16r382E
                                       "16r5E9D"    16r0000 " invalid " 
                                       "16r5E9E"    16r4553
                                       "16r5E9F"    16r374F
                                       "16r5EA0"    16r6254
                                       "16r5EA1"    16r0000 " invalid " 
                                       "16r5EA2"    16r0000 " invalid " 
                                       "16r5EA3"    16r0000 " invalid " 
                                       "16r5EA4"    16r0000 " invalid " 
                                       "16r5EA5"    16r6253
                                       "16r5EA6"    16r3648
                                       "16r5EA7"    16r5779
                                       "16r5EA8"    16r0000 " invalid " 
                                       "16r5EA9"    16r0000 " invalid " 
                                       "16r5EAA"    16r0000 " invalid " 
                                       "16r5EAB"    16r0000 " invalid " 
                                       "16r5EAC"    16r0000 " invalid " 
                                       "16r5EAD"    16r4D25
                                       "16r5EAE"    16r0000 " invalid " 
                                       "16r5EAF"    16r0000 " invalid " 
                                       "16r5EB0"    16r0000 " invalid " 
                                       "16r5EB1"    16r0000 " invalid " 
                                       "16r5EB2"    16r0000 " invalid " 
                                       "16r5EB3"    16r6258
                                       "16r5EB4"    16r0000 " invalid " 
                                       "16r5EB5"    16r6256
                                       "16r5EB6"    16r4A7C
                                       "16r5EB7"    16r3F35
                                       "16r5EB8"    16r5339
                                       "16r5EB9"    16r6255
                                       "16r5EBA"    16r0000 " invalid " 
                                       "16r5EBB"    16r0000 " invalid " 
                                       "16r5EBC"    16r0000 " invalid " 
                                       "16r5EBD"    16r0000 " invalid " 
                                       "16r5EBE"    16r6257
                                       "16r5EBF"    16r0000 " invalid " 
                                       "16r5EC0"    16r0000 " invalid " 
                                       "16r5EC1"    16r0000 " invalid " 
                                       "16r5EC2"    16r0000 " invalid " 
                                       "16r5EC3"    16r0000 " invalid " 
                                       "16r5EC4"    16r0000 " invalid " 
                                       "16r5EC5"    16r0000 " invalid " 
                                       "16r5EC6"    16r0000 " invalid " 
                                       "16r5EC7"    16r0000 " invalid " 
                                       "16r5EC8"    16r0000 " invalid " 
                                       "16r5EC9"    16r412E
                                       "16r5ECA"    16r4048
                                       "16r5ECB"    16r0000 " invalid " 
                                       "16r5ECC"    16r0000 " invalid " 
                                       "16r5ECD"    16r0000 " invalid " 
                                       "16r5ECE"    16r0000 " invalid " 
                                       "16r5ECF"    16r0000 " invalid " 
                                       "16r5ED0"    16r0000 " invalid " 
                                       "16r5ED1"    16r625B
                                       "16r5ED2"    16r625A
                                       "16r5ED3"    16r402A
                                       "16r5ED4"    16r0000 " invalid " 
                                       "16r5ED5"    16r0000 " invalid " 
                                       "16r5ED6"    16r414E
                                       "16r5ED7"    16r0000 " invalid " 
                                       "16r5ED8"    16r0000 " invalid " 
                                       "16r5ED9"    16r0000 " invalid " 
                                       "16r5EDA"    16r0000 " invalid " 
                                       "16r5EDB"    16r625C
                                       "16r5EDC"    16r0000 " invalid " 
                                       "16r5EDD"    16r0000 " invalid " 
                                       "16r5EDE"    16r0000 " invalid " 
                                       "16r5EDF"    16r0000 " invalid " 
                                       "16r5EE0"    16r0000 " invalid " 
                                       "16r5EE1"    16r0000 " invalid " 
                                       "16r5EE2"    16r0000 " invalid " 
                                       "16r5EE3"    16r0000 " invalid " 
                                       "16r5EE4"    16r0000 " invalid " 
                                       "16r5EE5"    16r0000 " invalid " 
                                       "16r5EE6"    16r0000 " invalid " 
                                       "16r5EE7"    16r0000 " invalid " 
                                       "16r5EE8"    16r625D
                                       "16r5EE9"    16r0000 " invalid " 
                                       "16r5EEA"    16r625E
                                       "16r5EEB"    16r0000 " invalid " 
                                       "16r5EEC"    16r0000 " invalid " 
                                       "16r5EED"    16r0000 " invalid " 
                                       "16r5EEE"    16r0000 " invalid " 
                                       "16r5EEF"    16r0000 " invalid " 
                                       "16r5EF0"    16r0000 " invalid " 
                                       "16r5EF1"    16r0000 " invalid " 
                                       "16r5EF2"    16r0000 " invalid " 
                                       "16r5EF3"    16r0000 " invalid " 
                                       "16r5EF4"    16r5B48
                                       "16r5EF5"    16r0000 " invalid " 
                                       "16r5EF6"    16r5153
                                       "16r5EF7"    16r4D22
                                       "16r5EF8"    16r0000 " invalid " 
                                       "16r5EF9"    16r0000 " invalid " 
                                       "16r5EFA"    16r3D28
                                       "16r5EFB"    16r0000 " invalid " 
                                       "16r5EFC"    16r0000 " invalid " 
                                       "16r5EFD"    16r0000 " invalid " 
                                       "16r5EFE"    16r5E43
                                       "16r5EFF"    16r5825
                                       "16r5F00"    16r3F2A
                                       "16r5F01"    16r5B4D
                                       "16r5F02"    16r526C
                                       "16r5F03"    16r467A
                                       "16r5F04"    16r452A
                                       "16r5F05"    16r0000 " invalid " 
                                       "16r5F06"    16r0000 " invalid " 
                                       "16r5F07"    16r0000 " invalid " 
                                       "16r5F08"    16r5E44
                                       "16r5F09"    16r0000 " invalid " 
                                       "16r5F0A"    16r3157
                                       "16r5F0B"    16r5F2E
                                       "16r5F0C"    16r0000 " invalid " 
                                       "16r5F0D"    16r0000 " invalid " 
                                       "16r5F0E"    16r0000 " invalid " 
                                       "16r5F0F"    16r4A3D
                                       "16r5F10"    16r0000 " invalid " 
                                       "16r5F11"    16r5F31
                                       "16r5F12"    16r0000 " invalid " 
                                       "16r5F13"    16r392D
                                       "16r5F14"    16r0000 " invalid " 
                                       "16r5F15"    16r527D
                                       "16r5F16"    16r0000 " invalid " 
                                       "16r5F17"    16r3825
                                       "16r5F18"    16r3A6B
                                       "16r5F19"    16r0000 " invalid " 
                                       "16r5F1A"    16r0000 " invalid " 
                                       "16r5F1B"    16r335A
                                       "16r5F1C"    16r0000 " invalid " 
                                       "16r5F1D"    16r0000 " invalid " 
                                       "16r5F1E"    16r0000 " invalid " 
                                       "16r5F1F"    16r355C
                                       "16r5F20"    16r5545
                                       "16r5F21"    16r0000 " invalid " 
                                       "16r5F22"    16r0000 " invalid " 
                                       "16r5F23"    16r0000 " invalid " 
                                       "16r5F24"    16r0000 " invalid " 
                                       "16r5F25"    16r4356
                                       "16r5F26"    16r4F52
                                       "16r5F27"    16r3B21
                                       "16r5F28"    16r0000 " invalid " 
                                       "16r5F29"    16r6573
                                       "16r5F2A"    16r6572
                                       "16r5F2B"    16r0000 " invalid " 
                                       "16r5F2C"    16r0000 " invalid " 
                                       "16r5F2D"    16r6574
                                       "16r5F2E"    16r0000 " invalid " 
                                       "16r5F2F"    16r4D64
                                       "16r5F30"    16r0000 " invalid " 
                                       "16r5F31"    16r4875
                                       "16r5F32"    16r0000 " invalid " 
                                       "16r5F33"    16r0000 " invalid " 
                                       "16r5F34"    16r0000 " invalid " 
                                       "16r5F35"    16r0000 " invalid " 
                                       "16r5F36"    16r0000 " invalid " 
                                       "16r5F37"    16r0000 " invalid " 
                                       "16r5F38"    16r0000 " invalid " 
                                       "16r5F39"    16r352F
                                       "16r5F3A"    16r473F
                                       "16r5F3B"    16r0000 " invalid " 
                                       "16r5F3C"    16r6576
                                       "16r5F3D"    16r0000 " invalid " 
                                       "16r5F3E"    16r0000 " invalid " 
                                       "16r5F3F"    16r0000 " invalid " 
                                       "16r5F40"    16r6C30
                                       "16r5F41"    16r0000 " invalid " 
                                       "16r5F42"    16r0000 " invalid " 
                                       "16r5F43"    16r0000 " invalid " 
                                       "16r5F44"    16r0000 " invalid " 
                                       "16r5F45"    16r0000 " invalid " 
                                       "16r5F46"    16r0000 " invalid " 
                                       "16r5F47"    16r0000 " invalid " 
                                       "16r5F48"    16r0000 " invalid " 
                                       "16r5F49"    16r0000 " invalid " 
                                       "16r5F4A"    16r0000 " invalid " 
                                       "16r5F4B"    16r0000 " invalid " 
                                       "16r5F4C"    16r0000 " invalid " 
                                       "16r5F4D"    16r0000 " invalid " 
                                       "16r5F4E"    16r0000 " invalid " 
                                       "16r5F4F"    16r0000 " invalid " 
                                       "16r5F50"    16r6566
                                       "16r5F51"    16r0000 " invalid " 
                                       "16r5F52"    16r3969
                                       "16r5F53"    16r3531
                                       "16r5F54"    16r0000 " invalid " 
                                       "16r5F55"    16r423C
                                       "16r5F56"    16r6568
                                       "16r5F57"    16r6567
                                       "16r5F58"    16r6569
                                       "16r5F59"    16r0000 " invalid " 
                                       "16r5F5A"    16r0000 " invalid " 
                                       "16r5F5B"    16r0000 " invalid " 
                                       "16r5F5C"    16r0000 " invalid " 
                                       "16r5F5D"    16r524D
                                       "16r5F5E"    16r0000 " invalid " 
                                       "16r5F5F"    16r0000 " invalid " 
                                       "16r5F60"    16r0000 " invalid " 
                                       "16r5F61"    16r616A
                                       "16r5F62"    16r504E
                                       "16r5F63"    16r0000 " invalid " 
                                       "16r5F64"    16r4D2E
                                       "16r5F65"    16r0000 " invalid " 
                                       "16r5F66"    16r5165
                                       "16r5F67"    16r0000 " invalid " 
                                       "16r5F68"    16r0000 " invalid " 
                                       "16r5F69"    16r324A
                                       "16r5F6A"    16r316B
                                       "16r5F6B"    16r0000 " invalid " 
                                       "16r5F6C"    16r3172
                                       "16r5F6D"    16r456D
                                       "16r5F6E"    16r0000 " invalid " 
                                       "16r5F6F"    16r0000 " invalid " 
                                       "16r5F70"    16r5543
                                       "16r5F71"    16r5330
                                       "16r5F72"    16r0000 " invalid " 
                                       "16r5F73"    16r615C
                                       "16r5F74"    16r0000 " invalid " 
                                       "16r5F75"    16r0000 " invalid " 
                                       "16r5F76"    16r0000 " invalid " 
                                       "16r5F77"    16r615D
                                       "16r5F78"    16r0000 " invalid " 
                                       "16r5F79"    16r525B
                                       "16r5F7A"    16r0000 " invalid " 
                                       "16r5F7B"    16r3339
                                       "16r5F7C"    16r314B
                                       "16r5F7D"    16r0000 " invalid " 
                                       "16r5F7E"    16r0000 " invalid " 
                                       "16r5F7F"    16r0000 " invalid " 
                                       "16r5F80"    16r4D79
                                       "16r5F81"    16r5577
                                       "16r5F82"    16r615E
                                       "16r5F83"    16r0000 " invalid " 
                                       "16r5F84"    16r3E36
                                       "16r5F85"    16r347D
                                       "16r5F86"    16r0000 " invalid " 
                                       "16r5F87"    16r615F
                                       "16r5F88"    16r3A5C
                                       "16r5F89"    16r6160
                                       "16r5F8A"    16r3B32
                                       "16r5F8B"    16r4249
                                       "16r5F8C"    16r6161
                                       "16r5F8D"    16r0000 " invalid " 
                                       "16r5F8E"    16r0000 " invalid " 
                                       "16r5F8F"    16r0000 " invalid " 
                                       "16r5F90"    16r506C
                                       "16r5F91"    16r0000 " invalid " 
                                       "16r5F92"    16r4D3D
                                       "16r5F93"    16r0000 " invalid " 
                                       "16r5F94"    16r0000 " invalid " 
                                       "16r5F95"    16r6162
                                       "16r5F96"    16r0000 " invalid " 
                                       "16r5F97"    16r3543
                                       "16r5F98"    16r4547
                                       "16r5F99"    16r6163
                                       "16r5F9A"    16r0000 " invalid " 
                                       "16r5F9B"    16r0000 " invalid " 
                                       "16r5F9C"    16r6164
                                       "16r5F9D"    16r0000 " invalid " 
                                       "16r5F9E"    16r0000 " invalid " 
                                       "16r5F9F"    16r0000 " invalid " 
                                       "16r5FA0"    16r0000 " invalid " 
                                       "16r5FA1"    16r5379
                                       "16r5FA2"    16r0000 " invalid " 
                                       "16r5FA3"    16r0000 " invalid " 
                                       "16r5FA4"    16r0000 " invalid " 
                                       "16r5FA5"    16r0000 " invalid " 
                                       "16r5FA6"    16r0000 " invalid " 
                                       "16r5FA7"    16r0000 " invalid " 
                                       "16r5FA8"    16r6165
                                       "16r5FA9"    16r0000 " invalid " 
                                       "16r5FAA"    16r512D
                                       "16r5FAB"    16r0000 " invalid " 
                                       "16r5FAC"    16r0000 " invalid " 
                                       "16r5FAD"    16r6166
                                       "16r5FAE"    16r4E22
                                       "16r5FAF"    16r0000 " invalid " 
                                       "16r5FB0"    16r0000 " invalid " 
                                       "16r5FB1"    16r0000 " invalid " 
                                       "16r5FB2"    16r0000 " invalid " 
                                       "16r5FB3"    16r0000 " invalid " 
                                       "16r5FB4"    16r0000 " invalid " 
                                       "16r5FB5"    16r6167
                                       "16r5FB6"    16r0000 " invalid " 
                                       "16r5FB7"    16r3542
                                       "16r5FB8"    16r0000 " invalid " 
                                       "16r5FB9"    16r0000 " invalid " 
                                       "16r5FBA"    16r0000 " invalid " 
                                       "16r5FBB"    16r0000 " invalid " 
                                       "16r5FBC"    16r6168
                                       "16r5FBD"    16r3B55
                                       "16r5FBE"    16r0000 " invalid " 
                                       "16r5FBF"    16r0000 " invalid " 
                                       "16r5FC0"    16r0000 " invalid " 
                                       "16r5FC1"    16r0000 " invalid " 
                                       "16r5FC2"    16r0000 " invalid " 
                                       "16r5FC3"    16r5044
                                       "16r5FC4"    16r6260
                                       "16r5FC5"    16r3158
                                       "16r5FC6"    16r5264
                                       "16r5FC7"    16r0000 " invalid " 
                                       "16r5FC8"    16r0000 " invalid " 
                                       "16r5FC9"    16r6261
                                       "16r5FCA"    16r0000 " invalid " 
                                       "16r5FCB"    16r0000 " invalid " 
                                       "16r5FCC"    16r3C49
                                       "16r5FCD"    16r484C
                                       "16r5FCE"    16r0000 " invalid " 
                                       "16r5FCF"    16r6263
                                       "16r5FD0"    16r6C7E
                                       "16r5FD1"    16r6C7D
                                       "16r5FD2"    16r5F2F
                                       "16r5FD3"    16r0000 " invalid " 
                                       "16r5FD4"    16r0000 " invalid " 
                                       "16r5FD5"    16r0000 " invalid " 
                                       "16r5FD6"    16r6262
                                       "16r5FD7"    16r563E
                                       "16r5FD8"    16r4D7C
                                       "16r5FD9"    16r4326
                                       "16r5FDA"    16r0000 " invalid " 
                                       "16r5FDB"    16r0000 " invalid " 
                                       "16r5FDC"    16r0000 " invalid " 
                                       "16r5FDD"    16r6343
                                       "16r5FDE"    16r0000 " invalid " 
                                       "16r5FDF"    16r0000 " invalid " 
                                       "16r5FE0"    16r5652
                                       "16r5FE1"    16r6267
                                       "16r5FE2"    16r0000 " invalid " 
                                       "16r5FE3"    16r0000 " invalid " 
                                       "16r5FE4"    16r6268
                                       "16r5FE5"    16r0000 " invalid " 
                                       "16r5FE6"    16r0000 " invalid " 
                                       "16r5FE7"    16r5347
                                       "16r5FE8"    16r0000 " invalid " 
                                       "16r5FE9"    16r0000 " invalid " 
                                       "16r5FEA"    16r626C
                                       "16r5FEB"    16r3F6C
                                       "16r5FEC"    16r0000 " invalid " 
                                       "16r5FED"    16r626D
                                       "16r5FEE"    16r6265
                                       "16r5FEF"    16r0000 " invalid " 
                                       "16r5FF0"    16r0000 " invalid " 
                                       "16r5FF1"    16r3340
                                       "16r5FF2"    16r0000 " invalid " 
                                       "16r5FF3"    16r0000 " invalid " 
                                       "16r5FF4"    16r0000 " invalid " 
                                       "16r5FF5"    16r446E
                                       "16r5FF6"    16r0000 " invalid " 
                                       "16r5FF7"    16r0000 " invalid " 
                                       "16r5FF8"    16r626E
                                       "16r5FF9"    16r0000 " invalid " 
                                       "16r5FFA"    16r0000 " invalid " 
                                       "16r5FFB"    16r5043
                                       "16r5FFC"    16r0000 " invalid " 
                                       "16r5FFD"    16r3A76
                                       "16r5FFE"    16r6269
                                       "16r5FFF"    16r375E
                                       "16r6000"    16r3B33
                                       "16r6001"    16r4C2C
                                       "16r6002"    16r4B4B
                                       "16r6003"    16r6264
                                       "16r6004"    16r6266
                                       "16r6005"    16r626A
                                       "16r6006"    16r626B
                                       "16r6007"    16r0000 " invalid " 
                                       "16r6008"    16r0000 " invalid " 
                                       "16r6009"    16r0000 " invalid " 
                                       "16r600A"    16r6277
                                       "16r600B"    16r0000 " invalid " 
                                       "16r600C"    16r0000 " invalid " 
                                       "16r600D"    16r6274
                                       "16r600E"    16r5475
                                       "16r600F"    16r6273
                                       "16r6010"    16r0000 " invalid " 
                                       "16r6011"    16r0000 " invalid " 
                                       "16r6012"    16r452D
                                       "16r6013"    16r0000 " invalid " 
                                       "16r6014"    16r557A
                                       "16r6015"    16r4542
                                       "16r6016"    16r3240
                                       "16r6017"    16r0000 " invalid " 
                                       "16r6018"    16r0000 " invalid " 
                                       "16r6019"    16r626F
                                       "16r601A"    16r0000 " invalid " 
                                       "16r601B"    16r6272
                                       "16r601C"    16r412F
                                       "16r601D"    16r4B3C
                                       "16r601E"    16r0000 " invalid " 
                                       "16r601F"    16r0000 " invalid " 
                                       "16r6020"    16r3521
                                       "16r6021"    16r6279
                                       "16r6022"    16r0000 " invalid " 
                                       "16r6023"    16r0000 " invalid " 
                                       "16r6024"    16r0000 " invalid " 
                                       "16r6025"    16r3C31
                                       "16r6026"    16r6271
                                       "16r6027"    16r5054
                                       "16r6028"    16r5439
                                       "16r6029"    16r6275
                                       "16r602A"    16r3956
                                       "16r602B"    16r6276
                                       "16r602C"    16r0000 " invalid " 
                                       "16r602D"    16r0000 " invalid " 
                                       "16r602E"    16r0000 " invalid " 
                                       "16r602F"    16r4753
                                       "16r6030"    16r0000 " invalid " 
                                       "16r6031"    16r0000 " invalid " 
                                       "16r6032"    16r0000 " invalid " 
                                       "16r6033"    16r0000 " invalid " 
                                       "16r6034"    16r0000 " invalid " 
                                       "16r6035"    16r6270
                                       "16r6036"    16r0000 " invalid " 
                                       "16r6037"    16r0000 " invalid " 
                                       "16r6038"    16r0000 " invalid " 
                                       "16r6039"    16r0000 " invalid " 
                                       "16r603A"    16r0000 " invalid " 
                                       "16r603B"    16r575C
                                       "16r603C"    16r6D21
                                       "16r603D"    16r0000 " invalid " 
                                       "16r603E"    16r0000 " invalid " 
                                       "16r603F"    16r6278
                                       "16r6040"    16r0000 " invalid " 
                                       "16r6041"    16r6D25
                                       "16r6042"    16r627E
                                       "16r6043"    16r4A51
                                       "16r6044"    16r0000 " invalid " 
                                       "16r6045"    16r0000 " invalid " 
                                       "16r6046"    16r0000 " invalid " 
                                       "16r6047"    16r0000 " invalid " 
                                       "16r6048"    16r0000 " invalid " 
                                       "16r6049"    16r0000 " invalid " 
                                       "16r604A"    16r0000 " invalid " 
                                       "16r604B"    16r4135
                                       "16r604C"    16r0000 " invalid " 
                                       "16r604D"    16r3B50
                                       "16r604E"    16r0000 " invalid " 
                                       "16r604F"    16r0000 " invalid " 
                                       "16r6050"    16r3F56
                                       "16r6051"    16r0000 " invalid " 
                                       "16r6052"    16r3A63
                                       "16r6053"    16r0000 " invalid " 
                                       "16r6054"    16r0000 " invalid " 
                                       "16r6055"    16r4B21
                                       "16r6056"    16r0000 " invalid " 
                                       "16r6057"    16r0000 " invalid " 
                                       "16r6058"    16r0000 " invalid " 
                                       "16r6059"    16r6D26
                                       "16r605A"    16r6D23
                                       "16r605B"    16r0000 " invalid " 
                                       "16r605C"    16r0000 " invalid " 
                                       "16r605D"    16r6D22
                                       "16r605E"    16r0000 " invalid " 
                                       "16r605F"    16r0000 " invalid " 
                                       "16r6060"    16r0000 " invalid " 
                                       "16r6061"    16r0000 " invalid " 
                                       "16r6062"    16r3B56
                                       "16r6063"    16r6D27
                                       "16r6064"    16r5074
                                       "16r6065"    16r0000 " invalid " 
                                       "16r6066"    16r0000 " invalid " 
                                       "16r6067"    16r6D24
                                       "16r6068"    16r3A5E
                                       "16r6069"    16r3677
                                       "16r606A"    16r6321
                                       "16r606B"    16r3632
                                       "16r606C"    16r4C71
                                       "16r606D"    16r3927
                                       "16r606E"    16r0000 " invalid " 
                                       "16r606F"    16r4F22
                                       "16r6070"    16r4721
                                       "16r6071"    16r0000 " invalid " 
                                       "16r6072"    16r0000 " invalid " 
                                       "16r6073"    16r3F52
                                       "16r6074"    16r0000 " invalid " 
                                       "16r6075"    16r0000 " invalid " 
                                       "16r6076"    16r3671
                                       "16r6077"    16r0000 " invalid " 
                                       "16r6078"    16r627A
                                       "16r6079"    16r627B
                                       "16r607A"    16r627D
                                       "16r607B"    16r627C
                                       "16r607C"    16r4455
                                       "16r607D"    16r6322
                                       "16r607E"    16r0000 " invalid " 
                                       "16r607F"    16r5341
                                       "16r6080"    16r0000 " invalid " 
                                       "16r6081"    16r0000 " invalid " 
                                       "16r6082"    16r0000 " invalid " 
                                       "16r6083"    16r6327
                                       "16r6084"    16r4744
                                       "16r6085"    16r0000 " invalid " 
                                       "16r6086"    16r0000 " invalid " 
                                       "16r6087"    16r0000 " invalid " 
                                       "16r6088"    16r0000 " invalid " 
                                       "16r6089"    16r4F24
                                       "16r608A"    16r0000 " invalid " 
                                       "16r608B"    16r0000 " invalid " 
                                       "16r608C"    16r6329
                                       "16r608D"    16r3A37
                                       "16r608E"    16r0000 " invalid " 
                                       "16r608F"    16r0000 " invalid " 
                                       "16r6090"    16r0000 " invalid " 
                                       "16r6091"    16r0000 " invalid " 
                                       "16r6092"    16r6328
                                       "16r6093"    16r0000 " invalid " 
                                       "16r6094"    16r3B5A
                                       "16r6095"    16r0000 " invalid " 
                                       "16r6096"    16r6323
                                       "16r6097"    16r0000 " invalid " 
                                       "16r6098"    16r0000 " invalid " 
                                       "16r6099"    16r0000 " invalid " 
                                       "16r609A"    16r6324
                                       "16r609B"    16r632A
                                       "16r609C"    16r0000 " invalid " 
                                       "16r609D"    16r6326
                                       "16r609E"    16r0000 " invalid " 
                                       "16r609F"    16r4E72
                                       "16r60A0"    16r5346
                                       "16r60A1"    16r0000 " invalid " 
                                       "16r60A2"    16r0000 " invalid " 
                                       "16r60A3"    16r3B3C
                                       "16r60A4"    16r0000 " invalid " 
                                       "16r60A5"    16r0000 " invalid " 
                                       "16r60A6"    16r5443
                                       "16r60A7"    16r0000 " invalid " 
                                       "16r60A8"    16r447A
                                       "16r60A9"    16r0000 " invalid " 
                                       "16r60AA"    16r0000 " invalid " 
                                       "16r60AB"    16r6D28
                                       "16r60AC"    16r507C
                                       "16r60AD"    16r6325
                                       "16r60AE"    16r0000 " invalid " 
                                       "16r60AF"    16r4375
                                       "16r60B0"    16r0000 " invalid " 
                                       "16r60B1"    16r632D
                                       "16r60B2"    16r312F
                                       "16r60B3"    16r0000 " invalid " 
                                       "16r60B4"    16r6332
                                       "16r60B5"    16r0000 " invalid " 
                                       "16r60B6"    16r0000 " invalid " 
                                       "16r60B7"    16r0000 " invalid " 
                                       "16r60B8"    16r3C42
                                       "16r60B9"    16r0000 " invalid " 
                                       "16r60BA"    16r0000 " invalid " 
                                       "16r60BB"    16r632C
                                       "16r60BC"    16r353F
                                       "16r60BD"    16r0000 " invalid " 
                                       "16r60BE"    16r0000 " invalid " 
                                       "16r60BF"    16r0000 " invalid " 
                                       "16r60C0"    16r0000 " invalid " 
                                       "16r60C1"    16r0000 " invalid " 
                                       "16r60C2"    16r0000 " invalid " 
                                       "16r60C3"    16r0000 " invalid " 
                                       "16r60C4"    16r0000 " invalid " 
                                       "16r60C5"    16r4769
                                       "16r60C6"    16r6330
                                       "16r60C7"    16r0000 " invalid " 
                                       "16r60C8"    16r0000 " invalid " 
                                       "16r60C9"    16r0000 " invalid " 
                                       "16r60CA"    16r3E2A
                                       "16r60CB"    16r4D6F
                                       "16r60CC"    16r0000 " invalid " 
                                       "16r60CD"    16r0000 " invalid " 
                                       "16r60CE"    16r0000 " invalid " 
                                       "16r60CF"    16r0000 " invalid " 
                                       "16r60D0"    16r0000 " invalid " 
                                       "16r60D1"    16r3B73
                                       "16r60D2"    16r0000 " invalid " 
                                       "16r60D3"    16r0000 " invalid " 
                                       "16r60D4"    16r0000 " invalid " 
                                       "16r60D5"    16r4C68
                                       "16r60D6"    16r0000 " invalid " 
                                       "16r60D7"    16r0000 " invalid " 
                                       "16r60D8"    16r632F
                                       "16r60D9"    16r0000 " invalid " 
                                       "16r60DA"    16r6331
                                       "16r60DB"    16r0000 " invalid " 
                                       "16r60DC"    16r4F27
                                       "16r60DD"    16r632E
                                       "16r60DE"    16r0000 " invalid " 
                                       "16r60DF"    16r4E29
                                       "16r60E0"    16r3B5D
                                       "16r60E1"    16r0000 " invalid " 
                                       "16r60E2"    16r0000 " invalid " 
                                       "16r60E3"    16r0000 " invalid " 
                                       "16r60E4"    16r0000 " invalid " 
                                       "16r60E5"    16r0000 " invalid " 
                                       "16r60E6"    16r356B
                                       "16r60E7"    16r3E65
                                       "16r60E8"    16r3252
                                       "16r60E9"    16r334D
                                       "16r60EA"    16r0000 " invalid " 
                                       "16r60EB"    16r3139
                                       "16r60EC"    16r632B
                                       "16r60ED"    16r3251
                                       "16r60EE"    16r352C
                                       "16r60EF"    16r395F
                                       "16r60F0"    16r3668
                                       "16r60F1"    16r0000 " invalid " 
                                       "16r60F2"    16r0000 " invalid " 
                                       "16r60F3"    16r4F6B
                                       "16r60F4"    16r6337
                                       "16r60F5"    16r0000 " invalid " 
                                       "16r60F6"    16r3B4C
                                       "16r60F7"    16r0000 " invalid " 
                                       "16r60F8"    16r0000 " invalid " 
                                       "16r60F9"    16r4847
                                       "16r60FA"    16r504A
                                       "16r60FB"    16r0000 " invalid " 
                                       "16r60FC"    16r0000 " invalid " 
                                       "16r60FD"    16r0000 " invalid " 
                                       "16r60FE"    16r0000 " invalid " 
                                       "16r60FF"    16r0000 " invalid " 
                                       "16r6100"    16r6338
                                       "16r6101"    16r336E
                                       "16r6102"    16r0000 " invalid " 
                                       "16r6103"    16r0000 " invalid " 
                                       "16r6104"    16r0000 " invalid " 
                                       "16r6105"    16r0000 " invalid " 
                                       "16r6106"    16r6D29
                                       "16r6107"    16r0000 " invalid " 
                                       "16r6108"    16r537A
                                       "16r6109"    16r5364
                                       "16r610A"    16r0000 " invalid " 
                                       "16r610B"    16r0000 " invalid " 
                                       "16r610C"    16r0000 " invalid " 
                                       "16r610D"    16r6D2A
                                       "16r610E"    16r6339
                                       "16r610F"    16r5262
                                       "16r6110"    16r0000 " invalid " 
                                       "16r6111"    16r0000 " invalid " 
                                       "16r6112"    16r0000 " invalid " 
                                       "16r6113"    16r0000 " invalid " 
                                       "16r6114"    16r0000 " invalid " 
                                       "16r6115"    16r6335
                                       "16r6116"    16r0000 " invalid " 
                                       "16r6117"    16r0000 " invalid " 
                                       "16r6118"    16r0000 " invalid " 
                                       "16r6119"    16r0000 " invalid " 
                                       "16r611A"    16r535E
                                       "16r611B"    16r0000 " invalid " 
                                       "16r611C"    16r0000 " invalid " 
                                       "16r611D"    16r0000 " invalid " 
                                       "16r611E"    16r0000 " invalid " 
                                       "16r611F"    16r3850
                                       "16r6120"    16r6333
                                       "16r6121"    16r0000 " invalid " 
                                       "16r6122"    16r0000 " invalid " 
                                       "16r6123"    16r6336
                                       "16r6124"    16r375F
                                       "16r6125"    16r0000 " invalid " 
                                       "16r6126"    16r6334
                                       "16r6127"    16r4022
                                       "16r6128"    16r0000 " invalid " 
                                       "16r6129"    16r0000 " invalid " 
                                       "16r612A"    16r0000 " invalid " 
                                       "16r612B"    16r633A
                                       "16r612C"    16r0000 " invalid " 
                                       "16r612D"    16r0000 " invalid " 
                                       "16r612E"    16r0000 " invalid " 
                                       "16r612F"    16r0000 " invalid " 
                                       "16r6130"    16r0000 " invalid " 
                                       "16r6131"    16r0000 " invalid " 
                                       "16r6132"    16r0000 " invalid " 
                                       "16r6133"    16r0000 " invalid " 
                                       "16r6134"    16r0000 " invalid " 
                                       "16r6135"    16r0000 " invalid " 
                                       "16r6136"    16r0000 " invalid " 
                                       "16r6137"    16r0000 " invalid " 
                                       "16r6138"    16r0000 " invalid " 
                                       "16r6139"    16r0000 " invalid " 
                                       "16r613A"    16r0000 " invalid " 
                                       "16r613B"    16r0000 " invalid " 
                                       "16r613C"    16r0000 " invalid " 
                                       "16r613D"    16r0000 " invalid " 
                                       "16r613E"    16r0000 " invalid " 
                                       "16r613F"    16r5438
                                       "16r6140"    16r0000 " invalid " 
                                       "16r6141"    16r0000 " invalid " 
                                       "16r6142"    16r0000 " invalid " 
                                       "16r6143"    16r0000 " invalid " 
                                       "16r6144"    16r0000 " invalid " 
                                       "16r6145"    16r0000 " invalid " 
                                       "16r6146"    16r0000 " invalid " 
                                       "16r6147"    16r0000 " invalid " 
                                       "16r6148"    16r3448
                                       "16r6149"    16r0000 " invalid " 
                                       "16r614A"    16r633B
                                       "16r614B"    16r0000 " invalid " 
                                       "16r614C"    16r3B45
                                       "16r614D"    16r0000 " invalid " 
                                       "16r614E"    16r4977
                                       "16r614F"    16r0000 " invalid " 
                                       "16r6150"    16r0000 " invalid " 
                                       "16r6151"    16r4965
                                       "16r6152"    16r0000 " invalid " 
                                       "16r6153"    16r0000 " invalid " 
                                       "16r6154"    16r0000 " invalid " 
                                       "16r6155"    16r443D
                                       "16r6156"    16r0000 " invalid " 
                                       "16r6157"    16r0000 " invalid " 
                                       "16r6158"    16r0000 " invalid " 
                                       "16r6159"    16r0000 " invalid " 
                                       "16r615A"    16r0000 " invalid " 
                                       "16r615B"    16r0000 " invalid " 
                                       "16r615C"    16r0000 " invalid " 
                                       "16r615D"    16r6D2B
                                       "16r615E"    16r0000 " invalid " 
                                       "16r615F"    16r0000 " invalid " 
                                       "16r6160"    16r0000 " invalid " 
                                       "16r6161"    16r0000 " invalid " 
                                       "16r6162"    16r427D
                                       "16r6163"    16r0000 " invalid " 
                                       "16r6164"    16r0000 " invalid " 
                                       "16r6165"    16r0000 " invalid " 
                                       "16r6166"    16r0000 " invalid " 
                                       "16r6167"    16r3B5B
                                       "16r6168"    16r3F2E
                                       "16r6169"    16r0000 " invalid " 
                                       "16r616A"    16r0000 " invalid " 
                                       "16r616B"    16r0000 " invalid " 
                                       "16r616C"    16r0000 " invalid " 
                                       "16r616D"    16r0000 " invalid " 
                                       "16r616E"    16r0000 " invalid " 
                                       "16r616F"    16r0000 " invalid " 
                                       "16r6170"    16r4E3F
                                       "16r6171"    16r0000 " invalid " 
                                       "16r6172"    16r0000 " invalid " 
                                       "16r6173"    16r0000 " invalid " 
                                       "16r6174"    16r0000 " invalid " 
                                       "16r6175"    16r633C
                                       "16r6176"    16r0000 " invalid " 
                                       "16r6177"    16r3F36
                                       "16r6178"    16r0000 " invalid " 
                                       "16r6179"    16r0000 " invalid " 
                                       "16r617A"    16r0000 " invalid " 
                                       "16r617B"    16r0000 " invalid " 
                                       "16r617C"    16r0000 " invalid " 
                                       "16r617D"    16r0000 " invalid " 
                                       "16r617E"    16r0000 " invalid " 
                                       "16r617F"    16r0000 " invalid " 
                                       "16r6180"    16r0000 " invalid " 
                                       "16r6181"    16r0000 " invalid " 
                                       "16r6182"    16r0000 " invalid " 
                                       "16r6183"    16r0000 " invalid " 
                                       "16r6184"    16r0000 " invalid " 
                                       "16r6185"    16r0000 " invalid " 
                                       "16r6186"    16r0000 " invalid " 
                                       "16r6187"    16r0000 " invalid " 
                                       "16r6188"    16r0000 " invalid " 
                                       "16r6189"    16r0000 " invalid " 
                                       "16r618A"    16r0000 " invalid " 
                                       "16r618B"    16r316F
                                       "16r618C"    16r0000 " invalid " 
                                       "16r618D"    16r0000 " invalid " 
                                       "16r618E"    16r5477
                                       "16r618F"    16r0000 " invalid " 
                                       "16r6190"    16r0000 " invalid " 
                                       "16r6191"    16r0000 " invalid " 
                                       "16r6192"    16r0000 " invalid " 
                                       "16r6193"    16r0000 " invalid " 
                                       "16r6194"    16r633E
                                       "16r6195"    16r0000 " invalid " 
                                       "16r6196"    16r0000 " invalid " 
                                       "16r6197"    16r0000 " invalid " 
                                       "16r6198"    16r0000 " invalid " 
                                       "16r6199"    16r0000 " invalid " 
                                       "16r619A"    16r0000 " invalid " 
                                       "16r619B"    16r0000 " invalid " 
                                       "16r619C"    16r0000 " invalid " 
                                       "16r619D"    16r6D2D
                                       "16r619E"    16r0000 " invalid " 
                                       "16r619F"    16r0000 " invalid " 
                                       "16r61A0"    16r0000 " invalid " 
                                       "16r61A1"    16r0000 " invalid " 
                                       "16r61A2"    16r0000 " invalid " 
                                       "16r61A3"    16r0000 " invalid " 
                                       "16r61A4"    16r0000 " invalid " 
                                       "16r61A5"    16r0000 " invalid " 
                                       "16r61A6"    16r0000 " invalid " 
                                       "16r61A7"    16r633F
                                       "16r61A8"    16r3A29
                                       "16r61A9"    16r6D2C
                                       "16r61AA"    16r0000 " invalid " 
                                       "16r61AB"    16r0000 " invalid " 
                                       "16r61AC"    16r633D
                                       "16r61AD"    16r0000 " invalid " 
                                       "16r61AE"    16r0000 " invalid " 
                                       "16r61AF"    16r0000 " invalid " 
                                       "16r61B0"    16r0000 " invalid " 
                                       "16r61B1"    16r0000 " invalid " 
                                       "16r61B2"    16r0000 " invalid " 
                                       "16r61B3"    16r0000 " invalid " 
                                       "16r61B4"    16r0000 " invalid " 
                                       "16r61B5"    16r0000 " invalid " 
                                       "16r61B6"    16r0000 " invalid " 
                                       "16r61B7"    16r6340
                                       "16r61B8"    16r0000 " invalid " 
                                       "16r61B9"    16r0000 " invalid " 
                                       "16r61BA"    16r0000 " invalid " 
                                       "16r61BB"    16r0000 " invalid " 
                                       "16r61BC"    16r0000 " invalid " 
                                       "16r61BD"    16r0000 " invalid " 
                                       "16r61BE"    16r3A36
                                       "16r61BF"    16r0000 " invalid " 
                                       "16r61C0"    16r0000 " invalid " 
                                       "16r61C1"    16r0000 " invalid " 
                                       "16r61C2"    16r362E
                                       "16r61C3"    16r0000 " invalid " 
                                       "16r61C4"    16r0000 " invalid " 
                                       "16r61C5"    16r0000 " invalid " 
                                       "16r61C6"    16r0000 " invalid " 
                                       "16r61C7"    16r0000 " invalid " 
                                       "16r61C8"    16r5038
                                       "16r61C9"    16r0000 " invalid " 
                                       "16r61CA"    16r3043
                                       "16r61CB"    16r6D2E
                                       "16r61CC"    16r0000 " invalid " 
                                       "16r61CD"    16r0000 " invalid " 
                                       "16r61CE"    16r0000 " invalid " 
                                       "16r61CF"    16r0000 " invalid " 
                                       "16r61D0"    16r0000 " invalid " 
                                       "16r61D1"    16r6D2F
                                       "16r61D2"    16r4041
                                       "16r61D3"    16r0000 " invalid " 
                                       "16r61D4"    16r6341
                                       "16r61D5"    16r0000 " invalid " 
                                       "16r61D6"    16r0000 " invalid " 
                                       "16r61D7"    16r0000 " invalid " 
                                       "16r61D8"    16r0000 " invalid " 
                                       "16r61D9"    16r0000 " invalid " 
                                       "16r61DA"    16r0000 " invalid " 
                                       "16r61DB"    16r0000 " invalid " 
                                       "16r61DC"    16r0000 " invalid " 
                                       "16r61DD"    16r0000 " invalid " 
                                       "16r61DE"    16r0000 " invalid " 
                                       "16r61DF"    16r0000 " invalid " 
                                       "16r61E0"    16r0000 " invalid " 
                                       "16r61E1"    16r0000 " invalid " 
                                       "16r61E2"    16r0000 " invalid " 
                                       "16r61E3"    16r0000 " invalid " 
                                       "16r61E4"    16r0000 " invalid " 
                                       "16r61E5"    16r0000 " invalid " 
                                       "16r61E6"    16r4533
                                       "16r61E7"    16r0000 " invalid " 
                                       "16r61E8"    16r0000 " invalid " 
                                       "16r61E9"    16r0000 " invalid " 
                                       "16r61EA"    16r0000 " invalid " 
                                       "16r61EB"    16r0000 " invalid " 
                                       "16r61EC"    16r0000 " invalid " 
                                       "16r61ED"    16r0000 " invalid " 
                                       "16r61EE"    16r0000 " invalid " 
                                       "16r61EF"    16r0000 " invalid " 
                                       "16r61F0"    16r0000 " invalid " 
                                       "16r61F1"    16r0000 " invalid " 
                                       "16r61F2"    16r0000 " invalid " 
                                       "16r61F3"    16r0000 " invalid " 
                                       "16r61F4"    16r0000 " invalid " 
                                       "16r61F5"    16r6342
                                       "16r61F6"    16r0000 " invalid " 
                                       "16r61F7"    16r0000 " invalid " 
                                       "16r61F8"    16r0000 " invalid " 
                                       "16r61F9"    16r0000 " invalid " 
                                       "16r61FA"    16r0000 " invalid " 
                                       "16r61FB"    16r0000 " invalid " 
                                       "16r61FC"    16r0000 " invalid " 
                                       "16r61FD"    16r0000 " invalid " 
                                       "16r61FE"    16r0000 " invalid " 
                                       "16r61FF"    16r5C32
                                       "16r6200"    16r0000 " invalid " 
                                       "16r6201"    16r0000 " invalid " 
                                       "16r6202"    16r0000 " invalid " 
                                       "16r6203"    16r0000 " invalid " 
                                       "16r6204"    16r0000 " invalid " 
                                       "16r6205"    16r0000 " invalid " 
                                       "16r6206"    16r6D30
                                       "16r6207"    16r0000 " invalid " 
                                       "16r6208"    16r386A
                                       "16r6209"    16r0000 " invalid " 
                                       "16r620A"    16r4E6C
                                       "16r620B"    16r6A27
                                       "16r620C"    16r5067
                                       "16r620D"    16r4A79
                                       "16r620E"    16r4856
                                       "16r620F"    16r4F37
                                       "16r6210"    16r3349
                                       "16r6211"    16r4E52
                                       "16r6212"    16r3D64
                                       "16r6213"    16r0000 " invalid " 
                                       "16r6214"    16r0000 " invalid " 
                                       "16r6215"    16r635E
                                       "16r6216"    16r3B72
                                       "16r6217"    16r6A28
                                       "16r6218"    16r553D
                                       "16r6219"    16r0000 " invalid " 
                                       "16r621A"    16r465D
                                       "16r621B"    16r6A29
                                       "16r621C"    16r0000 " invalid " 
                                       "16r621D"    16r0000 " invalid " 
                                       "16r621E"    16r0000 " invalid " 
                                       "16r621F"    16r6A2A
                                       "16r6220"    16r0000 " invalid " 
                                       "16r6221"    16r6A2C
                                       "16r6222"    16r6A2B
                                       "16r6223"    16r0000 " invalid " 
                                       "16r6224"    16r6A2E
                                       "16r6225"    16r6A2D
                                       "16r6226"    16r0000 " invalid " 
                                       "16r6227"    16r0000 " invalid " 
                                       "16r6228"    16r0000 " invalid " 
                                       "16r6229"    16r0000 " invalid " 
                                       "16r622A"    16r3D58
                                       "16r622B"    16r0000 " invalid " 
                                       "16r622C"    16r6A2F
                                       "16r622D"    16r0000 " invalid " 
                                       "16r622E"    16r423E
                                       "16r622F"    16r0000 " invalid " 
                                       "16r6230"    16r0000 " invalid " 
                                       "16r6231"    16r0000 " invalid " 
                                       "16r6232"    16r0000 " invalid " 
                                       "16r6233"    16r3441
                                       "16r6234"    16r3477
                                       "16r6235"    16r0000 " invalid " 
                                       "16r6236"    16r0000 " invalid " 
                                       "16r6237"    16r3B27
                                       "16r6238"    16r0000 " invalid " 
                                       "16r6239"    16r0000 " invalid " 
                                       "16r623A"    16r0000 " invalid " 
                                       "16r623B"    16r0000 " invalid " 
                                       "16r623C"    16r0000 " invalid " 
                                       "16r623D"    16r6C66
                                       "16r623E"    16r6C65
                                       "16r623F"    16r373F
                                       "16r6240"    16r4B79
                                       "16r6241"    16r3162
                                       "16r6242"    16r0000 " invalid " 
                                       "16r6243"    16r6C67
                                       "16r6244"    16r0000 " invalid " 
                                       "16r6245"    16r0000 " invalid " 
                                       "16r6246"    16r0000 " invalid " 
                                       "16r6247"    16r4948
                                       "16r6248"    16r6C68
                                       "16r6249"    16r6C69
                                       "16r624A"    16r0000 " invalid " 
                                       "16r624B"    16r4A56
                                       "16r624C"    16r5E50
                                       "16r624D"    16r3245
                                       "16r624E"    16r547A
                                       "16r624F"    16r0000 " invalid " 
                                       "16r6250"    16r0000 " invalid " 
                                       "16r6251"    16r464B
                                       "16r6252"    16r3047
                                       "16r6253"    16r3472
                                       "16r6254"    16r4853
                                       "16r6255"    16r0000 " invalid " 
                                       "16r6256"    16r0000 " invalid " 
                                       "16r6257"    16r0000 " invalid " 
                                       "16r6258"    16r4D50
                                       "16r6259"    16r0000 " invalid " 
                                       "16r625A"    16r0000 " invalid " 
                                       "16r625B"    16r3F38
                                       "16r625C"    16r0000 " invalid " 
                                       "16r625D"    16r0000 " invalid " 
                                       "16r625E"    16r0000 " invalid " 
                                       "16r625F"    16r0000 " invalid " 
                                       "16r6260"    16r0000 " invalid " 
                                       "16r6261"    16r0000 " invalid " 
                                       "16r6262"    16r0000 " invalid " 
                                       "16r6263"    16r3F5B
                                       "16r6264"    16r0000 " invalid " 
                                       "16r6265"    16r0000 " invalid " 
                                       "16r6266"    16r4724
                                       "16r6267"    16r5634
                                       "16r6268"    16r0000 " invalid " 
                                       "16r6269"    16r4029
                                       "16r626A"    16r5E51
                                       "16r626B"    16r4928
                                       "16r626C"    16r516F
                                       "16r626D"    16r4524
                                       "16r626E"    16r3067
                                       "16r626F"    16r3336
                                       "16r6270"    16r4845
                                       "16r6271"    16r0000 " invalid " 
                                       "16r6272"    16r0000 " invalid " 
                                       "16r6273"    16r3062
                                       "16r6274"    16r0000 " invalid " 
                                       "16r6275"    16r0000 " invalid " 
                                       "16r6276"    16r3776
                                       "16r6277"    16r0000 " invalid " 
                                       "16r6278"    16r0000 " invalid " 
                                       "16r6279"    16r457A
                                       "16r627A"    16r0000 " invalid " 
                                       "16r627B"    16r0000 " invalid " 
                                       "16r627C"    16r3673
                                       "16r627D"    16r0000 " invalid " 
                                       "16r627E"    16r5552
                                       "16r627F"    16r3350
                                       "16r6280"    16r3C3C
                                       "16r6281"    16r0000 " invalid " 
                                       "16r6282"    16r0000 " invalid " 
                                       "16r6283"    16r0000 " invalid " 
                                       "16r6284"    16r332D
                                       "16r6285"    16r0000 " invalid " 
                                       "16r6286"    16r0000 " invalid " 
                                       "16r6287"    16r0000 " invalid " 
                                       "16r6288"    16r0000 " invalid " 
                                       "16r6289"    16r3E71
                                       "16r628A"    16r3051
                                       "16r628B"    16r0000 " invalid " 
                                       "16r628C"    16r0000 " invalid " 
                                       "16r628D"    16r0000 " invalid " 
                                       "16r628E"    16r0000 " invalid " 
                                       "16r628F"    16r0000 " invalid " 
                                       "16r6290"    16r0000 " invalid " 
                                       "16r6291"    16r5256
                                       "16r6292"    16r4A63
                                       "16r6293"    16r5725
                                       "16r6294"    16r0000 " invalid " 
                                       "16r6295"    16r4D36
                                       "16r6296"    16r3636
                                       "16r6297"    16r3F39
                                       "16r6298"    16r555B
                                       "16r6299"    16r0000 " invalid " 
                                       "16r629A"    16r3827
                                       "16r629B"    16r4557
                                       "16r629C"    16r0000 " invalid " 
                                       "16r629D"    16r0000 " invalid " 
                                       "16r629E"    16r0000 " invalid " 
                                       "16r629F"    16r5E52
                                       "16r62A0"    16r3F59
                                       "16r62A1"    16r4255
                                       "16r62A2"    16r4740
                                       "16r62A3"    16r0000 " invalid " 
                                       "16r62A4"    16r3B24
                                       "16r62A5"    16r3128
                                       "16r62A6"    16r0000 " invalid " 
                                       "16r62A7"    16r0000 " invalid " 
                                       "16r62A8"    16r456A
                                       "16r62A9"    16r0000 " invalid " 
                                       "16r62AA"    16r0000 " invalid " 
                                       "16r62AB"    16r457B
                                       "16r62AC"    16r4C27
                                       "16r62AD"    16r0000 " invalid " 
                                       "16r62AE"    16r0000 " invalid " 
                                       "16r62AF"    16r0000 " invalid " 
                                       "16r62B0"    16r0000 " invalid " 
                                       "16r62B1"    16r3127
                                       "16r62B2"    16r0000 " invalid " 
                                       "16r62B3"    16r0000 " invalid " 
                                       "16r62B4"    16r0000 " invalid " 
                                       "16r62B5"    16r3556
                                       "16r62B6"    16r0000 " invalid " 
                                       "16r62B7"    16r0000 " invalid " 
                                       "16r62B8"    16r0000 " invalid " 
                                       "16r62B9"    16r4428
                                       "16r62BA"    16r0000 " invalid " 
                                       "16r62BB"    16r5E53
                                       "16r62BC"    16r513A
                                       "16r62BD"    16r3369
                                       "16r62BE"    16r0000 " invalid " 
                                       "16r62BF"    16r4372
                                       "16r62C0"    16r0000 " invalid " 
                                       "16r62C1"    16r0000 " invalid " 
                                       "16r62C2"    16r3777
                                       "16r62C3"    16r0000 " invalid " 
                                       "16r62C4"    16r5674
                                       "16r62C5"    16r3523
                                       "16r62C6"    16r3270
                                       "16r62C7"    16r4434
                                       "16r62C8"    16r4469
                                       "16r62C9"    16r402D
                                       "16r62CA"    16r5E54
                                       "16r62CB"    16r0000 " invalid " 
                                       "16r62CC"    16r3068
                                       "16r62CD"    16r4544
                                       "16r62CE"    16r4160
                                       "16r62CF"    16r0000 " invalid " 
                                       "16r62D0"    16r3955
                                       "16r62D1"    16r0000 " invalid " 
                                       "16r62D2"    16r3E5C
                                       "16r62D3"    16r4D58
                                       "16r62D4"    16r304E
                                       "16r62D5"    16r0000 " invalid " 
                                       "16r62D6"    16r4D4F
                                       "16r62D7"    16r5E56
                                       "16r62D8"    16r3E50
                                       "16r62D9"    16r573E
                                       "16r62DA"    16r5E55
                                       "16r62DB"    16r5550
                                       "16r62DC"    16r305D
                                       "16r62DD"    16r0000 " invalid " 
                                       "16r62DE"    16r0000 " invalid " 
                                       "16r62DF"    16r4462
                                       "16r62E0"    16r0000 " invalid " 
                                       "16r62E1"    16r0000 " invalid " 
                                       "16r62E2"    16r4223
                                       "16r62E3"    16r3C70
                                       "16r62E4"    16r0000 " invalid " 
                                       "16r62E5"    16r5335
                                       "16r62E6"    16r4039
                                       "16r62E7"    16r4521
                                       "16r62E8"    16r3226
                                       "16r62E9"    16r5471
                                       "16r62EA"    16r0000 " invalid " 
                                       "16r62EB"    16r0000 " invalid " 
                                       "16r62EC"    16r4028
                                       "16r62ED"    16r4A43
                                       "16r62EE"    16r5E57
                                       "16r62EF"    16r557C
                                       "16r62F0"    16r0000 " invalid " 
                                       "16r62F1"    16r3930
                                       "16r62F2"    16r0000 " invalid " 
                                       "16r62F3"    16r482D
                                       "16r62F4"    16r4B29
                                       "16r62F5"    16r0000 " invalid " 
                                       "16r62F6"    16r5E59
                                       "16r62F7"    16r3F3D
                                       "16r62F8"    16r0000 " invalid " 
                                       "16r62F9"    16r0000 " invalid " 
                                       "16r62FA"    16r0000 " invalid " 
                                       "16r62FB"    16r0000 " invalid " 
                                       "16r62FC"    16r4634
                                       "16r62FD"    16r5727
                                       "16r62FE"    16r4A30
                                       "16r62FF"    16r4443
                                       "16r6300"    16r0000 " invalid " 
                                       "16r6301"    16r3356
                                       "16r6302"    16r3952
                                       "16r6303"    16r0000 " invalid " 
                                       "16r6304"    16r0000 " invalid " 
                                       "16r6305"    16r0000 " invalid " 
                                       "16r6306"    16r0000 " invalid " 
                                       "16r6307"    16r5638
                                       "16r6308"    16r6A7C
                                       "16r6309"    16r3034
                                       "16r630A"    16r0000 " invalid " 
                                       "16r630B"    16r0000 " invalid " 
                                       "16r630C"    16r0000 " invalid " 
                                       "16r630D"    16r0000 " invalid " 
                                       "16r630E"    16r3F66
                                       "16r630F"    16r0000 " invalid " 
                                       "16r6310"    16r0000 " invalid " 
                                       "16r6311"    16r4C74
                                       "16r6312"    16r0000 " invalid " 
                                       "16r6313"    16r0000 " invalid " 
                                       "16r6314"    16r0000 " invalid " 
                                       "16r6315"    16r0000 " invalid " 
                                       "16r6316"    16r4D5A
                                       "16r6317"    16r0000 " invalid " 
                                       "16r6318"    16r0000 " invalid " 
                                       "16r6319"    16r0000 " invalid " 
                                       "16r631A"    16r563F
                                       "16r631B"    16r424E
                                       "16r631C"    16r0000 " invalid " 
                                       "16r631D"    16r4E4E
                                       "16r631E"    16r4C22
                                       "16r631F"    16r502E
                                       "16r6320"    16r4453
                                       "16r6321"    16r3532
                                       "16r6322"    16r5E58
                                       "16r6323"    16r5575
                                       "16r6324"    16r3C37
                                       "16r6325"    16r3B53
                                       "16r6326"    16r0000 " invalid " 
                                       "16r6327"    16r0000 " invalid " 
                                       "16r6328"    16r3024
                                       "16r6329"    16r0000 " invalid " 
                                       "16r632A"    16r4532
                                       "16r632B"    16r346C
                                       "16r632C"    16r0000 " invalid " 
                                       "16r632D"    16r0000 " invalid " 
                                       "16r632E"    16r0000 " invalid " 
                                       "16r632F"    16r5571
                                       "16r6330"    16r0000 " invalid " 
                                       "16r6331"    16r0000 " invalid " 
                                       "16r6332"    16r6A7D
                                       "16r6333"    16r0000 " invalid " 
                                       "16r6334"    16r0000 " invalid " 
                                       "16r6335"    16r0000 " invalid " 
                                       "16r6336"    16r0000 " invalid " 
                                       "16r6337"    16r0000 " invalid " 
                                       "16r6338"    16r0000 " invalid " 
                                       "16r6339"    16r5E5A
                                       "16r633A"    16r4D26
                                       "16r633B"    16r0000 " invalid " 
                                       "16r633C"    16r0000 " invalid " 
                                       "16r633D"    16r4D6C
                                       "16r633E"    16r0000 " invalid " 
                                       "16r633F"    16r0000 " invalid " 
                                       "16r6340"    16r0000 " invalid " 
                                       "16r6341"    16r0000 " invalid " 
                                       "16r6342"    16r4E66
                                       "16r6343"    16r5E5C
                                       "16r6344"    16r0000 " invalid " 
                                       "16r6345"    16r4D31
                                       "16r6346"    16r4026
                                       "16r6347"    16r0000 " invalid " 
                                       "16r6348"    16r0000 " invalid " 
                                       "16r6349"    16r573D
                                       "16r634A"    16r0000 " invalid " 
                                       "16r634B"    16r5E5B
                                       "16r634C"    16r3046
                                       "16r634D"    16r3A34
                                       "16r634E"    16r4953
                                       "16r634F"    16r4473
                                       "16r6350"    16r3E68
                                       "16r6351"    16r0000 " invalid " 
                                       "16r6352"    16r0000 " invalid " 
                                       "16r6353"    16r0000 " invalid " 
                                       "16r6354"    16r0000 " invalid " 
                                       "16r6355"    16r3236
                                       "16r6356"    16r0000 " invalid " 
                                       "16r6357"    16r0000 " invalid " 
                                       "16r6358"    16r0000 " invalid " 
                                       "16r6359"    16r0000 " invalid " 
                                       "16r635A"    16r0000 " invalid " 
                                       "16r635B"    16r0000 " invalid " 
                                       "16r635C"    16r0000 " invalid " 
                                       "16r635D"    16r0000 " invalid " 
                                       "16r635E"    16r404C
                                       "16r635F"    16r4B70
                                       "16r6360"    16r0000 " invalid " 
                                       "16r6361"    16r3C71
                                       "16r6362"    16r3B3B
                                       "16r6363"    16r3537
                                       "16r6364"    16r0000 " invalid " 
                                       "16r6365"    16r0000 " invalid " 
                                       "16r6366"    16r0000 " invalid " 
                                       "16r6367"    16r4575
                                       "16r6368"    16r0000 " invalid " 
                                       "16r6369"    16r5E66
                                       "16r636A"    16r0000 " invalid " 
                                       "16r636B"    16r0000 " invalid " 
                                       "16r636C"    16r0000 " invalid " 
                                       "16r636D"    16r5E63
                                       "16r636E"    16r3E5D
                                       "16r636F"    16r0000 " invalid " 
                                       "16r6370"    16r0000 " invalid " 
                                       "16r6371"    16r5E5F
                                       "16r6372"    16r0000 " invalid " 
                                       "16r6373"    16r0000 " invalid " 
                                       "16r6374"    16r0000 " invalid " 
                                       "16r6375"    16r0000 " invalid " 
                                       "16r6376"    16r3437
                                       "16r6377"    16r3D5D
                                       "16r6378"    16r0000 " invalid " 
                                       "16r6379"    16r0000 " invalid " 
                                       "16r637A"    16r5E60
                                       "16r637B"    16r446D
                                       "16r637C"    16r0000 " invalid " 
                                       "16r637D"    16r0000 " invalid " 
                                       "16r637E"    16r0000 " invalid " 
                                       "16r637F"    16r0000 " invalid " 
                                       "16r6380"    16r4F46
                                       "16r6381"    16r0000 " invalid " 
                                       "16r6382"    16r3560
                                       "16r6383"    16r0000 " invalid " 
                                       "16r6384"    16r0000 " invalid " 
                                       "16r6385"    16r0000 " invalid " 
                                       "16r6386"    16r0000 " invalid " 
                                       "16r6387"    16r365E
                                       "16r6388"    16r4A5A
                                       "16r6389"    16r3574
                                       "16r638A"    16r5E65
                                       "16r638B"    16r0000 " invalid " 
                                       "16r638C"    16r5546
                                       "16r638D"    16r0000 " invalid " 
                                       "16r638E"    16r5E61
                                       "16r638F"    16r4C4D
                                       "16r6390"    16r467E
                                       "16r6391"    16r0000 " invalid " 
                                       "16r6392"    16r4545
                                       "16r6393"    16r0000 " invalid " 
                                       "16r6394"    16r0000 " invalid " 
                                       "16r6395"    16r0000 " invalid " 
                                       "16r6396"    16r5234
                                       "16r6397"    16r0000 " invalid " 
                                       "16r6398"    16r3E72
                                       "16r6399"    16r0000 " invalid " 
                                       "16r639A"    16r0000 " invalid " 
                                       "16r639B"    16r0000 " invalid " 
                                       "16r639C"    16r0000 " invalid " 
                                       "16r639D"    16r0000 " invalid " 
                                       "16r639E"    16r0000 " invalid " 
                                       "16r639F"    16r0000 " invalid " 
                                       "16r63A0"    16r4253
                                       "16r63A1"    16r0000 " invalid " 
                                       "16r63A2"    16r4C3D
                                       "16r63A3"    16r3338
                                       "16r63A4"    16r0000 " invalid " 
                                       "16r63A5"    16r3D53
                                       "16r63A6"    16r0000 " invalid " 
                                       "16r63A7"    16r3F58
                                       "16r63A8"    16r4D46
                                       "16r63A9"    16r515A
                                       "16r63AA"    16r346B
                                       "16r63AB"    16r0000 " invalid " 
                                       "16r63AC"    16r5E64
                                       "16r63AD"    16r5E5D
                                       "16r63AE"    16r5E67
                                       "16r63AF"    16r0000 " invalid " 
                                       "16r63B0"    16r6A7E
                                       "16r63B1"    16r0000 " invalid " 
                                       "16r63B2"    16r0000 " invalid " 
                                       "16r63B3"    16r4230
                                       "16r63B4"    16r5E62
                                       "16r63B5"    16r0000 " invalid " 
                                       "16r63B6"    16r0000 " invalid " 
                                       "16r63B7"    16r5640
                                       "16r63B8"    16r3527
                                       "16r63B9"    16r0000 " invalid " 
                                       "16r63BA"    16r3274
                                       "16r63BB"    16r0000 " invalid " 
                                       "16r63BC"    16r5E68
                                       "16r63BD"    16r0000 " invalid " 
                                       "16r63BE"    16r5E72
                                       "16r63BF"    16r0000 " invalid " 
                                       "16r63C0"    16r0000 " invalid " 
                                       "16r63C1"    16r0000 " invalid " 
                                       "16r63C2"    16r0000 " invalid " 
                                       "16r63C3"    16r0000 " invalid " 
                                       "16r63C4"    16r5E6D
                                       "16r63C5"    16r0000 " invalid " 
                                       "16r63C6"    16r5E71
                                       "16r63C7"    16r0000 " invalid " 
                                       "16r63C8"    16r0000 " invalid " 
                                       "16r63C9"    16r4860
                                       "16r63CA"    16r0000 " invalid " 
                                       "16r63CB"    16r0000 " invalid " 
                                       "16r63CC"    16r0000 " invalid " 
                                       "16r63CD"    16r5761
                                       "16r63CE"    16r5E6F
                                       "16r63CF"    16r4368
                                       "16r63D0"    16r4C61
                                       "16r63D1"    16r0000 " invalid " 
                                       "16r63D2"    16r3265
                                       "16r63D3"    16r0000 " invalid " 
                                       "16r63D4"    16r0000 " invalid " 
                                       "16r63D5"    16r0000 " invalid " 
                                       "16r63D6"    16r523E
                                       "16r63D7"    16r0000 " invalid " 
                                       "16r63D8"    16r0000 " invalid " 
                                       "16r63D9"    16r0000 " invalid " 
                                       "16r63DA"    16r0000 " invalid " 
                                       "16r63DB"    16r0000 " invalid " 
                                       "16r63DC"    16r0000 " invalid " 
                                       "16r63DD"    16r0000 " invalid " 
                                       "16r63DE"    16r5E6E
                                       "16r63DF"    16r0000 " invalid " 
                                       "16r63E0"    16r5E6B
                                       "16r63E1"    16r4E55
                                       "16r63E2"    16r0000 " invalid " 
                                       "16r63E3"    16r3427
                                       "16r63E4"    16r0000 " invalid " 
                                       "16r63E5"    16r0000 " invalid " 
                                       "16r63E6"    16r0000 " invalid " 
                                       "16r63E7"    16r0000 " invalid " 
                                       "16r63E8"    16r0000 " invalid " 
                                       "16r63E9"    16r3F2B
                                       "16r63EA"    16r3E3E
                                       "16r63EB"    16r0000 " invalid " 
                                       "16r63EC"    16r0000 " invalid " 
                                       "16r63ED"    16r3D52
                                       "16r63EE"    16r0000 " invalid " 
                                       "16r63EF"    16r0000 " invalid " 
                                       "16r63F0"    16r0000 " invalid " 
                                       "16r63F1"    16r0000 " invalid " 
                                       "16r63F2"    16r5E69
                                       "16r63F3"    16r0000 " invalid " 
                                       "16r63F4"    16r542E
                                       "16r63F5"    16r0000 " invalid " 
                                       "16r63F6"    16r5E5E
                                       "16r63F7"    16r0000 " invalid " 
                                       "16r63F8"    16r5E6A
                                       "16r63F9"    16r0000 " invalid " 
                                       "16r63FA"    16r0000 " invalid " 
                                       "16r63FB"    16r0000 " invalid " 
                                       "16r63FC"    16r0000 " invalid " 
                                       "16r63FD"    16r403F
                                       "16r63FE"    16r0000 " invalid " 
                                       "16r63FF"    16r5E6C
                                       "16r6400"    16r3273
                                       "16r6401"    16r3869
                                       "16r6402"    16r4227
                                       "16r6403"    16r0000 " invalid " 
                                       "16r6404"    16r0000 " invalid " 
                                       "16r6405"    16r3D41
                                       "16r6406"    16r0000 " invalid " 
                                       "16r6407"    16r0000 " invalid " 
                                       "16r6408"    16r0000 " invalid " 
                                       "16r6409"    16r0000 " invalid " 
                                       "16r640A"    16r0000 " invalid " 
                                       "16r640B"    16r5E75
                                       "16r640C"    16r5E78
                                       "16r640D"    16r0000 " invalid " 
                                       "16r640E"    16r0000 " invalid " 
                                       "16r640F"    16r322B
                                       "16r6410"    16r3424
                                       "16r6411"    16r0000 " invalid " 
                                       "16r6412"    16r0000 " invalid " 
                                       "16r6413"    16r346A
                                       "16r6414"    16r4926
                                       "16r6415"    16r0000 " invalid " 
                                       "16r6416"    16r0000 " invalid " 
                                       "16r6417"    16r0000 " invalid " 
                                       "16r6418"    16r0000 " invalid " 
                                       "16r6419"    16r0000 " invalid " 
                                       "16r641A"    16r0000 " invalid " 
                                       "16r641B"    16r5E76
                                       "16r641C"    16r4B51
                                       "16r641D"    16r0000 " invalid " 
                                       "16r641E"    16r3863
                                       "16r641F"    16r0000 " invalid " 
                                       "16r6420"    16r5E77
                                       "16r6421"    16r5E7A
                                       "16r6422"    16r0000 " invalid " 
                                       "16r6423"    16r0000 " invalid " 
                                       "16r6424"    16r0000 " invalid " 
                                       "16r6425"    16r0000 " invalid " 
                                       "16r6426"    16r5E79
                                       "16r6427"    16r0000 " invalid " 
                                       "16r6428"    16r0000 " invalid " 
                                       "16r6429"    16r0000 " invalid " 
                                       "16r642A"    16r4C42
                                       "16r642B"    16r0000 " invalid " 
                                       "16r642C"    16r3061
                                       "16r642D"    16r346E
                                       "16r642E"    16r0000 " invalid " 
                                       "16r642F"    16r0000 " invalid " 
                                       "16r6430"    16r0000 " invalid " 
                                       "16r6431"    16r0000 " invalid " 
                                       "16r6432"    16r0000 " invalid " 
                                       "16r6433"    16r0000 " invalid " 
                                       "16r6434"    16r653A
                                       "16r6435"    16r0000 " invalid " 
                                       "16r6436"    16r0000 " invalid " 
                                       "16r6437"    16r0000 " invalid " 
                                       "16r6438"    16r0000 " invalid " 
                                       "16r6439"    16r0000 " invalid " 
                                       "16r643A"    16r502F
                                       "16r643B"    16r0000 " invalid " 
                                       "16r643C"    16r0000 " invalid " 
                                       "16r643D"    16r326B
                                       "16r643E"    16r0000 " invalid " 
                                       "16r643F"    16r6B21
                                       "16r6440"    16r0000 " invalid " 
                                       "16r6441"    16r5E74
                                       "16r6442"    16r0000 " invalid " 
                                       "16r6443"    16r0000 " invalid " 
                                       "16r6444"    16r4963
                                       "16r6445"    16r5E73
                                       "16r6446"    16r305A
                                       "16r6447"    16r5221
                                       "16r6448"    16r3177
                                       "16r6449"    16r0000 " invalid " 
                                       "16r644A"    16r4C2F
                                       "16r644B"    16r0000 " invalid " 
                                       "16r644C"    16r0000 " invalid " 
                                       "16r644D"    16r0000 " invalid " 
                                       "16r644E"    16r0000 " invalid " 
                                       "16r644F"    16r0000 " invalid " 
                                       "16r6450"    16r0000 " invalid " 
                                       "16r6451"    16r0000 " invalid " 
                                       "16r6452"    16r5E70
                                       "16r6453"    16r0000 " invalid " 
                                       "16r6454"    16r4B24
                                       "16r6455"    16r0000 " invalid " 
                                       "16r6456"    16r0000 " invalid " 
                                       "16r6457"    16r0000 " invalid " 
                                       "16r6458"    16r552A
                                       "16r6459"    16r0000 " invalid " 
                                       "16r645A"    16r0000 " invalid " 
                                       "16r645B"    16r0000 " invalid " 
                                       "16r645C"    16r0000 " invalid " 
                                       "16r645D"    16r0000 " invalid " 
                                       "16r645E"    16r5E7B
                                       "16r645F"    16r0000 " invalid " 
                                       "16r6460"    16r0000 " invalid " 
                                       "16r6461"    16r0000 " invalid " 
                                       "16r6462"    16r0000 " invalid " 
                                       "16r6463"    16r0000 " invalid " 
                                       "16r6464"    16r0000 " invalid " 
                                       "16r6465"    16r0000 " invalid " 
                                       "16r6466"    16r0000 " invalid " 
                                       "16r6467"    16r345D
                                       "16r6468"    16r0000 " invalid " 
                                       "16r6469"    16r4426
                                       "16r646A"    16r0000 " invalid " 
                                       "16r646B"    16r0000 " invalid " 
                                       "16r646C"    16r0000 " invalid " 
                                       "16r646D"    16r5E7D
                                       "16r646E"    16r0000 " invalid " 
                                       "16r646F"    16r0000 " invalid " 
                                       "16r6470"    16r0000 " invalid " 
                                       "16r6471"    16r0000 " invalid " 
                                       "16r6472"    16r0000 " invalid " 
                                       "16r6473"    16r0000 " invalid " 
                                       "16r6474"    16r0000 " invalid " 
                                       "16r6475"    16r0000 " invalid " 
                                       "16r6476"    16r0000 " invalid " 
                                       "16r6477"    16r0000 " invalid " 
                                       "16r6478"    16r437E
                                       "16r6479"    16r4421
                                       "16r647A"    16r5F21
                                       "16r647B"    16r0000 " invalid " 
                                       "16r647C"    16r0000 " invalid " 
                                       "16r647D"    16r0000 " invalid " 
                                       "16r647E"    16r0000 " invalid " 
                                       "16r647F"    16r0000 " invalid " 
                                       "16r6480"    16r0000 " invalid " 
                                       "16r6481"    16r0000 " invalid " 
                                       "16r6482"    16r414C
                                       "16r6483"    16r0000 " invalid " 
                                       "16r6484"    16r5E7C
                                       "16r6485"    16r3E6F
                                       "16r6486"    16r0000 " invalid " 
                                       "16r6487"    16r4632
                                       "16r6488"    16r0000 " invalid " 
                                       "16r6489"    16r0000 " invalid " 
                                       "16r648A"    16r0000 " invalid " 
                                       "16r648B"    16r0000 " invalid " 
                                       "16r648C"    16r0000 " invalid " 
                                       "16r648D"    16r0000 " invalid " 
                                       "16r648E"    16r0000 " invalid " 
                                       "16r648F"    16r0000 " invalid " 
                                       "16r6490"    16r0000 " invalid " 
                                       "16r6491"    16r3345
                                       "16r6492"    16r4876
                                       "16r6493"    16r0000 " invalid " 
                                       "16r6494"    16r0000 " invalid " 
                                       "16r6495"    16r4B3A
                                       "16r6496"    16r5E7E
                                       "16r6497"    16r0000 " invalid " 
                                       "16r6498"    16r0000 " invalid " 
                                       "16r6499"    16r5F24
                                       "16r649A"    16r0000 " invalid " 
                                       "16r649B"    16r0000 " invalid " 
                                       "16r649C"    16r0000 " invalid " 
                                       "16r649D"    16r0000 " invalid " 
                                       "16r649E"    16r5732
                                       "16r649F"    16r0000 " invalid " 
                                       "16r64A0"    16r0000 " invalid " 
                                       "16r64A1"    16r0000 " invalid " 
                                       "16r64A2"    16r0000 " invalid " 
                                       "16r64A3"    16r0000 " invalid " 
                                       "16r64A4"    16r3337
                                       "16r64A5"    16r0000 " invalid " 
                                       "16r64A6"    16r0000 " invalid " 
                                       "16r64A7"    16r0000 " invalid " 
                                       "16r64A8"    16r0000 " invalid " 
                                       "16r64A9"    16r4143
                                       "16r64AA"    16r0000 " invalid " 
                                       "16r64AB"    16r0000 " invalid " 
                                       "16r64AC"    16r474B
                                       "16r64AD"    16r3225
                                       "16r64AE"    16r3469
                                       "16r64AF"    16r0000 " invalid " 
                                       "16r64B0"    16r572B
                                       "16r64B1"    16r0000 " invalid " 
                                       "16r64B2"    16r0000 " invalid " 
                                       "16r64B3"    16r0000 " invalid " 
                                       "16r64B4"    16r0000 " invalid " 
                                       "16r64B5"    16r446C
                                       "16r64B6"    16r0000 " invalid " 
                                       "16r64B7"    16r5F22
                                       "16r64B8"    16r5F23
                                       "16r64B9"    16r0000 " invalid " 
                                       "16r64BA"    16r5F25
                                       "16r64BB"    16r0000 " invalid " 
                                       "16r64BC"    16r3A33
                                       "16r64BD"    16r0000 " invalid " 
                                       "16r64BE"    16r0000 " invalid " 
                                       "16r64BF"    16r0000 " invalid " 
                                       "16r64C0"    16r5F26
                                       "16r64C1"    16r0000 " invalid " 
                                       "16r64C2"    16r405E
                                       "16r64C3"    16r0000 " invalid " 
                                       "16r64C4"    16r0000 " invalid " 
                                       "16r64C5"    16r4943
                                       "16r64C6"    16r0000 " invalid " 
                                       "16r64C7"    16r0000 " invalid " 
                                       "16r64C8"    16r0000 " invalid " 
                                       "16r64C9"    16r0000 " invalid " 
                                       "16r64CA"    16r0000 " invalid " 
                                       "16r64CB"    16r0000 " invalid " 
                                       "16r64CC"    16r0000 " invalid " 
                                       "16r64CD"    16r3259
                                       "16r64CE"    16r4766
                                       "16r64CF"    16r0000 " invalid " 
                                       "16r64D0"    16r5F27
                                       "16r64D1"    16r0000 " invalid " 
                                       "16r64D2"    16r475C
                                       "16r64D3"    16r0000 " invalid " 
                                       "16r64D4"    16r0000 " invalid " 
                                       "16r64D5"    16r0000 " invalid " 
                                       "16r64D6"    16r0000 " invalid " 
                                       "16r64D7"    16r5F28
                                       "16r64D8"    16r6B22
                                       "16r64D9"    16r0000 " invalid " 
                                       "16r64DA"    16r0000 " invalid " 
                                       "16r64DB"    16r0000 " invalid " 
                                       "16r64DC"    16r0000 " invalid " 
                                       "16r64DD"    16r0000 " invalid " 
                                       "16r64DE"    16r4B53
                                       "16r64DF"    16r0000 " invalid " 
                                       "16r64E0"    16r0000 " invalid " 
                                       "16r64E1"    16r0000 " invalid " 
                                       "16r64E2"    16r5F2A
                                       "16r64E3"    16r0000 " invalid " 
                                       "16r64E4"    16r5F29
                                       "16r64E5"    16r0000 " invalid " 
                                       "16r64E6"    16r3241
                                       "16r64E7"    16r0000 " invalid " 
                                       "16r64E8"    16r0000 " invalid " 
                                       "16r64E9"    16r0000 " invalid " 
                                       "16r64EA"    16r0000 " invalid " 
                                       "16r64EB"    16r0000 " invalid " 
                                       "16r64EC"    16r0000 " invalid " 
                                       "16r64ED"    16r0000 " invalid " 
                                       "16r64EE"    16r0000 " invalid " 
                                       "16r64EF"    16r0000 " invalid " 
                                       "16r64F0"    16r0000 " invalid " 
                                       "16r64F1"    16r0000 " invalid " 
                                       "16r64F2"    16r0000 " invalid " 
                                       "16r64F3"    16r0000 " invalid " 
                                       "16r64F4"    16r0000 " invalid " 
                                       "16r64F5"    16r0000 " invalid " 
                                       "16r64F6"    16r0000 " invalid " 
                                       "16r64F7"    16r0000 " invalid " 
                                       "16r64F8"    16r0000 " invalid " 
                                       "16r64F9"    16r0000 " invalid " 
                                       "16r64FA"    16r0000 " invalid " 
                                       "16r64FB"    16r0000 " invalid " 
                                       "16r64FC"    16r0000 " invalid " 
                                       "16r64FD"    16r0000 " invalid " 
                                       "16r64FE"    16r0000 " invalid " 
                                       "16r64FF"    16r0000 " invalid " 
                                       "16r6500"    16r454A
                                       "16r6501"    16r0000 " invalid " 
                                       "16r6502"    16r0000 " invalid " 
                                       "16r6503"    16r0000 " invalid " 
                                       "16r6504"    16r0000 " invalid " 
                                       "16r6505"    16r0000 " invalid " 
                                       "16r6506"    16r0000 " invalid " 
                                       "16r6507"    16r0000 " invalid " 
                                       "16r6508"    16r0000 " invalid " 
                                       "16r6509"    16r5F2B
                                       "16r650A"    16r0000 " invalid " 
                                       "16r650B"    16r0000 " invalid " 
                                       "16r650C"    16r0000 " invalid " 
                                       "16r650D"    16r0000 " invalid " 
                                       "16r650E"    16r0000 " invalid " 
                                       "16r650F"    16r0000 " invalid " 
                                       "16r6510"    16r0000 " invalid " 
                                       "16r6511"    16r0000 " invalid " 
                                       "16r6512"    16r545C
                                       "16r6513"    16r0000 " invalid " 
                                       "16r6514"    16r0000 " invalid " 
                                       "16r6515"    16r0000 " invalid " 
                                       "16r6516"    16r0000 " invalid " 
                                       "16r6517"    16r0000 " invalid " 
                                       "16r6518"    16r4841
                                       "16r6519"    16r0000 " invalid " 
                                       "16r651A"    16r0000 " invalid " 
                                       "16r651B"    16r0000 " invalid " 
                                       "16r651C"    16r0000 " invalid " 
                                       "16r651D"    16r0000 " invalid " 
                                       "16r651E"    16r0000 " invalid " 
                                       "16r651F"    16r0000 " invalid " 
                                       "16r6520"    16r0000 " invalid " 
                                       "16r6521"    16r0000 " invalid " 
                                       "16r6522"    16r0000 " invalid " 
                                       "16r6523"    16r0000 " invalid " 
                                       "16r6524"    16r0000 " invalid " 
                                       "16r6525"    16r5F2C
                                       "16r6526"    16r0000 " invalid " 
                                       "16r6527"    16r0000 " invalid " 
                                       "16r6528"    16r0000 " invalid " 
                                       "16r6529"    16r0000 " invalid " 
                                       "16r652A"    16r0000 " invalid " 
                                       "16r652B"    16r3E70
                                       "16r652C"    16r0000 " invalid " 
                                       "16r652D"    16r0000 " invalid " 
                                       "16r652E"    16r5F2D
                                       "16r652F"    16r5627
                                       "16r6530"    16r0000 " invalid " 
                                       "16r6531"    16r0000 " invalid " 
                                       "16r6532"    16r0000 " invalid " 
                                       "16r6533"    16r0000 " invalid " 
                                       "16r6534"    16r6A37
                                       "16r6535"    16r6B36
                                       "16r6536"    16r4A55
                                       "16r6537"    16r0000 " invalid " 
                                       "16r6538"    16r587C
                                       "16r6539"    16r3844
                                       "16r653A"    16r0000 " invalid " 
                                       "16r653B"    16r3925
                                       "16r653C"    16r0000 " invalid " 
                                       "16r653D"    16r0000 " invalid " 
                                       "16r653E"    16r3745
                                       "16r653F"    16r557E
                                       "16r6540"    16r0000 " invalid " 
                                       "16r6541"    16r0000 " invalid " 
                                       "16r6542"    16r0000 " invalid " 
                                       "16r6543"    16r0000 " invalid " 
                                       "16r6544"    16r0000 " invalid " 
                                       "16r6545"    16r394A
                                       "16r6546"    16r0000 " invalid " 
                                       "16r6547"    16r0000 " invalid " 
                                       "16r6548"    16r5027
                                       "16r6549"    16r744D
                                       "16r654A"    16r0000 " invalid " 
                                       "16r654B"    16r0000 " invalid " 
                                       "16r654C"    16r3550
                                       "16r654D"    16r0000 " invalid " 
                                       "16r654E"    16r0000 " invalid " 
                                       "16r654F"    16r4374
                                       "16r6550"    16r0000 " invalid " 
                                       "16r6551"    16r3E48
                                       "16r6552"    16r0000 " invalid " 
                                       "16r6553"    16r0000 " invalid " 
                                       "16r6554"    16r0000 " invalid " 
                                       "16r6555"    16r6B37
                                       "16r6556"    16r303D
                                       "16r6557"    16r0000 " invalid " 
                                       "16r6558"    16r0000 " invalid " 
                                       "16r6559"    16r3D4C
                                       "16r655A"    16r0000 " invalid " 
                                       "16r655B"    16r4132
                                       "16r655C"    16r0000 " invalid " 
                                       "16r655D"    16r3156
                                       "16r655E"    16r3328
                                       "16r655F"    16r0000 " invalid " 
                                       "16r6560"    16r0000 " invalid " 
                                       "16r6561"    16r0000 " invalid " 
                                       "16r6562"    16r3852
                                       "16r6563"    16r4922
                                       "16r6564"    16r0000 " invalid " 
                                       "16r6565"    16r0000 " invalid " 
                                       "16r6566"    16r3658
                                       "16r6567"    16r0000 " invalid " 
                                       "16r6568"    16r0000 " invalid " 
                                       "16r6569"    16r0000 " invalid " 
                                       "16r656A"    16r0000 " invalid " 
                                       "16r656B"    16r6B38
                                       "16r656C"    16r3E34
                                       "16r656D"    16r0000 " invalid " 
                                       "16r656E"    16r0000 " invalid " 
                                       "16r656F"    16r0000 " invalid " 
                                       "16r6570"    16r4A7D
                                       "16r6571"    16r0000 " invalid " 
                                       "16r6572"    16r4743
                                       "16r6573"    16r0000 " invalid " 
                                       "16r6574"    16r557B
                                       "16r6575"    16r0000 " invalid " 
                                       "16r6576"    16r0000 " invalid " 
                                       "16r6577"    16r3773
                                       "16r6578"    16r0000 " invalid " 
                                       "16r6579"    16r0000 " invalid " 
                                       "16r657A"    16r0000 " invalid " 
                                       "16r657B"    16r0000 " invalid " 
                                       "16r657C"    16r0000 " invalid " 
                                       "16r657D"    16r0000 " invalid " 
                                       "16r657E"    16r0000 " invalid " 
                                       "16r657F"    16r0000 " invalid " 
                                       "16r6580"    16r0000 " invalid " 
                                       "16r6581"    16r0000 " invalid " 
                                       "16r6582"    16r0000 " invalid " 
                                       "16r6583"    16r0000 " invalid " 
                                       "16r6584"    16r0000 " invalid " 
                                       "16r6585"    16r0000 " invalid " 
                                       "16r6586"    16r0000 " invalid " 
                                       "16r6587"    16r4E44
                                       "16r6588"    16r0000 " invalid " 
                                       "16r6589"    16r0000 " invalid " 
                                       "16r658A"    16r0000 " invalid " 
                                       "16r658B"    16r552B
                                       "16r658C"    16r3173
                                       "16r658D"    16r0000 " invalid " 
                                       "16r658E"    16r0000 " invalid " 
                                       "16r658F"    16r0000 " invalid " 
                                       "16r6590"    16r6C33
                                       "16r6591"    16r305F
                                       "16r6592"    16r0000 " invalid " 
                                       "16r6593"    16r6C35
                                       "16r6594"    16r0000 " invalid " 
                                       "16r6595"    16r0000 " invalid " 
                                       "16r6596"    16r0000 " invalid " 
                                       "16r6597"    16r3637
                                       "16r6598"    16r0000 " invalid " 
                                       "16r6599"    16r414F
                                       "16r659A"    16r0000 " invalid " 
                                       "16r659B"    16r757A
                                       "16r659C"    16r5031
                                       "16r659D"    16r0000 " invalid " 
                                       "16r659E"    16r0000 " invalid " 
                                       "16r659F"    16r5565
                                       "16r65A0"    16r0000 " invalid " 
                                       "16r65A1"    16r4E53
                                       "16r65A2"    16r0000 " invalid " 
                                       "16r65A3"    16r0000 " invalid " 
                                       "16r65A4"    16r3D6F
                                       "16r65A5"    16r3362
                                       "16r65A6"    16r0000 " invalid " 
                                       "16r65A7"    16r382B
                                       "16r65A8"    16r0000 " invalid " 
                                       "16r65A9"    16r5536
                                       "16r65AA"    16r0000 " invalid " 
                                       "16r65AB"    16r6D3D
                                       "16r65AC"    16r0000 " invalid " 
                                       "16r65AD"    16r364F
                                       "16r65AE"    16r0000 " invalid " 
                                       "16r65AF"    16r4B39
                                       "16r65B0"    16r5042
                                       "16r65B1"    16r0000 " invalid " 
                                       "16r65B2"    16r0000 " invalid " 
                                       "16r65B3"    16r0000 " invalid " 
                                       "16r65B4"    16r0000 " invalid " 
                                       "16r65B5"    16r0000 " invalid " 
                                       "16r65B6"    16r0000 " invalid " 
                                       "16r65B7"    16r0000 " invalid " 
                                       "16r65B8"    16r0000 " invalid " 
                                       "16r65B9"    16r373D
                                       "16r65BA"    16r0000 " invalid " 
                                       "16r65BB"    16r0000 " invalid " 
                                       "16r65BC"    16r6C36
                                       "16r65BD"    16r4A29
                                       "16r65BE"    16r0000 " invalid " 
                                       "16r65BF"    16r0000 " invalid " 
                                       "16r65C0"    16r0000 " invalid " 
                                       "16r65C1"    16r4554
                                       "16r65C2"    16r0000 " invalid " 
                                       "16r65C3"    16r6C39
                                       "16r65C4"    16r6C38
                                       "16r65C5"    16r4243
                                       "16r65C6"    16r6C37
                                       "16r65C7"    16r0000 " invalid " 
                                       "16r65C8"    16r0000 " invalid " 
                                       "16r65C9"    16r0000 " invalid " 
                                       "16r65CA"    16r0000 " invalid " 
                                       "16r65CB"    16r507D
                                       "16r65CC"    16r6C3A
                                       "16r65CD"    16r0000 " invalid " 
                                       "16r65CE"    16r6C3B
                                       "16r65CF"    16r5765
                                       "16r65D0"    16r0000 " invalid " 
                                       "16r65D1"    16r0000 " invalid " 
                                       "16r65D2"    16r6C3C
                                       "16r65D3"    16r0000 " invalid " 
                                       "16r65D4"    16r0000 " invalid " 
                                       "16r65D5"    16r0000 " invalid " 
                                       "16r65D6"    16r6C3D
                                       "16r65D7"    16r466C
                                       "16r65D8"    16r0000 " invalid " 
                                       "16r65D9"    16r0000 " invalid " 
                                       "16r65DA"    16r0000 " invalid " 
                                       "16r65DB"    16r0000 " invalid " 
                                       "16r65DC"    16r0000 " invalid " 
                                       "16r65DD"    16r0000 " invalid " 
                                       "16r65DE"    16r0000 " invalid " 
                                       "16r65DF"    16r0000 " invalid " 
                                       "16r65E0"    16r4E5E
                                       "16r65E1"    16r0000 " invalid " 
                                       "16r65E2"    16r3C48
                                       "16r65E3"    16r0000 " invalid " 
                                       "16r65E4"    16r0000 " invalid " 
                                       "16r65E5"    16r4855
                                       "16r65E6"    16r3529
                                       "16r65E7"    16r3E49
                                       "16r65E8"    16r563C
                                       "16r65E9"    16r5467
                                       "16r65EA"    16r0000 " invalid " 
                                       "16r65EB"    16r0000 " invalid " 
                                       "16r65EC"    16r512E
                                       "16r65ED"    16r5071
                                       "16r65EE"    16r6A38
                                       "16r65EF"    16r6A39
                                       "16r65F0"    16r6A3A
                                       "16r65F1"    16r3A35
                                       "16r65F2"    16r0000 " invalid " 
                                       "16r65F3"    16r0000 " invalid " 
                                       "16r65F4"    16r0000 " invalid " 
                                       "16r65F5"    16r0000 " invalid " 
                                       "16r65F6"    16r4A31
                                       "16r65F7"    16r3F75
                                       "16r65F8"    16r0000 " invalid " 
                                       "16r65F9"    16r0000 " invalid " 
                                       "16r65FA"    16r4D7A
                                       "16r65FB"    16r0000 " invalid " 
                                       "16r65FC"    16r0000 " invalid " 
                                       "16r65FD"    16r0000 " invalid " 
                                       "16r65FE"    16r0000 " invalid " 
                                       "16r65FF"    16r0000 " invalid " 
                                       "16r6600"    16r6A40
                                       "16r6601"    16r0000 " invalid " 
                                       "16r6602"    16r303A
                                       "16r6603"    16r6A3E
                                       "16r6604"    16r0000 " invalid " 
                                       "16r6605"    16r0000 " invalid " 
                                       "16r6606"    16r4025
                                       "16r6607"    16r0000 " invalid " 
                                       "16r6608"    16r0000 " invalid " 
                                       "16r6609"    16r0000 " invalid " 
                                       "16r660A"    16r6A3B
                                       "16r660B"    16r0000 " invalid " 
                                       "16r660C"    16r327D
                                       "16r660D"    16r0000 " invalid " 
                                       "16r660E"    16r4377
                                       "16r660F"    16r3B68
                                       "16r6610"    16r0000 " invalid " 
                                       "16r6611"    16r0000 " invalid " 
                                       "16r6612"    16r0000 " invalid " 
                                       "16r6613"    16r5257
                                       "16r6614"    16r4E74
                                       "16r6615"    16r6A3F
                                       "16r6616"    16r0000 " invalid " 
                                       "16r6617"    16r0000 " invalid " 
                                       "16r6618"    16r0000 " invalid " 
                                       "16r6619"    16r6A3C
                                       "16r661A"    16r0000 " invalid " 
                                       "16r661B"    16r0000 " invalid " 
                                       "16r661C"    16r0000 " invalid " 
                                       "16r661D"    16r6A43
                                       "16r661E"    16r0000 " invalid " 
                                       "16r661F"    16r5047
                                       "16r6620"    16r5333
                                       "16r6621"    16r0000 " invalid " 
                                       "16r6622"    16r0000 " invalid " 
                                       "16r6623"    16r0000 " invalid " 
                                       "16r6624"    16r0000 " invalid " 
                                       "16r6625"    16r343A
                                       "16r6626"    16r0000 " invalid " 
                                       "16r6627"    16r4341
                                       "16r6628"    16r5772
                                       "16r6629"    16r0000 " invalid " 
                                       "16r662A"    16r0000 " invalid " 
                                       "16r662B"    16r0000 " invalid " 
                                       "16r662C"    16r0000 " invalid " 
                                       "16r662D"    16r5551
                                       "16r662E"    16r0000 " invalid " 
                                       "16r662F"    16r4A47
                                       "16r6630"    16r0000 " invalid " 
                                       "16r6631"    16r6A45
                                       "16r6632"    16r0000 " invalid " 
                                       "16r6633"    16r0000 " invalid " 
                                       "16r6634"    16r6A44
                                       "16r6635"    16r6A47
                                       "16r6636"    16r6A46
                                       "16r6637"    16r0000 " invalid " 
                                       "16r6638"    16r0000 " invalid " 
                                       "16r6639"    16r0000 " invalid " 
                                       "16r663A"    16r0000 " invalid " 
                                       "16r663B"    16r0000 " invalid " 
                                       "16r663C"    16r5667
                                       "16r663D"    16r0000 " invalid " 
                                       "16r663E"    16r4F54
                                       "16r663F"    16r0000 " invalid " 
                                       "16r6640"    16r0000 " invalid " 
                                       "16r6641"    16r6A4B
                                       "16r6642"    16r0000 " invalid " 
                                       "16r6643"    16r3B4E
                                       "16r6644"    16r0000 " invalid " 
                                       "16r6645"    16r0000 " invalid " 
                                       "16r6646"    16r0000 " invalid " 
                                       "16r6647"    16r0000 " invalid " 
                                       "16r6648"    16r0000 " invalid " 
                                       "16r6649"    16r0000 " invalid " 
                                       "16r664A"    16r0000 " invalid " 
                                       "16r664B"    16r3D7A
                                       "16r664C"    16r494E
                                       "16r664D"    16r0000 " invalid " 
                                       "16r664E"    16r0000 " invalid " 
                                       "16r664F"    16r6A4C
                                       "16r6650"    16r0000 " invalid " 
                                       "16r6651"    16r0000 " invalid " 
                                       "16r6652"    16r4939
                                       "16r6653"    16r4F7E
                                       "16r6654"    16r6A4A
                                       "16r6655"    16r544E
                                       "16r6656"    16r6A4D
                                       "16r6657"    16r6A4F
                                       "16r6658"    16r0000 " invalid " 
                                       "16r6659"    16r0000 " invalid " 
                                       "16r665A"    16r4D6D
                                       "16r665B"    16r0000 " invalid " 
                                       "16r665C"    16r0000 " invalid " 
                                       "16r665D"    16r0000 " invalid " 
                                       "16r665E"    16r0000 " invalid " 
                                       "16r665F"    16r6A49
                                       "16r6660"    16r0000 " invalid " 
                                       "16r6661"    16r6A4E
                                       "16r6662"    16r0000 " invalid " 
                                       "16r6663"    16r0000 " invalid " 
                                       "16r6664"    16r4E6E
                                       "16r6665"    16r0000 " invalid " 
                                       "16r6666"    16r3B5E
                                       "16r6667"    16r0000 " invalid " 
                                       "16r6668"    16r333F
                                       "16r6669"    16r0000 " invalid " 
                                       "16r666A"    16r0000 " invalid " 
                                       "16r666B"    16r0000 " invalid " 
                                       "16r666C"    16r0000 " invalid " 
                                       "16r666D"    16r0000 " invalid " 
                                       "16r666E"    16r4655
                                       "16r666F"    16r3E30
                                       "16r6670"    16r4E7A
                                       "16r6671"    16r0000 " invalid " 
                                       "16r6672"    16r0000 " invalid " 
                                       "16r6673"    16r0000 " invalid " 
                                       "16r6674"    16r4767
                                       "16r6675"    16r0000 " invalid " 
                                       "16r6676"    16r3E27
                                       "16r6677"    16r6A50
                                       "16r6678"    16r0000 " invalid " 
                                       "16r6679"    16r0000 " invalid " 
                                       "16r667A"    16r5647
                                       "16r667B"    16r0000 " invalid " 
                                       "16r667C"    16r0000 " invalid " 
                                       "16r667D"    16r0000 " invalid " 
                                       "16r667E"    16r4140
                                       "16r667F"    16r0000 " invalid " 
                                       "16r6680"    16r0000 " invalid " 
                                       "16r6681"    16r0000 " invalid " 
                                       "16r6682"    16r545D
                                       "16r6683"    16r0000 " invalid " 
                                       "16r6684"    16r6A51
                                       "16r6685"    16r0000 " invalid " 
                                       "16r6686"    16r0000 " invalid " 
                                       "16r6687"    16r4F3E
                                       "16r6688"    16r0000 " invalid " 
                                       "16r6689"    16r0000 " invalid " 
                                       "16r668A"    16r0000 " invalid " 
                                       "16r668B"    16r0000 " invalid " 
                                       "16r668C"    16r6A52
                                       "16r668D"    16r0000 " invalid " 
                                       "16r668E"    16r0000 " invalid " 
                                       "16r668F"    16r0000 " invalid " 
                                       "16r6690"    16r0000 " invalid " 
                                       "16r6691"    16r4A6E
                                       "16r6692"    16r0000 " invalid " 
                                       "16r6693"    16r0000 " invalid " 
                                       "16r6694"    16r0000 " invalid " 
                                       "16r6695"    16r0000 " invalid " 
                                       "16r6696"    16r452F
                                       "16r6697"    16r3035
                                       "16r6698"    16r0000 " invalid " 
                                       "16r6699"    16r0000 " invalid " 
                                       "16r669A"    16r0000 " invalid " 
                                       "16r669B"    16r0000 " invalid " 
                                       "16r669C"    16r0000 " invalid " 
                                       "16r669D"    16r6A54
                                       "16r669E"    16r0000 " invalid " 
                                       "16r669F"    16r0000 " invalid " 
                                       "16r66A0"    16r0000 " invalid " 
                                       "16r66A1"    16r0000 " invalid " 
                                       "16r66A2"    16r0000 " invalid " 
                                       "16r66A3"    16r0000 " invalid " 
                                       "16r66A4"    16r0000 " invalid " 
                                       "16r66A5"    16r0000 " invalid " 
                                       "16r66A6"    16r0000 " invalid " 
                                       "16r66A7"    16r6A53
                                       "16r66A8"    16r745F
                                       "16r66A9"    16r0000 " invalid " 
                                       "16r66AA"    16r0000 " invalid " 
                                       "16r66AB"    16r0000 " invalid " 
                                       "16r66AC"    16r0000 " invalid " 
                                       "16r66AD"    16r0000 " invalid " 
                                       "16r66AE"    16r443A
                                       "16r66AF"    16r0000 " invalid " 
                                       "16r66B0"    16r0000 " invalid " 
                                       "16r66B1"    16r0000 " invalid " 
                                       "16r66B2"    16r0000 " invalid " 
                                       "16r66B3"    16r0000 " invalid " 
                                       "16r66B4"    16r3129
                                       "16r66B5"    16r0000 " invalid " 
                                       "16r66B6"    16r0000 " invalid " 
                                       "16r66B7"    16r0000 " invalid " 
                                       "16r66B8"    16r0000 " invalid " 
                                       "16r66B9"    16r655F
                                       "16r66BA"    16r0000 " invalid " 
                                       "16r66BB"    16r0000 " invalid " 
                                       "16r66BC"    16r0000 " invalid " 
                                       "16r66BD"    16r0000 " invalid " 
                                       "16r66BE"    16r6A55
                                       "16r66BF"    16r0000 " invalid " 
                                       "16r66C0"    16r0000 " invalid " 
                                       "16r66C1"    16r0000 " invalid " 
                                       "16r66C2"    16r0000 " invalid " 
                                       "16r66C3"    16r0000 " invalid " 
                                       "16r66C4"    16r0000 " invalid " 
                                       "16r66C5"    16r0000 " invalid " 
                                       "16r66C6"    16r0000 " invalid " 
                                       "16r66C7"    16r0000 " invalid " 
                                       "16r66C8"    16r0000 " invalid " 
                                       "16r66C9"    16r0000 " invalid " 
                                       "16r66CA"    16r0000 " invalid " 
                                       "16r66CB"    16r0000 " invalid " 
                                       "16r66CC"    16r0000 " invalid " 
                                       "16r66CD"    16r0000 " invalid " 
                                       "16r66CE"    16r0000 " invalid " 
                                       "16r66CF"    16r0000 " invalid " 
                                       "16r66D0"    16r0000 " invalid " 
                                       "16r66D1"    16r0000 " invalid " 
                                       "16r66D2"    16r0000 " invalid " 
                                       "16r66D3"    16r0000 " invalid " 
                                       "16r66D4"    16r0000 " invalid " 
                                       "16r66D5"    16r0000 " invalid " 
                                       "16r66D6"    16r0000 " invalid " 
                                       "16r66D7"    16r0000 " invalid " 
                                       "16r66D8"    16r0000 " invalid " 
                                       "16r66D9"    16r4A6F
                                       "16r66DA"    16r0000 " invalid " 
                                       "16r66DB"    16r6A56
                                       "16r66DC"    16r6A57
                                       "16r66DD"    16r4658
                                       "16r66DE"    16r0000 " invalid " 
                                       "16r66DF"    16r0000 " invalid " 
                                       "16r66E0"    16r0000 " invalid " 
                                       "16r66E1"    16r0000 " invalid " 
                                       "16r66E2"    16r0000 " invalid " 
                                       "16r66E3"    16r0000 " invalid " 
                                       "16r66E4"    16r0000 " invalid " 
                                       "16r66E5"    16r0000 " invalid " 
                                       "16r66E6"    16r6A58
                                       "16r66E7"    16r0000 " invalid " 
                                       "16r66E8"    16r0000 " invalid " 
                                       "16r66E9"    16r6A59
                                       "16r66EA"    16r0000 " invalid " 
                                       "16r66EB"    16r0000 " invalid " 
                                       "16r66EC"    16r0000 " invalid " 
                                       "16r66ED"    16r0000 " invalid " 
                                       "16r66EE"    16r0000 " invalid " 
                                       "16r66EF"    16r0000 " invalid " 
                                       "16r66F0"    16r543B
                                       "16r66F1"    16r0000 " invalid " 
                                       "16r66F2"    16r477A
                                       "16r66F3"    16r5237
                                       "16r66F4"    16r387C
                                       "16r66F5"    16r0000 " invalid " 
                                       "16r66F6"    16r0000 " invalid " 
                                       "16r66F7"    16r6A42
                                       "16r66F8"    16r0000 " invalid " 
                                       "16r66F9"    16r325C
                                       "16r66FA"    16r0000 " invalid " 
                                       "16r66FB"    16r0000 " invalid " 
                                       "16r66FC"    16r427C
                                       "16r66FD"    16r0000 " invalid " 
                                       "16r66FE"    16r5478
                                       "16r66FF"    16r4C66
                                       "16r6700"    16r576E
                                       "16r6701"    16r0000 " invalid " 
                                       "16r6702"    16r0000 " invalid " 
                                       "16r6703"    16r0000 " invalid " 
                                       "16r6704"    16r0000 " invalid " 
                                       "16r6705"    16r0000 " invalid " 
                                       "16r6706"    16r0000 " invalid " 
                                       "16r6707"    16r0000 " invalid " 
                                       "16r6708"    16r5442
                                       "16r6709"    16r5350
                                       "16r670A"    16r6B43
                                       "16r670B"    16r4573
                                       "16r670C"    16r0000 " invalid " 
                                       "16r670D"    16r377E
                                       "16r670E"    16r0000 " invalid " 
                                       "16r670F"    16r0000 " invalid " 
                                       "16r6710"    16r6B54
                                       "16r6711"    16r0000 " invalid " 
                                       "16r6712"    16r0000 " invalid " 
                                       "16r6713"    16r0000 " invalid " 
                                       "16r6714"    16r4B37
                                       "16r6715"    16r6B5E
                                       "16r6716"    16r0000 " invalid " 
                                       "16r6717"    16r404A
                                       "16r6718"    16r0000 " invalid " 
                                       "16r6719"    16r0000 " invalid " 
                                       "16r671A"    16r0000 " invalid " 
                                       "16r671B"    16r4D7B
                                       "16r671C"    16r0000 " invalid " 
                                       "16r671D"    16r332F
                                       "16r671E"    16r0000 " invalid " 
                                       "16r671F"    16r465A
                                       "16r6720"    16r0000 " invalid " 
                                       "16r6721"    16r0000 " invalid " 
                                       "16r6722"    16r0000 " invalid " 
                                       "16r6723"    16r0000 " invalid " 
                                       "16r6724"    16r0000 " invalid " 
                                       "16r6725"    16r0000 " invalid " 
                                       "16r6726"    16r6B7C
                                       "16r6727"    16r0000 " invalid " 
                                       "16r6728"    16r443E
                                       "16r6729"    16r0000 " invalid " 
                                       "16r672A"    16r4E34
                                       "16r672B"    16r4429
                                       "16r672C"    16r313E
                                       "16r672D"    16r547D
                                       "16r672E"    16r0000 " invalid " 
                                       "16r672F"    16r4A75
                                       "16r6730"    16r0000 " invalid " 
                                       "16r6731"    16r566C
                                       "16r6732"    16r0000 " invalid " 
                                       "16r6733"    16r0000 " invalid " 
                                       "16r6734"    16r4653
                                       "16r6735"    16r3664
                                       "16r6736"    16r0000 " invalid " 
                                       "16r6737"    16r0000 " invalid " 
                                       "16r6738"    16r0000 " invalid " 
                                       "16r6739"    16r0000 " invalid " 
                                       "16r673A"    16r3B7A
                                       "16r673B"    16r0000 " invalid " 
                                       "16r673C"    16r0000 " invalid " 
                                       "16r673D"    16r5060
                                       "16r673E"    16r0000 " invalid " 
                                       "16r673F"    16r0000 " invalid " 
                                       "16r6740"    16r4931
                                       "16r6741"    16r0000 " invalid " 
                                       "16r6742"    16r5453
                                       "16r6743"    16r4828
                                       "16r6744"    16r0000 " invalid " 
                                       "16r6745"    16r0000 " invalid " 
                                       "16r6746"    16r384B
                                       "16r6747"    16r0000 " invalid " 
                                       "16r6748"    16r683E
                                       "16r6749"    16r493C
                                       "16r674A"    16r0000 " invalid " 
                                       "16r674B"    16r0000 " invalid " 
                                       "16r674C"    16r683B
                                       "16r674D"    16r0000 " invalid " 
                                       "16r674E"    16r406E
                                       "16r674F"    16r5053
                                       "16r6750"    16r3244
                                       "16r6751"    16r3465
                                       "16r6752"    16r0000 " invalid " 
                                       "16r6753"    16r683C
                                       "16r6754"    16r0000 " invalid " 
                                       "16r6755"    16r0000 " invalid " 
                                       "16r6756"    16r5548
                                       "16r6757"    16r0000 " invalid " 
                                       "16r6758"    16r0000 " invalid " 
                                       "16r6759"    16r0000 " invalid " 
                                       "16r675A"    16r0000 " invalid " 
                                       "16r675B"    16r0000 " invalid " 
                                       "16r675C"    16r3645
                                       "16r675D"    16r0000 " invalid " 
                                       "16r675E"    16r683D
                                       "16r675F"    16r4A78
                                       "16r6760"    16r385C
                                       "16r6761"    16r4C75
                                       "16r6762"    16r0000 " invalid " 
                                       "16r6763"    16r0000 " invalid " 
                                       "16r6764"    16r0000 " invalid " 
                                       "16r6765"    16r4034
                                       "16r6766"    16r0000 " invalid " 
                                       "16r6767"    16r0000 " invalid " 
                                       "16r6768"    16r516E
                                       "16r6769"    16r683F
                                       "16r676A"    16r6842
                                       "16r676B"    16r0000 " invalid " 
                                       "16r676C"    16r0000 " invalid " 
                                       "16r676D"    16r3A3C
                                       "16r676E"    16r0000 " invalid " 
                                       "16r676F"    16r312D
                                       "16r6770"    16r3D5C
                                       "16r6771"    16r0000 " invalid " 
                                       "16r6772"    16r6A3D
                                       "16r6773"    16r6843
                                       "16r6774"    16r0000 " invalid " 
                                       "16r6775"    16r6846
                                       "16r6776"    16r0000 " invalid " 
                                       "16r6777"    16r684B
                                       "16r6778"    16r0000 " invalid " 
                                       "16r6779"    16r0000 " invalid " 
                                       "16r677A"    16r0000 " invalid " 
                                       "16r677B"    16r0000 " invalid " 
                                       "16r677C"    16r684C
                                       "16r677D"    16r0000 " invalid " 
                                       "16r677E"    16r4B49
                                       "16r677F"    16r3065
                                       "16r6780"    16r0000 " invalid " 
                                       "16r6781"    16r3C2B
                                       "16r6782"    16r0000 " invalid " 
                                       "16r6783"    16r0000 " invalid " 
                                       "16r6784"    16r3939
                                       "16r6785"    16r0000 " invalid " 
                                       "16r6786"    16r0000 " invalid " 
                                       "16r6787"    16r6841
                                       "16r6788"    16r0000 " invalid " 
                                       "16r6789"    16r4D77
                                       "16r678A"    16r0000 " invalid " 
                                       "16r678B"    16r684A
                                       "16r678C"    16r0000 " invalid " 
                                       "16r678D"    16r0000 " invalid " 
                                       "16r678E"    16r0000 " invalid " 
                                       "16r678F"    16r0000 " invalid " 
                                       "16r6790"    16r4E76
                                       "16r6791"    16r0000 " invalid " 
                                       "16r6792"    16r0000 " invalid " 
                                       "16r6793"    16r0000 " invalid " 
                                       "16r6794"    16r0000 " invalid " 
                                       "16r6795"    16r556D
                                       "16r6796"    16r0000 " invalid " 
                                       "16r6797"    16r4156
                                       "16r6798"    16r6844
                                       "16r6799"    16r0000 " invalid " 
                                       "16r679A"    16r4336
                                       "16r679B"    16r0000 " invalid " 
                                       "16r679C"    16r397B
                                       "16r679D"    16r5626
                                       "16r679E"    16r6848
                                       "16r679F"    16r0000 " invalid " 
                                       "16r67A0"    16r0000 " invalid " 
                                       "16r67A1"    16r0000 " invalid " 
                                       "16r67A2"    16r4A60
                                       "16r67A3"    16r5466
                                       "16r67A4"    16r0000 " invalid " 
                                       "16r67A5"    16r6840
                                       "16r67A6"    16r0000 " invalid " 
                                       "16r67A7"    16r6845
                                       "16r67A8"    16r6847
                                       "16r67A9"    16r0000 " invalid " 
                                       "16r67AA"    16r4739
                                       "16r67AB"    16r3763
                                       "16r67AC"    16r0000 " invalid " 
                                       "16r67AD"    16r6849
                                       "16r67AE"    16r0000 " invalid " 
                                       "16r67AF"    16r3F5D
                                       "16r67B0"    16r6852
                                       "16r67B1"    16r0000 " invalid " 
                                       "16r67B2"    16r0000 " invalid " 
                                       "16r67B3"    16r6857
                                       "16r67B4"    16r0000 " invalid " 
                                       "16r67B5"    16r6855
                                       "16r67B6"    16r3C5C
                                       "16r67B7"    16r3C4F
                                       "16r67B8"    16r685B
                                       "16r67B9"    16r0000 " invalid " 
                                       "16r67BA"    16r0000 " invalid " 
                                       "16r67BB"    16r0000 " invalid " 
                                       "16r67BC"    16r0000 " invalid " 
                                       "16r67BD"    16r0000 " invalid " 
                                       "16r67BE"    16r0000 " invalid " 
                                       "16r67BF"    16r0000 " invalid " 
                                       "16r67C0"    16r0000 " invalid " 
                                       "16r67C1"    16r685E
                                       "16r67C2"    16r0000 " invalid " 
                                       "16r67C3"    16r685A
                                       "16r67C4"    16r317A
                                       "16r67C5"    16r0000 " invalid " 
                                       "16r67C6"    16r0000 " invalid " 
                                       "16r67C7"    16r0000 " invalid " 
                                       "16r67C8"    16r0000 " invalid " 
                                       "16r67C9"    16r0000 " invalid " 
                                       "16r67CA"    16r0000 " invalid " 
                                       "16r67CB"    16r0000 " invalid " 
                                       "16r67CC"    16r0000 " invalid " 
                                       "16r67CD"    16r0000 " invalid " 
                                       "16r67CE"    16r0000 " invalid " 
                                       "16r67CF"    16r3058
                                       "16r67D0"    16r4433
                                       "16r67D1"    16r384C
                                       "16r67D2"    16r4662
                                       "16r67D3"    16r483E
                                       "16r67D4"    16r4861
                                       "16r67D5"    16r0000 " invalid " 
                                       "16r67D6"    16r0000 " invalid " 
                                       "16r67D7"    16r0000 " invalid " 
                                       "16r67D8"    16r684F
                                       "16r67D9"    16r6854
                                       "16r67DA"    16r6856
                                       "16r67DB"    16r0000 " invalid " 
                                       "16r67DC"    16r3971
                                       "16r67DD"    16r6858
                                       "16r67DE"    16r5775
                                       "16r67DF"    16r0000 " invalid " 
                                       "16r67E0"    16r447B
                                       "16r67E1"    16r0000 " invalid " 
                                       "16r67E2"    16r685C
                                       "16r67E3"    16r0000 " invalid " 
                                       "16r67E4"    16r0000 " invalid " 
                                       "16r67E5"    16r3269
                                       "16r67E6"    16r0000 " invalid " 
                                       "16r67E7"    16r0000 " invalid " 
                                       "16r67E8"    16r0000 " invalid " 
                                       "16r67E9"    16r6851
                                       "16r67EA"    16r0000 " invalid " 
                                       "16r67EB"    16r0000 " invalid " 
                                       "16r67EC"    16r3C6D
                                       "16r67ED"    16r0000 " invalid " 
                                       "16r67EE"    16r0000 " invalid " 
                                       "16r67EF"    16r3F42
                                       "16r67F0"    16r684D
                                       "16r67F1"    16r5679
                                       "16r67F2"    16r0000 " invalid " 
                                       "16r67F3"    16r4178
                                       "16r67F4"    16r3271
                                       "16r67F5"    16r0000 " invalid " 
                                       "16r67F6"    16r0000 " invalid " 
                                       "16r67F7"    16r0000 " invalid " 
                                       "16r67F8"    16r0000 " invalid " 
                                       "16r67F9"    16r0000 " invalid " 
                                       "16r67FA"    16r0000 " invalid " 
                                       "16r67FB"    16r0000 " invalid " 
                                       "16r67FC"    16r0000 " invalid " 
                                       "16r67FD"    16r685F
                                       "16r67FE"    16r0000 " invalid " 
                                       "16r67FF"    16r4A41
                                       "16r6800"    16r6859
                                       "16r6801"    16r0000 " invalid " 
                                       "16r6802"    16r0000 " invalid " 
                                       "16r6803"    16r0000 " invalid " 
                                       "16r6804"    16r0000 " invalid " 
                                       "16r6805"    16r5524
                                       "16r6806"    16r0000 " invalid " 
                                       "16r6807"    16r316A
                                       "16r6808"    16r553B
                                       "16r6809"    16r684E
                                       "16r680A"    16r6850
                                       "16r680B"    16r3630
                                       "16r680C"    16r6853
                                       "16r680D"    16r0000 " invalid " 
                                       "16r680E"    16r685D
                                       "16r680F"    16r4038
                                       "16r6810"    16r0000 " invalid " 
                                       "16r6811"    16r4A77
                                       "16r6812"    16r0000 " invalid " 
                                       "16r6813"    16r4B28
                                       "16r6814"    16r0000 " invalid " 
                                       "16r6815"    16r0000 " invalid " 
                                       "16r6816"    16r465C
                                       "16r6817"    16r4075
                                       "16r6818"    16r0000 " invalid " 
                                       "16r6819"    16r0000 " invalid " 
                                       "16r681A"    16r0000 " invalid " 
                                       "16r681B"    16r0000 " invalid " 
                                       "16r681C"    16r0000 " invalid " 
                                       "16r681D"    16r6869
                                       "16r681E"    16r0000 " invalid " 
                                       "16r681F"    16r0000 " invalid " 
                                       "16r6820"    16r0000 " invalid " 
                                       "16r6821"    16r5023
                                       "16r6822"    16r0000 " invalid " 
                                       "16r6823"    16r0000 " invalid " 
                                       "16r6824"    16r0000 " invalid " 
                                       "16r6825"    16r0000 " invalid " 
                                       "16r6826"    16r0000 " invalid " 
                                       "16r6827"    16r0000 " invalid " 
                                       "16r6828"    16r0000 " invalid " 
                                       "16r6829"    16r6872
                                       "16r682A"    16r566A
                                       "16r682B"    16r0000 " invalid " 
                                       "16r682C"    16r0000 " invalid " 
                                       "16r682D"    16r0000 " invalid " 
                                       "16r682E"    16r0000 " invalid " 
                                       "16r682F"    16r0000 " invalid " 
                                       "16r6830"    16r0000 " invalid " 
                                       "16r6831"    16r0000 " invalid " 
                                       "16r6832"    16r6860
                                       "16r6833"    16r6861
                                       "16r6834"    16r0000 " invalid " 
                                       "16r6835"    16r0000 " invalid " 
                                       "16r6836"    16r0000 " invalid " 
                                       "16r6837"    16r5179
                                       "16r6838"    16r3A4B
                                       "16r6839"    16r3879
                                       "16r683A"    16r0000 " invalid " 
                                       "16r683B"    16r0000 " invalid " 
                                       "16r683C"    16r3871
                                       "16r683D"    16r5454
                                       "16r683E"    16r686F
                                       "16r683F"    16r0000 " invalid " 
                                       "16r6840"    16r686E
                                       "16r6841"    16r686C
                                       "16r6842"    16r3970
                                       "16r6843"    16r4C52
                                       "16r6844"    16r6866
                                       "16r6845"    16r4E26
                                       "16r6846"    16r3F72
                                       "16r6847"    16r0000 " invalid " 
                                       "16r6848"    16r3038
                                       "16r6849"    16r6871
                                       "16r684A"    16r6870
                                       "16r684B"    16r0000 " invalid " 
                                       "16r684C"    16r5740
                                       "16r684D"    16r0000 " invalid " 
                                       "16r684E"    16r6864
                                       "16r684F"    16r0000 " invalid " 
                                       "16r6850"    16r4D29
                                       "16r6851"    16r4923
                                       "16r6852"    16r0000 " invalid " 
                                       "16r6853"    16r3B38
                                       "16r6854"    16r3D5B
                                       "16r6855"    16r686A
                                       "16r6856"    16r0000 " invalid " 
                                       "16r6857"    16r0000 " invalid " 
                                       "16r6858"    16r0000 " invalid " 
                                       "16r6859"    16r0000 " invalid " 
                                       "16r685A"    16r0000 " invalid " 
                                       "16r685B"    16r0000 " invalid " 
                                       "16r685C"    16r0000 " invalid " 
                                       "16r685D"    16r0000 " invalid " 
                                       "16r685E"    16r0000 " invalid " 
                                       "16r685F"    16r0000 " invalid " 
                                       "16r6860"    16r6862
                                       "16r6861"    16r6863
                                       "16r6862"    16r6865
                                       "16r6863"    16r3535
                                       "16r6864"    16r6867
                                       "16r6865"    16r4745
                                       "16r6866"    16r686B
                                       "16r6867"    16r686D
                                       "16r6868"    16r3D30
                                       "16r6869"    16r572E
                                       "16r686A"    16r0000 " invalid " 
                                       "16r686B"    16r6878
                                       "16r686C"    16r0000 " invalid " 
                                       "16r686D"    16r0000 " invalid " 
                                       "16r686E"    16r0000 " invalid " 
                                       "16r686F"    16r0000 " invalid " 
                                       "16r6870"    16r0000 " invalid " 
                                       "16r6871"    16r0000 " invalid " 
                                       "16r6872"    16r0000 " invalid " 
                                       "16r6873"    16r0000 " invalid " 
                                       "16r6874"    16r6875
                                       "16r6875"    16r0000 " invalid " 
                                       "16r6876"    16r4D30
                                       "16r6877"    16r6876
                                       "16r6878"    16r0000 " invalid " 
                                       "16r6879"    16r0000 " invalid " 
                                       "16r687A"    16r0000 " invalid " 
                                       "16r687B"    16r0000 " invalid " 
                                       "16r687C"    16r0000 " invalid " 
                                       "16r687D"    16r0000 " invalid " 
                                       "16r687E"    16r0000 " invalid " 
                                       "16r687F"    16r0000 " invalid " 
                                       "16r6880"    16r0000 " invalid " 
                                       "16r6881"    16r413A
                                       "16r6882"    16r0000 " invalid " 
                                       "16r6883"    16r6868
                                       "16r6884"    16r0000 " invalid " 
                                       "16r6885"    16r4337
                                       "16r6886"    16r3070
                                       "16r6887"    16r0000 " invalid " 
                                       "16r6888"    16r0000 " invalid " 
                                       "16r6889"    16r0000 " invalid " 
                                       "16r688A"    16r0000 " invalid " 
                                       "16r688B"    16r0000 " invalid " 
                                       "16r688C"    16r0000 " invalid " 
                                       "16r688D"    16r0000 " invalid " 
                                       "16r688E"    16r0000 " invalid " 
                                       "16r688F"    16r6874
                                       "16r6890"    16r0000 " invalid " 
                                       "16r6891"    16r0000 " invalid " 
                                       "16r6892"    16r0000 " invalid " 
                                       "16r6893"    16r6877
                                       "16r6894"    16r0000 " invalid " 
                                       "16r6895"    16r0000 " invalid " 
                                       "16r6896"    16r0000 " invalid " 
                                       "16r6897"    16r3923
                                       "16r6898"    16r0000 " invalid " 
                                       "16r6899"    16r0000 " invalid " 
                                       "16r689A"    16r0000 " invalid " 
                                       "16r689B"    16r0000 " invalid " 
                                       "16r689C"    16r0000 " invalid " 
                                       "16r689D"    16r0000 " invalid " 
                                       "16r689E"    16r0000 " invalid " 
                                       "16r689F"    16r0000 " invalid " 
                                       "16r68A0"    16r0000 " invalid " 
                                       "16r68A1"    16r0000 " invalid " 
                                       "16r68A2"    16r4952
                                       "16r68A3"    16r0000 " invalid " 
                                       "16r68A4"    16r0000 " invalid " 
                                       "16r68A5"    16r0000 " invalid " 
                                       "16r68A6"    16r434E
                                       "16r68A7"    16r4E60
                                       "16r68A8"    16r4066
                                       "16r68A9"    16r0000 " invalid " 
                                       "16r68AA"    16r0000 " invalid " 
                                       "16r68AB"    16r0000 " invalid " 
                                       "16r68AC"    16r0000 " invalid " 
                                       "16r68AD"    16r4B73
                                       "16r68AE"    16r0000 " invalid " 
                                       "16r68AF"    16r4C5D
                                       "16r68B0"    16r5035
                                       "16r68B1"    16r0000 " invalid " 
                                       "16r68B2"    16r0000 " invalid " 
                                       "16r68B3"    16r4A61
                                       "16r68B4"    16r0000 " invalid " 
                                       "16r68B5"    16r6873
                                       "16r68B6"    16r0000 " invalid " 
                                       "16r68B7"    16r0000 " invalid " 
                                       "16r68B8"    16r0000 " invalid " 
                                       "16r68B9"    16r0000 " invalid " 
                                       "16r68BA"    16r0000 " invalid " 
                                       "16r68BB"    16r0000 " invalid " 
                                       "16r68BC"    16r0000 " invalid " 
                                       "16r68BD"    16r0000 " invalid " 
                                       "16r68BE"    16r0000 " invalid " 
                                       "16r68BF"    16r0000 " invalid " 
                                       "16r68C0"    16r3C6C
                                       "16r68C1"    16r0000 " invalid " 
                                       "16r68C2"    16r6879
                                       "16r68C3"    16r0000 " invalid " 
                                       "16r68C4"    16r0000 " invalid " 
                                       "16r68C5"    16r0000 " invalid " 
                                       "16r68C6"    16r0000 " invalid " 
                                       "16r68C7"    16r0000 " invalid " 
                                       "16r68C8"    16r0000 " invalid " 
                                       "16r68C9"    16r435E
                                       "16r68CA"    16r0000 " invalid " 
                                       "16r68CB"    16r4665
                                       "16r68CC"    16r0000 " invalid " 
                                       "16r68CD"    16r3977
                                       "16r68CE"    16r0000 " invalid " 
                                       "16r68CF"    16r0000 " invalid " 
                                       "16r68D0"    16r0000 " invalid " 
                                       "16r68D1"    16r0000 " invalid " 
                                       "16r68D2"    16r3074
                                       "16r68D3"    16r0000 " invalid " 
                                       "16r68D4"    16r0000 " invalid " 
                                       "16r68D5"    16r5758
                                       "16r68D6"    16r0000 " invalid " 
                                       "16r68D7"    16r0000 " invalid " 
                                       "16r68D8"    16r3C2C
                                       "16r68D9"    16r0000 " invalid " 
                                       "16r68DA"    16r456F
                                       "16r68DB"    16r0000 " invalid " 
                                       "16r68DC"    16r0000 " invalid " 
                                       "16r68DD"    16r0000 " invalid " 
                                       "16r68DE"    16r0000 " invalid " 
                                       "16r68DF"    16r0000 " invalid " 
                                       "16r68E0"    16r4C44
                                       "16r68E1"    16r0000 " invalid " 
                                       "16r68E2"    16r0000 " invalid " 
                                       "16r68E3"    16r6926
                                       "16r68E4"    16r0000 " invalid " 
                                       "16r68E5"    16r0000 " invalid " 
                                       "16r68E6"    16r0000 " invalid " 
                                       "16r68E7"    16r0000 " invalid " 
                                       "16r68E8"    16r0000 " invalid " 
                                       "16r68E9"    16r0000 " invalid " 
                                       "16r68EA"    16r0000 " invalid " 
                                       "16r68EB"    16r0000 " invalid " 
                                       "16r68EC"    16r0000 " invalid " 
                                       "16r68ED"    16r0000 " invalid " 
                                       "16r68EE"    16r492D
                                       "16r68EF"    16r0000 " invalid " 
                                       "16r68F0"    16r6922
                                       "16r68F1"    16r4062
                                       "16r68F2"    16r0000 " invalid " 
                                       "16r68F3"    16r0000 " invalid " 
                                       "16r68F4"    16r0000 " invalid " 
                                       "16r68F5"    16r3F43
                                       "16r68F6"    16r0000 " invalid " 
                                       "16r68F7"    16r0000 " invalid " 
                                       "16r68F8"    16r0000 " invalid " 
                                       "16r68F9"    16r687E
                                       "16r68FA"    16r3957
                                       "16r68FB"    16r0000 " invalid " 
                                       "16r68FC"    16r687B
                                       "16r68FD"    16r0000 " invalid " 
                                       "16r68FE"    16r0000 " invalid " 
                                       "16r68FF"    16r0000 " invalid " 
                                       "16r6900"    16r0000 " invalid " 
                                       "16r6901"    16r6924
                                       "16r6902"    16r0000 " invalid " 
                                       "16r6903"    16r0000 " invalid " 
                                       "16r6904"    16r0000 " invalid " 
                                       "16r6905"    16r524E
                                       "16r6906"    16r0000 " invalid " 
                                       "16r6907"    16r0000 " invalid " 
                                       "16r6908"    16r0000 " invalid " 
                                       "16r6909"    16r0000 " invalid " 
                                       "16r690A"    16r0000 " invalid " 
                                       "16r690B"    16r6923
                                       "16r690C"    16r0000 " invalid " 
                                       "16r690D"    16r5632
                                       "16r690E"    16r5735
                                       "16r690F"    16r0000 " invalid " 
                                       "16r6910"    16r6927
                                       "16r6911"    16r0000 " invalid " 
                                       "16r6912"    16r3D37
                                       "16r6913"    16r0000 " invalid " 
                                       "16r6914"    16r0000 " invalid " 
                                       "16r6915"    16r0000 " invalid " 
                                       "16r6916"    16r0000 " invalid " 
                                       "16r6917"    16r0000 " invalid " 
                                       "16r6918"    16r0000 " invalid " 
                                       "16r6919"    16r0000 " invalid " 
                                       "16r691A"    16r0000 " invalid " 
                                       "16r691B"    16r0000 " invalid " 
                                       "16r691C"    16r0000 " invalid " 
                                       "16r691D"    16r0000 " invalid " 
                                       "16r691E"    16r0000 " invalid " 
                                       "16r691F"    16r687C
                                       "16r6920"    16r687D
                                       "16r6921"    16r0000 " invalid " 
                                       "16r6922"    16r0000 " invalid " 
                                       "16r6923"    16r0000 " invalid " 
                                       "16r6924"    16r6921
                                       "16r6925"    16r0000 " invalid " 
                                       "16r6926"    16r0000 " invalid " 
                                       "16r6927"    16r0000 " invalid " 
                                       "16r6928"    16r0000 " invalid " 
                                       "16r6929"    16r0000 " invalid " 
                                       "16r692A"    16r0000 " invalid " 
                                       "16r692B"    16r0000 " invalid " 
                                       "16r692C"    16r0000 " invalid " 
                                       "16r692D"    16r4D56
                                       "16r692E"    16r0000 " invalid " 
                                       "16r692F"    16r0000 " invalid " 
                                       "16r6930"    16r522C
                                       "16r6931"    16r0000 " invalid " 
                                       "16r6932"    16r0000 " invalid " 
                                       "16r6933"    16r0000 " invalid " 
                                       "16r6934"    16r6932
                                       "16r6935"    16r0000 " invalid " 
                                       "16r6936"    16r0000 " invalid " 
                                       "16r6937"    16r0000 " invalid " 
                                       "16r6938"    16r0000 " invalid " 
                                       "16r6939"    16r6929
                                       "16r693A"    16r0000 " invalid " 
                                       "16r693B"    16r0000 " invalid " 
                                       "16r693C"    16r0000 " invalid " 
                                       "16r693D"    16r342A
                                       "16r693E"    16r0000 " invalid " 
                                       "16r693F"    16r343B
                                       "16r6940"    16r0000 " invalid " 
                                       "16r6941"    16r0000 " invalid " 
                                       "16r6942"    16r692B
                                       "16r6943"    16r0000 " invalid " 
                                       "16r6944"    16r0000 " invalid " 
                                       "16r6945"    16r0000 " invalid " 
                                       "16r6946"    16r0000 " invalid " 
                                       "16r6947"    16r0000 " invalid " 
                                       "16r6948"    16r0000 " invalid " 
                                       "16r6949"    16r0000 " invalid " 
                                       "16r694A"    16r0000 " invalid " 
                                       "16r694B"    16r0000 " invalid " 
                                       "16r694C"    16r0000 " invalid " 
                                       "16r694D"    16r0000 " invalid " 
                                       "16r694E"    16r0000 " invalid " 
                                       "16r694F"    16r0000 " invalid " 
                                       "16r6950"    16r0000 " invalid " 
                                       "16r6951"    16r0000 " invalid " 
                                       "16r6952"    16r0000 " invalid " 
                                       "16r6953"    16r0000 " invalid " 
                                       "16r6954"    16r5028
                                       "16r6955"    16r0000 " invalid " 
                                       "16r6956"    16r0000 " invalid " 
                                       "16r6957"    16r6925
                                       "16r6958"    16r0000 " invalid " 
                                       "16r6959"    16r0000 " invalid " 
                                       "16r695A"    16r337E
                                       "16r695B"    16r0000 " invalid " 
                                       "16r695C"    16r0000 " invalid " 
                                       "16r695D"    16r692C
                                       "16r695E"    16r4063
                                       "16r695F"    16r0000 " invalid " 
                                       "16r6960"    16r692A
                                       "16r6961"    16r0000 " invalid " 
                                       "16r6962"    16r0000 " invalid " 
                                       "16r6963"    16r6939
                                       "16r6964"    16r0000 " invalid " 
                                       "16r6965"    16r0000 " invalid " 
                                       "16r6966"    16r6938
                                       "16r6967"    16r0000 " invalid " 
                                       "16r6968"    16r0000 " invalid " 
                                       "16r6969"    16r0000 " invalid " 
                                       "16r696A"    16r0000 " invalid " 
                                       "16r696B"    16r692E
                                       "16r696C"    16r0000 " invalid " 
                                       "16r696D"    16r0000 " invalid " 
                                       "16r696E"    16r687A
                                       "16r696F"    16r0000 " invalid " 
                                       "16r6970"    16r0000 " invalid " 
                                       "16r6971"    16r6928
                                       "16r6972"    16r0000 " invalid " 
                                       "16r6973"    16r0000 " invalid " 
                                       "16r6974"    16r0000 " invalid " 
                                       "16r6975"    16r0000 " invalid " 
                                       "16r6976"    16r0000 " invalid " 
                                       "16r6977"    16r3F2C
                                       "16r6978"    16r6931
                                       "16r6979"    16r693A
                                       "16r697A"    16r0000 " invalid " 
                                       "16r697B"    16r0000 " invalid " 
                                       "16r697C"    16r4225
                                       "16r697D"    16r0000 " invalid " 
                                       "16r697E"    16r0000 " invalid " 
                                       "16r697F"    16r0000 " invalid " 
                                       "16r6980"    16r692F
                                       "16r6981"    16r0000 " invalid " 
                                       "16r6982"    16r3845
                                       "16r6983"    16r0000 " invalid " 
                                       "16r6984"    16r692D
                                       "16r6985"    16r0000 " invalid " 
                                       "16r6986"    16r535C
                                       "16r6987"    16r6934
                                       "16r6988"    16r6935
                                       "16r6989"    16r6937
                                       "16r698A"    16r0000 " invalid " 
                                       "16r698B"    16r0000 " invalid " 
                                       "16r698C"    16r0000 " invalid " 
                                       "16r698D"    16r6947
                                       "16r698E"    16r0000 " invalid " 
                                       "16r698F"    16r0000 " invalid " 
                                       "16r6990"    16r0000 " invalid " 
                                       "16r6991"    16r0000 " invalid " 
                                       "16r6992"    16r0000 " invalid " 
                                       "16r6993"    16r0000 " invalid " 
                                       "16r6994"    16r4046
                                       "16r6995"    16r6945
                                       "16r6996"    16r0000 " invalid " 
                                       "16r6997"    16r0000 " invalid " 
                                       "16r6998"    16r6930
                                       "16r6999"    16r0000 " invalid " 
                                       "16r699A"    16r0000 " invalid " 
                                       "16r699B"    16r693B
                                       "16r699C"    16r3071
                                       "16r699D"    16r0000 " invalid " 
                                       "16r699E"    16r0000 " invalid " 
                                       "16r699F"    16r0000 " invalid " 
                                       "16r69A0"    16r0000 " invalid " 
                                       "16r69A1"    16r0000 " invalid " 
                                       "16r69A2"    16r0000 " invalid " 
                                       "16r69A3"    16r0000 " invalid " 
                                       "16r69A4"    16r0000 " invalid " 
                                       "16r69A5"    16r0000 " invalid " 
                                       "16r69A6"    16r0000 " invalid " 
                                       "16r69A7"    16r693C
                                       "16r69A8"    16r5525
                                       "16r69A9"    16r0000 " invalid " 
                                       "16r69AA"    16r0000 " invalid " 
                                       "16r69AB"    16r693E
                                       "16r69AC"    16r0000 " invalid " 
                                       "16r69AD"    16r693F
                                       "16r69AE"    16r0000 " invalid " 
                                       "16r69AF"    16r0000 " invalid " 
                                       "16r69B0"    16r0000 " invalid " 
                                       "16r69B1"    16r6941
                                       "16r69B2"    16r0000 " invalid " 
                                       "16r69B3"    16r0000 " invalid " 
                                       "16r69B4"    16r4171
                                       "16r69B5"    16r0000 " invalid " 
                                       "16r69B6"    16r0000 " invalid " 
                                       "16r69B7"    16r4836
                                       "16r69B8"    16r0000 " invalid " 
                                       "16r69B9"    16r0000 " invalid " 
                                       "16r69BA"    16r0000 " invalid " 
                                       "16r69BB"    16r693D
                                       "16r69BC"    16r0000 " invalid " 
                                       "16r69BD"    16r0000 " invalid " 
                                       "16r69BE"    16r0000 " invalid " 
                                       "16r69BF"    16r0000 " invalid " 
                                       "16r69C0"    16r0000 " invalid " 
                                       "16r69C1"    16r6942
                                       "16r69C2"    16r0000 " invalid " 
                                       "16r69C3"    16r0000 " invalid " 
                                       "16r69C4"    16r0000 " invalid " 
                                       "16r69C5"    16r0000 " invalid " 
                                       "16r69C6"    16r0000 " invalid " 
                                       "16r69C7"    16r0000 " invalid " 
                                       "16r69C8"    16r0000 " invalid " 
                                       "16r69C9"    16r0000 " invalid " 
                                       "16r69CA"    16r6943
                                       "16r69CB"    16r0000 " invalid " 
                                       "16r69CC"    16r6933
                                       "16r69CD"    16r0000 " invalid " 
                                       "16r69CE"    16r6936
                                       "16r69CF"    16r0000 " invalid " 
                                       "16r69D0"    16r3B31
                                       "16r69D1"    16r0000 " invalid " 
                                       "16r69D2"    16r0000 " invalid " 
                                       "16r69D3"    16r0000 " invalid " 
                                       "16r69D4"    16r6940
                                       "16r69D5"    16r0000 " invalid " 
                                       "16r69D6"    16r0000 " invalid " 
                                       "16r69D7"    16r0000 " invalid " 
                                       "16r69D8"    16r0000 " invalid " 
                                       "16r69D9"    16r0000 " invalid " 
                                       "16r69DA"    16r0000 " invalid " 
                                       "16r69DB"    16r3C77
                                       "16r69DC"    16r0000 " invalid " 
                                       "16r69DD"    16r0000 " invalid " 
                                       "16r69DE"    16r0000 " invalid " 
                                       "16r69DF"    16r6944
                                       "16r69E0"    16r6946
                                       "16r69E1"    16r0000 " invalid " 
                                       "16r69E2"    16r0000 " invalid " 
                                       "16r69E3"    16r0000 " invalid " 
                                       "16r69E4"    16r0000 " invalid " 
                                       "16r69E5"    16r0000 " invalid " 
                                       "16r69E6"    16r0000 " invalid " 
                                       "16r69E7"    16r0000 " invalid " 
                                       "16r69E8"    16r0000 " invalid " 
                                       "16r69E9"    16r0000 " invalid " 
                                       "16r69EA"    16r0000 " invalid " 
                                       "16r69EB"    16r0000 " invalid " 
                                       "16r69EC"    16r0000 " invalid " 
                                       "16r69ED"    16r694A
                                       "16r69EE"    16r0000 " invalid " 
                                       "16r69EF"    16r0000 " invalid " 
                                       "16r69F0"    16r0000 " invalid " 
                                       "16r69F1"    16r0000 " invalid " 
                                       "16r69F2"    16r694E
                                       "16r69F3"    16r0000 " invalid " 
                                       "16r69F4"    16r0000 " invalid " 
                                       "16r69F5"    16r0000 " invalid " 
                                       "16r69F6"    16r0000 " invalid " 
                                       "16r69F7"    16r0000 " invalid " 
                                       "16r69F8"    16r0000 " invalid " 
                                       "16r69F9"    16r0000 " invalid " 
                                       "16r69FA"    16r0000 " invalid " 
                                       "16r69FB"    16r0000 " invalid " 
                                       "16r69FC"    16r0000 " invalid " 
                                       "16r69FD"    16r325B
                                       "16r69FE"    16r0000 " invalid " 
                                       "16r69FF"    16r6948
                                       "16r6A00"    16r0000 " invalid " 
                                       "16r6A01"    16r0000 " invalid " 
                                       "16r6A02"    16r0000 " invalid " 
                                       "16r6A03"    16r0000 " invalid " 
                                       "16r6A04"    16r0000 " invalid " 
                                       "16r6A05"    16r0000 " invalid " 
                                       "16r6A06"    16r0000 " invalid " 
                                       "16r6A07"    16r0000 " invalid " 
                                       "16r6A08"    16r0000 " invalid " 
                                       "16r6A09"    16r0000 " invalid " 
                                       "16r6A0A"    16r372E
                                       "16r6A0B"    16r0000 " invalid " 
                                       "16r6A0C"    16r0000 " invalid " 
                                       "16r6A0D"    16r0000 " invalid " 
                                       "16r6A0E"    16r0000 " invalid " 
                                       "16r6A0F"    16r0000 " invalid " 
                                       "16r6A10"    16r0000 " invalid " 
                                       "16r6A11"    16r0000 " invalid " 
                                       "16r6A12"    16r0000 " invalid " 
                                       "16r6A13"    16r0000 " invalid " 
                                       "16r6A14"    16r0000 " invalid " 
                                       "16r6A15"    16r0000 " invalid " 
                                       "16r6A16"    16r0000 " invalid " 
                                       "16r6A17"    16r694B
                                       "16r6A18"    16r694C
                                       "16r6A19"    16r0000 " invalid " 
                                       "16r6A1A"    16r0000 " invalid " 
                                       "16r6A1B"    16r0000 " invalid " 
                                       "16r6A1C"    16r0000 " invalid " 
                                       "16r6A1D"    16r0000 " invalid " 
                                       "16r6A1E"    16r0000 " invalid " 
                                       "16r6A1F"    16r5541
                                       "16r6A20"    16r0000 " invalid " 
                                       "16r6A21"    16r4423
                                       "16r6A22"    16r0000 " invalid " 
                                       "16r6A23"    16r0000 " invalid " 
                                       "16r6A24"    16r0000 " invalid " 
                                       "16r6A25"    16r0000 " invalid " 
                                       "16r6A26"    16r0000 " invalid " 
                                       "16r6A27"    16r0000 " invalid " 
                                       "16r6A28"    16r6958
                                       "16r6A29"    16r0000 " invalid " 
                                       "16r6A2A"    16r3A61
                                       "16r6A2B"    16r0000 " invalid " 
                                       "16r6A2C"    16r0000 " invalid " 
                                       "16r6A2D"    16r0000 " invalid " 
                                       "16r6A2E"    16r0000 " invalid " 
                                       "16r6A2F"    16r6949
                                       "16r6A30"    16r0000 " invalid " 
                                       "16r6A31"    16r5323
                                       "16r6A32"    16r0000 " invalid " 
                                       "16r6A33"    16r0000 " invalid " 
                                       "16r6A34"    16r0000 " invalid " 
                                       "16r6A35"    16r6954
                                       "16r6A36"    16r0000 " invalid " 
                                       "16r6A37"    16r0000 " invalid " 
                                       "16r6A38"    16r0000 " invalid " 
                                       "16r6A39"    16r0000 " invalid " 
                                       "16r6A3A"    16r0000 " invalid " 
                                       "16r6A3B"    16r0000 " invalid " 
                                       "16r6A3C"    16r0000 " invalid " 
                                       "16r6A3D"    16r6957
                                       "16r6A3E"    16r6950
                                       "16r6A3F"    16r0000 " invalid " 
                                       "16r6A40"    16r0000 " invalid " 
                                       "16r6A41"    16r0000 " invalid " 
                                       "16r6A42"    16r0000 " invalid " 
                                       "16r6A43"    16r0000 " invalid " 
                                       "16r6A44"    16r694F
                                       "16r6A45"    16r0000 " invalid " 
                                       "16r6A46"    16r0000 " invalid " 
                                       "16r6A47"    16r4741
                                       "16r6A48"    16r0000 " invalid " 
                                       "16r6A49"    16r0000 " invalid " 
                                       "16r6A4A"    16r0000 " invalid " 
                                       "16r6A4B"    16r0000 " invalid " 
                                       "16r6A4C"    16r0000 " invalid " 
                                       "16r6A4D"    16r0000 " invalid " 
                                       "16r6A4E"    16r0000 " invalid " 
                                       "16r6A4F"    16r0000 " invalid " 
                                       "16r6A50"    16r6952
                                       "16r6A51"    16r0000 " invalid " 
                                       "16r6A52"    16r0000 " invalid " 
                                       "16r6A53"    16r0000 " invalid " 
                                       "16r6A54"    16r0000 " invalid " 
                                       "16r6A55"    16r0000 " invalid " 
                                       "16r6A56"    16r0000 " invalid " 
                                       "16r6A57"    16r0000 " invalid " 
                                       "16r6A58"    16r6959
                                       "16r6A59"    16r3348
                                       "16r6A5A"    16r0000 " invalid " 
                                       "16r6A5B"    16r6953
                                       "16r6A5C"    16r0000 " invalid " 
                                       "16r6A5D"    16r0000 " invalid " 
                                       "16r6A5E"    16r0000 " invalid " 
                                       "16r6A5F"    16r0000 " invalid " 
                                       "16r6A60"    16r0000 " invalid " 
                                       "16r6A61"    16r4F70
                                       "16r6A62"    16r0000 " invalid " 
                                       "16r6A63"    16r0000 " invalid " 
                                       "16r6A64"    16r0000 " invalid " 
                                       "16r6A65"    16r694D
                                       "16r6A66"    16r0000 " invalid " 
                                       "16r6A67"    16r0000 " invalid " 
                                       "16r6A68"    16r0000 " invalid " 
                                       "16r6A69"    16r0000 " invalid " 
                                       "16r6A6A"    16r0000 " invalid " 
                                       "16r6A6B"    16r0000 " invalid " 
                                       "16r6A6C"    16r0000 " invalid " 
                                       "16r6A6D"    16r0000 " invalid " 
                                       "16r6A6E"    16r0000 " invalid " 
                                       "16r6A6F"    16r0000 " invalid " 
                                       "16r6A70"    16r0000 " invalid " 
                                       "16r6A71"    16r3377
                                       "16r6A72"    16r0000 " invalid " 
                                       "16r6A73"    16r0000 " invalid " 
                                       "16r6A74"    16r0000 " invalid " 
                                       "16r6A75"    16r0000 " invalid " 
                                       "16r6A76"    16r0000 " invalid " 
                                       "16r6A77"    16r0000 " invalid " 
                                       "16r6A78"    16r0000 " invalid " 
                                       "16r6A79"    16r6956
                                       "16r6A7A"    16r0000 " invalid " 
                                       "16r6A7B"    16r0000 " invalid " 
                                       "16r6A7C"    16r695A
                                       "16r6A7D"    16r0000 " invalid " 
                                       "16r6A7E"    16r0000 " invalid " 
                                       "16r6A7F"    16r0000 " invalid " 
                                       "16r6A80"    16r4C34
                                       "16r6A81"    16r0000 " invalid " 
                                       "16r6A82"    16r0000 " invalid " 
                                       "16r6A83"    16r0000 " invalid " 
                                       "16r6A84"    16r4F2D
                                       "16r6A85"    16r0000 " invalid " 
                                       "16r6A86"    16r0000 " invalid " 
                                       "16r6A87"    16r0000 " invalid " 
                                       "16r6A88"    16r0000 " invalid " 
                                       "16r6A89"    16r0000 " invalid " 
                                       "16r6A8A"    16r0000 " invalid " 
                                       "16r6A8B"    16r0000 " invalid " 
                                       "16r6A8C"    16r0000 " invalid " 
                                       "16r6A8D"    16r0000 " invalid " 
                                       "16r6A8E"    16r6955
                                       "16r6A8F"    16r0000 " invalid " 
                                       "16r6A90"    16r695C
                                       "16r6A91"    16r695B
                                       "16r6A92"    16r0000 " invalid " 
                                       "16r6A93"    16r0000 " invalid " 
                                       "16r6A94"    16r0000 " invalid " 
                                       "16r6A95"    16r0000 " invalid " 
                                       "16r6A96"    16r0000 " invalid " 
                                       "16r6A97"    16r695E
                                       "16r6A98"    16r0000 " invalid " 
                                       "16r6A99"    16r0000 " invalid " 
                                       "16r6A9A"    16r0000 " invalid " 
                                       "16r6A9B"    16r0000 " invalid " 
                                       "16r6A9C"    16r0000 " invalid " 
                                       "16r6A9D"    16r0000 " invalid " 
                                       "16r6A9E"    16r0000 " invalid " 
                                       "16r6A9F"    16r0000 " invalid " 
                                       "16r6AA0"    16r6951
                                       "16r6AA1"    16r0000 " invalid " 
                                       "16r6AA2"    16r0000 " invalid " 
                                       "16r6AA3"    16r0000 " invalid " 
                                       "16r6AA4"    16r0000 " invalid " 
                                       "16r6AA5"    16r0000 " invalid " 
                                       "16r6AA6"    16r0000 " invalid " 
                                       "16r6AA7"    16r0000 " invalid " 
                                       "16r6AA8"    16r0000 " invalid " 
                                       "16r6AA9"    16r695D
                                       "16r6AAA"    16r0000 " invalid " 
                                       "16r6AAB"    16r695F
                                       "16r6AAC"    16r434A
                                       ) at:(unicode - 16r4DFF).
                                    t == 0 ifFalse:[^ t].
                                    ^ self encodingError
                                ] value.
                            ].
                            unicode <= 16r6B1F ifTrue:[
                                ^ self encodingError
                            ].
                            unicode <= 16r7D2F ifTrue:[
                                [
                                    |t|
                                    t := #(
                                       "16r6B20"    16r4737
                                       "16r6B21"    16r344E
                                       "16r6B22"    16r3B36
                                       "16r6B23"    16r5040
                                       "16r6B24"    16r6C23
                                       "16r6B25"    16r0000 " invalid " 
                                       "16r6B26"    16r0000 " invalid " 
                                       "16r6B27"    16r4537
                                       "16r6B28"    16r0000 " invalid " 
                                       "16r6B29"    16r0000 " invalid " 
                                       "16r6B2A"    16r0000 " invalid " 
                                       "16r6B2B"    16r0000 " invalid " 
                                       "16r6B2C"    16r0000 " invalid " 
                                       "16r6B2D"    16r0000 " invalid " 
                                       "16r6B2E"    16r0000 " invalid " 
                                       "16r6B2F"    16r0000 " invalid " 
                                       "16r6B30"    16r0000 " invalid " 
                                       "16r6B31"    16r0000 " invalid " 
                                       "16r6B32"    16r537B
                                       "16r6B33"    16r0000 " invalid " 
                                       "16r6B34"    16r0000 " invalid " 
                                       "16r6B35"    16r0000 " invalid " 
                                       "16r6B36"    16r0000 " invalid " 
                                       "16r6B37"    16r6C24
                                       "16r6B38"    16r0000 " invalid " 
                                       "16r6B39"    16r6C25
                                       "16r6B3A"    16r465B
                                       "16r6B3B"    16r0000 " invalid " 
                                       "16r6B3C"    16r0000 " invalid " 
                                       "16r6B3D"    16r0000 " invalid " 
                                       "16r6B3E"    16r3F6E
                                       "16r6B3F"    16r0000 " invalid " 
                                       "16r6B40"    16r0000 " invalid " 
                                       "16r6B41"    16r0000 " invalid " 
                                       "16r6B42"    16r0000 " invalid " 
                                       "16r6B43"    16r6C26
                                       "16r6B44"    16r0000 " invalid " 
                                       "16r6B45"    16r0000 " invalid " 
                                       "16r6B46"    16r6C27
                                       "16r6B47"    16r502A
                                       "16r6B48"    16r0000 " invalid " 
                                       "16r6B49"    16r4738
                                       "16r6B4A"    16r0000 " invalid " 
                                       "16r6B4B"    16r0000 " invalid " 
                                       "16r6B4C"    16r3868
                                       "16r6B4D"    16r0000 " invalid " 
                                       "16r6B4E"    16r0000 " invalid " 
                                       "16r6B4F"    16r0000 " invalid " 
                                       "16r6B50"    16r0000 " invalid " 
                                       "16r6B51"    16r0000 " invalid " 
                                       "16r6B52"    16r0000 " invalid " 
                                       "16r6B53"    16r0000 " invalid " 
                                       "16r6B54"    16r0000 " invalid " 
                                       "16r6B55"    16r0000 " invalid " 
                                       "16r6B56"    16r0000 " invalid " 
                                       "16r6B57"    16r0000 " invalid " 
                                       "16r6B58"    16r0000 " invalid " 
                                       "16r6B59"    16r6C28
                                       "16r6B5A"    16r0000 " invalid " 
                                       "16r6B5B"    16r0000 " invalid " 
                                       "16r6B5C"    16r0000 " invalid " 
                                       "16r6B5D"    16r0000 " invalid " 
                                       "16r6B5E"    16r0000 " invalid " 
                                       "16r6B5F"    16r0000 " invalid " 
                                       "16r6B60"    16r0000 " invalid " 
                                       "16r6B61"    16r0000 " invalid " 
                                       "16r6B62"    16r5639
                                       "16r6B63"    16r557D
                                       "16r6B64"    16r344B
                                       "16r6B65"    16r323D
                                       "16r6B66"    16r4E64
                                       "16r6B67"    16r4667
                                       "16r6B68"    16r0000 " invalid " 
                                       "16r6B69"    16r0000 " invalid " 
                                       "16r6B6A"    16r4D61
                                       "16r6B6B"    16r0000 " invalid " 
                                       "16r6B6C"    16r0000 " invalid " 
                                       "16r6B6D"    16r0000 " invalid " 
                                       "16r6B6E"    16r0000 " invalid " 
                                       "16r6B6F"    16r0000 " invalid " 
                                       "16r6B70"    16r0000 " invalid " 
                                       "16r6B71"    16r0000 " invalid " 
                                       "16r6B72"    16r0000 " invalid " 
                                       "16r6B73"    16r0000 " invalid " 
                                       "16r6B74"    16r0000 " invalid " 
                                       "16r6B75"    16r0000 " invalid " 
                                       "16r6B76"    16r0000 " invalid " 
                                       "16r6B77"    16r0000 " invalid " 
                                       "16r6B78"    16r0000 " invalid " 
                                       "16r6B79"    16r3475
                                       "16r6B7A"    16r0000 " invalid " 
                                       "16r6B7B"    16r4B40
                                       "16r6B7C"    16r3C5F
                                       "16r6B7D"    16r0000 " invalid " 
                                       "16r6B7E"    16r0000 " invalid " 
                                       "16r6B7F"    16r0000 " invalid " 
                                       "16r6B80"    16r0000 " invalid " 
                                       "16r6B81"    16r6962
                                       "16r6B82"    16r6963
                                       "16r6B83"    16r516A
                                       "16r6B84"    16r6965
                                       "16r6B85"    16r0000 " invalid " 
                                       "16r6B86"    16r3479
                                       "16r6B87"    16r6964
                                       "16r6B88"    16r0000 " invalid " 
                                       "16r6B89"    16r5133
                                       "16r6B8A"    16r4A62
                                       "16r6B8B"    16r3250
                                       "16r6B8C"    16r0000 " invalid " 
                                       "16r6B8D"    16r6968
                                       "16r6B8E"    16r0000 " invalid " 
                                       "16r6B8F"    16r0000 " invalid " 
                                       "16r6B90"    16r0000 " invalid " 
                                       "16r6B91"    16r0000 " invalid " 
                                       "16r6B92"    16r6966
                                       "16r6B93"    16r6967
                                       "16r6B94"    16r0000 " invalid " 
                                       "16r6B95"    16r0000 " invalid " 
                                       "16r6B96"    16r5633
                                       "16r6B97"    16r0000 " invalid " 
                                       "16r6B98"    16r0000 " invalid " 
                                       "16r6B99"    16r0000 " invalid " 
                                       "16r6B9A"    16r6969
                                       "16r6B9B"    16r696A
                                       "16r6B9C"    16r0000 " invalid " 
                                       "16r6B9D"    16r0000 " invalid " 
                                       "16r6B9E"    16r0000 " invalid " 
                                       "16r6B9F"    16r0000 " invalid " 
                                       "16r6BA0"    16r0000 " invalid " 
                                       "16r6BA1"    16r696B
                                       "16r6BA2"    16r0000 " invalid " 
                                       "16r6BA3"    16r0000 " invalid " 
                                       "16r6BA4"    16r0000 " invalid " 
                                       "16r6BA5"    16r0000 " invalid " 
                                       "16r6BA6"    16r0000 " invalid " 
                                       "16r6BA7"    16r0000 " invalid " 
                                       "16r6BA8"    16r0000 " invalid " 
                                       "16r6BA9"    16r0000 " invalid " 
                                       "16r6BAA"    16r696C
                                       "16r6BAB"    16r0000 " invalid " 
                                       "16r6BAC"    16r0000 " invalid " 
                                       "16r6BAD"    16r0000 " invalid " 
                                       "16r6BAE"    16r0000 " invalid " 
                                       "16r6BAF"    16r0000 " invalid " 
                                       "16r6BB0"    16r0000 " invalid " 
                                       "16r6BB1"    16r0000 " invalid " 
                                       "16r6BB2"    16r0000 " invalid " 
                                       "16r6BB3"    16r6C2F
                                       "16r6BB4"    16r4539
                                       "16r6BB5"    16r364E
                                       "16r6BB6"    16r0000 " invalid " 
                                       "16r6BB7"    16r5273
                                       "16r6BB8"    16r0000 " invalid " 
                                       "16r6BB9"    16r0000 " invalid " 
                                       "16r6BBA"    16r0000 " invalid " 
                                       "16r6BBB"    16r0000 " invalid " 
                                       "16r6BBC"    16r0000 " invalid " 
                                       "16r6BBD"    16r0000 " invalid " 
                                       "16r6BBE"    16r0000 " invalid " 
                                       "16r6BBF"    16r356E
                                       "16r6BC0"    16r0000 " invalid " 
                                       "16r6BC1"    16r3B59
                                       "16r6BC2"    16r6C31
                                       "16r6BC3"    16r0000 " invalid " 
                                       "16r6BC4"    16r0000 " invalid " 
                                       "16r6BC5"    16r5263
                                       "16r6BC6"    16r0000 " invalid " 
                                       "16r6BC7"    16r0000 " invalid " 
                                       "16r6BC8"    16r0000 " invalid " 
                                       "16r6BC9"    16r0000 " invalid " 
                                       "16r6BCA"    16r0000 " invalid " 
                                       "16r6BCB"    16r4E63
                                       "16r6BCC"    16r0000 " invalid " 
                                       "16r6BCD"    16r4438
                                       "16r6BCE"    16r0000 " invalid " 
                                       "16r6BCF"    16r433F
                                       "16r6BD0"    16r0000 " invalid " 
                                       "16r6BD1"    16r0000 " invalid " 
                                       "16r6BD2"    16r363E
                                       "16r6BD3"    16r5839
                                       "16r6BD4"    16r3148
                                       "16r6BD5"    16r314F
                                       "16r6BD6"    16r3151
                                       "16r6BD7"    16r457E
                                       "16r6BD8"    16r0000 " invalid " 
                                       "16r6BD9"    16r3150
                                       "16r6BDA"    16r0000 " invalid " 
                                       "16r6BDB"    16r432B
                                       "16r6BDC"    16r0000 " invalid " 
                                       "16r6BDD"    16r0000 " invalid " 
                                       "16r6BDE"    16r0000 " invalid " 
                                       "16r6BDF"    16r0000 " invalid " 
                                       "16r6BE0"    16r0000 " invalid " 
                                       "16r6BE1"    16r5531
                                       "16r6BE2"    16r0000 " invalid " 
                                       "16r6BE3"    16r0000 " invalid " 
                                       "16r6BE4"    16r0000 " invalid " 
                                       "16r6BE5"    16r0000 " invalid " 
                                       "16r6BE6"    16r0000 " invalid " 
                                       "16r6BE7"    16r0000 " invalid " 
                                       "16r6BE8"    16r0000 " invalid " 
                                       "16r6BE9"    16r0000 " invalid " 
                                       "16r6BEA"    16r6B24
                                       "16r6BEB"    16r3A41
                                       "16r6BEC"    16r0000 " invalid " 
                                       "16r6BED"    16r0000 " invalid " 
                                       "16r6BEE"    16r0000 " invalid " 
                                       "16r6BEF"    16r4C3A
                                       "16r6BF0"    16r0000 " invalid " 
                                       "16r6BF1"    16r0000 " invalid " 
                                       "16r6BF2"    16r0000 " invalid " 
                                       "16r6BF3"    16r6B25
                                       "16r6BF4"    16r0000 " invalid " 
                                       "16r6BF5"    16r6B27
                                       "16r6BF6"    16r0000 " invalid " 
                                       "16r6BF7"    16r0000 " invalid " 
                                       "16r6BF8"    16r0000 " invalid " 
                                       "16r6BF9"    16r6B28
                                       "16r6BFA"    16r0000 " invalid " 
                                       "16r6BFB"    16r0000 " invalid " 
                                       "16r6BFC"    16r0000 " invalid " 
                                       "16r6BFD"    16r6B26
                                       "16r6BFE"    16r0000 " invalid " 
                                       "16r6BFF"    16r0000 " invalid " 
                                       "16r6C00"    16r0000 " invalid " 
                                       "16r6C01"    16r0000 " invalid " 
                                       "16r6C02"    16r0000 " invalid " 
                                       "16r6C03"    16r0000 " invalid " 
                                       "16r6C04"    16r0000 " invalid " 
                                       "16r6C05"    16r6B29
                                       "16r6C06"    16r6B2B
                                       "16r6C07"    16r6B2A
                                       "16r6C08"    16r0000 " invalid " 
                                       "16r6C09"    16r0000 " invalid " 
                                       "16r6C0A"    16r0000 " invalid " 
                                       "16r6C0B"    16r0000 " invalid " 
                                       "16r6C0C"    16r0000 " invalid " 
                                       "16r6C0D"    16r6B2C
                                       "16r6C0E"    16r0000 " invalid " 
                                       "16r6C0F"    16r4A4F
                                       "16r6C10"    16r5835
                                       "16r6C11"    16r4371
                                       "16r6C12"    16r0000 " invalid " 
                                       "16r6C13"    16r4325
                                       "16r6C14"    16r4678
                                       "16r6C15"    16r6B2D
                                       "16r6C16"    16r444A
                                       "16r6C17"    16r0000 " invalid " 
                                       "16r6C18"    16r6B2E
                                       "16r6C19"    16r6B2F
                                       "16r6C1A"    16r6B30
                                       "16r6C1B"    16r3755
                                       "16r6C1C"    16r0000 " invalid " 
                                       "16r6C1D"    16r0000 " invalid " 
                                       "16r6C1E"    16r0000 " invalid " 
                                       "16r6C1F"    16r377A
                                       "16r6C20"    16r0000 " invalid " 
                                       "16r6C21"    16r6B31
                                       "16r6C22"    16r4762
                                       "16r6C23"    16r0000 " invalid " 
                                       "16r6C24"    16r6B33
                                       "16r6C25"    16r0000 " invalid " 
                                       "16r6C26"    16r3A24
                                       "16r6C27"    16r5175
                                       "16r6C28"    16r3031
                                       "16r6C29"    16r6B32
                                       "16r6C2A"    16r6B34
                                       "16r6C2B"    16r0000 " invalid " 
                                       "16r6C2C"    16r0000 " invalid " 
                                       "16r6C2D"    16r0000 " invalid " 
                                       "16r6C2E"    16r352A
                                       "16r6C2F"    16r4248
                                       "16r6C30"    16r4768
                                       "16r6C31"    16r0000 " invalid " 
                                       "16r6C32"    16r6B35
                                       "16r6C33"    16r0000 " invalid " 
                                       "16r6C34"    16r4B2E
                                       "16r6C35"    16r635F
                                       "16r6C36"    16r0000 " invalid " 
                                       "16r6C37"    16r0000 " invalid " 
                                       "16r6C38"    16r5340
                                       "16r6C39"    16r0000 " invalid " 
                                       "16r6C3A"    16r0000 " invalid " 
                                       "16r6C3B"    16r0000 " invalid " 
                                       "16r6C3C"    16r0000 " invalid " 
                                       "16r6C3D"    16r595B
                                       "16r6C3E"    16r0000 " invalid " 
                                       "16r6C3F"    16r0000 " invalid " 
                                       "16r6C40"    16r4D21
                                       "16r6C41"    16r562D
                                       "16r6C42"    16r4773
                                       "16r6C43"    16r0000 " invalid " 
                                       "16r6C44"    16r0000 " invalid " 
                                       "16r6C45"    16r0000 " invalid " 
                                       "16r6C46"    16r5960
                                       "16r6C47"    16r3B63
                                       "16r6C48"    16r0000 " invalid " 
                                       "16r6C49"    16r3A3A
                                       "16r6C4A"    16r6362
                                       "16r6C4B"    16r0000 " invalid " 
                                       "16r6C4C"    16r0000 " invalid " 
                                       "16r6C4D"    16r0000 " invalid " 
                                       "16r6C4E"    16r0000 " invalid " 
                                       "16r6C4F"    16r0000 " invalid " 
                                       "16r6C50"    16r4F2B
                                       "16r6C51"    16r0000 " invalid " 
                                       "16r6C52"    16r0000 " invalid " 
                                       "16r6C53"    16r0000 " invalid " 
                                       "16r6C54"    16r6360
                                       "16r6C55"    16r4947
                                       "16r6C56"    16r0000 " invalid " 
                                       "16r6C57"    16r3A39
                                       "16r6C58"    16r0000 " invalid " 
                                       "16r6C59"    16r0000 " invalid " 
                                       "16r6C5A"    16r0000 " invalid " 
                                       "16r6C5B"    16r5134
                                       "16r6C5C"    16r6361
                                       "16r6C5D"    16r486A
                                       "16r6C5E"    16r392F
                                       "16r6C5F"    16r3D2D
                                       "16r6C60"    16r3358
                                       "16r6C61"    16r4E5B
                                       "16r6C62"    16r0000 " invalid " 
                                       "16r6C63"    16r0000 " invalid " 
                                       "16r6C64"    16r4C40
                                       "16r6C65"    16r0000 " invalid " 
                                       "16r6C66"    16r0000 " invalid " 
                                       "16r6C67"    16r0000 " invalid " 
                                       "16r6C68"    16r6368
                                       "16r6C69"    16r6369
                                       "16r6C6A"    16r4D74
                                       "16r6C6B"    16r0000 " invalid " 
                                       "16r6C6C"    16r0000 " invalid " 
                                       "16r6C6D"    16r0000 " invalid " 
                                       "16r6C6E"    16r0000 " invalid " 
                                       "16r6C6F"    16r0000 " invalid " 
                                       "16r6C70"    16r4C2D
                                       "16r6C71"    16r0000 " invalid " 
                                       "16r6C72"    16r3C33
                                       "16r6C73"    16r0000 " invalid " 
                                       "16r6C74"    16r636A
                                       "16r6C75"    16r0000 " invalid " 
                                       "16r6C76"    16r636B
                                       "16r6C77"    16r0000 " invalid " 
                                       "16r6C78"    16r0000 " invalid " 
                                       "16r6C79"    16r505A
                                       "16r6C7A"    16r0000 " invalid " 
                                       "16r6C7B"    16r0000 " invalid " 
                                       "16r6C7C"    16r0000 " invalid " 
                                       "16r6C7D"    16r467B
                                       "16r6C7E"    16r375A
                                       "16r6C7F"    16r0000 " invalid " 
                                       "16r6C80"    16r0000 " invalid " 
                                       "16r6C81"    16r475F
                                       "16r6C82"    16r524A
                                       "16r6C83"    16r4E56
                                       "16r6C84"    16r0000 " invalid " 
                                       "16r6C85"    16r6364
                                       "16r6C86"    16r636C
                                       "16r6C87"    16r0000 " invalid " 
                                       "16r6C88"    16r4972
                                       "16r6C89"    16r3341
                                       "16r6C8A"    16r0000 " invalid " 
                                       "16r6C8B"    16r0000 " invalid " 
                                       "16r6C8C"    16r6367
                                       "16r6C8D"    16r0000 " invalid " 
                                       "16r6C8E"    16r0000 " invalid " 
                                       "16r6C8F"    16r4663
                                       "16r6C90"    16r6365
                                       "16r6C91"    16r0000 " invalid " 
                                       "16r6C92"    16r0000 " invalid " 
                                       "16r6C93"    16r6D33
                                       "16r6C94"    16r6366
                                       "16r6C95"    16r0000 " invalid " 
                                       "16r6C96"    16r0000 " invalid " 
                                       "16r6C97"    16r0000 " invalid " 
                                       "16r6C98"    16r0000 " invalid " 
                                       "16r6C99"    16r4933
                                       "16r6C9A"    16r0000 " invalid " 
                                       "16r6C9B"    16r4566
                                       "16r6C9C"    16r0000 " invalid " 
                                       "16r6C9D"    16r0000 " invalid " 
                                       "16r6C9E"    16r0000 " invalid " 
                                       "16r6C9F"    16r3935
                                       "16r6CA0"    16r0000 " invalid " 
                                       "16r6CA1"    16r433B
                                       "16r6CA2"    16r0000 " invalid " 
                                       "16r6CA3"    16r6363
                                       "16r6CA4"    16r453D
                                       "16r6CA5"    16r4124
                                       "16r6CA6"    16r4259
                                       "16r6CA7"    16r3257
                                       "16r6CA8"    16r0000 " invalid " 
                                       "16r6CA9"    16r636D
                                       "16r6CAA"    16r3B26
                                       "16r6CAB"    16r442D
                                       "16r6CAC"    16r0000 " invalid " 
                                       "16r6CAD"    16r6370
                                       "16r6CAE"    16r3E5A
                                       "16r6CAF"    16r0000 " invalid " 
                                       "16r6CB0"    16r0000 " invalid " 
                                       "16r6CB1"    16r637B
                                       "16r6CB2"    16r6375
                                       "16r6CB3"    16r3A53
                                       "16r6CB4"    16r0000 " invalid " 
                                       "16r6CB5"    16r0000 " invalid " 
                                       "16r6CB6"    16r0000 " invalid " 
                                       "16r6CB7"    16r0000 " invalid " 
                                       "16r6CB8"    16r3750
                                       "16r6CB9"    16r534D
                                       "16r6CBA"    16r0000 " invalid " 
                                       "16r6CBB"    16r564E
                                       "16r6CBC"    16r5553
                                       "16r6CBD"    16r3941
                                       "16r6CBE"    16r5534
                                       "16r6CBF"    16r5158
                                       "16r6CC0"    16r0000 " invalid " 
                                       "16r6CC1"    16r0000 " invalid " 
                                       "16r6CC2"    16r0000 " invalid " 
                                       "16r6CC3"    16r0000 " invalid " 
                                       "16r6CC4"    16r5039
                                       "16r6CC5"    16r4776
                                       "16r6CC6"    16r0000 " invalid " 
                                       "16r6CC7"    16r0000 " invalid " 
                                       "16r6CC8"    16r0000 " invalid " 
                                       "16r6CC9"    16r482A
                                       "16r6CCA"    16r3234
                                       "16r6CCB"    16r0000 " invalid " 
                                       "16r6CCC"    16r435A
                                       "16r6CCD"    16r0000 " invalid " 
                                       "16r6CCE"    16r0000 " invalid " 
                                       "16r6CCF"    16r0000 " invalid " 
                                       "16r6CD0"    16r636E
                                       "16r6CD1"    16r0000 " invalid " 
                                       "16r6CD2"    16r0000 " invalid " 
                                       "16r6CD3"    16r637C
                                       "16r6CD4"    16r636F
                                       "16r6CD5"    16r3728
                                       "16r6CD6"    16r6377
                                       "16r6CD7"    16r6374
                                       "16r6CD8"    16r0000 " invalid " 
                                       "16r6CD9"    16r0000 " invalid " 
                                       "16r6CDA"    16r0000 " invalid " 
                                       "16r6CDB"    16r373A
                                       "16r6CDC"    16r0000 " invalid " 
                                       "16r6CDD"    16r0000 " invalid " 
                                       "16r6CDE"    16r4522
                                       "16r6CDF"    16r0000 " invalid " 
                                       "16r6CE0"    16r6376
                                       "16r6CE1"    16r455D
                                       "16r6CE2"    16r3228
                                       "16r6CE3"    16r467C
                                       "16r6CE4"    16r0000 " invalid " 
                                       "16r6CE5"    16r4460
                                       "16r6CE6"    16r0000 " invalid " 
                                       "16r6CE7"    16r0000 " invalid " 
                                       "16r6CE8"    16r5722
                                       "16r6CE9"    16r0000 " invalid " 
                                       "16r6CEA"    16r4061
                                       "16r6CEB"    16r6379
                                       "16r6CEC"    16r0000 " invalid " 
                                       "16r6CED"    16r0000 " invalid " 
                                       "16r6CEE"    16r637A
                                       "16r6CEF"    16r637D
                                       "16r6CF0"    16r4C29
                                       "16r6CF1"    16r6373
                                       "16r6CF2"    16r0000 " invalid " 
                                       "16r6CF3"    16r533E
                                       "16r6CF4"    16r0000 " invalid " 
                                       "16r6CF5"    16r3143
                                       "16r6CF6"    16r6D34
                                       "16r6CF7"    16r6371
                                       "16r6CF8"    16r6372
                                       "16r6CF9"    16r0000 " invalid " 
                                       "16r6CFA"    16r6378
                                       "16r6CFB"    16r503A
                                       "16r6CFC"    16r4643
                                       "16r6CFD"    16r5473
                                       "16r6CFE"    16r637E
                                       "16r6CFF"    16r0000 " invalid " 
                                       "16r6D00"    16r0000 " invalid " 
                                       "16r6D01"    16r3D60
                                       "16r6D02"    16r0000 " invalid " 
                                       "16r6D03"    16r0000 " invalid " 
                                       "16r6D04"    16r6427
                                       "16r6D05"    16r0000 " invalid " 
                                       "16r6D06"    16r0000 " invalid " 
                                       "16r6D07"    16r6426
                                       "16r6D08"    16r0000 " invalid " 
                                       "16r6D09"    16r0000 " invalid " 
                                       "16r6D0A"    16r0000 " invalid " 
                                       "16r6D0B"    16r5173
                                       "16r6D0C"    16r6423
                                       "16r6D0D"    16r0000 " invalid " 
                                       "16r6D0E"    16r6429
                                       "16r6D0F"    16r0000 " invalid " 
                                       "16r6D10"    16r0000 " invalid " 
                                       "16r6D11"    16r0000 " invalid " 
                                       "16r6D12"    16r4877
                                       "16r6D13"    16r0000 " invalid " 
                                       "16r6D14"    16r0000 " invalid " 
                                       "16r6D15"    16r0000 " invalid " 
                                       "16r6D16"    16r0000 " invalid " 
                                       "16r6D17"    16r4F34
                                       "16r6D18"    16r0000 " invalid " 
                                       "16r6D19"    16r6428
                                       "16r6D1A"    16r642E
                                       "16r6D1B"    16r4265
                                       "16r6D1C"    16r0000 " invalid " 
                                       "16r6D1D"    16r0000 " invalid " 
                                       "16r6D1E"    16r3634
                                       "16r6D1F"    16r0000 " invalid " 
                                       "16r6D20"    16r0000 " invalid " 
                                       "16r6D21"    16r0000 " invalid " 
                                       "16r6D22"    16r0000 " invalid " 
                                       "16r6D23"    16r0000 " invalid " 
                                       "16r6D24"    16r0000 " invalid " 
                                       "16r6D25"    16r3D72
                                       "16r6D26"    16r0000 " invalid " 
                                       "16r6D27"    16r6422
                                       "16r6D28"    16r0000 " invalid " 
                                       "16r6D29"    16r0000 " invalid " 
                                       "16r6D2A"    16r3A69
                                       "16r6D2B"    16r642A
                                       "16r6D2C"    16r0000 " invalid " 
                                       "16r6D2D"    16r0000 " invalid " 
                                       "16r6D2E"    16r642C
                                       "16r6D2F"    16r0000 " invalid " 
                                       "16r6D30"    16r0000 " invalid " 
                                       "16r6D31"    16r367D
                                       "16r6D32"    16r565E
                                       "16r6D33"    16r6432
                                       "16r6D34"    16r0000 " invalid " 
                                       "16r6D35"    16r642D
                                       "16r6D36"    16r0000 " invalid " 
                                       "16r6D37"    16r0000 " invalid " 
                                       "16r6D38"    16r0000 " invalid " 
                                       "16r6D39"    16r6421
                                       "16r6D3A"    16r0000 " invalid " 
                                       "16r6D3B"    16r3B6E
                                       "16r6D3C"    16r4D5D
                                       "16r6D3D"    16r4722
                                       "16r6D3E"    16r4549
                                       "16r6D3F"    16r0000 " invalid " 
                                       "16r6D40"    16r0000 " invalid " 
                                       "16r6D41"    16r4177
                                       "16r6D42"    16r0000 " invalid " 
                                       "16r6D43"    16r6424
                                       "16r6D44"    16r0000 " invalid " 
                                       "16r6D45"    16r4733
                                       "16r6D46"    16r3D2C
                                       "16r6D47"    16r3D3D
                                       "16r6D48"    16r6425
                                       "16r6D49"    16r0000 " invalid " 
                                       "16r6D4A"    16r5747
                                       "16r6D4B"    16r3262
                                       "16r6D4C"    16r0000 " invalid " 
                                       "16r6D4D"    16r642B
                                       "16r6D4E"    16r3C43
                                       "16r6D4F"    16r642F
                                       "16r6D50"    16r0000 " invalid " 
                                       "16r6D51"    16r3B6B
                                       "16r6D52"    16r6430
                                       "16r6D53"    16r4528
                                       "16r6D54"    16r6431
                                       "16r6D55"    16r0000 " invalid " 
                                       "16r6D56"    16r0000 " invalid " 
                                       "16r6D57"    16r0000 " invalid " 
                                       "16r6D58"    16r0000 " invalid " 
                                       "16r6D59"    16r5563
                                       "16r6D5A"    16r3F23
                                       "16r6D5B"    16r0000 " invalid " 
                                       "16r6D5C"    16r643A
                                       "16r6D5D"    16r0000 " invalid " 
                                       "16r6D5E"    16r6437
                                       "16r6D5F"    16r0000 " invalid " 
                                       "16r6D60"    16r643B
                                       "16r6D61"    16r0000 " invalid " 
                                       "16r6D62"    16r0000 " invalid " 
                                       "16r6D63"    16r643D
                                       "16r6D64"    16r0000 " invalid " 
                                       "16r6D65"    16r0000 " invalid " 
                                       "16r6D66"    16r4656
                                       "16r6D67"    16r0000 " invalid " 
                                       "16r6D68"    16r0000 " invalid " 
                                       "16r6D69"    16r3A46
                                       "16r6D6A"    16r404B
                                       "16r6D6B"    16r0000 " invalid " 
                                       "16r6D6C"    16r0000 " invalid " 
                                       "16r6D6D"    16r0000 " invalid " 
                                       "16r6D6E"    16r3821
                                       "16r6D6F"    16r6434
                                       "16r6D70"    16r0000 " invalid " 
                                       "16r6D71"    16r0000 " invalid " 
                                       "16r6D72"    16r0000 " invalid " 
                                       "16r6D73"    16r0000 " invalid " 
                                       "16r6D74"    16r5421
                                       "16r6D75"    16r0000 " invalid " 
                                       "16r6D76"    16r0000 " invalid " 
                                       "16r6D77"    16r3A23
                                       "16r6D78"    16r3D7E
                                       "16r6D79"    16r0000 " invalid " 
                                       "16r6D7A"    16r0000 " invalid " 
                                       "16r6D7B"    16r0000 " invalid " 
                                       "16r6D7C"    16r643C
                                       "16r6D7D"    16r0000 " invalid " 
                                       "16r6D7E"    16r0000 " invalid " 
                                       "16r6D7F"    16r0000 " invalid " 
                                       "16r6D80"    16r0000 " invalid " 
                                       "16r6D81"    16r0000 " invalid " 
                                       "16r6D82"    16r4D3F
                                       "16r6D83"    16r0000 " invalid " 
                                       "16r6D84"    16r0000 " invalid " 
                                       "16r6D85"    16r4479
                                       "16r6D86"    16r0000 " invalid " 
                                       "16r6D87"    16r0000 " invalid " 
                                       "16r6D88"    16r4F7B
                                       "16r6D89"    16r4966
                                       "16r6D8A"    16r0000 " invalid " 
                                       "16r6D8B"    16r0000 " invalid " 
                                       "16r6D8C"    16r533F
                                       "16r6D8D"    16r0000 " invalid " 
                                       "16r6D8E"    16r4F51
                                       "16r6D8F"    16r0000 " invalid " 
                                       "16r6D90"    16r0000 " invalid " 
                                       "16r6D91"    16r6433
                                       "16r6D92"    16r0000 " invalid " 
                                       "16r6D93"    16r6438
                                       "16r6D94"    16r6439
                                       "16r6D95"    16r4C69
                                       "16r6D96"    16r0000 " invalid " 
                                       "16r6D97"    16r0000 " invalid " 
                                       "16r6D98"    16r0000 " invalid " 
                                       "16r6D99"    16r0000 " invalid " 
                                       "16r6D9A"    16r0000 " invalid " 
                                       "16r6D9B"    16r4C4E
                                       "16r6D9C"    16r0000 " invalid " 
                                       "16r6D9D"    16r4054
                                       "16r6D9E"    16r6435
                                       "16r6D9F"    16r4130
                                       "16r6DA0"    16r6436
                                       "16r6DA1"    16r4E50
                                       "16r6DA2"    16r0000 " invalid " 
                                       "16r6DA3"    16r3B41
                                       "16r6DA4"    16r3553
                                       "16r6DA5"    16r0000 " invalid " 
                                       "16r6DA6"    16r4873
                                       "16r6DA7"    16r3D27
                                       "16r6DA8"    16r5547
                                       "16r6DA9"    16r492C
                                       "16r6DAA"    16r3822
                                       "16r6DAB"    16r644A
                                       "16r6DAC"    16r0000 " invalid " 
                                       "16r6DAD"    16r0000 " invalid " 
                                       "16r6DAE"    16r644C
                                       "16r6DAF"    16r5144
                                       "16r6DB0"    16r0000 " invalid " 
                                       "16r6DB1"    16r0000 " invalid " 
                                       "16r6DB2"    16r523A
                                       "16r6DB3"    16r0000 " invalid " 
                                       "16r6DB4"    16r0000 " invalid " 
                                       "16r6DB5"    16r3A2D
                                       "16r6DB6"    16r0000 " invalid " 
                                       "16r6DB7"    16r0000 " invalid " 
                                       "16r6DB8"    16r3A54
                                       "16r6DB9"    16r0000 " invalid " 
                                       "16r6DBA"    16r0000 " invalid " 
                                       "16r6DBB"    16r0000 " invalid " 
                                       "16r6DBC"    16r0000 " invalid " 
                                       "16r6DBD"    16r0000 " invalid " 
                                       "16r6DBE"    16r0000 " invalid " 
                                       "16r6DBF"    16r6443
                                       "16r6DC0"    16r356D
                                       "16r6DC1"    16r0000 " invalid " 
                                       "16r6DC2"    16r0000 " invalid " 
                                       "16r6DC3"    16r0000 " invalid " 
                                       "16r6DC4"    16r574D
                                       "16r6DC5"    16r6440
                                       "16r6DC6"    16r4F7D
                                       "16r6DC7"    16r643F
                                       "16r6DC8"    16r0000 " invalid " 
                                       "16r6DC9"    16r0000 " invalid " 
                                       "16r6DCA"    16r0000 " invalid " 
                                       "16r6DCB"    16r415C
                                       "16r6DCC"    16r4C4A
                                       "16r6DCD"    16r0000 " invalid " 
                                       "16r6DCE"    16r0000 " invalid " 
                                       "16r6DCF"    16r0000 " invalid " 
                                       "16r6DD0"    16r0000 " invalid " 
                                       "16r6DD1"    16r4A67
                                       "16r6DD2"    16r0000 " invalid " 
                                       "16r6DD3"    16r0000 " invalid " 
                                       "16r6DD4"    16r0000 " invalid " 
                                       "16r6DD5"    16r0000 " invalid " 
                                       "16r6DD6"    16r4457
                                       "16r6DD7"    16r0000 " invalid " 
                                       "16r6DD8"    16r4C54
                                       "16r6DD9"    16r6448
                                       "16r6DDA"    16r0000 " invalid " 
                                       "16r6DDB"    16r0000 " invalid " 
                                       "16r6DDC"    16r0000 " invalid " 
                                       "16r6DDD"    16r6447
                                       "16r6DDE"    16r6441
                                       "16r6DDF"    16r0000 " invalid " 
                                       "16r6DE0"    16r6444
                                       "16r6DE1"    16r352D
                                       "16r6DE2"    16r0000 " invalid " 
                                       "16r6DE3"    16r0000 " invalid " 
                                       "16r6DE4"    16r5359
                                       "16r6DE5"    16r0000 " invalid " 
                                       "16r6DE6"    16r6446
                                       "16r6DE7"    16r0000 " invalid " 
                                       "16r6DE8"    16r0000 " invalid " 
                                       "16r6DE9"    16r0000 " invalid " 
                                       "16r6DEA"    16r0000 " invalid " 
                                       "16r6DEB"    16r5279
                                       "16r6DEC"    16r3463
                                       "16r6DED"    16r0000 " invalid " 
                                       "16r6DEE"    16r3B34
                                       "16r6DEF"    16r0000 " invalid " 
                                       "16r6DF0"    16r0000 " invalid " 
                                       "16r6DF1"    16r496E
                                       "16r6DF2"    16r0000 " invalid " 
                                       "16r6DF3"    16r343E
                                       "16r6DF4"    16r0000 " invalid " 
                                       "16r6DF5"    16r0000 " invalid " 
                                       "16r6DF6"    16r0000 " invalid " 
                                       "16r6DF7"    16r3B6C
                                       "16r6DF8"    16r0000 " invalid " 
                                       "16r6DF9"    16r514D
                                       "16r6DFA"    16r0000 " invalid " 
                                       "16r6DFB"    16r4C6D
                                       "16r6DFC"    16r6D35
                                       "16r6DFD"    16r0000 " invalid " 
                                       "16r6DFE"    16r0000 " invalid " 
                                       "16r6DFF"    16r0000 " invalid " 
                                       "16r6E00"    16r0000 " invalid " 
                                       "16r6E01"    16r0000 " invalid " 
                                       "16r6E02"    16r0000 " invalid " 
                                       "16r6E03"    16r0000 " invalid " 
                                       "16r6E04"    16r0000 " invalid " 
                                       "16r6E05"    16r4765
                                       "16r6E06"    16r0000 " invalid " 
                                       "16r6E07"    16r0000 " invalid " 
                                       "16r6E08"    16r0000 " invalid " 
                                       "16r6E09"    16r0000 " invalid " 
                                       "16r6E0A"    16r5428
                                       "16r6E0B"    16r0000 " invalid " 
                                       "16r6E0C"    16r644B
                                       "16r6E0D"    16r5755
                                       "16r6E0E"    16r6442
                                       "16r6E0F"    16r0000 " invalid " 
                                       "16r6E10"    16r3D25
                                       "16r6E11"    16r6445
                                       "16r6E12"    16r0000 " invalid " 
                                       "16r6E13"    16r0000 " invalid " 
                                       "16r6E14"    16r5366
                                       "16r6E15"    16r0000 " invalid " 
                                       "16r6E16"    16r6449
                                       "16r6E17"    16r4978
                                       "16r6E18"    16r0000 " invalid " 
                                       "16r6E19"    16r0000 " invalid " 
                                       "16r6E1A"    16r643E
                                       "16r6E1B"    16r0000 " invalid " 
                                       "16r6E1C"    16r0000 " invalid " 
                                       "16r6E1D"    16r5365
                                       "16r6E1E"    16r0000 " invalid " 
                                       "16r6E1F"    16r0000 " invalid " 
                                       "16r6E20"    16r477E
                                       "16r6E21"    16r3649
                                       "16r6E22"    16r0000 " invalid " 
                                       "16r6E23"    16r547C
                                       "16r6E24"    16r3233
                                       "16r6E25"    16r6457
                                       "16r6E26"    16r0000 " invalid " 
                                       "16r6E27"    16r0000 " invalid " 
                                       "16r6E28"    16r0000 " invalid " 
                                       "16r6E29"    16r4E42
                                       "16r6E2A"    16r0000 " invalid " 
                                       "16r6E2B"    16r644D
                                       "16r6E2C"    16r0000 " invalid " 
                                       "16r6E2D"    16r4E3C
                                       "16r6E2E"    16r0000 " invalid " 
                                       "16r6E2F"    16r385B
                                       "16r6E30"    16r0000 " invalid " 
                                       "16r6E31"    16r0000 " invalid " 
                                       "16r6E32"    16r6456
                                       "16r6E33"    16r0000 " invalid " 
                                       "16r6E34"    16r3F4A
                                       "16r6E35"    16r0000 " invalid " 
                                       "16r6E36"    16r0000 " invalid " 
                                       "16r6E37"    16r0000 " invalid " 
                                       "16r6E38"    16r534E
                                       "16r6E39"    16r0000 " invalid " 
                                       "16r6E3A"    16r436C
                                       "16r6E3B"    16r0000 " invalid " 
                                       "16r6E3C"    16r0000 " invalid " 
                                       "16r6E3D"    16r0000 " invalid " 
                                       "16r6E3E"    16r0000 " invalid " 
                                       "16r6E3F"    16r0000 " invalid " 
                                       "16r6E40"    16r0000 " invalid " 
                                       "16r6E41"    16r0000 " invalid " 
                                       "16r6E42"    16r0000 " invalid " 
                                       "16r6E43"    16r4548
                                       "16r6E44"    16r6458
                                       "16r6E45"    16r0000 " invalid " 
                                       "16r6E46"    16r0000 " invalid " 
                                       "16r6E47"    16r0000 " invalid " 
                                       "16r6E48"    16r0000 " invalid " 
                                       "16r6E49"    16r0000 " invalid " 
                                       "16r6E4A"    16r0000 " invalid " 
                                       "16r6E4B"    16r0000 " invalid " 
                                       "16r6E4C"    16r0000 " invalid " 
                                       "16r6E4D"    16r4D44
                                       "16r6E4E"    16r644F
                                       "16r6E4F"    16r0000 " invalid " 
                                       "16r6E50"    16r0000 " invalid " 
                                       "16r6E51"    16r0000 " invalid " 
                                       "16r6E52"    16r0000 " invalid " 
                                       "16r6E53"    16r6454
                                       "16r6E54"    16r6455
                                       "16r6E55"    16r0000 " invalid " 
                                       "16r6E56"    16r3A7E
                                       "16r6E57"    16r0000 " invalid " 
                                       "16r6E58"    16r4F66
                                       "16r6E59"    16r0000 " invalid " 
                                       "16r6E5A"    16r0000 " invalid " 
                                       "16r6E5B"    16r553F
                                       "16r6E5C"    16r0000 " invalid " 
                                       "16r6E5D"    16r0000 " invalid " 
                                       "16r6E5E"    16r0000 " invalid " 
                                       "16r6E5F"    16r6452
                                       "16r6E60"    16r0000 " invalid " 
                                       "16r6E61"    16r0000 " invalid " 
                                       "16r6E62"    16r0000 " invalid " 
                                       "16r6E63"    16r0000 " invalid " 
                                       "16r6E64"    16r0000 " invalid " 
                                       "16r6E65"    16r0000 " invalid " 
                                       "16r6E66"    16r0000 " invalid " 
                                       "16r6E67"    16r0000 " invalid " 
                                       "16r6E68"    16r0000 " invalid " 
                                       "16r6E69"    16r0000 " invalid " 
                                       "16r6E6A"    16r0000 " invalid " 
                                       "16r6E6B"    16r6450
                                       "16r6E6C"    16r0000 " invalid " 
                                       "16r6E6D"    16r0000 " invalid " 
                                       "16r6E6E"    16r644E
                                       "16r6E6F"    16r0000 " invalid " 
                                       "16r6E70"    16r0000 " invalid " 
                                       "16r6E71"    16r0000 " invalid " 
                                       "16r6E72"    16r0000 " invalid " 
                                       "16r6E73"    16r0000 " invalid " 
                                       "16r6E74"    16r0000 " invalid " 
                                       "16r6E75"    16r0000 " invalid " 
                                       "16r6E76"    16r0000 " invalid " 
                                       "16r6E77"    16r0000 " invalid " 
                                       "16r6E78"    16r0000 " invalid " 
                                       "16r6E79"    16r0000 " invalid " 
                                       "16r6E7A"    16r0000 " invalid " 
                                       "16r6E7B"    16r0000 " invalid " 
                                       "16r6E7C"    16r0000 " invalid " 
                                       "16r6E7D"    16r0000 " invalid " 
                                       "16r6E7E"    16r4D65
                                       "16r6E7F"    16r4A2A
                                       "16r6E80"    16r0000 " invalid " 
                                       "16r6E81"    16r0000 " invalid " 
                                       "16r6E82"    16r0000 " invalid " 
                                       "16r6E83"    16r4023
                                       "16r6E84"    16r0000 " invalid " 
                                       "16r6E85"    16r3D26
                                       "16r6E86"    16r6453
                                       "16r6E87"    16r0000 " invalid " 
                                       "16r6E88"    16r0000 " invalid " 
                                       "16r6E89"    16r3848
                                       "16r6E8A"    16r0000 " invalid " 
                                       "16r6E8B"    16r0000 " invalid " 
                                       "16r6E8C"    16r0000 " invalid " 
                                       "16r6E8D"    16r0000 " invalid " 
                                       "16r6E8E"    16r0000 " invalid " 
                                       "16r6E8F"    16r6467
                                       "16r6E90"    16r5434
                                       "16r6E91"    16r0000 " invalid " 
                                       "16r6E92"    16r0000 " invalid " 
                                       "16r6E93"    16r0000 " invalid " 
                                       "16r6E94"    16r0000 " invalid " 
                                       "16r6E95"    16r0000 " invalid " 
                                       "16r6E96"    16r0000 " invalid " 
                                       "16r6E97"    16r0000 " invalid " 
                                       "16r6E98"    16r645B
                                       "16r6E99"    16r0000 " invalid " 
                                       "16r6E9A"    16r0000 " invalid " 
                                       "16r6E9B"    16r0000 " invalid " 
                                       "16r6E9C"    16r416F
                                       "16r6E9D"    16r0000 " invalid " 
                                       "16r6E9E"    16r0000 " invalid " 
                                       "16r6E9F"    16r6469
                                       "16r6EA0"    16r0000 " invalid " 
                                       "16r6EA1"    16r0000 " invalid " 
                                       "16r6EA2"    16r5267
                                       "16r6EA3"    16r0000 " invalid " 
                                       "16r6EA4"    16r0000 " invalid " 
                                       "16r6EA5"    16r645F
                                       "16r6EA6"    16r0000 " invalid " 
                                       "16r6EA7"    16r6460
                                       "16r6EA8"    16r0000 " invalid " 
                                       "16r6EA9"    16r0000 " invalid " 
                                       "16r6EAA"    16r4F2A
                                       "16r6EAB"    16r0000 " invalid " 
                                       "16r6EAC"    16r0000 " invalid " 
                                       "16r6EAD"    16r0000 " invalid " 
                                       "16r6EAE"    16r0000 " invalid " 
                                       "16r6EAF"    16r4B5D
                                       "16r6EB0"    16r0000 " invalid " 
                                       "16r6EB1"    16r645A
                                       "16r6EB2"    16r6451
                                       "16r6EB3"    16r0000 " invalid " 
                                       "16r6EB4"    16r6465
                                       "16r6EB5"    16r0000 " invalid " 
                                       "16r6EB6"    16r485C
                                       "16r6EB7"    16r6463
                                       "16r6EB8"    16r0000 " invalid " 
                                       "16r6EB9"    16r0000 " invalid " 
                                       "16r6EBA"    16r4467
                                       "16r6EBB"    16r6462
                                       "16r6EBC"    16r0000 " invalid " 
                                       "16r6EBD"    16r6461
                                       "16r6EBE"    16r0000 " invalid " 
                                       "16r6EBF"    16r0000 " invalid " 
                                       "16r6EC0"    16r0000 " invalid " 
                                       "16r6EC1"    16r337C
                                       "16r6EC2"    16r6468
                                       "16r6EC3"    16r0000 " invalid " 
                                       "16r6EC4"    16r0000 " invalid " 
                                       "16r6EC5"    16r0000 " invalid " 
                                       "16r6EC6"    16r0000 " invalid " 
                                       "16r6EC7"    16r3561
                                       "16r6EC8"    16r0000 " invalid " 
                                       "16r6EC9"    16r0000 " invalid " 
                                       "16r6ECA"    16r0000 " invalid " 
                                       "16r6ECB"    16r574C
                                       "16r6ECC"    16r0000 " invalid " 
                                       "16r6ECD"    16r0000 " invalid " 
                                       "16r6ECE"    16r0000 " invalid " 
                                       "16r6ECF"    16r6466
                                       "16r6ED0"    16r0000 " invalid " 
                                       "16r6ED1"    16r3B2C
                                       "16r6ED2"    16r0000 " invalid " 
                                       "16r6ED3"    16r5752
                                       "16r6ED4"    16r4C4F
                                       "16r6ED5"    16r6B78
                                       "16r6ED6"    16r0000 " invalid " 
                                       "16r6ED7"    16r6464
                                       "16r6ED8"    16r0000 " invalid " 
                                       "16r6ED9"    16r0000 " invalid " 
                                       "16r6EDA"    16r3976
                                       "16r6EDB"    16r0000 " invalid " 
                                       "16r6EDC"    16r0000 " invalid " 
                                       "16r6EDD"    16r0000 " invalid " 
                                       "16r6EDE"    16r564D
                                       "16r6EDF"    16r6459
                                       "16r6EE0"    16r645C
                                       "16r6EE1"    16r427A
                                       "16r6EE2"    16r645E
                                       "16r6EE3"    16r0000 " invalid " 
                                       "16r6EE4"    16r424B
                                       "16r6EE5"    16r4044
                                       "16r6EE6"    16r4250
                                       "16r6EE7"    16r0000 " invalid " 
                                       "16r6EE8"    16r3175
                                       "16r6EE9"    16r4C32
                                       "16r6EEA"    16r0000 " invalid " 
                                       "16r6EEB"    16r0000 " invalid " 
                                       "16r6EEC"    16r0000 " invalid " 
                                       "16r6EED"    16r0000 " invalid " 
                                       "16r6EEE"    16r0000 " invalid " 
                                       "16r6EEF"    16r0000 " invalid " 
                                       "16r6EF0"    16r0000 " invalid " 
                                       "16r6EF1"    16r0000 " invalid " 
                                       "16r6EF2"    16r0000 " invalid " 
                                       "16r6EF3"    16r0000 " invalid " 
                                       "16r6EF4"    16r354E
                                       "16r6EF5"    16r0000 " invalid " 
                                       "16r6EF6"    16r0000 " invalid " 
                                       "16r6EF7"    16r0000 " invalid " 
                                       "16r6EF8"    16r0000 " invalid " 
                                       "16r6EF9"    16r646F
                                       "16r6EFA"    16r0000 " invalid " 
                                       "16r6EFB"    16r0000 " invalid " 
                                       "16r6EFC"    16r0000 " invalid " 
                                       "16r6EFD"    16r0000 " invalid " 
                                       "16r6EFE"    16r0000 " invalid " 
                                       "16r6EFF"    16r0000 " invalid " 
                                       "16r6F00"    16r0000 " invalid " 
                                       "16r6F01"    16r0000 " invalid " 
                                       "16r6F02"    16r462F
                                       "16r6F03"    16r0000 " invalid " 
                                       "16r6F04"    16r0000 " invalid " 
                                       "16r6F05"    16r0000 " invalid " 
                                       "16r6F06"    16r4661
                                       "16r6F07"    16r0000 " invalid " 
                                       "16r6F08"    16r0000 " invalid " 
                                       "16r6F09"    16r6475
                                       "16r6F0A"    16r0000 " invalid " 
                                       "16r6F0B"    16r0000 " invalid " 
                                       "16r6F0C"    16r0000 " invalid " 
                                       "16r6F0D"    16r0000 " invalid " 
                                       "16r6F0E"    16r0000 " invalid " 
                                       "16r6F0F"    16r4229
                                       "16r6F10"    16r0000 " invalid " 
                                       "16r6F11"    16r0000 " invalid " 
                                       "16r6F12"    16r0000 " invalid " 
                                       "16r6F13"    16r406C
                                       "16r6F14"    16r515D
                                       "16r6F15"    16r646E
                                       "16r6F16"    16r0000 " invalid " 
                                       "16r6F17"    16r0000 " invalid " 
                                       "16r6F18"    16r0000 " invalid " 
                                       "16r6F19"    16r0000 " invalid " 
                                       "16r6F1A"    16r0000 " invalid " 
                                       "16r6F1B"    16r0000 " invalid " 
                                       "16r6F1C"    16r0000 " invalid " 
                                       "16r6F1D"    16r0000 " invalid " 
                                       "16r6F1E"    16r0000 " invalid " 
                                       "16r6F1F"    16r0000 " invalid " 
                                       "16r6F20"    16r442E
                                       "16r6F21"    16r0000 " invalid " 
                                       "16r6F22"    16r0000 " invalid " 
                                       "16r6F23"    16r0000 " invalid " 
                                       "16r6F24"    16r646D
                                       "16r6F25"    16r0000 " invalid " 
                                       "16r6F26"    16r0000 " invalid " 
                                       "16r6F27"    16r0000 " invalid " 
                                       "16r6F28"    16r0000 " invalid " 
                                       "16r6F29"    16r6476
                                       "16r6F2A"    16r6474
                                       "16r6F2B"    16r427E
                                       "16r6F2C"    16r0000 " invalid " 
                                       "16r6F2D"    16r645D
                                       "16r6F2E"    16r0000 " invalid " 
                                       "16r6F2F"    16r6470
                                       "16r6F30"    16r0000 " invalid " 
                                       "16r6F31"    16r4A7E
                                       "16r6F32"    16r0000 " invalid " 
                                       "16r6F33"    16r5544
                                       "16r6F34"    16r0000 " invalid " 
                                       "16r6F35"    16r0000 " invalid " 
                                       "16r6F36"    16r6471
                                       "16r6F37"    16r0000 " invalid " 
                                       "16r6F38"    16r0000 " invalid " 
                                       "16r6F39"    16r0000 " invalid " 
                                       "16r6F3A"    16r0000 " invalid " 
                                       "16r6F3B"    16r0000 " invalid " 
                                       "16r6F3C"    16r0000 " invalid " 
                                       "16r6F3D"    16r0000 " invalid " 
                                       "16r6F3E"    16r517A
                                       "16r6F3F"    16r0000 " invalid " 
                                       "16r6F40"    16r0000 " invalid " 
                                       "16r6F41"    16r0000 " invalid " 
                                       "16r6F42"    16r0000 " invalid " 
                                       "16r6F43"    16r0000 " invalid " 
                                       "16r6F44"    16r0000 " invalid " 
                                       "16r6F45"    16r0000 " invalid " 
                                       "16r6F46"    16r646B
                                       "16r6F47"    16r646C
                                       "16r6F48"    16r0000 " invalid " 
                                       "16r6F49"    16r0000 " invalid " 
                                       "16r6F4A"    16r0000 " invalid " 
                                       "16r6F4B"    16r6472
                                       "16r6F4C"    16r0000 " invalid " 
                                       "16r6F4D"    16r4E2B
                                       "16r6F4E"    16r0000 " invalid " 
                                       "16r6F4F"    16r0000 " invalid " 
                                       "16r6F50"    16r0000 " invalid " 
                                       "16r6F51"    16r0000 " invalid " 
                                       "16r6F52"    16r0000 " invalid " 
                                       "16r6F53"    16r0000 " invalid " 
                                       "16r6F54"    16r0000 " invalid " 
                                       "16r6F55"    16r0000 " invalid " 
                                       "16r6F56"    16r0000 " invalid " 
                                       "16r6F57"    16r0000 " invalid " 
                                       "16r6F58"    16r454B
                                       "16r6F59"    16r0000 " invalid " 
                                       "16r6F5A"    16r0000 " invalid " 
                                       "16r6F5B"    16r0000 " invalid " 
                                       "16r6F5C"    16r4731
                                       "16r6F5D"    16r0000 " invalid " 
                                       "16r6F5E"    16r423A
                                       "16r6F5F"    16r0000 " invalid " 
                                       "16r6F60"    16r0000 " invalid " 
                                       "16r6F61"    16r0000 " invalid " 
                                       "16r6F62"    16r646A
                                       "16r6F63"    16r0000 " invalid " 
                                       "16r6F64"    16r0000 " invalid " 
                                       "16r6F65"    16r0000 " invalid " 
                                       "16r6F66"    16r414A
                                       "16r6F67"    16r0000 " invalid " 
                                       "16r6F68"    16r0000 " invalid " 
                                       "16r6F69"    16r0000 " invalid " 
                                       "16r6F6A"    16r0000 " invalid " 
                                       "16r6F6B"    16r0000 " invalid " 
                                       "16r6F6C"    16r0000 " invalid " 
                                       "16r6F6D"    16r4C36
                                       "16r6F6E"    16r3331
                                       "16r6F6F"    16r0000 " invalid " 
                                       "16r6F70"    16r0000 " invalid " 
                                       "16r6F71"    16r0000 " invalid " 
                                       "16r6F72"    16r647B
                                       "16r6F73"    16r0000 " invalid " 
                                       "16r6F74"    16r6473
                                       "16r6F75"    16r0000 " invalid " 
                                       "16r6F76"    16r0000 " invalid " 
                                       "16r6F77"    16r0000 " invalid " 
                                       "16r6F78"    16r647A
                                       "16r6F79"    16r0000 " invalid " 
                                       "16r6F7A"    16r647D
                                       "16r6F7B"    16r0000 " invalid " 
                                       "16r6F7C"    16r647C
                                       "16r6F7D"    16r0000 " invalid " 
                                       "16r6F7E"    16r0000 " invalid " 
                                       "16r6F7F"    16r0000 " invalid " 
                                       "16r6F80"    16r0000 " invalid " 
                                       "16r6F81"    16r0000 " invalid " 
                                       "16r6F82"    16r0000 " invalid " 
                                       "16r6F83"    16r0000 " invalid " 
                                       "16r6F84"    16r334E
                                       "16r6F85"    16r0000 " invalid " 
                                       "16r6F86"    16r0000 " invalid " 
                                       "16r6F87"    16r0000 " invalid " 
                                       "16r6F88"    16r333A
                                       "16r6F89"    16r6477
                                       "16r6F8A"    16r0000 " invalid " 
                                       "16r6F8B"    16r0000 " invalid " 
                                       "16r6F8C"    16r6479
                                       "16r6F8D"    16r6478
                                       "16r6F8E"    16r456C
                                       "16r6F8F"    16r0000 " invalid " 
                                       "16r6F90"    16r0000 " invalid " 
                                       "16r6F91"    16r0000 " invalid " 
                                       "16r6F92"    16r0000 " invalid " 
                                       "16r6F93"    16r0000 " invalid " 
                                       "16r6F94"    16r0000 " invalid " 
                                       "16r6F95"    16r0000 " invalid " 
                                       "16r6F96"    16r0000 " invalid " 
                                       "16r6F97"    16r0000 " invalid " 
                                       "16r6F98"    16r0000 " invalid " 
                                       "16r6F99"    16r0000 " invalid " 
                                       "16r6F9A"    16r0000 " invalid " 
                                       "16r6F9B"    16r0000 " invalid " 
                                       "16r6F9C"    16r403D
                                       "16r6F9D"    16r0000 " invalid " 
                                       "16r6F9E"    16r0000 " invalid " 
                                       "16r6F9F"    16r0000 " invalid " 
                                       "16r6FA0"    16r0000 " invalid " 
                                       "16r6FA1"    16r5468
                                       "16r6FA2"    16r0000 " invalid " 
                                       "16r6FA3"    16r0000 " invalid " 
                                       "16r6FA4"    16r0000 " invalid " 
                                       "16r6FA5"    16r0000 " invalid " 
                                       "16r6FA6"    16r0000 " invalid " 
                                       "16r6FA7"    16r6522
                                       "16r6FA8"    16r0000 " invalid " 
                                       "16r6FA9"    16r0000 " invalid " 
                                       "16r6FAA"    16r0000 " invalid " 
                                       "16r6FAB"    16r0000 " invalid " 
                                       "16r6FAC"    16r0000 " invalid " 
                                       "16r6FAD"    16r0000 " invalid " 
                                       "16r6FAE"    16r0000 " invalid " 
                                       "16r6FAF"    16r0000 " invalid " 
                                       "16r6FB0"    16r0000 " invalid " 
                                       "16r6FB1"    16r0000 " invalid " 
                                       "16r6FB2"    16r0000 " invalid " 
                                       "16r6FB3"    16r3044
                                       "16r6FB4"    16r0000 " invalid " 
                                       "16r6FB5"    16r0000 " invalid " 
                                       "16r6FB6"    16r6524
                                       "16r6FB7"    16r0000 " invalid " 
                                       "16r6FB8"    16r0000 " invalid " 
                                       "16r6FB9"    16r6523
                                       "16r6FBA"    16r0000 " invalid " 
                                       "16r6FBB"    16r0000 " invalid " 
                                       "16r6FBC"    16r0000 " invalid " 
                                       "16r6FBD"    16r0000 " invalid " 
                                       "16r6FBE"    16r0000 " invalid " 
                                       "16r6FBF"    16r0000 " invalid " 
                                       "16r6FC0"    16r3C24
                                       "16r6FC1"    16r0000 " invalid " 
                                       "16r6FC2"    16r6525
                                       "16r6FC3"    16r0000 " invalid " 
                                       "16r6FC4"    16r0000 " invalid " 
                                       "16r6FC5"    16r0000 " invalid " 
                                       "16r6FC6"    16r0000 " invalid " 
                                       "16r6FC7"    16r0000 " invalid " 
                                       "16r6FC8"    16r0000 " invalid " 
                                       "16r6FC9"    16r6521
                                       "16r6FCA"    16r0000 " invalid " 
                                       "16r6FCB"    16r0000 " invalid " 
                                       "16r6FCC"    16r0000 " invalid " 
                                       "16r6FCD"    16r0000 " invalid " 
                                       "16r6FCE"    16r0000 " invalid " 
                                       "16r6FCF"    16r0000 " invalid " 
                                       "16r6FD0"    16r0000 " invalid " 
                                       "16r6FD1"    16r647E
                                       "16r6FD2"    16r3174
                                       "16r6FD3"    16r0000 " invalid " 
                                       "16r6FD4"    16r0000 " invalid " 
                                       "16r6FD5"    16r0000 " invalid " 
                                       "16r6FD6"    16r0000 " invalid " 
                                       "16r6FD7"    16r0000 " invalid " 
                                       "16r6FD8"    16r0000 " invalid " 
                                       "16r6FD9"    16r0000 " invalid " 
                                       "16r6FDA"    16r0000 " invalid " 
                                       "16r6FDB"    16r0000 " invalid " 
                                       "16r6FDC"    16r0000 " invalid " 
                                       "16r6FDD"    16r0000 " invalid " 
                                       "16r6FDE"    16r6528
                                       "16r6FDF"    16r0000 " invalid " 
                                       "16r6FE0"    16r6529
                                       "16r6FE1"    16r6526
                                       "16r6FE2"    16r0000 " invalid " 
                                       "16r6FE3"    16r0000 " invalid " 
                                       "16r6FE4"    16r0000 " invalid " 
                                       "16r6FE5"    16r0000 " invalid " 
                                       "16r6FE6"    16r0000 " invalid " 
                                       "16r6FE7"    16r0000 " invalid " 
                                       "16r6FE8"    16r0000 " invalid " 
                                       "16r6FE9"    16r0000 " invalid " 
                                       "16r6FEA"    16r0000 " invalid " 
                                       "16r6FEB"    16r0000 " invalid " 
                                       "16r6FEC"    16r0000 " invalid " 
                                       "16r6FED"    16r0000 " invalid " 
                                       "16r6FEE"    16r6527
                                       "16r6FEF"    16r652A
                                       "16r6FF0"    16r0000 " invalid " 
                                       "16r6FF1"    16r0000 " invalid " 
                                       "16r6FF2"    16r0000 " invalid " 
                                       "16r6FF3"    16r0000 " invalid " 
                                       "16r6FF4"    16r0000 " invalid " 
                                       "16r6FF5"    16r0000 " invalid " 
                                       "16r6FF6"    16r0000 " invalid " 
                                       "16r6FF7"    16r0000 " invalid " 
                                       "16r6FF8"    16r0000 " invalid " 
                                       "16r6FF9"    16r0000 " invalid " 
                                       "16r6FFA"    16r0000 " invalid " 
                                       "16r6FFB"    16r0000 " invalid " 
                                       "16r6FFC"    16r0000 " invalid " 
                                       "16r6FFD"    16r0000 " invalid " 
                                       "16r6FFE"    16r0000 " invalid " 
                                       "16r6FFF"    16r0000 " invalid " 
                                       "16r7000"    16r0000 " invalid " 
                                       "16r7001"    16r0000 " invalid " 
                                       "16r7002"    16r0000 " invalid " 
                                       "16r7003"    16r0000 " invalid " 
                                       "16r7004"    16r0000 " invalid " 
                                       "16r7005"    16r0000 " invalid " 
                                       "16r7006"    16r0000 " invalid " 
                                       "16r7007"    16r0000 " invalid " 
                                       "16r7008"    16r0000 " invalid " 
                                       "16r7009"    16r0000 " invalid " 
                                       "16r700A"    16r0000 " invalid " 
                                       "16r700B"    16r0000 " invalid " 
                                       "16r700C"    16r0000 " invalid " 
                                       "16r700D"    16r0000 " invalid " 
                                       "16r700E"    16r0000 " invalid " 
                                       "16r700F"    16r0000 " invalid " 
                                       "16r7010"    16r0000 " invalid " 
                                       "16r7011"    16r4659
                                       "16r7012"    16r0000 " invalid " 
                                       "16r7013"    16r0000 " invalid " 
                                       "16r7014"    16r0000 " invalid " 
                                       "16r7015"    16r0000 " invalid " 
                                       "16r7016"    16r0000 " invalid " 
                                       "16r7017"    16r0000 " invalid " 
                                       "16r7018"    16r0000 " invalid " 
                                       "16r7019"    16r0000 " invalid " 
                                       "16r701A"    16r652B
                                       "16r701B"    16r652D
                                       "16r701C"    16r0000 " invalid " 
                                       "16r701D"    16r0000 " invalid " 
                                       "16r701E"    16r0000 " invalid " 
                                       "16r701F"    16r0000 " invalid " 
                                       "16r7020"    16r0000 " invalid " 
                                       "16r7021"    16r0000 " invalid " 
                                       "16r7022"    16r0000 " invalid " 
                                       "16r7023"    16r652C
                                       "16r7024"    16r0000 " invalid " 
                                       "16r7025"    16r0000 " invalid " 
                                       "16r7026"    16r0000 " invalid " 
                                       "16r7027"    16r0000 " invalid " 
                                       "16r7028"    16r0000 " invalid " 
                                       "16r7029"    16r0000 " invalid " 
                                       "16r702A"    16r0000 " invalid " 
                                       "16r702B"    16r0000 " invalid " 
                                       "16r702C"    16r0000 " invalid " 
                                       "16r702D"    16r0000 " invalid " 
                                       "16r702E"    16r0000 " invalid " 
                                       "16r702F"    16r0000 " invalid " 
                                       "16r7030"    16r0000 " invalid " 
                                       "16r7031"    16r0000 " invalid " 
                                       "16r7032"    16r0000 " invalid " 
                                       "16r7033"    16r0000 " invalid " 
                                       "16r7034"    16r0000 " invalid " 
                                       "16r7035"    16r652F
                                       "16r7036"    16r0000 " invalid " 
                                       "16r7037"    16r0000 " invalid " 
                                       "16r7038"    16r0000 " invalid " 
                                       "16r7039"    16r652E
                                       "16r703A"    16r0000 " invalid " 
                                       "16r703B"    16r0000 " invalid " 
                                       "16r703C"    16r0000 " invalid " 
                                       "16r703D"    16r0000 " invalid " 
                                       "16r703E"    16r0000 " invalid " 
                                       "16r703F"    16r0000 " invalid " 
                                       "16r7040"    16r0000 " invalid " 
                                       "16r7041"    16r0000 " invalid " 
                                       "16r7042"    16r0000 " invalid " 
                                       "16r7043"    16r0000 " invalid " 
                                       "16r7044"    16r0000 " invalid " 
                                       "16r7045"    16r0000 " invalid " 
                                       "16r7046"    16r0000 " invalid " 
                                       "16r7047"    16r0000 " invalid " 
                                       "16r7048"    16r0000 " invalid " 
                                       "16r7049"    16r0000 " invalid " 
                                       "16r704A"    16r0000 " invalid " 
                                       "16r704B"    16r0000 " invalid " 
                                       "16r704C"    16r3960
                                       "16r704D"    16r0000 " invalid " 
                                       "16r704E"    16r0000 " invalid " 
                                       "16r704F"    16r6530
                                       "16r7050"    16r0000 " invalid " 
                                       "16r7051"    16r0000 " invalid " 
                                       "16r7052"    16r0000 " invalid " 
                                       "16r7053"    16r0000 " invalid " 
                                       "16r7054"    16r0000 " invalid " 
                                       "16r7055"    16r0000 " invalid " 
                                       "16r7056"    16r0000 " invalid " 
                                       "16r7057"    16r0000 " invalid " 
                                       "16r7058"    16r0000 " invalid " 
                                       "16r7059"    16r0000 " invalid " 
                                       "16r705A"    16r0000 " invalid " 
                                       "16r705B"    16r0000 " invalid " 
                                       "16r705C"    16r0000 " invalid " 
                                       "16r705D"    16r0000 " invalid " 
                                       "16r705E"    16r6531
                                       "16r705F"    16r0000 " invalid " 
                                       "16r7060"    16r0000 " invalid " 
                                       "16r7061"    16r0000 " invalid " 
                                       "16r7062"    16r0000 " invalid " 
                                       "16r7063"    16r0000 " invalid " 
                                       "16r7064"    16r0000 " invalid " 
                                       "16r7065"    16r0000 " invalid " 
                                       "16r7066"    16r0000 " invalid " 
                                       "16r7067"    16r0000 " invalid " 
                                       "16r7068"    16r0000 " invalid " 
                                       "16r7069"    16r0000 " invalid " 
                                       "16r706A"    16r0000 " invalid " 
                                       "16r706B"    16r3B70
                                       "16r706C"    16r6C61
                                       "16r706D"    16r4370
                                       "16r706E"    16r0000 " invalid " 
                                       "16r706F"    16r3546
                                       "16r7070"    16r3B52
                                       "16r7071"    16r0000 " invalid " 
                                       "16r7072"    16r0000 " invalid " 
                                       "16r7073"    16r0000 " invalid " 
                                       "16r7074"    16r0000 " invalid " 
                                       "16r7075"    16r4169
                                       "16r7076"    16r546E
                                       "16r7077"    16r0000 " invalid " 
                                       "16r7078"    16r3E44
                                       "16r7079"    16r0000 " invalid " 
                                       "16r707A"    16r0000 " invalid " 
                                       "16r707B"    16r0000 " invalid " 
                                       "16r707C"    16r5746
                                       "16r707D"    16r0000 " invalid " 
                                       "16r707E"    16r5456
                                       "16r707F"    16r3253
                                       "16r7080"    16r6C3E
                                       "16r7081"    16r0000 " invalid " 
                                       "16r7082"    16r0000 " invalid " 
                                       "16r7083"    16r0000 " invalid " 
                                       "16r7084"    16r0000 " invalid " 
                                       "16r7085"    16r6A41
                                       "16r7086"    16r0000 " invalid " 
                                       "16r7087"    16r0000 " invalid " 
                                       "16r7088"    16r0000 " invalid " 
                                       "16r7089"    16r422F
                                       "16r708A"    16r3436
                                       "16r708B"    16r0000 " invalid " 
                                       "16r708C"    16r0000 " invalid " 
                                       "16r708D"    16r0000 " invalid " 
                                       "16r708E"    16r5157
                                       "16r708F"    16r0000 " invalid " 
                                       "16r7090"    16r0000 " invalid " 
                                       "16r7091"    16r0000 " invalid " 
                                       "16r7092"    16r3334
                                       "16r7093"    16r0000 " invalid " 
                                       "16r7094"    16r4832
                                       "16r7095"    16r3F3B
                                       "16r7096"    16r6C40
                                       "16r7097"    16r0000 " invalid " 
                                       "16r7098"    16r0000 " invalid " 
                                       "16r7099"    16r564B
                                       "16r709A"    16r0000 " invalid " 
                                       "16r709B"    16r0000 " invalid " 
                                       "16r709C"    16r6C3F
                                       "16r709D"    16r6C41
                                       "16r709E"    16r0000 " invalid " 
                                       "16r709F"    16r0000 " invalid " 
                                       "16r70A0"    16r0000 " invalid " 
                                       "16r70A1"    16r0000 " invalid " 
                                       "16r70A2"    16r0000 " invalid " 
                                       "16r70A3"    16r0000 " invalid " 
                                       "16r70A4"    16r0000 " invalid " 
                                       "16r70A5"    16r0000 " invalid " 
                                       "16r70A6"    16r0000 " invalid " 
                                       "16r70A7"    16r0000 " invalid " 
                                       "16r70A8"    16r0000 " invalid " 
                                       "16r70A9"    16r0000 " invalid " 
                                       "16r70AA"    16r0000 " invalid " 
                                       "16r70AB"    16r6C45
                                       "16r70AC"    16r3E66
                                       "16r70AD"    16r4C3F
                                       "16r70AE"    16r455A
                                       "16r70AF"    16r3E3C
                                       "16r70B0"    16r0000 " invalid " 
                                       "16r70B1"    16r6C46
                                       "16r70B2"    16r0000 " invalid " 
                                       "16r70B3"    16r317E
                                       "16r70B4"    16r0000 " invalid " 
                                       "16r70B5"    16r0000 " invalid " 
                                       "16r70B6"    16r0000 " invalid " 
                                       "16r70B7"    16r6C44
                                       "16r70B8"    16r5528
                                       "16r70B9"    16r3563
                                       "16r70BA"    16r0000 " invalid " 
                                       "16r70BB"    16r6C42
                                       "16r70BC"    16r4136
                                       "16r70BD"    16r3363
                                       "16r70BE"    16r0000 " invalid " 
                                       "16r70BF"    16r0000 " invalid " 
                                       "16r70C0"    16r6C43
                                       "16r70C1"    16r4B38
                                       "16r70C2"    16r4043
                                       "16r70C3"    16r4C7E
                                       "16r70C4"    16r0000 " invalid " 
                                       "16r70C5"    16r0000 " invalid " 
                                       "16r70C6"    16r0000 " invalid " 
                                       "16r70C7"    16r0000 " invalid " 
                                       "16r70C8"    16r4152
                                       "16r70C9"    16r0000 " invalid " 
                                       "16r70CA"    16r6C48
                                       "16r70CB"    16r0000 " invalid " 
                                       "16r70CC"    16r0000 " invalid " 
                                       "16r70CD"    16r0000 " invalid " 
                                       "16r70CE"    16r0000 " invalid " 
                                       "16r70CF"    16r0000 " invalid " 
                                       "16r70D0"    16r0000 " invalid " 
                                       "16r70D1"    16r0000 " invalid " 
                                       "16r70D2"    16r0000 " invalid " 
                                       "16r70D3"    16r0000 " invalid " 
                                       "16r70D4"    16r0000 " invalid " 
                                       "16r70D5"    16r0000 " invalid " 
                                       "16r70D6"    16r0000 " invalid " 
                                       "16r70D7"    16r0000 " invalid " 
                                       "16r70D8"    16r3A66
                                       "16r70D9"    16r4053
                                       "16r70DA"    16r0000 " invalid " 
                                       "16r70DB"    16r5672
                                       "16r70DC"    16r0000 " invalid " 
                                       "16r70DD"    16r0000 " invalid " 
                                       "16r70DE"    16r0000 " invalid " 
                                       "16r70DF"    16r514C
                                       "16r70E0"    16r0000 " invalid " 
                                       "16r70E1"    16r0000 " invalid " 
                                       "16r70E2"    16r0000 " invalid " 
                                       "16r70E3"    16r0000 " invalid " 
                                       "16r70E4"    16r3F3E
                                       "16r70E5"    16r0000 " invalid " 
                                       "16r70E6"    16r3733
                                       "16r70E7"    16r4955
                                       "16r70E8"    16r6C47
                                       "16r70E9"    16r3B62
                                       "16r70EA"    16r0000 " invalid " 
                                       "16r70EB"    16r4C4C
                                       "16r70EC"    16r3D7D
                                       "16r70ED"    16r4848
                                       "16r70EE"    16r0000 " invalid " 
                                       "16r70EF"    16r4F29
                                       "16r70F0"    16r0000 " invalid " 
                                       "16r70F1"    16r0000 " invalid " 
                                       "16r70F2"    16r0000 " invalid " 
                                       "16r70F3"    16r0000 " invalid " 
                                       "16r70F4"    16r0000 " invalid " 
                                       "16r70F5"    16r0000 " invalid " 
                                       "16r70F6"    16r0000 " invalid " 
                                       "16r70F7"    16r4D69
                                       "16r70F8"    16r0000 " invalid " 
                                       "16r70F9"    16r456B
                                       "16r70FA"    16r0000 " invalid " 
                                       "16r70FB"    16r0000 " invalid " 
                                       "16r70FC"    16r0000 " invalid " 
                                       "16r70FD"    16r3769
                                       "16r70FE"    16r0000 " invalid " 
                                       "16r70FF"    16r0000 " invalid " 
                                       "16r7100"    16r0000 " invalid " 
                                       "16r7101"    16r0000 " invalid " 
                                       "16r7102"    16r0000 " invalid " 
                                       "16r7103"    16r0000 " invalid " 
                                       "16r7104"    16r0000 " invalid " 
                                       "16r7105"    16r0000 " invalid " 
                                       "16r7106"    16r0000 " invalid " 
                                       "16r7107"    16r0000 " invalid " 
                                       "16r7108"    16r0000 " invalid " 
                                       "16r7109"    16r5149
                                       "16r710A"    16r3A38
                                       "16r710B"    16r0000 " invalid " 
                                       "16r710C"    16r0000 " invalid " 
                                       "16r710D"    16r0000 " invalid " 
                                       "16r710E"    16r0000 " invalid " 
                                       "16r710F"    16r0000 " invalid " 
                                       "16r7110"    16r6C49
                                       "16r7111"    16r0000 " invalid " 
                                       "16r7112"    16r0000 " invalid " 
                                       "16r7113"    16r6C4A
                                       "16r7114"    16r0000 " invalid " 
                                       "16r7115"    16r3B40
                                       "16r7116"    16r6C4B
                                       "16r7117"    16r0000 " invalid " 
                                       "16r7118"    16r6C62
                                       "16r7119"    16r313A
                                       "16r711A"    16r3759
                                       "16r711B"    16r0000 " invalid " 
                                       "16r711C"    16r0000 " invalid " 
                                       "16r711D"    16r0000 " invalid " 
                                       "16r711E"    16r0000 " invalid " 
                                       "16r711F"    16r0000 " invalid " 
                                       "16r7120"    16r0000 " invalid " 
                                       "16r7121"    16r0000 " invalid " 
                                       "16r7122"    16r0000 " invalid " 
                                       "16r7123"    16r0000 " invalid " 
                                       "16r7124"    16r0000 " invalid " 
                                       "16r7125"    16r0000 " invalid " 
                                       "16r7126"    16r3D39
                                       "16r7127"    16r0000 " invalid " 
                                       "16r7128"    16r0000 " invalid " 
                                       "16r7129"    16r0000 " invalid " 
                                       "16r712A"    16r0000 " invalid " 
                                       "16r712B"    16r0000 " invalid " 
                                       "16r712C"    16r0000 " invalid " 
                                       "16r712D"    16r0000 " invalid " 
                                       "16r712E"    16r0000 " invalid " 
                                       "16r712F"    16r6C4C
                                       "16r7130"    16r5166
                                       "16r7131"    16r6C4D
                                       "16r7132"    16r0000 " invalid " 
                                       "16r7133"    16r0000 " invalid " 
                                       "16r7134"    16r0000 " invalid " 
                                       "16r7135"    16r0000 " invalid " 
                                       "16r7136"    16r483B
                                       "16r7137"    16r0000 " invalid " 
                                       "16r7138"    16r0000 " invalid " 
                                       "16r7139"    16r0000 " invalid " 
                                       "16r713A"    16r0000 " invalid " 
                                       "16r713B"    16r0000 " invalid " 
                                       "16r713C"    16r0000 " invalid " 
                                       "16r713D"    16r0000 " invalid " 
                                       "16r713E"    16r0000 " invalid " 
                                       "16r713F"    16r0000 " invalid " 
                                       "16r7140"    16r0000 " invalid " 
                                       "16r7141"    16r0000 " invalid " 
                                       "16r7142"    16r0000 " invalid " 
                                       "16r7143"    16r0000 " invalid " 
                                       "16r7144"    16r0000 " invalid " 
                                       "16r7145"    16r6C51
                                       "16r7146"    16r0000 " invalid " 
                                       "16r7147"    16r0000 " invalid " 
                                       "16r7148"    16r0000 " invalid " 
                                       "16r7149"    16r0000 " invalid " 
                                       "16r714A"    16r6C53
                                       "16r714B"    16r0000 " invalid " 
                                       "16r714C"    16r3B4D
                                       "16r714D"    16r0000 " invalid " 
                                       "16r714E"    16r3C65
                                       "16r714F"    16r0000 " invalid " 
                                       "16r7150"    16r0000 " invalid " 
                                       "16r7151"    16r0000 " invalid " 
                                       "16r7152"    16r0000 " invalid " 
                                       "16r7153"    16r0000 " invalid " 
                                       "16r7154"    16r0000 " invalid " 
                                       "16r7155"    16r0000 " invalid " 
                                       "16r7156"    16r0000 " invalid " 
                                       "16r7157"    16r0000 " invalid " 
                                       "16r7158"    16r0000 " invalid " 
                                       "16r7159"    16r0000 " invalid " 
                                       "16r715A"    16r0000 " invalid " 
                                       "16r715B"    16r0000 " invalid " 
                                       "16r715C"    16r6C4F
                                       "16r715D"    16r0000 " invalid " 
                                       "16r715E"    16r4937
                                       "16r715F"    16r0000 " invalid " 
                                       "16r7160"    16r0000 " invalid " 
                                       "16r7161"    16r0000 " invalid " 
                                       "16r7162"    16r0000 " invalid " 
                                       "16r7163"    16r0000 " invalid " 
                                       "16r7164"    16r433A
                                       "16r7165"    16r0000 " invalid " 
                                       "16r7166"    16r6C63
                                       "16r7167"    16r5555
                                       "16r7168"    16r6C50
                                       "16r7169"    16r0000 " invalid " 
                                       "16r716A"    16r0000 " invalid " 
                                       "16r716B"    16r0000 " invalid " 
                                       "16r716C"    16r0000 " invalid " 
                                       "16r716D"    16r0000 " invalid " 
                                       "16r716E"    16r5673
                                       "16r716F"    16r0000 " invalid " 
                                       "16r7170"    16r0000 " invalid " 
                                       "16r7171"    16r0000 " invalid " 
                                       "16r7172"    16r6C52
                                       "16r7173"    16r6C4E
                                       "16r7174"    16r0000 " invalid " 
                                       "16r7175"    16r0000 " invalid " 
                                       "16r7176"    16r0000 " invalid " 
                                       "16r7177"    16r0000 " invalid " 
                                       "16r7178"    16r6C54
                                       "16r7179"    16r0000 " invalid " 
                                       "16r717A"    16r6C55
                                       "16r717B"    16r0000 " invalid " 
                                       "16r717C"    16r0000 " invalid " 
                                       "16r717D"    16r493F
                                       "16r717E"    16r0000 " invalid " 
                                       "16r717F"    16r0000 " invalid " 
                                       "16r7180"    16r0000 " invalid " 
                                       "16r7181"    16r0000 " invalid " 
                                       "16r7182"    16r0000 " invalid " 
                                       "16r7183"    16r0000 " invalid " 
                                       "16r7184"    16r4F28
                                       "16r7185"    16r0000 " invalid " 
                                       "16r7186"    16r0000 " invalid " 
                                       "16r7187"    16r0000 " invalid " 
                                       "16r7188"    16r0000 " invalid " 
                                       "16r7189"    16r0000 " invalid " 
                                       "16r718A"    16r505C
                                       "16r718B"    16r0000 " invalid " 
                                       "16r718C"    16r0000 " invalid " 
                                       "16r718D"    16r0000 " invalid " 
                                       "16r718E"    16r0000 " invalid " 
                                       "16r718F"    16r512C
                                       "16r7190"    16r0000 " invalid " 
                                       "16r7191"    16r0000 " invalid " 
                                       "16r7192"    16r0000 " invalid " 
                                       "16r7193"    16r0000 " invalid " 
                                       "16r7194"    16r485B
                                       "16r7195"    16r0000 " invalid " 
                                       "16r7196"    16r0000 " invalid " 
                                       "16r7197"    16r0000 " invalid " 
                                       "16r7198"    16r6C56
                                       "16r7199"    16r4E75
                                       "16r719A"    16r0000 " invalid " 
                                       "16r719B"    16r0000 " invalid " 
                                       "16r719C"    16r0000 " invalid " 
                                       "16r719D"    16r0000 " invalid " 
                                       "16r719E"    16r0000 " invalid " 
                                       "16r719F"    16r4A6C
                                       "16r71A0"    16r6C5A
                                       "16r71A1"    16r0000 " invalid " 
                                       "16r71A2"    16r0000 " invalid " 
                                       "16r71A3"    16r0000 " invalid " 
                                       "16r71A4"    16r0000 " invalid " 
                                       "16r71A5"    16r0000 " invalid " 
                                       "16r71A6"    16r0000 " invalid " 
                                       "16r71A7"    16r0000 " invalid " 
                                       "16r71A8"    16r6C59
                                       "16r71A9"    16r0000 " invalid " 
                                       "16r71AA"    16r0000 " invalid " 
                                       "16r71AB"    16r0000 " invalid " 
                                       "16r71AC"    16r303E
                                       "16r71AD"    16r0000 " invalid " 
                                       "16r71AE"    16r0000 " invalid " 
                                       "16r71AF"    16r0000 " invalid " 
                                       "16r71B0"    16r0000 " invalid " 
                                       "16r71B1"    16r0000 " invalid " 
                                       "16r71B2"    16r0000 " invalid " 
                                       "16r71B3"    16r6C57
                                       "16r71B4"    16r0000 " invalid " 
                                       "16r71B5"    16r6C58
                                       "16r71B6"    16r0000 " invalid " 
                                       "16r71B7"    16r0000 " invalid " 
                                       "16r71B8"    16r0000 " invalid " 
                                       "16r71B9"    16r6C64
                                       "16r71BA"    16r0000 " invalid " 
                                       "16r71BB"    16r0000 " invalid " 
                                       "16r71BC"    16r0000 " invalid " 
                                       "16r71BD"    16r0000 " invalid " 
                                       "16r71BE"    16r0000 " invalid " 
                                       "16r71BF"    16r0000 " invalid " 
                                       "16r71C0"    16r0000 " invalid " 
                                       "16r71C1"    16r0000 " invalid " 
                                       "16r71C2"    16r0000 " invalid " 
                                       "16r71C3"    16r483C
                                       "16r71C4"    16r0000 " invalid " 
                                       "16r71C5"    16r0000 " invalid " 
                                       "16r71C6"    16r0000 " invalid " 
                                       "16r71C7"    16r0000 " invalid " 
                                       "16r71C8"    16r0000 " invalid " 
                                       "16r71C9"    16r0000 " invalid " 
                                       "16r71CA"    16r0000 " invalid " 
                                       "16r71CB"    16r0000 " invalid " 
                                       "16r71CC"    16r0000 " invalid " 
                                       "16r71CD"    16r0000 " invalid " 
                                       "16r71CE"    16r4147
                                       "16r71CF"    16r0000 " invalid " 
                                       "16r71D0"    16r0000 " invalid " 
                                       "16r71D1"    16r0000 " invalid " 
                                       "16r71D2"    16r0000 " invalid " 
                                       "16r71D3"    16r0000 " invalid " 
                                       "16r71D4"    16r6C5C
                                       "16r71D5"    16r5160
                                       "16r71D6"    16r0000 " invalid " 
                                       "16r71D7"    16r0000 " invalid " 
                                       "16r71D8"    16r0000 " invalid " 
                                       "16r71D9"    16r0000 " invalid " 
                                       "16r71DA"    16r0000 " invalid " 
                                       "16r71DB"    16r0000 " invalid " 
                                       "16r71DC"    16r0000 " invalid " 
                                       "16r71DD"    16r0000 " invalid " 
                                       "16r71DE"    16r0000 " invalid " 
                                       "16r71DF"    16r0000 " invalid " 
                                       "16r71E0"    16r6C5B
                                       "16r71E1"    16r0000 " invalid " 
                                       "16r71E2"    16r0000 " invalid " 
                                       "16r71E3"    16r0000 " invalid " 
                                       "16r71E4"    16r0000 " invalid " 
                                       "16r71E5"    16r546F
                                       "16r71E6"    16r0000 " invalid " 
                                       "16r71E7"    16r6C5D
                                       "16r71E8"    16r0000 " invalid " 
                                       "16r71E9"    16r0000 " invalid " 
                                       "16r71EA"    16r0000 " invalid " 
                                       "16r71EB"    16r0000 " invalid " 
                                       "16r71EC"    16r0000 " invalid " 
                                       "16r71ED"    16r0000 " invalid " 
                                       "16r71EE"    16r5B46
                                       "16r71EF"    16r0000 " invalid " 
                                       "16r71F0"    16r0000 " invalid " 
                                       "16r71F1"    16r0000 " invalid " 
                                       "16r71F2"    16r0000 " invalid " 
                                       "16r71F3"    16r0000 " invalid " 
                                       "16r71F4"    16r0000 " invalid " 
                                       "16r71F5"    16r0000 " invalid " 
                                       "16r71F6"    16r0000 " invalid " 
                                       "16r71F7"    16r0000 " invalid " 
                                       "16r71F8"    16r0000 " invalid " 
                                       "16r71F9"    16r6C5E
                                       "16r71FA"    16r0000 " invalid " 
                                       "16r71FB"    16r0000 " invalid " 
                                       "16r71FC"    16r0000 " invalid " 
                                       "16r71FD"    16r0000 " invalid " 
                                       "16r71FE"    16r0000 " invalid " 
                                       "16r71FF"    16r0000 " invalid " 
                                       "16r7200"    16r0000 " invalid " 
                                       "16r7201"    16r0000 " invalid " 
                                       "16r7202"    16r0000 " invalid " 
                                       "16r7203"    16r0000 " invalid " 
                                       "16r7204"    16r0000 " invalid " 
                                       "16r7205"    16r0000 " invalid " 
                                       "16r7206"    16r312C
                                       "16r7207"    16r0000 " invalid " 
                                       "16r7208"    16r0000 " invalid " 
                                       "16r7209"    16r0000 " invalid " 
                                       "16r720A"    16r0000 " invalid " 
                                       "16r720B"    16r0000 " invalid " 
                                       "16r720C"    16r0000 " invalid " 
                                       "16r720D"    16r0000 " invalid " 
                                       "16r720E"    16r0000 " invalid " 
                                       "16r720F"    16r0000 " invalid " 
                                       "16r7210"    16r0000 " invalid " 
                                       "16r7211"    16r0000 " invalid " 
                                       "16r7212"    16r0000 " invalid " 
                                       "16r7213"    16r0000 " invalid " 
                                       "16r7214"    16r0000 " invalid " 
                                       "16r7215"    16r0000 " invalid " 
                                       "16r7216"    16r0000 " invalid " 
                                       "16r7217"    16r0000 " invalid " 
                                       "16r7218"    16r0000 " invalid " 
                                       "16r7219"    16r0000 " invalid " 
                                       "16r721A"    16r0000 " invalid " 
                                       "16r721B"    16r0000 " invalid " 
                                       "16r721C"    16r0000 " invalid " 
                                       "16r721D"    16r6C5F
                                       "16r721E"    16r0000 " invalid " 
                                       "16r721F"    16r0000 " invalid " 
                                       "16r7220"    16r0000 " invalid " 
                                       "16r7221"    16r0000 " invalid " 
                                       "16r7222"    16r0000 " invalid " 
                                       "16r7223"    16r0000 " invalid " 
                                       "16r7224"    16r0000 " invalid " 
                                       "16r7225"    16r0000 " invalid " 
                                       "16r7226"    16r0000 " invalid " 
                                       "16r7227"    16r0000 " invalid " 
                                       "16r7228"    16r6C60
                                       "16r7229"    16r0000 " invalid " 
                                       "16r722A"    16r5726
                                       "16r722B"    16r0000 " invalid " 
                                       "16r722C"    16r4540
                                       "16r722D"    16r0000 " invalid " 
                                       "16r722E"    16r0000 " invalid " 
                                       "16r722F"    16r0000 " invalid " 
                                       "16r7230"    16r6B3C
                                       "16r7231"    16r302E
                                       "16r7232"    16r0000 " invalid " 
                                       "16r7233"    16r0000 " invalid " 
                                       "16r7234"    16r0000 " invalid " 
                                       "16r7235"    16r3E74
                                       "16r7236"    16r3838
                                       "16r7237"    16r522F
                                       "16r7238"    16r3056
                                       "16r7239"    16r3579
                                       "16r723A"    16r0000 " invalid " 
                                       "16r723B"    16r5833
                                       "16r723C"    16r0000 " invalid " 
                                       "16r723D"    16r4B2C
                                       "16r723E"    16r0000 " invalid " 
                                       "16r723F"    16r635D
                                       "16r7240"    16r0000 " invalid " 
                                       "16r7241"    16r0000 " invalid " 
                                       "16r7242"    16r0000 " invalid " 
                                       "16r7243"    16r0000 " invalid " 
                                       "16r7244"    16r0000 " invalid " 
                                       "16r7245"    16r0000 " invalid " 
                                       "16r7246"    16r0000 " invalid " 
                                       "16r7247"    16r462C
                                       "16r7248"    16r3066
                                       "16r7249"    16r0000 " invalid " 
                                       "16r724A"    16r0000 " invalid " 
                                       "16r724B"    16r0000 " invalid " 
                                       "16r724C"    16r4546
                                       "16r724D"    16r6B39
                                       "16r724E"    16r0000 " invalid " 
                                       "16r724F"    16r0000 " invalid " 
                                       "16r7250"    16r0000 " invalid " 
                                       "16r7251"    16r0000 " invalid " 
                                       "16r7252"    16r6B3A
                                       "16r7253"    16r0000 " invalid " 
                                       "16r7254"    16r0000 " invalid " 
                                       "16r7255"    16r0000 " invalid " 
                                       "16r7256"    16r6B3B
                                       "16r7257"    16r0000 " invalid " 
                                       "16r7258"    16r0000 " invalid " 
                                       "16r7259"    16r5140
                                       "16r725A"    16r0000 " invalid " 
                                       "16r725B"    16r4523
                                       "16r725C"    16r0000 " invalid " 
                                       "16r725D"    16r6A72
                                       "16r725E"    16r0000 " invalid " 
                                       "16r725F"    16r4432
                                       "16r7260"    16r0000 " invalid " 
                                       "16r7261"    16r4435
                                       "16r7262"    16r404E
                                       "16r7263"    16r0000 " invalid " 
                                       "16r7264"    16r0000 " invalid " 
                                       "16r7265"    16r0000 " invalid " 
                                       "16r7266"    16r6A73
                                       "16r7267"    16r4441
                                       "16r7268"    16r0000 " invalid " 
                                       "16r7269"    16r4E6F
                                       "16r726A"    16r0000 " invalid " 
                                       "16r726B"    16r0000 " invalid " 
                                       "16r726C"    16r0000 " invalid " 
                                       "16r726D"    16r0000 " invalid " 
                                       "16r726E"    16r6A70
                                       "16r726F"    16r6A74
                                       "16r7270"    16r0000 " invalid " 
                                       "16r7271"    16r0000 " invalid " 
                                       "16r7272"    16r497C
                                       "16r7273"    16r0000 " invalid " 
                                       "16r7274"    16r0000 " invalid " 
                                       "16r7275"    16r4723
                                       "16r7276"    16r0000 " invalid " 
                                       "16r7277"    16r0000 " invalid " 
                                       "16r7278"    16r0000 " invalid " 
                                       "16r7279"    16r4C58
                                       "16r727A"    16r4E7E
                                       "16r727B"    16r0000 " invalid " 
                                       "16r727C"    16r0000 " invalid " 
                                       "16r727D"    16r0000 " invalid " 
                                       "16r727E"    16r6A75
                                       "16r727F"    16r6A76
                                       "16r7280"    16r4F2C
                                       "16r7281"    16r4067
                                       "16r7282"    16r0000 " invalid " 
                                       "16r7283"    16r0000 " invalid " 
                                       "16r7284"    16r6A77
                                       "16r7285"    16r0000 " invalid " 
                                       "16r7286"    16r0000 " invalid " 
                                       "16r7287"    16r0000 " invalid " 
                                       "16r7288"    16r0000 " invalid " 
                                       "16r7289"    16r0000 " invalid " 
                                       "16r728A"    16r363F
                                       "16r728B"    16r6A78
                                       "16r728C"    16r0000 " invalid " 
                                       "16r728D"    16r6A79
                                       "16r728E"    16r0000 " invalid " 
                                       "16r728F"    16r6A7A
                                       "16r7290"    16r0000 " invalid " 
                                       "16r7291"    16r0000 " invalid " 
                                       "16r7292"    16r6A7B
                                       "16r7293"    16r0000 " invalid " 
                                       "16r7294"    16r0000 " invalid " 
                                       "16r7295"    16r0000 " invalid " 
                                       "16r7296"    16r0000 " invalid " 
                                       "16r7297"    16r0000 " invalid " 
                                       "16r7298"    16r0000 " invalid " 
                                       "16r7299"    16r0000 " invalid " 
                                       "16r729A"    16r0000 " invalid " 
                                       "16r729B"    16r0000 " invalid " 
                                       "16r729C"    16r0000 " invalid " 
                                       "16r729D"    16r0000 " invalid " 
                                       "16r729E"    16r0000 " invalid " 
                                       "16r729F"    16r6A71
                                       "16r72A0"    16r0000 " invalid " 
                                       "16r72A1"    16r0000 " invalid " 
                                       "16r72A2"    16r0000 " invalid " 
                                       "16r72A3"    16r0000 " invalid " 
                                       "16r72A4"    16r0000 " invalid " 
                                       "16r72A5"    16r0000 " invalid " 
                                       "16r72A6"    16r0000 " invalid " 
                                       "16r72A7"    16r0000 " invalid " 
                                       "16r72A8"    16r0000 " invalid " 
                                       "16r72A9"    16r0000 " invalid " 
                                       "16r72AA"    16r0000 " invalid " 
                                       "16r72AB"    16r0000 " invalid " 
                                       "16r72AC"    16r482E
                                       "16r72AD"    16r616B
                                       "16r72AE"    16r0000 " invalid " 
                                       "16r72AF"    16r3738
                                       "16r72B0"    16r616C
                                       "16r72B1"    16r0000 " invalid " 
                                       "16r72B2"    16r0000 " invalid " 
                                       "16r72B3"    16r0000 " invalid " 
                                       "16r72B4"    16r616D
                                       "16r72B5"    16r0000 " invalid " 
                                       "16r72B6"    16r5734
                                       "16r72B7"    16r616E
                                       "16r72B8"    16r616F
                                       "16r72B9"    16r534C
                                       "16r72BA"    16r0000 " invalid " 
                                       "16r72BB"    16r0000 " invalid " 
                                       "16r72BC"    16r0000 " invalid " 
                                       "16r72BD"    16r0000 " invalid " 
                                       "16r72BE"    16r0000 " invalid " 
                                       "16r72BF"    16r0000 " invalid " 
                                       "16r72C0"    16r0000 " invalid " 
                                       "16r72C1"    16r6171
                                       "16r72C2"    16r3F71
                                       "16r72C3"    16r6170
                                       "16r72C4"    16r3552
                                       "16r72C5"    16r0000 " invalid " 
                                       "16r72C6"    16r0000 " invalid " 
                                       "16r72C7"    16r0000 " invalid " 
                                       "16r72C8"    16r3137
                                       "16r72C9"    16r0000 " invalid " 
                                       "16r72CA"    16r0000 " invalid " 
                                       "16r72CB"    16r0000 " invalid " 
                                       "16r72CC"    16r0000 " invalid " 
                                       "16r72CD"    16r6173
                                       "16r72CE"    16r6172
                                       "16r72CF"    16r0000 " invalid " 
                                       "16r72D0"    16r3A7C
                                       "16r72D1"    16r0000 " invalid " 
                                       "16r72D2"    16r6174
                                       "16r72D3"    16r0000 " invalid " 
                                       "16r72D4"    16r0000 " invalid " 
                                       "16r72D5"    16r0000 " invalid " 
                                       "16r72D6"    16r0000 " invalid " 
                                       "16r72D7"    16r3937
                                       "16r72D8"    16r0000 " invalid " 
                                       "16r72D9"    16r3E51
                                       "16r72DA"    16r0000 " invalid " 
                                       "16r72DB"    16r0000 " invalid " 
                                       "16r72DC"    16r0000 " invalid " 
                                       "16r72DD"    16r0000 " invalid " 
                                       "16r72DE"    16r447C
                                       "16r72DF"    16r0000 " invalid " 
                                       "16r72E0"    16r3A5D
                                       "16r72E1"    16r3D46
                                       "16r72E2"    16r0000 " invalid " 
                                       "16r72E3"    16r0000 " invalid " 
                                       "16r72E4"    16r0000 " invalid " 
                                       "16r72E5"    16r0000 " invalid " 
                                       "16r72E6"    16r0000 " invalid " 
                                       "16r72E7"    16r0000 " invalid " 
                                       "16r72E8"    16r6175
                                       "16r72E9"    16r6177
                                       "16r72EA"    16r0000 " invalid " 
                                       "16r72EB"    16r0000 " invalid " 
                                       "16r72EC"    16r3640
                                       "16r72ED"    16r4F41
                                       "16r72EE"    16r4A28
                                       "16r72EF"    16r6176
                                       "16r72F0"    16r5578
                                       "16r72F1"    16r537C
                                       "16r72F2"    16r6178
                                       "16r72F3"    16r617C
                                       "16r72F4"    16r6179
                                       "16r72F5"    16r0000 " invalid " 
                                       "16r72F6"    16r0000 " invalid " 
                                       "16r72F7"    16r617A
                                       "16r72F8"    16r406A
                                       "16r72F9"    16r0000 " invalid " 
                                       "16r72FA"    16r617E
                                       "16r72FB"    16r6221
                                       "16r72FC"    16r4047
                                       "16r72FD"    16r0000 " invalid " 
                                       "16r72FE"    16r0000 " invalid " 
                                       "16r72FF"    16r0000 " invalid " 
                                       "16r7300"    16r0000 " invalid " 
                                       "16r7301"    16r617B
                                       "16r7302"    16r0000 " invalid " 
                                       "16r7303"    16r617D
                                       "16r7304"    16r0000 " invalid " 
                                       "16r7305"    16r0000 " invalid " 
                                       "16r7306"    16r0000 " invalid " 
                                       "16r7307"    16r0000 " invalid " 
                                       "16r7308"    16r0000 " invalid " 
                                       "16r7309"    16r0000 " invalid " 
                                       "16r730A"    16r6225
                                       "16r730B"    16r0000 " invalid " 
                                       "16r730C"    16r0000 " invalid " 
                                       "16r730D"    16r0000 " invalid " 
                                       "16r730E"    16r4154
                                       "16r730F"    16r0000 " invalid " 
                                       "16r7310"    16r0000 " invalid " 
                                       "16r7311"    16r0000 " invalid " 
                                       "16r7312"    16r0000 " invalid " 
                                       "16r7313"    16r6223
                                       "16r7314"    16r0000 " invalid " 
                                       "16r7315"    16r6228
                                       "16r7316"    16r327E
                                       "16r7317"    16r6222
                                       "16r7318"    16r0000 " invalid " 
                                       "16r7319"    16r0000 " invalid " 
                                       "16r731A"    16r0000 " invalid " 
                                       "16r731B"    16r434D
                                       "16r731C"    16r3242
                                       "16r731D"    16r6227
                                       "16r731E"    16r6226
                                       "16r731F"    16r0000 " invalid " 
                                       "16r7320"    16r0000 " invalid " 
                                       "16r7321"    16r6224
                                       "16r7322"    16r6229
                                       "16r7323"    16r0000 " invalid " 
                                       "16r7324"    16r0000 " invalid " 
                                       "16r7325"    16r622B
                                       "16r7326"    16r0000 " invalid " 
                                       "16r7327"    16r0000 " invalid " 
                                       "16r7328"    16r0000 " invalid " 
                                       "16r7329"    16r5049
                                       "16r732A"    16r566D
                                       "16r732B"    16r4328
                                       "16r732C"    16r622C
                                       "16r732D"    16r0000 " invalid " 
                                       "16r732E"    16r4F57
                                       "16r732F"    16r0000 " invalid " 
                                       "16r7330"    16r0000 " invalid " 
                                       "16r7331"    16r622E
                                       "16r7332"    16r0000 " invalid " 
                                       "16r7333"    16r0000 " invalid " 
                                       "16r7334"    16r3A6F
                                       "16r7335"    16r0000 " invalid " 
                                       "16r7336"    16r0000 " invalid " 
                                       "16r7337"    16r6960
                                       "16r7338"    16r622D
                                       "16r7339"    16r622A
                                       "16r733A"    16r0000 " invalid " 
                                       "16r733B"    16r0000 " invalid " 
                                       "16r733C"    16r0000 " invalid " 
                                       "16r733D"    16r0000 " invalid " 
                                       "16r733E"    16r3B2B
                                       "16r733F"    16r5433
                                       "16r7340"    16r0000 " invalid " 
                                       "16r7341"    16r0000 " invalid " 
                                       "16r7342"    16r0000 " invalid " 
                                       "16r7343"    16r0000 " invalid " 
                                       "16r7344"    16r0000 " invalid " 
                                       "16r7345"    16r0000 " invalid " 
                                       "16r7346"    16r0000 " invalid " 
                                       "16r7347"    16r0000 " invalid " 
                                       "16r7348"    16r0000 " invalid " 
                                       "16r7349"    16r0000 " invalid " 
                                       "16r734A"    16r0000 " invalid " 
                                       "16r734B"    16r0000 " invalid " 
                                       "16r734C"    16r0000 " invalid " 
                                       "16r734D"    16r6230
                                       "16r734E"    16r0000 " invalid " 
                                       "16r734F"    16r0000 " invalid " 
                                       "16r7350"    16r622F
                                       "16r7351"    16r0000 " invalid " 
                                       "16r7352"    16r6961
                                       "16r7353"    16r0000 " invalid " 
                                       "16r7354"    16r0000 " invalid " 
                                       "16r7355"    16r0000 " invalid " 
                                       "16r7356"    16r0000 " invalid " 
                                       "16r7357"    16r6231
                                       "16r7358"    16r0000 " invalid " 
                                       "16r7359"    16r0000 " invalid " 
                                       "16r735A"    16r0000 " invalid " 
                                       "16r735B"    16r0000 " invalid " 
                                       "16r735C"    16r0000 " invalid " 
                                       "16r735D"    16r0000 " invalid " 
                                       "16r735E"    16r0000 " invalid " 
                                       "16r735F"    16r0000 " invalid " 
                                       "16r7360"    16r6232
                                       "16r7361"    16r0000 " invalid " 
                                       "16r7362"    16r0000 " invalid " 
                                       "16r7363"    16r0000 " invalid " 
                                       "16r7364"    16r0000 " invalid " 
                                       "16r7365"    16r0000 " invalid " 
                                       "16r7366"    16r0000 " invalid " 
                                       "16r7367"    16r0000 " invalid " 
                                       "16r7368"    16r0000 " invalid " 
                                       "16r7369"    16r0000 " invalid " 
                                       "16r736A"    16r0000 " invalid " 
                                       "16r736B"    16r0000 " invalid " 
                                       "16r736C"    16r6233
                                       "16r736D"    16r4C21
                                       "16r736E"    16r0000 " invalid " 
                                       "16r736F"    16r6234
                                       "16r7370"    16r0000 " invalid " 
                                       "16r7371"    16r0000 " invalid " 
                                       "16r7372"    16r0000 " invalid " 
                                       "16r7373"    16r0000 " invalid " 
                                       "16r7374"    16r0000 " invalid " 
                                       "16r7375"    16r0000 " invalid " 
                                       "16r7376"    16r0000 " invalid " 
                                       "16r7377"    16r0000 " invalid " 
                                       "16r7378"    16r0000 " invalid " 
                                       "16r7379"    16r0000 " invalid " 
                                       "16r737A"    16r0000 " invalid " 
                                       "16r737B"    16r0000 " invalid " 
                                       "16r737C"    16r0000 " invalid " 
                                       "16r737D"    16r0000 " invalid " 
                                       "16r737E"    16r6235
                                       "16r737F"    16r0000 " invalid " 
                                       "16r7380"    16r0000 " invalid " 
                                       "16r7381"    16r0000 " invalid " 
                                       "16r7382"    16r0000 " invalid " 
                                       "16r7383"    16r0000 " invalid " 
                                       "16r7384"    16r507E
                                       "16r7385"    16r0000 " invalid " 
                                       "16r7386"    16r0000 " invalid " 
                                       "16r7387"    16r424A
                                       "16r7388"    16r0000 " invalid " 
                                       "16r7389"    16r5371
                                       "16r738A"    16r0000 " invalid " 
                                       "16r738B"    16r4D75
                                       "16r738C"    16r0000 " invalid " 
                                       "16r738D"    16r0000 " invalid " 
                                       "16r738E"    16r6760
                                       "16r738F"    16r0000 " invalid " 
                                       "16r7390"    16r0000 " invalid " 
                                       "16r7391"    16r6761
                                       "16r7392"    16r0000 " invalid " 
                                       "16r7393"    16r0000 " invalid " 
                                       "16r7394"    16r0000 " invalid " 
                                       "16r7395"    16r0000 " invalid " 
                                       "16r7396"    16r3E41
                                       "16r7397"    16r0000 " invalid " 
                                       "16r7398"    16r0000 " invalid " 
                                       "16r7399"    16r0000 " invalid " 
                                       "16r739A"    16r0000 " invalid " 
                                       "16r739B"    16r426A
                                       "16r739C"    16r0000 " invalid " 
                                       "16r739D"    16r0000 " invalid " 
                                       "16r739E"    16r0000 " invalid " 
                                       "16r739F"    16r6764
                                       "16r73A0"    16r0000 " invalid " 
                                       "16r73A1"    16r0000 " invalid " 
                                       "16r73A2"    16r6763
                                       "16r73A3"    16r0000 " invalid " 
                                       "16r73A4"    16r0000 " invalid " 
                                       "16r73A5"    16r0000 " invalid " 
                                       "16r73A6"    16r0000 " invalid " 
                                       "16r73A7"    16r0000 " invalid " 
                                       "16r73A8"    16r0000 " invalid " 
                                       "16r73A9"    16r4D66
                                       "16r73AA"    16r0000 " invalid " 
                                       "16r73AB"    16r4335
                                       "16r73AC"    16r0000 " invalid " 
                                       "16r73AD"    16r0000 " invalid " 
                                       "16r73AE"    16r6762
                                       "16r73AF"    16r3B37
                                       "16r73B0"    16r4F56
                                       "16r73B1"    16r0000 " invalid " 
                                       "16r73B2"    16r4161
                                       "16r73B3"    16r6769
                                       "16r73B4"    16r0000 " invalid " 
                                       "16r73B5"    16r0000 " invalid " 
                                       "16r73B6"    16r0000 " invalid " 
                                       "16r73B7"    16r6768
                                       "16r73B8"    16r0000 " invalid " 
                                       "16r73B9"    16r0000 " invalid " 
                                       "16r73BA"    16r6774
                                       "16r73BB"    16r3223
                                       "16r73BC"    16r0000 " invalid " 
                                       "16r73BD"    16r0000 " invalid " 
                                       "16r73BE"    16r0000 " invalid " 
                                       "16r73BF"    16r0000 " invalid " 
                                       "16r73C0"    16r676A
                                       "16r73C1"    16r0000 " invalid " 
                                       "16r73C2"    16r6766
                                       "16r73C3"    16r0000 " invalid " 
                                       "16r73C4"    16r0000 " invalid " 
                                       "16r73C5"    16r0000 " invalid " 
                                       "16r73C6"    16r0000 " invalid " 
                                       "16r73C7"    16r0000 " invalid " 
                                       "16r73C8"    16r676C
                                       "16r73C9"    16r676B
                                       "16r73CA"    16r493A
                                       "16r73CB"    16r0000 " invalid " 
                                       "16r73CC"    16r0000 " invalid " 
                                       "16r73CD"    16r5564
                                       "16r73CE"    16r0000 " invalid " 
                                       "16r73CF"    16r6765
                                       "16r73D0"    16r3729
                                       "16r73D1"    16r6767
                                       "16r73D2"    16r0000 " invalid " 
                                       "16r73D3"    16r0000 " invalid " 
                                       "16r73D4"    16r0000 " invalid " 
                                       "16r73D5"    16r0000 " invalid " 
                                       "16r73D6"    16r0000 " invalid " 
                                       "16r73D7"    16r0000 " invalid " 
                                       "16r73D8"    16r0000 " invalid " 
                                       "16r73D9"    16r676E
                                       "16r73DA"    16r0000 " invalid " 
                                       "16r73DB"    16r0000 " invalid " 
                                       "16r73DC"    16r0000 " invalid " 
                                       "16r73DD"    16r0000 " invalid " 
                                       "16r73DE"    16r6773
                                       "16r73DF"    16r0000 " invalid " 
                                       "16r73E0"    16r5669
                                       "16r73E1"    16r0000 " invalid " 
                                       "16r73E2"    16r0000 " invalid " 
                                       "16r73E3"    16r0000 " invalid " 
                                       "16r73E4"    16r0000 " invalid " 
                                       "16r73E5"    16r676D
                                       "16r73E6"    16r0000 " invalid " 
                                       "16r73E7"    16r6772
                                       "16r73E8"    16r0000 " invalid " 
                                       "16r73E9"    16r6771
                                       "16r73EA"    16r0000 " invalid " 
                                       "16r73EB"    16r0000 " invalid " 
                                       "16r73EC"    16r0000 " invalid " 
                                       "16r73ED"    16r3060
                                       "16r73EE"    16r0000 " invalid " 
                                       "16r73EF"    16r0000 " invalid " 
                                       "16r73F0"    16r0000 " invalid " 
                                       "16r73F1"    16r0000 " invalid " 
                                       "16r73F2"    16r6775
                                       "16r73F3"    16r0000 " invalid " 
                                       "16r73F4"    16r0000 " invalid " 
                                       "16r73F5"    16r0000 " invalid " 
                                       "16r73F6"    16r0000 " invalid " 
                                       "16r73F7"    16r0000 " invalid " 
                                       "16r73F8"    16r0000 " invalid " 
                                       "16r73F9"    16r0000 " invalid " 
                                       "16r73FA"    16r0000 " invalid " 
                                       "16r73FB"    16r0000 " invalid " 
                                       "16r73FC"    16r0000 " invalid " 
                                       "16r73FD"    16r0000 " invalid " 
                                       "16r73FE"    16r0000 " invalid " 
                                       "16r73FF"    16r0000 " invalid " 
                                       "16r7400"    16r0000 " invalid " 
                                       "16r7401"    16r0000 " invalid " 
                                       "16r7402"    16r0000 " invalid " 
                                       "16r7403"    16r4772
                                       "16r7404"    16r0000 " invalid " 
                                       "16r7405"    16r4045
                                       "16r7406"    16r406D
                                       "16r7407"    16r0000 " invalid " 
                                       "16r7408"    16r0000 " invalid " 
                                       "16r7409"    16r4170
                                       "16r740A"    16r6770
                                       "16r740B"    16r0000 " invalid " 
                                       "16r740C"    16r0000 " invalid " 
                                       "16r740D"    16r0000 " invalid " 
                                       "16r740E"    16r0000 " invalid " 
                                       "16r740F"    16r6776
                                       "16r7410"    16r4B76
                                       "16r7411"    16r0000 " invalid " 
                                       "16r7412"    16r0000 " invalid " 
                                       "16r7413"    16r0000 " invalid " 
                                       "16r7414"    16r0000 " invalid " 
                                       "16r7415"    16r0000 " invalid " 
                                       "16r7416"    16r0000 " invalid " 
                                       "16r7417"    16r0000 " invalid " 
                                       "16r7418"    16r0000 " invalid " 
                                       "16r7419"    16r0000 " invalid " 
                                       "16r741A"    16r6822
                                       "16r741B"    16r6821
                                       "16r741C"    16r0000 " invalid " 
                                       "16r741D"    16r0000 " invalid " 
                                       "16r741E"    16r0000 " invalid " 
                                       "16r741F"    16r0000 " invalid " 
                                       "16r7420"    16r0000 " invalid " 
                                       "16r7421"    16r0000 " invalid " 
                                       "16r7422"    16r5741
                                       "16r7423"    16r0000 " invalid " 
                                       "16r7424"    16r0000 " invalid " 
                                       "16r7425"    16r677A
                                       "16r7426"    16r6779
                                       "16r7427"    16r0000 " invalid " 
                                       "16r7428"    16r677B
                                       "16r7429"    16r0000 " invalid " 
                                       "16r742A"    16r6777
                                       "16r742B"    16r0000 " invalid " 
                                       "16r742C"    16r677E
                                       "16r742D"    16r0000 " invalid " 
                                       "16r742E"    16r677D
                                       "16r742F"    16r0000 " invalid " 
                                       "16r7430"    16r677C
                                       "16r7431"    16r0000 " invalid " 
                                       "16r7432"    16r0000 " invalid " 
                                       "16r7433"    16r4155
                                       "16r7434"    16r4759
                                       "16r7435"    16r457D
                                       "16r7436"    16r4543
                                       "16r7437"    16r0000 " invalid " 
                                       "16r7438"    16r0000 " invalid " 
                                       "16r7439"    16r0000 " invalid " 
                                       "16r743A"    16r0000 " invalid " 
                                       "16r743B"    16r0000 " invalid " 
                                       "16r743C"    16r476D
                                       "16r743D"    16r0000 " invalid " 
                                       "16r743E"    16r0000 " invalid " 
                                       "16r743F"    16r0000 " invalid " 
                                       "16r7440"    16r0000 " invalid " 
                                       "16r7441"    16r6823
                                       "16r7442"    16r0000 " invalid " 
                                       "16r7443"    16r0000 " invalid " 
                                       "16r7444"    16r0000 " invalid " 
                                       "16r7445"    16r0000 " invalid " 
                                       "16r7446"    16r0000 " invalid " 
                                       "16r7447"    16r0000 " invalid " 
                                       "16r7448"    16r0000 " invalid " 
                                       "16r7449"    16r0000 " invalid " 
                                       "16r744A"    16r0000 " invalid " 
                                       "16r744B"    16r0000 " invalid " 
                                       "16r744C"    16r0000 " invalid " 
                                       "16r744D"    16r0000 " invalid " 
                                       "16r744E"    16r0000 " invalid " 
                                       "16r744F"    16r0000 " invalid " 
                                       "16r7450"    16r0000 " invalid " 
                                       "16r7451"    16r0000 " invalid " 
                                       "16r7452"    16r0000 " invalid " 
                                       "16r7453"    16r0000 " invalid " 
                                       "16r7454"    16r0000 " invalid " 
                                       "16r7455"    16r6826
                                       "16r7456"    16r0000 " invalid " 
                                       "16r7457"    16r6825
                                       "16r7458"    16r0000 " invalid " 
                                       "16r7459"    16r6827
                                       "16r745A"    16r3A77
                                       "16r745B"    16r6778
                                       "16r745C"    16r6824
                                       "16r745D"    16r0000 " invalid " 
                                       "16r745E"    16r4870
                                       "16r745F"    16r492A
                                       "16r7460"    16r0000 " invalid " 
                                       "16r7461"    16r0000 " invalid " 
                                       "16r7462"    16r0000 " invalid " 
                                       "16r7463"    16r0000 " invalid " 
                                       "16r7464"    16r0000 " invalid " 
                                       "16r7465"    16r0000 " invalid " 
                                       "16r7466"    16r0000 " invalid " 
                                       "16r7467"    16r0000 " invalid " 
                                       "16r7468"    16r0000 " invalid " 
                                       "16r7469"    16r0000 " invalid " 
                                       "16r746A"    16r0000 " invalid " 
                                       "16r746B"    16r0000 " invalid " 
                                       "16r746C"    16r0000 " invalid " 
                                       "16r746D"    16r6829
                                       "16r746E"    16r0000 " invalid " 
                                       "16r746F"    16r0000 " invalid " 
                                       "16r7470"    16r3965
                                       "16r7471"    16r0000 " invalid " 
                                       "16r7472"    16r0000 " invalid " 
                                       "16r7473"    16r0000 " invalid " 
                                       "16r7474"    16r0000 " invalid " 
                                       "16r7475"    16r0000 " invalid " 
                                       "16r7476"    16r517E
                                       "16r7477"    16r6828
                                       "16r7478"    16r0000 " invalid " 
                                       "16r7479"    16r0000 " invalid " 
                                       "16r747A"    16r0000 " invalid " 
                                       "16r747B"    16r0000 " invalid " 
                                       "16r747C"    16r0000 " invalid " 
                                       "16r747D"    16r0000 " invalid " 
                                       "16r747E"    16r682A
                                       "16r747F"    16r0000 " invalid " 
                                       "16r7480"    16r682D
                                       "16r7481"    16r682E
                                       "16r7482"    16r0000 " invalid " 
                                       "16r7483"    16r4127
                                       "16r7484"    16r0000 " invalid " 
                                       "16r7485"    16r0000 " invalid " 
                                       "16r7486"    16r0000 " invalid " 
                                       "16r7487"    16r682F
                                       "16r7488"    16r0000 " invalid " 
                                       "16r7489"    16r0000 " invalid " 
                                       "16r748A"    16r0000 " invalid " 
                                       "16r748B"    16r6830
                                       "16r748C"    16r0000 " invalid " 
                                       "16r748D"    16r0000 " invalid " 
                                       "16r748E"    16r682C
                                       "16r748F"    16r0000 " invalid " 
                                       "16r7490"    16r6834
                                       "16r7491"    16r0000 " invalid " 
                                       "16r7492"    16r0000 " invalid " 
                                       "16r7493"    16r0000 " invalid " 
                                       "16r7494"    16r0000 " invalid " 
                                       "16r7495"    16r0000 " invalid " 
                                       "16r7496"    16r0000 " invalid " 
                                       "16r7497"    16r0000 " invalid " 
                                       "16r7498"    16r0000 " invalid " 
                                       "16r7499"    16r0000 " invalid " 
                                       "16r749A"    16r0000 " invalid " 
                                       "16r749B"    16r0000 " invalid " 
                                       "16r749C"    16r682B
                                       "16r749D"    16r0000 " invalid " 
                                       "16r749E"    16r6831
                                       "16r749F"    16r0000 " invalid " 
                                       "16r74A0"    16r0000 " invalid " 
                                       "16r74A1"    16r0000 " invalid " 
                                       "16r74A2"    16r0000 " invalid " 
                                       "16r74A3"    16r0000 " invalid " 
                                       "16r74A4"    16r0000 " invalid " 
                                       "16r74A5"    16r0000 " invalid " 
                                       "16r74A6"    16r0000 " invalid " 
                                       "16r74A7"    16r6835
                                       "16r74A8"    16r6832
                                       "16r74A9"    16r6833
                                       "16r74AA"    16r0000 " invalid " 
                                       "16r74AB"    16r0000 " invalid " 
                                       "16r74AC"    16r0000 " invalid " 
                                       "16r74AD"    16r0000 " invalid " 
                                       "16r74AE"    16r0000 " invalid " 
                                       "16r74AF"    16r0000 " invalid " 
                                       "16r74B0"    16r0000 " invalid " 
                                       "16r74B1"    16r0000 " invalid " 
                                       "16r74B2"    16r0000 " invalid " 
                                       "16r74B3"    16r0000 " invalid " 
                                       "16r74B4"    16r0000 " invalid " 
                                       "16r74B5"    16r0000 " invalid " 
                                       "16r74B6"    16r0000 " invalid " 
                                       "16r74B7"    16r0000 " invalid " 
                                       "16r74B8"    16r0000 " invalid " 
                                       "16r74B9"    16r0000 " invalid " 
                                       "16r74BA"    16r6837
                                       "16r74BB"    16r0000 " invalid " 
                                       "16r74BC"    16r0000 " invalid " 
                                       "16r74BD"    16r0000 " invalid " 
                                       "16r74BE"    16r0000 " invalid " 
                                       "16r74BF"    16r0000 " invalid " 
                                       "16r74C0"    16r0000 " invalid " 
                                       "16r74C1"    16r0000 " invalid " 
                                       "16r74C2"    16r0000 " invalid " 
                                       "16r74C3"    16r0000 " invalid " 
                                       "16r74C4"    16r0000 " invalid " 
                                       "16r74C5"    16r0000 " invalid " 
                                       "16r74C6"    16r0000 " invalid " 
                                       "16r74C7"    16r0000 " invalid " 
                                       "16r74C8"    16r0000 " invalid " 
                                       "16r74C9"    16r0000 " invalid " 
                                       "16r74CA"    16r0000 " invalid " 
                                       "16r74CB"    16r0000 " invalid " 
                                       "16r74CC"    16r0000 " invalid " 
                                       "16r74CD"    16r0000 " invalid " 
                                       "16r74CE"    16r0000 " invalid " 
                                       "16r74CF"    16r0000 " invalid " 
                                       "16r74D0"    16r0000 " invalid " 
                                       "16r74D1"    16r0000 " invalid " 
                                       "16r74D2"    16r6836
                                       "16r74D3"    16r0000 " invalid " 
                                       "16r74D4"    16r0000 " invalid " 
                                       "16r74D5"    16r0000 " invalid " 
                                       "16r74D6"    16r0000 " invalid " 
                                       "16r74D7"    16r0000 " invalid " 
                                       "16r74D8"    16r0000 " invalid " 
                                       "16r74D9"    16r0000 " invalid " 
                                       "16r74DA"    16r0000 " invalid " 
                                       "16r74DB"    16r0000 " invalid " 
                                       "16r74DC"    16r394F
                                       "16r74DD"    16r0000 " invalid " 
                                       "16r74DE"    16r702C
                                       "16r74DF"    16r0000 " invalid " 
                                       "16r74E0"    16r702D
                                       "16r74E1"    16r0000 " invalid " 
                                       "16r74E2"    16r4630
                                       "16r74E3"    16r306A
                                       "16r74E4"    16r483F
                                       "16r74E5"    16r0000 " invalid " 
                                       "16r74E6"    16r4D5F
                                       "16r74E7"    16r0000 " invalid " 
                                       "16r74E8"    16r0000 " invalid " 
                                       "16r74E9"    16r0000 " invalid " 
                                       "16r74EA"    16r0000 " invalid " 
                                       "16r74EB"    16r0000 " invalid " 
                                       "16r74EC"    16r0000 " invalid " 
                                       "16r74ED"    16r0000 " invalid " 
                                       "16r74EE"    16r4E4D
                                       "16r74EF"    16r6A31
                                       "16r74F0"    16r0000 " invalid " 
                                       "16r74F1"    16r0000 " invalid " 
                                       "16r74F2"    16r0000 " invalid " 
                                       "16r74F3"    16r0000 " invalid " 
                                       "16r74F4"    16r6A32
                                       "16r74F5"    16r0000 " invalid " 
                                       "16r74F6"    16r463F
                                       "16r74F7"    16r3449
                                       "16r74F8"    16r0000 " invalid " 
                                       "16r74F9"    16r0000 " invalid " 
                                       "16r74FA"    16r0000 " invalid " 
                                       "16r74FB"    16r0000 " invalid " 
                                       "16r74FC"    16r0000 " invalid " 
                                       "16r74FD"    16r0000 " invalid " 
                                       "16r74FE"    16r0000 " invalid " 
                                       "16r74FF"    16r6A33
                                       "16r7500"    16r0000 " invalid " 
                                       "16r7501"    16r0000 " invalid " 
                                       "16r7502"    16r0000 " invalid " 
                                       "16r7503"    16r0000 " invalid " 
                                       "16r7504"    16r5567
                                       "16r7505"    16r0000 " invalid " 
                                       "16r7506"    16r0000 " invalid " 
                                       "16r7507"    16r0000 " invalid " 
                                       "16r7508"    16r0000 " invalid " 
                                       "16r7509"    16r0000 " invalid " 
                                       "16r750A"    16r0000 " invalid " 
                                       "16r750B"    16r0000 " invalid " 
                                       "16r750C"    16r0000 " invalid " 
                                       "16r750D"    16r5D79
                                       "16r750E"    16r0000 " invalid " 
                                       "16r750F"    16r6A34
                                       "16r7510"    16r0000 " invalid " 
                                       "16r7511"    16r6A35
                                       "16r7512"    16r0000 " invalid " 
                                       "16r7513"    16r6A36
                                       "16r7514"    16r0000 " invalid " 
                                       "16r7515"    16r0000 " invalid " 
                                       "16r7516"    16r0000 " invalid " 
                                       "16r7517"    16r0000 " invalid " 
                                       "16r7518"    16r384A
                                       "16r7519"    16r5F30
                                       "16r751A"    16r4975
                                       "16r751B"    16r0000 " invalid " 
                                       "16r751C"    16r4C70
                                       "16r751D"    16r0000 " invalid " 
                                       "16r751E"    16r0000 " invalid " 
                                       "16r751F"    16r497A
                                       "16r7520"    16r0000 " invalid " 
                                       "16r7521"    16r0000 " invalid " 
                                       "16r7522"    16r0000 " invalid " 
                                       "16r7523"    16r0000 " invalid " 
                                       "16r7524"    16r0000 " invalid " 
                                       "16r7525"    16r497B
                                       "16r7526"    16r0000 " invalid " 
                                       "16r7527"    16r0000 " invalid " 
                                       "16r7528"    16r5343
                                       "16r7529"    16r4B26
                                       "16r752A"    16r0000 " invalid " 
                                       "16r752B"    16r3826
                                       "16r752C"    16r702E
                                       "16r752D"    16r3142
                                       "16r752E"    16r0000 " invalid " 
                                       "16r752F"    16r6538
                                       "16r7530"    16r4C6F
                                       "16r7531"    16r5349
                                       "16r7532"    16r3C57
                                       "16r7533"    16r496A
                                       "16r7534"    16r0000 " invalid " 
                                       "16r7535"    16r3567
                                       "16r7536"    16r0000 " invalid " 
                                       "16r7537"    16r4450
                                       "16r7538"    16r3569
                                       "16r7539"    16r0000 " invalid " 
                                       "16r753A"    16r6E2E
                                       "16r753B"    16r3B2D
                                       "16r753C"    16r0000 " invalid " 
                                       "16r753D"    16r0000 " invalid " 
                                       "16r753E"    16r675E
                                       "16r753F"    16r0000 " invalid " 
                                       "16r7540"    16r6E2F
                                       "16r7541"    16r0000 " invalid " 
                                       "16r7542"    16r0000 " invalid " 
                                       "16r7543"    16r0000 " invalid " 
                                       "16r7544"    16r0000 " invalid " 
                                       "16r7545"    16r3329
                                       "16r7546"    16r0000 " invalid " 
                                       "16r7547"    16r0000 " invalid " 
                                       "16r7548"    16r6E32
                                       "16r7549"    16r0000 " invalid " 
                                       "16r754A"    16r0000 " invalid " 
                                       "16r754B"    16r6E31
                                       "16r754C"    16r3D67
                                       "16r754D"    16r0000 " invalid " 
                                       "16r754E"    16r6E30
                                       "16r754F"    16r4E37
                                       "16r7550"    16r0000 " invalid " 
                                       "16r7551"    16r0000 " invalid " 
                                       "16r7552"    16r0000 " invalid " 
                                       "16r7553"    16r0000 " invalid " 
                                       "16r7554"    16r454F
                                       "16r7555"    16r0000 " invalid " 
                                       "16r7556"    16r0000 " invalid " 
                                       "16r7557"    16r0000 " invalid " 
                                       "16r7558"    16r0000 " invalid " 
                                       "16r7559"    16r4174
                                       "16r755A"    16r5B4E
                                       "16r755B"    16r6E33
                                       "16r755C"    16r5073
                                       "16r755D"    16r0000 " invalid " 
                                       "16r755E"    16r0000 " invalid " 
                                       "16r755F"    16r0000 " invalid " 
                                       "16r7560"    16r0000 " invalid " 
                                       "16r7561"    16r0000 " invalid " 
                                       "16r7562"    16r0000 " invalid " 
                                       "16r7563"    16r0000 " invalid " 
                                       "16r7564"    16r0000 " invalid " 
                                       "16r7565"    16r4254
                                       "16r7566"    16r4668
                                       "16r7567"    16r0000 " invalid " 
                                       "16r7568"    16r0000 " invalid " 
                                       "16r7569"    16r0000 " invalid " 
                                       "16r756A"    16r372C
                                       "16r756B"    16r0000 " invalid " 
                                       "16r756C"    16r0000 " invalid " 
                                       "16r756D"    16r0000 " invalid " 
                                       "16r756E"    16r0000 " invalid " 
                                       "16r756F"    16r0000 " invalid " 
                                       "16r7570"    16r0000 " invalid " 
                                       "16r7571"    16r0000 " invalid " 
                                       "16r7572"    16r6E34
                                       "16r7573"    16r0000 " invalid " 
                                       "16r7574"    16r336B
                                       "16r7575"    16r0000 " invalid " 
                                       "16r7576"    16r0000 " invalid " 
                                       "16r7577"    16r0000 " invalid " 
                                       "16r7578"    16r3B7B
                                       "16r7579"    16r6E35
                                       "16r757A"    16r0000 " invalid " 
                                       "16r757B"    16r0000 " invalid " 
                                       "16r757C"    16r0000 " invalid " 
                                       "16r757D"    16r0000 " invalid " 
                                       "16r757E"    16r0000 " invalid " 
                                       "16r757F"    16r675C
                                       "16r7580"    16r0000 " invalid " 
                                       "16r7581"    16r0000 " invalid " 
                                       "16r7582"    16r0000 " invalid " 
                                       "16r7583"    16r6E36
                                       "16r7584"    16r0000 " invalid " 
                                       "16r7585"    16r0000 " invalid " 
                                       "16r7586"    16r3D2E
                                       "16r7587"    16r0000 " invalid " 
                                       "16r7588"    16r0000 " invalid " 
                                       "16r7589"    16r0000 " invalid " 
                                       "16r758A"    16r0000 " invalid " 
                                       "16r758B"    16r7162
                                       "16r758C"    16r0000 " invalid " 
                                       "16r758D"    16r0000 " invalid " 
                                       "16r758E"    16r0000 " invalid " 
                                       "16r758F"    16r4A68
                                       "16r7590"    16r0000 " invalid " 
                                       "16r7591"    16r5249
                                       "16r7592"    16r705A
                                       "16r7593"    16r0000 " invalid " 
                                       "16r7594"    16r705B
                                       "16r7595"    16r0000 " invalid " 
                                       "16r7596"    16r705C
                                       "16r7597"    16r4146
                                       "16r7598"    16r0000 " invalid " 
                                       "16r7599"    16r386D
                                       "16r759A"    16r3E4E
                                       "16r759B"    16r0000 " invalid " 
                                       "16r759C"    16r0000 " invalid " 
                                       "16r759D"    16r705E
                                       "16r759E"    16r0000 " invalid " 
                                       "16r759F"    16r4531
                                       "16r75A0"    16r705D
                                       "16r75A1"    16r5171
                                       "16r75A2"    16r0000 " invalid " 
                                       "16r75A3"    16r7060
                                       "16r75A4"    16r304C
                                       "16r75A5"    16r3D6A
                                       "16r75A6"    16r0000 " invalid " 
                                       "16r75A7"    16r0000 " invalid " 
                                       "16r75A8"    16r0000 " invalid " 
                                       "16r75A9"    16r0000 " invalid " 
                                       "16r75AA"    16r0000 " invalid " 
                                       "16r75AB"    16r525F
                                       "16r75AC"    16r705F
                                       "16r75AD"    16r0000 " invalid " 
                                       "16r75AE"    16r342F
                                       "16r75AF"    16r3768
                                       "16r75B0"    16r7066
                                       "16r75B1"    16r7065
                                       "16r75B2"    16r4623
                                       "16r75B3"    16r7061
                                       "16r75B4"    16r7062
                                       "16r75B5"    16r3443
                                       "16r75B6"    16r0000 " invalid " 
                                       "16r75B7"    16r0000 " invalid " 
                                       "16r75B8"    16r7063
                                       "16r75B9"    16r556E
                                       "16r75BA"    16r0000 " invalid " 
                                       "16r75BB"    16r0000 " invalid " 
                                       "16r75BC"    16r4C5B
                                       "16r75BD"    16r3E52
                                       "16r75BE"    16r3C32
                                       "16r75BF"    16r0000 " invalid " 
                                       "16r75C0"    16r0000 " invalid " 
                                       "16r75C1"    16r0000 " invalid " 
                                       "16r75C2"    16r7068
                                       "16r75C3"    16r7067
                                       "16r75C4"    16r7064
                                       "16r75C5"    16r3221
                                       "16r75C6"    16r0000 " invalid " 
                                       "16r75C7"    16r5622
                                       "16r75C8"    16r5338
                                       "16r75C9"    16r3E37
                                       "16r75CA"    16r482C
                                       "16r75CB"    16r0000 " invalid " 
                                       "16r75CC"    16r0000 " invalid " 
                                       "16r75CD"    16r706A
                                       "16r75CE"    16r0000 " invalid " 
                                       "16r75CF"    16r0000 " invalid " 
                                       "16r75D0"    16r0000 " invalid " 
                                       "16r75D1"    16r0000 " invalid " 
                                       "16r75D2"    16r5177
                                       "16r75D3"    16r0000 " invalid " 
                                       "16r75D4"    16r564C
                                       "16r75D5"    16r3A5B
                                       "16r75D6"    16r7069
                                       "16r75D7"    16r0000 " invalid " 
                                       "16r75D8"    16r363B
                                       "16r75D9"    16r0000 " invalid " 
                                       "16r75DA"    16r0000 " invalid " 
                                       "16r75DB"    16r4D34
                                       "16r75DC"    16r0000 " invalid " 
                                       "16r75DD"    16r0000 " invalid " 
                                       "16r75DE"    16r4626
                                       "16r75DF"    16r0000 " invalid " 
                                       "16r75E0"    16r0000 " invalid " 
                                       "16r75E1"    16r0000 " invalid " 
                                       "16r75E2"    16r4121
                                       "16r75E3"    16r706B
                                       "16r75E4"    16r706E
                                       "16r75E5"    16r0000 " invalid " 
                                       "16r75E6"    16r706D
                                       "16r75E7"    16r7070
                                       "16r75E8"    16r706C
                                       "16r75E9"    16r0000 " invalid " 
                                       "16r75EA"    16r3B3E
                                       "16r75EB"    16r706F
                                       "16r75EC"    16r0000 " invalid " 
                                       "16r75ED"    16r0000 " invalid " 
                                       "16r75EE"    16r0000 " invalid " 
                                       "16r75EF"    16r0000 " invalid " 
                                       "16r75F0"    16r4C35
                                       "16r75F1"    16r7072
                                       "16r75F2"    16r0000 " invalid " 
                                       "16r75F3"    16r0000 " invalid " 
                                       "16r75F4"    16r3355
                                       "16r75F5"    16r0000 " invalid " 
                                       "16r75F6"    16r0000 " invalid " 
                                       "16r75F7"    16r0000 " invalid " 
                                       "16r75F8"    16r0000 " invalid " 
                                       "16r75F9"    16r3154
                                       "16r75FA"    16r0000 " invalid " 
                                       "16r75FB"    16r0000 " invalid " 
                                       "16r75FC"    16r7073
                                       "16r75FD"    16r0000 " invalid " 
                                       "16r75FE"    16r0000 " invalid " 
                                       "16r75FF"    16r7074
                                       "16r7600"    16r7076
                                       "16r7601"    16r3461
                                       "16r7602"    16r0000 " invalid " 
                                       "16r7603"    16r7071
                                       "16r7604"    16r0000 " invalid " 
                                       "16r7605"    16r7077
                                       "16r7606"    16r0000 " invalid " 
                                       "16r7607"    16r0000 " invalid " 
                                       "16r7608"    16r0000 " invalid " 
                                       "16r7609"    16r0000 " invalid " 
                                       "16r760A"    16r707A
                                       "16r760B"    16r0000 " invalid " 
                                       "16r760C"    16r7078
                                       "16r760D"    16r0000 " invalid " 
                                       "16r760E"    16r0000 " invalid " 
                                       "16r760F"    16r0000 " invalid " 
                                       "16r7610"    16r7075
                                       "16r7611"    16r0000 " invalid " 
                                       "16r7612"    16r0000 " invalid " 
                                       "16r7613"    16r0000 " invalid " 
                                       "16r7614"    16r0000 " invalid " 
                                       "16r7615"    16r707D
                                       "16r7616"    16r0000 " invalid " 
                                       "16r7617"    16r7079
                                       "16r7618"    16r707C
                                       "16r7619"    16r707E
                                       "16r761A"    16r0000 " invalid " 
                                       "16r761B"    16r7121
                                       "16r761C"    16r0000 " invalid " 
                                       "16r761D"    16r0000 " invalid " 
                                       "16r761E"    16r0000 " invalid " 
                                       "16r761F"    16r4E41
                                       "16r7620"    16r7124
                                       "16r7621"    16r0000 " invalid " 
                                       "16r7622"    16r7123
                                       "16r7623"    16r0000 " invalid " 
                                       "16r7624"    16r4176
                                       "16r7625"    16r707B
                                       "16r7626"    16r4A5D
                                       "16r7627"    16r0000 " invalid " 
                                       "16r7628"    16r0000 " invalid " 
                                       "16r7629"    16r3471
                                       "16r762A"    16r3171
                                       "16r762B"    16r4C31
                                       "16r762C"    16r0000 " invalid " 
                                       "16r762D"    16r7126
                                       "16r762E"    16r0000 " invalid " 
                                       "16r762F"    16r0000 " invalid " 
                                       "16r7630"    16r7127
                                       "16r7631"    16r0000 " invalid " 
                                       "16r7632"    16r0000 " invalid " 
                                       "16r7633"    16r712C
                                       "16r7634"    16r554E
                                       "16r7635"    16r7129
                                       "16r7636"    16r0000 " invalid " 
                                       "16r7637"    16r0000 " invalid " 
                                       "16r7638"    16r4833
                                       "16r7639"    16r0000 " invalid " 
                                       "16r763A"    16r0000 " invalid " 
                                       "16r763B"    16r0000 " invalid " 
                                       "16r763C"    16r7122
                                       "16r763D"    16r0000 " invalid " 
                                       "16r763E"    16r712B
                                       "16r763F"    16r7128
                                       "16r7640"    16r7125
                                       "16r7641"    16r0000 " invalid " 
                                       "16r7642"    16r0000 " invalid " 
                                       "16r7643"    16r712A
                                       "16r7644"    16r0000 " invalid " 
                                       "16r7645"    16r0000 " invalid " 
                                       "16r7646"    16r0000 " invalid " 
                                       "16r7647"    16r0000 " invalid " 
                                       "16r7648"    16r0000 " invalid " 
                                       "16r7649"    16r0000 " invalid " 
                                       "16r764A"    16r0000 " invalid " 
                                       "16r764B"    16r0000 " invalid " 
                                       "16r764C"    16r3029
                                       "16r764D"    16r712D
                                       "16r764E"    16r0000 " invalid " 
                                       "16r764F"    16r0000 " invalid " 
                                       "16r7650"    16r0000 " invalid " 
                                       "16r7651"    16r0000 " invalid " 
                                       "16r7652"    16r0000 " invalid " 
                                       "16r7653"    16r0000 " invalid " 
                                       "16r7654"    16r712F
                                       "16r7655"    16r0000 " invalid " 
                                       "16r7656"    16r7131
                                       "16r7657"    16r0000 " invalid " 
                                       "16r7658"    16r0000 " invalid " 
                                       "16r7659"    16r0000 " invalid " 
                                       "16r765A"    16r0000 " invalid " 
                                       "16r765B"    16r0000 " invalid " 
                                       "16r765C"    16r7130
                                       "16r765D"    16r0000 " invalid " 
                                       "16r765E"    16r712E
                                       "16r765F"    16r0000 " invalid " 
                                       "16r7660"    16r0000 " invalid " 
                                       "16r7661"    16r0000 " invalid " 
                                       "16r7662"    16r0000 " invalid " 
                                       "16r7663"    16r5122
                                       "16r7664"    16r0000 " invalid " 
                                       "16r7665"    16r0000 " invalid " 
                                       "16r7666"    16r0000 " invalid " 
                                       "16r7667"    16r0000 " invalid " 
                                       "16r7668"    16r0000 " invalid " 
                                       "16r7669"    16r0000 " invalid " 
                                       "16r766A"    16r0000 " invalid " 
                                       "16r766B"    16r7132
                                       "16r766C"    16r0000 " invalid " 
                                       "16r766D"    16r0000 " invalid " 
                                       "16r766E"    16r0000 " invalid " 
                                       "16r766F"    16r7133
                                       "16r7670"    16r0000 " invalid " 
                                       "16r7671"    16r0000 " invalid " 
                                       "16r7672"    16r0000 " invalid " 
                                       "16r7673"    16r0000 " invalid " 
                                       "16r7674"    16r0000 " invalid " 
                                       "16r7675"    16r0000 " invalid " 
                                       "16r7676"    16r0000 " invalid " 
                                       "16r7677"    16r0000 " invalid " 
                                       "16r7678"    16r396F
                                       "16r7679"    16r0000 " invalid " 
                                       "16r767A"    16r0000 " invalid " 
                                       "16r767B"    16r3547
                                       "16r767C"    16r0000 " invalid " 
                                       "16r767D"    16r3057
                                       "16r767E"    16r3059
                                       "16r767F"    16r0000 " invalid " 
                                       "16r7680"    16r0000 " invalid " 
                                       "16r7681"    16r0000 " invalid " 
                                       "16r7682"    16r546D
                                       "16r7683"    16r0000 " invalid " 
                                       "16r7684"    16r3544
                                       "16r7685"    16r0000 " invalid " 
                                       "16r7686"    16r3D54
                                       "16r7687"    16r3B4A
                                       "16r7688"    16r7027
                                       "16r7689"    16r0000 " invalid " 
                                       "16r768A"    16r0000 " invalid " 
                                       "16r768B"    16r385E
                                       "16r768C"    16r0000 " invalid " 
                                       "16r768D"    16r0000 " invalid " 
                                       "16r768E"    16r7028
                                       "16r768F"    16r0000 " invalid " 
                                       "16r7690"    16r0000 " invalid " 
                                       "16r7691"    16r3028
                                       "16r7692"    16r0000 " invalid " 
                                       "16r7693"    16r7029
                                       "16r7694"    16r0000 " invalid " 
                                       "16r7695"    16r0000 " invalid " 
                                       "16r7696"    16r4D6E
                                       "16r7697"    16r0000 " invalid " 
                                       "16r7698"    16r0000 " invalid " 
                                       "16r7699"    16r702A
                                       "16r769A"    16r0000 " invalid " 
                                       "16r769B"    16r0000 " invalid " 
                                       "16r769C"    16r0000 " invalid " 
                                       "16r769D"    16r0000 " invalid " 
                                       "16r769E"    16r0000 " invalid " 
                                       "16r769F"    16r0000 " invalid " 
                                       "16r76A0"    16r0000 " invalid " 
                                       "16r76A1"    16r0000 " invalid " 
                                       "16r76A2"    16r0000 " invalid " 
                                       "16r76A3"    16r0000 " invalid " 
                                       "16r76A4"    16r702B
                                       "16r76A5"    16r0000 " invalid " 
                                       "16r76A6"    16r0000 " invalid " 
                                       "16r76A7"    16r0000 " invalid " 
                                       "16r76A8"    16r0000 " invalid " 
                                       "16r76A9"    16r0000 " invalid " 
                                       "16r76AA"    16r0000 " invalid " 
                                       "16r76AB"    16r0000 " invalid " 
                                       "16r76AC"    16r0000 " invalid " 
                                       "16r76AD"    16r0000 " invalid " 
                                       "16r76AE"    16r4624
                                       "16r76AF"    16r0000 " invalid " 
                                       "16r76B0"    16r0000 " invalid " 
                                       "16r76B1"    16r5665
                                       "16r76B2"    16r7164
                                       "16r76B3"    16r0000 " invalid " 
                                       "16r76B4"    16r7165
                                       "16r76B5"    16r0000 " invalid " 
                                       "16r76B6"    16r0000 " invalid " 
                                       "16r76B7"    16r0000 " invalid " 
                                       "16r76B8"    16r0000 " invalid " 
                                       "16r76B9"    16r0000 " invalid " 
                                       "16r76BA"    16r0000 " invalid " 
                                       "16r76BB"    16r0000 " invalid " 
                                       "16r76BC"    16r0000 " invalid " 
                                       "16r76BD"    16r0000 " invalid " 
                                       "16r76BE"    16r0000 " invalid " 
                                       "16r76BF"    16r4373
                                       "16r76C0"    16r0000 " invalid " 
                                       "16r76C1"    16r0000 " invalid " 
                                       "16r76C2"    16r535B
                                       "16r76C3"    16r0000 " invalid " 
                                       "16r76C4"    16r0000 " invalid " 
                                       "16r76C5"    16r5651
                                       "16r76C6"    16r4568
                                       "16r76C7"    16r0000 " invalid " 
                                       "16r76C8"    16r532F
                                       "16r76C9"    16r0000 " invalid " 
                                       "16r76CA"    16r5266
                                       "16r76CB"    16r0000 " invalid " 
                                       "16r76CC"    16r0000 " invalid " 
                                       "16r76CD"    16r6E41
                                       "16r76CE"    16r303B
                                       "16r76CF"    16r5535
                                       "16r76D0"    16r514E
                                       "16r76D1"    16r3C60
                                       "16r76D2"    16r3A50
                                       "16r76D3"    16r0000 " invalid " 
                                       "16r76D4"    16r3F78
                                       "16r76D5"    16r0000 " invalid " 
                                       "16r76D6"    16r3847
                                       "16r76D7"    16r3541
                                       "16r76D8"    16r454C
                                       "16r76D9"    16r0000 " invalid " 
                                       "16r76DA"    16r0000 " invalid " 
                                       "16r76DB"    16r4A22
                                       "16r76DC"    16r0000 " invalid " 
                                       "16r76DD"    16r0000 " invalid " 
                                       "16r76DE"    16r0000 " invalid " 
                                       "16r76DF"    16r434B
                                       "16r76E0"    16r0000 " invalid " 
                                       "16r76E1"    16r0000 " invalid " 
                                       "16r76E2"    16r0000 " invalid " 
                                       "16r76E3"    16r0000 " invalid " 
                                       "16r76E4"    16r0000 " invalid " 
                                       "16r76E5"    16r6E42
                                       "16r76E6"    16r0000 " invalid " 
                                       "16r76E7"    16r0000 " invalid " 
                                       "16r76E8"    16r0000 " invalid " 
                                       "16r76E9"    16r0000 " invalid " 
                                       "16r76EA"    16r0000 " invalid " 
                                       "16r76EB"    16r0000 " invalid " 
                                       "16r76EC"    16r0000 " invalid " 
                                       "16r76ED"    16r0000 " invalid " 
                                       "16r76EE"    16r443F
                                       "16r76EF"    16r3622
                                       "16r76F0"    16r0000 " invalid " 
                                       "16r76F1"    16r6D6C
                                       "16r76F2"    16r4324
                                       "16r76F3"    16r0000 " invalid " 
                                       "16r76F4"    16r5631
                                       "16r76F5"    16r0000 " invalid " 
                                       "16r76F6"    16r0000 " invalid " 
                                       "16r76F7"    16r0000 " invalid " 
                                       "16r76F8"    16r4F60
                                       "16r76F9"    16r6D6F
                                       "16r76FA"    16r0000 " invalid " 
                                       "16r76FB"    16r0000 " invalid " 
                                       "16r76FC"    16r454E
                                       "16r76FD"    16r0000 " invalid " 
                                       "16r76FE"    16r365C
                                       "16r76FF"    16r0000 " invalid " 
                                       "16r7700"    16r0000 " invalid " 
                                       "16r7701"    16r4A21
                                       "16r7702"    16r0000 " invalid " 
                                       "16r7703"    16r0000 " invalid " 
                                       "16r7704"    16r6D6D
                                       "16r7705"    16r0000 " invalid " 
                                       "16r7706"    16r0000 " invalid " 
                                       "16r7707"    16r6D70
                                       "16r7708"    16r6D71
                                       "16r7709"    16r433C
                                       "16r770A"    16r0000 " invalid " 
                                       "16r770B"    16r3F34
                                       "16r770C"    16r0000 " invalid " 
                                       "16r770D"    16r6D6E
                                       "16r770E"    16r0000 " invalid " 
                                       "16r770F"    16r0000 " invalid " 
                                       "16r7710"    16r0000 " invalid " 
                                       "16r7711"    16r0000 " invalid " 
                                       "16r7712"    16r0000 " invalid " 
                                       "16r7713"    16r0000 " invalid " 
                                       "16r7714"    16r0000 " invalid " 
                                       "16r7715"    16r0000 " invalid " 
                                       "16r7716"    16r0000 " invalid " 
                                       "16r7717"    16r0000 " invalid " 
                                       "16r7718"    16r0000 " invalid " 
                                       "16r7719"    16r6D74
                                       "16r771A"    16r6D72
                                       "16r771B"    16r0000 " invalid " 
                                       "16r771C"    16r0000 " invalid " 
                                       "16r771D"    16r0000 " invalid " 
                                       "16r771E"    16r0000 " invalid " 
                                       "16r771F"    16r5566
                                       "16r7720"    16r435F
                                       "16r7721"    16r0000 " invalid " 
                                       "16r7722"    16r6D73
                                       "16r7723"    16r0000 " invalid " 
                                       "16r7724"    16r0000 " invalid " 
                                       "16r7725"    16r0000 " invalid " 
                                       "16r7726"    16r6D76
                                       "16r7727"    16r0000 " invalid " 
                                       "16r7728"    16r5523
                                       "16r7729"    16r5123
                                       "16r772A"    16r0000 " invalid " 
                                       "16r772B"    16r0000 " invalid " 
                                       "16r772C"    16r0000 " invalid " 
                                       "16r772D"    16r6D75
                                       "16r772E"    16r0000 " invalid " 
                                       "16r772F"    16r4350
                                       "16r7730"    16r0000 " invalid " 
                                       "16r7731"    16r0000 " invalid " 
                                       "16r7732"    16r0000 " invalid " 
                                       "16r7733"    16r0000 " invalid " 
                                       "16r7734"    16r0000 " invalid " 
                                       "16r7735"    16r6D77
                                       "16r7736"    16r3F74
                                       "16r7737"    16r3E6C
                                       "16r7738"    16r6D78
                                       "16r7739"    16r0000 " invalid " 
                                       "16r773A"    16r4C77
                                       "16r773B"    16r0000 " invalid " 
                                       "16r773C"    16r515B
                                       "16r773D"    16r0000 " invalid " 
                                       "16r773E"    16r0000 " invalid " 
                                       "16r773F"    16r0000 " invalid " 
                                       "16r7740"    16r5745
                                       "16r7741"    16r5576
                                       "16r7742"    16r0000 " invalid " 
                                       "16r7743"    16r6D7C
                                       "16r7744"    16r0000 " invalid " 
                                       "16r7745"    16r0000 " invalid " 
                                       "16r7746"    16r0000 " invalid " 
                                       "16r7747"    16r6D7B
                                       "16r7748"    16r0000 " invalid " 
                                       "16r7749"    16r0000 " invalid " 
                                       "16r774A"    16r0000 " invalid " 
                                       "16r774B"    16r0000 " invalid " 
                                       "16r774C"    16r0000 " invalid " 
                                       "16r774D"    16r0000 " invalid " 
                                       "16r774E"    16r0000 " invalid " 
                                       "16r774F"    16r0000 " invalid " 
                                       "16r7750"    16r6D79
                                       "16r7751"    16r6D7A
                                       "16r7752"    16r0000 " invalid " 
                                       "16r7753"    16r0000 " invalid " 
                                       "16r7754"    16r0000 " invalid " 
                                       "16r7755"    16r0000 " invalid " 
                                       "16r7756"    16r0000 " invalid " 
                                       "16r7757"    16r0000 " invalid " 
                                       "16r7758"    16r0000 " invalid " 
                                       "16r7759"    16r0000 " invalid " 
                                       "16r775A"    16r6D7D
                                       "16r775B"    16r3E26
                                       "16r775C"    16r0000 " invalid " 
                                       "16r775D"    16r0000 " invalid " 
                                       "16r775E"    16r0000 " invalid " 
                                       "16r775F"    16r0000 " invalid " 
                                       "16r7760"    16r0000 " invalid " 
                                       "16r7761"    16r4B2F
                                       "16r7762"    16r6E21
                                       "16r7763"    16r363D
                                       "16r7764"    16r0000 " invalid " 
                                       "16r7765"    16r6E22
                                       "16r7766"    16r4440
                                       "16r7767"    16r0000 " invalid " 
                                       "16r7768"    16r6D7E
                                       "16r7769"    16r0000 " invalid " 
                                       "16r776A"    16r0000 " invalid " 
                                       "16r776B"    16r3D5E
                                       "16r776C"    16r3247
                                       "16r776D"    16r0000 " invalid " 
                                       "16r776E"    16r0000 " invalid " 
                                       "16r776F"    16r0000 " invalid " 
                                       "16r7770"    16r0000 " invalid " 
                                       "16r7771"    16r0000 " invalid " 
                                       "16r7772"    16r0000 " invalid " 
                                       "16r7773"    16r0000 " invalid " 
                                       "16r7774"    16r0000 " invalid " 
                                       "16r7775"    16r0000 " invalid " 
                                       "16r7776"    16r0000 " invalid " 
                                       "16r7777"    16r0000 " invalid " 
                                       "16r7778"    16r0000 " invalid " 
                                       "16r7779"    16r3643
                                       "16r777A"    16r0000 " invalid " 
                                       "16r777B"    16r0000 " invalid " 
                                       "16r777C"    16r0000 " invalid " 
                                       "16r777D"    16r6E25
                                       "16r777E"    16r583A
                                       "16r777F"    16r6E23
                                       "16r7780"    16r6E26
                                       "16r7781"    16r0000 " invalid " 
                                       "16r7782"    16r0000 " invalid " 
                                       "16r7783"    16r0000 " invalid " 
                                       "16r7784"    16r4369
                                       "16r7785"    16r3372
                                       "16r7786"    16r0000 " invalid " 
                                       "16r7787"    16r0000 " invalid " 
                                       "16r7788"    16r0000 " invalid " 
                                       "16r7789"    16r0000 " invalid " 
                                       "16r778A"    16r0000 " invalid " 
                                       "16r778B"    16r0000 " invalid " 
                                       "16r778C"    16r6E27
                                       "16r778D"    16r6E24
                                       "16r778E"    16r4F39
                                       "16r778F"    16r0000 " invalid " 
                                       "16r7790"    16r0000 " invalid " 
                                       "16r7791"    16r6E28
                                       "16r7792"    16r4277
                                       "16r7793"    16r0000 " invalid " 
                                       "16r7794"    16r0000 " invalid " 
                                       "16r7795"    16r0000 " invalid " 
                                       "16r7796"    16r0000 " invalid " 
                                       "16r7797"    16r0000 " invalid " 
                                       "16r7798"    16r0000 " invalid " 
                                       "16r7799"    16r0000 " invalid " 
                                       "16r779A"    16r0000 " invalid " 
                                       "16r779B"    16r0000 " invalid " 
                                       "16r779C"    16r0000 " invalid " 
                                       "16r779D"    16r0000 " invalid " 
                                       "16r779E"    16r0000 " invalid " 
                                       "16r779F"    16r6E29
                                       "16r77A0"    16r6E2A
                                       "16r77A1"    16r0000 " invalid " 
                                       "16r77A2"    16r5E2B
                                       "16r77A3"    16r0000 " invalid " 
                                       "16r77A4"    16r0000 " invalid " 
                                       "16r77A5"    16r4633
                                       "16r77A6"    16r0000 " invalid " 
                                       "16r77A7"    16r4746
                                       "16r77A8"    16r0000 " invalid " 
                                       "16r77A9"    16r5675
                                       "16r77AA"    16r3549
                                       "16r77AB"    16r0000 " invalid " 
                                       "16r77AC"    16r4B32
                                       "16r77AD"    16r0000 " invalid " 
                                       "16r77AE"    16r0000 " invalid " 
                                       "16r77AF"    16r0000 " invalid " 
                                       "16r77B0"    16r6E2B
                                       "16r77B1"    16r0000 " invalid " 
                                       "16r77B2"    16r0000 " invalid " 
                                       "16r77B3"    16r4D2B
                                       "16r77B4"    16r0000 " invalid " 
                                       "16r77B5"    16r6E2C
                                       "16r77B6"    16r0000 " invalid " 
                                       "16r77B7"    16r0000 " invalid " 
                                       "16r77B8"    16r0000 " invalid " 
                                       "16r77B9"    16r0000 " invalid " 
                                       "16r77BA"    16r0000 " invalid " 
                                       "16r77BB"    16r5530
                                       "16r77BC"    16r0000 " invalid " 
                                       "16r77BD"    16r6E2D
                                       "16r77BE"    16r0000 " invalid " 
                                       "16r77BF"    16r7644
                                       "16r77C0"    16r0000 " invalid " 
                                       "16r77C1"    16r0000 " invalid " 
                                       "16r77C2"    16r0000 " invalid " 
                                       "16r77C3"    16r0000 " invalid " 
                                       "16r77C4"    16r0000 " invalid " 
                                       "16r77C5"    16r0000 " invalid " 
                                       "16r77C6"    16r0000 " invalid " 
                                       "16r77C7"    16r0000 " invalid " 
                                       "16r77C8"    16r0000 " invalid " 
                                       "16r77C9"    16r0000 " invalid " 
                                       "16r77CA"    16r0000 " invalid " 
                                       "16r77CB"    16r0000 " invalid " 
                                       "16r77CC"    16r0000 " invalid " 
                                       "16r77CD"    16r5B47
                                       "16r77CE"    16r0000 " invalid " 
                                       "16r77CF"    16r0000 " invalid " 
                                       "16r77D0"    16r0000 " invalid " 
                                       "16r77D1"    16r0000 " invalid " 
                                       "16r77D2"    16r0000 " invalid " 
                                       "16r77D3"    16r0000 " invalid " 
                                       "16r77D4"    16r0000 " invalid " 
                                       "16r77D5"    16r0000 " invalid " 
                                       "16r77D6"    16r0000 " invalid " 
                                       "16r77D7"    16r3423
                                       "16r77D8"    16r0000 " invalid " 
                                       "16r77D9"    16r0000 " invalid " 
                                       "16r77DA"    16r0000 " invalid " 
                                       "16r77DB"    16r432C
                                       "16r77DC"    16r7166
                                       "16r77DD"    16r0000 " invalid " 
                                       "16r77DE"    16r0000 " invalid " 
                                       "16r77DF"    16r0000 " invalid " 
                                       "16r77E0"    16r0000 " invalid " 
                                       "16r77E1"    16r0000 " invalid " 
                                       "16r77E2"    16r4A38
                                       "16r77E3"    16r5253
                                       "16r77E4"    16r0000 " invalid " 
                                       "16r77E5"    16r562A
                                       "16r77E6"    16r0000 " invalid " 
                                       "16r77E7"    16r6F72
                                       "16r77E8"    16r0000 " invalid " 
                                       "16r77E9"    16r3E58
                                       "16r77EA"    16r0000 " invalid " 
                                       "16r77EB"    16r3D43
                                       "16r77EC"    16r6F73
                                       "16r77ED"    16r364C
                                       "16r77EE"    16r302B
                                       "16r77EF"    16r0000 " invalid " 
                                       "16r77F0"    16r0000 " invalid " 
                                       "16r77F1"    16r0000 " invalid " 
                                       "16r77F2"    16r0000 " invalid " 
                                       "16r77F3"    16r4A2F
                                       "16r77F4"    16r0000 " invalid " 
                                       "16r77F5"    16r0000 " invalid " 
                                       "16r77F6"    16r6D36
                                       "16r77F7"    16r0000 " invalid " 
                                       "16r77F8"    16r6D37
                                       "16r77F9"    16r0000 " invalid " 
                                       "16r77FA"    16r0000 " invalid " 
                                       "16r77FB"    16r0000 " invalid " 
                                       "16r77FC"    16r0000 " invalid " 
                                       "16r77FD"    16r4E79
                                       "16r77FE"    16r372F
                                       "16r77FF"    16r3F73
                                       "16r7800"    16r6D38
                                       "16r7801"    16r426B
                                       "16r7802"    16r4930
                                       "16r7803"    16r0000 " invalid " 
                                       "16r7804"    16r0000 " invalid " 
                                       "16r7805"    16r0000 " invalid " 
                                       "16r7806"    16r0000 " invalid " 
                                       "16r7807"    16r0000 " invalid " 
                                       "16r7808"    16r0000 " invalid " 
                                       "16r7809"    16r6D39
                                       "16r780A"    16r0000 " invalid " 
                                       "16r780B"    16r0000 " invalid " 
                                       "16r780C"    16r4676
                                       "16r780D"    16r3F33
                                       "16r780E"    16r0000 " invalid " 
                                       "16r780F"    16r0000 " invalid " 
                                       "16r7810"    16r0000 " invalid " 
                                       "16r7811"    16r6D3C
                                       "16r7812"    16r4578
                                       "16r7813"    16r0000 " invalid " 
                                       "16r7814"    16r5150
                                       "16r7815"    16r0000 " invalid " 
                                       "16r7816"    16r5729
                                       "16r7817"    16r6D3A
                                       "16r7818"    16r6D3B
                                       "16r7819"    16r0000 " invalid " 
                                       "16r781A"    16r5162
                                       "16r781B"    16r0000 " invalid " 
                                       "16r781C"    16r6D3F
                                       "16r781D"    16r6D40
                                       "16r781E"    16r0000 " invalid " 
                                       "16r781F"    16r6D44
                                       "16r7820"    16r0000 " invalid " 
                                       "16r7821"    16r0000 " invalid " 
                                       "16r7822"    16r0000 " invalid " 
                                       "16r7823"    16r6D48
                                       "16r7824"    16r0000 " invalid " 
                                       "16r7825"    16r6D46
                                       "16r7826"    16r6D4E
                                       "16r7827"    16r5568
                                       "16r7828"    16r0000 " invalid " 
                                       "16r7829"    16r6D49
                                       "16r782A"    16r0000 " invalid " 
                                       "16r782B"    16r0000 " invalid " 
                                       "16r782C"    16r6D47
                                       "16r782D"    16r6D3E
                                       "16r782E"    16r0000 " invalid " 
                                       "16r782F"    16r0000 " invalid " 
                                       "16r7830"    16r4569
                                       "16r7831"    16r0000 " invalid " 
                                       "16r7832"    16r0000 " invalid " 
                                       "16r7833"    16r0000 " invalid " 
                                       "16r7834"    16r4646
                                       "16r7835"    16r0000 " invalid " 
                                       "16r7836"    16r0000 " invalid " 
                                       "16r7837"    16r4969
                                       "16r7838"    16r5452
                                       "16r7839"    16r6D41
                                       "16r783A"    16r6D42
                                       "16r783B"    16r6D43
                                       "16r783C"    16r6D45
                                       "16r783D"    16r0000 " invalid " 
                                       "16r783E"    16r4079
                                       "16r783F"    16r0000 " invalid " 
                                       "16r7840"    16r3421
                                       "16r7841"    16r0000 " invalid " 
                                       "16r7842"    16r0000 " invalid " 
                                       "16r7843"    16r0000 " invalid " 
                                       "16r7844"    16r0000 " invalid " 
                                       "16r7845"    16r3968
                                       "16r7846"    16r0000 " invalid " 
                                       "16r7847"    16r6D50
                                       "16r7848"    16r0000 " invalid " 
                                       "16r7849"    16r0000 " invalid " 
                                       "16r784A"    16r0000 " invalid " 
                                       "16r784B"    16r0000 " invalid " 
                                       "16r784C"    16r6D51
                                       "16r784D"    16r0000 " invalid " 
                                       "16r784E"    16r6D4A
                                       "16r784F"    16r0000 " invalid " 
                                       "16r7850"    16r6D4F
                                       "16r7851"    16r0000 " invalid " 
                                       "16r7852"    16r4E78
                                       "16r7853"    16r0000 " invalid " 
                                       "16r7854"    16r0000 " invalid " 
                                       "16r7855"    16r4B36
                                       "16r7856"    16r6D4C
                                       "16r7857"    16r6D4D
                                       "16r7858"    16r0000 " invalid " 
                                       "16r7859"    16r0000 " invalid " 
                                       "16r785A"    16r0000 " invalid " 
                                       "16r785B"    16r0000 " invalid " 
                                       "16r785C"    16r0000 " invalid " 
                                       "16r785D"    16r4F75
                                       "16r785E"    16r0000 " invalid " 
                                       "16r785F"    16r0000 " invalid " 
                                       "16r7860"    16r0000 " invalid " 
                                       "16r7861"    16r0000 " invalid " 
                                       "16r7862"    16r0000 " invalid " 
                                       "16r7863"    16r0000 " invalid " 
                                       "16r7864"    16r0000 " invalid " 
                                       "16r7865"    16r0000 " invalid " 
                                       "16r7866"    16r0000 " invalid " 
                                       "16r7867"    16r0000 " invalid " 
                                       "16r7868"    16r0000 " invalid " 
                                       "16r7869"    16r0000 " invalid " 
                                       "16r786A"    16r6D52
                                       "16r786B"    16r4172
                                       "16r786C"    16r5332
                                       "16r786D"    16r6D4B
                                       "16r786E"    16r4837
                                       "16r786F"    16r0000 " invalid " 
                                       "16r7870"    16r0000 " invalid " 
                                       "16r7871"    16r0000 " invalid " 
                                       "16r7872"    16r0000 " invalid " 
                                       "16r7873"    16r0000 " invalid " 
                                       "16r7874"    16r0000 " invalid " 
                                       "16r7875"    16r0000 " invalid " 
                                       "16r7876"    16r0000 " invalid " 
                                       "16r7877"    16r3C6F
                                       "16r7878"    16r0000 " invalid " 
                                       "16r7879"    16r0000 " invalid " 
                                       "16r787A"    16r0000 " invalid " 
                                       "16r787B"    16r0000 " invalid " 
                                       "16r787C"    16r4570
                                       "16r787D"    16r0000 " invalid " 
                                       "16r787E"    16r0000 " invalid " 
                                       "16r787F"    16r0000 " invalid " 
                                       "16r7880"    16r0000 " invalid " 
                                       "16r7881"    16r0000 " invalid " 
                                       "16r7882"    16r0000 " invalid " 
                                       "16r7883"    16r0000 " invalid " 
                                       "16r7884"    16r0000 " invalid " 
                                       "16r7885"    16r0000 " invalid " 
                                       "16r7886"    16r0000 " invalid " 
                                       "16r7887"    16r6D56
                                       "16r7888"    16r0000 " invalid " 
                                       "16r7889"    16r356F
                                       "16r788A"    16r0000 " invalid " 
                                       "16r788B"    16r0000 " invalid " 
                                       "16r788C"    16r4235
                                       "16r788D"    16r302D
                                       "16r788E"    16r4B69
                                       "16r788F"    16r0000 " invalid " 
                                       "16r7890"    16r0000 " invalid " 
                                       "16r7891"    16r312E
                                       "16r7892"    16r0000 " invalid " 
                                       "16r7893"    16r6D54
                                       "16r7894"    16r0000 " invalid " 
                                       "16r7895"    16r0000 " invalid " 
                                       "16r7896"    16r0000 " invalid " 
                                       "16r7897"    16r4D6B
                                       "16r7898"    16r3562
                                       "16r7899"    16r0000 " invalid " 
                                       "16r789A"    16r6D55
                                       "16r789B"    16r6D53
                                       "16r789C"    16r6D57
                                       "16r789D"    16r0000 " invalid " 
                                       "16r789E"    16r0000 " invalid " 
                                       "16r789F"    16r357A
                                       "16r78A0"    16r0000 " invalid " 
                                       "16r78A1"    16r6D58
                                       "16r78A2"    16r0000 " invalid " 
                                       "16r78A3"    16r6D59
                                       "16r78A4"    16r0000 " invalid " 
                                       "16r78A5"    16r6D5C
                                       "16r78A6"    16r0000 " invalid " 
                                       "16r78A7"    16r314C
                                       "16r78A8"    16r0000 " invalid " 
                                       "16r78A9"    16r0000 " invalid " 
                                       "16r78AA"    16r0000 " invalid " 
                                       "16r78AB"    16r0000 " invalid " 
                                       "16r78AC"    16r0000 " invalid " 
                                       "16r78AD"    16r0000 " invalid " 
                                       "16r78AE"    16r0000 " invalid " 
                                       "16r78AF"    16r0000 " invalid " 
                                       "16r78B0"    16r4576
                                       "16r78B1"    16r3C6E
                                       "16r78B2"    16r6D5A
                                       "16r78B3"    16r4C3C
                                       "16r78B4"    16r326A
                                       "16r78B5"    16r0000 " invalid " 
                                       "16r78B6"    16r0000 " invalid " 
                                       "16r78B7"    16r0000 " invalid " 
                                       "16r78B8"    16r0000 " invalid " 
                                       "16r78B9"    16r6D5B
                                       "16r78BA"    16r0000 " invalid " 
                                       "16r78BB"    16r0000 " invalid " 
                                       "16r78BC"    16r0000 " invalid " 
                                       "16r78BD"    16r0000 " invalid " 
                                       "16r78BE"    16r446B
                                       "16r78BF"    16r0000 " invalid " 
                                       "16r78C0"    16r0000 " invalid " 
                                       "16r78C1"    16r3445
                                       "16r78C2"    16r0000 " invalid " 
                                       "16r78C3"    16r0000 " invalid " 
                                       "16r78C4"    16r0000 " invalid " 
                                       "16r78C5"    16r3075
                                       "16r78C6"    16r0000 " invalid " 
                                       "16r78C7"    16r0000 " invalid " 
                                       "16r78C8"    16r0000 " invalid " 
                                       "16r78C9"    16r6D5F
                                       "16r78CA"    16r405A
                                       "16r78CB"    16r3468
                                       "16r78CC"    16r0000 " invalid " 
                                       "16r78CD"    16r0000 " invalid " 
                                       "16r78CE"    16r0000 " invalid " 
                                       "16r78CF"    16r0000 " invalid " 
                                       "16r78D0"    16r454D
                                       "16r78D1"    16r0000 " invalid " 
                                       "16r78D2"    16r0000 " invalid " 
                                       "16r78D3"    16r0000 " invalid " 
                                       "16r78D4"    16r6D5D
                                       "16r78D5"    16r3F44
                                       "16r78D6"    16r0000 " invalid " 
                                       "16r78D7"    16r0000 " invalid " 
                                       "16r78D8"    16r0000 " invalid " 
                                       "16r78D9"    16r6D5E
                                       "16r78DA"    16r0000 " invalid " 
                                       "16r78DB"    16r0000 " invalid " 
                                       "16r78DC"    16r0000 " invalid " 
                                       "16r78DD"    16r0000 " invalid " 
                                       "16r78DE"    16r0000 " invalid " 
                                       "16r78DF"    16r0000 " invalid " 
                                       "16r78E0"    16r0000 " invalid " 
                                       "16r78E1"    16r0000 " invalid " 
                                       "16r78E2"    16r0000 " invalid " 
                                       "16r78E3"    16r0000 " invalid " 
                                       "16r78E4"    16r0000 " invalid " 
                                       "16r78E5"    16r0000 " invalid " 
                                       "16r78E6"    16r0000 " invalid " 
                                       "16r78E7"    16r0000 " invalid " 
                                       "16r78E8"    16r4425
                                       "16r78E9"    16r0000 " invalid " 
                                       "16r78EA"    16r0000 " invalid " 
                                       "16r78EB"    16r0000 " invalid " 
                                       "16r78EC"    16r6D60
                                       "16r78ED"    16r0000 " invalid " 
                                       "16r78EE"    16r0000 " invalid " 
                                       "16r78EF"    16r0000 " invalid " 
                                       "16r78F0"    16r0000 " invalid " 
                                       "16r78F1"    16r0000 " invalid " 
                                       "16r78F2"    16r6D61
                                       "16r78F3"    16r0000 " invalid " 
                                       "16r78F4"    16r6D63
                                       "16r78F5"    16r0000 " invalid " 
                                       "16r78F6"    16r0000 " invalid " 
                                       "16r78F7"    16r4157
                                       "16r78F8"    16r0000 " invalid " 
                                       "16r78F9"    16r0000 " invalid " 
                                       "16r78FA"    16r3B47
                                       "16r78FB"    16r0000 " invalid " 
                                       "16r78FC"    16r0000 " invalid " 
                                       "16r78FD"    16r0000 " invalid " 
                                       "16r78FE"    16r0000 " invalid " 
                                       "16r78FF"    16r0000 " invalid " 
                                       "16r7900"    16r0000 " invalid " 
                                       "16r7901"    16r3D38
                                       "16r7902"    16r0000 " invalid " 
                                       "16r7903"    16r0000 " invalid " 
                                       "16r7904"    16r0000 " invalid " 
                                       "16r7905"    16r6D62
                                       "16r7906"    16r0000 " invalid " 
                                       "16r7907"    16r0000 " invalid " 
                                       "16r7908"    16r0000 " invalid " 
                                       "16r7909"    16r0000 " invalid " 
                                       "16r790A"    16r0000 " invalid " 
                                       "16r790B"    16r0000 " invalid " 
                                       "16r790C"    16r0000 " invalid " 
                                       "16r790D"    16r0000 " invalid " 
                                       "16r790E"    16r0000 " invalid " 
                                       "16r790F"    16r0000 " invalid " 
                                       "16r7910"    16r0000 " invalid " 
                                       "16r7911"    16r0000 " invalid " 
                                       "16r7912"    16r0000 " invalid " 
                                       "16r7913"    16r6D64
                                       "16r7914"    16r0000 " invalid " 
                                       "16r7915"    16r0000 " invalid " 
                                       "16r7916"    16r0000 " invalid " 
                                       "16r7917"    16r0000 " invalid " 
                                       "16r7918"    16r0000 " invalid " 
                                       "16r7919"    16r0000 " invalid " 
                                       "16r791A"    16r0000 " invalid " 
                                       "16r791B"    16r0000 " invalid " 
                                       "16r791C"    16r0000 " invalid " 
                                       "16r791D"    16r0000 " invalid " 
                                       "16r791E"    16r6D66
                                       "16r791F"    16r0000 " invalid " 
                                       "16r7920"    16r0000 " invalid " 
                                       "16r7921"    16r0000 " invalid " 
                                       "16r7922"    16r0000 " invalid " 
                                       "16r7923"    16r0000 " invalid " 
                                       "16r7924"    16r6D65
                                       "16r7925"    16r0000 " invalid " 
                                       "16r7926"    16r0000 " invalid " 
                                       "16r7927"    16r0000 " invalid " 
                                       "16r7928"    16r0000 " invalid " 
                                       "16r7929"    16r0000 " invalid " 
                                       "16r792A"    16r0000 " invalid " 
                                       "16r792B"    16r0000 " invalid " 
                                       "16r792C"    16r0000 " invalid " 
                                       "16r792D"    16r0000 " invalid " 
                                       "16r792E"    16r0000 " invalid " 
                                       "16r792F"    16r0000 " invalid " 
                                       "16r7930"    16r0000 " invalid " 
                                       "16r7931"    16r0000 " invalid " 
                                       "16r7932"    16r0000 " invalid " 
                                       "16r7933"    16r0000 " invalid " 
                                       "16r7934"    16r6D67
                                       "16r7935"    16r0000 " invalid " 
                                       "16r7936"    16r0000 " invalid " 
                                       "16r7937"    16r0000 " invalid " 
                                       "16r7938"    16r0000 " invalid " 
                                       "16r7939"    16r0000 " invalid " 
                                       "16r793A"    16r4A3E
                                       "16r793B"    16r6C6A
                                       "16r793C"    16r4071
                                       "16r793D"    16r0000 " invalid " 
                                       "16r793E"    16r4967
                                       "16r793F"    16r0000 " invalid " 
                                       "16r7940"    16r6C6B
                                       "16r7941"    16r466E
                                       "16r7942"    16r0000 " invalid " 
                                       "16r7943"    16r0000 " invalid " 
                                       "16r7944"    16r0000 " invalid " 
                                       "16r7945"    16r0000 " invalid " 
                                       "16r7946"    16r6C6C
                                       "16r7947"    16r0000 " invalid " 
                                       "16r7948"    16r466D
                                       "16r7949"    16r6C6D
                                       "16r794A"    16r0000 " invalid " 
                                       "16r794B"    16r0000 " invalid " 
                                       "16r794C"    16r0000 " invalid " 
                                       "16r794D"    16r0000 " invalid " 
                                       "16r794E"    16r0000 " invalid " 
                                       "16r794F"    16r0000 " invalid " 
                                       "16r7950"    16r0000 " invalid " 
                                       "16r7951"    16r0000 " invalid " 
                                       "16r7952"    16r0000 " invalid " 
                                       "16r7953"    16r6C70
                                       "16r7954"    16r0000 " invalid " 
                                       "16r7955"    16r0000 " invalid " 
                                       "16r7956"    16r5766
                                       "16r7957"    16r6C73
                                       "16r7958"    16r0000 " invalid " 
                                       "16r7959"    16r0000 " invalid " 
                                       "16r795A"    16r6C71
                                       "16r795B"    16r6C6E
                                       "16r795C"    16r6C6F
                                       "16r795D"    16r5723
                                       "16r795E"    16r4971
                                       "16r795F"    16r4B6E
                                       "16r7960"    16r6C74
                                       "16r7961"    16r0000 " invalid " 
                                       "16r7962"    16r6C72
                                       "16r7963"    16r0000 " invalid " 
                                       "16r7964"    16r0000 " invalid " 
                                       "16r7965"    16r4F69
                                       "16r7966"    16r0000 " invalid " 
                                       "16r7967"    16r6C76
                                       "16r7968"    16r4631
                                       "16r7969"    16r0000 " invalid " 
                                       "16r796A"    16r0000 " invalid " 
                                       "16r796B"    16r0000 " invalid " 
                                       "16r796C"    16r0000 " invalid " 
                                       "16r796D"    16r3C40
                                       "16r796E"    16r0000 " invalid " 
                                       "16r796F"    16r6C75
                                       "16r7970"    16r0000 " invalid " 
                                       "16r7971"    16r0000 " invalid " 
                                       "16r7972"    16r0000 " invalid " 
                                       "16r7973"    16r0000 " invalid " 
                                       "16r7974"    16r0000 " invalid " 
                                       "16r7975"    16r0000 " invalid " 
                                       "16r7976"    16r0000 " invalid " 
                                       "16r7977"    16r353B
                                       "16r7978"    16r3B76
                                       "16r7979"    16r0000 " invalid " 
                                       "16r797A"    16r6C77
                                       "16r797B"    16r0000 " invalid " 
                                       "16r797C"    16r0000 " invalid " 
                                       "16r797D"    16r0000 " invalid " 
                                       "16r797E"    16r0000 " invalid " 
                                       "16r797F"    16r0000 " invalid " 
                                       "16r7980"    16r5977
                                       "16r7981"    16r3D7B
                                       "16r7982"    16r0000 " invalid " 
                                       "16r7983"    16r0000 " invalid " 
                                       "16r7984"    16r423B
                                       "16r7985"    16r6C78
                                       "16r7986"    16r0000 " invalid " 
                                       "16r7987"    16r0000 " invalid " 
                                       "16r7988"    16r0000 " invalid " 
                                       "16r7989"    16r0000 " invalid " 
                                       "16r798A"    16r6C79
                                       "16r798B"    16r0000 " invalid " 
                                       "16r798C"    16r0000 " invalid " 
                                       "16r798D"    16r0000 " invalid " 
                                       "16r798E"    16r0000 " invalid " 
                                       "16r798F"    16r3823
                                       "16r7990"    16r0000 " invalid " 
                                       "16r7991"    16r0000 " invalid " 
                                       "16r7992"    16r0000 " invalid " 
                                       "16r7993"    16r0000 " invalid " 
                                       "16r7994"    16r0000 " invalid " 
                                       "16r7995"    16r0000 " invalid " 
                                       "16r7996"    16r0000 " invalid " 
                                       "16r7997"    16r0000 " invalid " 
                                       "16r7998"    16r0000 " invalid " 
                                       "16r7999"    16r0000 " invalid " 
                                       "16r799A"    16r6C7A
                                       "16r799B"    16r0000 " invalid " 
                                       "16r799C"    16r0000 " invalid " 
                                       "16r799D"    16r0000 " invalid " 
                                       "16r799E"    16r0000 " invalid " 
                                       "16r799F"    16r0000 " invalid " 
                                       "16r79A0"    16r0000 " invalid " 
                                       "16r79A1"    16r0000 " invalid " 
                                       "16r79A2"    16r0000 " invalid " 
                                       "16r79A3"    16r0000 " invalid " 
                                       "16r79A4"    16r0000 " invalid " 
                                       "16r79A5"    16r0000 " invalid " 
                                       "16r79A6"    16r0000 " invalid " 
                                       "16r79A7"    16r6C7B
                                       "16r79A8"    16r0000 " invalid " 
                                       "16r79A9"    16r0000 " invalid " 
                                       "16r79AA"    16r0000 " invalid " 
                                       "16r79AB"    16r0000 " invalid " 
                                       "16r79AC"    16r0000 " invalid " 
                                       "16r79AD"    16r0000 " invalid " 
                                       "16r79AE"    16r0000 " invalid " 
                                       "16r79AF"    16r0000 " invalid " 
                                       "16r79B0"    16r0000 " invalid " 
                                       "16r79B1"    16r0000 " invalid " 
                                       "16r79B2"    16r0000 " invalid " 
                                       "16r79B3"    16r6C7C
                                       "16r79B4"    16r0000 " invalid " 
                                       "16r79B5"    16r0000 " invalid " 
                                       "16r79B6"    16r0000 " invalid " 
                                       "16r79B7"    16r0000 " invalid " 
                                       "16r79B8"    16r0000 " invalid " 
                                       "16r79B9"    16r536D
                                       "16r79BA"    16r582E
                                       "16r79BB"    16r406B
                                       "16r79BC"    16r0000 " invalid " 
                                       "16r79BD"    16r475D
                                       "16r79BE"    16r3A4C
                                       "16r79BF"    16r0000 " invalid " 
                                       "16r79C0"    16r5063
                                       "16r79C1"    16r4B3D
                                       "16r79C2"    16r0000 " invalid " 
                                       "16r79C3"    16r4D3A
                                       "16r79C4"    16r0000 " invalid " 
                                       "16r79C5"    16r0000 " invalid " 
                                       "16r79C6"    16r3851
                                       "16r79C7"    16r0000 " invalid " 
                                       "16r79C8"    16r0000 " invalid " 
                                       "16r79C9"    16r317C
                                       "16r79CA"    16r0000 " invalid " 
                                       "16r79CB"    16r476F
                                       "16r79CC"    16r0000 " invalid " 
                                       "16r79CD"    16r5656
                                       "16r79CE"    16r0000 " invalid " 
                                       "16r79CF"    16r0000 " invalid " 
                                       "16r79D0"    16r0000 " invalid " 
                                       "16r79D1"    16r3F46
                                       "16r79D2"    16r436B
                                       "16r79D3"    16r0000 " invalid " 
                                       "16r79D4"    16r0000 " invalid " 
                                       "16r79D5"    16r6F75
                                       "16r79D6"    16r0000 " invalid " 
                                       "16r79D7"    16r0000 " invalid " 
                                       "16r79D8"    16r4358
                                       "16r79D9"    16r0000 " invalid " 
                                       "16r79DA"    16r0000 " invalid " 
                                       "16r79DB"    16r0000 " invalid " 
                                       "16r79DC"    16r0000 " invalid " 
                                       "16r79DD"    16r0000 " invalid " 
                                       "16r79DE"    16r0000 " invalid " 
                                       "16r79DF"    16r5762
                                       "16r79E0"    16r0000 " invalid " 
                                       "16r79E1"    16r0000 " invalid " 
                                       "16r79E2"    16r0000 " invalid " 
                                       "16r79E3"    16r6F77
                                       "16r79E4"    16r3353
                                       "16r79E5"    16r0000 " invalid " 
                                       "16r79E6"    16r4758
                                       "16r79E7"    16r516D
                                       "16r79E8"    16r0000 " invalid " 
                                       "16r79E9"    16r5648
                                       "16r79EA"    16r0000 " invalid " 
                                       "16r79EB"    16r6F78
                                       "16r79EC"    16r0000 " invalid " 
                                       "16r79ED"    16r6F76
                                       "16r79EE"    16r0000 " invalid " 
                                       "16r79EF"    16r3B7D
                                       "16r79F0"    16r3346
                                       "16r79F1"    16r0000 " invalid " 
                                       "16r79F2"    16r0000 " invalid " 
                                       "16r79F3"    16r0000 " invalid " 
                                       "16r79F4"    16r0000 " invalid " 
                                       "16r79F5"    16r0000 " invalid " 
                                       "16r79F6"    16r0000 " invalid " 
                                       "16r79F7"    16r0000 " invalid " 
                                       "16r79F8"    16r3D55
                                       "16r79F9"    16r0000 " invalid " 
                                       "16r79FA"    16r0000 " invalid " 
                                       "16r79FB"    16r5246
                                       "16r79FC"    16r0000 " invalid " 
                                       "16r79FD"    16r3B60
                                       "16r79FE"    16r0000 " invalid " 
                                       "16r79FF"    16r0000 " invalid " 
                                       "16r7A00"    16r4F21
                                       "16r7A01"    16r0000 " invalid " 
                                       "16r7A02"    16r6F7C
                                       "16r7A03"    16r6F7B
                                       "16r7A04"    16r0000 " invalid " 
                                       "16r7A05"    16r0000 " invalid " 
                                       "16r7A06"    16r6F79
                                       "16r7A07"    16r0000 " invalid " 
                                       "16r7A08"    16r0000 " invalid " 
                                       "16r7A09"    16r0000 " invalid " 
                                       "16r7A0A"    16r0000 " invalid " 
                                       "16r7A0B"    16r334C
                                       "16r7A0C"    16r0000 " invalid " 
                                       "16r7A0D"    16r4954
                                       "16r7A0E"    16r4B30
                                       "16r7A0F"    16r0000 " invalid " 
                                       "16r7A10"    16r0000 " invalid " 
                                       "16r7A11"    16r0000 " invalid " 
                                       "16r7A12"    16r0000 " invalid " 
                                       "16r7A13"    16r0000 " invalid " 
                                       "16r7A14"    16r6F7E
                                       "16r7A15"    16r0000 " invalid " 
                                       "16r7A16"    16r0000 " invalid " 
                                       "16r7A17"    16r305E
                                       "16r7A18"    16r0000 " invalid " 
                                       "16r7A19"    16r0000 " invalid " 
                                       "16r7A1A"    16r5649
                                       "16r7A1B"    16r0000 " invalid " 
                                       "16r7A1C"    16r0000 " invalid " 
                                       "16r7A1D"    16r0000 " invalid " 
                                       "16r7A1E"    16r6F7D
                                       "16r7A1F"    16r0000 " invalid " 
                                       "16r7A20"    16r336D
                                       "16r7A21"    16r0000 " invalid " 
                                       "16r7A22"    16r0000 " invalid " 
                                       "16r7A23"    16r7655
                                       "16r7A24"    16r0000 " invalid " 
                                       "16r7A25"    16r0000 " invalid " 
                                       "16r7A26"    16r0000 " invalid " 
                                       "16r7A27"    16r0000 " invalid " 
                                       "16r7A28"    16r0000 " invalid " 
                                       "16r7A29"    16r0000 " invalid " 
                                       "16r7A2A"    16r0000 " invalid " 
                                       "16r7A2B"    16r0000 " invalid " 
                                       "16r7A2C"    16r0000 " invalid " 
                                       "16r7A2D"    16r0000 " invalid " 
                                       "16r7A2E"    16r0000 " invalid " 
                                       "16r7A2F"    16r0000 " invalid " 
                                       "16r7A30"    16r0000 " invalid " 
                                       "16r7A31"    16r0000 " invalid " 
                                       "16r7A32"    16r0000 " invalid " 
                                       "16r7A33"    16r4E48
                                       "16r7A34"    16r0000 " invalid " 
                                       "16r7A35"    16r0000 " invalid " 
                                       "16r7A36"    16r0000 " invalid " 
                                       "16r7A37"    16r7022
                                       "16r7A38"    16r0000 " invalid " 
                                       "16r7A39"    16r7021
                                       "16r7A3A"    16r0000 " invalid " 
                                       "16r7A3B"    16r353E
                                       "16r7A3C"    16r3C5A
                                       "16r7A3D"    16r3B7C
                                       "16r7A3E"    16r0000 " invalid " 
                                       "16r7A3F"    16r3865
                                       "16r7A40"    16r0000 " invalid " 
                                       "16r7A41"    16r0000 " invalid " 
                                       "16r7A42"    16r0000 " invalid " 
                                       "16r7A43"    16r0000 " invalid " 
                                       "16r7A44"    16r0000 " invalid " 
                                       "16r7A45"    16r0000 " invalid " 
                                       "16r7A46"    16r4442
                                       "16r7A47"    16r0000 " invalid " 
                                       "16r7A48"    16r0000 " invalid " 
                                       "16r7A49"    16r0000 " invalid " 
                                       "16r7A4A"    16r0000 " invalid " 
                                       "16r7A4B"    16r0000 " invalid " 
                                       "16r7A4C"    16r0000 " invalid " 
                                       "16r7A4D"    16r0000 " invalid " 
                                       "16r7A4E"    16r0000 " invalid " 
                                       "16r7A4F"    16r0000 " invalid " 
                                       "16r7A50"    16r0000 " invalid " 
                                       "16r7A51"    16r7023
                                       "16r7A52"    16r0000 " invalid " 
                                       "16r7A53"    16r0000 " invalid " 
                                       "16r7A54"    16r0000 " invalid " 
                                       "16r7A55"    16r0000 " invalid " 
                                       "16r7A56"    16r0000 " invalid " 
                                       "16r7A57"    16r4B6B
                                       "16r7A58"    16r0000 " invalid " 
                                       "16r7A59"    16r0000 " invalid " 
                                       "16r7A5A"    16r0000 " invalid " 
                                       "16r7A5B"    16r0000 " invalid " 
                                       "16r7A5C"    16r0000 " invalid " 
                                       "16r7A5D"    16r0000 " invalid " 
                                       "16r7A5E"    16r0000 " invalid " 
                                       "16r7A5F"    16r0000 " invalid " 
                                       "16r7A60"    16r0000 " invalid " 
                                       "16r7A61"    16r0000 " invalid " 
                                       "16r7A62"    16r0000 " invalid " 
                                       "16r7A63"    16r0000 " invalid " 
                                       "16r7A64"    16r0000 " invalid " 
                                       "16r7A65"    16r0000 " invalid " 
                                       "16r7A66"    16r0000 " invalid " 
                                       "16r7A67"    16r0000 " invalid " 
                                       "16r7A68"    16r0000 " invalid " 
                                       "16r7A69"    16r0000 " invalid " 
                                       "16r7A6A"    16r0000 " invalid " 
                                       "16r7A6B"    16r0000 " invalid " 
                                       "16r7A6C"    16r0000 " invalid " 
                                       "16r7A6D"    16r0000 " invalid " 
                                       "16r7A6E"    16r0000 " invalid " 
                                       "16r7A6F"    16r0000 " invalid " 
                                       "16r7A70"    16r7026
                                       "16r7A71"    16r0000 " invalid " 
                                       "16r7A72"    16r0000 " invalid " 
                                       "16r7A73"    16r0000 " invalid " 
                                       "16r7A74"    16r5128
                                       "16r7A75"    16r0000 " invalid " 
                                       "16r7A76"    16r3E3F
                                       "16r7A77"    16r476E
                                       "16r7A78"    16r7136
                                       "16r7A79"    16r7137
                                       "16r7A7A"    16r3F55
                                       "16r7A7B"    16r0000 " invalid " 
                                       "16r7A7C"    16r0000 " invalid " 
                                       "16r7A7D"    16r0000 " invalid " 
                                       "16r7A7E"    16r0000 " invalid " 
                                       "16r7A7F"    16r3429
                                       "16r7A80"    16r7138
                                       "16r7A81"    16r4D3B
                                       "16r7A82"    16r0000 " invalid " 
                                       "16r7A83"    16r4754
                                       "16r7A84"    16r552D
                                       "16r7A85"    16r0000 " invalid " 
                                       "16r7A86"    16r7139
                                       "16r7A87"    16r0000 " invalid " 
                                       "16r7A88"    16r713A
                                       "16r7A89"    16r0000 " invalid " 
                                       "16r7A8A"    16r0000 " invalid " 
                                       "16r7A8B"    16r0000 " invalid " 
                                       "16r7A8C"    16r0000 " invalid " 
                                       "16r7A8D"    16r474F
                                       "16r7A8E"    16r0000 " invalid " 
                                       "16r7A8F"    16r0000 " invalid " 
                                       "16r7A90"    16r0000 " invalid " 
                                       "16r7A91"    16r5224
                                       "16r7A92"    16r564F
                                       "16r7A93"    16r0000 " invalid " 
                                       "16r7A94"    16r0000 " invalid " 
                                       "16r7A95"    16r713B
                                       "16r7A96"    16r3D51
                                       "16r7A97"    16r3430
                                       "16r7A98"    16r3E3D
                                       "16r7A99"    16r0000 " invalid " 
                                       "16r7A9A"    16r0000 " invalid " 
                                       "16r7A9B"    16r0000 " invalid " 
                                       "16r7A9C"    16r345C
                                       "16r7A9D"    16r4E51
                                       "16r7A9E"    16r0000 " invalid " 
                                       "16r7A9F"    16r3F5F
                                       "16r7AA0"    16r713D
                                       "16r7AA1"    16r0000 " invalid " 
                                       "16r7AA2"    16r0000 " invalid " 
                                       "16r7AA3"    16r0000 " invalid " 
                                       "16r7AA4"    16r0000 " invalid " 
                                       "16r7AA5"    16r3F7A
                                       "16r7AA6"    16r713C
                                       "16r7AA7"    16r0000 " invalid " 
                                       "16r7AA8"    16r713F
                                       "16r7AA9"    16r0000 " invalid " 
                                       "16r7AAA"    16r0000 " invalid " 
                                       "16r7AAB"    16r0000 " invalid " 
                                       "16r7AAC"    16r713E
                                       "16r7AAD"    16r7140
                                       "16r7AAE"    16r0000 " invalid " 
                                       "16r7AAF"    16r0000 " invalid " 
                                       "16r7AB0"    16r0000 " invalid " 
                                       "16r7AB1"    16r0000 " invalid " 
                                       "16r7AB2"    16r0000 " invalid " 
                                       "16r7AB3"    16r7141
                                       "16r7AB4"    16r0000 " invalid " 
                                       "16r7AB5"    16r0000 " invalid " 
                                       "16r7AB6"    16r0000 " invalid " 
                                       "16r7AB7"    16r0000 " invalid " 
                                       "16r7AB8"    16r0000 " invalid " 
                                       "16r7AB9"    16r0000 " invalid " 
                                       "16r7ABA"    16r0000 " invalid " 
                                       "16r7ABB"    16r0000 " invalid " 
                                       "16r7ABC"    16r0000 " invalid " 
                                       "16r7ABD"    16r0000 " invalid " 
                                       "16r7ABE"    16r0000 " invalid " 
                                       "16r7ABF"    16r417E
                                       "16r7AC0"    16r0000 " invalid " 
                                       "16r7AC1"    16r0000 " invalid " 
                                       "16r7AC2"    16r0000 " invalid " 
                                       "16r7AC3"    16r0000 " invalid " 
                                       "16r7AC4"    16r0000 " invalid " 
                                       "16r7AC5"    16r0000 " invalid " 
                                       "16r7AC6"    16r0000 " invalid " 
                                       "16r7AC7"    16r0000 " invalid " 
                                       "16r7AC8"    16r0000 " invalid " 
                                       "16r7AC9"    16r0000 " invalid " 
                                       "16r7ACA"    16r0000 " invalid " 
                                       "16r7ACB"    16r4122
                                       "16r7ACC"    16r0000 " invalid " 
                                       "16r7ACD"    16r0000 " invalid " 
                                       "16r7ACE"    16r0000 " invalid " 
                                       "16r7ACF"    16r0000 " invalid " 
                                       "16r7AD0"    16r0000 " invalid " 
                                       "16r7AD1"    16r0000 " invalid " 
                                       "16r7AD2"    16r0000 " invalid " 
                                       "16r7AD3"    16r0000 " invalid " 
                                       "16r7AD4"    16r0000 " invalid " 
                                       "16r7AD5"    16r0000 " invalid " 
                                       "16r7AD6"    16r4A7A
                                       "16r7AD7"    16r0000 " invalid " 
                                       "16r7AD8"    16r0000 " invalid " 
                                       "16r7AD9"    16r553E
                                       "16r7ADA"    16r0000 " invalid " 
                                       "16r7ADB"    16r0000 " invalid " 
                                       "16r7ADC"    16r0000 " invalid " 
                                       "16r7ADD"    16r0000 " invalid " 
                                       "16r7ADE"    16r3E3A
                                       "16r7ADF"    16r3E39
                                       "16r7AE0"    16r5542
                                       "16r7AE1"    16r0000 " invalid " 
                                       "16r7AE2"    16r0000 " invalid " 
                                       "16r7AE3"    16r3F22
                                       "16r7AE4"    16r0000 " invalid " 
                                       "16r7AE5"    16r4D2F
                                       "16r7AE6"    16r7135
                                       "16r7AE7"    16r0000 " invalid " 
                                       "16r7AE8"    16r0000 " invalid " 
                                       "16r7AE9"    16r0000 " invalid " 
                                       "16r7AEA"    16r0000 " invalid " 
                                       "16r7AEB"    16r0000 " invalid " 
                                       "16r7AEC"    16r0000 " invalid " 
                                       "16r7AED"    16r3D5F
                                       "16r7AEE"    16r0000 " invalid " 
                                       "16r7AEF"    16r364B
                                       "16r7AF0"    16r0000 " invalid " 
                                       "16r7AF1"    16r0000 " invalid " 
                                       "16r7AF2"    16r0000 " invalid " 
                                       "16r7AF3"    16r0000 " invalid " 
                                       "16r7AF4"    16r0000 " invalid " 
                                       "16r7AF5"    16r0000 " invalid " 
                                       "16r7AF6"    16r0000 " invalid " 
                                       "16r7AF7"    16r0000 " invalid " 
                                       "16r7AF8"    16r0000 " invalid " 
                                       "16r7AF9"    16r5671
                                       "16r7AFA"    16r7343
                                       "16r7AFB"    16r0000 " invalid " 
                                       "16r7AFC"    16r0000 " invalid " 
                                       "16r7AFD"    16r7344
                                       "16r7AFE"    16r0000 " invalid " 
                                       "16r7AFF"    16r384D
                                       "16r7B00"    16r0000 " invalid " 
                                       "16r7B01"    16r0000 " invalid " 
                                       "16r7B02"    16r0000 " invalid " 
                                       "16r7B03"    16r7346
                                       "16r7B04"    16r7347
                                       "16r7B05"    16r0000 " invalid " 
                                       "16r7B06"    16r304A
                                       "16r7B07"    16r0000 " invalid " 
                                       "16r7B08"    16r7345
                                       "16r7B09"    16r0000 " invalid " 
                                       "16r7B0A"    16r7349
                                       "16r7B0B"    16r4B71
                                       "16r7B0C"    16r0000 " invalid " 
                                       "16r7B0D"    16r0000 " invalid " 
                                       "16r7B0E"    16r0000 " invalid " 
                                       "16r7B0F"    16r734B
                                       "16r7B10"    16r0000 " invalid " 
                                       "16r7B11"    16r5026
                                       "16r7B12"    16r0000 " invalid " 
                                       "16r7B13"    16r0000 " invalid " 
                                       "16r7B14"    16r314A
                                       "16r7B15"    16r7348
                                       "16r7B16"    16r0000 " invalid " 
                                       "16r7B17"    16r0000 " invalid " 
                                       "16r7B18"    16r0000 " invalid " 
                                       "16r7B19"    16r734F
                                       "16r7B1A"    16r0000 " invalid " 
                                       "16r7B1B"    16r3551
                                       "16r7B1C"    16r0000 " invalid " 
                                       "16r7B1D"    16r0000 " invalid " 
                                       "16r7B1E"    16r7357
                                       "16r7B1F"    16r0000 " invalid " 
                                       "16r7B20"    16r7352
                                       "16r7B21"    16r0000 " invalid " 
                                       "16r7B22"    16r0000 " invalid " 
                                       "16r7B23"    16r0000 " invalid " 
                                       "16r7B24"    16r7354
                                       "16r7B25"    16r7353
                                       "16r7B26"    16r377B
                                       "16r7B27"    16r0000 " invalid " 
                                       "16r7B28"    16r313F
                                       "16r7B29"    16r0000 " invalid " 
                                       "16r7B2A"    16r734E
                                       "16r7B2B"    16r734A
                                       "16r7B2C"    16r355A
                                       "16r7B2D"    16r0000 " invalid " 
                                       "16r7B2E"    16r7350
                                       "16r7B2F"    16r0000 " invalid " 
                                       "16r7B30"    16r0000 " invalid " 
                                       "16r7B31"    16r7351
                                       "16r7B32"    16r0000 " invalid " 
                                       "16r7B33"    16r7355
                                       "16r7B34"    16r0000 " invalid " 
                                       "16r7B35"    16r0000 " invalid " 
                                       "16r7B36"    16r0000 " invalid " 
                                       "16r7B37"    16r0000 " invalid " 
                                       "16r7B38"    16r734D
                                       "16r7B39"    16r0000 " invalid " 
                                       "16r7B3A"    16r3C63
                                       "16r7B3B"    16r0000 " invalid " 
                                       "16r7B3C"    16r417D
                                       "16r7B3D"    16r0000 " invalid " 
                                       "16r7B3E"    16r7356
                                       "16r7B3F"    16r0000 " invalid " 
                                       "16r7B40"    16r0000 " invalid " 
                                       "16r7B41"    16r0000 " invalid " 
                                       "16r7B42"    16r0000 " invalid " 
                                       "16r7B43"    16r0000 " invalid " 
                                       "16r7B44"    16r0000 " invalid " 
                                       "16r7B45"    16r735A
                                       "16r7B46"    16r0000 " invalid " 
                                       "16r7B47"    16r734C
                                       "16r7B48"    16r0000 " invalid " 
                                       "16r7B49"    16r3548
                                       "16r7B4A"    16r0000 " invalid " 
                                       "16r7B4B"    16r3D6E
                                       "16r7B4C"    16r735C
                                       "16r7B4D"    16r0000 " invalid " 
                                       "16r7B4E"    16r0000 " invalid " 
                                       "16r7B4F"    16r3724
                                       "16r7B50"    16r3F70
                                       "16r7B51"    16r567E
                                       "16r7B52"    16r4D32
                                       "16r7B53"    16r0000 " invalid " 
                                       "16r7B54"    16r3470
                                       "16r7B55"    16r0000 " invalid " 
                                       "16r7B56"    16r325F
                                       "16r7B57"    16r0000 " invalid " 
                                       "16r7B58"    16r7358
                                       "16r7B59"    16r0000 " invalid " 
                                       "16r7B5A"    16r7359
                                       "16r7B5B"    16r4938
                                       "16r7B5C"    16r0000 " invalid " 
                                       "16r7B5D"    16r735D
                                       "16r7B5E"    16r0000 " invalid " 
                                       "16r7B5F"    16r0000 " invalid " 
                                       "16r7B60"    16r735E
                                       "16r7B61"    16r0000 " invalid " 
                                       "16r7B62"    16r7361
                                       "16r7B63"    16r0000 " invalid " 
                                       "16r7B64"    16r0000 " invalid " 
                                       "16r7B65"    16r0000 " invalid " 
                                       "16r7B66"    16r0000 " invalid " 
                                       "16r7B67"    16r0000 " invalid " 
                                       "16r7B68"    16r0000 " invalid " 
                                       "16r7B69"    16r0000 " invalid " 
                                       "16r7B6A"    16r0000 " invalid " 
                                       "16r7B6B"    16r0000 " invalid " 
                                       "16r7B6C"    16r0000 " invalid " 
                                       "16r7B6D"    16r0000 " invalid " 
                                       "16r7B6E"    16r735F
                                       "16r7B6F"    16r0000 " invalid " 
                                       "16r7B70"    16r0000 " invalid " 
                                       "16r7B71"    16r7363
                                       "16r7B72"    16r7362
                                       "16r7B73"    16r0000 " invalid " 
                                       "16r7B74"    16r0000 " invalid " 
                                       "16r7B75"    16r735B
                                       "16r7B76"    16r0000 " invalid " 
                                       "16r7B77"    16r3F6A
                                       "16r7B78"    16r0000 " invalid " 
                                       "16r7B79"    16r336F
                                       "16r7B7A"    16r0000 " invalid " 
                                       "16r7B7B"    16r7360
                                       "16r7B7C"    16r0000 " invalid " 
                                       "16r7B7D"    16r0000 " invalid " 
                                       "16r7B7E"    16r4729
                                       "16r7B7F"    16r0000 " invalid " 
                                       "16r7B80"    16r3C72
                                       "16r7B81"    16r0000 " invalid " 
                                       "16r7B82"    16r0000 " invalid " 
                                       "16r7B83"    16r0000 " invalid " 
                                       "16r7B84"    16r0000 " invalid " 
                                       "16r7B85"    16r736B
                                       "16r7B86"    16r0000 " invalid " 
                                       "16r7B87"    16r0000 " invalid " 
                                       "16r7B88"    16r0000 " invalid " 
                                       "16r7B89"    16r0000 " invalid " 
                                       "16r7B8A"    16r0000 " invalid " 
                                       "16r7B8B"    16r0000 " invalid " 
                                       "16r7B8C"    16r0000 " invalid " 
                                       "16r7B8D"    16r393F
                                       "16r7B8E"    16r0000 " invalid " 
                                       "16r7B8F"    16r0000 " invalid " 
                                       "16r7B90"    16r7364
                                       "16r7B91"    16r0000 " invalid " 
                                       "16r7B92"    16r0000 " invalid " 
                                       "16r7B93"    16r0000 " invalid " 
                                       "16r7B94"    16r322D
                                       "16r7B95"    16r3B7E
                                       "16r7B96"    16r0000 " invalid " 
                                       "16r7B97"    16r4B63
                                       "16r7B98"    16r0000 " invalid " 
                                       "16r7B99"    16r0000 " invalid " 
                                       "16r7B9A"    16r0000 " invalid " 
                                       "16r7B9B"    16r0000 " invalid " 
                                       "16r7B9C"    16r736D
                                       "16r7B9D"    16r7369
                                       "16r7B9E"    16r0000 " invalid " 
                                       "16r7B9F"    16r0000 " invalid " 
                                       "16r7BA0"    16r0000 " invalid " 
                                       "16r7BA1"    16r395C
                                       "16r7BA2"    16r736E
                                       "16r7BA3"    16r0000 " invalid " 
                                       "16r7BA4"    16r0000 " invalid " 
                                       "16r7BA5"    16r0000 " invalid " 
                                       "16r7BA6"    16r7365
                                       "16r7BA7"    16r7366
                                       "16r7BA8"    16r736A
                                       "16r7BA9"    16r4261
                                       "16r7BAA"    16r736C
                                       "16r7BAB"    16r736F
                                       "16r7BAC"    16r7368
                                       "16r7BAD"    16r3C7D
                                       "16r7BAE"    16r0000 " invalid " 
                                       "16r7BAF"    16r0000 " invalid " 
                                       "16r7BB0"    16r0000 " invalid " 
                                       "16r7BB1"    16r4F64
                                       "16r7BB2"    16r0000 " invalid " 
                                       "16r7BB3"    16r0000 " invalid " 
                                       "16r7BB4"    16r7370
                                       "16r7BB5"    16r0000 " invalid " 
                                       "16r7BB6"    16r0000 " invalid " 
                                       "16r7BB7"    16r0000 " invalid " 
                                       "16r7BB8"    16r7367
                                       "16r7BB9"    16r0000 " invalid " 
                                       "16r7BBA"    16r0000 " invalid " 
                                       "16r7BBB"    16r0000 " invalid " 
                                       "16r7BBC"    16r0000 " invalid " 
                                       "16r7BBD"    16r0000 " invalid " 
                                       "16r7BBE"    16r0000 " invalid " 
                                       "16r7BBF"    16r0000 " invalid " 
                                       "16r7BC0"    16r0000 " invalid " 
                                       "16r7BC1"    16r7372
                                       "16r7BC2"    16r0000 " invalid " 
                                       "16r7BC3"    16r0000 " invalid " 
                                       "16r7BC4"    16r0000 " invalid " 
                                       "16r7BC5"    16r0000 " invalid " 
                                       "16r7BC6"    16r572D
                                       "16r7BC7"    16r462A
                                       "16r7BC8"    16r0000 " invalid " 
                                       "16r7BC9"    16r0000 " invalid " 
                                       "16r7BCA"    16r0000 " invalid " 
                                       "16r7BCB"    16r0000 " invalid " 
                                       "16r7BCC"    16r7373
                                       "16r7BCD"    16r0000 " invalid " 
                                       "16r7BCE"    16r0000 " invalid " 
                                       "16r7BCF"    16r0000 " invalid " 
                                       "16r7BD0"    16r0000 " invalid " 
                                       "16r7BD1"    16r7371
                                       "16r7BD2"    16r0000 " invalid " 
                                       "16r7BD3"    16r4228
                                       "16r7BD4"    16r0000 " invalid " 
                                       "16r7BD5"    16r0000 " invalid " 
                                       "16r7BD6"    16r0000 " invalid " 
                                       "16r7BD7"    16r0000 " invalid " 
                                       "16r7BD8"    16r0000 " invalid " 
                                       "16r7BD9"    16r385D
                                       "16r7BDA"    16r7375
                                       "16r7BDB"    16r0000 " invalid " 
                                       "16r7BDC"    16r0000 " invalid " 
                                       "16r7BDD"    16r7374
                                       "16r7BDE"    16r0000 " invalid " 
                                       "16r7BDF"    16r0000 " invalid " 
                                       "16r7BE0"    16r0000 " invalid " 
                                       "16r7BE1"    16r345B
                                       "16r7BE2"    16r0000 " invalid " 
                                       "16r7BE3"    16r0000 " invalid " 
                                       "16r7BE4"    16r0000 " invalid " 
                                       "16r7BE5"    16r7376
                                       "16r7BE6"    16r7377
                                       "16r7BE7"    16r0000 " invalid " 
                                       "16r7BE8"    16r0000 " invalid " 
                                       "16r7BE9"    16r0000 " invalid " 
                                       "16r7BEA"    16r7378
                                       "16r7BEB"    16r0000 " invalid " 
                                       "16r7BEC"    16r0000 " invalid " 
                                       "16r7BED"    16r0000 " invalid " 
                                       "16r7BEE"    16r403A
                                       "16r7BEF"    16r0000 " invalid " 
                                       "16r7BF0"    16r0000 " invalid " 
                                       "16r7BF1"    16r4069
                                       "16r7BF2"    16r0000 " invalid " 
                                       "16r7BF3"    16r0000 " invalid " 
                                       "16r7BF4"    16r0000 " invalid " 
                                       "16r7BF5"    16r0000 " invalid " 
                                       "16r7BF6"    16r0000 " invalid " 
                                       "16r7BF7"    16r4571
                                       "16r7BF8"    16r0000 " invalid " 
                                       "16r7BF9"    16r0000 " invalid " 
                                       "16r7BFA"    16r0000 " invalid " 
                                       "16r7BFB"    16r0000 " invalid " 
                                       "16r7BFC"    16r737B
                                       "16r7BFD"    16r0000 " invalid " 
                                       "16r7BFE"    16r737A
                                       "16r7BFF"    16r0000 " invalid " 
                                       "16r7C00"    16r0000 " invalid " 
                                       "16r7C01"    16r0000 " invalid " 
                                       "16r7C02"    16r0000 " invalid " 
                                       "16r7C03"    16r0000 " invalid " 
                                       "16r7C04"    16r0000 " invalid " 
                                       "16r7C05"    16r0000 " invalid " 
                                       "16r7C06"    16r0000 " invalid " 
                                       "16r7C07"    16r3458
                                       "16r7C08"    16r0000 " invalid " 
                                       "16r7C09"    16r0000 " invalid " 
                                       "16r7C0A"    16r0000 " invalid " 
                                       "16r7C0B"    16r737E
                                       "16r7C0C"    16r7379
                                       "16r7C0D"    16r0000 " invalid " 
                                       "16r7C0E"    16r0000 " invalid " 
                                       "16r7C0F"    16r737C
                                       "16r7C10"    16r0000 " invalid " 
                                       "16r7C11"    16r0000 " invalid " 
                                       "16r7C12"    16r0000 " invalid " 
                                       "16r7C13"    16r0000 " invalid " 
                                       "16r7C14"    16r0000 " invalid " 
                                       "16r7C15"    16r0000 " invalid " 
                                       "16r7C16"    16r737D
                                       "16r7C17"    16r0000 " invalid " 
                                       "16r7C18"    16r0000 " invalid " 
                                       "16r7C19"    16r0000 " invalid " 
                                       "16r7C1A"    16r0000 " invalid " 
                                       "16r7C1B"    16r0000 " invalid " 
                                       "16r7C1C"    16r0000 " invalid " 
                                       "16r7C1D"    16r0000 " invalid " 
                                       "16r7C1E"    16r0000 " invalid " 
                                       "16r7C1F"    16r7421
                                       "16r7C20"    16r0000 " invalid " 
                                       "16r7C21"    16r0000 " invalid " 
                                       "16r7C22"    16r0000 " invalid " 
                                       "16r7C23"    16r0000 " invalid " 
                                       "16r7C24"    16r0000 " invalid " 
                                       "16r7C25"    16r0000 " invalid " 
                                       "16r7C26"    16r7423
                                       "16r7C27"    16r3B49
                                       "16r7C28"    16r0000 " invalid " 
                                       "16r7C29"    16r0000 " invalid " 
                                       "16r7C2A"    16r7422
                                       "16r7C2B"    16r0000 " invalid " 
                                       "16r7C2C"    16r0000 " invalid " 
                                       "16r7C2D"    16r0000 " invalid " 
                                       "16r7C2E"    16r0000 " invalid " 
                                       "16r7C2F"    16r0000 " invalid " 
                                       "16r7C30"    16r0000 " invalid " 
                                       "16r7C31"    16r0000 " invalid " 
                                       "16r7C32"    16r0000 " invalid " 
                                       "16r7C33"    16r0000 " invalid " 
                                       "16r7C34"    16r0000 " invalid " 
                                       "16r7C35"    16r0000 " invalid " 
                                       "16r7C36"    16r0000 " invalid " 
                                       "16r7C37"    16r0000 " invalid " 
                                       "16r7C38"    16r7424
                                       "16r7C39"    16r0000 " invalid " 
                                       "16r7C3A"    16r0000 " invalid " 
                                       "16r7C3B"    16r0000 " invalid " 
                                       "16r7C3C"    16r0000 " invalid " 
                                       "16r7C3D"    16r0000 " invalid " 
                                       "16r7C3E"    16r0000 " invalid " 
                                       "16r7C3F"    16r323E
                                       "16r7C40"    16r7426
                                       "16r7C41"    16r7425
                                       "16r7C42"    16r0000 " invalid " 
                                       "16r7C43"    16r0000 " invalid " 
                                       "16r7C44"    16r0000 " invalid " 
                                       "16r7C45"    16r0000 " invalid " 
                                       "16r7C46"    16r0000 " invalid " 
                                       "16r7C47"    16r0000 " invalid " 
                                       "16r7C48"    16r0000 " invalid " 
                                       "16r7C49"    16r0000 " invalid " 
                                       "16r7C4A"    16r0000 " invalid " 
                                       "16r7C4B"    16r0000 " invalid " 
                                       "16r7C4C"    16r0000 " invalid " 
                                       "16r7C4D"    16r3C2E
                                       "16r7C4E"    16r0000 " invalid " 
                                       "16r7C4F"    16r0000 " invalid " 
                                       "16r7C50"    16r0000 " invalid " 
                                       "16r7C51"    16r0000 " invalid " 
                                       "16r7C52"    16r0000 " invalid " 
                                       "16r7C53"    16r0000 " invalid " 
                                       "16r7C54"    16r0000 " invalid " 
                                       "16r7C55"    16r0000 " invalid " 
                                       "16r7C56"    16r0000 " invalid " 
                                       "16r7C57"    16r0000 " invalid " 
                                       "16r7C58"    16r0000 " invalid " 
                                       "16r7C59"    16r0000 " invalid " 
                                       "16r7C5A"    16r0000 " invalid " 
                                       "16r7C5B"    16r0000 " invalid " 
                                       "16r7C5C"    16r0000 " invalid " 
                                       "16r7C5D"    16r0000 " invalid " 
                                       "16r7C5E"    16r0000 " invalid " 
                                       "16r7C5F"    16r0000 " invalid " 
                                       "16r7C60"    16r0000 " invalid " 
                                       "16r7C61"    16r0000 " invalid " 
                                       "16r7C62"    16r0000 " invalid " 
                                       "16r7C63"    16r0000 " invalid " 
                                       "16r7C64"    16r0000 " invalid " 
                                       "16r7C65"    16r0000 " invalid " 
                                       "16r7C66"    16r0000 " invalid " 
                                       "16r7C67"    16r0000 " invalid " 
                                       "16r7C68"    16r0000 " invalid " 
                                       "16r7C69"    16r0000 " invalid " 
                                       "16r7C6A"    16r0000 " invalid " 
                                       "16r7C6B"    16r0000 " invalid " 
                                       "16r7C6C"    16r0000 " invalid " 
                                       "16r7C6D"    16r0000 " invalid " 
                                       "16r7C6E"    16r0000 " invalid " 
                                       "16r7C6F"    16r0000 " invalid " 
                                       "16r7C70"    16r0000 " invalid " 
                                       "16r7C71"    16r0000 " invalid " 
                                       "16r7C72"    16r0000 " invalid " 
                                       "16r7C73"    16r4357
                                       "16r7C74"    16r5961
                                       "16r7C75"    16r0000 " invalid " 
                                       "16r7C76"    16r0000 " invalid " 
                                       "16r7C77"    16r0000 " invalid " 
                                       "16r7C78"    16r0000 " invalid " 
                                       "16r7C79"    16r0000 " invalid " 
                                       "16r7C7A"    16r0000 " invalid " 
                                       "16r7C7B"    16r4060
                                       "16r7C7C"    16r744C
                                       "16r7C7D"    16r5751
                                       "16r7C7E"    16r0000 " invalid " 
                                       "16r7C7F"    16r0000 " invalid " 
                                       "16r7C80"    16r0000 " invalid " 
                                       "16r7C81"    16r0000 " invalid " 
                                       "16r7C82"    16r0000 " invalid " 
                                       "16r7C83"    16r0000 " invalid " 
                                       "16r7C84"    16r0000 " invalid " 
                                       "16r7C85"    16r0000 " invalid " 
                                       "16r7C86"    16r0000 " invalid " 
                                       "16r7C87"    16r0000 " invalid " 
                                       "16r7C88"    16r0000 " invalid " 
                                       "16r7C89"    16r375B
                                       "16r7C8A"    16r0000 " invalid " 
                                       "16r7C8B"    16r0000 " invalid " 
                                       "16r7C8C"    16r0000 " invalid " 
                                       "16r7C8D"    16r0000 " invalid " 
                                       "16r7C8E"    16r0000 " invalid " 
                                       "16r7C8F"    16r0000 " invalid " 
                                       "16r7C90"    16r0000 " invalid " 
                                       "16r7C91"    16r744E
                                       "16r7C92"    16r4123
                                       "16r7C93"    16r0000 " invalid " 
                                       "16r7C94"    16r0000 " invalid " 
                                       "16r7C95"    16r4649
                                       "16r7C96"    16r0000 " invalid " 
                                       "16r7C97"    16r3456
                                       "16r7C98"    16r5533
                                       "16r7C99"    16r0000 " invalid " 
                                       "16r7C9A"    16r0000 " invalid " 
                                       "16r7C9B"    16r0000 " invalid " 
                                       "16r7C9C"    16r7450
                                       "16r7C9D"    16r744F
                                       "16r7C9E"    16r7451
                                       "16r7C9F"    16r4B5A
                                       "16r7CA0"    16r0000 " invalid " 
                                       "16r7CA1"    16r0000 " invalid " 
                                       "16r7CA2"    16r7452
                                       "16r7CA3"    16r0000 " invalid " 
                                       "16r7CA4"    16r5441
                                       "16r7CA5"    16r5660
                                       "16r7CA6"    16r0000 " invalid " 
                                       "16r7CA7"    16r0000 " invalid " 
                                       "16r7CA8"    16r0000 " invalid " 
                                       "16r7CA9"    16r0000 " invalid " 
                                       "16r7CAA"    16r3760
                                       "16r7CAB"    16r0000 " invalid " 
                                       "16r7CAC"    16r0000 " invalid " 
                                       "16r7CAD"    16r0000 " invalid " 
                                       "16r7CAE"    16r4138
                                       "16r7CAF"    16r0000 " invalid " 
                                       "16r7CB0"    16r0000 " invalid " 
                                       "16r7CB1"    16r413B
                                       "16r7CB2"    16r7453
                                       "16r7CB3"    16r3E2C
                                       "16r7CB4"    16r0000 " invalid " 
                                       "16r7CB5"    16r0000 " invalid " 
                                       "16r7CB6"    16r0000 " invalid " 
                                       "16r7CB7"    16r0000 " invalid " 
                                       "16r7CB8"    16r0000 " invalid " 
                                       "16r7CB9"    16r3462
                                       "16r7CBA"    16r0000 " invalid " 
                                       "16r7CBB"    16r0000 " invalid " 
                                       "16r7CBC"    16r7454
                                       "16r7CBD"    16r7455
                                       "16r7CBE"    16r3E2B
                                       "16r7CBF"    16r0000 " invalid " 
                                       "16r7CC0"    16r0000 " invalid " 
                                       "16r7CC1"    16r7456
                                       "16r7CC2"    16r0000 " invalid " 
                                       "16r7CC3"    16r0000 " invalid " 
                                       "16r7CC4"    16r0000 " invalid " 
                                       "16r7CC5"    16r745B
                                       "16r7CC6"    16r0000 " invalid " 
                                       "16r7CC7"    16r7457
                                       "16r7CC8"    16r745A
                                       "16r7CC9"    16r0000 " invalid " 
                                       "16r7CCA"    16r3A7D
                                       "16r7CCB"    16r0000 " invalid " 
                                       "16r7CCC"    16r7458
                                       "16r7CCD"    16r7459
                                       "16r7CCE"    16r0000 " invalid " 
                                       "16r7CCF"    16r0000 " invalid " 
                                       "16r7CD0"    16r0000 " invalid " 
                                       "16r7CD1"    16r0000 " invalid " 
                                       "16r7CD2"    16r0000 " invalid " 
                                       "16r7CD3"    16r0000 " invalid " 
                                       "16r7CD4"    16r0000 " invalid " 
                                       "16r7CD5"    16r3862
                                       "16r7CD6"    16r4C47
                                       "16r7CD7"    16r745C
                                       "16r7CD8"    16r0000 " invalid " 
                                       "16r7CD9"    16r325A
                                       "16r7CDA"    16r0000 " invalid " 
                                       "16r7CDB"    16r0000 " invalid " 
                                       "16r7CDC"    16r4353
                                       "16r7CDD"    16r0000 " invalid " 
                                       "16r7CDE"    16r0000 " invalid " 
                                       "16r7CDF"    16r5463
                                       "16r7CE0"    16r3F37
                                       "16r7CE1"    16r0000 " invalid " 
                                       "16r7CE2"    16r0000 " invalid " 
                                       "16r7CE3"    16r0000 " invalid " 
                                       "16r7CE4"    16r0000 " invalid " 
                                       "16r7CE5"    16r0000 " invalid " 
                                       "16r7CE6"    16r0000 " invalid " 
                                       "16r7CE7"    16r0000 " invalid " 
                                       "16r7CE8"    16r745D
                                       "16r7CE9"    16r0000 " invalid " 
                                       "16r7CEA"    16r0000 " invalid " 
                                       "16r7CEB"    16r0000 " invalid " 
                                       "16r7CEC"    16r0000 " invalid " 
                                       "16r7CED"    16r0000 " invalid " 
                                       "16r7CEE"    16r0000 " invalid " 
                                       "16r7CEF"    16r4534
                                       "16r7CF0"    16r0000 " invalid " 
                                       "16r7CF1"    16r0000 " invalid " 
                                       "16r7CF2"    16r0000 " invalid " 
                                       "16r7CF3"    16r0000 " invalid " 
                                       "16r7CF4"    16r0000 " invalid " 
                                       "16r7CF5"    16r0000 " invalid " 
                                       "16r7CF6"    16r0000 " invalid " 
                                       "16r7CF7"    16r0000 " invalid " 
                                       "16r7CF8"    16r7469
                                       "16r7CF9"    16r0000 " invalid " 
                                       "16r7CFA"    16r0000 " invalid " 
                                       "16r7CFB"    16r4F35
                                       "16r7CFC"    16r0000 " invalid " 
                                       "16r7CFD"    16r0000 " invalid " 
                                       "16r7CFE"    16r0000 " invalid " 
                                       "16r7CFF"    16r0000 " invalid " 
                                       "16r7D00"    16r0000 " invalid " 
                                       "16r7D01"    16r0000 " invalid " 
                                       "16r7D02"    16r0000 " invalid " 
                                       "16r7D03"    16r0000 " invalid " 
                                       "16r7D04"    16r0000 " invalid " 
                                       "16r7D05"    16r0000 " invalid " 
                                       "16r7D06"    16r0000 " invalid " 
                                       "16r7D07"    16r0000 " invalid " 
                                       "16r7D08"    16r0000 " invalid " 
                                       "16r7D09"    16r0000 " invalid " 
                                       "16r7D0A"    16r4E49
                                       "16r7D0B"    16r0000 " invalid " 
                                       "16r7D0C"    16r0000 " invalid " 
                                       "16r7D0D"    16r0000 " invalid " 
                                       "16r7D0E"    16r0000 " invalid " 
                                       "16r7D0F"    16r0000 " invalid " 
                                       "16r7D10"    16r0000 " invalid " 
                                       "16r7D11"    16r0000 " invalid " 
                                       "16r7D12"    16r0000 " invalid " 
                                       "16r7D13"    16r0000 " invalid " 
                                       "16r7D14"    16r0000 " invalid " 
                                       "16r7D15"    16r0000 " invalid " 
                                       "16r7D16"    16r0000 " invalid " 
                                       "16r7D17"    16r0000 " invalid " 
                                       "16r7D18"    16r0000 " invalid " 
                                       "16r7D19"    16r0000 " invalid " 
                                       "16r7D1A"    16r0000 " invalid " 
                                       "16r7D1B"    16r0000 " invalid " 
                                       "16r7D1C"    16r0000 " invalid " 
                                       "16r7D1D"    16r0000 " invalid " 
                                       "16r7D1E"    16r0000 " invalid " 
                                       "16r7D1F"    16r0000 " invalid " 
                                       "16r7D20"    16r4B58
                                       "16r7D21"    16r0000 " invalid " 
                                       "16r7D22"    16r4B77
                                       "16r7D23"    16r0000 " invalid " 
                                       "16r7D24"    16r0000 " invalid " 
                                       "16r7D25"    16r0000 " invalid " 
                                       "16r7D26"    16r0000 " invalid " 
                                       "16r7D27"    16r3D74
                                       "16r7D28"    16r0000 " invalid " 
                                       "16r7D29"    16r0000 " invalid " 
                                       "16r7D2A"    16r0000 " invalid " 
                                       "16r7D2B"    16r574F
                                       "16r7D2C"    16r0000 " invalid " 
                                       "16r7D2D"    16r0000 " invalid " 
                                       "16r7D2E"    16r0000 " invalid " 
                                       "16r7D2F"    16r405B
                                       ) at:(unicode - 16r6B1F).
                                    t == 0 ifFalse:[^ t].
                                    ^ self encodingError
                                ] value.
                            ].
                            unicode <= 16r7D6D ifTrue:[
                                ^ self encodingError
                            ].
                            unicode <= 16r7D77 ifTrue:[
                                [
                                    |t|
                                    t := #(
                                       "16r7D6E"    16r5075
                                       "16r7D6F"    16r0000 " invalid " 
                                       "16r7D70"    16r0000 " invalid " 
                                       "16r7D71"    16r0000 " invalid " 
                                       "16r7D72"    16r0000 " invalid " 
                                       "16r7D73"    16r0000 " invalid " 
                                       "16r7D74"    16r0000 " invalid " 
                                       "16r7D75"    16r0000 " invalid " 
                                       "16r7D76"    16r0000 " invalid " 
                                       "16r7D77"    16r746A
                                       ) at:(unicode - 16r7D6D).
                                    t == 0 ifFalse:[^ t].
                                    ^ self encodingError
                                ] value.
                            ].
                            unicode <= 16r7DA5 ifTrue:[
                                ^ self encodingError
                            ].
                            [
                                |t|
                                t := #(
                                   "16r7DA6"    16r746B
                                   "16r7DA7"    16r0000 " invalid " 
                                   "16r7DA8"    16r0000 " invalid " 
                                   "16r7DA9"    16r0000 " invalid " 
                                   "16r7DAA"    16r0000 " invalid " 
                                   "16r7DAB"    16r0000 " invalid " 
                                   "16r7DAC"    16r0000 " invalid " 
                                   "16r7DAD"    16r0000 " invalid " 
                                   "16r7DAE"    16r746C
                                   ) at:(unicode - 16r7DA5).
                                t == 0 ifFalse:[^ t].
                                ^ self encodingError
                            ] value.
                        ].
                        unicode <= 16r7E3A ifTrue:[
                            ^ self encodingError
                        ].
                        unicode <= 16r8C98 ifTrue:[
                            unicode <= 16r8A93 ifTrue:[
                                unicode <= 16r7E47 ifTrue:[
                                    [
                                        |t|
                                        t := #(
                                           "16r7E3B"    16r7763
                                           "16r7E3C"    16r0000 " invalid " 
                                           "16r7E3D"    16r0000 " invalid " 
                                           "16r7E3E"    16r0000 " invalid " 
                                           "16r7E3F"    16r0000 " invalid " 
                                           "16r7E40"    16r0000 " invalid " 
                                           "16r7E41"    16r3731
                                           "16r7E42"    16r0000 " invalid " 
                                           "16r7E43"    16r0000 " invalid " 
                                           "16r7E44"    16r0000 " invalid " 
                                           "16r7E45"    16r0000 " invalid " 
                                           "16r7E46"    16r0000 " invalid " 
                                           "16r7E47"    16r746D
                                           ) at:(unicode - 16r7E3A).
                                        t == 0 ifFalse:[^ t].
                                        ^ self encodingError
                                    ] value.
                                ].
                                unicode <= 16r7E81 ifTrue:[
                                    ^ self encodingError
                                ].
                                unicode <= 16r8986 ifTrue:[
                                    [
                                        |t|
                                        t := #(
                                           "16r7E82"    16r576B
                                           "16r7E83"    16r0000 " invalid " 
                                           "16r7E84"    16r0000 " invalid " 
                                           "16r7E85"    16r0000 " invalid " 
                                           "16r7E86"    16r0000 " invalid " 
                                           "16r7E87"    16r0000 " invalid " 
                                           "16r7E88"    16r0000 " invalid " 
                                           "16r7E89"    16r0000 " invalid " 
                                           "16r7E8A"    16r0000 " invalid " 
                                           "16r7E8B"    16r0000 " invalid " 
                                           "16r7E8C"    16r0000 " invalid " 
                                           "16r7E8D"    16r0000 " invalid " 
                                           "16r7E8E"    16r0000 " invalid " 
                                           "16r7E8F"    16r0000 " invalid " 
                                           "16r7E90"    16r0000 " invalid " 
                                           "16r7E91"    16r0000 " invalid " 
                                           "16r7E92"    16r0000 " invalid " 
                                           "16r7E93"    16r0000 " invalid " 
                                           "16r7E94"    16r0000 " invalid " 
                                           "16r7E95"    16r0000 " invalid " 
                                           "16r7E96"    16r0000 " invalid " 
                                           "16r7E97"    16r0000 " invalid " 
                                           "16r7E98"    16r0000 " invalid " 
                                           "16r7E99"    16r0000 " invalid " 
                                           "16r7E9A"    16r0000 " invalid " 
                                           "16r7E9B"    16r746E
                                           "16r7E9C"    16r0000 " invalid " 
                                           "16r7E9D"    16r0000 " invalid " 
                                           "16r7E9E"    16r0000 " invalid " 
                                           "16r7E9F"    16r6679
                                           "16r7EA0"    16r3E40
                                           "16r7EA1"    16r667A
                                           "16r7EA2"    16r3A6C
                                           "16r7EA3"    16r667B
                                           "16r7EA4"    16r4F4B
                                           "16r7EA5"    16r667C
                                           "16r7EA6"    16r543C
                                           "16r7EA7"    16r3C36
                                           "16r7EA8"    16r667D
                                           "16r7EA9"    16r667E
                                           "16r7EAA"    16r3C4D
                                           "16r7EAB"    16r4852
                                           "16r7EAC"    16r4E33
                                           "16r7EAD"    16r6721
                                           "16r7EAE"    16r0000 " invalid " 
                                           "16r7EAF"    16r343F
                                           "16r7EB0"    16r6722
                                           "16r7EB1"    16r4934
                                           "16r7EB2"    16r3859
                                           "16r7EB3"    16r4449
                                           "16r7EB4"    16r0000 " invalid " 
                                           "16r7EB5"    16r575D
                                           "16r7EB6"    16r425A
                                           "16r7EB7"    16r3757
                                           "16r7EB8"    16r563D
                                           "16r7EB9"    16r4E46
                                           "16r7EBA"    16r3744
                                           "16r7EBB"    16r0000 " invalid " 
                                           "16r7EBC"    16r0000 " invalid " 
                                           "16r7EBD"    16r4526
                                           "16r7EBE"    16r6723
                                           "16r7EBF"    16r4F5F
                                           "16r7EC0"    16r6724
                                           "16r7EC1"    16r6725
                                           "16r7EC2"    16r6726
                                           "16r7EC3"    16r4137
                                           "16r7EC4"    16r5769
                                           "16r7EC5"    16r4970
                                           "16r7EC6"    16r4F38
                                           "16r7EC7"    16r562F
                                           "16r7EC8"    16r5655
                                           "16r7EC9"    16r6727
                                           "16r7ECA"    16r306D
                                           "16r7ECB"    16r6728
                                           "16r7ECC"    16r6729
                                           "16r7ECD"    16r495C
                                           "16r7ECE"    16r526F
                                           "16r7ECF"    16r3E2D
                                           "16r7ED0"    16r672A
                                           "16r7ED1"    16r3073
                                           "16r7ED2"    16r485E
                                           "16r7ED3"    16r3D61
                                           "16r7ED4"    16r672B
                                           "16r7ED5"    16r4846
                                           "16r7ED6"    16r0000 " invalid " 
                                           "16r7ED7"    16r672C
                                           "16r7ED8"    16r3B66
                                           "16r7ED9"    16r3878
                                           "16r7EDA"    16r5124
                                           "16r7EDB"    16r672D
                                           "16r7EDC"    16r4267
                                           "16r7EDD"    16r3E78
                                           "16r7EDE"    16r3D4A
                                           "16r7EDF"    16r4D33
                                           "16r7EE0"    16r672E
                                           "16r7EE1"    16r672F
                                           "16r7EE2"    16r3E6E
                                           "16r7EE3"    16r5065
                                           "16r7EE4"    16r0000 " invalid " 
                                           "16r7EE5"    16r4B67
                                           "16r7EE6"    16r4C50
                                           "16r7EE7"    16r3C4C
                                           "16r7EE8"    16r6730
                                           "16r7EE9"    16r3C28
                                           "16r7EEA"    16r5077
                                           "16r7EEB"    16r6731
                                           "16r7EEC"    16r0000 " invalid " 
                                           "16r7EED"    16r5078
                                           "16r7EEE"    16r6732
                                           "16r7EEF"    16r6733
                                           "16r7EF0"    16r3442
                                           "16r7EF1"    16r6734
                                           "16r7EF2"    16r6735
                                           "16r7EF3"    16r497E
                                           "16r7EF4"    16r4E2C
                                           "16r7EF5"    16r4360
                                           "16r7EF6"    16r6737
                                           "16r7EF7"    16r3141
                                           "16r7EF8"    16r3371
                                           "16r7EF9"    16r0000 " invalid " 
                                           "16r7EFA"    16r6738
                                           "16r7EFB"    16r6739
                                           "16r7EFC"    16r575B
                                           "16r7EFD"    16r5540
                                           "16r7EFE"    16r673A
                                           "16r7EFF"    16r424C
                                           "16r7F00"    16r573A
                                           "16r7F01"    16r673B
                                           "16r7F02"    16r673C
                                           "16r7F03"    16r673D
                                           "16r7F04"    16r3C6A
                                           "16r7F05"    16r4365
                                           "16r7F06"    16r4042
                                           "16r7F07"    16r673E
                                           "16r7F08"    16r673F
                                           "16r7F09"    16r3C29
                                           "16r7F0A"    16r0000 " invalid " 
                                           "16r7F0B"    16r6740
                                           "16r7F0C"    16r6741
                                           "16r7F0D"    16r6736
                                           "16r7F0E"    16r3650
                                           "16r7F0F"    16r6742
                                           "16r7F10"    16r0000 " invalid " 
                                           "16r7F11"    16r6743
                                           "16r7F12"    16r6744
                                           "16r7F13"    16r3B3A
                                           "16r7F14"    16r355E
                                           "16r7F15"    16r4246
                                           "16r7F16"    16r3160
                                           "16r7F17"    16r6745
                                           "16r7F18"    16r5435
                                           "16r7F19"    16r6746
                                           "16r7F1A"    16r383F
                                           "16r7F1B"    16r6748
                                           "16r7F1C"    16r6747
                                           "16r7F1D"    16r376C
                                           "16r7F1E"    16r0000 " invalid " 
                                           "16r7F1F"    16r6749
                                           "16r7F20"    16r3278
                                           "16r7F21"    16r674A
                                           "16r7F22"    16r674B
                                           "16r7F23"    16r674C
                                           "16r7F24"    16r674D
                                           "16r7F25"    16r674E
                                           "16r7F26"    16r674F
                                           "16r7F27"    16r6750
                                           "16r7F28"    16r5327
                                           "16r7F29"    16r4B75
                                           "16r7F2A"    16r6751
                                           "16r7F2B"    16r6752
                                           "16r7F2C"    16r6753
                                           "16r7F2D"    16r6754
                                           "16r7F2E"    16r4949
                                           "16r7F2F"    16r6755
                                           "16r7F30"    16r6756
                                           "16r7F31"    16r6757
                                           "16r7F32"    16r6758
                                           "16r7F33"    16r6759
                                           "16r7F34"    16r3D49
                                           "16r7F35"    16r675A
                                           "16r7F36"    16r733E
                                           "16r7F37"    16r0000 " invalid " 
                                           "16r7F38"    16r3857
                                           "16r7F39"    16r0000 " invalid " 
                                           "16r7F3A"    16r4831
                                           "16r7F3B"    16r0000 " invalid " 
                                           "16r7F3C"    16r0000 " invalid " 
                                           "16r7F3D"    16r0000 " invalid " 
                                           "16r7F3E"    16r0000 " invalid " 
                                           "16r7F3F"    16r0000 " invalid " 
                                           "16r7F40"    16r0000 " invalid " 
                                           "16r7F41"    16r0000 " invalid " 
                                           "16r7F42"    16r733F
                                           "16r7F43"    16r0000 " invalid " 
                                           "16r7F44"    16r7340
                                           "16r7F45"    16r7341
                                           "16r7F46"    16r0000 " invalid " 
                                           "16r7F47"    16r0000 " invalid " 
                                           "16r7F48"    16r0000 " invalid " 
                                           "16r7F49"    16r0000 " invalid " 
                                           "16r7F4A"    16r0000 " invalid " 
                                           "16r7F4B"    16r0000 " invalid " 
                                           "16r7F4C"    16r0000 " invalid " 
                                           "16r7F4D"    16r0000 " invalid " 
                                           "16r7F4E"    16r0000 " invalid " 
                                           "16r7F4F"    16r0000 " invalid " 
                                           "16r7F50"    16r395E
                                           "16r7F51"    16r4D78
                                           "16r7F52"    16r0000 " invalid " 
                                           "16r7F53"    16r0000 " invalid " 
                                           "16r7F54"    16r5868
                                           "16r7F55"    16r3A31
                                           "16r7F56"    16r0000 " invalid " 
                                           "16r7F57"    16r425E
                                           "16r7F58"    16r6E37
                                           "16r7F59"    16r0000 " invalid " 
                                           "16r7F5A"    16r3723
                                           "16r7F5B"    16r0000 " invalid " 
                                           "16r7F5C"    16r0000 " invalid " 
                                           "16r7F5D"    16r0000 " invalid " 
                                           "16r7F5E"    16r0000 " invalid " 
                                           "16r7F5F"    16r6E39
                                           "16r7F60"    16r0000 " invalid " 
                                           "16r7F61"    16r6E38
                                           "16r7F62"    16r3055
                                           "16r7F63"    16r0000 " invalid " 
                                           "16r7F64"    16r0000 " invalid " 
                                           "16r7F65"    16r0000 " invalid " 
                                           "16r7F66"    16r0000 " invalid " 
                                           "16r7F67"    16r0000 " invalid " 
                                           "16r7F68"    16r6E3B
                                           "16r7F69"    16r5556
                                           "16r7F6A"    16r576F
                                           "16r7F6B"    16r0000 " invalid " 
                                           "16r7F6C"    16r0000 " invalid " 
                                           "16r7F6D"    16r0000 " invalid " 
                                           "16r7F6E"    16r5643
                                           "16r7F6F"    16r0000 " invalid " 
                                           "16r7F70"    16r0000 " invalid " 
                                           "16r7F71"    16r6E3D
                                           "16r7F72"    16r4A70
                                           "16r7F73"    16r0000 " invalid " 
                                           "16r7F74"    16r6E3C
                                           "16r7F75"    16r0000 " invalid " 
                                           "16r7F76"    16r0000 " invalid " 
                                           "16r7F77"    16r0000 " invalid " 
                                           "16r7F78"    16r0000 " invalid " 
                                           "16r7F79"    16r6E3E
                                           "16r7F7A"    16r0000 " invalid " 
                                           "16r7F7B"    16r0000 " invalid " 
                                           "16r7F7C"    16r0000 " invalid " 
                                           "16r7F7D"    16r0000 " invalid " 
                                           "16r7F7E"    16r6E40
                                           "16r7F7F"    16r0000 " invalid " 
                                           "16r7F80"    16r0000 " invalid " 
                                           "16r7F81"    16r6E3F
                                           "16r7F82"    16r0000 " invalid " 
                                           "16r7F83"    16r0000 " invalid " 
                                           "16r7F84"    16r0000 " invalid " 
                                           "16r7F85"    16r0000 " invalid " 
                                           "16r7F86"    16r0000 " invalid " 
                                           "16r7F87"    16r0000 " invalid " 
                                           "16r7F88"    16r0000 " invalid " 
                                           "16r7F89"    16r0000 " invalid " 
                                           "16r7F8A"    16r5172
                                           "16r7F8B"    16r0000 " invalid " 
                                           "16r7F8C"    16r473C
                                           "16r7F8D"    16r0000 " invalid " 
                                           "16r7F8E"    16r4340
                                           "16r7F8F"    16r0000 " invalid " 
                                           "16r7F90"    16r0000 " invalid " 
                                           "16r7F91"    16r0000 " invalid " 
                                           "16r7F92"    16r0000 " invalid " 
                                           "16r7F93"    16r0000 " invalid " 
                                           "16r7F94"    16r3861
                                           "16r7F95"    16r0000 " invalid " 
                                           "16r7F96"    16r0000 " invalid " 
                                           "16r7F97"    16r0000 " invalid " 
                                           "16r7F98"    16r0000 " invalid " 
                                           "16r7F99"    16r0000 " invalid " 
                                           "16r7F9A"    16r4167
                                           "16r7F9B"    16r0000 " invalid " 
                                           "16r7F9C"    16r0000 " invalid " 
                                           "16r7F9D"    16r7446
                                           "16r7F9E"    16r505F
                                           "16r7F9F"    16r7447
                                           "16r7FA0"    16r0000 " invalid " 
                                           "16r7FA1"    16r4F5B
                                           "16r7FA2"    16r0000 " invalid " 
                                           "16r7FA3"    16r0000 " invalid " 
                                           "16r7FA4"    16r483A
                                           "16r7FA5"    16r0000 " invalid " 
                                           "16r7FA6"    16r0000 " invalid " 
                                           "16r7FA7"    16r7448
                                           "16r7FA8"    16r0000 " invalid " 
                                           "16r7FA9"    16r0000 " invalid " 
                                           "16r7FAA"    16r0000 " invalid " 
                                           "16r7FAB"    16r0000 " invalid " 
                                           "16r7FAC"    16r0000 " invalid " 
                                           "16r7FAD"    16r0000 " invalid " 
                                           "16r7FAE"    16r0000 " invalid " 
                                           "16r7FAF"    16r7449
                                           "16r7FB0"    16r744A
                                           "16r7FB1"    16r0000 " invalid " 
                                           "16r7FB2"    16r744B
                                           "16r7FB3"    16r0000 " invalid " 
                                           "16r7FB4"    16r0000 " invalid " 
                                           "16r7FB5"    16r0000 " invalid " 
                                           "16r7FB6"    16r0000 " invalid " 
                                           "16r7FB7"    16r0000 " invalid " 
                                           "16r7FB8"    16r597A
                                           "16r7FB9"    16r387E
                                           "16r7FBA"    16r0000 " invalid " 
                                           "16r7FBB"    16r0000 " invalid " 
                                           "16r7FBC"    16r6571
                                           "16r7FBD"    16r5370
                                           "16r7FBE"    16r0000 " invalid " 
                                           "16r7FBF"    16r7460
                                           "16r7FC0"    16r0000 " invalid " 
                                           "16r7FC1"    16r4E4C
                                           "16r7FC2"    16r0000 " invalid " 
                                           "16r7FC3"    16r0000 " invalid " 
                                           "16r7FC4"    16r0000 " invalid " 
                                           "16r7FC5"    16r3361
                                           "16r7FC6"    16r0000 " invalid " 
                                           "16r7FC7"    16r0000 " invalid " 
                                           "16r7FC8"    16r0000 " invalid " 
                                           "16r7FC9"    16r0000 " invalid " 
                                           "16r7FCA"    16r7134
                                           "16r7FCB"    16r0000 " invalid " 
                                           "16r7FCC"    16r526E
                                           "16r7FCD"    16r0000 " invalid " 
                                           "16r7FCE"    16r7461
                                           "16r7FCF"    16r0000 " invalid " 
                                           "16r7FD0"    16r0000 " invalid " 
                                           "16r7FD1"    16r0000 " invalid " 
                                           "16r7FD2"    16r0000 " invalid " 
                                           "16r7FD3"    16r0000 " invalid " 
                                           "16r7FD4"    16r4F68
                                           "16r7FD5"    16r7462
                                           "16r7FD6"    16r0000 " invalid " 
                                           "16r7FD7"    16r0000 " invalid " 
                                           "16r7FD8"    16r474C
                                           "16r7FD9"    16r0000 " invalid " 
                                           "16r7FDA"    16r0000 " invalid " 
                                           "16r7FDB"    16r0000 " invalid " 
                                           "16r7FDC"    16r0000 " invalid " 
                                           "16r7FDD"    16r0000 " invalid " 
                                           "16r7FDE"    16r0000 " invalid " 
                                           "16r7FDF"    16r3554
                                           "16r7FE0"    16r3464
                                           "16r7FE1"    16r7464
                                           "16r7FE2"    16r0000 " invalid " 
                                           "16r7FE3"    16r0000 " invalid " 
                                           "16r7FE4"    16r0000 " invalid " 
                                           "16r7FE5"    16r7463
                                           "16r7FE6"    16r7465
                                           "16r7FE7"    16r0000 " invalid " 
                                           "16r7FE8"    16r0000 " invalid " 
                                           "16r7FE9"    16r7466
                                           "16r7FEA"    16r0000 " invalid " 
                                           "16r7FEB"    16r0000 " invalid " 
                                           "16r7FEC"    16r0000 " invalid " 
                                           "16r7FED"    16r0000 " invalid " 
                                           "16r7FEE"    16r7467
                                           "16r7FEF"    16r0000 " invalid " 
                                           "16r7FF0"    16r3A32
                                           "16r7FF1"    16r303F
                                           "16r7FF2"    16r0000 " invalid " 
                                           "16r7FF3"    16r7468
                                           "16r7FF4"    16r0000 " invalid " 
                                           "16r7FF5"    16r0000 " invalid " 
                                           "16r7FF6"    16r0000 " invalid " 
                                           "16r7FF7"    16r0000 " invalid " 
                                           "16r7FF8"    16r0000 " invalid " 
                                           "16r7FF9"    16r0000 " invalid " 
                                           "16r7FFA"    16r0000 " invalid " 
                                           "16r7FFB"    16r372D
                                           "16r7FFC"    16r526D
                                           "16r7FFD"    16r0000 " invalid " 
                                           "16r7FFE"    16r0000 " invalid " 
                                           "16r7FFF"    16r0000 " invalid " 
                                           "16r8000"    16r522B
                                           "16r8001"    16r404F
                                           "16r8002"    16r0000 " invalid " 
                                           "16r8003"    16r3F3C
                                           "16r8004"    16r6B23
                                           "16r8005"    16r555F
                                           "16r8006"    16r6A48
                                           "16r8007"    16r0000 " invalid " 
                                           "16r8008"    16r0000 " invalid " 
                                           "16r8009"    16r0000 " invalid " 
                                           "16r800A"    16r0000 " invalid " 
                                           "16r800B"    16r7173
                                           "16r800C"    16r3678
                                           "16r800D"    16r4B23
                                           "16r800E"    16r0000 " invalid " 
                                           "16r800F"    16r0000 " invalid " 
                                           "16r8010"    16r444D
                                           "16r8011"    16r0000 " invalid " 
                                           "16r8012"    16r7167
                                           "16r8013"    16r0000 " invalid " 
                                           "16r8014"    16r7168
                                           "16r8015"    16r387B
                                           "16r8016"    16r7169
                                           "16r8017"    16r3A44
                                           "16r8018"    16r5445
                                           "16r8019"    16r3052
                                           "16r801A"    16r0000 " invalid " 
                                           "16r801B"    16r0000 " invalid " 
                                           "16r801C"    16r716A
                                           "16r801D"    16r0000 " invalid " 
                                           "16r801E"    16r0000 " invalid " 
                                           "16r801F"    16r0000 " invalid " 
                                           "16r8020"    16r716B
                                           "16r8021"    16r0000 " invalid " 
                                           "16r8022"    16r716C
                                           "16r8023"    16r0000 " invalid " 
                                           "16r8024"    16r0000 " invalid " 
                                           "16r8025"    16r716D
                                           "16r8026"    16r716E
                                           "16r8027"    16r716F
                                           "16r8028"    16r7171
                                           "16r8029"    16r7170
                                           "16r802A"    16r4555
                                           "16r802B"    16r0000 " invalid " 
                                           "16r802C"    16r0000 " invalid " 
                                           "16r802D"    16r0000 " invalid " 
                                           "16r802E"    16r0000 " invalid " 
                                           "16r802F"    16r0000 " invalid " 
                                           "16r8030"    16r0000 " invalid " 
                                           "16r8031"    16r7172
                                           "16r8032"    16r0000 " invalid " 
                                           "16r8033"    16r367A
                                           "16r8034"    16r0000 " invalid " 
                                           "16r8035"    16r7174
                                           "16r8036"    16r522E
                                           "16r8037"    16r5E47
                                           "16r8038"    16r4B4A
                                           "16r8039"    16r0000 " invalid " 
                                           "16r803A"    16r0000 " invalid " 
                                           "16r803B"    16r335C
                                           "16r803C"    16r0000 " invalid " 
                                           "16r803D"    16r3522
                                           "16r803E"    16r0000 " invalid " 
                                           "16r803F"    16r3922
                                           "16r8040"    16r0000 " invalid " 
                                           "16r8041"    16r0000 " invalid " 
                                           "16r8042"    16r4474
                                           "16r8043"    16r7175
                                           "16r8044"    16r0000 " invalid " 
                                           "16r8045"    16r0000 " invalid " 
                                           "16r8046"    16r7176
                                           "16r8047"    16r0000 " invalid " 
                                           "16r8048"    16r0000 " invalid " 
                                           "16r8049"    16r0000 " invalid " 
                                           "16r804A"    16r4144
                                           "16r804B"    16r417B
                                           "16r804C"    16r5630
                                           "16r804D"    16r7177
                                           "16r804E"    16r0000 " invalid " 
                                           "16r804F"    16r0000 " invalid " 
                                           "16r8050"    16r0000 " invalid " 
                                           "16r8051"    16r0000 " invalid " 
                                           "16r8052"    16r7178
                                           "16r8053"    16r0000 " invalid " 
                                           "16r8054"    16r412A
                                           "16r8055"    16r0000 " invalid " 
                                           "16r8056"    16r0000 " invalid " 
                                           "16r8057"    16r0000 " invalid " 
                                           "16r8058"    16r4638
                                           "16r8059"    16r0000 " invalid " 
                                           "16r805A"    16r3E5B
                                           "16r805B"    16r0000 " invalid " 
                                           "16r805C"    16r0000 " invalid " 
                                           "16r805D"    16r0000 " invalid " 
                                           "16r805E"    16r0000 " invalid " 
                                           "16r805F"    16r0000 " invalid " 
                                           "16r8060"    16r0000 " invalid " 
                                           "16r8061"    16r0000 " invalid " 
                                           "16r8062"    16r0000 " invalid " 
                                           "16r8063"    16r0000 " invalid " 
                                           "16r8064"    16r0000 " invalid " 
                                           "16r8065"    16r0000 " invalid " 
                                           "16r8066"    16r0000 " invalid " 
                                           "16r8067"    16r0000 " invalid " 
                                           "16r8068"    16r0000 " invalid " 
                                           "16r8069"    16r7179
                                           "16r806A"    16r344F
                                           "16r806B"    16r0000 " invalid " 
                                           "16r806C"    16r0000 " invalid " 
                                           "16r806D"    16r0000 " invalid " 
                                           "16r806E"    16r0000 " invalid " 
                                           "16r806F"    16r0000 " invalid " 
                                           "16r8070"    16r0000 " invalid " 
                                           "16r8071"    16r717A
                                           "16r8072"    16r0000 " invalid " 
                                           "16r8073"    16r0000 " invalid " 
                                           "16r8074"    16r0000 " invalid " 
                                           "16r8075"    16r0000 " invalid " 
                                           "16r8076"    16r0000 " invalid " 
                                           "16r8077"    16r0000 " invalid " 
                                           "16r8078"    16r0000 " invalid " 
                                           "16r8079"    16r0000 " invalid " 
                                           "16r807A"    16r0000 " invalid " 
                                           "16r807B"    16r0000 " invalid " 
                                           "16r807C"    16r0000 " invalid " 
                                           "16r807D"    16r0000 " invalid " 
                                           "16r807E"    16r0000 " invalid " 
                                           "16r807F"    16r6D32
                                           "16r8080"    16r6D31
                                           "16r8081"    16r0000 " invalid " 
                                           "16r8082"    16r0000 " invalid " 
                                           "16r8083"    16r4B60
                                           "16r8084"    16r525E
                                           "16r8085"    16r0000 " invalid " 
                                           "16r8086"    16r4B41
                                           "16r8087"    16r5558
                                           "16r8088"    16r0000 " invalid " 
                                           "16r8089"    16r4862
                                           "16r808A"    16r0000 " invalid " 
                                           "16r808B"    16r405F
                                           "16r808C"    16r3C21
                                           "16r808D"    16r0000 " invalid " 
                                           "16r808E"    16r0000 " invalid " 
                                           "16r808F"    16r0000 " invalid " 
                                           "16r8090"    16r0000 " invalid " 
                                           "16r8091"    16r0000 " invalid " 
                                           "16r8092"    16r0000 " invalid " 
                                           "16r8093"    16r6B41
                                           "16r8094"    16r0000 " invalid " 
                                           "16r8095"    16r0000 " invalid " 
                                           "16r8096"    16r5024
                                           "16r8097"    16r0000 " invalid " 
                                           "16r8098"    16r5662
                                           "16r8099"    16r0000 " invalid " 
                                           "16r809A"    16r3647
                                           "16r809B"    16r3858
                                           "16r809C"    16r6B40
                                           "16r809D"    16r384E
                                           "16r809E"    16r0000 " invalid " 
                                           "16r809F"    16r6B3F
                                           "16r80A0"    16r3326
                                           "16r80A1"    16r3949
                                           "16r80A2"    16r562B
                                           "16r80A3"    16r0000 " invalid " 
                                           "16r80A4"    16r3774
                                           "16r80A5"    16r374A
                                           "16r80A6"    16r0000 " invalid " 
                                           "16r80A7"    16r0000 " invalid " 
                                           "16r80A8"    16r0000 " invalid " 
                                           "16r80A9"    16r3C67
                                           "16r80AA"    16r373E
                                           "16r80AB"    16r6B46
                                           "16r80AC"    16r0000 " invalid " 
                                           "16r80AD"    16r6B47
                                           "16r80AE"    16r3039
                                           "16r80AF"    16r3F4F
                                           "16r80B0"    16r0000 " invalid " 
                                           "16r80B1"    16r6B45
                                           "16r80B2"    16r537D
                                           "16r80B3"    16r0000 " invalid " 
                                           "16r80B4"    16r6B48
                                           "16r80B5"    16r0000 " invalid " 
                                           "16r80B6"    16r0000 " invalid " 
                                           "16r80B7"    16r6B49
                                           "16r80B8"    16r0000 " invalid " 
                                           "16r80B9"    16r0000 " invalid " 
                                           "16r80BA"    16r374E
                                           "16r80BB"    16r0000 " invalid " 
                                           "16r80BC"    16r6B42
                                           "16r80BD"    16r6B44
                                           "16r80BE"    16r4976
                                           "16r80BF"    16r5657
                                           "16r80C0"    16r554D
                                           "16r80C1"    16r5032
                                           "16r80C2"    16r6B4F
                                           "16r80C3"    16r4E38
                                           "16r80C4"    16r6B50
                                           "16r80C5"    16r0000 " invalid " 
                                           "16r80C6"    16r3528
                                           "16r80C7"    16r0000 " invalid " 
                                           "16r80C8"    16r0000 " invalid " 
                                           "16r80C9"    16r0000 " invalid " 
                                           "16r80CA"    16r0000 " invalid " 
                                           "16r80CB"    16r0000 " invalid " 
                                           "16r80CC"    16r3133
                                           "16r80CD"    16r6B52
                                           "16r80CE"    16r4C25
                                           "16r80CF"    16r0000 " invalid " 
                                           "16r80D0"    16r0000 " invalid " 
                                           "16r80D1"    16r0000 " invalid " 
                                           "16r80D2"    16r0000 " invalid " 
                                           "16r80D3"    16r0000 " invalid " 
                                           "16r80D4"    16r0000 " invalid " 
                                           "16r80D5"    16r0000 " invalid " 
                                           "16r80D6"    16r4556
                                           "16r80D7"    16r6B53
                                           "16r80D8"    16r0000 " invalid " 
                                           "16r80D9"    16r6B51
                                           "16r80DA"    16r455F
                                           "16r80DB"    16r6B4E
                                           "16r80DC"    16r4A24
                                           "16r80DD"    16r6B55
                                           "16r80DE"    16r307B
                                           "16r80DF"    16r0000 " invalid " 
                                           "16r80E0"    16r0000 " invalid " 
                                           "16r80E1"    16r3A7A
                                           "16r80E2"    16r0000 " invalid " 
                                           "16r80E3"    16r0000 " invalid " 
                                           "16r80E4"    16r5837
                                           "16r80E5"    16r7163
                                           "16r80E6"    16r0000 " invalid " 
                                           "16r80E7"    16r6B4A
                                           "16r80E8"    16r6B4B
                                           "16r80E9"    16r6B4C
                                           "16r80EA"    16r6B4D
                                           "16r80EB"    16r6B56
                                           "16r80EC"    16r6640
                                           "16r80ED"    16r6B59
                                           "16r80EE"    16r0000 " invalid " 
                                           "16r80EF"    16r3F68
                                           "16r80F0"    16r5248
                                           "16r80F1"    16r6B57
                                           "16r80F2"    16r6B5C
                                           "16r80F3"    16r386C
                                           "16r80F4"    16r6B58
                                           "16r80F5"    16r0000 " invalid " 
                                           "16r80F6"    16r3D3A
                                           "16r80F7"    16r0000 " invalid " 
                                           "16r80F8"    16r5058
                                           "16r80F9"    16r0000 " invalid " 
                                           "16r80FA"    16r3037
                                           "16r80FB"    16r0000 " invalid " 
                                           "16r80FC"    16r6B5D
                                           "16r80FD"    16r445C
                                           "16r80FE"    16r0000 " invalid " 
                                           "16r80FF"    16r0000 " invalid " 
                                           "16r8100"    16r0000 " invalid " 
                                           "16r8101"    16r0000 " invalid " 
                                           "16r8102"    16r562C
                                           "16r8103"    16r0000 " invalid " 
                                           "16r8104"    16r0000 " invalid " 
                                           "16r8105"    16r0000 " invalid " 
                                           "16r8106"    16r3460
                                           "16r8107"    16r0000 " invalid " 
                                           "16r8108"    16r0000 " invalid " 
                                           "16r8109"    16r4276
                                           "16r810A"    16r3C39
                                           "16r810B"    16r0000 " invalid " 
                                           "16r810C"    16r0000 " invalid " 
                                           "16r810D"    16r6B5A
                                           "16r810E"    16r6B5B
                                           "16r810F"    16r5460
                                           "16r8110"    16r466A
                                           "16r8111"    16r4454
                                           "16r8112"    16r6B5F
                                           "16r8113"    16r4527
                                           "16r8114"    16r5975
                                           "16r8115"    16r0000 " invalid " 
                                           "16r8116"    16r3231
                                           "16r8117"    16r0000 " invalid " 
                                           "16r8118"    16r6B64
                                           "16r8119"    16r0000 " invalid " 
                                           "16r811A"    16r3D45
                                           "16r811B"    16r0000 " invalid " 
                                           "16r811C"    16r0000 " invalid " 
                                           "16r811D"    16r0000 " invalid " 
                                           "16r811E"    16r6B62
                                           "16r811F"    16r0000 " invalid " 
                                           "16r8120"    16r0000 " invalid " 
                                           "16r8121"    16r0000 " invalid " 
                                           "16r8122"    16r0000 " invalid " 
                                           "16r8123"    16r0000 " invalid " 
                                           "16r8124"    16r0000 " invalid " 
                                           "16r8125"    16r0000 " invalid " 
                                           "16r8126"    16r0000 " invalid " 
                                           "16r8127"    16r0000 " invalid " 
                                           "16r8128"    16r0000 " invalid " 
                                           "16r8129"    16r0000 " invalid " 
                                           "16r812A"    16r0000 " invalid " 
                                           "16r812B"    16r0000 " invalid " 
                                           "16r812C"    16r6B63
                                           "16r812D"    16r0000 " invalid " 
                                           "16r812E"    16r0000 " invalid " 
                                           "16r812F"    16r382C
                                           "16r8130"    16r0000 " invalid " 
                                           "16r8131"    16r4D51
                                           "16r8132"    16r6B65
                                           "16r8133"    16r0000 " invalid " 
                                           "16r8134"    16r0000 " invalid " 
                                           "16r8135"    16r0000 " invalid " 
                                           "16r8136"    16r6B61
                                           "16r8137"    16r0000 " invalid " 
                                           "16r8138"    16r4133
                                           "16r8139"    16r0000 " invalid " 
                                           "16r813A"    16r0000 " invalid " 
                                           "16r813B"    16r0000 " invalid " 
                                           "16r813C"    16r0000 " invalid " 
                                           "16r813D"    16r0000 " invalid " 
                                           "16r813E"    16r4622
                                           "16r813F"    16r0000 " invalid " 
                                           "16r8140"    16r0000 " invalid " 
                                           "16r8141"    16r0000 " invalid " 
                                           "16r8142"    16r0000 " invalid " 
                                           "16r8143"    16r0000 " invalid " 
                                           "16r8144"    16r0000 " invalid " 
                                           "16r8145"    16r0000 " invalid " 
                                           "16r8146"    16r4C73
                                           "16r8147"    16r0000 " invalid " 
                                           "16r8148"    16r6B66
                                           "16r8149"    16r0000 " invalid " 
                                           "16r814A"    16r4030
                                           "16r814B"    16r5238
                                           "16r814C"    16r6B67
                                           "16r814D"    16r0000 " invalid " 
                                           "16r814E"    16r0000 " invalid " 
                                           "16r814F"    16r0000 " invalid " 
                                           "16r8150"    16r382F
                                           "16r8151"    16r382D
                                           "16r8152"    16r0000 " invalid " 
                                           "16r8153"    16r6B68
                                           "16r8154"    16r473B
                                           "16r8155"    16r4D73
                                           "16r8156"    16r0000 " invalid " 
                                           "16r8157"    16r0000 " invalid " 
                                           "16r8158"    16r0000 " invalid " 
                                           "16r8159"    16r6B6A
                                           "16r815A"    16r6B6B
                                           "16r815B"    16r0000 " invalid " 
                                           "16r815C"    16r0000 " invalid " 
                                           "16r815D"    16r0000 " invalid " 
                                           "16r815E"    16r0000 " invalid " 
                                           "16r815F"    16r0000 " invalid " 
                                           "16r8160"    16r6B6D
                                           "16r8161"    16r0000 " invalid " 
                                           "16r8162"    16r0000 " invalid " 
                                           "16r8163"    16r0000 " invalid " 
                                           "16r8164"    16r0000 " invalid " 
                                           "16r8165"    16r5048
                                           "16r8166"    16r0000 " invalid " 
                                           "16r8167"    16r6B72
                                           "16r8168"    16r0000 " invalid " 
                                           "16r8169"    16r6B6E
                                           "16r816A"    16r0000 " invalid " 
                                           "16r816B"    16r0000 " invalid " 
                                           "16r816C"    16r0000 " invalid " 
                                           "16r816D"    16r6B71
                                           "16r816E"    16r4879
                                           "16r816F"    16r0000 " invalid " 
                                           "16r8170"    16r517C
                                           "16r8171"    16r6B6C
                                           "16r8172"    16r0000 " invalid " 
                                           "16r8173"    16r0000 " invalid " 
                                           "16r8174"    16r6B69
                                           "16r8175"    16r0000 " invalid " 
                                           "16r8176"    16r0000 " invalid " 
                                           "16r8177"    16r0000 " invalid " 
                                           "16r8178"    16r0000 " invalid " 
                                           "16r8179"    16r3839
                                           "16r817A"    16r4F59
                                           "16r817B"    16r4465
                                           "16r817C"    16r6B6F
                                           "16r817D"    16r6B70
                                           "16r817E"    16r4C5A
                                           "16r817F"    16r4D48
                                           "16r8180"    16r3072
                                           "16r8181"    16r0000 " invalid " 
                                           "16r8182"    16r6B76
                                           "16r8183"    16r0000 " invalid " 
                                           "16r8184"    16r0000 " invalid " 
                                           "16r8185"    16r0000 " invalid " 
                                           "16r8186"    16r0000 " invalid " 
                                           "16r8187"    16r0000 " invalid " 
                                           "16r8188"    16r6B75
                                           "16r8189"    16r0000 " invalid " 
                                           "16r818A"    16r3232
                                           "16r818B"    16r0000 " invalid " 
                                           "16r818C"    16r0000 " invalid " 
                                           "16r818D"    16r0000 " invalid " 
                                           "16r818E"    16r0000 " invalid " 
                                           "16r818F"    16r3860
                                           "16r8190"    16r0000 " invalid " 
                                           "16r8191"    16r6B77
                                           "16r8192"    16r0000 " invalid " 
                                           "16r8193"    16r0000 " invalid " 
                                           "16r8194"    16r0000 " invalid " 
                                           "16r8195"    16r0000 " invalid " 
                                           "16r8196"    16r0000 " invalid " 
                                           "16r8197"    16r0000 " invalid " 
                                           "16r8198"    16r316C
                                           "16r8199"    16r0000 " invalid " 
                                           "16r819A"    16r0000 " invalid " 
                                           "16r819B"    16r4C45
                                           "16r819C"    16r4424
                                           "16r819D"    16r4F25
                                           "16r819E"    16r0000 " invalid " 
                                           "16r819F"    16r0000 " invalid " 
                                           "16r81A0"    16r0000 " invalid " 
                                           "16r81A1"    16r0000 " invalid " 
                                           "16r81A2"    16r0000 " invalid " 
                                           "16r81A3"    16r6B79
                                           "16r81A4"    16r0000 " invalid " 
                                           "16r81A5"    16r0000 " invalid " 
                                           "16r81A6"    16r6C22
                                           "16r81A7"    16r0000 " invalid " 
                                           "16r81A8"    16r4572
                                           "16r81A9"    16r0000 " invalid " 
                                           "16r81AA"    16r6B7A
                                           "16r81AB"    16r0000 " invalid " 
                                           "16r81AC"    16r0000 " invalid " 
                                           "16r81AD"    16r0000 " invalid " 
                                           "16r81AE"    16r0000 " invalid " 
                                           "16r81AF"    16r0000 " invalid " 
                                           "16r81B0"    16r0000 " invalid " 
                                           "16r81B1"    16r0000 " invalid " 
                                           "16r81B2"    16r0000 " invalid " 
                                           "16r81B3"    16r4945
                                           "16r81B4"    16r0000 " invalid " 
                                           "16r81B5"    16r0000 " invalid " 
                                           "16r81B6"    16r0000 " invalid " 
                                           "16r81B7"    16r0000 " invalid " 
                                           "16r81B8"    16r0000 " invalid " 
                                           "16r81B9"    16r0000 " invalid " 
                                           "16r81BA"    16r625F
                                           "16r81BB"    16r6B7E
                                           "16r81BC"    16r0000 " invalid " 
                                           "16r81BD"    16r0000 " invalid " 
                                           "16r81BE"    16r0000 " invalid " 
                                           "16r81BF"    16r0000 " invalid " 
                                           "16r81C0"    16r4D4E
                                           "16r81C1"    16r6C21
                                           "16r81C2"    16r315B
                                           "16r81C3"    16r5337
                                           "16r81C4"    16r0000 " invalid " 
                                           "16r81C5"    16r0000 " invalid " 
                                           "16r81C6"    16r525C
                                           "16r81C7"    16r0000 " invalid " 
                                           "16r81C8"    16r0000 " invalid " 
                                           "16r81C9"    16r0000 " invalid " 
                                           "16r81CA"    16r6B7D
                                           "16r81CB"    16r0000 " invalid " 
                                           "16r81CC"    16r6B7B
                                           "16r81CD"    16r0000 " invalid " 
                                           "16r81CE"    16r0000 " invalid " 
                                           "16r81CF"    16r0000 " invalid " 
                                           "16r81D0"    16r0000 " invalid " 
                                           "16r81D1"    16r0000 " invalid " 
                                           "16r81D2"    16r0000 " invalid " 
                                           "16r81D3"    16r0000 " invalid " 
                                           "16r81D4"    16r0000 " invalid " 
                                           "16r81D5"    16r0000 " invalid " 
                                           "16r81D6"    16r0000 " invalid " 
                                           "16r81D7"    16r0000 " invalid " 
                                           "16r81D8"    16r0000 " invalid " 
                                           "16r81D9"    16r0000 " invalid " 
                                           "16r81DA"    16r0000 " invalid " 
                                           "16r81DB"    16r0000 " invalid " 
                                           "16r81DC"    16r0000 " invalid " 
                                           "16r81DD"    16r0000 " invalid " 
                                           "16r81DE"    16r0000 " invalid " 
                                           "16r81DF"    16r0000 " invalid " 
                                           "16r81E0"    16r0000 " invalid " 
                                           "16r81E1"    16r0000 " invalid " 
                                           "16r81E2"    16r0000 " invalid " 
                                           "16r81E3"    16r333C
                                           "16r81E4"    16r0000 " invalid " 
                                           "16r81E5"    16r0000 " invalid " 
                                           "16r81E6"    16r0000 " invalid " 
                                           "16r81E7"    16r6A30
                                           "16r81E8"    16r0000 " invalid " 
                                           "16r81E9"    16r0000 " invalid " 
                                           "16r81EA"    16r5754
                                           "16r81EB"    16r0000 " invalid " 
                                           "16r81EC"    16r742B
                                           "16r81ED"    16r3374
                                           "16r81EE"    16r0000 " invalid " 
                                           "16r81EF"    16r0000 " invalid " 
                                           "16r81F0"    16r0000 " invalid " 
                                           "16r81F1"    16r0000 " invalid " 
                                           "16r81F2"    16r0000 " invalid " 
                                           "16r81F3"    16r5641
                                           "16r81F4"    16r5642
                                           "16r81F5"    16r0000 " invalid " 
                                           "16r81F6"    16r0000 " invalid " 
                                           "16r81F7"    16r0000 " invalid " 
                                           "16r81F8"    16r0000 " invalid " 
                                           "16r81F9"    16r0000 " invalid " 
                                           "16r81FA"    16r0000 " invalid " 
                                           "16r81FB"    16r5569
                                           "16r81FC"    16r3E4A
                                           "16r81FD"    16r0000 " invalid " 
                                           "16r81FE"    16r7427
                                           "16r81FF"    16r0000 " invalid " 
                                           "16r8200"    16r5228
                                           "16r8201"    16r7428
                                           "16r8202"    16r7429
                                           "16r8203"    16r0000 " invalid " 
                                           "16r8204"    16r742A
                                           "16r8205"    16r3E4B
                                           "16r8206"    16r535F
                                           "16r8207"    16r0000 " invalid " 
                                           "16r8208"    16r0000 " invalid " 
                                           "16r8209"    16r0000 " invalid " 
                                           "16r820A"    16r0000 " invalid " 
                                           "16r820B"    16r0000 " invalid " 
                                           "16r820C"    16r4960
                                           "16r820D"    16r4961
                                           "16r820E"    16r0000 " invalid " 
                                           "16r820F"    16r0000 " invalid " 
                                           "16r8210"    16r7342
                                           "16r8211"    16r0000 " invalid " 
                                           "16r8212"    16r4A66
                                           "16r8213"    16r0000 " invalid " 
                                           "16r8214"    16r4C72
                                           "16r8215"    16r0000 " invalid " 
                                           "16r8216"    16r0000 " invalid " 
                                           "16r8217"    16r0000 " invalid " 
                                           "16r8218"    16r0000 " invalid " 
                                           "16r8219"    16r0000 " invalid " 
                                           "16r821A"    16r0000 " invalid " 
                                           "16r821B"    16r6236
                                           "16r821C"    16r4B34
                                           "16r821D"    16r0000 " invalid " 
                                           "16r821E"    16r4E68
                                           "16r821F"    16r565B
                                           "16r8220"    16r0000 " invalid " 
                                           "16r8221"    16r742D
                                           "16r8222"    16r742E
                                           "16r8223"    16r742F
                                           "16r8224"    16r0000 " invalid " 
                                           "16r8225"    16r0000 " invalid " 
                                           "16r8226"    16r0000 " invalid " 
                                           "16r8227"    16r0000 " invalid " 
                                           "16r8228"    16r7432
                                           "16r8229"    16r0000 " invalid " 
                                           "16r822A"    16r3A3D
                                           "16r822B"    16r7433
                                           "16r822C"    16r3063
                                           "16r822D"    16r7430
                                           "16r822E"    16r0000 " invalid " 
                                           "16r822F"    16r7431
                                           "16r8230"    16r3D22
                                           "16r8231"    16r3255
                                           "16r8232"    16r0000 " invalid " 
                                           "16r8233"    16r7436
                                           "16r8234"    16r7437
                                           "16r8235"    16r3666
                                           "16r8236"    16r3230
                                           "16r8237"    16r4F4F
                                           "16r8238"    16r7434
                                           "16r8239"    16r342C
                                           "16r823A"    16r0000 " invalid " 
                                           "16r823B"    16r7435
                                           "16r823C"    16r0000 " invalid " 
                                           "16r823D"    16r0000 " invalid " 
                                           "16r823E"    16r7438
                                           "16r823F"    16r0000 " invalid " 
                                           "16r8240"    16r0000 " invalid " 
                                           "16r8241"    16r0000 " invalid " 
                                           "16r8242"    16r0000 " invalid " 
                                           "16r8243"    16r0000 " invalid " 
                                           "16r8244"    16r7439
                                           "16r8245"    16r0000 " invalid " 
                                           "16r8246"    16r0000 " invalid " 
                                           "16r8247"    16r4D27
                                           "16r8248"    16r0000 " invalid " 
                                           "16r8249"    16r743A
                                           "16r824A"    16r0000 " invalid " 
                                           "16r824B"    16r743B
                                           "16r824C"    16r0000 " invalid " 
                                           "16r824D"    16r0000 " invalid " 
                                           "16r824E"    16r0000 " invalid " 
                                           "16r824F"    16r743C
                                           "16r8250"    16r0000 " invalid " 
                                           "16r8251"    16r0000 " invalid " 
                                           "16r8252"    16r0000 " invalid " 
                                           "16r8253"    16r0000 " invalid " 
                                           "16r8254"    16r0000 " invalid " 
                                           "16r8255"    16r0000 " invalid " 
                                           "16r8256"    16r0000 " invalid " 
                                           "16r8257"    16r0000 " invalid " 
                                           "16r8258"    16r4B52
                                           "16r8259"    16r0000 " invalid " 
                                           "16r825A"    16r743D
                                           "16r825B"    16r0000 " invalid " 
                                           "16r825C"    16r0000 " invalid " 
                                           "16r825D"    16r0000 " invalid " 
                                           "16r825E"    16r0000 " invalid " 
                                           "16r825F"    16r743E
                                           "16r8260"    16r0000 " invalid " 
                                           "16r8261"    16r0000 " invalid " 
                                           "16r8262"    16r0000 " invalid " 
                                           "16r8263"    16r0000 " invalid " 
                                           "16r8264"    16r0000 " invalid " 
                                           "16r8265"    16r0000 " invalid " 
                                           "16r8266"    16r0000 " invalid " 
                                           "16r8267"    16r0000 " invalid " 
                                           "16r8268"    16r743F
                                           "16r8269"    16r0000 " invalid " 
                                           "16r826A"    16r0000 " invalid " 
                                           "16r826B"    16r0000 " invalid " 
                                           "16r826C"    16r0000 " invalid " 
                                           "16r826D"    16r0000 " invalid " 
                                           "16r826E"    16r745E
                                           "16r826F"    16r413C
                                           "16r8270"    16r3C68
                                           "16r8271"    16r0000 " invalid " 
                                           "16r8272"    16r492B
                                           "16r8273"    16r515E
                                           "16r8274"    16r6575
                                           "16r8275"    16r0000 " invalid " 
                                           "16r8276"    16r0000 " invalid " 
                                           "16r8277"    16r0000 " invalid " 
                                           "16r8278"    16r0000 " invalid " 
                                           "16r8279"    16r5C33
                                           "16r827A"    16r5255
                                           "16r827B"    16r0000 " invalid " 
                                           "16r827C"    16r0000 " invalid " 
                                           "16r827D"    16r5C34
                                           "16r827E"    16r302C
                                           "16r827F"    16r5C35
                                           "16r8280"    16r0000 " invalid " 
                                           "16r8281"    16r0000 " invalid " 
                                           "16r8282"    16r3D5A
                                           "16r8283"    16r0000 " invalid " 
                                           "16r8284"    16r5C39
                                           "16r8285"    16r0000 " invalid " 
                                           "16r8286"    16r0000 " invalid " 
                                           "16r8287"    16r0000 " invalid " 
                                           "16r8288"    16r5842
                                           "16r8289"    16r0000 " invalid " 
                                           "16r828A"    16r5C37
                                           "16r828B"    16r5373
                                           "16r828C"    16r0000 " invalid " 
                                           "16r828D"    16r4956
                                           "16r828E"    16r5C3A
                                           "16r828F"    16r5C36
                                           "16r8290"    16r0000 " invalid " 
                                           "16r8291"    16r5C3B
                                           "16r8292"    16r4322
                                           "16r8293"    16r0000 " invalid " 
                                           "16r8294"    16r0000 " invalid " 
                                           "16r8295"    16r0000 " invalid " 
                                           "16r8296"    16r0000 " invalid " 
                                           "16r8297"    16r5C3C
                                           "16r8298"    16r5C45
                                           "16r8299"    16r5C3D
                                           "16r829A"    16r0000 " invalid " 
                                           "16r829B"    16r0000 " invalid " 
                                           "16r829C"    16r4E5F
                                           "16r829D"    16r5625
                                           "16r829E"    16r0000 " invalid " 
                                           "16r829F"    16r5C4F
                                           "16r82A0"    16r0000 " invalid " 
                                           "16r82A1"    16r5C4D
                                           "16r82A2"    16r0000 " invalid " 
                                           "16r82A3"    16r0000 " invalid " 
                                           "16r82A4"    16r5C52
                                           "16r82A5"    16r3D66
                                           "16r82A6"    16r422B
                                           "16r82A7"    16r0000 " invalid " 
                                           "16r82A8"    16r5C38
                                           "16r82A9"    16r5C4B
                                           "16r82AA"    16r5C4E
                                           "16r82AB"    16r5C3E
                                           "16r82AC"    16r3752
                                           "16r82AD"    16r3045
                                           "16r82AE"    16r5C47
                                           "16r82AF"    16r503E
                                           "16r82B0"    16r5C41
                                           "16r82B1"    16r3B28
                                           "16r82B2"    16r0000 " invalid " 
                                           "16r82B3"    16r373C
                                           "16r82B4"    16r5C4C
                                           "16r82B5"    16r0000 " invalid " 
                                           "16r82B6"    16r0000 " invalid " 
                                           "16r82B7"    16r5C46
                                           "16r82B8"    16r5C3F
                                           "16r82B9"    16r475B
                                           "16r82BA"    16r0000 " invalid " 
                                           "16r82BB"    16r0000 " invalid " 
                                           "16r82BC"    16r0000 " invalid " 
                                           "16r82BD"    16r513F
                                           "16r82BE"    16r5C40
                                           "16r82BF"    16r0000 " invalid " 
                                           "16r82C0"    16r0000 " invalid " 
                                           "16r82C1"    16r5C4A
                                           "16r82C2"    16r0000 " invalid " 
                                           "16r82C3"    16r0000 " invalid " 
                                           "16r82C4"    16r5C50
                                           "16r82C5"    16r0000 " invalid " 
                                           "16r82C6"    16r0000 " invalid " 
                                           "16r82C7"    16r4E2D
                                           "16r82C8"    16r5C42
                                           "16r82C9"    16r0000 " invalid " 
                                           "16r82CA"    16r5C43
                                           "16r82CB"    16r5C48
                                           "16r82CC"    16r5C49
                                           "16r82CD"    16r3254
                                           "16r82CE"    16r5C51
                                           "16r82CF"    16r4B55
                                           "16r82D0"    16r0000 " invalid " 
                                           "16r82D1"    16r5437
                                           "16r82D2"    16r5C5B
                                           "16r82D3"    16r5C5F
                                           "16r82D4"    16r4C26
                                           "16r82D5"    16r5C66
                                           "16r82D6"    16r0000 " invalid " 
                                           "16r82D7"    16r4367
                                           "16r82D8"    16r5C5C
                                           "16r82D9"    16r0000 " invalid " 
                                           "16r82DA"    16r0000 " invalid " 
                                           "16r82DB"    16r3F41
                                           "16r82DC"    16r5C59
                                           "16r82DD"    16r0000 " invalid " 
                                           "16r82DE"    16r307A
                                           "16r82DF"    16r3936
                                           "16r82E0"    16r5C65
                                           "16r82E1"    16r5C53
                                           "16r82E2"    16r0000 " invalid " 
                                           "16r82E3"    16r5C44
                                           "16r82E4"    16r5C56
                                           "16r82E5"    16r4874
                                           "16r82E6"    16r3F60
                                           "16r82E7"    16r0000 " invalid " 
                                           "16r82E8"    16r0000 " invalid " 
                                           "16r82E9"    16r0000 " invalid " 
                                           "16r82EA"    16r0000 " invalid " 
                                           "16r82EB"    16r493B
                                           "16r82EC"    16r0000 " invalid " 
                                           "16r82ED"    16r0000 " invalid " 
                                           "16r82EE"    16r0000 " invalid " 
                                           "16r82EF"    16r313D
                                           "16r82F0"    16r0000 " invalid " 
                                           "16r82F1"    16r5322
                                           "16r82F2"    16r0000 " invalid " 
                                           "16r82F3"    16r0000 " invalid " 
                                           "16r82F4"    16r5C5A
                                           "16r82F5"    16r0000 " invalid " 
                                           "16r82F6"    16r0000 " invalid " 
                                           "16r82F7"    16r5C55
                                           "16r82F8"    16r0000 " invalid " 
                                           "16r82F9"    16r463B
                                           "16r82FA"    16r0000 " invalid " 
                                           "16r82FB"    16r5C5E
                                           "16r82FC"    16r0000 " invalid " 
                                           "16r82FD"    16r0000 " invalid " 
                                           "16r82FE"    16r0000 " invalid " 
                                           "16r82FF"    16r0000 " invalid " 
                                           "16r8300"    16r0000 " invalid " 
                                           "16r8301"    16r5742
                                           "16r8302"    16r432F
                                           "16r8303"    16r3736
                                           "16r8304"    16r4751
                                           "16r8305"    16r4329
                                           "16r8306"    16r5C62
                                           "16r8307"    16r5C58
                                           "16r8308"    16r5C6B
                                           "16r8309"    16r5C54
                                           "16r830A"    16r0000 " invalid " 
                                           "16r830B"    16r0000 " invalid " 
                                           "16r830C"    16r5C5D
                                           "16r830D"    16r0000 " invalid " 
                                           "16r830E"    16r3E25
                                           "16r830F"    16r5C57
                                           "16r8310"    16r0000 " invalid " 
                                           "16r8311"    16r5C60
                                           "16r8312"    16r0000 " invalid " 
                                           "16r8313"    16r0000 " invalid " 
                                           "16r8314"    16r5C63
                                           "16r8315"    16r5C64
                                           "16r8316"    16r0000 " invalid " 
                                           "16r8317"    16r5C78
                                           "16r8318"    16r0000 " invalid " 
                                           "16r8319"    16r0000 " invalid " 
                                           "16r831A"    16r5C61
                                           "16r831B"    16r5D22
                                           "16r831C"    16r5C67
                                           "16r831D"    16r0000 " invalid " 
                                           "16r831E"    16r0000 " invalid " 
                                           "16r831F"    16r0000 " invalid " 
                                           "16r8320"    16r0000 " invalid " 
                                           "16r8321"    16r0000 " invalid " 
                                           "16r8322"    16r0000 " invalid " 
                                           "16r8323"    16r0000 " invalid " 
                                           "16r8324"    16r0000 " invalid " 
                                           "16r8325"    16r0000 " invalid " 
                                           "16r8326"    16r0000 " invalid " 
                                           "16r8327"    16r3C6B
                                           "16r8328"    16r3444
                                           "16r8329"    16r0000 " invalid " 
                                           "16r832A"    16r0000 " invalid " 
                                           "16r832B"    16r4323
                                           "16r832C"    16r3267
                                           "16r832D"    16r5C7A
                                           "16r832E"    16r0000 " invalid " 
                                           "16r832F"    16r5C72
                                           "16r8330"    16r0000 " invalid " 
                                           "16r8331"    16r5C6F
                                           "16r8332"    16r0000 " invalid " 
                                           "16r8333"    16r5C7C
                                           "16r8334"    16r5C6E
                                           "16r8335"    16r5270
                                           "16r8336"    16r3268
                                           "16r8337"    16r0000 " invalid " 
                                           "16r8338"    16r4857
                                           "16r8339"    16r4863
                                           "16r833A"    16r5C7B
                                           "16r833B"    16r0000 " invalid " 
                                           "16r833C"    16r5C6D
                                           "16r833D"    16r0000 " invalid " 
                                           "16r833E"    16r0000 " invalid " 
                                           "16r833F"    16r0000 " invalid " 
                                           "16r8340"    16r5C77
                                           "16r8341"    16r0000 " invalid " 
                                           "16r8342"    16r0000 " invalid " 
                                           "16r8343"    16r5C75
                                           "16r8344"    16r0000 " invalid " 
                                           "16r8345"    16r0000 " invalid " 
                                           "16r8346"    16r3E23
                                           "16r8347"    16r5C74
                                           "16r8348"    16r0000 " invalid " 
                                           "16r8349"    16r325D
                                           "16r834A"    16r0000 " invalid " 
                                           "16r834B"    16r0000 " invalid " 
                                           "16r834C"    16r0000 " invalid " 
                                           "16r834D"    16r0000 " invalid " 
                                           "16r834E"    16r0000 " invalid " 
                                           "16r834F"    16r5C73
                                           "16r8350"    16r3C76
                                           "16r8351"    16r5C68
                                           "16r8352"    16r3B44
                                           "16r8353"    16r0000 " invalid " 
                                           "16r8354"    16r4073
                                           "16r8355"    16r0000 " invalid " 
                                           "16r8356"    16r0000 " invalid " 
                                           "16r8357"    16r0000 " invalid " 
                                           "16r8358"    16r0000 " invalid " 
                                           "16r8359"    16r0000 " invalid " 
                                           "16r835A"    16r3C54
                                           "16r835B"    16r5C69
                                           "16r835C"    16r5C6A
                                           "16r835D"    16r0000 " invalid " 
                                           "16r835E"    16r5C71
                                           "16r835F"    16r5C76
                                           "16r8360"    16r5C79
                                           "16r8361"    16r3534
                                           "16r8362"    16r0000 " invalid " 
                                           "16r8363"    16r4859
                                           "16r8364"    16r3B67
                                           "16r8365"    16r5C7E
                                           "16r8366"    16r5C7D
                                           "16r8367"    16r532B
                                           "16r8368"    16r5D21
                                           "16r8369"    16r5D23
                                           "16r836A"    16r5D25
                                           "16r836B"    16r5271
                                           "16r836C"    16r5D24
                                           "16r836D"    16r5D26
                                           "16r836E"    16r5D27
                                           "16r836F"    16r5229
                                           "16r8370"    16r0000 " invalid " 
                                           "16r8371"    16r0000 " invalid " 
                                           "16r8372"    16r0000 " invalid " 
                                           "16r8373"    16r0000 " invalid " 
                                           "16r8374"    16r0000 " invalid " 
                                           "16r8375"    16r0000 " invalid " 
                                           "16r8376"    16r0000 " invalid " 
                                           "16r8377"    16r3A49
                                           "16r8378"    16r5D29
                                           "16r8379"    16r0000 " invalid " 
                                           "16r837A"    16r0000 " invalid " 
                                           "16r837B"    16r5D36
                                           "16r837C"    16r5D31
                                           "16r837D"    16r5D34
                                           "16r837E"    16r0000 " invalid " 
                                           "16r837F"    16r0000 " invalid " 
                                           "16r8380"    16r0000 " invalid " 
                                           "16r8381"    16r0000 " invalid " 
                                           "16r8382"    16r0000 " invalid " 
                                           "16r8383"    16r0000 " invalid " 
                                           "16r8384"    16r0000 " invalid " 
                                           "16r8385"    16r5D30
                                           "16r8386"    16r464E
                                           "16r8387"    16r0000 " invalid " 
                                           "16r8388"    16r0000 " invalid " 
                                           "16r8389"    16r4072
                                           "16r838A"    16r0000 " invalid " 
                                           "16r838B"    16r0000 " invalid " 
                                           "16r838C"    16r0000 " invalid " 
                                           "16r838D"    16r0000 " invalid " 
                                           "16r838E"    16r492F
                                           "16r838F"    16r0000 " invalid " 
                                           "16r8390"    16r0000 " invalid " 
                                           "16r8391"    16r0000 " invalid " 
                                           "16r8392"    16r5C6C
                                           "16r8393"    16r5D2E
                                           "16r8394"    16r0000 " invalid " 
                                           "16r8395"    16r0000 " invalid " 
                                           "16r8396"    16r0000 " invalid " 
                                           "16r8397"    16r0000 " invalid " 
                                           "16r8398"    16r5D37
                                           "16r8399"    16r0000 " invalid " 
                                           "16r839A"    16r0000 " invalid " 
                                           "16r839B"    16r5C70
                                           "16r839C"    16r5D2F
                                           "16r839D"    16r0000 " invalid " 
                                           "16r839E"    16r5D38
                                           "16r839F"    16r0000 " invalid " 
                                           "16r83A0"    16r5D2C
                                           "16r83A1"    16r0000 " invalid " 
                                           "16r83A2"    16r0000 " invalid " 
                                           "16r83A3"    16r0000 " invalid " 
                                           "16r83A4"    16r0000 " invalid " 
                                           "16r83A5"    16r0000 " invalid " 
                                           "16r83A6"    16r0000 " invalid " 
                                           "16r83A7"    16r0000 " invalid " 
                                           "16r83A8"    16r5D39
                                           "16r83A9"    16r5D33
                                           "16r83AA"    16r5D2D
                                           "16r83AB"    16r442A
                                           "16r83AC"    16r0000 " invalid " 
                                           "16r83AD"    16r0000 " invalid " 
                                           "16r83AE"    16r0000 " invalid " 
                                           "16r83AF"    16r0000 " invalid " 
                                           "16r83B0"    16r5D28
                                           "16r83B1"    16r4033
                                           "16r83B2"    16r412B
                                           "16r83B3"    16r5D2A
                                           "16r83B4"    16r5D2B
                                           "16r83B5"    16r0000 " invalid " 
                                           "16r83B6"    16r5D32
                                           "16r83B7"    16r3B71
                                           "16r83B8"    16r5D35
                                           "16r83B9"    16r5328
                                           "16r83BA"    16r5D3A
                                           "16r83BB"    16r0000 " invalid " 
                                           "16r83BC"    16r5D3B
                                           "16r83BD"    16r4327
                                           "16r83BE"    16r0000 " invalid " 
                                           "16r83BF"    16r0000 " invalid " 
                                           "16r83C0"    16r5D52
                                           "16r83C1"    16r5D3C
                                           "16r83C2"    16r0000 " invalid " 
                                           "16r83C3"    16r0000 " invalid " 
                                           "16r83C4"    16r0000 " invalid " 
                                           "16r83C5"    16r5D51
                                           "16r83C6"    16r0000 " invalid " 
                                           "16r83C7"    16r393D
                                           "16r83C8"    16r0000 " invalid " 
                                           "16r83C9"    16r0000 " invalid " 
                                           "16r83CA"    16r3E55
                                           "16r83CB"    16r0000 " invalid " 
                                           "16r83CC"    16r3E7A
                                           "16r83CD"    16r0000 " invalid " 
                                           "16r83CE"    16r0000 " invalid " 
                                           "16r83CF"    16r3A4A
                                           "16r83D0"    16r0000 " invalid " 
                                           "16r83D1"    16r0000 " invalid " 
                                           "16r83D2"    16r0000 " invalid " 
                                           "16r83D3"    16r0000 " invalid " 
                                           "16r83D4"    16r5D4A
                                           "16r83D5"    16r0000 " invalid " 
                                           "16r83D6"    16r5D45
                                           "16r83D7"    16r0000 " invalid " 
                                           "16r83D8"    16r5D3F
                                           "16r83D9"    16r0000 " invalid " 
                                           "16r83DA"    16r0000 " invalid " 
                                           "16r83DB"    16r0000 " invalid " 
                                           "16r83DC"    16r324B
                                           "16r83DD"    16r5D43
                                           "16r83DE"    16r0000 " invalid " 
                                           "16r83DF"    16r5D4B
                                           "16r83E0"    16r3224
                                           "16r83E1"    16r5D55
                                           "16r83E2"    16r0000 " invalid " 
                                           "16r83E3"    16r0000 " invalid " 
                                           "16r83E4"    16r0000 " invalid " 
                                           "16r83E5"    16r5D3E
                                           "16r83E6"    16r0000 " invalid " 
                                           "16r83E7"    16r0000 " invalid " 
                                           "16r83E8"    16r0000 " invalid " 
                                           "16r83E9"    16r4650
                                           "16r83EA"    16r5D50
                                           "16r83EB"    16r0000 " invalid " 
                                           "16r83EC"    16r0000 " invalid " 
                                           "16r83ED"    16r0000 " invalid " 
                                           "16r83EE"    16r0000 " invalid " 
                                           "16r83EF"    16r0000 " invalid " 
                                           "16r83F0"    16r5D54
                                           "16r83F1"    16r4162
                                           "16r83F2"    16r3746
                                           "16r83F3"    16r0000 " invalid " 
                                           "16r83F4"    16r0000 " invalid " 
                                           "16r83F5"    16r0000 " invalid " 
                                           "16r83F6"    16r0000 " invalid " 
                                           "16r83F7"    16r0000 " invalid " 
                                           "16r83F8"    16r5D4E
                                           "16r83F9"    16r5D4F
                                           "16r83FA"    16r0000 " invalid " 
                                           "16r83FB"    16r0000 " invalid " 
                                           "16r83FC"    16r0000 " invalid " 
                                           "16r83FD"    16r5D44
                                           "16r83FE"    16r0000 " invalid " 
                                           "16r83FF"    16r0000 " invalid " 
                                           "16r8400"    16r0000 " invalid " 
                                           "16r8401"    16r5D3D
                                           "16r8402"    16r0000 " invalid " 
                                           "16r8403"    16r5D4D
                                           "16r8404"    16r4C51
                                           "16r8405"    16r0000 " invalid " 
                                           "16r8406"    16r5D49
                                           "16r8407"    16r0000 " invalid " 
                                           "16r8408"    16r0000 " invalid " 
                                           "16r8409"    16r0000 " invalid " 
                                           "16r840A"    16r0000 " invalid " 
                                           "16r840B"    16r5D42
                                           "16r840C"    16r4348
                                           "16r840D"    16r463C
                                           "16r840E"    16r4E2E
                                           "16r840F"    16r5D4C
                                           "16r8410"    16r0000 " invalid " 
                                           "16r8411"    16r5D48
                                           "16r8412"    16r0000 " invalid " 
                                           "16r8413"    16r0000 " invalid " 
                                           "16r8414"    16r0000 " invalid " 
                                           "16r8415"    16r0000 " invalid " 
                                           "16r8416"    16r0000 " invalid " 
                                           "16r8417"    16r0000 " invalid " 
                                           "16r8418"    16r5D41
                                           "16r8419"    16r0000 " invalid " 
                                           "16r841A"    16r0000 " invalid " 
                                           "16r841B"    16r0000 " invalid " 
                                           "16r841C"    16r5D46
                                           "16r841D"    16r425C
                                           "16r841E"    16r0000 " invalid " 
                                           "16r841F"    16r0000 " invalid " 
                                           "16r8420"    16r0000 " invalid " 
                                           "16r8421"    16r0000 " invalid " 
                                           "16r8422"    16r0000 " invalid " 
                                           "16r8423"    16r0000 " invalid " 
                                           "16r8424"    16r5329
                                           "16r8425"    16r532A
                                           "16r8426"    16r5D53
                                           "16r8427"    16r4F74
                                           "16r8428"    16r4878
                                           "16r8429"    16r0000 " invalid " 
                                           "16r842A"    16r0000 " invalid " 
                                           "16r842B"    16r0000 " invalid " 
                                           "16r842C"    16r0000 " invalid " 
                                           "16r842D"    16r0000 " invalid " 
                                           "16r842E"    16r0000 " invalid " 
                                           "16r842F"    16r0000 " invalid " 
                                           "16r8430"    16r0000 " invalid " 
                                           "16r8431"    16r5D66
                                           "16r8432"    16r0000 " invalid " 
                                           "16r8433"    16r0000 " invalid " 
                                           "16r8434"    16r0000 " invalid " 
                                           "16r8435"    16r0000 " invalid " 
                                           "16r8436"    16r0000 " invalid " 
                                           "16r8437"    16r0000 " invalid " 
                                           "16r8438"    16r5D47
                                           "16r8439"    16r0000 " invalid " 
                                           "16r843A"    16r0000 " invalid " 
                                           "16r843B"    16r0000 " invalid " 
                                           "16r843C"    16r5D60
                                           "16r843D"    16r4264
                                           "16r843E"    16r0000 " invalid " 
                                           "16r843F"    16r0000 " invalid " 
                                           "16r8440"    16r0000 " invalid " 
                                           "16r8441"    16r0000 " invalid " 
                                           "16r8442"    16r0000 " invalid " 
                                           "16r8443"    16r0000 " invalid " 
                                           "16r8444"    16r0000 " invalid " 
                                           "16r8445"    16r0000 " invalid " 
                                           "16r8446"    16r5D61
                                           "16r8447"    16r0000 " invalid " 
                                           "16r8448"    16r0000 " invalid " 
                                           "16r8449"    16r0000 " invalid " 
                                           "16r844A"    16r0000 " invalid " 
                                           "16r844B"    16r0000 " invalid " 
                                           "16r844C"    16r0000 " invalid " 
                                           "16r844D"    16r0000 " invalid " 
                                           "16r844E"    16r0000 " invalid " 
                                           "16r844F"    16r0000 " invalid " 
                                           "16r8450"    16r0000 " invalid " 
                                           "16r8451"    16r5D57
                                           "16r8452"    16r0000 " invalid " 
                                           "16r8453"    16r0000 " invalid " 
                                           "16r8454"    16r0000 " invalid " 
                                           "16r8455"    16r0000 " invalid " 
                                           "16r8456"    16r0000 " invalid " 
                                           "16r8457"    16r5678
                                           "16r8458"    16r0000 " invalid " 
                                           "16r8459"    16r5D59
                                           "16r845A"    16r5D58
                                           "16r845B"    16r3870
                                           "16r845C"    16r5D56
                                           "16r845D"    16r0000 " invalid " 
                                           "16r845E"    16r0000 " invalid " 
                                           "16r845F"    16r0000 " invalid " 
                                           "16r8460"    16r0000 " invalid " 
                                           "16r8461"    16r464F
                                           "16r8462"    16r0000 " invalid " 
                                           "16r8463"    16r362D
                                           "16r8464"    16r0000 " invalid " 
                                           "16r8465"    16r0000 " invalid " 
                                           "16r8466"    16r0000 " invalid " 
                                           "16r8467"    16r0000 " invalid " 
                                           "16r8468"    16r0000 " invalid " 
                                           "16r8469"    16r5D62
                                           "16r846A"    16r0000 " invalid " 
                                           "16r846B"    16r3A79
                                           "16r846C"    16r5461
                                           "16r846D"    16r5D67
                                           "16r846E"    16r0000 " invalid " 
                                           "16r846F"    16r0000 " invalid " 
                                           "16r8470"    16r0000 " invalid " 
                                           "16r8471"    16r3450
                                           "16r8472"    16r0000 " invalid " 
                                           "16r8473"    16r5D5A
                                           "16r8474"    16r0000 " invalid " 
                                           "16r8475"    16r3F7B
                                           "16r8476"    16r5D63
                                           "16r8477"    16r0000 " invalid " 
                                           "16r8478"    16r5D5F
                                           "16r8479"    16r0000 " invalid " 
                                           "16r847A"    16r5D5D
                                           "16r847B"    16r0000 " invalid " 
                                           "16r847C"    16r0000 " invalid " 
                                           "16r847D"    16r0000 " invalid " 
                                           "16r847E"    16r0000 " invalid " 
                                           "16r847F"    16r0000 " invalid " 
                                           "16r8480"    16r0000 " invalid " 
                                           "16r8481"    16r0000 " invalid " 
                                           "16r8482"    16r3559
                                           "16r8483"    16r0000 " invalid " 
                                           "16r8484"    16r0000 " invalid " 
                                           "16r8485"    16r0000 " invalid " 
                                           "16r8486"    16r0000 " invalid " 
                                           "16r8487"    16r5D5B
                                           "16r8488"    16r5D5C
                                           "16r8489"    16r5D5E
                                           "16r848A"    16r0000 " invalid " 
                                           "16r848B"    16r3D2F
                                           "16r848C"    16r5D64
                                           "16r848D"    16r0000 " invalid " 
                                           "16r848E"    16r5D65
                                           "16r848F"    16r0000 " invalid " 
                                           "16r8490"    16r0000 " invalid " 
                                           "16r8491"    16r0000 " invalid " 
                                           "16r8492"    16r0000 " invalid " 
                                           "16r8493"    16r0000 " invalid " 
                                           "16r8494"    16r0000 " invalid " 
                                           "16r8495"    16r0000 " invalid " 
                                           "16r8496"    16r0000 " invalid " 
                                           "16r8497"    16r5D75
                                           "16r8498"    16r0000 " invalid " 
                                           "16r8499"    16r4349
                                           "16r849A"    16r0000 " invalid " 
                                           "16r849B"    16r0000 " invalid " 
                                           "16r849C"    16r4B62
                                           "16r849D"    16r0000 " invalid " 
                                           "16r849E"    16r0000 " invalid " 
                                           "16r849F"    16r0000 " invalid " 
                                           "16r84A0"    16r0000 " invalid " 
                                           "16r84A1"    16r5D72
                                           "16r84A2"    16r0000 " invalid " 
                                           "16r84A3"    16r0000 " invalid " 
                                           "16r84A4"    16r0000 " invalid " 
                                           "16r84A5"    16r0000 " invalid " 
                                           "16r84A6"    16r0000 " invalid " 
                                           "16r84A7"    16r0000 " invalid " 
                                           "16r84A8"    16r0000 " invalid " 
                                           "16r84A9"    16r0000 " invalid " 
                                           "16r84AA"    16r0000 " invalid " 
                                           "16r84AB"    16r0000 " invalid " 
                                           "16r84AC"    16r0000 " invalid " 
                                           "16r84AD"    16r0000 " invalid " 
                                           "16r84AE"    16r0000 " invalid " 
                                           "16r84AF"    16r5861
                                           "16r84B0"    16r0000 " invalid " 
                                           "16r84B1"    16r0000 " invalid " 
                                           "16r84B2"    16r4651
                                           "16r84B3"    16r0000 " invalid " 
                                           "16r84B4"    16r5D74
                                           "16r84B5"    16r0000 " invalid " 
                                           "16r84B6"    16r0000 " invalid " 
                                           "16r84B7"    16r0000 " invalid " 
                                           "16r84B8"    16r5574
                                           "16r84B9"    16r5D73
                                           "16r84BA"    16r5D70
                                           "16r84BB"    16r0000 " invalid " 
                                           "16r84BC"    16r0000 " invalid " 
                                           "16r84BD"    16r5D6C
                                           "16r84BE"    16r0000 " invalid " 
                                           "16r84BF"    16r5D6F
                                           "16r84C0"    16r0000 " invalid " 
                                           "16r84C1"    16r5D68
                                           "16r84C2"    16r0000 " invalid " 
                                           "16r84C3"    16r0000 " invalid " 
                                           "16r84C4"    16r506E
                                           "16r84C5"    16r0000 " invalid " 
                                           "16r84C6"    16r0000 " invalid " 
                                           "16r84C7"    16r0000 " invalid " 
                                           "16r84C8"    16r0000 " invalid " 
                                           "16r84C9"    16r4858
                                           "16r84CA"    16r5D6E
                                           "16r84CB"    16r0000 " invalid " 
                                           "16r84CC"    16r0000 " invalid " 
                                           "16r84CD"    16r5D69
                                           "16r84CE"    16r0000 " invalid " 
                                           "16r84CF"    16r0000 " invalid " 
                                           "16r84D0"    16r5D6A
                                           "16r84D1"    16r4B72
                                           "16r84D2"    16r0000 " invalid " 
                                           "16r84D3"    16r5D6D
                                           "16r84D4"    16r0000 " invalid " 
                                           "16r84D5"    16r0000 " invalid " 
                                           "16r84D6"    16r314D
                                           "16r84D7"    16r0000 " invalid " 
                                           "16r84D8"    16r0000 " invalid " 
                                           "16r84D9"    16r0000 " invalid " 
                                           "16r84DA"    16r0000 " invalid " 
                                           "16r84DB"    16r0000 " invalid " 
                                           "16r84DC"    16r0000 " invalid " 
                                           "16r84DD"    16r4036
                                           "16r84DE"    16r0000 " invalid " 
                                           "16r84DF"    16r3C3B
                                           "16r84E0"    16r5D71
                                           "16r84E1"    16r0000 " invalid " 
                                           "16r84E2"    16r0000 " invalid " 
                                           "16r84E3"    16r5D77
                                           "16r84E4"    16r0000 " invalid " 
                                           "16r84E5"    16r5D76
                                           "16r84E6"    16r5D6B
                                           "16r84E7"    16r0000 " invalid " 
                                           "16r84E8"    16r0000 " invalid " 
                                           "16r84E9"    16r0000 " invalid " 
                                           "16r84EA"    16r0000 " invalid " 
                                           "16r84EB"    16r0000 " invalid " 
                                           "16r84EC"    16r456E
                                           "16r84ED"    16r0000 " invalid " 
                                           "16r84EE"    16r0000 " invalid " 
                                           "16r84EF"    16r0000 " invalid " 
                                           "16r84F0"    16r5D7B
                                           "16r84F1"    16r0000 " invalid " 
                                           "16r84F2"    16r0000 " invalid " 
                                           "16r84F3"    16r0000 " invalid " 
                                           "16r84F4"    16r0000 " invalid " 
                                           "16r84F5"    16r0000 " invalid " 
                                           "16r84F6"    16r0000 " invalid " 
                                           "16r84F7"    16r0000 " invalid " 
                                           "16r84F8"    16r0000 " invalid " 
                                           "16r84F9"    16r0000 " invalid " 
                                           "16r84FA"    16r0000 " invalid " 
                                           "16r84FB"    16r0000 " invalid " 
                                           "16r84FC"    16r5E24
                                           "16r84FD"    16r0000 " invalid " 
                                           "16r84FE"    16r0000 " invalid " 
                                           "16r84FF"    16r5E23
                                           "16r8500"    16r0000 " invalid " 
                                           "16r8501"    16r0000 " invalid " 
                                           "16r8502"    16r0000 " invalid " 
                                           "16r8503"    16r0000 " invalid " 
                                           "16r8504"    16r0000 " invalid " 
                                           "16r8505"    16r0000 " invalid " 
                                           "16r8506"    16r0000 " invalid " 
                                           "16r8507"    16r0000 " invalid " 
                                           "16r8508"    16r0000 " invalid " 
                                           "16r8509"    16r0000 " invalid " 
                                           "16r850A"    16r0000 " invalid " 
                                           "16r850B"    16r0000 " invalid " 
                                           "16r850C"    16r5D78
                                           "16r850D"    16r0000 " invalid " 
                                           "16r850E"    16r0000 " invalid " 
                                           "16r850F"    16r0000 " invalid " 
                                           "16r8510"    16r0000 " invalid " 
                                           "16r8511"    16r436F
                                           "16r8512"    16r0000 " invalid " 
                                           "16r8513"    16r427B
                                           "16r8514"    16r0000 " invalid " 
                                           "16r8515"    16r0000 " invalid " 
                                           "16r8516"    16r0000 " invalid " 
                                           "16r8517"    16r5561
                                           "16r8518"    16r0000 " invalid " 
                                           "16r8519"    16r0000 " invalid " 
                                           "16r851A"    16r4E35
                                           "16r851B"    16r0000 " invalid " 
                                           "16r851C"    16r0000 " invalid " 
                                           "16r851D"    16r0000 " invalid " 
                                           "16r851E"    16r0000 " invalid " 
                                           "16r851F"    16r5D7D
                                           "16r8520"    16r0000 " invalid " 
                                           "16r8521"    16r324C
                                           "16r8522"    16r0000 " invalid " 
                                           "16r8523"    16r0000 " invalid " 
                                           "16r8524"    16r0000 " invalid " 
                                           "16r8525"    16r0000 " invalid " 
                                           "16r8526"    16r0000 " invalid " 
                                           "16r8527"    16r0000 " invalid " 
                                           "16r8528"    16r0000 " invalid " 
                                           "16r8529"    16r0000 " invalid " 
                                           "16r852A"    16r0000 " invalid " 
                                           "16r852B"    16r4468
                                           "16r852C"    16r4A5F
                                           "16r852D"    16r0000 " invalid " 
                                           "16r852E"    16r0000 " invalid " 
                                           "16r852F"    16r0000 " invalid " 
                                           "16r8530"    16r0000 " invalid " 
                                           "16r8531"    16r0000 " invalid " 
                                           "16r8532"    16r0000 " invalid " 
                                           "16r8533"    16r0000 " invalid " 
                                           "16r8534"    16r0000 " invalid " 
                                           "16r8535"    16r0000 " invalid " 
                                           "16r8536"    16r0000 " invalid " 
                                           "16r8537"    16r473E
                                           "16r8538"    16r5D7A
                                           "16r8539"    16r5D7C
                                           "16r853A"    16r5D7E
                                           "16r853B"    16r5E22
                                           "16r853C"    16r302A
                                           "16r853D"    16r314E
                                           "16r853E"    16r0000 " invalid " 
                                           "16r853F"    16r0000 " invalid " 
                                           "16r8540"    16r0000 " invalid " 
                                           "16r8541"    16r0000 " invalid " 
                                           "16r8542"    16r0000 " invalid " 
                                           "16r8543"    16r5E2C
                                           "16r8544"    16r0000 " invalid " 
                                           "16r8545"    16r0000 " invalid " 
                                           "16r8546"    16r0000 " invalid " 
                                           "16r8547"    16r0000 " invalid " 
                                           "16r8548"    16r5E26
                                           "16r8549"    16r3D36
                                           "16r854A"    16r486F
                                           "16r854B"    16r0000 " invalid " 
                                           "16r854C"    16r0000 " invalid " 
                                           "16r854D"    16r0000 " invalid " 
                                           "16r854E"    16r0000 " invalid " 
                                           "16r854F"    16r0000 " invalid " 
                                           "16r8550"    16r0000 " invalid " 
                                           "16r8551"    16r0000 " invalid " 
                                           "16r8552"    16r0000 " invalid " 
                                           "16r8553"    16r0000 " invalid " 
                                           "16r8554"    16r0000 " invalid " 
                                           "16r8555"    16r0000 " invalid " 
                                           "16r8556"    16r5E21
                                           "16r8557"    16r0000 " invalid " 
                                           "16r8558"    16r0000 " invalid " 
                                           "16r8559"    16r5E25
                                           "16r855A"    16r0000 " invalid " 
                                           "16r855B"    16r0000 " invalid " 
                                           "16r855C"    16r0000 " invalid " 
                                           "16r855D"    16r0000 " invalid " 
                                           "16r855E"    16r5E29
                                           "16r855F"    16r0000 " invalid " 
                                           "16r8560"    16r0000 " invalid " 
                                           "16r8561"    16r0000 " invalid " 
                                           "16r8562"    16r0000 " invalid " 
                                           "16r8563"    16r0000 " invalid " 
                                           "16r8564"    16r5E28
                                           "16r8565"    16r0000 " invalid " 
                                           "16r8566"    16r0000 " invalid " 
                                           "16r8567"    16r0000 " invalid " 
                                           "16r8568"    16r5E27
                                           "16r8569"    16r0000 " invalid " 
                                           "16r856A"    16r0000 " invalid " 
                                           "16r856B"    16r0000 " invalid " 
                                           "16r856C"    16r0000 " invalid " 
                                           "16r856D"    16r0000 " invalid " 
                                           "16r856E"    16r0000 " invalid " 
                                           "16r856F"    16r0000 " invalid " 
                                           "16r8570"    16r0000 " invalid " 
                                           "16r8571"    16r0000 " invalid " 
                                           "16r8572"    16r5E2D
                                           "16r8573"    16r0000 " invalid " 
                                           "16r8574"    16r544C
                                           "16r8575"    16r0000 " invalid " 
                                           "16r8576"    16r0000 " invalid " 
                                           "16r8577"    16r0000 " invalid " 
                                           "16r8578"    16r0000 " invalid " 
                                           "16r8579"    16r5E33
                                           "16r857A"    16r5E2A
                                           "16r857B"    16r5E2E
                                           "16r857C"    16r0000 " invalid " 
                                           "16r857D"    16r0000 " invalid " 
                                           "16r857E"    16r4059
                                           "16r857F"    16r0000 " invalid " 
                                           "16r8580"    16r0000 " invalid " 
                                           "16r8581"    16r0000 " invalid " 
                                           "16r8582"    16r0000 " invalid " 
                                           "16r8583"    16r0000 " invalid " 
                                           "16r8584"    16r3121
                                           "16r8585"    16r5E36
                                           "16r8586"    16r0000 " invalid " 
                                           "16r8587"    16r5E31
                                           "16r8588"    16r0000 " invalid " 
                                           "16r8589"    16r0000 " invalid " 
                                           "16r858A"    16r0000 " invalid " 
                                           "16r858B"    16r0000 " invalid " 
                                           "16r858C"    16r0000 " invalid " 
                                           "16r858D"    16r0000 " invalid " 
                                           "16r858E"    16r0000 " invalid " 
                                           "16r858F"    16r5E32
                                           "16r8590"    16r0000 " invalid " 
                                           "16r8591"    16r0000 " invalid " 
                                           "16r8592"    16r0000 " invalid " 
                                           "16r8593"    16r0000 " invalid " 
                                           "16r8594"    16r0000 " invalid " 
                                           "16r8595"    16r0000 " invalid " 
                                           "16r8596"    16r0000 " invalid " 
                                           "16r8597"    16r0000 " invalid " 
                                           "16r8598"    16r0000 " invalid " 
                                           "16r8599"    16r0000 " invalid " 
                                           "16r859A"    16r0000 " invalid " 
                                           "16r859B"    16r5126
                                           "16r859C"    16r5E35
                                           "16r859D"    16r0000 " invalid " 
                                           "16r859E"    16r0000 " invalid " 
                                           "16r859F"    16r0000 " invalid " 
                                           "16r85A0"    16r0000 " invalid " 
                                           "16r85A1"    16r0000 " invalid " 
                                           "16r85A2"    16r0000 " invalid " 
                                           "16r85A3"    16r0000 " invalid " 
                                           "16r85A4"    16r5E2F
                                           "16r85A5"    16r0000 " invalid " 
                                           "16r85A6"    16r0000 " invalid " 
                                           "16r85A7"    16r0000 " invalid " 
                                           "16r85A8"    16r5E30
                                           "16r85A9"    16r0000 " invalid " 
                                           "16r85AA"    16r503D
                                           "16r85AB"    16r0000 " invalid " 
                                           "16r85AC"    16r0000 " invalid " 
                                           "16r85AD"    16r0000 " invalid " 
                                           "16r85AE"    16r5E34
                                           "16r85AF"    16r4A6D
                                           "16r85B0"    16r5E39
                                           "16r85B1"    16r0000 " invalid " 
                                           "16r85B2"    16r0000 " invalid " 
                                           "16r85B3"    16r0000 " invalid " 
                                           "16r85B4"    16r0000 " invalid " 
                                           "16r85B5"    16r0000 " invalid " 
                                           "16r85B6"    16r0000 " invalid " 
                                           "16r85B7"    16r5E38
                                           "16r85B8"    16r0000 " invalid " 
                                           "16r85B9"    16r5E37
                                           "16r85BA"    16r0000 " invalid " 
                                           "16r85BB"    16r0000 " invalid " 
                                           "16r85BC"    16r0000 " invalid " 
                                           "16r85BD"    16r0000 " invalid " 
                                           "16r85BE"    16r0000 " invalid " 
                                           "16r85BF"    16r0000 " invalid " 
                                           "16r85C0"    16r0000 " invalid " 
                                           "16r85C1"    16r5E3B
                                           "16r85C2"    16r0000 " invalid " 
                                           "16r85C3"    16r0000 " invalid " 
                                           "16r85C4"    16r0000 " invalid " 
                                           "16r85C5"    16r0000 " invalid " 
                                           "16r85C6"    16r0000 " invalid " 
                                           "16r85C7"    16r0000 " invalid " 
                                           "16r85C8"    16r0000 " invalid " 
                                           "16r85C9"    16r3D65
                                           "16r85CA"    16r0000 " invalid " 
                                           "16r85CB"    16r0000 " invalid " 
                                           "16r85CC"    16r0000 " invalid " 
                                           "16r85CD"    16r0000 " invalid " 
                                           "16r85CE"    16r0000 " invalid " 
                                           "16r85CF"    16r3258
                                           "16r85D0"    16r436A
                                           "16r85D1"    16r0000 " invalid " 
                                           "16r85D2"    16r0000 " invalid " 
                                           "16r85D3"    16r5E3A
                                           "16r85D4"    16r0000 " invalid " 
                                           "16r85D5"    16r453A
                                           "16r85D6"    16r0000 " invalid " 
                                           "16r85D7"    16r0000 " invalid " 
                                           "16r85D8"    16r0000 " invalid " 
                                           "16r85D9"    16r0000 " invalid " 
                                           "16r85DA"    16r0000 " invalid " 
                                           "16r85DB"    16r0000 " invalid " 
                                           "16r85DC"    16r5E3C
                                           "16r85DD"    16r0000 " invalid " 
                                           "16r85DE"    16r0000 " invalid " 
                                           "16r85DF"    16r0000 " invalid " 
                                           "16r85E0"    16r0000 " invalid " 
                                           "16r85E1"    16r0000 " invalid " 
                                           "16r85E2"    16r0000 " invalid " 
                                           "16r85E3"    16r0000 " invalid " 
                                           "16r85E4"    16r4C59
                                           "16r85E5"    16r0000 " invalid " 
                                           "16r85E6"    16r0000 " invalid " 
                                           "16r85E7"    16r0000 " invalid " 
                                           "16r85E8"    16r0000 " invalid " 
                                           "16r85E9"    16r372A
                                           "16r85EA"    16r0000 " invalid " 
                                           "16r85EB"    16r0000 " invalid " 
                                           "16r85EC"    16r0000 " invalid " 
                                           "16r85ED"    16r0000 " invalid " 
                                           "16r85EE"    16r0000 " invalid " 
                                           "16r85EF"    16r0000 " invalid " 
                                           "16r85F0"    16r0000 " invalid " 
                                           "16r85F1"    16r0000 " invalid " 
                                           "16r85F2"    16r0000 " invalid " 
                                           "16r85F3"    16r0000 " invalid " 
                                           "16r85F4"    16r0000 " invalid " 
                                           "16r85F5"    16r0000 " invalid " 
                                           "16r85F6"    16r0000 " invalid " 
                                           "16r85F7"    16r0000 " invalid " 
                                           "16r85F8"    16r0000 " invalid " 
                                           "16r85F9"    16r0000 " invalid " 
                                           "16r85FA"    16r0000 " invalid " 
                                           "16r85FB"    16r5465
                                           "16r85FC"    16r0000 " invalid " 
                                           "16r85FD"    16r0000 " invalid " 
                                           "16r85FE"    16r0000 " invalid " 
                                           "16r85FF"    16r5E3D
                                           "16r8600"    16r0000 " invalid " 
                                           "16r8601"    16r0000 " invalid " 
                                           "16r8602"    16r0000 " invalid " 
                                           "16r8603"    16r0000 " invalid " 
                                           "16r8604"    16r0000 " invalid " 
                                           "16r8605"    16r5E3F
                                           "16r8606"    16r0000 " invalid " 
                                           "16r8607"    16r0000 " invalid " 
                                           "16r8608"    16r0000 " invalid " 
                                           "16r8609"    16r0000 " invalid " 
                                           "16r860A"    16r0000 " invalid " 
                                           "16r860B"    16r0000 " invalid " 
                                           "16r860C"    16r0000 " invalid " 
                                           "16r860D"    16r0000 " invalid " 
                                           "16r860E"    16r0000 " invalid " 
                                           "16r860F"    16r0000 " invalid " 
                                           "16r8610"    16r0000 " invalid " 
                                           "16r8611"    16r4422
                                           "16r8612"    16r0000 " invalid " 
                                           "16r8613"    16r0000 " invalid " 
                                           "16r8614"    16r0000 " invalid " 
                                           "16r8615"    16r0000 " invalid " 
                                           "16r8616"    16r5E41
                                           "16r8617"    16r0000 " invalid " 
                                           "16r8618"    16r0000 " invalid " 
                                           "16r8619"    16r0000 " invalid " 
                                           "16r861A"    16r0000 " invalid " 
                                           "16r861B"    16r0000 " invalid " 
                                           "16r861C"    16r0000 " invalid " 
                                           "16r861D"    16r0000 " invalid " 
                                           "16r861E"    16r0000 " invalid " 
                                           "16r861F"    16r0000 " invalid " 
                                           "16r8620"    16r0000 " invalid " 
                                           "16r8621"    16r0000 " invalid " 
                                           "16r8622"    16r0000 " invalid " 
                                           "16r8623"    16r0000 " invalid " 
                                           "16r8624"    16r0000 " invalid " 
                                           "16r8625"    16r0000 " invalid " 
                                           "16r8626"    16r0000 " invalid " 
                                           "16r8627"    16r5E3E
                                           "16r8628"    16r0000 " invalid " 
                                           "16r8629"    16r5E40
                                           "16r862A"    16r0000 " invalid " 
                                           "16r862B"    16r0000 " invalid " 
                                           "16r862C"    16r0000 " invalid " 
                                           "16r862D"    16r0000 " invalid " 
                                           "16r862E"    16r0000 " invalid " 
                                           "16r862F"    16r0000 " invalid " 
                                           "16r8630"    16r0000 " invalid " 
                                           "16r8631"    16r0000 " invalid " 
                                           "16r8632"    16r0000 " invalid " 
                                           "16r8633"    16r0000 " invalid " 
                                           "16r8634"    16r0000 " invalid " 
                                           "16r8635"    16r0000 " invalid " 
                                           "16r8636"    16r0000 " invalid " 
                                           "16r8637"    16r0000 " invalid " 
                                           "16r8638"    16r553A
                                           "16r8639"    16r0000 " invalid " 
                                           "16r863A"    16r0000 " invalid " 
                                           "16r863B"    16r0000 " invalid " 
                                           "16r863C"    16r5E42
                                           "16r863D"    16r0000 " invalid " 
                                           "16r863E"    16r0000 " invalid " 
                                           "16r863F"    16r0000 " invalid " 
                                           "16r8640"    16r0000 " invalid " 
                                           "16r8641"    16r0000 " invalid " 
                                           "16r8642"    16r0000 " invalid " 
                                           "16r8643"    16r0000 " invalid " 
                                           "16r8644"    16r0000 " invalid " 
                                           "16r8645"    16r0000 " invalid " 
                                           "16r8646"    16r0000 " invalid " 
                                           "16r8647"    16r0000 " invalid " 
                                           "16r8648"    16r0000 " invalid " 
                                           "16r8649"    16r0000 " invalid " 
                                           "16r864A"    16r0000 " invalid " 
                                           "16r864B"    16r0000 " invalid " 
                                           "16r864C"    16r0000 " invalid " 
                                           "16r864D"    16r722E
                                           "16r864E"    16r3B22
                                           "16r864F"    16r4232
                                           "16r8650"    16r4530
                                           "16r8651"    16r4247
                                           "16r8652"    16r0000 " invalid " 
                                           "16r8653"    16r0000 " invalid " 
                                           "16r8654"    16r722F
                                           "16r8655"    16r0000 " invalid " 
                                           "16r8656"    16r0000 " invalid " 
                                           "16r8657"    16r0000 " invalid " 
                                           "16r8658"    16r0000 " invalid " 
                                           "16r8659"    16r0000 " invalid " 
                                           "16r865A"    16r5069
                                           "16r865B"    16r0000 " invalid " 
                                           "16r865C"    16r0000 " invalid " 
                                           "16r865D"    16r0000 " invalid " 
                                           "16r865E"    16r535D
                                           "16r865F"    16r0000 " invalid " 
                                           "16r8660"    16r0000 " invalid " 
                                           "16r8661"    16r0000 " invalid " 
                                           "16r8662"    16r6B3D
                                           "16r8663"    16r0000 " invalid " 
                                           "16r8664"    16r0000 " invalid " 
                                           "16r8665"    16r0000 " invalid " 
                                           "16r8666"    16r0000 " invalid " 
                                           "16r8667"    16r0000 " invalid " 
                                           "16r8668"    16r0000 " invalid " 
                                           "16r8669"    16r0000 " invalid " 
                                           "16r866A"    16r0000 " invalid " 
                                           "16r866B"    16r3366
                                           "16r866C"    16r7230
                                           "16r866D"    16r0000 " invalid " 
                                           "16r866E"    16r7231
                                           "16r866F"    16r0000 " invalid " 
                                           "16r8670"    16r0000 " invalid " 
                                           "16r8671"    16r4A2D
                                           "16r8672"    16r0000 " invalid " 
                                           "16r8673"    16r0000 " invalid " 
                                           "16r8674"    16r0000 " invalid " 
                                           "16r8675"    16r0000 " invalid " 
                                           "16r8676"    16r0000 " invalid " 
                                           "16r8677"    16r0000 " invalid " 
                                           "16r8678"    16r0000 " invalid " 
                                           "16r8679"    16r3A67
                                           "16r867A"    16r7233
                                           "16r867B"    16r7235
                                           "16r867C"    16r7234
                                           "16r867D"    16r4B64
                                           "16r867E"    16r4F3A
                                           "16r867F"    16r7232
                                           "16r8680"    16r4A34
                                           "16r8681"    16r524F
                                           "16r8682"    16r426C
                                           "16r8683"    16r0000 " invalid " 
                                           "16r8684"    16r0000 " invalid " 
                                           "16r8685"    16r0000 " invalid " 
                                           "16r8686"    16r0000 " invalid " 
                                           "16r8687"    16r0000 " invalid " 
                                           "16r8688"    16r0000 " invalid " 
                                           "16r8689"    16r0000 " invalid " 
                                           "16r868A"    16r4E43
                                           "16r868B"    16r7238
                                           "16r868C"    16r3076
                                           "16r868D"    16r7237
                                           "16r868E"    16r0000 " invalid " 
                                           "16r868F"    16r0000 " invalid " 
                                           "16r8690"    16r0000 " invalid " 
                                           "16r8691"    16r0000 " invalid " 
                                           "16r8692"    16r0000 " invalid " 
                                           "16r8693"    16r723E
                                           "16r8694"    16r0000 " invalid " 
                                           "16r8695"    16r324F
                                           "16r8696"    16r0000 " invalid " 
                                           "16r8697"    16r0000 " invalid " 
                                           "16r8698"    16r0000 " invalid " 
                                           "16r8699"    16r0000 " invalid " 
                                           "16r869A"    16r0000 " invalid " 
                                           "16r869B"    16r0000 " invalid " 
                                           "16r869C"    16r5141
                                           "16r869D"    16r723A
                                           "16r869E"    16r0000 " invalid " 
                                           "16r869F"    16r0000 " invalid " 
                                           "16r86A0"    16r0000 " invalid " 
                                           "16r86A1"    16r0000 " invalid " 
                                           "16r86A2"    16r0000 " invalid " 
                                           "16r86A3"    16r723C
                                           "16r86A4"    16r5469
                                           "16r86A5"    16r0000 " invalid " 
                                           "16r86A6"    16r0000 " invalid " 
                                           "16r86A7"    16r723B
                                           "16r86A8"    16r7236
                                           "16r86A9"    16r723F
                                           "16r86AA"    16r723D
                                           "16r86AB"    16r0000 " invalid " 
                                           "16r86AC"    16r7239
                                           "16r86AD"    16r0000 " invalid " 
                                           "16r86AE"    16r0000 " invalid " 
                                           "16r86AF"    16r7247
                                           "16r86B0"    16r7244
                                           "16r86B1"    16r7246
                                           "16r86B2"    16r0000 " invalid " 
                                           "16r86B3"    16r0000 " invalid " 
                                           "16r86B4"    16r724A
                                           "16r86B5"    16r7242
                                           "16r86B6"    16r7240
                                           "16r86B7"    16r0000 " invalid " 
                                           "16r86B8"    16r0000 " invalid " 
                                           "16r86B9"    16r0000 " invalid " 
                                           "16r86BA"    16r7245
                                           "16r86BB"    16r0000 " invalid " 
                                           "16r86BC"    16r0000 " invalid " 
                                           "16r86BD"    16r0000 " invalid " 
                                           "16r86BE"    16r0000 " invalid " 
                                           "16r86BF"    16r0000 " invalid " 
                                           "16r86C0"    16r567B
                                           "16r86C1"    16r0000 " invalid " 
                                           "16r86C2"    16r0000 " invalid " 
                                           "16r86C3"    16r0000 " invalid " 
                                           "16r86C4"    16r7241
                                           "16r86C5"    16r0000 " invalid " 
                                           "16r86C6"    16r4779
                                           "16r86C7"    16r495F
                                           "16r86C8"    16r0000 " invalid " 
                                           "16r86C9"    16r7248
                                           "16r86CA"    16r3946
                                           "16r86CB"    16r3530
                                           "16r86CC"    16r0000 " invalid " 
                                           "16r86CD"    16r0000 " invalid " 
                                           "16r86CE"    16r7243
                                           "16r86CF"    16r7249
                                           "16r86D0"    16r7250
                                           "16r86D1"    16r7256
                                           "16r86D2"    16r0000 " invalid " 
                                           "16r86D3"    16r0000 " invalid " 
                                           "16r86D4"    16r3B57
                                           "16r86D5"    16r0000 " invalid " 
                                           "16r86D6"    16r0000 " invalid " 
                                           "16r86D7"    16r0000 " invalid " 
                                           "16r86D8"    16r7255
                                           "16r86D9"    16r4D5C
                                           "16r86DA"    16r0000 " invalid " 
                                           "16r86DB"    16r566B
                                           "16r86DC"    16r0000 " invalid " 
                                           "16r86DD"    16r0000 " invalid " 
                                           "16r86DE"    16r7252
                                           "16r86DF"    16r7254
                                           "16r86E0"    16r0000 " invalid " 
                                           "16r86E1"    16r0000 " invalid " 
                                           "16r86E2"    16r0000 " invalid " 
                                           "16r86E3"    16r0000 " invalid " 
                                           "16r86E4"    16r3872
                                           "16r86E5"    16r0000 " invalid " 
                                           "16r86E6"    16r0000 " invalid " 
                                           "16r86E7"    16r0000 " invalid " 
                                           "16r86E8"    16r0000 " invalid " 
                                           "16r86E9"    16r724B
                                           "16r86EA"    16r0000 " invalid " 
                                           "16r86EB"    16r0000 " invalid " 
                                           "16r86EC"    16r0000 " invalid " 
                                           "16r86ED"    16r724E
                                           "16r86EE"    16r4279
                                           "16r86EF"    16r0000 " invalid " 
                                           "16r86F0"    16r555D
                                           "16r86F1"    16r724C
                                           "16r86F2"    16r724D
                                           "16r86F3"    16r724F
                                           "16r86F4"    16r7253
                                           "16r86F5"    16r0000 " invalid " 
                                           "16r86F6"    16r0000 " invalid " 
                                           "16r86F7"    16r0000 " invalid " 
                                           "16r86F8"    16r7259
                                           "16r86F9"    16r533C
                                           "16r86FA"    16r0000 " invalid " 
                                           "16r86FB"    16r0000 " invalid " 
                                           "16r86FC"    16r0000 " invalid " 
                                           "16r86FD"    16r0000 " invalid " 
                                           "16r86FE"    16r366A
                                           "16r86FF"    16r0000 " invalid " 
                                           "16r8700"    16r4A71
                                           "16r8701"    16r0000 " invalid " 
                                           "16r8702"    16r3764
                                           "16r8703"    16r7257
                                           "16r8704"    16r0000 " invalid " 
                                           "16r8705"    16r0000 " invalid " 
                                           "16r8706"    16r0000 " invalid " 
                                           "16r8707"    16r7258
                                           "16r8708"    16r725A
                                           "16r8709"    16r725D
                                           "16r870A"    16r725B
                                           "16r870B"    16r0000 " invalid " 
                                           "16r870C"    16r0000 " invalid " 
                                           "16r870D"    16r725C
                                           "16r870E"    16r0000 " invalid " 
                                           "16r870F"    16r0000 " invalid " 
                                           "16r8710"    16r0000 " invalid " 
                                           "16r8711"    16r0000 " invalid " 
                                           "16r8712"    16r5151
                                           "16r8713"    16r7251
                                           "16r8714"    16r0000 " invalid " 
                                           "16r8715"    16r4D49
                                           "16r8716"    16r0000 " invalid " 
                                           "16r8717"    16r4E4F
                                           "16r8718"    16r5629
                                           "16r8719"    16r0000 " invalid " 
                                           "16r871A"    16r7263
                                           "16r871B"    16r0000 " invalid " 
                                           "16r871C"    16r435B
                                           "16r871D"    16r0000 " invalid " 
                                           "16r871E"    16r7260
                                           "16r871F"    16r0000 " invalid " 
                                           "16r8720"    16r0000 " invalid " 
                                           "16r8721"    16r402F
                                           "16r8722"    16r726C
                                           "16r8723"    16r725E
                                           "16r8724"    16r0000 " invalid " 
                                           "16r8725"    16r7261
                                           "16r8726"    16r0000 " invalid " 
                                           "16r8727"    16r0000 " invalid " 
                                           "16r8728"    16r0000 " invalid " 
                                           "16r8729"    16r7268
                                           "16r872A"    16r0000 " invalid " 
                                           "16r872B"    16r0000 " invalid " 
                                           "16r872C"    16r0000 " invalid " 
                                           "16r872D"    16r0000 " invalid " 
                                           "16r872E"    16r7262
                                           "16r872F"    16r0000 " invalid " 
                                           "16r8730"    16r0000 " invalid " 
                                           "16r8731"    16r7267
                                           "16r8732"    16r0000 " invalid " 
                                           "16r8733"    16r0000 " invalid " 
                                           "16r8734"    16r7266
                                           "16r8735"    16r0000 " invalid " 
                                           "16r8736"    16r0000 " invalid " 
                                           "16r8737"    16r7269
                                           "16r8738"    16r0000 " invalid " 
                                           "16r8739"    16r0000 " invalid " 
                                           "16r873A"    16r0000 " invalid " 
                                           "16r873B"    16r725F
                                           "16r873C"    16r0000 " invalid " 
                                           "16r873D"    16r0000 " invalid " 
                                           "16r873E"    16r7264
                                           "16r873F"    16r726A
                                           "16r8740"    16r0000 " invalid " 
                                           "16r8741"    16r0000 " invalid " 
                                           "16r8742"    16r0000 " invalid " 
                                           "16r8743"    16r0000 " invalid " 
                                           "16r8744"    16r0000 " invalid " 
                                           "16r8745"    16r0000 " invalid " 
                                           "16r8746"    16r0000 " invalid " 
                                           "16r8747"    16r532C
                                           "16r8748"    16r7265
                                           "16r8749"    16r3275
                                           "16r874A"    16r0000 " invalid " 
                                           "16r874B"    16r0000 " invalid " 
                                           "16r874C"    16r7272
                                           "16r874D"    16r0000 " invalid " 
                                           "16r874E"    16r502B
                                           "16r874F"    16r0000 " invalid " 
                                           "16r8750"    16r0000 " invalid " 
                                           "16r8751"    16r0000 " invalid " 
                                           "16r8752"    16r0000 " invalid " 
                                           "16r8753"    16r7275
                                           "16r8754"    16r0000 " invalid " 
                                           "16r8755"    16r0000 " invalid " 
                                           "16r8756"    16r0000 " invalid " 
                                           "16r8757"    16r3B48
                                           "16r8758"    16r0000 " invalid " 
                                           "16r8759"    16r7279
                                           "16r875A"    16r0000 " invalid " 
                                           "16r875B"    16r0000 " invalid " 
                                           "16r875C"    16r0000 " invalid " 
                                           "16r875D"    16r0000 " invalid " 
                                           "16r875E"    16r0000 " invalid " 
                                           "16r875F"    16r0000 " invalid " 
                                           "16r8760"    16r7270
                                           "16r8761"    16r0000 " invalid " 
                                           "16r8762"    16r0000 " invalid " 
                                           "16r8763"    16r7276
                                           "16r8764"    16r7278
                                           "16r8765"    16r727A
                                           "16r8766"    16r0000 " invalid " 
                                           "16r8767"    16r0000 " invalid " 
                                           "16r8768"    16r0000 " invalid " 
                                           "16r8769"    16r0000 " invalid " 
                                           "16r876A"    16r0000 " invalid " 
                                           "16r876B"    16r0000 " invalid " 
                                           "16r876C"    16r0000 " invalid " 
                                           "16r876D"    16r0000 " invalid " 
                                           "16r876E"    16r7273
                                           "16r876F"    16r0000 " invalid " 
                                           "16r8770"    16r7271
                                           "16r8771"    16r0000 " invalid " 
                                           "16r8772"    16r0000 " invalid " 
                                           "16r8773"    16r0000 " invalid " 
                                           "16r8774"    16r3A7B
                                           "16r8775"    16r0000 " invalid " 
                                           "16r8776"    16r357B
                                           "16r8777"    16r0000 " invalid " 
                                           "16r8778"    16r0000 " invalid " 
                                           "16r8779"    16r0000 " invalid " 
                                           "16r877A"    16r0000 " invalid " 
                                           "16r877B"    16r726F
                                           "16r877C"    16r7277
                                           "16r877D"    16r726D
                                           "16r877E"    16r726E
                                           "16r877F"    16r0000 " invalid " 
                                           "16r8780"    16r0000 " invalid " 
                                           "16r8781"    16r0000 " invalid " 
                                           "16r8782"    16r726B
                                           "16r8783"    16r7326
                                           "16r8784"    16r0000 " invalid " 
                                           "16r8785"    16r7323
                                           "16r8786"    16r0000 " invalid " 
                                           "16r8787"    16r0000 " invalid " 
                                           "16r8788"    16r7322
                                           "16r8789"    16r0000 " invalid " 
                                           "16r878A"    16r0000 " invalid " 
                                           "16r878B"    16r7274
                                           "16r878C"    16r0000 " invalid " 
                                           "16r878D"    16r485A
                                           "16r878E"    16r0000 " invalid " 
                                           "16r878F"    16r0000 " invalid " 
                                           "16r8790"    16r0000 " invalid " 
                                           "16r8791"    16r0000 " invalid " 
                                           "16r8792"    16r0000 " invalid " 
                                           "16r8793"    16r727B
                                           "16r8794"    16r0000 " invalid " 
                                           "16r8795"    16r0000 " invalid " 
                                           "16r8796"    16r0000 " invalid " 
                                           "16r8797"    16r7325
                                           "16r8798"    16r0000 " invalid " 
                                           "16r8799"    16r0000 " invalid " 
                                           "16r879A"    16r0000 " invalid " 
                                           "16r879B"    16r0000 " invalid " 
                                           "16r879C"    16r0000 " invalid " 
                                           "16r879D"    16r0000 " invalid " 
                                           "16r879E"    16r0000 " invalid " 
                                           "16r879F"    16r4378
                                           "16r87A0"    16r0000 " invalid " 
                                           "16r87A1"    16r0000 " invalid " 
                                           "16r87A2"    16r0000 " invalid " 
                                           "16r87A3"    16r0000 " invalid " 
                                           "16r87A4"    16r0000 " invalid " 
                                           "16r87A5"    16r0000 " invalid " 
                                           "16r87A6"    16r0000 " invalid " 
                                           "16r87A7"    16r0000 " invalid " 
                                           "16r87A8"    16r727D
                                           "16r87A9"    16r0000 " invalid " 
                                           "16r87AA"    16r0000 " invalid " 
                                           "16r87AB"    16r7327
                                           "16r87AC"    16r7329
                                           "16r87AD"    16r7324
                                           "16r87AE"    16r0000 " invalid " 
                                           "16r87AF"    16r727C
                                           "16r87B0"    16r0000 " invalid " 
                                           "16r87B1"    16r0000 " invalid " 
                                           "16r87B2"    16r0000 " invalid " 
                                           "16r87B3"    16r732B
                                           "16r87B4"    16r0000 " invalid " 
                                           "16r87B5"    16r732A
                                           "16r87B6"    16r0000 " invalid " 
                                           "16r87B7"    16r0000 " invalid " 
                                           "16r87B8"    16r0000 " invalid " 
                                           "16r87B9"    16r0000 " invalid " 
                                           "16r87BA"    16r425D
                                           "16r87BB"    16r0000 " invalid " 
                                           "16r87BC"    16r0000 " invalid " 
                                           "16r87BD"    16r732E
                                           "16r87BE"    16r0000 " invalid " 
                                           "16r87BF"    16r0000 " invalid " 
                                           "16r87C0"    16r7330
                                           "16r87C1"    16r0000 " invalid " 
                                           "16r87C2"    16r0000 " invalid " 
                                           "16r87C3"    16r0000 " invalid " 
                                           "16r87C4"    16r0000 " invalid " 
                                           "16r87C5"    16r0000 " invalid " 
                                           "16r87C6"    16r7321
                                           "16r87C7"    16r0000 " invalid " 
                                           "16r87C8"    16r0000 " invalid " 
                                           "16r87C9"    16r0000 " invalid " 
                                           "16r87CA"    16r7331
                                           "16r87CB"    16r732C
                                           "16r87CC"    16r0000 " invalid " 
                                           "16r87CD"    16r0000 " invalid " 
                                           "16r87CE"    16r0000 " invalid " 
                                           "16r87CF"    16r0000 " invalid " 
                                           "16r87D0"    16r0000 " invalid " 
                                           "16r87D1"    16r732F
                                           "16r87D2"    16r727E
                                           "16r87D3"    16r732D
                                           "16r87D4"    16r0000 " invalid " 
                                           "16r87D5"    16r0000 " invalid " 
                                           "16r87D6"    16r0000 " invalid " 
                                           "16r87D7"    16r0000 " invalid " 
                                           "16r87D8"    16r0000 " invalid " 
                                           "16r87D9"    16r0000 " invalid " 
                                           "16r87DA"    16r0000 " invalid " 
                                           "16r87DB"    16r7332
                                           "16r87DC"    16r0000 " invalid " 
                                           "16r87DD"    16r0000 " invalid " 
                                           "16r87DE"    16r0000 " invalid " 
                                           "16r87DF"    16r0000 " invalid " 
                                           "16r87E0"    16r7334
                                           "16r87E1"    16r0000 " invalid " 
                                           "16r87E2"    16r0000 " invalid " 
                                           "16r87E3"    16r0000 " invalid " 
                                           "16r87E4"    16r0000 " invalid " 
                                           "16r87E5"    16r7328
                                           "16r87E6"    16r0000 " invalid " 
                                           "16r87E7"    16r0000 " invalid " 
                                           "16r87E8"    16r0000 " invalid " 
                                           "16r87E9"    16r0000 " invalid " 
                                           "16r87EA"    16r7333
                                           "16r87EB"    16r0000 " invalid " 
                                           "16r87EC"    16r0000 " invalid " 
                                           "16r87ED"    16r0000 " invalid " 
                                           "16r87EE"    16r7335
                                           "16r87EF"    16r0000 " invalid " 
                                           "16r87F0"    16r0000 " invalid " 
                                           "16r87F1"    16r0000 " invalid " 
                                           "16r87F2"    16r0000 " invalid " 
                                           "16r87F3"    16r0000 " invalid " 
                                           "16r87F4"    16r0000 " invalid " 
                                           "16r87F5"    16r0000 " invalid " 
                                           "16r87F6"    16r0000 " invalid " 
                                           "16r87F7"    16r0000 " invalid " 
                                           "16r87F8"    16r0000 " invalid " 
                                           "16r87F9"    16r5037
                                           "16r87FA"    16r0000 " invalid " 
                                           "16r87FB"    16r0000 " invalid " 
                                           "16r87FC"    16r0000 " invalid " 
                                           "16r87FD"    16r0000 " invalid " 
                                           "16r87FE"    16r7338
                                           "16r87FF"    16r0000 " invalid " 
                                           "16r8800"    16r0000 " invalid " 
                                           "16r8801"    16r0000 " invalid " 
                                           "16r8802"    16r0000 " invalid " 
                                           "16r8803"    16r5979
                                           "16r8804"    16r0000 " invalid " 
                                           "16r8805"    16r0000 " invalid " 
                                           "16r8806"    16r0000 " invalid " 
                                           "16r8807"    16r0000 " invalid " 
                                           "16r8808"    16r0000 " invalid " 
                                           "16r8809"    16r0000 " invalid " 
                                           "16r880A"    16r7339
                                           "16r880B"    16r0000 " invalid " 
                                           "16r880C"    16r0000 " invalid " 
                                           "16r880D"    16r0000 " invalid " 
                                           "16r880E"    16r0000 " invalid " 
                                           "16r880F"    16r0000 " invalid " 
                                           "16r8810"    16r0000 " invalid " 
                                           "16r8811"    16r0000 " invalid " 
                                           "16r8812"    16r0000 " invalid " 
                                           "16r8813"    16r7337
                                           "16r8814"    16r0000 " invalid " 
                                           "16r8815"    16r4864
                                           "16r8816"    16r7336
                                           "16r8817"    16r0000 " invalid " 
                                           "16r8818"    16r0000 " invalid " 
                                           "16r8819"    16r0000 " invalid " 
                                           "16r881A"    16r0000 " invalid " 
                                           "16r881B"    16r733A
                                           "16r881C"    16r0000 " invalid " 
                                           "16r881D"    16r0000 " invalid " 
                                           "16r881E"    16r0000 " invalid " 
                                           "16r881F"    16r0000 " invalid " 
                                           "16r8820"    16r0000 " invalid " 
                                           "16r8821"    16r733B
                                           "16r8822"    16r3440
                                           "16r8823"    16r0000 " invalid " 
                                           "16r8824"    16r0000 " invalid " 
                                           "16r8825"    16r0000 " invalid " 
                                           "16r8826"    16r0000 " invalid " 
                                           "16r8827"    16r0000 " invalid " 
                                           "16r8828"    16r0000 " invalid " 
                                           "16r8829"    16r0000 " invalid " 
                                           "16r882A"    16r0000 " invalid " 
                                           "16r882B"    16r0000 " invalid " 
                                           "16r882C"    16r0000 " invalid " 
                                           "16r882D"    16r0000 " invalid " 
                                           "16r882E"    16r0000 " invalid " 
                                           "16r882F"    16r0000 " invalid " 
                                           "16r8830"    16r0000 " invalid " 
                                           "16r8831"    16r0000 " invalid " 
                                           "16r8832"    16r6E43
                                           "16r8833"    16r0000 " invalid " 
                                           "16r8834"    16r0000 " invalid " 
                                           "16r8835"    16r0000 " invalid " 
                                           "16r8836"    16r0000 " invalid " 
                                           "16r8837"    16r0000 " invalid " 
                                           "16r8838"    16r0000 " invalid " 
                                           "16r8839"    16r733C
                                           "16r883A"    16r0000 " invalid " 
                                           "16r883B"    16r0000 " invalid " 
                                           "16r883C"    16r733D
                                           "16r883D"    16r0000 " invalid " 
                                           "16r883E"    16r0000 " invalid " 
                                           "16r883F"    16r0000 " invalid " 
                                           "16r8840"    16r512A
                                           "16r8841"    16r0000 " invalid " 
                                           "16r8842"    16r0000 " invalid " 
                                           "16r8843"    16r0000 " invalid " 
                                           "16r8844"    16r742C
                                           "16r8845"    16r5046
                                           "16r8846"    16r0000 " invalid " 
                                           "16r8847"    16r0000 " invalid " 
                                           "16r8848"    16r0000 " invalid " 
                                           "16r8849"    16r0000 " invalid " 
                                           "16r884A"    16r0000 " invalid " 
                                           "16r884B"    16r0000 " invalid " 
                                           "16r884C"    16r5050
                                           "16r884D"    16r515C
                                           "16r884E"    16r0000 " invalid " 
                                           "16r884F"    16r0000 " invalid " 
                                           "16r8850"    16r0000 " invalid " 
                                           "16r8851"    16r0000 " invalid " 
                                           "16r8852"    16r0000 " invalid " 
                                           "16r8853"    16r0000 " invalid " 
                                           "16r8854"    16r4F4E
                                           "16r8855"    16r0000 " invalid " 
                                           "16r8856"    16r0000 " invalid " 
                                           "16r8857"    16r3D56
                                           "16r8858"    16r0000 " invalid " 
                                           "16r8859"    16r5143
                                           "16r885A"    16r0000 " invalid " 
                                           "16r885B"    16r0000 " invalid " 
                                           "16r885C"    16r0000 " invalid " 
                                           "16r885D"    16r0000 " invalid " 
                                           "16r885E"    16r0000 " invalid " 
                                           "16r885F"    16r0000 " invalid " 
                                           "16r8860"    16r0000 " invalid " 
                                           "16r8861"    16r3A62
                                           "16r8862"    16r6169
                                           "16r8863"    16r5242
                                           "16r8864"    16r7142
                                           "16r8865"    16r3239
                                           "16r8866"    16r0000 " invalid " 
                                           "16r8867"    16r0000 " invalid " 
                                           "16r8868"    16r316D
                                           "16r8869"    16r7143
                                           "16r886A"    16r0000 " invalid " 
                                           "16r886B"    16r4940
                                           "16r886C"    16r3344
                                           "16r886D"    16r0000 " invalid " 
                                           "16r886E"    16r5972
                                           "16r886F"    16r0000 " invalid " 
                                           "16r8870"    16r4B25
                                           "16r8871"    16r0000 " invalid " 
                                           "16r8872"    16r7144
                                           "16r8873"    16r0000 " invalid " 
                                           "16r8874"    16r0000 " invalid " 
                                           "16r8875"    16r0000 " invalid " 
                                           "16r8876"    16r0000 " invalid " 
                                           "16r8877"    16r5654
                                           "16r8878"    16r0000 " invalid " 
                                           "16r8879"    16r0000 " invalid " 
                                           "16r887A"    16r0000 " invalid " 
                                           "16r887B"    16r0000 " invalid " 
                                           "16r887C"    16r0000 " invalid " 
                                           "16r887D"    16r7145
                                           "16r887E"    16r7440
                                           "16r887F"    16r7146
                                           "16r8880"    16r0000 " invalid " 
                                           "16r8881"    16r542C
                                           "16r8882"    16r7147
                                           "16r8883"    16r0000 " invalid " 
                                           "16r8884"    16r3040
                                           "16r8885"    16r7441
                                           "16r8886"    16r0000 " invalid " 
                                           "16r8887"    16r0000 " invalid " 
                                           "16r8888"    16r7442
                                           "16r8889"    16r0000 " invalid " 
                                           "16r888A"    16r0000 " invalid " 
                                           "16r888B"    16r347C
                                           "16r888C"    16r0000 " invalid " 
                                           "16r888D"    16r455B
                                           "16r888E"    16r0000 " invalid " 
                                           "16r888F"    16r0000 " invalid " 
                                           "16r8890"    16r0000 " invalid " 
                                           "16r8891"    16r0000 " invalid " 
                                           "16r8892"    16r4C3B
                                           "16r8893"    16r0000 " invalid " 
                                           "16r8894"    16r0000 " invalid " 
                                           "16r8895"    16r0000 " invalid " 
                                           "16r8896"    16r5064
                                           "16r8897"    16r0000 " invalid " 
                                           "16r8898"    16r0000 " invalid " 
                                           "16r8899"    16r0000 " invalid " 
                                           "16r889A"    16r0000 " invalid " 
                                           "16r889B"    16r0000 " invalid " 
                                           "16r889C"    16r4D60
                                           "16r889D"    16r0000 " invalid " 
                                           "16r889E"    16r0000 " invalid " 
                                           "16r889F"    16r0000 " invalid " 
                                           "16r88A0"    16r0000 " invalid " 
                                           "16r88A1"    16r0000 " invalid " 
                                           "16r88A2"    16r7148
                                           "16r88A3"    16r0000 " invalid " 
                                           "16r88A4"    16r5973
                                           "16r88A5"    16r0000 " invalid " 
                                           "16r88A6"    16r0000 " invalid " 
                                           "16r88A7"    16r0000 " invalid " 
                                           "16r88A8"    16r0000 " invalid " 
                                           "16r88A9"    16r0000 " invalid " 
                                           "16r88AA"    16r0000 " invalid " 
                                           "16r88AB"    16r313B
                                           "16r88AC"    16r0000 " invalid " 
                                           "16r88AD"    16r4F2E
                                           "16r88AE"    16r0000 " invalid " 
                                           "16r88AF"    16r0000 " invalid " 
                                           "16r88B0"    16r0000 " invalid " 
                                           "16r88B1"    16r3824
                                           "16r88B2"    16r0000 " invalid " 
                                           "16r88B3"    16r0000 " invalid " 
                                           "16r88B4"    16r0000 " invalid " 
                                           "16r88B5"    16r0000 " invalid " 
                                           "16r88B6"    16r0000 " invalid " 
                                           "16r88B7"    16r714A
                                           "16r88B8"    16r0000 " invalid " 
                                           "16r88B9"    16r0000 " invalid " 
                                           "16r88BA"    16r0000 " invalid " 
                                           "16r88BB"    16r0000 " invalid " 
                                           "16r88BC"    16r714B
                                           "16r88BD"    16r0000 " invalid " 
                                           "16r88BE"    16r0000 " invalid " 
                                           "16r88BF"    16r0000 " invalid " 
                                           "16r88C0"    16r0000 " invalid " 
                                           "16r88C1"    16r3243
                                           "16r88C2"    16r4151
                                           "16r88C3"    16r0000 " invalid " 
                                           "16r88C4"    16r0000 " invalid " 
                                           "16r88C5"    16r5730
                                           "16r88C6"    16r7149
                                           "16r88C7"    16r0000 " invalid " 
                                           "16r88C8"    16r0000 " invalid " 
                                           "16r88C9"    16r714C
                                           "16r88CA"    16r0000 " invalid " 
                                           "16r88CB"    16r0000 " invalid " 
                                           "16r88CC"    16r0000 " invalid " 
                                           "16r88CD"    16r0000 " invalid " 
                                           "16r88CE"    16r714E
                                           "16r88CF"    16r0000 " invalid " 
                                           "16r88D0"    16r0000 " invalid " 
                                           "16r88D1"    16r0000 " invalid " 
                                           "16r88D2"    16r5976
                                           "16r88D3"    16r0000 " invalid " 
                                           "16r88D4"    16r5261
                                           "16r88D5"    16r5423
                                           "16r88D6"    16r0000 " invalid " 
                                           "16r88D7"    16r0000 " invalid " 
                                           "16r88D8"    16r7443
                                           "16r88D9"    16r4839
                                           "16r88DA"    16r0000 " invalid " 
                                           "16r88DB"    16r0000 " invalid " 
                                           "16r88DC"    16r0000 " invalid " 
                                           "16r88DD"    16r0000 " invalid " 
                                           "16r88DE"    16r0000 " invalid " 
                                           "16r88DF"    16r7444
                                           "16r88E0"    16r0000 " invalid " 
                                           "16r88E1"    16r0000 " invalid " 
                                           "16r88E2"    16r714D
                                           "16r88E3"    16r714F
                                           "16r88E4"    16r3F63
                                           "16r88E5"    16r7150
                                           "16r88E6"    16r0000 " invalid " 
                                           "16r88E7"    16r0000 " invalid " 
                                           "16r88E8"    16r7154
                                           "16r88E9"    16r0000 " invalid " 
                                           "16r88EA"    16r0000 " invalid " 
                                           "16r88EB"    16r0000 " invalid " 
                                           "16r88EC"    16r0000 " invalid " 
                                           "16r88ED"    16r0000 " invalid " 
                                           "16r88EE"    16r0000 " invalid " 
                                           "16r88EF"    16r0000 " invalid " 
                                           "16r88F0"    16r7156
                                           "16r88F1"    16r7151
                                           "16r88F2"    16r0000 " invalid " 
                                           "16r88F3"    16r4951
                                           "16r88F4"    16r4561
                                           "16r88F5"    16r0000 " invalid " 
                                           "16r88F6"    16r0000 " invalid " 
                                           "16r88F7"    16r0000 " invalid " 
                                           "16r88F8"    16r4263
                                           "16r88F9"    16r397C
                                           "16r88FA"    16r0000 " invalid " 
                                           "16r88FB"    16r0000 " invalid " 
                                           "16r88FC"    16r7153
                                           "16r88FD"    16r0000 " invalid " 
                                           "16r88FE"    16r7155
                                           "16r88FF"    16r0000 " invalid " 
                                           "16r8900"    16r0000 " invalid " 
                                           "16r8901"    16r0000 " invalid " 
                                           "16r8902"    16r3953
                                           "16r8903"    16r0000 " invalid " 
                                           "16r8904"    16r0000 " invalid " 
                                           "16r8905"    16r0000 " invalid " 
                                           "16r8906"    16r0000 " invalid " 
                                           "16r8907"    16r0000 " invalid " 
                                           "16r8908"    16r0000 " invalid " 
                                           "16r8909"    16r0000 " invalid " 
                                           "16r890A"    16r715B
                                           "16r890B"    16r0000 " invalid " 
                                           "16r890C"    16r0000 " invalid " 
                                           "16r890D"    16r0000 " invalid " 
                                           "16r890E"    16r0000 " invalid " 
                                           "16r890F"    16r0000 " invalid " 
                                           "16r8910"    16r3A56
                                           "16r8911"    16r0000 " invalid " 
                                           "16r8912"    16r307D
                                           "16r8913"    16r7159
                                           "16r8914"    16r0000 " invalid " 
                                           "16r8915"    16r0000 " invalid " 
                                           "16r8916"    16r0000 " invalid " 
                                           "16r8917"    16r0000 " invalid " 
                                           "16r8918"    16r0000 " invalid " 
                                           "16r8919"    16r7158
                                           "16r891A"    16r7152
                                           "16r891B"    16r715A
                                           "16r891C"    16r0000 " invalid " 
                                           "16r891D"    16r0000 " invalid " 
                                           "16r891E"    16r0000 " invalid " 
                                           "16r891F"    16r0000 " invalid " 
                                           "16r8920"    16r0000 " invalid " 
                                           "16r8921"    16r7157
                                           "16r8922"    16r0000 " invalid " 
                                           "16r8923"    16r0000 " invalid " 
                                           "16r8924"    16r0000 " invalid " 
                                           "16r8925"    16r486C
                                           "16r8926"    16r0000 " invalid " 
                                           "16r8927"    16r0000 " invalid " 
                                           "16r8928"    16r0000 " invalid " 
                                           "16r8929"    16r0000 " invalid " 
                                           "16r892A"    16r4D4A
                                           "16r892B"    16r715D
                                           "16r892C"    16r0000 " invalid " 
                                           "16r892D"    16r0000 " invalid " 
                                           "16r892E"    16r0000 " invalid " 
                                           "16r892F"    16r0000 " invalid " 
                                           "16r8930"    16r653D
                                           "16r8931"    16r0000 " invalid " 
                                           "16r8932"    16r0000 " invalid " 
                                           "16r8933"    16r0000 " invalid " 
                                           "16r8934"    16r715C
                                           "16r8935"    16r0000 " invalid " 
                                           "16r8936"    16r715E
                                           "16r8937"    16r0000 " invalid " 
                                           "16r8938"    16r0000 " invalid " 
                                           "16r8939"    16r0000 " invalid " 
                                           "16r893A"    16r0000 " invalid " 
                                           "16r893B"    16r0000 " invalid " 
                                           "16r893C"    16r0000 " invalid " 
                                           "16r893D"    16r0000 " invalid " 
                                           "16r893E"    16r0000 " invalid " 
                                           "16r893F"    16r0000 " invalid " 
                                           "16r8940"    16r0000 " invalid " 
                                           "16r8941"    16r715F
                                           "16r8942"    16r0000 " invalid " 
                                           "16r8943"    16r0000 " invalid " 
                                           "16r8944"    16r4F65
                                           "16r8945"    16r0000 " invalid " 
                                           "16r8946"    16r0000 " invalid " 
                                           "16r8947"    16r0000 " invalid " 
                                           "16r8948"    16r0000 " invalid " 
                                           "16r8949"    16r0000 " invalid " 
                                           "16r894A"    16r0000 " invalid " 
                                           "16r894B"    16r0000 " invalid " 
                                           "16r894C"    16r0000 " invalid " 
                                           "16r894D"    16r0000 " invalid " 
                                           "16r894E"    16r0000 " invalid " 
                                           "16r894F"    16r0000 " invalid " 
                                           "16r8950"    16r0000 " invalid " 
                                           "16r8951"    16r0000 " invalid " 
                                           "16r8952"    16r0000 " invalid " 
                                           "16r8953"    16r0000 " invalid " 
                                           "16r8954"    16r0000 " invalid " 
                                           "16r8955"    16r0000 " invalid " 
                                           "16r8956"    16r0000 " invalid " 
                                           "16r8957"    16r0000 " invalid " 
                                           "16r8958"    16r0000 " invalid " 
                                           "16r8959"    16r0000 " invalid " 
                                           "16r895A"    16r0000 " invalid " 
                                           "16r895B"    16r0000 " invalid " 
                                           "16r895C"    16r0000 " invalid " 
                                           "16r895D"    16r0000 " invalid " 
                                           "16r895E"    16r7445
                                           "16r895F"    16r3D73
                                           "16r8960"    16r0000 " invalid " 
                                           "16r8961"    16r0000 " invalid " 
                                           "16r8962"    16r0000 " invalid " 
                                           "16r8963"    16r0000 " invalid " 
                                           "16r8964"    16r0000 " invalid " 
                                           "16r8965"    16r0000 " invalid " 
                                           "16r8966"    16r7160
                                           "16r8967"    16r0000 " invalid " 
                                           "16r8968"    16r0000 " invalid " 
                                           "16r8969"    16r0000 " invalid " 
                                           "16r896A"    16r0000 " invalid " 
                                           "16r896B"    16r0000 " invalid " 
                                           "16r896C"    16r0000 " invalid " 
                                           "16r896D"    16r0000 " invalid " 
                                           "16r896E"    16r0000 " invalid " 
                                           "16r896F"    16r0000 " invalid " 
                                           "16r8970"    16r0000 " invalid " 
                                           "16r8971"    16r0000 " invalid " 
                                           "16r8972"    16r0000 " invalid " 
                                           "16r8973"    16r0000 " invalid " 
                                           "16r8974"    16r0000 " invalid " 
                                           "16r8975"    16r0000 " invalid " 
                                           "16r8976"    16r0000 " invalid " 
                                           "16r8977"    16r0000 " invalid " 
                                           "16r8978"    16r0000 " invalid " 
                                           "16r8979"    16r0000 " invalid " 
                                           "16r897A"    16r0000 " invalid " 
                                           "16r897B"    16r7161
                                           "16r897C"    16r0000 " invalid " 
                                           "16r897D"    16r0000 " invalid " 
                                           "16r897E"    16r0000 " invalid " 
                                           "16r897F"    16r4E77
                                           "16r8980"    16r0000 " invalid " 
                                           "16r8981"    16r522A
                                           "16r8982"    16r0000 " invalid " 
                                           "16r8983"    16r717B
                                           "16r8984"    16r0000 " invalid " 
                                           "16r8985"    16r0000 " invalid " 
                                           "16r8986"    16r3832
                                           ) at:(unicode - 16r7E81).
                                        t == 0 ifFalse:[^ t].
                                        ^ self encodingError
                                    ] value.
                                ].
                                unicode <= 16r89C0 ifTrue:[
                                    ^ self encodingError
                                ].
                                unicode <= 16r8A07 ifTrue:[
                                    [
                                        |t|
                                        t := #(
                                           "16r89C1"    16r3C7B
                                           "16r89C2"    16r395B
                                           "16r89C3"    16r0000 " invalid " 
                                           "16r89C4"    16r3966
                                           "16r89C5"    16r4359
                                           "16r89C6"    16r4A53
                                           "16r89C7"    16r6A68
                                           "16r89C8"    16r4040
                                           "16r89C9"    16r3E75
                                           "16r89CA"    16r6A69
                                           "16r89CB"    16r6A6A
                                           "16r89CC"    16r6A6B
                                           "16r89CD"    16r0000 " invalid " 
                                           "16r89CE"    16r6A6C
                                           "16r89CF"    16r6A6D
                                           "16r89D0"    16r6A6E
                                           "16r89D1"    16r6A6F
                                           "16r89D2"    16r3D47
                                           "16r89D3"    16r0000 " invalid " 
                                           "16r89D4"    16r0000 " invalid " 
                                           "16r89D5"    16r0000 " invalid " 
                                           "16r89D6"    16r757B
                                           "16r89D7"    16r0000 " invalid " 
                                           "16r89D8"    16r0000 " invalid " 
                                           "16r89D9"    16r0000 " invalid " 
                                           "16r89DA"    16r757D
                                           "16r89DB"    16r0000 " invalid " 
                                           "16r89DC"    16r757E
                                           "16r89DD"    16r0000 " invalid " 
                                           "16r89DE"    16r757C
                                           "16r89DF"    16r0000 " invalid " 
                                           "16r89E0"    16r0000 " invalid " 
                                           "16r89E1"    16r0000 " invalid " 
                                           "16r89E2"    16r0000 " invalid " 
                                           "16r89E3"    16r3D62
                                           "16r89E4"    16r0000 " invalid " 
                                           "16r89E5"    16r7621
                                           "16r89E6"    16r3425
                                           "16r89E7"    16r0000 " invalid " 
                                           "16r89E8"    16r0000 " invalid " 
                                           "16r89E9"    16r0000 " invalid " 
                                           "16r89EA"    16r0000 " invalid " 
                                           "16r89EB"    16r7622
                                           "16r89EC"    16r0000 " invalid " 
                                           "16r89ED"    16r0000 " invalid " 
                                           "16r89EE"    16r0000 " invalid " 
                                           "16r89EF"    16r7623
                                           "16r89F0"    16r0000 " invalid " 
                                           "16r89F1"    16r0000 " invalid " 
                                           "16r89F2"    16r0000 " invalid " 
                                           "16r89F3"    16r6C32
                                           "16r89F4"    16r0000 " invalid " 
                                           "16r89F5"    16r0000 " invalid " 
                                           "16r89F6"    16r0000 " invalid " 
                                           "16r89F7"    16r0000 " invalid " 
                                           "16r89F8"    16r0000 " invalid " 
                                           "16r89F9"    16r0000 " invalid " 
                                           "16r89FA"    16r0000 " invalid " 
                                           "16r89FB"    16r0000 " invalid " 
                                           "16r89FC"    16r0000 " invalid " 
                                           "16r89FD"    16r0000 " invalid " 
                                           "16r89FE"    16r0000 " invalid " 
                                           "16r89FF"    16r0000 " invalid " 
                                           "16r8A00"    16r5154
                                           "16r8A01"    16r0000 " invalid " 
                                           "16r8A02"    16r0000 " invalid " 
                                           "16r8A03"    16r0000 " invalid " 
                                           "16r8A04"    16r0000 " invalid " 
                                           "16r8A05"    16r0000 " invalid " 
                                           "16r8A06"    16r0000 " invalid " 
                                           "16r8A07"    16r596A
                                           ) at:(unicode - 16r89C0).
                                        t == 0 ifFalse:[^ t].
                                        ^ self encodingError
                                    ] value.
                                ].
                                unicode <= 16r8A3D ifTrue:[
                                    ^ self encodingError
                                ].
                                unicode <= 16r8A48 ifTrue:[
                                    [
                                        |t|
                                        t := #(
                                           "16r8A3E"    16r7624
                                           "16r8A3F"    16r0000 " invalid " 
                                           "16r8A40"    16r0000 " invalid " 
                                           "16r8A41"    16r0000 " invalid " 
                                           "16r8A42"    16r0000 " invalid " 
                                           "16r8A43"    16r0000 " invalid " 
                                           "16r8A44"    16r0000 " invalid " 
                                           "16r8A45"    16r0000 " invalid " 
                                           "16r8A46"    16r0000 " invalid " 
                                           "16r8A47"    16r0000 " invalid " 
                                           "16r8A48"    16r6E3A
                                           ) at:(unicode - 16r8A3D).
                                        t == 0 ifFalse:[^ t].
                                        ^ self encodingError
                                    ] value.
                                ].
                                unicode <= 16r8A78 ifTrue:[
                                    ^ self encodingError
                                ].
                                unicode == 16r8A79 ifTrue:[
                                    (#[
                                       "16r8A79"    1
                                    ] at:(unicode - 35448)) ~~ 0 ifTrue:[^ unicode].
                                    ^ self encodingError
                                ].
                                unicode <= 16r8A88 ifTrue:[
                                    ^ self encodingError
                                ].
                                [
                                    |t|
                                    t := #(
                                       "16r8A89"    16r537E
                                       "16r8A8A"    16r4C5C
                                       "16r8A8B"    16r0000 " invalid " 
                                       "16r8A8C"    16r0000 " invalid " 
                                       "16r8A8D"    16r0000 " invalid " 
                                       "16r8A8E"    16r0000 " invalid " 
                                       "16r8A8F"    16r0000 " invalid " 
                                       "16r8A90"    16r0000 " invalid " 
                                       "16r8A91"    16r0000 " invalid " 
                                       "16r8A92"    16r0000 " invalid " 
                                       "16r8A93"    16r4A44
                                       ) at:(unicode - 16r8A88).
                                    t == 0 ifFalse:[^ t].
                                    ^ self encodingError
                                ] value.
                            ].
                            unicode <= 16r8B06 ifTrue:[
                                ^ self encodingError
                            ].
                            unicode <= 16r8B26 ifTrue:[
                                unicode == 16r8B07 ifTrue:[
                                    ^  "16r8B07" 16r6540
                                ].
                                unicode <= 16r8B25 ifTrue:[
                                    ^ self encodingError
                                ].
                                ^  "16r8B26" 16r7625
                            ].
                            unicode <= 16r8B65 ifTrue:[
                                ^ self encodingError
                            ].
                            unicode <= 16r8B6C ifTrue:[
                                [
                                    |t|
                                    t := #(
                                       "16r8B66"    16r3E2F
                                       "16r8B67"    16r0000 " invalid " 
                                       "16r8B68"    16r0000 " invalid " 
                                       "16r8B69"    16r0000 " invalid " 
                                       "16r8B6A"    16r0000 " invalid " 
                                       "16r8B6B"    16r0000 " invalid " 
                                       "16r8B6C"    16r4629
                                       ) at:(unicode - 16r8B65).
                                    t == 0 ifFalse:[^ t].
                                    ^ self encodingError
                                ] value.
                            ].
                            unicode <= 16r8B9F ifTrue:[
                                ^ self encodingError
                            ].
                            [
                                |t|
                                t := #(
                                   "16r8BA0"    16r5A25
                                   "16r8BA1"    16r3C46
                                   "16r8BA2"    16r3629
                                   "16r8BA3"    16r383C
                                   "16r8BA4"    16r484F
                                   "16r8BA5"    16r3C25
                                   "16r8BA6"    16r5A26
                                   "16r8BA7"    16r5A27
                                   "16r8BA8"    16r4C56
                                   "16r8BA9"    16r4843
                                   "16r8BAA"    16r5A28
                                   "16r8BAB"    16r467D
                                   "16r8BAC"    16r0000 " invalid " 
                                   "16r8BAD"    16r5135
                                   "16r8BAE"    16r5269
                                   "16r8BAF"    16r5136
                                   "16r8BB0"    16r3C47
                                   "16r8BB1"    16r0000 " invalid " 
                                   "16r8BB2"    16r3D32
                                   "16r8BB3"    16r3B64
                                   "16r8BB4"    16r5A29
                                   "16r8BB5"    16r5A2A
                                   "16r8BB6"    16r5148
                                   "16r8BB7"    16r5A2B
                                   "16r8BB8"    16r506D
                                   "16r8BB9"    16r366F
                                   "16r8BBA"    16r425B
                                   "16r8BBB"    16r0000 " invalid " 
                                   "16r8BBC"    16r4B4F
                                   "16r8BBD"    16r376D
                                   "16r8BBE"    16r4968
                                   "16r8BBF"    16r3743
                                   "16r8BC0"    16r3E77
                                   "16r8BC1"    16r5624
                                   "16r8BC2"    16r5A2C
                                   "16r8BC3"    16r5A2D
                                   "16r8BC4"    16r4640
                                   "16r8BC5"    16r5767
                                   "16r8BC6"    16r4A36
                                   "16r8BC7"    16r0000 " invalid " 
                                   "16r8BC8"    16r5529
                                   "16r8BC9"    16r4B5F
                                   "16r8BCA"    16r556F
                                   "16r8BCB"    16r5A2E
                                   "16r8BCC"    16r565F
                                   "16r8BCD"    16r344A
                                   "16r8BCE"    16r5A30
                                   "16r8BCF"    16r5A2F
                                   "16r8BD0"    16r0000 " invalid " 
                                   "16r8BD1"    16r526B
                                   "16r8BD2"    16r5A31
                                   "16r8BD3"    16r5A32
                                   "16r8BD4"    16r5A33
                                   "16r8BD5"    16r4A54
                                   "16r8BD6"    16r5A34
                                   "16r8BD7"    16r4A2B
                                   "16r8BD8"    16r5A35
                                   "16r8BD9"    16r5A36
                                   "16r8BDA"    16r334F
                                   "16r8BDB"    16r566F
                                   "16r8BDC"    16r5A37
                                   "16r8BDD"    16r3B30
                                   "16r8BDE"    16r352E
                                   "16r8BDF"    16r5A38
                                   "16r8BE0"    16r5A39
                                   "16r8BE1"    16r396E
                                   "16r8BE2"    16r512F
                                   "16r8BE3"    16r5268
                                   "16r8BE4"    16r5A3A
                                   "16r8BE5"    16r3843
                                   "16r8BE6"    16r4F6A
                                   "16r8BE7"    16r326F
                                   "16r8BE8"    16r5A3B
                                   "16r8BE9"    16r5A3C
                                   "16r8BEA"    16r0000 " invalid " 
                                   "16r8BEB"    16r3D6B
                                   "16r8BEC"    16r4E5C
                                   "16r8BED"    16r536F
                                   "16r8BEE"    16r5A3D
                                   "16r8BEF"    16r4E73
                                   "16r8BF0"    16r5A3E
                                   "16r8BF1"    16r5355
                                   "16r8BF2"    16r3B65
                                   "16r8BF3"    16r5A3F
                                   "16r8BF4"    16r4B35
                                   "16r8BF5"    16r4B50
                                   "16r8BF6"    16r5A40
                                   "16r8BF7"    16r476B
                                   "16r8BF8"    16r566E
                                   "16r8BF9"    16r5A41
                                   "16r8BFA"    16r4535
                                   "16r8BFB"    16r3641
                                   "16r8BFC"    16r5A42
                                   "16r8BFD"    16r374C
                                   "16r8BFE"    16r3F4E
                                   "16r8BFF"    16r5A43
                                   "16r8C00"    16r5A44
                                   "16r8C01"    16r4B2D
                                   "16r8C02"    16r5A45
                                   "16r8C03"    16r3577
                                   "16r8C04"    16r5A46
                                   "16r8C05"    16r4142
                                   "16r8C06"    16r573B
                                   "16r8C07"    16r5A47
                                   "16r8C08"    16r4C38
                                   "16r8C09"    16r0000 " invalid " 
                                   "16r8C0A"    16r526A
                                   "16r8C0B"    16r4431
                                   "16r8C0C"    16r5A48
                                   "16r8C0D"    16r357D
                                   "16r8C0E"    16r3B51
                                   "16r8C0F"    16r5A49
                                   "16r8C10"    16r5033
                                   "16r8C11"    16r5A4A
                                   "16r8C12"    16r5A4B
                                   "16r8C13"    16r4E3D
                                   "16r8C14"    16r5A4C
                                   "16r8C15"    16r5A4D
                                   "16r8C16"    16r5A4E
                                   "16r8C17"    16r3277
                                   "16r8C18"    16r5A51
                                   "16r8C19"    16r5A4F
                                   "16r8C1A"    16r5168
                                   "16r8C1B"    16r5A50
                                   "16r8C1C"    16r4355
                                   "16r8C1D"    16r5A52
                                   "16r8C1E"    16r0000 " invalid " 
                                   "16r8C1F"    16r5A53
                                   "16r8C20"    16r5A54
                                   "16r8C21"    16r5A55
                                   "16r8C22"    16r503B
                                   "16r8C23"    16r5225
                                   "16r8C24"    16r3079
                                   "16r8C25"    16r5A56
                                   "16r8C26"    16r472B
                                   "16r8C27"    16r5A57
                                   "16r8C28"    16r3D77
                                   "16r8C29"    16r4321
                                   "16r8C2A"    16r5A58
                                   "16r8C2B"    16r5A59
                                   "16r8C2C"    16r437D
                                   "16r8C2D"    16r4C37
                                   "16r8C2E"    16r5A5A
                                   "16r8C2F"    16r5A5B
                                   "16r8C30"    16r403E
                                   "16r8C31"    16r4657
                                   "16r8C32"    16r5A5C
                                   "16r8C33"    16r5A5D
                                   "16r8C34"    16r4734
                                   "16r8C35"    16r5A5E
                                   "16r8C36"    16r5A5F
                                   "16r8C37"    16r3948
                                   "16r8C38"    16r0000 " invalid " 
                                   "16r8C39"    16r0000 " invalid " 
                                   "16r8C3A"    16r0000 " invalid " 
                                   "16r8C3B"    16r0000 " invalid " 
                                   "16r8C3C"    16r0000 " invalid " 
                                   "16r8C3D"    16r0000 " invalid " 
                                   "16r8C3E"    16r0000 " invalid " 
                                   "16r8C3F"    16r0000 " invalid " 
                                   "16r8C40"    16r0000 " invalid " 
                                   "16r8C41"    16r3B6D
                                   "16r8C42"    16r0000 " invalid " 
                                   "16r8C43"    16r0000 " invalid " 
                                   "16r8C44"    16r0000 " invalid " 
                                   "16r8C45"    16r0000 " invalid " 
                                   "16r8C46"    16r3639
                                   "16r8C47"    16r7478
                                   "16r8C48"    16r0000 " invalid " 
                                   "16r8C49"    16r7479
                                   "16r8C4A"    16r0000 " invalid " 
                                   "16r8C4B"    16r0000 " invalid " 
                                   "16r8C4C"    16r4D63
                                   "16r8C4D"    16r0000 " invalid " 
                                   "16r8C4E"    16r0000 " invalid " 
                                   "16r8C4F"    16r0000 " invalid " 
                                   "16r8C50"    16r0000 " invalid " 
                                   "16r8C51"    16r0000 " invalid " 
                                   "16r8C52"    16r0000 " invalid " 
                                   "16r8C53"    16r0000 " invalid " 
                                   "16r8C54"    16r0000 " invalid " 
                                   "16r8C55"    16r7539
                                   "16r8C56"    16r0000 " invalid " 
                                   "16r8C57"    16r0000 " invalid " 
                                   "16r8C58"    16r0000 " invalid " 
                                   "16r8C59"    16r0000 " invalid " 
                                   "16r8C5A"    16r6B60
                                   "16r8C5B"    16r0000 " invalid " 
                                   "16r8C5C"    16r0000 " invalid " 
                                   "16r8C5D"    16r0000 " invalid " 
                                   "16r8C5E"    16r0000 " invalid " 
                                   "16r8C5F"    16r0000 " invalid " 
                                   "16r8C60"    16r0000 " invalid " 
                                   "16r8C61"    16r4F73
                                   "16r8C62"    16r3B3F
                                   "16r8C63"    16r0000 " invalid " 
                                   "16r8C64"    16r0000 " invalid " 
                                   "16r8C65"    16r0000 " invalid " 
                                   "16r8C66"    16r0000 " invalid " 
                                   "16r8C67"    16r0000 " invalid " 
                                   "16r8C68"    16r0000 " invalid " 
                                   "16r8C69"    16r0000 " invalid " 
                                   "16r8C6A"    16r3A40
                                   "16r8C6B"    16r5425
                                   "16r8C6C"    16r0000 " invalid " 
                                   "16r8C6D"    16r0000 " invalid " 
                                   "16r8C6E"    16r0000 " invalid " 
                                   "16r8C6F"    16r0000 " invalid " 
                                   "16r8C70"    16r0000 " invalid " 
                                   "16r8C71"    16r0000 " invalid " 
                                   "16r8C72"    16r0000 " invalid " 
                                   "16r8C73"    16r6159
                                   "16r8C74"    16r0000 " invalid " 
                                   "16r8C75"    16r0000 " invalid " 
                                   "16r8C76"    16r0000 " invalid " 
                                   "16r8C77"    16r0000 " invalid " 
                                   "16r8C78"    16r7574
                                   "16r8C79"    16r312A
                                   "16r8C7A"    16r3272
                                   "16r8C7B"    16r0000 " invalid " 
                                   "16r8C7C"    16r0000 " invalid " 
                                   "16r8C7D"    16r0000 " invalid " 
                                   "16r8C7E"    16r0000 " invalid " 
                                   "16r8C7F"    16r0000 " invalid " 
                                   "16r8C80"    16r0000 " invalid " 
                                   "16r8C81"    16r0000 " invalid " 
                                   "16r8C82"    16r7575
                                   "16r8C83"    16r0000 " invalid " 
                                   "16r8C84"    16r0000 " invalid " 
                                   "16r8C85"    16r7577
                                   "16r8C86"    16r0000 " invalid " 
                                   "16r8C87"    16r0000 " invalid " 
                                   "16r8C88"    16r0000 " invalid " 
                                   "16r8C89"    16r3A51
                                   "16r8C8A"    16r7576
                                   "16r8C8B"    16r0000 " invalid " 
                                   "16r8C8C"    16r4332
                                   "16r8C8D"    16r0000 " invalid " 
                                   "16r8C8E"    16r0000 " invalid " 
                                   "16r8C8F"    16r0000 " invalid " 
                                   "16r8C90"    16r0000 " invalid " 
                                   "16r8C91"    16r0000 " invalid " 
                                   "16r8C92"    16r0000 " invalid " 
                                   "16r8C93"    16r0000 " invalid " 
                                   "16r8C94"    16r7579
                                   "16r8C95"    16r0000 " invalid " 
                                   "16r8C96"    16r0000 " invalid " 
                                   "16r8C97"    16r0000 " invalid " 
                                   "16r8C98"    16r7578
                                   ) at:(unicode - 16r8B9F).
                                t == 0 ifFalse:[^ t].
                                ^ self encodingError
                            ] value.
                        ].
                        unicode <= 16r8D1C ifTrue:[
                            ^ self encodingError
                        ].
                        [
                            |t|
                            t := #(
                               "16r8D1D"    16r3134
                               "16r8D1E"    16r556A
                               "16r8D1F"    16r383A
                               "16r8D20"    16r0000 " invalid " 
                               "16r8D21"    16r3931
                               "16r8D22"    16r3246
                               "16r8D23"    16r5470
                               "16r8D24"    16r4F4D
                               "16r8D25"    16r305C
                               "16r8D26"    16r554B
                               "16r8D27"    16r3B75
                               "16r8D28"    16r564A
                               "16r8D29"    16r3737
                               "16r8D2A"    16r4C30
                               "16r8D2B"    16r4636
                               "16r8D2C"    16r3161
                               "16r8D2D"    16r393A
                               "16r8D2E"    16r567C
                               "16r8D2F"    16r3961
                               "16r8D30"    16r3721
                               "16r8D31"    16r3C7A
                               "16r8D32"    16r6A5A
                               "16r8D33"    16r6A5B
                               "16r8D34"    16r4C79
                               "16r8D35"    16r3973
                               "16r8D36"    16r6A5C
                               "16r8D37"    16r347B
                               "16r8D38"    16r4333
                               "16r8D39"    16r3751
                               "16r8D3A"    16r3A58
                               "16r8D3B"    16r6A5D
                               "16r8D3C"    16r5474
                               "16r8D3D"    16r6A5E
                               "16r8D3E"    16r3C56
                               "16r8D3F"    16r3B5F
                               "16r8D40"    16r6A5F
                               "16r8D41"    16r415E
                               "16r8D42"    16r4238
                               "16r8D43"    16r545F
                               "16r8D44"    16r574A
                               "16r8D45"    16r6A60
                               "16r8D46"    16r6A61
                               "16r8D47"    16r6A64
                               "16r8D48"    16r6A62
                               "16r8D49"    16r6A63
                               "16r8D4A"    16r495E
                               "16r8D4B"    16r3833
                               "16r8D4C"    16r3644
                               "16r8D4D"    16r6A65
                               "16r8D4E"    16r4A6A
                               "16r8D4F"    16r494D
                               "16r8D50"    16r344D
                               "16r8D51"    16r0000 " invalid " 
                               "16r8D52"    16r0000 " invalid " 
                               "16r8D53"    16r6259
                               "16r8D54"    16r4562
                               "16r8D55"    16r6A66
                               "16r8D56"    16r4035
                               "16r8D57"    16r0000 " invalid " 
                               "16r8D58"    16r5738
                               "16r8D59"    16r6A67
                               "16r8D5A"    16r572C
                               "16r8D5B"    16r487C
                               "16r8D5C"    16r5853
                               "16r8D5D"    16r584D
                               "16r8D5E"    16r545E
                               "16r8D5F"    16r0000 " invalid " 
                               "16r8D60"    16r5479
                               "16r8D61"    16r4944
                               "16r8D62"    16r532E
                               "16r8D63"    16r3853
                               "16r8D64"    16r3360
                               "16r8D65"    16r0000 " invalid " 
                               "16r8D66"    16r4962
                               "16r8D67"    16r7476
                               "16r8D68"    16r0000 " invalid " 
                               "16r8D69"    16r0000 " invalid " 
                               "16r8D6A"    16r0000 " invalid " 
                               "16r8D6B"    16r3A55
                               "16r8D6C"    16r0000 " invalid " 
                               "16r8D6D"    16r7477
                               "16r8D6E"    16r0000 " invalid " 
                               "16r8D6F"    16r0000 " invalid " 
                               "16r8D70"    16r575F
                               "16r8D71"    16r0000 " invalid " 
                               "16r8D72"    16r0000 " invalid " 
                               "16r8D73"    16r7471
                               "16r8D74"    16r3830
                               "16r8D75"    16r5554
                               "16r8D76"    16r384F
                               "16r8D77"    16r4670
                               "16r8D78"    16r0000 " invalid " 
                               "16r8D79"    16r0000 " invalid " 
                               "16r8D7A"    16r0000 " invalid " 
                               "16r8D7B"    16r0000 " invalid " 
                               "16r8D7C"    16r0000 " invalid " 
                               "16r8D7D"    16r0000 " invalid " 
                               "16r8D7E"    16r0000 " invalid " 
                               "16r8D7F"    16r0000 " invalid " 
                               "16r8D80"    16r0000 " invalid " 
                               "16r8D81"    16r3343
                               "16r8D82"    16r0000 " invalid " 
                               "16r8D83"    16r0000 " invalid " 
                               "16r8D84"    16r7472
                               "16r8D85"    16r332C
                               "16r8D86"    16r0000 " invalid " 
                               "16r8D87"    16r0000 " invalid " 
                               "16r8D88"    16r0000 " invalid " 
                               "16r8D89"    16r0000 " invalid " 
                               "16r8D8A"    16r543D
                               "16r8D8B"    16r4777
                               "16r8D8C"    16r0000 " invalid " 
                               "16r8D8D"    16r0000 " invalid " 
                               "16r8D8E"    16r0000 " invalid " 
                               "16r8D8F"    16r0000 " invalid " 
                               "16r8D90"    16r0000 " invalid " 
                               "16r8D91"    16r7474
                               "16r8D92"    16r0000 " invalid " 
                               "16r8D93"    16r0000 " invalid " 
                               "16r8D94"    16r7473
                               "16r8D95"    16r0000 " invalid " 
                               "16r8D96"    16r0000 " invalid " 
                               "16r8D97"    16r0000 " invalid " 
                               "16r8D98"    16r0000 " invalid " 
                               "16r8D99"    16r0000 " invalid " 
                               "16r8D9A"    16r0000 " invalid " 
                               "16r8D9B"    16r0000 " invalid " 
                               "16r8D9C"    16r0000 " invalid " 
                               "16r8D9D"    16r0000 " invalid " 
                               "16r8D9E"    16r0000 " invalid " 
                               "16r8D9F"    16r4C4B
                               "16r8DA0"    16r0000 " invalid " 
                               "16r8DA1"    16r0000 " invalid " 
                               "16r8DA2"    16r0000 " invalid " 
                               "16r8DA3"    16r4824
                               "16r8DA4"    16r0000 " invalid " 
                               "16r8DA5"    16r0000 " invalid " 
                               "16r8DA6"    16r0000 " invalid " 
                               "16r8DA7"    16r0000 " invalid " 
                               "16r8DA8"    16r0000 " invalid " 
                               "16r8DA9"    16r0000 " invalid " 
                               "16r8DAA"    16r0000 " invalid " 
                               "16r8DAB"    16r0000 " invalid " 
                               "16r8DAC"    16r0000 " invalid " 
                               "16r8DAD"    16r0000 " invalid " 
                               "16r8DAE"    16r0000 " invalid " 
                               "16r8DAF"    16r0000 " invalid " 
                               "16r8DB0"    16r0000 " invalid " 
                               "16r8DB1"    16r7475
                               "16r8DB2"    16r0000 " invalid " 
                               "16r8DB3"    16r5763
                               "16r8DB4"    16r453F
                               "16r8DB5"    16r7540
                               "16r8DB6"    16r0000 " invalid " 
                               "16r8DB7"    16r0000 " invalid " 
                               "16r8DB8"    16r753B
                               "16r8DB9"    16r0000 " invalid " 
                               "16r8DBA"    16r7543
                               "16r8DBB"    16r0000 " invalid " 
                               "16r8DBC"    16r7542
                               "16r8DBD"    16r0000 " invalid " 
                               "16r8DBE"    16r563A
                               "16r8DBF"    16r7541
                               "16r8DC0"    16r0000 " invalid " 
                               "16r8DC1"    16r0000 " invalid " 
                               "16r8DC2"    16r0000 " invalid " 
                               "16r8DC3"    16r543E
                               "16r8DC4"    16r7544
                               "16r8DC5"    16r0000 " invalid " 
                               "16r8DC6"    16r754C
                               "16r8DC7"    16r0000 " invalid " 
                               "16r8DC8"    16r0000 " invalid " 
                               "16r8DC9"    16r0000 " invalid " 
                               "16r8DCA"    16r0000 " invalid " 
                               "16r8DCB"    16r304F
                               "16r8DCC"    16r3578
                               "16r8DCD"    16r0000 " invalid " 
                               "16r8DCE"    16r7549
                               "16r8DCF"    16r754A
                               "16r8DD0"    16r0000 " invalid " 
                               "16r8DD1"    16r455C
                               "16r8DD2"    16r0000 " invalid " 
                               "16r8DD3"    16r0000 " invalid " 
                               "16r8DD4"    16r0000 " invalid " 
                               "16r8DD5"    16r0000 " invalid " 
                               "16r8DD6"    16r7545
                               "16r8DD7"    16r7546
                               "16r8DD8"    16r0000 " invalid " 
                               "16r8DD9"    16r0000 " invalid " 
                               "16r8DDA"    16r7547
                               "16r8DDB"    16r754B
                               "16r8DDC"    16r0000 " invalid " 
                               "16r8DDD"    16r3E60
                               "16r8DDE"    16r7548
                               "16r8DDF"    16r387A
                               "16r8DE0"    16r0000 " invalid " 
                               "16r8DE1"    16r0000 " invalid " 
                               "16r8DE2"    16r0000 " invalid " 
                               "16r8DE3"    16r7550
                               "16r8DE4"    16r7553
                               "16r8DE5"    16r0000 " invalid " 
                               "16r8DE6"    16r0000 " invalid " 
                               "16r8DE7"    16r0000 " invalid " 
                               "16r8DE8"    16r3F67
                               "16r8DE9"    16r0000 " invalid " 
                               "16r8DEA"    16r3972
                               "16r8DEB"    16r753C
                               "16r8DEC"    16r754D
                               "16r8DED"    16r0000 " invalid " 
                               "16r8DEE"    16r0000 " invalid " 
                               "16r8DEF"    16r4237
                               "16r8DF0"    16r0000 " invalid " 
                               "16r8DF1"    16r0000 " invalid " 
                               "16r8DF2"    16r0000 " invalid " 
                               "16r8DF3"    16r4C78
                               "16r8DF4"    16r0000 " invalid " 
                               "16r8DF5"    16r3C79
                               "16r8DF6"    16r0000 " invalid " 
                               "16r8DF7"    16r754E
                               "16r8DF8"    16r754F
                               "16r8DF9"    16r7551
                               "16r8DFA"    16r3665
                               "16r8DFB"    16r7552
                               "16r8DFC"    16r0000 " invalid " 
                               "16r8DFD"    16r7555
                               "16r8DFE"    16r0000 " invalid " 
                               "16r8DFF"    16r0000 " invalid " 
                               "16r8E00"    16r0000 " invalid " 
                               "16r8E01"    16r0000 " invalid " 
                               "16r8E02"    16r0000 " invalid " 
                               "16r8E03"    16r0000 " invalid " 
                               "16r8E04"    16r0000 " invalid " 
                               "16r8E05"    16r753D
                               "16r8E06"    16r0000 " invalid " 
                               "16r8E07"    16r0000 " invalid " 
                               "16r8E08"    16r0000 " invalid " 
                               "16r8E09"    16r7554
                               "16r8E0A"    16r533B
                               "16r8E0B"    16r0000 " invalid " 
                               "16r8E0C"    16r336C
                               "16r8E0D"    16r0000 " invalid " 
                               "16r8E0E"    16r0000 " invalid " 
                               "16r8E0F"    16r4C24
                               "16r8E10"    16r0000 " invalid " 
                               "16r8E11"    16r0000 " invalid " 
                               "16r8E12"    16r0000 " invalid " 
                               "16r8E13"    16r0000 " invalid " 
                               "16r8E14"    16r7556
                               "16r8E15"    16r0000 " invalid " 
                               "16r8E16"    16r0000 " invalid " 
                               "16r8E17"    16r0000 " invalid " 
                               "16r8E18"    16r0000 " invalid " 
                               "16r8E19"    16r0000 " invalid " 
                               "16r8E1A"    16r0000 " invalid " 
                               "16r8E1B"    16r0000 " invalid " 
                               "16r8E1C"    16r0000 " invalid " 
                               "16r8E1D"    16r7557
                               "16r8E1E"    16r3E61
                               "16r8E1F"    16r7558
                               "16r8E20"    16r0000 " invalid " 
                               "16r8E21"    16r0000 " invalid " 
                               "16r8E22"    16r4C5F
                               "16r8E23"    16r755B
                               "16r8E24"    16r0000 " invalid " 
                               "16r8E25"    16r0000 " invalid " 
                               "16r8E26"    16r0000 " invalid " 
                               "16r8E27"    16r0000 " invalid " 
                               "16r8E28"    16r0000 " invalid " 
                               "16r8E29"    16r3248
                               "16r8E2A"    16r5759
                               "16r8E2B"    16r0000 " invalid " 
                               "16r8E2C"    16r7559
                               "16r8E2D"    16r0000 " invalid " 
                               "16r8E2E"    16r755A
                               "16r8E2F"    16r755C
                               "16r8E30"    16r0000 " invalid " 
                               "16r8E31"    16r7562
                               "16r8E32"    16r0000 " invalid " 
                               "16r8E33"    16r0000 " invalid " 
                               "16r8E34"    16r0000 " invalid " 
                               "16r8E35"    16r7560
                               "16r8E36"    16r0000 " invalid " 
                               "16r8E37"    16r0000 " invalid " 
                               "16r8E38"    16r0000 " invalid " 
                               "16r8E39"    16r755F
                               "16r8E3A"    16r755D
                               "16r8E3B"    16r0000 " invalid " 
                               "16r8E3C"    16r0000 " invalid " 
                               "16r8E3D"    16r7561
                               "16r8E3E"    16r0000 " invalid " 
                               "16r8E3F"    16r0000 " invalid " 
                               "16r8E40"    16r755E
                               "16r8E41"    16r7564
                               "16r8E42"    16r7565
                               "16r8E43"    16r0000 " invalid " 
                               "16r8E44"    16r4C63
                               "16r8E45"    16r0000 " invalid " 
                               "16r8E46"    16r0000 " invalid " 
                               "16r8E47"    16r653F
                               "16r8E48"    16r3538
                               "16r8E49"    16r7563
                               "16r8E4A"    16r7568
                               "16r8E4B"    16r4C23
                               "16r8E4C"    16r0000 " invalid " 
                               "16r8E4D"    16r0000 " invalid " 
                               "16r8E4E"    16r0000 " invalid " 
                               "16r8E4F"    16r0000 " invalid " 
                               "16r8E50"    16r0000 " invalid " 
                               "16r8E51"    16r7566
                               "16r8E52"    16r7567
                               "16r8E53"    16r0000 " invalid " 
                               "16r8E54"    16r0000 " invalid " 
                               "16r8E55"    16r0000 " invalid " 
                               "16r8E56"    16r0000 " invalid " 
                               "16r8E57"    16r0000 " invalid " 
                               "16r8E58"    16r0000 " invalid " 
                               "16r8E59"    16r753E
                               "16r8E5A"    16r0000 " invalid " 
                               "16r8E5B"    16r0000 " invalid " 
                               "16r8E5C"    16r0000 " invalid " 
                               "16r8E5D"    16r0000 " invalid " 
                               "16r8E5E"    16r0000 " invalid " 
                               "16r8E5F"    16r0000 " invalid " 
                               "16r8E60"    16r0000 " invalid " 
                               "16r8E61"    16r0000 " invalid " 
                               "16r8E62"    16r0000 " invalid " 
                               "16r8E63"    16r0000 " invalid " 
                               "16r8E64"    16r0000 " invalid " 
                               "16r8E65"    16r0000 " invalid " 
                               "16r8E66"    16r3144
                               "16r8E67"    16r0000 " invalid " 
                               "16r8E68"    16r0000 " invalid " 
                               "16r8E69"    16r753F
                               "16r8E6A"    16r0000 " invalid " 
                               "16r8E6B"    16r0000 " invalid " 
                               "16r8E6C"    16r3545
                               "16r8E6D"    16r3264
                               "16r8E6E"    16r0000 " invalid " 
                               "16r8E6F"    16r756C
                               "16r8E70"    16r7569
                               "16r8E71"    16r0000 " invalid " 
                               "16r8E72"    16r3657
                               "16r8E73"    16r0000 " invalid " 
                               "16r8E74"    16r756D
                               "16r8E75"    16r0000 " invalid " 
                               "16r8E76"    16r756A
                               "16r8E77"    16r0000 " invalid " 
                               "16r8E78"    16r0000 " invalid " 
                               "16r8E79"    16r0000 " invalid " 
                               "16r8E7A"    16r0000 " invalid " 
                               "16r8E7B"    16r0000 " invalid " 
                               "16r8E7C"    16r756B
                               "16r8E7D"    16r0000 " invalid " 
                               "16r8E7E"    16r0000 " invalid " 
                               "16r8E7F"    16r345A
                               "16r8E80"    16r0000 " invalid " 
                               "16r8E81"    16r546A
                               "16r8E82"    16r0000 " invalid " 
                               "16r8E83"    16r0000 " invalid " 
                               "16r8E84"    16r0000 " invalid " 
                               "16r8E85"    16r756E
                               "16r8E86"    16r0000 " invalid " 
                               "16r8E87"    16r3379
                               "16r8E88"    16r0000 " invalid " 
                               "16r8E89"    16r0000 " invalid " 
                               "16r8E8A"    16r0000 " invalid " 
                               "16r8E8B"    16r0000 " invalid " 
                               "16r8E8C"    16r0000 " invalid " 
                               "16r8E8D"    16r0000 " invalid " 
                               "16r8E8E"    16r0000 " invalid " 
                               "16r8E8F"    16r756F
                               "16r8E90"    16r7571
                               "16r8E91"    16r0000 " invalid " 
                               "16r8E92"    16r0000 " invalid " 
                               "16r8E93"    16r0000 " invalid " 
                               "16r8E94"    16r7570
                               "16r8E95"    16r0000 " invalid " 
                               "16r8E96"    16r0000 " invalid " 
                               "16r8E97"    16r0000 " invalid " 
                               "16r8E98"    16r0000 " invalid " 
                               "16r8E99"    16r0000 " invalid " 
                               "16r8E9A"    16r0000 " invalid " 
                               "16r8E9B"    16r0000 " invalid " 
                               "16r8E9C"    16r7572
                               "16r8E9D"    16r0000 " invalid " 
                               "16r8E9E"    16r7573
                               "16r8E9F"    16r0000 " invalid " 
                               "16r8EA0"    16r0000 " invalid " 
                               "16r8EA1"    16r0000 " invalid " 
                               "16r8EA2"    16r0000 " invalid " 
                               "16r8EA3"    16r0000 " invalid " 
                               "16r8EA4"    16r0000 " invalid " 
                               "16r8EA5"    16r0000 " invalid " 
                               "16r8EA6"    16r0000 " invalid " 
                               "16r8EA7"    16r0000 " invalid " 
                               "16r8EA8"    16r0000 " invalid " 
                               "16r8EA9"    16r0000 " invalid " 
                               "16r8EAA"    16r0000 " invalid " 
                               "16r8EAB"    16r496D
                               "16r8EAC"    16r392A
                               "16r8EAD"    16r0000 " invalid " 
                               "16r8EAE"    16r0000 " invalid " 
                               "16r8EAF"    16r477B
                               "16r8EB0"    16r0000 " invalid " 
                               "16r8EB1"    16r0000 " invalid " 
                               "16r8EB2"    16r3663
                               "16r8EB3"    16r0000 " invalid " 
                               "16r8EB4"    16r0000 " invalid " 
                               "16r8EB5"    16r0000 " invalid " 
                               "16r8EB6"    16r0000 " invalid " 
                               "16r8EB7"    16r0000 " invalid " 
                               "16r8EB8"    16r0000 " invalid " 
                               "16r8EB9"    16r0000 " invalid " 
                               "16r8EBA"    16r4C49
                               "16r8EBB"    16r0000 " invalid " 
                               "16r8EBC"    16r0000 " invalid " 
                               "16r8EBD"    16r0000 " invalid " 
                               "16r8EBE"    16r0000 " invalid " 
                               "16r8EBF"    16r0000 " invalid " 
                               "16r8EC0"    16r0000 " invalid " 
                               "16r8EC1"    16r0000 " invalid " 
                               "16r8EC2"    16r0000 " invalid " 
                               "16r8EC3"    16r0000 " invalid " 
                               "16r8EC4"    16r0000 " invalid " 
                               "16r8EC5"    16r0000 " invalid " 
                               "16r8EC6"    16r0000 " invalid " 
                               "16r8EC7"    16r0000 " invalid " 
                               "16r8EC8"    16r0000 " invalid " 
                               "16r8EC9"    16r0000 " invalid " 
                               "16r8ECA"    16r0000 " invalid " 
                               "16r8ECB"    16r0000 " invalid " 
                               "16r8ECC"    16r0000 " invalid " 
                               "16r8ECD"    16r0000 " invalid " 
                               "16r8ECE"    16r6A26
                               ) at:(unicode - 16r8D1C).
                            t == 0 ifFalse:[^ t].
                            ^ self encodingError
                        ] value.
                    ].
                    unicode <= 16r8F65 ifTrue:[
                        ^ self encodingError
                    ].
                    unicode <= 16r91DC ifTrue:[
                        [
                            |t|
                            t := #(
                               "16r8F66"    16r3335
                               "16r8F67"    16r547E
                               "16r8F68"    16r396C
                               "16r8F69"    16r5079
                               "16r8F6A"    16r0000 " invalid " 
                               "16r8F6B"    16r696D
                               "16r8F6C"    16r572A
                               "16r8F6D"    16r696E
                               "16r8F6E"    16r4256
                               "16r8F6F"    16r486D
                               "16r8F70"    16r3A64
                               "16r8F71"    16r696F
                               "16r8F72"    16r6970
                               "16r8F73"    16r6971
                               "16r8F74"    16r5661
                               "16r8F75"    16r6972
                               "16r8F76"    16r6973
                               "16r8F77"    16r6975
                               "16r8F78"    16r6974
                               "16r8F79"    16r6976
                               "16r8F7A"    16r6977
                               "16r8F7B"    16r4761
                               "16r8F7C"    16r6978
                               "16r8F7D"    16r5458
                               "16r8F7E"    16r6979
                               "16r8F7F"    16r3D4E
                               "16r8F80"    16r0000 " invalid " 
                               "16r8F81"    16r697A
                               "16r8F82"    16r697B
                               "16r8F83"    16r3D4F
                               "16r8F84"    16r697C
                               "16r8F85"    16r3828
                               "16r8F86"    16r413E
                               "16r8F87"    16r697D
                               "16r8F88"    16r3132
                               "16r8F89"    16r3B54
                               "16r8F8A"    16r3975
                               "16r8F8B"    16r697E
                               "16r8F8C"    16r0000 " invalid " 
                               "16r8F8D"    16r6A21
                               "16r8F8E"    16r6A22
                               "16r8F8F"    16r6A23
                               "16r8F90"    16r3778
                               "16r8F91"    16r3C2D
                               "16r8F92"    16r0000 " invalid " 
                               "16r8F93"    16r4A64
                               "16r8F94"    16r604E
                               "16r8F95"    16r542F
                               "16r8F96"    16r4F3D
                               "16r8F97"    16r5537
                               "16r8F98"    16r6A24
                               "16r8F99"    16r555E
                               "16r8F9A"    16r6A25
                               "16r8F9B"    16r5041
                               "16r8F9C"    16r393C
                               "16r8F9D"    16r0000 " invalid " 
                               "16r8F9E"    16r3447
                               "16r8F9F"    16r3159
                               "16r8FA0"    16r0000 " invalid " 
                               "16r8FA1"    16r0000 " invalid " 
                               "16r8FA2"    16r0000 " invalid " 
                               "16r8FA3"    16r4031
                               "16r8FA4"    16r0000 " invalid " 
                               "16r8FA5"    16r0000 " invalid " 
                               "16r8FA6"    16r0000 " invalid " 
                               "16r8FA7"    16r0000 " invalid " 
                               "16r8FA8"    16r3166
                               "16r8FA9"    16r3167
                               "16r8FAA"    16r0000 " invalid " 
                               "16r8FAB"    16r3168
                               "16r8FAC"    16r0000 " invalid " 
                               "16r8FAD"    16r0000 " invalid " 
                               "16r8FAE"    16r0000 " invalid " 
                               "16r8FAF"    16r0000 " invalid " 
                               "16r8FB0"    16r333D
                               "16r8FB1"    16r4868
                               "16r8FB2"    16r0000 " invalid " 
                               "16r8FB3"    16r0000 " invalid " 
                               "16r8FB4"    16r0000 " invalid " 
                               "16r8FB5"    16r0000 " invalid " 
                               "16r8FB6"    16r6541
                               "16r8FB7"    16r0000 " invalid " 
                               "16r8FB8"    16r0000 " invalid " 
                               "16r8FB9"    16r315F
                               "16r8FBA"    16r0000 " invalid " 
                               "16r8FBB"    16r0000 " invalid " 
                               "16r8FBC"    16r0000 " invalid " 
                               "16r8FBD"    16r4149
                               "16r8FBE"    16r346F
                               "16r8FBF"    16r0000 " invalid " 
                               "16r8FC0"    16r0000 " invalid " 
                               "16r8FC1"    16r4728
                               "16r8FC2"    16r5358
                               "16r8FC3"    16r0000 " invalid " 
                               "16r8FC4"    16r4679
                               "16r8FC5"    16r5138
                               "16r8FC6"    16r0000 " invalid " 
                               "16r8FC7"    16r397D
                               "16r8FC8"    16r4275
                               "16r8FC9"    16r0000 " invalid " 
                               "16r8FCA"    16r0000 " invalid " 
                               "16r8FCB"    16r0000 " invalid " 
                               "16r8FCC"    16r0000 " invalid " 
                               "16r8FCD"    16r0000 " invalid " 
                               "16r8FCE"    16r532D
                               "16r8FCF"    16r0000 " invalid " 
                               "16r8FD0"    16r544B
                               "16r8FD1"    16r3D7C
                               "16r8FD2"    16r0000 " invalid " 
                               "16r8FD3"    16r6542
                               "16r8FD4"    16r3735
                               "16r8FD5"    16r6543
                               "16r8FD6"    16r0000 " invalid " 
                               "16r8FD7"    16r0000 " invalid " 
                               "16r8FD8"    16r3B39
                               "16r8FD9"    16r5562
                               "16r8FDA"    16r0000 " invalid " 
                               "16r8FDB"    16r3D78
                               "16r8FDC"    16r5436
                               "16r8FDD"    16r4E25
                               "16r8FDE"    16r412C
                               "16r8FDF"    16r3359
                               "16r8FE0"    16r0000 " invalid " 
                               "16r8FE1"    16r0000 " invalid " 
                               "16r8FE2"    16r4C76
                               "16r8FE3"    16r0000 " invalid " 
                               "16r8FE4"    16r6546
                               "16r8FE5"    16r6544
                               "16r8FE6"    16r6548
                               "16r8FE7"    16r0000 " invalid " 
                               "16r8FE8"    16r654A
                               "16r8FE9"    16r6547
                               "16r8FEA"    16r354F
                               "16r8FEB"    16r4648
                               "16r8FEC"    16r0000 " invalid " 
                               "16r8FED"    16r357C
                               "16r8FEE"    16r6545
                               "16r8FEF"    16r0000 " invalid " 
                               "16r8FF0"    16r4A76
                               "16r8FF1"    16r0000 " invalid " 
                               "16r8FF2"    16r0000 " invalid " 
                               "16r8FF3"    16r6549
                               "16r8FF4"    16r0000 " invalid " 
                               "16r8FF5"    16r0000 " invalid " 
                               "16r8FF6"    16r0000 " invalid " 
                               "16r8FF7"    16r4354
                               "16r8FF8"    16r3145
                               "16r8FF9"    16r3C23
                               "16r8FFA"    16r0000 " invalid " 
                               "16r8FFB"    16r0000 " invalid " 
                               "16r8FFC"    16r0000 " invalid " 
                               "16r8FFD"    16r5737
                               "16r8FFE"    16r0000 " invalid " 
                               "16r8FFF"    16r0000 " invalid " 
                               "16r9000"    16r4D4B
                               "16r9001"    16r4B4D
                               "16r9002"    16r4A4A
                               "16r9003"    16r4C53
                               "16r9004"    16r654C
                               "16r9005"    16r654B
                               "16r9006"    16r4466
                               "16r9007"    16r0000 " invalid " 
                               "16r9008"    16r0000 " invalid " 
                               "16r9009"    16r5121
                               "16r900A"    16r5137
                               "16r900B"    16r654D
                               "16r900C"    16r0000 " invalid " 
                               "16r900D"    16r6550
                               "16r900E"    16r0000 " invalid " 
                               "16r900F"    16r4D38
                               "16r9010"    16r5670
                               "16r9011"    16r654F
                               "16r9012"    16r355D
                               "16r9013"    16r0000 " invalid " 
                               "16r9014"    16r4D3E
                               "16r9015"    16r0000 " invalid " 
                               "16r9016"    16r6551
                               "16r9017"    16r363A
                               "16r9018"    16r0000 " invalid " 
                               "16r9019"    16r0000 " invalid " 
                               "16r901A"    16r4D28
                               "16r901B"    16r3964
                               "16r901C"    16r0000 " invalid " 
                               "16r901D"    16r4A45
                               "16r901E"    16r3351
                               "16r901F"    16r4B59
                               "16r9020"    16r546C
                               "16r9021"    16r6552
                               "16r9022"    16r376A
                               "16r9023"    16r0000 " invalid " 
                               "16r9024"    16r0000 " invalid " 
                               "16r9025"    16r0000 " invalid " 
                               "16r9026"    16r654E
                               "16r9027"    16r0000 " invalid " 
                               "16r9028"    16r0000 " invalid " 
                               "16r9029"    16r0000 " invalid " 
                               "16r902A"    16r0000 " invalid " 
                               "16r902B"    16r0000 " invalid " 
                               "16r902C"    16r0000 " invalid " 
                               "16r902D"    16r6555
                               "16r902E"    16r347E
                               "16r902F"    16r6556
                               "16r9030"    16r0000 " invalid " 
                               "16r9031"    16r0000 " invalid " 
                               "16r9032"    16r0000 " invalid " 
                               "16r9033"    16r0000 " invalid " 
                               "16r9034"    16r0000 " invalid " 
                               "16r9035"    16r6553
                               "16r9036"    16r6554
                               "16r9037"    16r0000 " invalid " 
                               "16r9038"    16r525D
                               "16r9039"    16r0000 " invalid " 
                               "16r903A"    16r0000 " invalid " 
                               "16r903B"    16r425F
                               "16r903C"    16r3146
                               "16r903D"    16r0000 " invalid " 
                               "16r903E"    16r5362
                               "16r903F"    16r0000 " invalid " 
                               "16r9040"    16r0000 " invalid " 
                               "16r9041"    16r365D
                               "16r9042"    16r4B6C
                               "16r9043"    16r0000 " invalid " 
                               "16r9044"    16r6557
                               "16r9045"    16r0000 " invalid " 
                               "16r9046"    16r0000 " invalid " 
                               "16r9047"    16r5376
                               "16r9048"    16r0000 " invalid " 
                               "16r9049"    16r0000 " invalid " 
                               "16r904A"    16r0000 " invalid " 
                               "16r904B"    16r0000 " invalid " 
                               "16r904C"    16r0000 " invalid " 
                               "16r904D"    16r3169
                               "16r904E"    16r0000 " invalid " 
                               "16r904F"    16r3674
                               "16r9050"    16r655A
                               "16r9051"    16r6558
                               "16r9052"    16r6559
                               "16r9053"    16r3540
                               "16r9054"    16r0000 " invalid " 
                               "16r9055"    16r0000 " invalid " 
                               "16r9056"    16r0000 " invalid " 
                               "16r9057"    16r5245
                               "16r9058"    16r655C
                               "16r9059"    16r0000 " invalid " 
                               "16r905A"    16r0000 " invalid " 
                               "16r905B"    16r655E
                               "16r905C"    16r0000 " invalid " 
                               "16r905D"    16r0000 " invalid " 
                               "16r905E"    16r0000 " invalid " 
                               "16r905F"    16r0000 " invalid " 
                               "16r9060"    16r0000 " invalid " 
                               "16r9061"    16r0000 " invalid " 
                               "16r9062"    16r655D
                               "16r9063"    16r4732
                               "16r9064"    16r0000 " invalid " 
                               "16r9065"    16r5223
                               "16r9066"    16r0000 " invalid " 
                               "16r9067"    16r0000 " invalid " 
                               "16r9068"    16r655B
                               "16r9069"    16r0000 " invalid " 
                               "16r906A"    16r0000 " invalid " 
                               "16r906B"    16r0000 " invalid " 
                               "16r906C"    16r0000 " invalid " 
                               "16r906D"    16r5462
                               "16r906E"    16r555A
                               "16r906F"    16r0000 " invalid " 
                               "16r9070"    16r0000 " invalid " 
                               "16r9071"    16r0000 " invalid " 
                               "16r9072"    16r0000 " invalid " 
                               "16r9073"    16r0000 " invalid " 
                               "16r9074"    16r6560
                               "16r9075"    16r5771
                               "16r9076"    16r0000 " invalid " 
                               "16r9077"    16r0000 " invalid " 
                               "16r9078"    16r0000 " invalid " 
                               "16r9079"    16r0000 " invalid " 
                               "16r907A"    16r0000 " invalid " 
                               "16r907B"    16r0000 " invalid " 
                               "16r907C"    16r0000 " invalid " 
                               "16r907D"    16r6561
                               "16r907E"    16r0000 " invalid " 
                               "16r907F"    16r315C
                               "16r9080"    16r517B
                               "16r9081"    16r0000 " invalid " 
                               "16r9082"    16r6562
                               "16r9083"    16r6564
                               "16r9084"    16r0000 " invalid " 
                               "16r9085"    16r0000 " invalid " 
                               "16r9086"    16r0000 " invalid " 
                               "16r9087"    16r0000 " invalid " 
                               "16r9088"    16r6563
                               "16r9089"    16r0000 " invalid " 
                               "16r908A"    16r0000 " invalid " 
                               "16r908B"    16r6565
                               "16r908C"    16r0000 " invalid " 
                               "16r908D"    16r0000 " invalid " 
                               "16r908E"    16r0000 " invalid " 
                               "16r908F"    16r0000 " invalid " 
                               "16r9090"    16r0000 " invalid " 
                               "16r9091"    16r5258
                               "16r9092"    16r0000 " invalid " 
                               "16r9093"    16r354B
                               "16r9094"    16r0000 " invalid " 
                               "16r9095"    16r675F
                               "16r9096"    16r0000 " invalid " 
                               "16r9097"    16r5A75
                               "16r9098"    16r0000 " invalid " 
                               "16r9099"    16r5A78
                               "16r909A"    16r0000 " invalid " 
                               "16r909B"    16r5A76
                               "16r909C"    16r0000 " invalid " 
                               "16r909D"    16r5A77
                               "16r909E"    16r0000 " invalid " 
                               "16r909F"    16r0000 " invalid " 
                               "16r90A0"    16r0000 " invalid " 
                               "16r90A1"    16r5A7A
                               "16r90A2"    16r504F
                               "16r90A3"    16r4447
                               "16r90A4"    16r0000 " invalid " 
                               "16r90A5"    16r0000 " invalid " 
                               "16r90A6"    16r306E
                               "16r90A7"    16r0000 " invalid " 
                               "16r90A8"    16r0000 " invalid " 
                               "16r90A9"    16r0000 " invalid " 
                               "16r90AA"    16r5030
                               "16r90AB"    16r0000 " invalid " 
                               "16r90AC"    16r5A79
                               "16r90AD"    16r0000 " invalid " 
                               "16r90AE"    16r534A
                               "16r90AF"    16r3A2A
                               "16r90B0"    16r5B22
                               "16r90B1"    16r4771
                               "16r90B2"    16r0000 " invalid " 
                               "16r90B3"    16r5A7C
                               "16r90B4"    16r5A7B
                               "16r90B5"    16r495B
                               "16r90B6"    16r5A7D
                               "16r90B7"    16r0000 " invalid " 
                               "16r90B8"    16r5B21
                               "16r90B9"    16r575E
                               "16r90BA"    16r5A7E
                               "16r90BB"    16r415A
                               "16r90BC"    16r0000 " invalid " 
                               "16r90BD"    16r0000 " invalid " 
                               "16r90BE"    16r5B25
                               "16r90BF"    16r0000 " invalid " 
                               "16r90C0"    16r0000 " invalid " 
                               "16r90C1"    16r5374
                               "16r90C2"    16r0000 " invalid " 
                               "16r90C3"    16r0000 " invalid " 
                               "16r90C4"    16r5B27
                               "16r90C5"    16r5B24
                               "16r90C6"    16r0000 " invalid " 
                               "16r90C7"    16r5B28
                               "16r90C8"    16r0000 " invalid " 
                               "16r90C9"    16r0000 " invalid " 
                               "16r90CA"    16r3D3C
                               "16r90CB"    16r0000 " invalid " 
                               "16r90CC"    16r0000 " invalid " 
                               "16r90CD"    16r0000 " invalid " 
                               "16r90CE"    16r4049
                               "16r90CF"    16r5B23
                               "16r90D0"    16r5B26
                               "16r90D1"    16r5623
                               "16r90D2"    16r0000 " invalid " 
                               "16r90D3"    16r5B29
                               "16r90D4"    16r0000 " invalid " 
                               "16r90D5"    16r0000 " invalid " 
                               "16r90D6"    16r0000 " invalid " 
                               "16r90D7"    16r5B2D
                               "16r90D8"    16r0000 " invalid " 
                               "16r90D9"    16r0000 " invalid " 
                               "16r90DA"    16r0000 " invalid " 
                               "16r90DB"    16r5B2E
                               "16r90DC"    16r5B2C
                               "16r90DD"    16r3A42
                               "16r90DE"    16r0000 " invalid " 
                               "16r90DF"    16r0000 " invalid " 
                               "16r90E0"    16r0000 " invalid " 
                               "16r90E1"    16r3F24
                               "16r90E2"    16r5B2B
                               "16r90E3"    16r0000 " invalid " 
                               "16r90E4"    16r0000 " invalid " 
                               "16r90E5"    16r0000 " invalid " 
                               "16r90E6"    16r5B2A
                               "16r90E7"    16r5447
                               "16r90E8"    16r323F
                               "16r90E9"    16r0000 " invalid " 
                               "16r90EA"    16r0000 " invalid " 
                               "16r90EB"    16r5B2F
                               "16r90EC"    16r0000 " invalid " 
                               "16r90ED"    16r3979
                               "16r90EE"    16r0000 " invalid " 
                               "16r90EF"    16r5B30
                               "16r90F0"    16r0000 " invalid " 
                               "16r90F1"    16r0000 " invalid " 
                               "16r90F2"    16r0000 " invalid " 
                               "16r90F3"    16r0000 " invalid " 
                               "16r90F4"    16r333B
                               "16r90F5"    16r0000 " invalid " 
                               "16r90F6"    16r0000 " invalid " 
                               "16r90F7"    16r0000 " invalid " 
                               "16r90F8"    16r3526
                               "16r90F9"    16r0000 " invalid " 
                               "16r90FA"    16r0000 " invalid " 
                               "16r90FB"    16r0000 " invalid " 
                               "16r90FC"    16r0000 " invalid " 
                               "16r90FD"    16r363C
                               "16r90FE"    16r5B31
                               "16r90FF"    16r0000 " invalid " 
                               "16r9100"    16r0000 " invalid " 
                               "16r9101"    16r0000 " invalid " 
                               "16r9102"    16r3675
                               "16r9103"    16r0000 " invalid " 
                               "16r9104"    16r5B32
                               "16r9105"    16r0000 " invalid " 
                               "16r9106"    16r0000 " invalid " 
                               "16r9107"    16r0000 " invalid " 
                               "16r9108"    16r0000 " invalid " 
                               "16r9109"    16r0000 " invalid " 
                               "16r910A"    16r0000 " invalid " 
                               "16r910B"    16r0000 " invalid " 
                               "16r910C"    16r0000 " invalid " 
                               "16r910D"    16r0000 " invalid " 
                               "16r910E"    16r0000 " invalid " 
                               "16r910F"    16r0000 " invalid " 
                               "16r9110"    16r0000 " invalid " 
                               "16r9111"    16r0000 " invalid " 
                               "16r9112"    16r0000 " invalid " 
                               "16r9113"    16r0000 " invalid " 
                               "16r9114"    16r0000 " invalid " 
                               "16r9115"    16r0000 " invalid " 
                               "16r9116"    16r0000 " invalid " 
                               "16r9117"    16r0000 " invalid " 
                               "16r9118"    16r0000 " invalid " 
                               "16r9119"    16r3149
                               "16r911A"    16r0000 " invalid " 
                               "16r911B"    16r0000 " invalid " 
                               "16r911C"    16r0000 " invalid " 
                               "16r911D"    16r0000 " invalid " 
                               "16r911E"    16r5B34
                               "16r911F"    16r0000 " invalid " 
                               "16r9120"    16r0000 " invalid " 
                               "16r9121"    16r0000 " invalid " 
                               "16r9122"    16r5B33
                               "16r9123"    16r5B35
                               "16r9124"    16r0000 " invalid " 
                               "16r9125"    16r0000 " invalid " 
                               "16r9126"    16r0000 " invalid " 
                               "16r9127"    16r0000 " invalid " 
                               "16r9128"    16r0000 " invalid " 
                               "16r9129"    16r0000 " invalid " 
                               "16r912A"    16r0000 " invalid " 
                               "16r912B"    16r0000 " invalid " 
                               "16r912C"    16r0000 " invalid " 
                               "16r912D"    16r0000 " invalid " 
                               "16r912E"    16r0000 " invalid " 
                               "16r912F"    16r5B37
                               "16r9130"    16r0000 " invalid " 
                               "16r9131"    16r5B36
                               "16r9132"    16r0000 " invalid " 
                               "16r9133"    16r0000 " invalid " 
                               "16r9134"    16r0000 " invalid " 
                               "16r9135"    16r0000 " invalid " 
                               "16r9136"    16r0000 " invalid " 
                               "16r9137"    16r0000 " invalid " 
                               "16r9138"    16r0000 " invalid " 
                               "16r9139"    16r5B38
                               "16r913A"    16r0000 " invalid " 
                               "16r913B"    16r0000 " invalid " 
                               "16r913C"    16r0000 " invalid " 
                               "16r913D"    16r0000 " invalid " 
                               "16r913E"    16r0000 " invalid " 
                               "16r913F"    16r0000 " invalid " 
                               "16r9140"    16r0000 " invalid " 
                               "16r9141"    16r0000 " invalid " 
                               "16r9142"    16r0000 " invalid " 
                               "16r9143"    16r5B39
                               "16r9144"    16r0000 " invalid " 
                               "16r9145"    16r0000 " invalid " 
                               "16r9146"    16r5B3A
                               "16r9147"    16r0000 " invalid " 
                               "16r9148"    16r0000 " invalid " 
                               "16r9149"    16r534F
                               "16r914A"    16r747A
                               "16r914B"    16r4775
                               "16r914C"    16r5743
                               "16r914D"    16r4564
                               "16r914E"    16r747C
                               "16r914F"    16r747D
                               "16r9150"    16r747B
                               "16r9151"    16r0000 " invalid " 
                               "16r9152"    16r3E46
                               "16r9153"    16r0000 " invalid " 
                               "16r9154"    16r0000 " invalid " 
                               "16r9155"    16r0000 " invalid " 
                               "16r9156"    16r0000 " invalid " 
                               "16r9157"    16r506F
                               "16r9158"    16r0000 " invalid " 
                               "16r9159"    16r0000 " invalid " 
                               "16r915A"    16r3753
                               "16r915B"    16r0000 " invalid " 
                               "16r915C"    16r0000 " invalid " 
                               "16r915D"    16r544D
                               "16r915E"    16r4C2A
                               "16r915F"    16r0000 " invalid " 
                               "16r9160"    16r0000 " invalid " 
                               "16r9161"    16r7522
                               "16r9162"    16r7521
                               "16r9163"    16r3A28
                               "16r9164"    16r747E
                               "16r9165"    16r4B56
                               "16r9166"    16r0000 " invalid " 
                               "16r9167"    16r0000 " invalid " 
                               "16r9168"    16r0000 " invalid " 
                               "16r9169"    16r7524
                               "16r916A"    16r4052
                               "16r916B"    16r0000 " invalid " 
                               "16r916C"    16r336A
                               "16r916D"    16r0000 " invalid " 
                               "16r916E"    16r4D2A
                               "16r916F"    16r7525
                               "16r9170"    16r7523
                               "16r9171"    16r3D34
                               "16r9172"    16r7528
                               "16r9173"    16r0000 " invalid " 
                               "16r9174"    16r7529
                               "16r9175"    16r3D4D
                               "16r9176"    16r4338
                               "16r9177"    16r3F61
                               "16r9178"    16r4B61
                               "16r9179"    16r752A
                               "16r917A"    16r0000 " invalid " 
                               "16r917B"    16r0000 " invalid " 
                               "16r917C"    16r0000 " invalid " 
                               "16r917D"    16r7526
                               "16r917E"    16r7527
                               "16r917F"    16r4470
                               "16r9180"    16r0000 " invalid " 
                               "16r9181"    16r0000 " invalid " 
                               "16r9182"    16r0000 " invalid " 
                               "16r9183"    16r0000 " invalid " 
                               "16r9184"    16r0000 " invalid " 
                               "16r9185"    16r752C
                               "16r9186"    16r0000 " invalid " 
                               "16r9187"    16r343C
                               "16r9188"    16r0000 " invalid " 
                               "16r9189"    16r576D
                               "16r918A"    16r0000 " invalid " 
                               "16r918B"    16r3457
                               "16r918C"    16r752B
                               "16r918D"    16r752E
                               "16r918E"    16r0000 " invalid " 
                               "16r918F"    16r0000 " invalid " 
                               "16r9190"    16r752D
                               "16r9191"    16r752F
                               "16r9192"    16r5051
                               "16r9193"    16r0000 " invalid " 
                               "16r9194"    16r0000 " invalid " 
                               "16r9195"    16r0000 " invalid " 
                               "16r9196"    16r0000 " invalid " 
                               "16r9197"    16r0000 " invalid " 
                               "16r9198"    16r0000 " invalid " 
                               "16r9199"    16r0000 " invalid " 
                               "16r919A"    16r4351
                               "16r919B"    16r4829
                               "16r919C"    16r0000 " invalid " 
                               "16r919D"    16r0000 " invalid " 
                               "16r919E"    16r0000 " invalid " 
                               "16r919F"    16r0000 " invalid " 
                               "16r91A0"    16r0000 " invalid " 
                               "16r91A1"    16r0000 " invalid " 
                               "16r91A2"    16r7530
                               "16r91A3"    16r7531
                               "16r91A4"    16r0000 " invalid " 
                               "16r91A5"    16r0000 " invalid " 
                               "16r91A6"    16r0000 " invalid " 
                               "16r91A7"    16r0000 " invalid " 
                               "16r91A8"    16r0000 " invalid " 
                               "16r91A9"    16r0000 " invalid " 
                               "16r91AA"    16r7532
                               "16r91AB"    16r0000 " invalid " 
                               "16r91AC"    16r0000 " invalid " 
                               "16r91AD"    16r7533
                               "16r91AE"    16r7534
                               "16r91AF"    16r7535
                               "16r91B0"    16r0000 " invalid " 
                               "16r91B1"    16r0000 " invalid " 
                               "16r91B2"    16r0000 " invalid " 
                               "16r91B3"    16r0000 " invalid " 
                               "16r91B4"    16r7537
                               "16r91B5"    16r7536
                               "16r91B6"    16r0000 " invalid " 
                               "16r91B7"    16r0000 " invalid " 
                               "16r91B8"    16r0000 " invalid " 
                               "16r91B9"    16r0000 " invalid " 
                               "16r91BA"    16r7538
                               "16r91BB"    16r0000 " invalid " 
                               "16r91BC"    16r0000 " invalid " 
                               "16r91BD"    16r0000 " invalid " 
                               "16r91BE"    16r0000 " invalid " 
                               "16r91BF"    16r0000 " invalid " 
                               "16r91C0"    16r0000 " invalid " 
                               "16r91C1"    16r0000 " invalid " 
                               "16r91C2"    16r0000 " invalid " 
                               "16r91C3"    16r0000 " invalid " 
                               "16r91C4"    16r0000 " invalid " 
                               "16r91C5"    16r0000 " invalid " 
                               "16r91C6"    16r0000 " invalid " 
                               "16r91C7"    16r3249
                               "16r91C8"    16r0000 " invalid " 
                               "16r91C9"    16r5354
                               "16r91CA"    16r4A4D
                               "16r91CB"    16r0000 " invalid " 
                               "16r91CC"    16r406F
                               "16r91CD"    16r5658
                               "16r91CE"    16r5230
                               "16r91CF"    16r413F
                               "16r91D0"    16r0000 " invalid " 
                               "16r91D1"    16r3D70
                               "16r91D2"    16r0000 " invalid " 
                               "16r91D3"    16r0000 " invalid " 
                               "16r91D4"    16r0000 " invalid " 
                               "16r91D5"    16r0000 " invalid " 
                               "16r91D6"    16r0000 " invalid " 
                               "16r91D7"    16r0000 " invalid " 
                               "16r91D8"    16r0000 " invalid " 
                               "16r91D9"    16r0000 " invalid " 
                               "16r91DA"    16r0000 " invalid " 
                               "16r91DB"    16r0000 " invalid " 
                               "16r91DC"    16r382A
                               ) at:(unicode - 16r8F65).
                            t == 0 ifFalse:[^ t].
                            ^ self encodingError
                        ] value.
                    ].
                    unicode <= 16r9273 ifTrue:[
                        ^ self encodingError
                    ].
                    unicode <= 16r97F6 ifTrue:[
                        unicode <= 16r92C8 ifTrue:[
                            unicode <= 16r928E ifTrue:[
                                unicode == 16r9274 ifTrue:[
                                    ^  "16r9274" 16r3C78
                                ].
                                unicode <= 16r928D ifTrue:[
                                    ^ self encodingError
                                ].
                                ^  "16r928E" 16r7646
                            ].
                            unicode <= 16r92AD ifTrue:[
                                ^ self encodingError
                            ].
                            unicode == 16r92AE ifTrue:[
                                ^  "16r92AE" 16r7647
                            ].
                            unicode <= 16r92C7 ifTrue:[
                                ^ self encodingError
                            ].
                            ^  "16r92C8" 16r7648
                        ].
                        unicode <= 16r933D ifTrue:[
                            ^ self encodingError
                        ].
                        unicode <= 16r957F ifTrue:[
                            unicode <= 16r93D6 ifTrue:[
                                unicode <= 16r938F ifTrue:[
                                    unicode == 16r933E ifTrue:[
                                        ^  "16r933E" 16r7649
                                    ].
                                    unicode <= 16r9369 ifTrue:[
                                        ^ self encodingError
                                    ].
                                    unicode == 16r936A ifTrue:[
                                        ^  "16r936A" 16r764A
                                    ].
                                    unicode <= 16r938E ifTrue:[
                                        ^ self encodingError
                                    ].
                                    ^  "16r938F" 16r764C
                                ].
                                unicode <= 16r93C9 ifTrue:[
                                    ^ self encodingError
                                ].
                                unicode == 16r93CA ifTrue:[
                                    (#[
                                       "16r93CA"    1
                                    ] at:(unicode - 37833)) ~~ 0 ifTrue:[^ unicode].
                                    ^ self encodingError
                                ].
                                unicode <= 16r93D5 ifTrue:[
                                    ^ self encodingError
                                ].
                                ^  "16r93D6" 16r7769
                            ].
                            unicode <= 16r943D ifTrue:[
                                ^ self encodingError
                            ].
                            unicode <= 16r943E ifTrue:[
                                ^  "16r943E" 16r764D
                            ].
                            unicode <= 16r946A ifTrue:[
                                ^ self encodingError
                            ].
                            [
                                |t|
                                t := #(
                                   "16r946B"    16r764E
                                   "16r946C"    16r0000 " invalid " 
                                   "16r946D"    16r0000 " invalid " 
                                   "16r946E"    16r0000 " invalid " 
                                   "16r946F"    16r0000 " invalid " 
                                   "16r9470"    16r0000 " invalid " 
                                   "16r9471"    16r0000 " invalid " 
                                   "16r9472"    16r0000 " invalid " 
                                   "16r9473"    16r0000 " invalid " 
                                   "16r9474"    16r0000 " invalid " 
                                   "16r9475"    16r0000 " invalid " 
                                   "16r9476"    16r0000 " invalid " 
                                   "16r9477"    16r0000 " invalid " 
                                   "16r9478"    16r0000 " invalid " 
                                   "16r9479"    16r0000 " invalid " 
                                   "16r947A"    16r0000 " invalid " 
                                   "16r947B"    16r0000 " invalid " 
                                   "16r947C"    16r0000 " invalid " 
                                   "16r947D"    16r0000 " invalid " 
                                   "16r947E"    16r0000 " invalid " 
                                   "16r947F"    16r0000 " invalid " 
                                   "16r9480"    16r0000 " invalid " 
                                   "16r9481"    16r0000 " invalid " 
                                   "16r9482"    16r0000 " invalid " 
                                   "16r9483"    16r0000 " invalid " 
                                   "16r9484"    16r0000 " invalid " 
                                   "16r9485"    16r6E44
                                   "16r9486"    16r6E45
                                   "16r9487"    16r6E46
                                   "16r9488"    16r556B
                                   "16r9489"    16r3624
                                   "16r948A"    16r6E48
                                   "16r948B"    16r6E47
                                   "16r948C"    16r6E49
                                   "16r948D"    16r6E4A
                                   "16r948E"    16r4725
                                   "16r948F"    16r6E4B
                                   "16r9490"    16r6E4C
                                   "16r9491"    16r0000 " invalid " 
                                   "16r9492"    16r3730
                                   "16r9493"    16r3576
                                   "16r9494"    16r6E4D
                                   "16r9495"    16r6E4F
                                   "16r9496"    16r0000 " invalid " 
                                   "16r9497"    16r6E4E
                                   "16r9498"    16r0000 " invalid " 
                                   "16r9499"    16r3846
                                   "16r949A"    16r6E50
                                   "16r949B"    16r6E51
                                   "16r949C"    16r6E52
                                   "16r949D"    16r365B
                                   "16r949E"    16r332E
                                   "16r949F"    16r5653
                                   "16r94A0"    16r4446
                                   "16r94A1"    16r3135
                                   "16r94A2"    16r3856
                                   "16r94A3"    16r6E53
                                   "16r94A4"    16r6E54
                                   "16r94A5"    16r543F
                                   "16r94A6"    16r4755
                                   "16r94A7"    16r3E7B
                                   "16r94A8"    16r4E59
                                   "16r94A9"    16r3933
                                   "16r94AA"    16r6E56
                                   "16r94AB"    16r6E55
                                   "16r94AC"    16r6E58
                                   "16r94AD"    16r6E57
                                   "16r94AE"    16r4525
                                   "16r94AF"    16r6E59
                                   "16r94B0"    16r6E5A
                                   "16r94B1"    16r472E
                                   "16r94B2"    16r6E5B
                                   "16r94B3"    16r472F
                                   "16r94B4"    16r6E5C
                                   "16r94B5"    16r3227
                                   "16r94B6"    16r6E5D
                                   "16r94B7"    16r6E5E
                                   "16r94B8"    16r6E5F
                                   "16r94B9"    16r6E60
                                   "16r94BA"    16r6E61
                                   "16r94BB"    16r576A
                                   "16r94BC"    16r6E62
                                   "16r94BD"    16r6E63
                                   "16r94BE"    16r3C58
                                   "16r94BF"    16r6E64
                                   "16r94C0"    16r534B
                                   "16r94C1"    16r4C7A
                                   "16r94C2"    16r322C
                                   "16r94C3"    16r4165
                                   "16r94C4"    16r6E65
                                   "16r94C5"    16r4726
                                   "16r94C6"    16r432D
                                   "16r94C7"    16r0000 " invalid " 
                                   "16r94C8"    16r6E66
                                   "16r94C9"    16r6E67
                                   "16r94CA"    16r6E68
                                   "16r94CB"    16r6E69
                                   "16r94CC"    16r6E6A
                                   "16r94CD"    16r6E6B
                                   "16r94CE"    16r6E6C
                                   "16r94CF"    16r0000 " invalid " 
                                   "16r94D0"    16r6E6D
                                   "16r94D1"    16r6E6E
                                   "16r94D2"    16r6E6F
                                   "16r94D3"    16r0000 " invalid " 
                                   "16r94D4"    16r0000 " invalid " 
                                   "16r94D5"    16r6E70
                                   "16r94D6"    16r6E71
                                   "16r94D7"    16r6E72
                                   "16r94D8"    16r6E74
                                   "16r94D9"    16r6E73
                                   "16r94DA"    16r0000 " invalid " 
                                   "16r94DB"    16r6E75
                                   "16r94DC"    16r4D2D
                                   "16r94DD"    16r4241
                                   "16r94DE"    16r6E76
                                   "16r94DF"    16r6E77
                                   "16r94E0"    16r6E78
                                   "16r94E1"    16r5521
                                   "16r94E2"    16r6E79
                                   "16r94E3"    16r4F33
                                   "16r94E4"    16r6E7A
                                   "16r94E5"    16r6E7B
                                   "16r94E6"    16r0000 " invalid " 
                                   "16r94E7"    16r6E7C
                                   "16r94E8"    16r6E7D
                                   "16r94E9"    16r6F21
                                   "16r94EA"    16r6E7E
                                   "16r94EB"    16r6F22
                                   "16r94EC"    16r3875
                                   "16r94ED"    16r437A
                                   "16r94EE"    16r6F23
                                   "16r94EF"    16r6F24
                                   "16r94F0"    16r3D42
                                   "16r94F1"    16r523F
                                   "16r94F2"    16r3279
                                   "16r94F3"    16r6F25
                                   "16r94F4"    16r6F26
                                   "16r94F5"    16r6F27
                                   "16r94F6"    16r5278
                                   "16r94F7"    16r6F28
                                   "16r94F8"    16r567D
                                   "16r94F9"    16r6F29
                                   "16r94FA"    16r464C
                                   "16r94FB"    16r0000 " invalid " 
                                   "16r94FC"    16r6F2A
                                   "16r94FD"    16r6F2B
                                   "16r94FE"    16r4134
                                   "16r94FF"    16r6F2C
                                   "16r9500"    16r4F7A
                                   "16r9501"    16r4B78
                                   "16r9502"    16r6F2E
                                   "16r9503"    16r6F2D
                                   "16r9504"    16r337A
                                   "16r9505"    16r3978
                                   "16r9506"    16r6F2F
                                   "16r9507"    16r6F30
                                   "16r9508"    16r5062
                                   "16r9509"    16r6F31
                                   "16r950A"    16r6F32
                                   "16r950B"    16r3766
                                   "16r950C"    16r503F
                                   "16r950D"    16r6F33
                                   "16r950E"    16r6F34
                                   "16r950F"    16r6F35
                                   "16r9510"    16r4871
                                   "16r9511"    16r4C60
                                   "16r9512"    16r6F36
                                   "16r9513"    16r6F37
                                   "16r9514"    16r6F38
                                   "16r9515"    16r6F39
                                   "16r9516"    16r6F3A
                                   "16r9517"    16r5560
                                   "16r9518"    16r6F3B
                                   "16r9519"    16r346D
                                   "16r951A"    16r432A
                                   "16r951B"    16r6F3C
                                   "16r951C"    16r0000 " invalid " 
                                   "16r951D"    16r6F3D
                                   "16r951E"    16r6F3E
                                   "16r951F"    16r6F3F
                                   "16r9520"    16r0000 " invalid " 
                                   "16r9521"    16r4E7D
                                   "16r9522"    16r6F40
                                   "16r9523"    16r4260
                                   "16r9524"    16r3438
                                   "16r9525"    16r5736
                                   "16r9526"    16r3D75
                                   "16r9527"    16r0000 " invalid " 
                                   "16r9528"    16r4F47
                                   "16r9529"    16r6F43
                                   "16r952A"    16r6F41
                                   "16r952B"    16r6F42
                                   "16r952C"    16r6F44
                                   "16r952D"    16r3627
                                   "16r952E"    16r3C7C
                                   "16r952F"    16r3E62
                                   "16r9530"    16r434C
                                   "16r9531"    16r6F45
                                   "16r9532"    16r6F46
                                   "16r9533"    16r0000 " invalid " 
                                   "16r9534"    16r6F47
                                   "16r9535"    16r6F4F
                                   "16r9536"    16r6F48
                                   "16r9537"    16r6F49
                                   "16r9538"    16r6F4A
                                   "16r9539"    16r4742
                                   "16r953A"    16r6F71
                                   "16r953B"    16r364D
                                   "16r953C"    16r6F4B
                                   "16r953D"    16r0000 " invalid " 
                                   "16r953E"    16r6F4C
                                   "16r953F"    16r6F4D
                                   "16r9540"    16r3646
                                   "16r9541"    16r433E
                                   "16r9542"    16r6F4E
                                   "16r9543"    16r0000 " invalid " 
                                   "16r9544"    16r6F50
                                   "16r9545"    16r6F51
                                   "16r9546"    16r6F52
                                   "16r9547"    16r5572
                                   "16r9548"    16r0000 " invalid " 
                                   "16r9549"    16r6F53
                                   "16r954A"    16r4477
                                   "16r954B"    16r0000 " invalid " 
                                   "16r954C"    16r6F54
                                   "16r954D"    16r4478
                                   "16r954E"    16r6F55
                                   "16r954F"    16r6F56
                                   "16r9550"    16r3864
                                   "16r9551"    16r3077
                                   "16r9552"    16r6F57
                                   "16r9553"    16r6F58
                                   "16r9554"    16r6F59
                                   "16r9555"    16r0000 " invalid " 
                                   "16r9556"    16r6F5A
                                   "16r9557"    16r6F5B
                                   "16r9558"    16r6F5C
                                   "16r9559"    16r6F5D
                                   "16r955A"    16r0000 " invalid " 
                                   "16r955B"    16r6F5E
                                   "16r955C"    16r3E35
                                   "16r955D"    16r6F61
                                   "16r955E"    16r6F5F
                                   "16r955F"    16r6F60
                                   "16r9560"    16r0000 " invalid " 
                                   "16r9561"    16r6F62
                                   "16r9562"    16r6F63
                                   "16r9563"    16r414D
                                   "16r9564"    16r6F64
                                   "16r9565"    16r6F65
                                   "16r9566"    16r6F66
                                   "16r9567"    16r6F67
                                   "16r9568"    16r6F68
                                   "16r9569"    16r6F69
                                   "16r956A"    16r6F6A
                                   "16r956B"    16r6F6B
                                   "16r956C"    16r6F6C
                                   "16r956D"    16r4058
                                   "16r956E"    16r0000 " invalid " 
                                   "16r956F"    16r6F6D
                                   "16r9570"    16r412D
                                   "16r9571"    16r6F6E
                                   "16r9572"    16r6F6F
                                   "16r9573"    16r6F70
                                   "16r9574"    16r0000 " invalid " 
                                   "16r9575"    16r0000 " invalid " 
                                   "16r9576"    16r4F62
                                   "16r9577"    16r0000 " invalid " 
                                   "16r9578"    16r0000 " invalid " 
                                   "16r9579"    16r0000 " invalid " 
                                   "16r957A"    16r0000 " invalid " 
                                   "16r957B"    16r0000 " invalid " 
                                   "16r957C"    16r0000 " invalid " 
                                   "16r957D"    16r0000 " invalid " 
                                   "16r957E"    16r0000 " invalid " 
                                   "16r957F"    16r3324
                                   ) at:(unicode - 16r946A).
                                t == 0 ifFalse:[^ t].
                                ^ self encodingError
                            ] value.
                        ].
                        unicode <= 16r95E7 ifTrue:[
                            ^ self encodingError
                        ].
                        unicode <= 16r97B4 ifTrue:[
                            [
                                |t|
                                t := #(
                                   "16r95E8"    16r4345
                                   "16r95E9"    16r6345
                                   "16r95EA"    16r4941
                                   "16r95EB"    16r6346
                                   "16r95EC"    16r0000 " invalid " 
                                   "16r95ED"    16r3155
                                   "16r95EE"    16r4E4A
                                   "16r95EF"    16r3433
                                   "16r95F0"    16r4872
                                   "16r95F1"    16r6347
                                   "16r95F2"    16r4F50
                                   "16r95F3"    16r6348
                                   "16r95F4"    16r3C64
                                   "16r95F5"    16r6349
                                   "16r95F6"    16r634A
                                   "16r95F7"    16r4346
                                   "16r95F8"    16r5522
                                   "16r95F9"    16r4456
                                   "16r95FA"    16r396B
                                   "16r95FB"    16r4E45
                                   "16r95FC"    16r634B
                                   "16r95FD"    16r4376
                                   "16r95FE"    16r634C
                                   "16r95FF"    16r0000 " invalid " 
                                   "16r9600"    16r3727
                                   "16r9601"    16r3873
                                   "16r9602"    16r3A52
                                   "16r9603"    16r634D
                                   "16r9604"    16r634E
                                   "16r9605"    16r5444
                                   "16r9606"    16r634F
                                   "16r9607"    16r0000 " invalid " 
                                   "16r9608"    16r6350
                                   "16r9609"    16r514B
                                   "16r960A"    16r6351
                                   "16r960B"    16r6352
                                   "16r960C"    16r6353
                                   "16r960D"    16r6354
                                   "16r960E"    16r5156
                                   "16r960F"    16r6355
                                   "16r9610"    16r327B
                                   "16r9611"    16r403B
                                   "16r9612"    16r6356
                                   "16r9613"    16r0000 " invalid " 
                                   "16r9614"    16r402B
                                   "16r9615"    16r6357
                                   "16r9616"    16r6358
                                   "16r9617"    16r6359
                                   "16r9618"    16r0000 " invalid " 
                                   "16r9619"    16r635A
                                   "16r961A"    16r635B
                                   "16r961B"    16r0000 " invalid " 
                                   "16r961C"    16r3837
                                   "16r961D"    16r5A62
                                   "16r961E"    16r0000 " invalid " 
                                   "16r961F"    16r3653
                                   "16r9620"    16r0000 " invalid " 
                                   "16r9621"    16r5A64
                                   "16r9622"    16r5A63
                                   "16r9623"    16r0000 " invalid " 
                                   "16r9624"    16r0000 " invalid " 
                                   "16r9625"    16r0000 " invalid " 
                                   "16r9626"    16r0000 " invalid " 
                                   "16r9627"    16r0000 " invalid " 
                                   "16r9628"    16r0000 " invalid " 
                                   "16r9629"    16r0000 " invalid " 
                                   "16r962A"    16r5A66
                                   "16r962B"    16r0000 " invalid " 
                                   "16r962C"    16r0000 " invalid " 
                                   "16r962D"    16r0000 " invalid " 
                                   "16r962E"    16r486E
                                   "16r962F"    16r0000 " invalid " 
                                   "16r9630"    16r0000 " invalid " 
                                   "16r9631"    16r5A65
                                   "16r9632"    16r3740
                                   "16r9633"    16r5174
                                   "16r9634"    16r5275
                                   "16r9635"    16r5573
                                   "16r9636"    16r3D57
                                   "16r9637"    16r0000 " invalid " 
                                   "16r9638"    16r0000 " invalid " 
                                   "16r9639"    16r0000 " invalid " 
                                   "16r963A"    16r0000 " invalid " 
                                   "16r963B"    16r5768
                                   "16r963C"    16r5A68
                                   "16r963D"    16r5A67
                                   "16r963E"    16r0000 " invalid " 
                                   "16r963F"    16r3022
                                   "16r9640"    16r4D53
                                   "16r9641"    16r0000 " invalid " 
                                   "16r9642"    16r5A69
                                   "16r9643"    16r0000 " invalid " 
                                   "16r9644"    16r383D
                                   "16r9645"    16r3C4A
                                   "16r9646"    16r423D
                                   "16r9647"    16r4224
                                   "16r9648"    16r3342
                                   "16r9649"    16r5A6A
                                   "16r964A"    16r0000 " invalid " 
                                   "16r964B"    16r422A
                                   "16r964C"    16r4430
                                   "16r964D"    16r3D35
                                   "16r964E"    16r0000 " invalid " 
                                   "16r964F"    16r0000 " invalid " 
                                   "16r9650"    16r4F5E
                                   "16r9651"    16r0000 " invalid " 
                                   "16r9652"    16r0000 " invalid " 
                                   "16r9653"    16r0000 " invalid " 
                                   "16r9654"    16r5A6B
                                   "16r9655"    16r4942
                                   "16r9656"    16r0000 " invalid " 
                                   "16r9657"    16r0000 " invalid " 
                                   "16r9658"    16r0000 " invalid " 
                                   "16r9659"    16r0000 " invalid " 
                                   "16r965A"    16r0000 " invalid " 
                                   "16r965B"    16r315D
                                   "16r965C"    16r0000 " invalid " 
                                   "16r965D"    16r0000 " invalid " 
                                   "16r965E"    16r0000 " invalid " 
                                   "16r965F"    16r5A6C
                                   "16r9660"    16r0000 " invalid " 
                                   "16r9661"    16r3638
                                   "16r9662"    16r543A
                                   "16r9663"    16r0000 " invalid " 
                                   "16r9664"    16r337D
                                   "16r9665"    16r0000 " invalid " 
                                   "16r9666"    16r0000 " invalid " 
                                   "16r9667"    16r5A6D
                                   "16r9668"    16r5449
                                   "16r9669"    16r4F55
                                   "16r966A"    16r4563
                                   "16r966B"    16r0000 " invalid " 
                                   "16r966C"    16r5A6E
                                   "16r966D"    16r0000 " invalid " 
                                   "16r966E"    16r0000 " invalid " 
                                   "16r966F"    16r0000 " invalid " 
                                   "16r9670"    16r0000 " invalid " 
                                   "16r9671"    16r0000 " invalid " 
                                   "16r9672"    16r5A6F
                                   "16r9673"    16r0000 " invalid " 
                                   "16r9674"    16r5A70
                                   "16r9675"    16r416A
                                   "16r9676"    16r4C55
                                   "16r9677"    16r4F5D
                                   "16r9678"    16r0000 " invalid " 
                                   "16r9679"    16r0000 " invalid " 
                                   "16r967A"    16r0000 " invalid " 
                                   "16r967B"    16r0000 " invalid " 
                                   "16r967C"    16r0000 " invalid " 
                                   "16r967D"    16r0000 " invalid " 
                                   "16r967E"    16r0000 " invalid " 
                                   "16r967F"    16r0000 " invalid " 
                                   "16r9680"    16r0000 " invalid " 
                                   "16r9681"    16r0000 " invalid " 
                                   "16r9682"    16r0000 " invalid " 
                                   "16r9683"    16r0000 " invalid " 
                                   "16r9684"    16r0000 " invalid " 
                                   "16r9685"    16r5367
                                   "16r9686"    16r4221
                                   "16r9687"    16r0000 " invalid " 
                                   "16r9688"    16r5A71
                                   "16r9689"    16r0000 " invalid " 
                                   "16r968A"    16r0000 " invalid " 
                                   "16r968B"    16r4B65
                                   "16r968C"    16r0000 " invalid " 
                                   "16r968D"    16r5A72
                                   "16r968E"    16r0000 " invalid " 
                                   "16r968F"    16r4B66
                                   "16r9690"    16r527E
                                   "16r9691"    16r0000 " invalid " 
                                   "16r9692"    16r0000 " invalid " 
                                   "16r9693"    16r0000 " invalid " 
                                   "16r9694"    16r3874
                                   "16r9695"    16r0000 " invalid " 
                                   "16r9696"    16r0000 " invalid " 
                                   "16r9697"    16r5A73
                                   "16r9698"    16r302F
                                   "16r9699"    16r4F36
                                   "16r969A"    16r0000 " invalid " 
                                   "16r969B"    16r0000 " invalid " 
                                   "16r969C"    16r554F
                                   "16r969D"    16r0000 " invalid " 
                                   "16r969E"    16r0000 " invalid " 
                                   "16r969F"    16r0000 " invalid " 
                                   "16r96A0"    16r0000 " invalid " 
                                   "16r96A1"    16r0000 " invalid " 
                                   "16r96A2"    16r0000 " invalid " 
                                   "16r96A3"    16r0000 " invalid " 
                                   "16r96A4"    16r0000 " invalid " 
                                   "16r96A5"    16r0000 " invalid " 
                                   "16r96A6"    16r0000 " invalid " 
                                   "16r96A7"    16r4B6D
                                   "16r96A8"    16r0000 " invalid " 
                                   "16r96A9"    16r0000 " invalid " 
                                   "16r96AA"    16r0000 " invalid " 
                                   "16r96AB"    16r0000 " invalid " 
                                   "16r96AC"    16r0000 " invalid " 
                                   "16r96AD"    16r0000 " invalid " 
                                   "16r96AE"    16r0000 " invalid " 
                                   "16r96AF"    16r0000 " invalid " 
                                   "16r96B0"    16r5A74
                                   "16r96B1"    16r0000 " invalid " 
                                   "16r96B2"    16r0000 " invalid " 
                                   "16r96B3"    16r6344
                                   "16r96B4"    16r0000 " invalid " 
                                   "16r96B5"    16r0000 " invalid " 
                                   "16r96B6"    16r4125
                                   "16r96B7"    16r0000 " invalid " 
                                   "16r96B8"    16r0000 " invalid " 
                                   "16r96B9"    16r763F
                                   "16r96BA"    16r0000 " invalid " 
                                   "16r96BB"    16r0000 " invalid " 
                                   "16r96BC"    16r7640
                                   "16r96BD"    16r7641
                                   "16r96BE"    16r4451
                                   "16r96BF"    16r0000 " invalid " 
                                   "16r96C0"    16r4838
                                   "16r96C1"    16r5163
                                   "16r96C2"    16r0000 " invalid " 
                                   "16r96C3"    16r0000 " invalid " 
                                   "16r96C4"    16r505B
                                   "16r96C5"    16r5145
                                   "16r96C6"    16r3C2F
                                   "16r96C7"    16r394D
                                   "16r96C8"    16r0000 " invalid " 
                                   "16r96C9"    16r6F74
                                   "16r96CA"    16r0000 " invalid " 
                                   "16r96CB"    16r0000 " invalid " 
                                   "16r96CC"    16r3446
                                   "16r96CD"    16r533A
                                   "16r96CE"    16r7642
                                   "16r96CF"    16r337B
                                   "16r96D0"    16r0000 " invalid " 
                                   "16r96D1"    16r0000 " invalid " 
                                   "16r96D2"    16r7643
                                   "16r96D3"    16r0000 " invalid " 
                                   "16r96D4"    16r0000 " invalid " 
                                   "16r96D5"    16r3571
                                   "16r96D6"    16r0000 " invalid " 
                                   "16r96D7"    16r0000 " invalid " 
                                   "16r96D8"    16r0000 " invalid " 
                                   "16r96D9"    16r0000 " invalid " 
                                   "16r96DA"    16r0000 " invalid " 
                                   "16r96DB"    16r0000 " invalid " 
                                   "16r96DC"    16r0000 " invalid " 
                                   "16r96DD"    16r0000 " invalid " 
                                   "16r96DE"    16r0000 " invalid " 
                                   "16r96DF"    16r0000 " invalid " 
                                   "16r96E0"    16r7645
                                   "16r96E1"    16r0000 " invalid " 
                                   "16r96E2"    16r0000 " invalid " 
                                   "16r96E3"    16r0000 " invalid " 
                                   "16r96E4"    16r0000 " invalid " 
                                   "16r96E5"    16r0000 " invalid " 
                                   "16r96E6"    16r0000 " invalid " 
                                   "16r96E7"    16r0000 " invalid " 
                                   "16r96E8"    16r536A
                                   "16r96E9"    16r7627
                                   "16r96EA"    16r5129
                                   "16r96EB"    16r0000 " invalid " 
                                   "16r96EC"    16r0000 " invalid " 
                                   "16r96ED"    16r0000 " invalid " 
                                   "16r96EE"    16r0000 " invalid " 
                                   "16r96EF"    16r7629
                                   "16r96F0"    16r0000 " invalid " 
                                   "16r96F1"    16r0000 " invalid " 
                                   "16r96F2"    16r0000 " invalid " 
                                   "16r96F3"    16r7628
                                   "16r96F4"    16r0000 " invalid " 
                                   "16r96F5"    16r0000 " invalid " 
                                   "16r96F6"    16r4163
                                   "16r96F7"    16r4057
                                   "16r96F8"    16r0000 " invalid " 
                                   "16r96F9"    16r3122
                                   "16r96FA"    16r0000 " invalid " 
                                   "16r96FB"    16r0000 " invalid " 
                                   "16r96FC"    16r0000 " invalid " 
                                   "16r96FD"    16r0000 " invalid " 
                                   "16r96FE"    16r4E6D
                                   "16r96FF"    16r0000 " invalid " 
                                   "16r9700"    16r5068
                                   "16r9701"    16r762B
                                   "16r9702"    16r0000 " invalid " 
                                   "16r9703"    16r0000 " invalid " 
                                   "16r9704"    16r4F76
                                   "16r9705"    16r0000 " invalid " 
                                   "16r9706"    16r762A
                                   "16r9707"    16r5570
                                   "16r9708"    16r762C
                                   "16r9709"    16r4339
                                   "16r970A"    16r0000 " invalid " 
                                   "16r970B"    16r0000 " invalid " 
                                   "16r970C"    16r0000 " invalid " 
                                   "16r970D"    16r3B74
                                   "16r970E"    16r762E
                                   "16r970F"    16r762D
                                   "16r9710"    16r0000 " invalid " 
                                   "16r9711"    16r0000 " invalid " 
                                   "16r9712"    16r0000 " invalid " 
                                   "16r9713"    16r445E
                                   "16r9714"    16r0000 " invalid " 
                                   "16r9715"    16r0000 " invalid " 
                                   "16r9716"    16r4158
                                   "16r9717"    16r0000 " invalid " 
                                   "16r9718"    16r0000 " invalid " 
                                   "16r9719"    16r0000 " invalid " 
                                   "16r971A"    16r0000 " invalid " 
                                   "16r971B"    16r0000 " invalid " 
                                   "16r971C"    16r4B2A
                                   "16r971D"    16r0000 " invalid " 
                                   "16r971E"    16r4F3C
                                   "16r971F"    16r0000 " invalid " 
                                   "16r9720"    16r0000 " invalid " 
                                   "16r9721"    16r0000 " invalid " 
                                   "16r9722"    16r0000 " invalid " 
                                   "16r9723"    16r0000 " invalid " 
                                   "16r9724"    16r0000 " invalid " 
                                   "16r9725"    16r0000 " invalid " 
                                   "16r9726"    16r0000 " invalid " 
                                   "16r9727"    16r0000 " invalid " 
                                   "16r9728"    16r0000 " invalid " 
                                   "16r9729"    16r0000 " invalid " 
                                   "16r972A"    16r762F
                                   "16r972B"    16r0000 " invalid " 
                                   "16r972C"    16r0000 " invalid " 
                                   "16r972D"    16r7630
                                   "16r972E"    16r0000 " invalid " 
                                   "16r972F"    16r0000 " invalid " 
                                   "16r9730"    16r7631
                                   "16r9731"    16r0000 " invalid " 
                                   "16r9732"    16r4236
                                   "16r9733"    16r0000 " invalid " 
                                   "16r9734"    16r0000 " invalid " 
                                   "16r9735"    16r0000 " invalid " 
                                   "16r9736"    16r0000 " invalid " 
                                   "16r9737"    16r0000 " invalid " 
                                   "16r9738"    16r3054
                                   "16r9739"    16r4579
                                   "16r973A"    16r0000 " invalid " 
                                   "16r973B"    16r0000 " invalid " 
                                   "16r973C"    16r0000 " invalid " 
                                   "16r973D"    16r0000 " invalid " 
                                   "16r973E"    16r7632
                                   "16r973F"    16r0000 " invalid " 
                                   "16r9740"    16r0000 " invalid " 
                                   "16r9741"    16r0000 " invalid " 
                                   "16r9742"    16r0000 " invalid " 
                                   "16r9743"    16r0000 " invalid " 
                                   "16r9744"    16r0000 " invalid " 
                                   "16r9745"    16r0000 " invalid " 
                                   "16r9746"    16r0000 " invalid " 
                                   "16r9747"    16r0000 " invalid " 
                                   "16r9748"    16r0000 " invalid " 
                                   "16r9749"    16r0000 " invalid " 
                                   "16r974A"    16r0000 " invalid " 
                                   "16r974B"    16r0000 " invalid " 
                                   "16r974C"    16r0000 " invalid " 
                                   "16r974D"    16r0000 " invalid " 
                                   "16r974E"    16r0000 " invalid " 
                                   "16r974F"    16r0000 " invalid " 
                                   "16r9750"    16r0000 " invalid " 
                                   "16r9751"    16r0000 " invalid " 
                                   "16r9752"    16r4760
                                   "16r9753"    16r7626
                                   "16r9754"    16r0000 " invalid " 
                                   "16r9755"    16r0000 " invalid " 
                                   "16r9756"    16r3E38
                                   "16r9757"    16r0000 " invalid " 
                                   "16r9758"    16r0000 " invalid " 
                                   "16r9759"    16r3E32
                                   "16r975A"    16r0000 " invalid " 
                                   "16r975B"    16r3565
                                   "16r975C"    16r0000 " invalid " 
                                   "16r975D"    16r0000 " invalid " 
                                   "16r975E"    16r3747
                                   "16r975F"    16r0000 " invalid " 
                                   "16r9760"    16r3F3F
                                   "16r9761"    16r4352
                                   "16r9762"    16r4366
                                   "16r9763"    16r0000 " invalid " 
                                   "16r9764"    16r0000 " invalid " 
                                   "16r9765"    16r584C
                                   "16r9766"    16r0000 " invalid " 
                                   "16r9767"    16r0000 " invalid " 
                                   "16r9768"    16r0000 " invalid " 
                                   "16r9769"    16r386F
                                   "16r976A"    16r0000 " invalid " 
                                   "16r976B"    16r0000 " invalid " 
                                   "16r976C"    16r0000 " invalid " 
                                   "16r976D"    16r0000 " invalid " 
                                   "16r976E"    16r0000 " invalid " 
                                   "16r976F"    16r0000 " invalid " 
                                   "16r9770"    16r0000 " invalid " 
                                   "16r9771"    16r0000 " invalid " 
                                   "16r9772"    16r0000 " invalid " 
                                   "16r9773"    16r3D79
                                   "16r9774"    16r5125
                                   "16r9775"    16r0000 " invalid " 
                                   "16r9776"    16r3050
                                   "16r9777"    16r0000 " invalid " 
                                   "16r9778"    16r0000 " invalid " 
                                   "16r9779"    16r0000 " invalid " 
                                   "16r977A"    16r0000 " invalid " 
                                   "16r977B"    16r0000 " invalid " 
                                   "16r977C"    16r7730
                                   "16r977D"    16r0000 " invalid " 
                                   "16r977E"    16r0000 " invalid " 
                                   "16r977F"    16r0000 " invalid " 
                                   "16r9780"    16r0000 " invalid " 
                                   "16r9781"    16r0000 " invalid " 
                                   "16r9782"    16r0000 " invalid " 
                                   "16r9783"    16r0000 " invalid " 
                                   "16r9784"    16r0000 " invalid " 
                                   "16r9785"    16r7731
                                   "16r9786"    16r0000 " invalid " 
                                   "16r9787"    16r0000 " invalid " 
                                   "16r9788"    16r0000 " invalid " 
                                   "16r9789"    16r0000 " invalid " 
                                   "16r978A"    16r0000 " invalid " 
                                   "16r978B"    16r502C
                                   "16r978C"    16r0000 " invalid " 
                                   "16r978D"    16r3030
                                   "16r978E"    16r0000 " invalid " 
                                   "16r978F"    16r0000 " invalid " 
                                   "16r9790"    16r0000 " invalid " 
                                   "16r9791"    16r7732
                                   "16r9792"    16r7733
                                   "16r9793"    16r0000 " invalid " 
                                   "16r9794"    16r7734
                                   "16r9795"    16r0000 " invalid " 
                                   "16r9796"    16r0000 " invalid " 
                                   "16r9797"    16r0000 " invalid " 
                                   "16r9798"    16r474A
                                   "16r9799"    16r0000 " invalid " 
                                   "16r979A"    16r0000 " invalid " 
                                   "16r979B"    16r0000 " invalid " 
                                   "16r979C"    16r0000 " invalid " 
                                   "16r979D"    16r0000 " invalid " 
                                   "16r979E"    16r0000 " invalid " 
                                   "16r979F"    16r0000 " invalid " 
                                   "16r97A0"    16r3E4F
                                   "16r97A1"    16r0000 " invalid " 
                                   "16r97A2"    16r0000 " invalid " 
                                   "16r97A3"    16r7737
                                   "16r97A4"    16r0000 " invalid " 
                                   "16r97A5"    16r0000 " invalid " 
                                   "16r97A6"    16r0000 " invalid " 
                                   "16r97A7"    16r0000 " invalid " 
                                   "16r97A8"    16r0000 " invalid " 
                                   "16r97A9"    16r0000 " invalid " 
                                   "16r97AA"    16r0000 " invalid " 
                                   "16r97AB"    16r7736
                                   "16r97AC"    16r0000 " invalid " 
                                   "16r97AD"    16r315E
                                   "16r97AE"    16r0000 " invalid " 
                                   "16r97AF"    16r7735
                                   "16r97B0"    16r0000 " invalid " 
                                   "16r97B1"    16r0000 " invalid " 
                                   "16r97B2"    16r7738
                                   "16r97B3"    16r0000 " invalid " 
                                   "16r97B4"    16r7739
                                   ) at:(unicode - 16r95E7).
                                t == 0 ifFalse:[^ t].
                                ^ self encodingError
                            ] value.
                        ].
                        unicode <= 16r97E5 ifTrue:[
                            ^ self encodingError
                        ].
                        [
                            |t|
                            t := #(
                               "16r97E6"    16r4E24
                               "16r97E7"    16r484D
                               "16r97E8"    16r0000 " invalid " 
                               "16r97E9"    16r3A2B
                               "16r97EA"    16r6838
                               "16r97EB"    16r6839
                               "16r97EC"    16r683A
                               "16r97ED"    16r3E42
                               "16r97EE"    16r0000 " invalid " 
                               "16r97EF"    16r0000 " invalid " 
                               "16r97F0"    16r0000 " invalid " 
                               "16r97F1"    16r0000 " invalid " 
                               "16r97F2"    16r0000 " invalid " 
                               "16r97F3"    16r5274
                               "16r97F4"    16r0000 " invalid " 
                               "16r97F5"    16r544F
                               "16r97F6"    16r4958
                               ) at:(unicode - 16r97E5).
                            t == 0 ifFalse:[^ t].
                            ^ self encodingError
                        ] value.
                    ].
                    unicode <= 16r9874 ifTrue:[
                        ^ self encodingError
                    ].
                    [
                        |t|
                        t := #(
                           "16r9875"    16r5233
                           "16r9876"    16r3625
                           "16r9877"    16r476A
                           "16r9878"    16r717C
                           "16r9879"    16r4F6E
                           "16r987A"    16r4B33
                           "16r987B"    16r506B
                           "16r987C"    16r676F
                           "16r987D"    16r4D67
                           "16r987E"    16r394B
                           "16r987F"    16r3659
                           "16r9880"    16r717D
                           "16r9881"    16r3064
                           "16r9882"    16r4B4C
                           "16r9883"    16r717E
                           "16r9884"    16r5424
                           "16r9885"    16r422D
                           "16r9886"    16r416C
                           "16r9887"    16r4644
                           "16r9888"    16r3E31
                           "16r9889"    16r7221
                           "16r988A"    16r3C55
                           "16r988B"    16r0000 " invalid " 
                           "16r988C"    16r7222
                           "16r988D"    16r7223
                           "16r988E"    16r0000 " invalid " 
                           "16r988F"    16r7224
                           "16r9890"    16r5243
                           "16r9891"    16r4635
                           "16r9892"    16r0000 " invalid " 
                           "16r9893"    16r4D47
                           "16r9894"    16r7225
                           "16r9895"    16r0000 " invalid " 
                           "16r9896"    16r5331
                           "16r9897"    16r3F45
                           "16r9898"    16r4C62
                           "16r9899"    16r0000 " invalid " 
                           "16r989A"    16r7226
                           "16r989B"    16r7227
                           "16r989C"    16r5155
                           "16r989D"    16r366E
                           "16r989E"    16r7228
                           "16r989F"    16r7229
                           "16r98A0"    16r355F
                           "16r98A1"    16r722A
                           "16r98A2"    16r722B
                           "16r98A3"    16r0000 " invalid " 
                           "16r98A4"    16r327C
                           "16r98A5"    16r722C
                           "16r98A6"    16r722D
                           "16r98A7"    16r4827
                           "16r98A8"    16r0000 " invalid " 
                           "16r98A9"    16r0000 " invalid " 
                           "16r98AA"    16r0000 " invalid " 
                           "16r98AB"    16r0000 " invalid " 
                           "16r98AC"    16r0000 " invalid " 
                           "16r98AD"    16r0000 " invalid " 
                           "16r98AE"    16r0000 " invalid " 
                           "16r98AF"    16r0000 " invalid " 
                           "16r98B0"    16r0000 " invalid " 
                           "16r98B1"    16r0000 " invalid " 
                           "16r98B2"    16r0000 " invalid " 
                           "16r98B3"    16r0000 " invalid " 
                           "16r98B4"    16r0000 " invalid " 
                           "16r98B5"    16r0000 " invalid " 
                           "16r98B6"    16r0000 " invalid " 
                           "16r98B7"    16r0000 " invalid " 
                           "16r98B8"    16r0000 " invalid " 
                           "16r98B9"    16r0000 " invalid " 
                           "16r98BA"    16r0000 " invalid " 
                           "16r98BB"    16r0000 " invalid " 
                           "16r98BC"    16r0000 " invalid " 
                           "16r98BD"    16r0000 " invalid " 
                           "16r98BE"    16r0000 " invalid " 
                           "16r98BF"    16r0000 " invalid " 
                           "16r98C0"    16r0000 " invalid " 
                           "16r98C1"    16r0000 " invalid " 
                           "16r98C2"    16r0000 " invalid " 
                           "16r98C3"    16r0000 " invalid " 
                           "16r98C4"    16r0000 " invalid " 
                           "16r98C5"    16r0000 " invalid " 
                           "16r98C6"    16r0000 " invalid " 
                           "16r98C7"    16r0000 " invalid " 
                           "16r98C8"    16r0000 " invalid " 
                           "16r98C9"    16r0000 " invalid " 
                           "16r98CA"    16r0000 " invalid " 
                           "16r98CB"    16r0000 " invalid " 
                           "16r98CC"    16r0000 " invalid " 
                           "16r98CD"    16r0000 " invalid " 
                           "16r98CE"    16r3767
                           "16r98CF"    16r0000 " invalid " 
                           "16r98D0"    16r0000 " invalid " 
                           "16r98D1"    16r6C29
                           "16r98D2"    16r6C2A
                           "16r98D3"    16r6C2B
                           "16r98D4"    16r0000 " invalid " 
                           "16r98D5"    16r6C2C
                           "16r98D6"    16r0000 " invalid " 
                           "16r98D7"    16r0000 " invalid " 
                           "16r98D8"    16r462E
                           "16r98D9"    16r6C2D
                           "16r98DA"    16r6C2E
                           "16r98DB"    16r0000 " invalid " 
                           "16r98DC"    16r0000 " invalid " 
                           "16r98DD"    16r0000 " invalid " 
                           "16r98DE"    16r3749
                           "16r98DF"    16r4A33
                           "16r98E0"    16r0000 " invalid " 
                           "16r98E1"    16r0000 " invalid " 
                           "16r98E2"    16r0000 " invalid " 
                           "16r98E3"    16r0000 " invalid " 
                           "16r98E4"    16r0000 " invalid " 
                           "16r98E5"    16r0000 " invalid " 
                           "16r98E6"    16r0000 " invalid " 
                           "16r98E7"    16r6238
                           "16r98E8"    16r774F
                           "16r98E9"    16r0000 " invalid " 
                           "16r98EA"    16r0000 " invalid " 
                           "16r98EB"    16r0000 " invalid " 
                           "16r98EC"    16r0000 " invalid " 
                           "16r98ED"    16r0000 " invalid " 
                           "16r98EE"    16r0000 " invalid " 
                           "16r98EF"    16r0000 " invalid " 
                           "16r98F0"    16r0000 " invalid " 
                           "16r98F1"    16r0000 " invalid " 
                           "16r98F2"    16r0000 " invalid " 
                           "16r98F3"    16r0000 " invalid " 
                           "16r98F4"    16r0000 " invalid " 
                           "16r98F5"    16r0000 " invalid " 
                           "16r98F6"    16r0000 " invalid " 
                           "16r98F7"    16r0000 " invalid " 
                           "16r98F8"    16r0000 " invalid " 
                           "16r98F9"    16r0000 " invalid " 
                           "16r98FA"    16r0000 " invalid " 
                           "16r98FB"    16r0000 " invalid " 
                           "16r98FC"    16r0000 " invalid " 
                           "16r98FD"    16r0000 " invalid " 
                           "16r98FE"    16r0000 " invalid " 
                           "16r98FF"    16r0000 " invalid " 
                           "16r9900"    16r0000 " invalid " 
                           "16r9901"    16r0000 " invalid " 
                           "16r9902"    16r0000 " invalid " 
                           "16r9903"    16r0000 " invalid " 
                           "16r9904"    16r0000 " invalid " 
                           "16r9905"    16r0000 " invalid " 
                           "16r9906"    16r0000 " invalid " 
                           "16r9907"    16r0000 " invalid " 
                           "16r9908"    16r0000 " invalid " 
                           "16r9909"    16r0000 " invalid " 
                           "16r990A"    16r0000 " invalid " 
                           "16r990B"    16r0000 " invalid " 
                           "16r990C"    16r0000 " invalid " 
                           "16r990D"    16r7750
                           "16r990E"    16r0000 " invalid " 
                           "16r990F"    16r0000 " invalid " 
                           "16r9910"    16r324D
                           "16r9911"    16r0000 " invalid " 
                           "16r9912"    16r0000 " invalid " 
                           "16r9913"    16r0000 " invalid " 
                           "16r9914"    16r0000 " invalid " 
                           "16r9915"    16r0000 " invalid " 
                           "16r9916"    16r0000 " invalid " 
                           "16r9917"    16r0000 " invalid " 
                           "16r9918"    16r0000 " invalid " 
                           "16r9919"    16r0000 " invalid " 
                           "16r991A"    16r0000 " invalid " 
                           "16r991B"    16r0000 " invalid " 
                           "16r991C"    16r0000 " invalid " 
                           "16r991D"    16r0000 " invalid " 
                           "16r991E"    16r0000 " invalid " 
                           "16r991F"    16r0000 " invalid " 
                           "16r9920"    16r0000 " invalid " 
                           "16r9921"    16r0000 " invalid " 
                           "16r9922"    16r0000 " invalid " 
                           "16r9923"    16r0000 " invalid " 
                           "16r9924"    16r0000 " invalid " 
                           "16r9925"    16r0000 " invalid " 
                           "16r9926"    16r0000 " invalid " 
                           "16r9927"    16r0000 " invalid " 
                           "16r9928"    16r0000 " invalid " 
                           "16r9929"    16r0000 " invalid " 
                           "16r992A"    16r0000 " invalid " 
                           "16r992B"    16r0000 " invalid " 
                           "16r992C"    16r0000 " invalid " 
                           "16r992D"    16r0000 " invalid " 
                           "16r992E"    16r7751
                           "16r992F"    16r0000 " invalid " 
                           "16r9930"    16r0000 " invalid " 
                           "16r9931"    16r0000 " invalid " 
                           "16r9932"    16r0000 " invalid " 
                           "16r9933"    16r0000 " invalid " 
                           "16r9934"    16r0000 " invalid " 
                           "16r9935"    16r0000 " invalid " 
                           "16r9936"    16r0000 " invalid " 
                           "16r9937"    16r0000 " invalid " 
                           "16r9938"    16r0000 " invalid " 
                           "16r9939"    16r0000 " invalid " 
                           "16r993A"    16r0000 " invalid " 
                           "16r993B"    16r0000 " invalid " 
                           "16r993C"    16r0000 " invalid " 
                           "16r993D"    16r0000 " invalid " 
                           "16r993E"    16r0000 " invalid " 
                           "16r993F"    16r0000 " invalid " 
                           "16r9940"    16r0000 " invalid " 
                           "16r9941"    16r0000 " invalid " 
                           "16r9942"    16r0000 " invalid " 
                           "16r9943"    16r0000 " invalid " 
                           "16r9944"    16r0000 " invalid " 
                           "16r9945"    16r0000 " invalid " 
                           "16r9946"    16r0000 " invalid " 
                           "16r9947"    16r0000 " invalid " 
                           "16r9948"    16r0000 " invalid " 
                           "16r9949"    16r0000 " invalid " 
                           "16r994A"    16r0000 " invalid " 
                           "16r994B"    16r0000 " invalid " 
                           "16r994C"    16r0000 " invalid " 
                           "16r994D"    16r0000 " invalid " 
                           "16r994E"    16r0000 " invalid " 
                           "16r994F"    16r0000 " invalid " 
                           "16r9950"    16r0000 " invalid " 
                           "16r9951"    16r0000 " invalid " 
                           "16r9952"    16r0000 " invalid " 
                           "16r9953"    16r0000 " invalid " 
                           "16r9954"    16r7753
                           "16r9955"    16r7752
                           "16r9956"    16r0000 " invalid " 
                           "16r9957"    16r0000 " invalid " 
                           "16r9958"    16r0000 " invalid " 
                           "16r9959"    16r0000 " invalid " 
                           "16r995A"    16r0000 " invalid " 
                           "16r995B"    16r0000 " invalid " 
                           "16r995C"    16r0000 " invalid " 
                           "16r995D"    16r0000 " invalid " 
                           "16r995E"    16r0000 " invalid " 
                           "16r995F"    16r0000 " invalid " 
                           "16r9960"    16r0000 " invalid " 
                           "16r9961"    16r0000 " invalid " 
                           "16r9962"    16r0000 " invalid " 
                           "16r9963"    16r623B
                           "16r9964"    16r0000 " invalid " 
                           "16r9965"    16r3C22
                           "16r9966"    16r0000 " invalid " 
                           "16r9967"    16r623C
                           "16r9968"    16r623D
                           "16r9969"    16r623E
                           "16r996A"    16r623F
                           "16r996B"    16r6240
                           "16r996C"    16r6241
                           "16r996D"    16r3739
                           "16r996E"    16r527B
                           "16r996F"    16r3D24
                           "16r9970"    16r4A4E
                           "16r9971"    16r3125
                           "16r9972"    16r4B47
                           "16r9973"    16r0000 " invalid " 
                           "16r9974"    16r6242
                           "16r9975"    16r367C
                           "16r9976"    16r4844
                           "16r9977"    16r6243
                           "16r9978"    16r0000 " invalid " 
                           "16r9979"    16r0000 " invalid " 
                           "16r997A"    16r3D48
                           "16r997B"    16r0000 " invalid " 
                           "16r997C"    16r317D
                           "16r997D"    16r6244
                           "16r997E"    16r0000 " invalid " 
                           "16r997F"    16r3676
                           "16r9980"    16r6245
                           "16r9981"    16r4459
                           "16r9982"    16r0000 " invalid " 
                           "16r9983"    16r0000 " invalid " 
                           "16r9984"    16r6246
                           "16r9985"    16r4F5A
                           "16r9986"    16r395D
                           "16r9987"    16r6247
                           "16r9988"    16r4021
                           "16r9989"    16r0000 " invalid " 
                           "16r998A"    16r6248
                           "16r998B"    16r3276
                           "16r998C"    16r0000 " invalid " 
                           "16r998D"    16r6249
                           "16r998E"    16r0000 " invalid " 
                           "16r998F"    16r4173
                           "16r9990"    16r624A
                           "16r9991"    16r624B
                           "16r9992"    16r4278
                           "16r9993"    16r624C
                           "16r9994"    16r624D
                           "16r9995"    16r624E
                           "16r9996"    16r4A57
                           "16r9997"    16r5838
                           "16r9998"    16r5965
                           "16r9999"    16r4F63
                           "16r999A"    16r0000 " invalid " 
                           "16r999B"    16r0000 " invalid " 
                           "16r999C"    16r0000 " invalid " 
                           "16r999D"    16r0000 " invalid " 
                           "16r999E"    16r0000 " invalid " 
                           "16r999F"    16r0000 " invalid " 
                           "16r99A0"    16r0000 " invalid " 
                           "16r99A1"    16r0000 " invalid " 
                           "16r99A2"    16r0000 " invalid " 
                           "16r99A3"    16r0000 " invalid " 
                           "16r99A4"    16r0000 " invalid " 
                           "16r99A5"    16r7025
                           "16r99A6"    16r0000 " invalid " 
                           "16r99A7"    16r0000 " invalid " 
                           "16r99A8"    16r5C30
                           ) at:(unicode - 16r9874).
                        t == 0 ifFalse:[^ t].
                        ^ self encodingError
                    ] value.
                ].
                unicode <= 16r9A6B ifTrue:[
                    ^ self encodingError
                ].
                [
                    |t|
                    t := #(
                       "16r9A6C"    16r426D
                       "16r9A6D"    16r5426
                       "16r9A6E"    16r4D54
                       "16r9A6F"    16r5131
                       "16r9A70"    16r335B
                       "16r9A71"    16r477D
                       "16r9A72"    16r0000 " invalid " 
                       "16r9A73"    16r3235
                       "16r9A74"    16r423F
                       "16r9A75"    16r6660
                       "16r9A76"    16r4A3B
                       "16r9A77"    16r6661
                       "16r9A78"    16r6662
                       "16r9A79"    16r3E54
                       "16r9A7A"    16r6663
                       "16r9A7B"    16r5724
                       "16r9A7C"    16r4D55
                       "16r9A7D"    16r6665
                       "16r9A7E"    16r3C5D
                       "16r9A7F"    16r6664
                       "16r9A80"    16r6666
                       "16r9A81"    16r6667
                       "16r9A82"    16r426E
                       "16r9A83"    16r0000 " invalid " 
                       "16r9A84"    16r3D3E
                       "16r9A85"    16r6668
                       "16r9A86"    16r4266
                       "16r9A87"    16r3A27
                       "16r9A88"    16r6669
                       "16r9A89"    16r0000 " invalid " 
                       "16r9A8A"    16r666A
                       "16r9A8B"    16r3352
                       "16r9A8C"    16r5169
                       "16r9A8D"    16r0000 " invalid " 
                       "16r9A8E"    16r0000 " invalid " 
                       "16r9A8F"    16r3F25
                       "16r9A90"    16r666B
                       "16r9A91"    16r466F
                       "16r9A92"    16r666C
                       "16r9A93"    16r666D
                       "16r9A94"    16r0000 " invalid " 
                       "16r9A95"    16r0000 " invalid " 
                       "16r9A96"    16r666E
                       "16r9A97"    16r462D
                       "16r9A98"    16r666F
                       "16r9A99"    16r0000 " invalid " 
                       "16r9A9A"    16r4927
                       "16r9A9B"    16r6670
                       "16r9A9C"    16r6671
                       "16r9A9D"    16r6672
                       "16r9A9E"    16r6539
                       "16r9A9F"    16r6673
                       "16r9AA0"    16r6674
                       "16r9AA1"    16r4262
                       "16r9AA2"    16r6675
                       "16r9AA3"    16r6676
                       "16r9AA4"    16r5668
                       "16r9AA5"    16r6677
                       "16r9AA6"    16r0000 " invalid " 
                       "16r9AA7"    16r6678
                       "16r9AA8"    16r3947
                       "16r9AA9"    16r0000 " invalid " 
                       "16r9AAA"    16r0000 " invalid " 
                       "16r9AAB"    16r0000 " invalid " 
                       "16r9AAC"    16r0000 " invalid " 
                       "16r9AAD"    16r0000 " invalid " 
                       "16r9AAE"    16r0000 " invalid " 
                       "16r9AAF"    16r0000 " invalid " 
                       "16r9AB0"    16r773B
                       "16r9AB1"    16r773A
                       "16r9AB2"    16r0000 " invalid " 
                       "16r9AB3"    16r0000 " invalid " 
                       "16r9AB4"    16r0000 " invalid " 
                       "16r9AB5"    16r0000 " invalid " 
                       "16r9AB6"    16r773E
                       "16r9AB7"    16r773C
                       "16r9AB8"    16r3A21
                       "16r9AB9"    16r0000 " invalid " 
                       "16r9ABA"    16r773F
                       "16r9ABB"    16r0000 " invalid " 
                       "16r9ABC"    16r7740
                       "16r9ABD"    16r0000 " invalid " 
                       "16r9ABE"    16r0000 " invalid " 
                       "16r9ABF"    16r0000 " invalid " 
                       "16r9AC0"    16r7742
                       "16r9AC1"    16r7741
                       "16r9AC2"    16r7744
                       "16r9AC3"    16r0000 " invalid " 
                       "16r9AC4"    16r0000 " invalid " 
                       "16r9AC5"    16r7743
                       "16r9AC6"    16r0000 " invalid " 
                       "16r9AC7"    16r0000 " invalid " 
                       "16r9AC8"    16r0000 " invalid " 
                       "16r9AC9"    16r0000 " invalid " 
                       "16r9ACA"    16r0000 " invalid " 
                       "16r9ACB"    16r7745
                       "16r9ACC"    16r7746
                       "16r9ACD"    16r0000 " invalid " 
                       "16r9ACE"    16r0000 " invalid " 
                       "16r9ACF"    16r0000 " invalid " 
                       "16r9AD0"    16r0000 " invalid " 
                       "16r9AD1"    16r7747
                       "16r9AD2"    16r0000 " invalid " 
                       "16r9AD3"    16r4B68
                       "16r9AD4"    16r0000 " invalid " 
                       "16r9AD5"    16r0000 " invalid " 
                       "16r9AD6"    16r0000 " invalid " 
                       "16r9AD7"    16r0000 " invalid " 
                       "16r9AD8"    16r385F
                       "16r9AD9"    16r0000 " invalid " 
                       "16r9ADA"    16r0000 " invalid " 
                       "16r9ADB"    16r0000 " invalid " 
                       "16r9ADC"    16r0000 " invalid " 
                       "16r9ADD"    16r0000 " invalid " 
                       "16r9ADE"    16r0000 " invalid " 
                       "16r9ADF"    16r7754
                       "16r9AE0"    16r0000 " invalid " 
                       "16r9AE1"    16r7755
                       "16r9AE2"    16r0000 " invalid " 
                       "16r9AE3"    16r0000 " invalid " 
                       "16r9AE4"    16r0000 " invalid " 
                       "16r9AE5"    16r0000 " invalid " 
                       "16r9AE6"    16r7756
                       "16r9AE7"    16r0000 " invalid " 
                       "16r9AE8"    16r0000 " invalid " 
                       "16r9AE9"    16r0000 " invalid " 
                       "16r9AEA"    16r0000 " invalid " 
                       "16r9AEB"    16r7758
                       "16r9AEC"    16r0000 " invalid " 
                       "16r9AED"    16r775A
                       "16r9AEE"    16r0000 " invalid " 
                       "16r9AEF"    16r7757
                       "16r9AF0"    16r0000 " invalid " 
                       "16r9AF1"    16r0000 " invalid " 
                       "16r9AF2"    16r0000 " invalid " 
                       "16r9AF3"    16r0000 " invalid " 
                       "16r9AF4"    16r0000 " invalid " 
                       "16r9AF5"    16r0000 " invalid " 
                       "16r9AF6"    16r0000 " invalid " 
                       "16r9AF7"    16r0000 " invalid " 
                       "16r9AF8"    16r0000 " invalid " 
                       "16r9AF9"    16r775B
                       "16r9AFA"    16r0000 " invalid " 
                       "16r9AFB"    16r7759
                       "16r9AFC"    16r0000 " invalid " 
                       "16r9AFD"    16r0000 " invalid " 
                       "16r9AFE"    16r0000 " invalid " 
                       "16r9AFF"    16r0000 " invalid " 
                       "16r9B00"    16r0000 " invalid " 
                       "16r9B01"    16r0000 " invalid " 
                       "16r9B02"    16r0000 " invalid " 
                       "16r9B03"    16r5757
                       "16r9B04"    16r0000 " invalid " 
                       "16r9B05"    16r0000 " invalid " 
                       "16r9B06"    16r0000 " invalid " 
                       "16r9B07"    16r0000 " invalid " 
                       "16r9B08"    16r775C
                       "16r9B09"    16r0000 " invalid " 
                       "16r9B0A"    16r0000 " invalid " 
                       "16r9B0B"    16r0000 " invalid " 
                       "16r9B0C"    16r0000 " invalid " 
                       "16r9B0D"    16r0000 " invalid " 
                       "16r9B0E"    16r0000 " invalid " 
                       "16r9B0F"    16r775D
                       "16r9B10"    16r0000 " invalid " 
                       "16r9B11"    16r0000 " invalid " 
                       "16r9B12"    16r0000 " invalid " 
                       "16r9B13"    16r775E
                       "16r9B14"    16r0000 " invalid " 
                       "16r9B15"    16r0000 " invalid " 
                       "16r9B16"    16r0000 " invalid " 
                       "16r9B17"    16r0000 " invalid " 
                       "16r9B18"    16r0000 " invalid " 
                       "16r9B19"    16r0000 " invalid " 
                       "16r9B1A"    16r0000 " invalid " 
                       "16r9B1B"    16r0000 " invalid " 
                       "16r9B1C"    16r0000 " invalid " 
                       "16r9B1D"    16r0000 " invalid " 
                       "16r9B1E"    16r0000 " invalid " 
                       "16r9B1F"    16r775F
                       "16r9B20"    16r0000 " invalid " 
                       "16r9B21"    16r0000 " invalid " 
                       "16r9B22"    16r0000 " invalid " 
                       "16r9B23"    16r7760
                       "16r9B24"    16r0000 " invalid " 
                       "16r9B25"    16r0000 " invalid " 
                       "16r9B26"    16r0000 " invalid " 
                       "16r9B27"    16r0000 " invalid " 
                       "16r9B28"    16r0000 " invalid " 
                       "16r9B29"    16r0000 " invalid " 
                       "16r9B2A"    16r0000 " invalid " 
                       "16r9B2B"    16r0000 " invalid " 
                       "16r9B2C"    16r0000 " invalid " 
                       "16r9B2D"    16r0000 " invalid " 
                       "16r9B2E"    16r0000 " invalid " 
                       "16r9B2F"    16r5B4B
                       "16r9B30"    16r0000 " invalid " 
                       "16r9B31"    16r0000 " invalid " 
                       "16r9B32"    16r582A
                       "16r9B33"    16r0000 " invalid " 
                       "16r9B34"    16r0000 " invalid " 
                       "16r9B35"    16r0000 " invalid " 
                       "16r9B36"    16r0000 " invalid " 
                       "16r9B37"    16r0000 " invalid " 
                       "16r9B38"    16r0000 " invalid " 
                       "16r9B39"    16r0000 " invalid " 
                       "16r9B3A"    16r0000 " invalid " 
                       "16r9B3B"    16r6577
                       "16r9B3C"    16r396D
                       "16r9B3D"    16r0000 " invalid " 
                       "16r9B3E"    16r0000 " invalid " 
                       "16r9B3F"    16r0000 " invalid " 
                       "16r9B40"    16r0000 " invalid " 
                       "16r9B41"    16r3F7D
                       "16r9B42"    16r3B6A
                       "16r9B43"    16r7749
                       "16r9B44"    16r4647
                       "16r9B45"    16r7748
                       "16r9B46"    16r0000 " invalid " 
                       "16r9B47"    16r774A
                       "16r9B48"    16r774C
                       "16r9B49"    16r774B
                       "16r9B4A"    16r0000 " invalid " 
                       "16r9B4B"    16r0000 " invalid " 
                       "16r9B4C"    16r0000 " invalid " 
                       "16r9B4D"    16r774D
                       "16r9B4E"    16r0000 " invalid " 
                       "16r9B4F"    16r4E3A
                       "16r9B50"    16r0000 " invalid " 
                       "16r9B51"    16r774E
                       "16r9B52"    16r0000 " invalid " 
                       "16r9B53"    16r0000 " invalid " 
                       "16r9B54"    16r4427
                       ) at:(unicode - 16r9A6B).
                    t == 0 ifFalse:[^ t].
                    ^ self encodingError
                ] value.
            ].
            unicode <= 16r9C7B ifTrue:[
                ^ self encodingError
            ].
            [
                |t|
                t := #(
                   "16r9C7C"    16r5363
                   "16r9C7D"    16r0000 " invalid " 
                   "16r9C7E"    16r0000 " invalid " 
                   "16r9C7F"    16r764F
                   "16r9C80"    16r0000 " invalid " 
                   "16r9C81"    16r4233
                   "16r9C82"    16r7650
                   "16r9C83"    16r0000 " invalid " 
                   "16r9C84"    16r0000 " invalid " 
                   "16r9C85"    16r7651
                   "16r9C86"    16r7652
                   "16r9C87"    16r7653
                   "16r9C88"    16r7654
                   "16r9C89"    16r0000 " invalid " 
                   "16r9C8A"    16r0000 " invalid " 
                   "16r9C8B"    16r7656
                   "16r9C8C"    16r0000 " invalid " 
                   "16r9C8D"    16r312B
                   "16r9C8E"    16r7657
                   "16r9C8F"    16r0000 " invalid " 
                   "16r9C90"    16r7658
                   "16r9C91"    16r7659
                   "16r9C92"    16r765A
                   "16r9C93"    16r0000 " invalid " 
                   "16r9C94"    16r765B
                   "16r9C95"    16r765C
                   "16r9C96"    16r0000 " invalid " 
                   "16r9C97"    16r0000 " invalid " 
                   "16r9C98"    16r0000 " invalid " 
                   "16r9C99"    16r0000 " invalid " 
                   "16r9C9A"    16r765D
                   "16r9C9B"    16r765E
                   "16r9C9C"    16r4F4A
                   "16r9C9D"    16r0000 " invalid " 
                   "16r9C9E"    16r765F
                   "16r9C9F"    16r7660
                   "16r9CA0"    16r7661
                   "16r9CA1"    16r7662
                   "16r9CA2"    16r7663
                   "16r9CA3"    16r7664
                   "16r9CA4"    16r4070
                   "16r9CA5"    16r7665
                   "16r9CA6"    16r7666
                   "16r9CA7"    16r7667
                   "16r9CA8"    16r7668
                   "16r9CA9"    16r7669
                   "16r9CAA"    16r0000 " invalid " 
                   "16r9CAB"    16r766A
                   "16r9CAC"    16r0000 " invalid " 
                   "16r9CAD"    16r766B
                   "16r9CAE"    16r766C
                   "16r9CAF"    16r0000 " invalid " 
                   "16r9CB0"    16r766D
                   "16r9CB1"    16r766E
                   "16r9CB2"    16r766F
                   "16r9CB3"    16r7670
                   "16r9CB4"    16r7671
                   "16r9CB5"    16r7672
                   "16r9CB6"    16r7673
                   "16r9CB7"    16r7674
                   "16r9CB8"    16r3E28
                   "16r9CB9"    16r0000 " invalid " 
                   "16r9CBA"    16r7675
                   "16r9CBB"    16r7676
                   "16r9CBC"    16r7677
                   "16r9CBD"    16r7678
                   "16r9CBE"    16r0000 " invalid " 
                   "16r9CBF"    16r0000 " invalid " 
                   "16r9CC0"    16r0000 " invalid " 
                   "16r9CC1"    16r0000 " invalid " 
                   "16r9CC2"    16r0000 " invalid " 
                   "16r9CC3"    16r487A
                   "16r9CC4"    16r7679
                   "16r9CC5"    16r767A
                   "16r9CC6"    16r767B
                   "16r9CC7"    16r767C
                   "16r9CC8"    16r0000 " invalid " 
                   "16r9CC9"    16r0000 " invalid " 
                   "16r9CCA"    16r767D
                   "16r9CCB"    16r767E
                   "16r9CCC"    16r7721
                   "16r9CCD"    16r7722
                   "16r9CCE"    16r7723
                   "16r9CCF"    16r7724
                   "16r9CD0"    16r7725
                   "16r9CD1"    16r0000 " invalid " 
                   "16r9CD2"    16r0000 " invalid " 
                   "16r9CD3"    16r7726
                   "16r9CD4"    16r7727
                   "16r9CD5"    16r7728
                   "16r9CD6"    16r316E
                   "16r9CD7"    16r7729
                   "16r9CD8"    16r772A
                   "16r9CD9"    16r772B
                   "16r9CDA"    16r0000 " invalid " 
                   "16r9CDB"    16r0000 " invalid " 
                   "16r9CDC"    16r772C
                   "16r9CDD"    16r772D
                   "16r9CDE"    16r415B
                   "16r9CDF"    16r772E
                   "16r9CE0"    16r0000 " invalid " 
                   "16r9CE1"    16r0000 " invalid " 
                   "16r9CE2"    16r772F
                   ) at:(unicode - 16r9C7B).
                t == 0 ifFalse:[^ t].
                ^ self encodingError
            ] value.
        ].
        unicode <= 16r9E1E ifTrue:[
            ^ self encodingError
        ].
        unicode <= 16r9F51 ifTrue:[
            [
                |t|
                t := #(
                   "16r9E1F"    16r4471
                   "16r9E20"    16r702F
                   "16r9E21"    16r3C26
                   "16r9E22"    16r7030
                   "16r9E23"    16r4379
                   "16r9E24"    16r0000 " invalid " 
                   "16r9E25"    16r4538
                   "16r9E26"    16r513B
                   "16r9E27"    16r0000 " invalid " 
                   "16r9E28"    16r7031
                   "16r9E29"    16r7032
                   "16r9E2A"    16r7033
                   "16r9E2B"    16r7034
                   "16r9E2C"    16r7035
                   "16r9E2D"    16r513C
                   "16r9E2E"    16r0000 " invalid " 
                   "16r9E2F"    16r516C
                   "16r9E30"    16r0000 " invalid " 
                   "16r9E31"    16r7037
                   "16r9E32"    16r7036
                   "16r9E33"    16r5427
                   "16r9E34"    16r0000 " invalid " 
                   "16r9E35"    16r4D52
                   "16r9E36"    16r7038
                   "16r9E37"    16r703A
                   "16r9E38"    16r7039
                   "16r9E39"    16r703B
                   "16r9E3A"    16r703C
                   "16r9E3B"    16r0000 " invalid " 
                   "16r9E3C"    16r0000 " invalid " 
                   "16r9E3D"    16r386B
                   "16r9E3E"    16r703D
                   "16r9E3F"    16r3A68
                   "16r9E40"    16r0000 " invalid " 
                   "16r9E41"    16r703E
                   "16r9E42"    16r703F
                   "16r9E43"    16r3E69
                   "16r9E44"    16r7040
                   "16r9E45"    16r366C
                   "16r9E46"    16r7041
                   "16r9E47"    16r7042
                   "16r9E48"    16r7043
                   "16r9E49"    16r7044
                   "16r9E4A"    16r4835
                   "16r9E4B"    16r7045
                   "16r9E4C"    16r7046
                   "16r9E4D"    16r0000 " invalid " 
                   "16r9E4E"    16r7047
                   "16r9E4F"    16r4574
                   "16r9E50"    16r0000 " invalid " 
                   "16r9E51"    16r7048
                   "16r9E52"    16r0000 " invalid " 
                   "16r9E53"    16r0000 " invalid " 
                   "16r9E54"    16r0000 " invalid " 
                   "16r9E55"    16r7049
                   "16r9E56"    16r0000 " invalid " 
                   "16r9E57"    16r704A
                   "16r9E58"    16r773D
                   "16r9E59"    16r0000 " invalid " 
                   "16r9E5A"    16r704B
                   "16r9E5B"    16r704C
                   "16r9E5C"    16r704D
                   "16r9E5D"    16r0000 " invalid " 
                   "16r9E5E"    16r704E
                   "16r9E5F"    16r0000 " invalid " 
                   "16r9E60"    16r0000 " invalid " 
                   "16r9E61"    16r0000 " invalid " 
                   "16r9E62"    16r0000 " invalid " 
                   "16r9E63"    16r704F
                   "16r9E64"    16r3A57
                   "16r9E65"    16r0000 " invalid " 
                   "16r9E66"    16r7050
                   "16r9E67"    16r7051
                   "16r9E68"    16r7052
                   "16r9E69"    16r7053
                   "16r9E6A"    16r7054
                   "16r9E6B"    16r7055
                   "16r9E6C"    16r7056
                   "16r9E6D"    16r7058
                   "16r9E6E"    16r0000 " invalid " 
                   "16r9E6F"    16r0000 " invalid " 
                   "16r9E70"    16r5325
                   "16r9E71"    16r7057
                   "16r9E72"    16r0000 " invalid " 
                   "16r9E73"    16r7059
                   "16r9E74"    16r0000 " invalid " 
                   "16r9E75"    16r0000 " invalid " 
                   "16r9E76"    16r0000 " invalid " 
                   "16r9E77"    16r0000 " invalid " 
                   "16r9E78"    16r0000 " invalid " 
                   "16r9E79"    16r0000 " invalid " 
                   "16r9E7A"    16r0000 " invalid " 
                   "16r9E7B"    16r0000 " invalid " 
                   "16r9E7C"    16r0000 " invalid " 
                   "16r9E7D"    16r0000 " invalid " 
                   "16r9E7E"    16r753A
                   "16r9E7F"    16r4239
                   "16r9E80"    16r0000 " invalid " 
                   "16r9E81"    16r0000 " invalid " 
                   "16r9E82"    16r7764
                   "16r9E83"    16r0000 " invalid " 
                   "16r9E84"    16r0000 " invalid " 
                   "16r9E85"    16r0000 " invalid " 
                   "16r9E86"    16r0000 " invalid " 
                   "16r9E87"    16r7765
                   "16r9E88"    16r7766
                   "16r9E89"    16r0000 " invalid " 
                   "16r9E8A"    16r0000 " invalid " 
                   "16r9E8B"    16r7767
                   "16r9E8C"    16r0000 " invalid " 
                   "16r9E8D"    16r0000 " invalid " 
                   "16r9E8E"    16r0000 " invalid " 
                   "16r9E8F"    16r0000 " invalid " 
                   "16r9E90"    16r0000 " invalid " 
                   "16r9E91"    16r0000 " invalid " 
                   "16r9E92"    16r7768
                   "16r9E93"    16r4234
                   "16r9E94"    16r0000 " invalid " 
                   "16r9E95"    16r0000 " invalid " 
                   "16r9E96"    16r0000 " invalid " 
                   "16r9E97"    16r0000 " invalid " 
                   "16r9E98"    16r0000 " invalid " 
                   "16r9E99"    16r0000 " invalid " 
                   "16r9E9A"    16r0000 " invalid " 
                   "16r9E9B"    16r0000 " invalid " 
                   "16r9E9C"    16r0000 " invalid " 
                   "16r9E9D"    16r776A
                   "16r9E9E"    16r0000 " invalid " 
                   "16r9E9F"    16r776B
                   "16r9EA0"    16r0000 " invalid " 
                   "16r9EA1"    16r0000 " invalid " 
                   "16r9EA2"    16r0000 " invalid " 
                   "16r9EA3"    16r0000 " invalid " 
                   "16r9EA4"    16r0000 " invalid " 
                   "16r9EA5"    16r0000 " invalid " 
                   "16r9EA6"    16r4273
                   "16r9EA7"    16r0000 " invalid " 
                   "16r9EA8"    16r0000 " invalid " 
                   "16r9EA9"    16r0000 " invalid " 
                   "16r9EAA"    16r0000 " invalid " 
                   "16r9EAB"    16r0000 " invalid " 
                   "16r9EAC"    16r0000 " invalid " 
                   "16r9EAD"    16r0000 " invalid " 
                   "16r9EAE"    16r0000 " invalid " 
                   "16r9EAF"    16r0000 " invalid " 
                   "16r9EB0"    16r0000 " invalid " 
                   "16r9EB1"    16r0000 " invalid " 
                   "16r9EB2"    16r0000 " invalid " 
                   "16r9EB3"    16r0000 " invalid " 
                   "16r9EB4"    16r7470
                   "16r9EB5"    16r0000 " invalid " 
                   "16r9EB6"    16r0000 " invalid " 
                   "16r9EB7"    16r0000 " invalid " 
                   "16r9EB8"    16r746F
                   "16r9EB9"    16r0000 " invalid " 
                   "16r9EBA"    16r0000 " invalid " 
                   "16r9EBB"    16r4269
                   "16r9EBC"    16r0000 " invalid " 
                   "16r9EBD"    16r7761
                   "16r9EBE"    16r7762
                   "16r9EBF"    16r0000 " invalid " 
                   "16r9EC0"    16r0000 " invalid " 
                   "16r9EC1"    16r0000 " invalid " 
                   "16r9EC2"    16r0000 " invalid " 
                   "16r9EC3"    16r0000 " invalid " 
                   "16r9EC4"    16r3B46
                   "16r9EC5"    16r0000 " invalid " 
                   "16r9EC6"    16r0000 " invalid " 
                   "16r9EC7"    16r0000 " invalid " 
                   "16r9EC8"    16r0000 " invalid " 
                   "16r9EC9"    16r5964
                   "16r9ECA"    16r0000 " invalid " 
                   "16r9ECB"    16r0000 " invalid " 
                   "16r9ECC"    16r0000 " invalid " 
                   "16r9ECD"    16r4A72
                   "16r9ECE"    16r4068
                   "16r9ECF"    16r7024
                   "16r9ED0"    16r0000 " invalid " 
                   "16r9ED1"    16r3A5A
                   "16r9ED2"    16r0000 " invalid " 
                   "16r9ED3"    16r0000 " invalid " 
                   "16r9ED4"    16r472D
                   "16r9ED5"    16r0000 " invalid " 
                   "16r9ED6"    16r0000 " invalid " 
                   "16r9ED7"    16r0000 " invalid " 
                   "16r9ED8"    16r442C
                   "16r9ED9"    16r0000 " invalid " 
                   "16r9EDA"    16r0000 " invalid " 
                   "16r9EDB"    16r776C
                   "16r9EDC"    16r776D
                   "16r9EDD"    16r776E
                   "16r9EDE"    16r0000 " invalid " 
                   "16r9EDF"    16r7770
                   "16r9EE0"    16r776F
                   "16r9EE1"    16r0000 " invalid " 
                   "16r9EE2"    16r7771
                   "16r9EE3"    16r0000 " invalid " 
                   "16r9EE4"    16r0000 " invalid " 
                   "16r9EE5"    16r7774
                   "16r9EE6"    16r0000 " invalid " 
                   "16r9EE7"    16r7773
                   "16r9EE8"    16r0000 " invalid " 
                   "16r9EE9"    16r7772
                   "16r9EEA"    16r7775
                   "16r9EEB"    16r0000 " invalid " 
                   "16r9EEC"    16r0000 " invalid " 
                   "16r9EED"    16r0000 " invalid " 
                   "16r9EEE"    16r0000 " invalid " 
                   "16r9EEF"    16r7776
                   "16r9EF0"    16r0000 " invalid " 
                   "16r9EF1"    16r0000 " invalid " 
                   "16r9EF2"    16r0000 " invalid " 
                   "16r9EF3"    16r0000 " invalid " 
                   "16r9EF4"    16r0000 " invalid " 
                   "16r9EF5"    16r0000 " invalid " 
                   "16r9EF6"    16r0000 " invalid " 
                   "16r9EF7"    16r0000 " invalid " 
                   "16r9EF8"    16r0000 " invalid " 
                   "16r9EF9"    16r6D69
                   "16r9EFA"    16r0000 " invalid " 
                   "16r9EFB"    16r6D6A
                   "16r9EFC"    16r6D6B
                   "16r9EFD"    16r0000 " invalid " 
                   "16r9EFE"    16r763C
                   "16r9EFF"    16r0000 " invalid " 
                   "16r9F00"    16r0000 " invalid " 
                   "16r9F01"    16r0000 " invalid " 
                   "16r9F02"    16r0000 " invalid " 
                   "16r9F03"    16r0000 " invalid " 
                   "16r9F04"    16r0000 " invalid " 
                   "16r9F05"    16r0000 " invalid " 
                   "16r9F06"    16r0000 " invalid " 
                   "16r9F07"    16r0000 " invalid " 
                   "16r9F08"    16r0000 " invalid " 
                   "16r9F09"    16r0000 " invalid " 
                   "16r9F0A"    16r0000 " invalid " 
                   "16r9F0B"    16r763D
                   "16r9F0C"    16r0000 " invalid " 
                   "16r9F0D"    16r763E
                   "16r9F0E"    16r3626
                   "16r9F0F"    16r0000 " invalid " 
                   "16r9F10"    16r583E
                   "16r9F11"    16r0000 " invalid " 
                   "16r9F12"    16r0000 " invalid " 
                   "16r9F13"    16r3944
                   "16r9F14"    16r0000 " invalid " 
                   "16r9F15"    16r0000 " invalid " 
                   "16r9F16"    16r0000 " invalid " 
                   "16r9F17"    16r583B
                   "16r9F18"    16r0000 " invalid " 
                   "16r9F19"    16r5C31
                   "16r9F1A"    16r0000 " invalid " 
                   "16r9F1B"    16r0000 " invalid " 
                   "16r9F1C"    16r0000 " invalid " 
                   "16r9F1D"    16r0000 " invalid " 
                   "16r9F1E"    16r0000 " invalid " 
                   "16r9F1F"    16r0000 " invalid " 
                   "16r9F20"    16r4A73
                   "16r9F21"    16r0000 " invalid " 
                   "16r9F22"    16r7777
                   "16r9F23"    16r0000 " invalid " 
                   "16r9F24"    16r0000 " invalid " 
                   "16r9F25"    16r0000 " invalid " 
                   "16r9F26"    16r0000 " invalid " 
                   "16r9F27"    16r0000 " invalid " 
                   "16r9F28"    16r0000 " invalid " 
                   "16r9F29"    16r0000 " invalid " 
                   "16r9F2A"    16r0000 " invalid " 
                   "16r9F2B"    16r0000 " invalid " 
                   "16r9F2C"    16r7778
                   "16r9F2D"    16r0000 " invalid " 
                   "16r9F2E"    16r0000 " invalid " 
                   "16r9F2F"    16r7779
                   "16r9F30"    16r0000 " invalid " 
                   "16r9F31"    16r0000 " invalid " 
                   "16r9F32"    16r0000 " invalid " 
                   "16r9F33"    16r0000 " invalid " 
                   "16r9F34"    16r0000 " invalid " 
                   "16r9F35"    16r0000 " invalid " 
                   "16r9F36"    16r0000 " invalid " 
                   "16r9F37"    16r777B
                   "16r9F38"    16r0000 " invalid " 
                   "16r9F39"    16r777A
                   "16r9F3A"    16r0000 " invalid " 
                   "16r9F3B"    16r3147
                   "16r9F3C"    16r0000 " invalid " 
                   "16r9F3D"    16r777C
                   "16r9F3E"    16r777D
                   "16r9F3F"    16r0000 " invalid " 
                   "16r9F40"    16r0000 " invalid " 
                   "16r9F41"    16r0000 " invalid " 
                   "16r9F42"    16r0000 " invalid " 
                   "16r9F43"    16r0000 " invalid " 
                   "16r9F44"    16r777E
                   "16r9F45"    16r0000 " invalid " 
                   "16r9F46"    16r0000 " invalid " 
                   "16r9F47"    16r0000 " invalid " 
                   "16r9F48"    16r0000 " invalid " 
                   "16r9F49"    16r0000 " invalid " 
                   "16r9F4A"    16r0000 " invalid " 
                   "16r9F4B"    16r0000 " invalid " 
                   "16r9F4C"    16r0000 " invalid " 
                   "16r9F4D"    16r0000 " invalid " 
                   "16r9F4E"    16r0000 " invalid " 
                   "16r9F4F"    16r0000 " invalid " 
                   "16r9F50"    16r466B
                   "16r9F51"    16r6C34
                   ) at:(unicode - 16r9E1E).
                t == 0 ifFalse:[^ t].
                ^ self encodingError
            ] value.
        ].
        unicode <= 16r9F7E ifTrue:[
            ^ self encodingError
        ].
        [
            |t|
            t := #(
               "16r9F7F"    16r335D
               "16r9F80"    16r7633
               "16r9F81"    16r0000 " invalid " 
               "16r9F82"    16r0000 " invalid " 
               "16r9F83"    16r7634
               "16r9F84"    16r4164
               "16r9F85"    16r7635
               "16r9F86"    16r7636
               "16r9F87"    16r7637
               "16r9F88"    16r7638
               "16r9F89"    16r7639
               "16r9F8A"    16r763A
               "16r9F8B"    16r4823
               "16r9F8C"    16r763B
               "16r9F8D"    16r0000 " invalid " 
               "16r9F8E"    16r0000 " invalid " 
               "16r9F8F"    16r0000 " invalid " 
               "16r9F90"    16r0000 " invalid " 
               "16r9F91"    16r0000 " invalid " 
               "16r9F92"    16r0000 " invalid " 
               "16r9F93"    16r0000 " invalid " 
               "16r9F94"    16r0000 " invalid " 
               "16r9F95"    16r0000 " invalid " 
               "16r9F96"    16r0000 " invalid " 
               "16r9F97"    16r0000 " invalid " 
               "16r9F98"    16r0000 " invalid " 
               "16r9F99"    16r417A
               "16r9F9A"    16r3928
               "16r9F9B"    16r6D68
               "16r9F9C"    16r0000 " invalid " 
               "16r9F9D"    16r0000 " invalid " 
               "16r9F9E"    16r0000 " invalid " 
               "16r9F9F"    16r396A
               "16r9FA0"    16r595F
               ) at:(unicode - 16r9F7E).
            t == 0 ifFalse:[^ t].
            ^ self encodingError
        ] value.
    ].
    unicode <= 16rFFDF ifTrue:[
        ^ self encodingError
    ].
    [
        |t|
        t := #(
           "16rFFE0"    16r2169
           "16rFFE1"    16r216A
           "16rFFE2"    16r0000 " invalid " 
           "16rFFE3"    16r237E
           "16rFFE4"    16r0000 " invalid " 
           "16rFFE5"    16r2324
           ) at:(unicode - 16rFFDF).
        t == 0 ifFalse:[^ t].
        ^ self encodingError
    ] value.
! !

!GB2312_1980_0 class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic/CharacterEncoderImplementations__GB2312_1980_0.st,v 1.1 2014-02-15 21:05:57 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libbasic/CharacterEncoderImplementations__GB2312_1980_0.st,v 1.1 2014-02-15 21:05:57 cg Exp $'
! !

